--[[
    Istelien L (implementation of Istelien quiz engine in LUA with the aim of using it in LOTRO)
	Copyright (C) 2023-2024 Alejandro Meirinhos from Spain.

	This file is part of Istelien L.
	
	Istelien L is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Istelien L is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Istelien L.  If not, see <https://www.gnu.org/licenses/>.
--]]

chatChannels = 
{
	['Append'] = -- Append at the end of other message
	{
		['ID'] = -1,
		['Name'] = 'Append',
		['Command'] = '',
		['QuotedMessages'] = false
	},
	['Fellowship'] = 
	{
		['ID'] = Turbine.ChatType.Fellowship,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtFellowshipChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgFellowshipCommand'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = false
	},
	['Kinship'] = 
	{
		['ID'] = Turbine.ChatType.Kinship,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtKinshipChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgKinshipCommand'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = false
	},
	['Officer'] = 
	{
		['ID'] = Turbine.ChatType.Officer,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtOfficerChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgOfficerCommand'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = true
	},
	['OOC'] = 
	{
		['ID'] = Turbine.ChatType.OOC,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtOOCChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgOOCCommand'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = true
	},
	['Raid'] = 
	{
		['ID'] = Turbine.ChatType.Raid,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtRaidChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgRaidCommand'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = false
	},
	['Regional'] = 
	{
		['ID'] = Turbine.ChatType.Regional,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtRegionalChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgRegionalCommand'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = true
	},
	['Tell'] = 
	{
		['ID'] = Turbine.ChatType.Tell,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtTellChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgTellCommand'), nonbasicCharactersInChat) .. ' '
	},
	['UserChat1'] = 
	{
		['ID'] = Turbine.ChatType.UserChat1,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtUserChat1ChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgUserChat1Command'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = true
	},
	['UserChat2'] = 
	{
		['ID'] = Turbine.ChatType.UserChat2,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtUserChat2ChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgUserChat2Command'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = true
	},
	['UserChat3'] = 
	{
		['ID'] = Turbine.ChatType.UserChat3,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtUserChat3ChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgUserChat3Command'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = true
	},
	['UserChat4'] = 
	{
		['ID'] = Turbine.ChatType.UserChat4,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtUserChat4ChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgUserChat4Command'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = true
	},
	['UserChat5'] = 
	{
		['ID'] = Turbine.ChatType.UserChat5,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtUserChat5ChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgUserChat5Command'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = true
	},
	['UserChat6'] = 
	{
		['ID'] = Turbine.ChatType.UserChat6,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtUserChat6ChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgUserChat6Command'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = true
	},
	['UserChat7'] = 
	{
		['ID'] = Turbine.ChatType.UserChat7,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtUserChat7ChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgUserChat7Command'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = true
	},
	['UserChat8'] = 
	{
		['ID'] = Turbine.ChatType.UserChat8,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtUserChat8ChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgUserChat8Command'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = true
	},
	['World'] = 
	{
		['ID'] = Turbine.ChatType.World,
		['Name'] = replaceCharacters(replaceCharacters(strings[clientLanguage]['txtWorldChannelName'], nonbasicCharactersForGuiPrev), nonbasicCharactersForGui),
		['Command'] = replaceCharacters(translate('msgWorldCommand'), nonbasicCharactersInChat) .. ' ',
		['QuotedMessages'] = true
	}
}

chatColours = 
{
	['Closure'] = '</rgb>',
	['Default'] = '<rgb=#FFD700>',
	['Black'] = '<rgb=#000000>',
	['White'] = '<rgb=#FFFFFF>',
	['Red'] = '<rgb=#FF0000>',
	['Lime'] = '<rgb=#00FF00>',
	['Blue'] = '<rgb=#0000FF>',
	['Yellow'] = '<rgb=#FFFF00>',
	['Cyan'] = '<rgb=#00FFFF>',
	['Magenta'] = '<rgb=#FF00FF>',
	['Silver'] = '<rgb=#C0C0C0>',
	['Grey'] = '<rgb=#808080>',
	['Maroon'] = '<rgb=#800000>',
	['Olive'] = '<rgb=#808000>',
	['Green'] = '<rgb=#008000>',
	['Purple'] = '<rgb=#800080>',
	['Teal'] = '<rgb=#008080>',
	['Navy'] = '<rgb=#000080>',
	['Darkred'] = '<rgb=#8B0000>',
	['Brown'] = '<rgb=#A52A2A>',
	['Firebrick'] = '<rgb=#B22222>',
	['Crimson'] = '<rgb=#DC143C>',
	['Tomato'] = '<rgb=#FF6347>',
	['Coral'] = '<rgb=#FF7F50>',
	['IndianRed'] = '<rgb=#CD5C5C>',
	['LightCoral'] = '<rgb=#F08080>',
	['DarkSalmon'] = '<rgb=#E9967A>',
	['Salmon'] = '<rgb=#FA8072>',
	['LightSalmon'] = '<rgb=#FFA07A>',
	['OrangeRed'] = '<rgb=#FF4500>',
	['DarkOrange'] = '<rgb=#FF8C00>',
	['Orange'] = '<rgb=#FFA500>',
	['Gold'] = '<rgb=#FFD700>',
	['DarkGoldenRod'] = '<rgb=#B8860B>',
	['GoldenRod'] = '<rgb=#DAA520>',
	['PaleGoldenRod'] = '<rgb=#EEE8AA>',
	['DarkKhaki'] = '<rgb=#BDB76B>',
	['Khaki'] = '<rgb=#F0E68C>',
	['YellowGreen'] = '<rgb=#9ACD32>',
	['DarkOliveGreen'] = '<rgb=#556B2F>',
	['OliveDrab'] = '<rgb=#6B8E23>',
	['LawnGreen'] = '<rgb=#7CFC00>',
	['Chartreuse'] = '<rgb=#7FFF00>',
	['GreenYellow'] = '<rgb=#ADFF2F>',
	['DarkGreen'] = '<rgb=#006400>',
	['ForestGreen'] = '<rgb=#228B22>',
	['LimeGreen'] = '<rgb=#32CD32>',
	['LightGreen'] = '<rgb=#90EE90>',
	['PaleGreen'] = '<rgb=#98FB98>',
	['DarkSeaGreen'] = '<rgb=#8FBC8F>',
	['MediumSpringGreen'] = '<rgb=#00FA9A>',
	['SpringGreen'] = '<rgb=#00FF7F>',
	['SeaGreen'] = '<rgb=#2E8B57>',
	['MediumAquaMarine'] = '<rgb=#66CDAA>',
	['MediumSeaGreen'] = '<rgb=#3CB371>',
	['LightSeaGreen'] = '<rgb=#20B2AA>',
	['DarkSlateGray'] = '<rgb=#2F4F4F>',
	['DarkCyan'] = '<rgb=#008B8B>',
	['Aqua'] = '<rgb=#00FFFF>',
	['LightCyan'] = '<rgb=#E0FFFF>',
	['DarkTurquoise'] = '<rgb=#00CED1>',
	['Turquoise'] = '<rgb=#40E0D0>',
	['MediumTurquoise'] = '<rgb=#48D1CC>',
	['PaleTurquoise'] = '<rgb=#AFEEEE>',
	['AquaMarine'] = '<rgb=#7FFFD4>',
	['PowderBlue'] = '<rgb=#B0E0E6>',
	['CadetBlue'] = '<rgb=#5F9EA0>',
	['SteelBlue'] = '<rgb=#4682B4>',
	['CornFlowerBlue'] = '<rgb=#6495ED>',
	['DeepSkyBlue'] = '<rgb=#00BFFF>',
	['DodgerBlue'] = '<rgb=#1E90FF>',
	['LightBlue'] = '<rgb=#ADD8E6>',
	['SkyBlue'] = '<rgb=#87CEEB>',
	['LightSkyBlue'] = '<rgb=#87CEFA>',
	['MidnightBlue'] = '<rgb=#191970>',
	['DarkBlue'] = '<rgb=#00008B>',
	['MediumBlue'] = '<rgb=#0000CD>',
	['RoyalBlue'] = '<rgb=#4169E1>',
	['BlueViolet'] = '<rgb=#8A2BE2>',
	['Indigo'] = '<rgb=#4B0082>',
	['DarkSlateBlue'] = '<rgb=#483D8B>',
	['SlateBlue'] = '<rgb=#6A5ACD>',
	['MediumSlateBlue'] = '<rgb=#7B68EE>',
	['MediumPurple'] = '<rgb=#9370DB>',
	['DarkMagenta'] = '<rgb=#8B008B>',
	['DarkViolet'] = '<rgb=#9400D3>',
	['DarkOrchid'] = '<rgb=#9932CC>',
	['MediumOrchid'] = '<rgb=#BA55D3>',
	['Thistle'] = '<rgb=#D8BFD8>',
	['Plum'] = '<rgb=#DDA0DD>',
	['Violet'] = '<rgb=#EE82EE>',
	['Orchid'] = '<rgb=#DA70D6>',
	['MediumVioletRed'] = '<rgb=#C71585>',
	['PaleVioletRed'] = '<rgb=#DB7093>',
	['DeepPink'] = '<rgb=#FF1493>',
	['HotPink'] = '<rgb=#FF69B4>',
	['LightPink'] = '<rgb=#FFB6C1>',
	['Pink'] = '<rgb=#FFC0CB>',
	['AntiqueWhite'] = '<rgb=#FAEBD7>',
	['Beige'] = '<rgb=#F5F5DC>',
	['Bisque'] = '<rgb=#FFE4C4>',
	['BlanchedAlmond'] = '<rgb=#FFEBCD>',
	['Wheat'] = '<rgb=#F5DEB3>',
	['CornSilk'] = '<rgb=#FFF8DC>',
	['LemonChiffon'] = '<rgb=#FFFACD>',
	['LightGoldenRodYellow'] = '<rgb=#FAFAD2>',
	['LightYellow'] = '<rgb=#FFFFE0>',
	['SaddleBrown'] = '<rgb=#8B4513>',
	['Sienna'] = '<rgb=#A0522D>',
	['Chocolate'] = '<rgb=#D2691E>',
	['Peru'] = '<rgb=#CD853F>',
	['SandyBrown'] = '<rgb=#F4A460>',
	['BurlyWood'] = '<rgb=#DEB887>',
	['Tan'] = '<rgb=#D2B48C>',
	['RosyBrown'] = '<rgb=#BC8F8F>',
	['Moccasin'] = '<rgb=#FFE4B5>',
	['NavajoWhite'] = '<rgb=#FFDEAD>',
	['PeachPuff'] = '<rgb=#FFDAB9>',
	['MistyRose'] = '<rgb=#FFE4E1>',
	['LavenderBlush'] = '<rgb=#FFF0F5>',
	['Linen'] = '<rgb=#FAF0E6>',
	['OldLace'] = '<rgb=#FDF5E6>',
	['PapayaWhip'] = '<rgb=#FFEFD5>',
	['SeaShell'] = '<rgb=#FFF5EE>',
	['MintCream'] = '<rgb=#F5FFFA>',
	['SlateGray'] = '<rgb=#708090>',
	['LightSlateGray'] = '<rgb=#778899>',
	['LightSteelBlue'] = '<rgb=#B0C4DE>',
	['Lavender'] = '<rgb=#E6E6FA>',
	['FloralWhite'] = '<rgb=#FFFAF0>',
	['AliceBlue'] = '<rgb=#F0F8FF>',
	['GhostWhite'] = '<rgb=#F8F8FF>',
	['Honeydew'] = '<rgb=#F0FFF0>',
	['Ivory'] = '<rgb=#FFFFF0>',
	['Azure'] = '<rgb=#F0FFFF>',
	['Snow'] = '<rgb=#FFFAFA>',
	['DimGrey'] = '<rgb=#696969>',
	['DarkGrey'] = '<rgb=#A9A9A9>',
	['LightGrey'] = '<rgb=#D3D3D3>',
	['Gainsboro'] = '<rgb=#DCDCDC>',
	['WhiteSmoke'] = '<rgb=#F5F5F5>'
}

istelienTextLogo = chatColours['BlueViolet'] .. '-=[' .. chatColours['Orange'] .. 'ISTELIEN' .. chatColours['Closure'] .. ']=-' .. chatColours['Closure']
