--[[
    Istelien L (implementation of Istelien quiz engine in LUA with the aim of using it in LOTRO)
	Copyright (C) 2023-2024 Alejandro Meirinhos from Spain.

	This file is part of Istelien L.

	Istelien L is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Istelien L is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Istelien L.  If not, see <https://www.gnu.org/licenses/>.
--]]

import 'Anglachel.Istelien.EventHandlers'
import 'Anglachel.Istelien.Strings'
import 'Anglachel.Istelien.AnswerMatching'
import 'Anglachel.Istelien.AuxFunctions'
import 'Anglachel.Istelien.ChatMechanics'
import 'Anglachel.Istelien.Commands'
import 'Anglachel.Istelien.DataManagement'
import 'Anglachel.Istelien.Gui'
import 'Anglachel.Istelien.QuizMechanics'
import 'Anglachel.Istelien.Scoring'
import 'Anglachel.Istelien.Window'

Turbine.Shell.WriteLine(istelienTextLogo .. ' The Game of Knowledge. Version ' .. Plugins['Istelien']:GetVersion())

-- Define what to do for unloading the plugin
Plugins['Istelien'].Unload = function(self,sender,args)
		cleanEventMonitors()
		removeCallback(Turbine.Chat, 'Received', readChat) -- Stop chat monitoring (if active)
	end


-- Load config files and set up runtime data
initPluginData()

launcherIcon(true) -- Show launcher icon
activateWindow(wLauncherIcon, true)

addCallback(Turbine.Chat, 'Received', readChat) -- Start chat monitoring
