--[[
	THE QUIZ PACKAGES INCLUDED WITH ISTELIEN L ARE NOT DIRECTLY COVERED BY ISTELIEN L'S LICENSE.
	CHECK THE CONTENTS OF EACH PACKAGE OR INCLUDED LICENSE FILES FOR LICENSE INFORMATION.
--]]
--[[
    Istelien L (implementation of Istelien quiz engine in LUA with the aim of using it in LOTRO)
	Copyright (C) 2023-2024 Alejandro Meirinhos from Spain.

	This file is part of Istelien L.
	
	Istelien L is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Istelien L is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Istelien L.  If not, see <https://www.gnu.org/licenses/>.
--]]

defaultQuizLib =
{
	[1] =
	{
		["Info"] =
		{
		--[[ 	This quiz was originally written in Spanish for playing at IRC Hispano.
				I first knew it at the beginning of the century and at that time its
				author was already uncredited. My only intervention to create this
				package has been to translate it, so I claim no authorship beyond the
				translation; I haven't had any intention to modify the questions in any
				sense, instead trying to preserve its original character and (sometimes 
				poor) quality.
		--]]
			["PackageName"] = "Traditional Tolkien Quiz",
			["PackageCategory"] = "",
			["PackageAuthor"] = "Unknown",
			["PackageVersion"] = "1.0",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "How old was Bilbo when he left the Shire?",
				["Answer"] = "111",
			},
			[2] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the year of the beginning of the story told in the trilogy?",
				["Answer"] = "SR 1401",
			},
			[3] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "How many units is a Gross?",
				["Answer"] = "144",
			},
			[4] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "How many years is the difference between the Shire-reckoning and the year count of the Elves for the Third Age?",
				["Answer"] = "1600",
			},
			[5] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "When is Bilbo and Frodo\'s birthday?",
				["Answer"] = "September 22",
			},
			[6] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "How old was Frodo when Bilbo left Bag End on his birthday?",
				["Answer"] = "33",
			},
			[7] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "How many Orcs did Legolas kill at the Battle of Helm\'s Deep?",
				["Answer"] = "41",
			},
			[8] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "How many were the Istari who came to the Grey Havens?",
				["Answer"] = "5",
			},
			[9] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "How many were the members of the Fellowship of the Ring?",
				["Answer"] = "9",
			},
			[10] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Where does the battle in which Hma dies take place?",
				["Answer"] = "Helm\'s Deep",
			},
			[11] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What name was given to Trin in Nargothrond?",
				["Answer"] = "Adanedhel",
			},
			[12] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What name did the nineteenth king of Nmenor take?",
				["Answer"] = "Adnakhr",
			},
			[13] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the spear of Gil-Galad?",
				["Answer"] = "Aeglos",
			},
			[14] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was the fourth son of Finarfin, who along with his brother Angrod dominated the northern slopes of Dorthonion?",
				["Answer"] = "Aegnor",
			},
			[15] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Name of one of the three sailors who accompanied Erendil on his voyages",
				["Answer"] = "Aerandir",
			},
			[16] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Between Dorthonion and the heights west of Himring is the Pass of...? ",
				["Answer"] = "Aglon",
			},
			[17] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "How did Frodo\'s father die?",
				["Answer"] = "Drowned",
			},
			[18] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the Music of the Ainur called?",
				["Answer"] = "Ainulindal",
			},
			[19] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "The Sacred, First beings created by Ilvatar?",
				["Answer"] = "Ainur",
			},
			[20] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What three breeds are the Hobbits divided into?",
				["Answer"] = "Harfoots, Stoors, and Fallohides",
			},
			[21] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the Quenya name of the Vala Orom?",
				["Answer"] = "Aldaron",
			},
			[22] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the first abode of the Valar in Arda?",
				["Answer"] = "Almaren",
			},
			[23] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was the last lord of Andni in Nmenor?",
				["Answer"] = "Amandil",
			},
			[24] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of Nmenor in the Adnaic language?",
				["Answer"] = "Anadn",
			},
			[25] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "The greatest of Morgoth\'s Winged Dragons, destroyed by Erendil?",
				["Answer"] = "Ancalagon",
			},
			[26] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the mountain barier that ran through Beleriand?",
				["Answer"] = "Andram",
			},
			[27] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "In what caverns of the hills of Mithrim was Tuor raised by the Grey Elves?",
				["Answer"] = "Androth",
			},
			[28] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Another name for the Great River?",
				["Answer"] = "Anduin",
			},
			[29] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the largest city and western port of Nmenor?",
				["Answer"] = "Andni",
			},
			[30] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the Sword that Was Broken and is forged again?",
				["Answer"] = "Andril",
			},
			[31] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the underground fortress of Melkor north of Beleriand?",
				["Answer"] = "Angband",
			},
			[32] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the sword made from the iron of a meteor that Thingol received from El and that he gave to Beleg?",
				["Answer"] = "Anglachel",
			},
			[33] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the sword of El made of the same metal as Anglachel?",
				["Answer"] = "Anguirel",
			},
			[34] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Where is it written that \"Three rings for the elven kings under the sky...\"?",
				["Answer"] = "The One Ring",
			},
			[35] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Which Grey Elf of Mithrim raised Tuor?",
				["Answer"] = "Annael",
			},
			[36] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was King of Gondor after the death of Elendil?",
				["Answer"] = "Meneldur",
			},
			[37] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What were the names of Elendil\'s sons?",
				["Answer"] = "Anrion and Isildur",
			},
			[38] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was Arathorn\'s father?",
				["Answer"] = "Arador",
			},
			[39] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "To whom does the sword Andril belong?",
				["Answer"] = "Aragorn",
			},
			[40] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was the Chief of the Dnedain in the North in the War of the Ring?",
				["Answer"] = "Aragorn",
			},
			[41] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was the thirty-ninth heir of Isildur in the direct line?",
				["Answer"] = "Aragorn",
			},
			[42] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name given to the eight most powerful Valar?",
				["Answer"] = "Aratar",
			},
			[43] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was Aragorn\'s father?",
				["Answer"] = "Arathorn",
			},
			[44] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was the thirty-eighth heir of Isildur?",
				["Answer"] = "Arathorn",
			},
			[45] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What weapon does Legolas usually use?",
				["Answer"] = "Bow",
			},
			[46] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What gift does Galadriel give to Legolas?",
				["Answer"] = "Bow",
			},
			[47] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "According to the records of Gondor, who was the twentieth king of the Northern Dynasty?",
				["Answer"] = "Argeleb II",
			},
			[48] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the first Kingdom of the Dnedain in Middle-Earth?",
				["Answer"] = "Arnor",
			},
			[49] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What were the names of the horses that omer gave to Aragorn, Gimli and Legolas?",
				["Answer"] = "Arod and Hasufel",
			},
			[50] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was Aragorn\'s wife?",
				["Answer"] = "Arwen",
			},
			[51] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What healing leaves does Aragorn gather at Weatehrtop?",
				["Answer"] = "Athelas",
			},
			[52] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who is the Vala known as \"smith and a master of all crafts\"?",
				["Answer"] = "Aul",
			},
			[53] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name given to all the elves who refused to join the march west from Cuivinen?",
				["Answer"] = "Avari",
			},
			[54] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What forsaken land was on the coast of Aman south of the Bay of Eldamar?",
				["Answer"] = "Avathar",
			},
			[55] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "To the west of Gondor is...?",
				["Answer"] = "Bay of Belfalas",
			},
			[56] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of The Great Bay South of Beleriand?",
				["Answer"] = "Balar",
			},
			[57] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "He is buried in Moria",
				["Answer"] = "Balin",
			},
			[58] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Son of Fundin?",
				["Answer"] = "Balin",
			},
			[59] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Which dwarf proclaimed himself Lord of Moria in the last years of the Third Age?",
				["Answer"] = "Balin",
			},
			[60] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Which creature of Moria does Gandalf confront?",
				["Answer"] = "Balrog",
			},
			[61] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the Sindarin form of the name of the fire Demons, servants of Morgoth?",
				["Answer"] = "Balrog",
			},
			[62] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Which creature corresponds to \"Durin\'s Bane\"?",
				["Answer"] = "Balrog",
			},
			[63] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the creature that attacked the Company on the bridge of Moria?",
				["Answer"] = "Balrog",
			},
			[64] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the Dark Tower?",
				["Answer"] = "Barad-dr",
			},
			[65] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "By what means of transport did Aragorn get to Minas Tirith?",
				["Answer"] = "Boat",
			},
			[66] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the Great Sea between Middle-earth and Aman?",
				["Answer"] = "Belegaer",
			},
			[67] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "One of the two cities of the Dwarves in the Blue Mountains?",
				["Answer"] = "Belegost",
			},
			[68] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Gimli praise them as bakers",
				["Answer"] = "Beornings",
			},
			[69] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Was he called the old man, the driver of the first men who penetrated into Beleriand?",
				["Answer"] = "Ber",
			},
			[70] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Gandalf the Grey and Saruman the ...? ",
				["Answer"] = "White",
			},
			[71] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Where did Frodo live with Bilbo?",
				["Answer"] = "Bag End",
			},
			[72] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What street did Sam live on when he resided in Hobbiton?",
				["Answer"] = "Bagshot Row",
			},
			[73] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Which great-grandson of Ber, grandfather of Barahir, was the first lord of Ladros?",
				["Answer"] = "Boromir",
			},
			[74] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who betrays Frodo causing the breaking of The Fellowship?",
				["Answer"] = "Boromir",
			},
			[75] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of Denethor\'s two sons?",
				["Answer"] = "Boromir and Faramir",
			},
			[76] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was the father of Boromir of the Edain?",
				["Answer"] = "Boron",
			},
			[77] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Where does Legolas come from?",
				["Answer"] = "Mirkwood",
			},
			[78] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was Mirkwood called before the Shadow settled in it?",
				["Answer"] = "Greenwood",
			},
			[79] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "In what region is The Prancing Pony?",
				["Answer"] = "Bree",
			},
			[80] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What ent appears in the second part of the trilogy?",
				["Answer"] = "Treebeard",
			},
			[81] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who is said by Gandalg to be the oldest creature still alive in Middle-earth?",
				["Answer"] = "Treebeard",
			},
			[82] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the Ent that found Pippin and Merry in Fangorn?",
				["Answer"] = "Treebeard",
			},
			[83] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the owner of The Prancing Pony?",
				["Answer"] = "Barliman Butterbur",
			},
			[84] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Which Doriath Elf, a relative of Thingol, married Galadriel and remained with her in Middle-earth?",
				["Answer"] = "Celeborn",
			},
			[85] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What river flows from the Mirrormere of Lothlrien and joins the Anduin?",
				["Answer"] = "Celebrant",
			},
			[86] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of Fanor\'s third son, who was called \"the Fair\"?",
				["Answer"] = "Celegorm",
			},
			[87] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the caverns that are part of the shelter of Helm\'s Deep?",
				["Answer"] = "Glittering Caves",
			},
			[88] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who played Saruman in the films by Peter Jackson?",
				["Answer"] = "Christofer Lee",
			},
			[89] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "In which place was Frodo wonded?",
				["Answer"] = "Weathertop",
			},
			[90] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Where does Saruman die?",
				["Answer"] = "Shire",
			},
			[91] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the Council created to decide the fate of the Ring?",
				["Answer"] = "Council of Elrond",
			},
			[92] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What does Bilbo give to Frodo in Rivendell that saves his life?",
				["Answer"] = "Mithril-coat",
			},
			[93] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Which Farthing was the weed Saruman smoked from?",
				["Answer"] = "Southern",
			},
			[94] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What did Boromir blow when he was in danger?",
				["Answer"] = "Horn",
			},
			[95] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the sword that Bilbo gave to Frodo at Rivendell?",
				["Answer"] = "Sting",
			},
			[96] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of The One Ring in Boromir\'s dream?",
				["Answer"] = "Isildur\'s Bane",
			},
			[97] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of Boromir and Faramir\'s father?",
				["Answer"] = "Denethor",
			},
			[98] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "He was called Aranel and also Eluchil, son of Beren and Luthien and father of Elwing, received the Silmaril after the death of his parents, and the sons of Fanor killed him",
				["Answer"] = "Dior",
			},
			[99] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the dark fortress south of the Mirkwood?",
				["Answer"] = "Dol Guldur",
			},
			[100] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name given to the Girdle of Melian, formerly called Eglador, the kingdom of Thingol and Melian?",
				["Answer"] = "Doriath",
			},
			[101] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was Frodo\'s father?",
				["Answer"] = "Drogo",
			},
			[102] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who did Smagol kill to get the Ring?",
				["Answer"] = "Dagol",
			},
			[103] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "The First Age is also known as...?",
				["Answer"] = "Elder Days",
			},
			[104] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What did the Grey Elves call the nightingales?",
				["Answer"] = "Dlin",
			},
			[105] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "How do you say \'open\' in Sindarin?",
				["Answer"] = "Edro",
			},
			[106] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the inn at which Frodo and the others spent the night in Bree?",
				["Answer"] = "The Prancing Pony",
			},
			[107] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "At what inn did the hobbits meet Aragorn?",
				["Answer"] = "The Prancing Pony",
			},
			[108] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the third part of The Lord of the Rings?",
				["Answer"] = "The Return of the King",
			},
			[109] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is Varda\'s name in Sindarin?",
				["Answer"] = "Elbereth",
			},
			[110] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What were the High Elves called?",
				["Answer"] = "Eldar",
			},
			[111] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Tradicional",
				["Question"] = "Father of Isildur?",
				["Answer"] = "Elendil",
			},
			[112] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the race of Legolas?",
				["Answer"] = "Elf",
			},
			[113] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who are the Firstborn?",
				["Answer"] = "Elves",
			},
			[114] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "The Calaquendi are the...?",
				["Answer"] = "Elves of the Light",
			},
			[115] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who played Frodo Baggins in Peter Jackson\'s movie?",
				["Answer"] = "Elijah Wood",
			},
			[116] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the spider that barred Sam and Frodo\'s way into Mordor?",
				["Answer"] = "Shelob",
			},
			[117] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was the daughter of Dior, who escaped from Doriath and married Erendil?",
				["Answer"] = "Elwing",
			},
			[118] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the race of Gimli?",
				["Answer"] = "Dwarf",
			},
			[119] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the race of Treebeard?",
				["Answer"] = "Ent",
			},
			[120] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What lands are north of Gondor?",
				["Answer"] = "Eriador",
			},
			[121] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is another name for Ilvatar?",
				["Answer"] = "Eru",
			},
			[122] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "\"The One\", \"He That Is Alone\"?",
				["Answer"] = "Eru",
			},
			[123] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was Thorin called?",
				["Answer"] = "Oakenshield",
			},
			[124] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the stone that Aragorn carried upon his brow as a symbol of his House?",
				["Answer"] = "Star of Elendil",
			},
			[125] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the mound of Valmar where the Trees of Valinor grew?",
				["Answer"] = "Ezellohar",
			},
			[126] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was called \"Half-Elf\"?",
				["Answer"] = "Erendil",
			},
			[127] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who lived in Nan Elmoth, and was known as the Dark Elf?",
				["Answer"] = "El",
			},
			[128] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the real name of Treebeard?",
				["Answer"] = "Fangorn",
			},
			[129] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who did owyn marry after Aragorn gave her brushoff?",
				["Answer"] = "Faramir",
			},
			[130] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "By what nickname was Finro known when in Nargothrond?",
				["Answer"] = "Felagund",
			},
			[131] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of Erl\'s horse?",
				["Answer"] = "Felarf",
			},
			[132] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What did they kill Boromir with?",
				["Answer"] = "Arrows",
			},
			[133] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the stronghold that Fanor and his sons built north of Valinor during the exile?",
				["Answer"] = "Formenos",
			},
			[134] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the Hobbit, friend of Frodo, Pippin and Merry, who accompanied them to the border of The Shire?",
				["Answer"] = "Fredegar Bolger",
			},
			[135] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was the Last Ringbearer?",
				["Answer"] = "Frodo",
			},
			[136] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of Balin\'s father?",
				["Answer"] = "Fundin",
			},
			[137] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was Finw\'s eldest son?",
				["Answer"] = "Fanor",
			},
			[138] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who is Arwen Undmiel\'s maternal grandmother?",
				["Answer"] = "Galadriel",
			},
			[139] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who gave Legolas the bow he carried at the Battle of Helm\'s Deep?",
				["Answer"] = "Galadriel",
			},
			[140] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the tree that Yavanna made in the image of Telperion for the Elves of Tirion?",
				["Answer"] = "Galathilion",
			},
			[141] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "To whom did Crdan give his Ring Narya?",
				["Answer"] = "Gandalf",
			},
			[142] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What difference do the nine, the seven, and the three have that the one doesn\'t?",
				["Answer"] = "Gem",
			},
			[143] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What name was given to Erendil when he carried the Silmaril on his ship?",
				["Answer"] = "Gil-Estel",
			},
			[144] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was the Last King of the Noldor in Middle-earth?",
				["Answer"] = "Gil-Galad",
			},
			[145] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "One of Barahir\'s twelve companions in Dorthonion?",
				["Answer"] = "Gildor",
			},
			[146] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who killed more orcs in the Battle of Helm\'s Deep, Legolas or Gimli?",
				["Answer"] = "Gimli",
			},
			[147] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the sword that Gandalf carried when he left with the Company?",
				["Answer"] = "Glamdring",
			},
			[148] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Which Elf of Gondolin rushed to meet death on Cirith Thoronath in combat with a Balrog after the escape from the sack of the city?",
				["Answer"] = "Glorfindel",
			},
			[149] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who is Gimli\'s father?",
				["Answer"] = "Glin",
			},
			[150] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "By what name was Smagol known?",
				["Answer"] = "Gollum",
			},
			[151] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "The Mordor Plateau at the convergence of the Mountains of Shadow and the Ash Mountains?",
				["Answer"] = "Gorgoroth",
			},
			[152] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What measure of Hobbits was the sum of the ages of Frodo and Bilbo on the day of the birthday party on which Bilbo departed from Bag End?",
				["Answer"] = "Gross",
			},
			[153] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What\'s the name of Wormtongue?",
				["Answer"] = "Grma",
			},
			[154] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the sword of omer?",
				["Answer"] = "Gthwin",
			},
			[155] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What weapon does Gimli usually use?",
				["Answer"] = "Axe",
			},
			[156] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the Elven guide who introduced the Fellowship to Lrien?",
				["Answer"] = "Haldir",
			},
			[157] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was Sam\'s father\'s name?",
				["Answer"] = "Hamfast",
			},
			[158] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What did the Hobbits call the nicotiana?",
				["Answer"] = "Pipe Herb",
			},
			[159] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the race of Boromir?",
				["Answer"] = "Man",
			},
			[160] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Where is Frodo wounded?",
				["Answer"] = "Shoulder",
			},
			[161] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who is buried in Hornburg after the Battle of Helm\'s Deep?",
				["Answer"] = "Hma",
			},
			[162] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What lamp was erected in the North of Middle-earth during the Ages of the Lamps?",
				["Answer"] = "Illuin",
			},
			[163] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is another name for Eru?",
				["Answer"] = "Ilvatar",
			},
			[164] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of Rivendell in the Elvish language?",
				["Answer"] = "Imladris",
			},
			[165] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What were the first three Elven Kings called (in their usual order)?",
				["Answer"] = "Ingw, Finw and Elw",
			},
			[166] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the true name of the Valar Lrien?",
				["Answer"] = "Irmo",
			},
			[167] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What city did the Ents destroy?",
				["Answer"] = "Isengard",
			},
			[168] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was Elendil\'s eldest son?",
				["Answer"] = "Isildur",
			},
			[169] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who cuts Sauron\'s Hand?",
				["Answer"] = "Isildur",
			},
			[170] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the fragment of Tol Eressa that broke off and became anchored off the coast of Beleriand?",
				["Answer"] = "Isle of Balar",
			},
			[171] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Gandalf was it?",
				["Answer"] = "Istar",
			},
			[172] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What lands does Aragorn give to Faramir as a reward?",
				["Answer"] = "Ithilien",
			},
			[173] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was Tolkien\'s full name?",
				["Answer"] = "John Ronald Reuel Tolkien",
			},
			[174] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What did the Dwarves call the great mansions of the Dwarves of Durin\'s race in the Misty Mountains?",
				["Answer"] = "Khazad-dm",
			},
			[175] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the three volumes of The Lord of the Rings?",
				["Answer"] = "The Fellowship Of The Ring, The Two Towers, and The Return Of The King",
			},
			[176] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the first part?",
				["Answer"] = "The Fellowship of the Ring",
			},
			[177] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the second book of The Lord of the Rings?",
				["Answer"] = "The Two Towers",
			},
			[178] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What are the names of the Trees that planted the Valar in Valinor?",
				["Answer"] = "Laurelin and Telperion",
			},
			[179] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What are the names of the \"biscuits\" given to the Company by the Elves of Lrien?",
				["Answer"] = "Lembas",
			},
			[180] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What nickname was Grma known by?",
				["Answer"] = "Wormtongue",
			},
			[181] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who is Arwen in Peter Jackson\'s movie?",
				["Answer"] = "Liv Tyler",
			},
			[182] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the meaning of \"Andril\"?",
				["Answer"] = "Flame of the West",
			},
			[183] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who does Frodo Baggins Sell Bag End to?",
				["Answer"] = "Lobelia",
			},
			[184] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the son of Otho and Lobelia Sackville-Baggins?",
				["Answer"] = "Lotho",
			},
			[185] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What do the Sillmarils have inside?",
				["Answer"] = "Light of the Two Trees",
			},
			[186] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What land did Celeborn and Galadriel rule?",
				["Answer"] = "Lrien",
			},
			[187] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What Vala is the Lord of Dreams?",
				["Answer"] = "Lrien",
			},
			[188] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was the fateful son of Aredhel, the White Mistress of the Noldor, and El, the Dark Elf?",
				["Answer"] = "Maeglin",
			},
			[189] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name given to the Ainur of lower rank than the Valar?",
				["Answer"] = "Maiar",
			},
			[190] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What kind of tree was predominant in Lothlrien?",
				["Answer"] = "Mallorn",
			},
			[191] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What Vala is the Lord of the Air?",
				["Answer"] = "Manw",
			},
			[192] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Where was the mere of Cuivinen?",
				["Answer"] = "Inland Sea of Helcar",
			},
			[193] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What did Gimli ask Galadriel, the Lady of Lrien, to give him?",
				["Answer"] = "Strand of hair",
			},
			[194] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who did Ilvatar make the most powerful Ainu?",
				["Answer"] = "Melkor",
			},
			[195] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was Merry\'s full name?",
				["Answer"] = "Meriadoc Brandibuck",
			},
			[196] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who Did Treebeard Help?",
				["Answer"] = "Merry and Pippin",
			},
			[197] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is Boromir\'s hometown?",
				["Answer"] = "Minas Tirith",
			},
			[198] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "One of Gandalf\'s names?",
				["Answer"] = "Mithrandir",
			},
			[199] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "How was the Maia Olrin known among the Elves?",
				["Answer"] = "Mithrandir",
			},
			[200] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What precious metal from Moria was more valuable than gold?",
				["Answer"] = "Mithril",
			},
			[201] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the coat of mail that Bilbo gave to Frodo made of?",
				["Answer"] = "Mithril",
			},
			[202] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was Aragorn before he was king?",
				["Answer"] = "Ranger",
			},
			[203] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the meaning of \"Amon Amarth\"?",
				["Answer"] = "Mount Doom",
			},
			[204] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "To what mountain does Frodo go throughout the story?",
				["Answer"] = "Mount Doom",
			},
			[205] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What lands are east of Gondor?",
				["Answer"] = "Mordor",
			},
			[206] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Bauglir is one of the names of...? ",
				["Answer"] = "Morgoth",
			},
			[207] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Name given to Melkor after the Silmarils were taken by him?",
				["Answer"] = "Morgoth",
			},
			[208] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who were the two Dark Lords?",
				["Answer"] = "Morgoth and Sauron",
			},
			[209] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the later name of Khazad-dm?",
				["Answer"] = "Moria",
			},
			[210] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the names for the Elves who never saw the light of the Two Trees?",
				["Answer"] = "Moriquendi",
			},
			[211] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Complete: Nine for Mortal Men...? ",
				["Answer"] = "doomed to die",
			},
			[212] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the Ring of Doom?",
				["Answer"] = "Mhanaxar",
			},
			[213] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the Red Ring?",
				["Answer"] = "Narya",
			},
			[214] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the Ringwraiths?",
				["Answer"] = "Nazgl",
			},
			[215] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What creature does Legolas shoot an arrow at in Emyn Muil?",
				["Answer"] = "Nazgl",
			},
			[216] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of Galadriel\'s Elven Ring?",
				["Answer"] = "Nenya",
			},
			[217] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the spider web that Ungoliant wove?",
				["Answer"] = "Unlight",
			},
			[218] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "In which country was the Peter Jackson\'s film shot?",
				["Answer"] = "New Zealand",
			},
			[219] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is another name given to Numenor?",
				["Answer"] = "Westernesse",
			},
			[220] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the animal that Sam saw in Ithilien and thought did not exist?",
				["Answer"] = "Oliphaunt",
			},
			[221] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is Gandalf\'s name as Maiar?",
				["Answer"] = "Olrin",
			},
			[222] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What other sword was Glamdring sister to when it was found?",
				["Answer"] = "Orcrist",
			},
			[223] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the tower where Saruman lived?",
				["Answer"] = "Orthanc",
			},
			[224] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the main city of Gondor in its early years?",
				["Answer"] = "Osgiliath",
			},
			[225] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Where did the Fellowship got separated?",
				["Answer"] = "Parth Galen",
			},
			[226] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What immense mountain range did the Valar erect east of Aman?",
				["Answer"] = "Pelri",
			},
			[227] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was Pippin\'s full name?",
				["Answer"] = "Peregrin Took",
			},
			[228] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What does \"Mithrandir\" mean?",
				["Answer"] = "Grey Pilgrim",
			},
			[229] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What does \"Elessar\" mean, the nickname given to Aragorn?",
				["Answer"] = "Elfstone",
			},
			[230] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "By what name did the people of Gondor know Aragorn?",
				["Answer"] = "Elfstone",
			},
			[231] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "A Bree Inn?",
				["Answer"] = "Prancing Pony",
			},
			[232] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the \"Age of the Lamps\" also called?",
				["Answer"] = "Spring of Arda",
			},
			[233] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is Bilbo in relation to Frodo?",
				["Answer"] = "Cousin",
			},
			[234] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of \"The History of the Silmarils\"?",
				["Answer"] = "Quenta Silmarillion",
			},
			[235] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the High Elvish language?",
				["Answer"] = "Quenya",
			},
			[236] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Which Istar was sent by Saruman to summon Gandalf?",
				["Answer"] = "Radagast",
			},
			[237] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What dense forest covers the southern part of Doriath?",
				["Answer"] = "Region",
			},
			[238] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Land east of the Misty Mountains?",
				["Answer"] = "Rhovanion",
			},
			[239] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What city did Elrond live in?",
				["Answer"] = "Rivendell",
			},
			[240] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Where were Bilbo and Frodo reunited after the former left the Shire?",
				["Answer"] = "Rivendell",
			},
			[241] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the Land of Horses?",
				["Answer"] = "Rohan",
			},
			[242] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Of what kingdom was Thoden king?",
				["Answer"] = "Rohan",
			},
			[243] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who are the Lords of the Horses?",
				["Answer"] = "Rohirrim",
			},
			[244] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Another name for Anduin?",
				["Answer"] = "Great River",
			},
			[245] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the Quenya name of the Maia called \"Skilful One\"?",
				["Answer"] = "Curumo",
			},
			[246] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the Three Jewels made by Fanor?",
				["Answer"] = "Silmarils",
			},
			[247] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who are the Grey Elves?",
				["Answer"] = "Sindar",
			},
			[248] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the Elvish language of Beleriand?",
				["Answer"] = "Sindarin",
			},
			[249] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who played Gandalf in Peter Jackson\'s movie?",
				["Answer"] = "Sir Ian McKellen",
			},
			[250] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Which magic throne sits atop Amon Lhaw?",
				["Answer"] = "Seat of Hearing",
			},
			[251] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was Gollum\'s real name?",
				["Answer"] = "Smagol",
			},
			[252] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of Gandalf\'s horse?",
				["Answer"] = "Shadowfax",
			},
			[253] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the horse that King Thoden gave to Gandalf?",
				["Answer"] = "Shadowfax",
			},
			[254] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What False Surname Does Frodo Take?",
				["Answer"] = "Underhill",
			},
			[255] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of the Holy Mountain of the Pelri where Manw has his throne?",
				["Answer"] = "Taniquetil",
			},
			[256] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What name did Elros the Half-Elf adopt when he became the first king of Nmenor?",
				["Answer"] = "Tar-Minyatur",
			},
			[257] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What name did the Sindar give to Orom?",
				["Answer"] = "Tauron",
			},
			[258] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "In what era does the story take place?",
				["Answer"] = "Third Age",
			},
			[259] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who gave mailcoat to Bilbo?",
				["Answer"] = "Thorin",
			},
			[260] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "King of the Mark in the War of the Ring?",
				["Answer"] = "Thoden",
			},
			[261] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of owyn\'s uncle?",
				["Answer"] = "Thoden",
			},
			[262] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Where does the story of The Lord of the Rings take place?",
				["Answer"] = "Middle-Earth",
			},
			[263] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name of The Lonely Isle\', abode of the Teleri of Olw, which is anchored in the Bay of Eldamar, opposite Valinor?",
				["Answer"] = "Tol Eressa",
			},
			[264] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "The Dwarves called it Forn and the Men called it Orald, but what did the Hobbits call it?",
				["Answer"] = "Tom Bombadil",
			},
			[265] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who helped the Hobbits when they fell into the Barrows?",
				["Answer"] = "Tom Bombadil",
			},
			[266] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the tallest Hobbit in history, after Pippin and Merry?",
				["Answer"] = "Bullroarer",
			},
			[267] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the meaning of Minas in Minas Tirith, Morgul...?",
				["Answer"] = "Tower",
			},
			[268] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the meaning of \"Barad-dr\"?",
				["Answer"] = "Dark Tower",
			},
			[269] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What does \"Minas Ithil\" mean?",
				["Answer"] = "Tower of the Moon",
			},
			[270] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "By what name was Aragorn known in Bree?",
				["Answer"] = "Strider",
			},
			[271] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Where do hobbits\' daggers come from?",
				["Answer"] = "Barrows",
			},
			[272] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What other creatures led the march of the Ents?",
				["Answer"] = "Huorns",
			},
			[273] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "One of the Uruk-hai?",
				["Answer"] = "Uglk",
			},
			[274] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the great spider whose voracity caused it to eat itself?",
				["Answer"] = "Ungoliant",
			},
			[275] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What fortress did Melkor create during the Spring of the Arda?",
				["Answer"] = "Utumno",
			},
			[276] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What name was given to the great Ainur?",
				["Answer"] = "Valar",
			},
			[277] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What is the name given to the Elves who followed Ingw to Valinor?",
				["Answer"] = "Vanyar",
			},
			[278] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was Sam Gamgee\'s illusion at the beginning of the journey?",
				["Answer"] = "See Elves",
			},
			[279] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who played Aragorn in Peter Jackson\'s film?",
				["Answer"] = "Viggo Mortensen",
			},
			[280] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Which Valie is the Queen of the Earth?",
				["Answer"] = "Yavanna",
			},
			[281] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Complete: Seven for the Dwarf-lords...?",
				["Answer"] = "in their halls of stone",
			},
			[282] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Complete: Three Rings for...?",
				["Answer"] = "the Elven-Kings under the sky",
			},
			[283] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "Who was the Third Marshal of Riddermark of Rohan during the War of the Ring?",
				["Answer"] = "omer",
			},
			[284] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the Third Marshal Riddermark of Rohan, brother of owyn?",
				["Answer"] = "omer",
			},
			[285] =
			{
				["Category"] = "Tolkien",
				["Author"] = "Traditional",
				["Question"] = "What was the name of the league formed between Elendil and Gil-Galad at the end of the Second Age?",
				["Answer"] = "Last Alliance",
			},
		}
	},
	[2] =
	{
		["Info"] =
		{
		--[[
				This humoristic quiz was originally written in Spanish for playing at IRC Hispano on
				channels #tierra_media and #tierra_media_trivial at the beginning of the century. In
				what was a quiz frenzy back then, Curufin came with his set of comedy questions, which
				was soon extended by ^RedBaron. Since I lost contact with the authors years ago and
				their questions were made public by then, I took the liberty of translating them and
				adapting them to their new context. This is Curufin's set of questions, and I claim
				no autorship beyond the translation.
				In a very small number of cases there is some reference to an element that would be
				obscure to anybody that don't know the original context. However, as it's something
				marginal I decided to preserve them as a show of respect.
				May you find this work out there and find the way to restore contact to have some
				laughs again.
		--]]
			["PackageName"] = "Dumb quiz",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "2 orcs + 2 orcs?",
				["Answer"] = "4 orcs",
			},
			[2] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "1 elf + 3 elves?",
				["Answer"] = "4 elves",
			},
			[3] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "2 dwarves + 3 dwarves?",
				["Answer"] = "5 dwarves",
			},
			[4] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "1 hobbit + 2 hobbits?",
				["Answer"] = "3 hobbits",
			},
			[5] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "136 noldor + 877 noldor?",
				["Answer"] = "1013 noldor",
			},
			[6] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "1 noldo + 1 teler?",
				["Answer"] = "1 noldo",
			},
			[7] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "1 ent + 1 entwife?",
				["Answer"] = "impossible",
			},
			[8] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "1 elf + 1 dwarf?",
				["Answer"] = "gimli and legolas",
			},
			[9] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "1 hobbit + 1 elf maiden?",
				["Answer"] = "rotfl",
			},
			[10] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "1000 noldor + 1 teler?",
				["Answer"] = "injustice??",
			},
			[11] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "1 Frodo + 1 Sam?",
				["Answer"] = "hummmm",
			},
			[12] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "How is Eowyn actually written?",
				["Answer"] = "with latin i",
			},
			[13] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "Who is the author of the most fun quiz of about Middle-Earth?",
				["Answer"] = "Curufin",
			},
			[14] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "How many children did Maglor have?",
				["Answer"] = "he was impotent",
			},
			[15] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "3 hobbit + 5 hobbits?",
				["Answer"] = "1 hobbyte",
			},
			[16] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "When is the next kinship meeting going to be held?",
				["Answer"] = "it's been suspended",
			},
			[17] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What's the coolest channel?",
				["Answer"] = "himlad",
			},
			[18] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "Who is the author of The Lord Of The Rings",
				["Answer"] = "a guy who had no better thing to do",
			},
			[19] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "If 2+2 is 4, how much is two plus two?",
				["Answer"] = "four",
			},
			[20] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "The fact that jellyfish have survived for several ages without brains gives hope to many...",
				["Answer"] = "hobbits",
			},
			[21] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "When is dog's day?",
				["Answer"] = "June 24th",
			},
			[22] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "137 noldor + 877 noldor?",
				["Answer"] = "1014 noldor",
			},
			[23] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "246 noldor + 878 noldor?",
				["Answer"] = "1124 noldor",
			},
			[24] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "475 noldor + 1212 noldor?",
				["Answer"] = "1687 noldor",
			},
			[25] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "1 noldo + 7 million noldor?",
				["Answer"] = "7000001 noldor",
			},
			[26] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "100 noldor + 0.47 noldor?",
				["Answer"] = "100.47 noldor",
			},
			[27] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "136 noldor X 2?",
				["Answer"] = "272 noldor",
			},
			[28] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "If two plus two is 4, how much is 2+2?",
				["Answer"] = "4",
			},
			[29] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What color was Curufin\'s white horse?",
				["Answer"] = "lilac with green polka dots",
			},
			[30] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What color was Curufin\'s white horse?",
				["Answer"] = "lilac with yellow polka dots",
			},
			[31] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What color was Curufin\'s white horse?",
				["Answer"] = "lilac with blue polka dots",
			},
			[32] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What color was Curufin\'s white horse?",
				["Answer"] = "lilac with black polka dots",
			},
			[33] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What color was Curufin\'s white horse?",
				["Answer"] = "lilac with white polka dots",
			},
			[34] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What color was Curufin\'s white horse?",
				["Answer"] = "lilac with grey polka dots",
			},
			[35] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What color was Curufin\'s white horse?",
				["Answer"] = "lilac with lilac polka dots",
			},
			[36] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What color was Curufin\'s white horse?",
				["Answer"] = "lilac with red polka dots",
			},
			[37] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What color was Curufin\'s white horse?",
				["Answer"] = "lilac with pink polka dots",
			},
			[38] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What color was Curufin\'s white horse?",
				["Answer"] = "lilac with violet polka dots",
			},
			[39] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What color was Curufin\'s white horse?",
				["Answer"] = "lilac with brown polka dots",
			},
			[40] =
			{
				["Category"] = "Comedy",
				["Author"] = "Curufin",
				["Question"] = "What color was Curufin\'s white horse?",
				["Answer"] = "lilac with orange polka dots",
			},
		}
	},
	[3] =
	{
		["Info"] =
		{
		--[[			
				This humoristic quiz was originally written in Spanish for playing at IRC Hispano on
				channels #tierra_media and #tierra_media_trivial at the beginning of the century. In
				what was a quiz frenzy back then, Curufin came with his set of comedy questions, which
				was soon extended by ^RedBaron. Since I lost contact with the authors years ago and
				their questions were made public by then, I took the liberty of translating them and
				adapting them to their new context. This is ^RedBaron's set of questions, and I claim
				no autorship beyond the translation.
				In a very small number of cases there is some reference to an element that would be
				obscure to anybody that don't know the original context. However, as it's something
				marginal I decided to preserve them as a show of respect.
				May you find this work out there and find the way to restore contact to have some
				laughs again.
		--]]
			["PackageName"] = "Dumber quiz",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is 1 noldo + 1 teler?",
				["Answer"] = "1 noldo",
			},
			[2] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How do you kill 500 fanorians?",
				["Answer"] = "Throwing a silmaril to Orodruin",
			},
			[3] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Who said to Frodo: \"Don't despair until the end, because help sometimes come from where is least expected\"?",
				["Answer"] = "Nobody",
			},
			[4] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How is \"long composite bow\" in rohirric?",
				["Answer"] = "Who cares?",
			},
			[5] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Which noldo elf wrote the Narn-i-hn-Elmoth during the first age?",
				["Answer"] = "that doesn not exist!",
			},
			[6] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What colour was Gandalf\'s white horse?",
				["Answer"] = "Grey",
			},
			[7] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What colour was Gandalf\'s white horse?",
				["Answer"] = "Not white",
			},
			[8] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What colour was Gandalf\'s white horse?",
				["Answer"] = "White but it was called shadowfax",
			},
			[9] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What colour was Gandalf\'s white horse?",
				["Answer"] = "Like Curufin\'s",
			},
			[10] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What colour was Gandalf\'s white horse?",
				["Answer"] = "This question is wrong",
			},
			[11] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What colour was Gandalf\'s white horse?",
				["Answer"] = "Same as Mithrandir\'s",
			},
			[12] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What colour was Gandalf\'s white horse?",
				["Answer"] = "Same as Olrin\'s",
			},
			[13] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What colour was Curufin\'s lilac with green polka dots horse?",
				["Answer"] = "Now bugger off",
			},
			[14] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What colour was Gandalf\'s white horse?",
				["Answer"] = "Brown because it fell into a puddle",
			},
			[15] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What colour was Gandalf\'s white horse?",
				["Answer"] = "Brown because it fell into a swamp",
			},
			[16] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How was shadowfax, the white horse of Gandalf, called?",
				["Answer"] = "XDDD",
			},
			[17] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Who was Tom Bombadil?",
				["Answer"] = "he is",
			},
			[18] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Who is Tom Bombadil?",
				["Answer"] = "Old Tom Bombadil is a merry fellow, bright blue his jacket is, and his boots are yellow",
			},
			[19] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "\"To the East I go not\". Why Gandalf goes not to the East?",
				["Answer"] = "Because to the East he goes not",
			},
			[20] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What colour was Boromir\'s white horse?",
				["Answer"] = "he does not have a horse",
			},
			[21] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How many hobbits there were in the company?",
				["Answer"] = "There were no hobbits in the grey company of the dnedain",
			},
			[22] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Do you know who built Orthanc?",
				["Answer"] = "Me neither",
			},
			[23] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How many question does this quiz have?",
				["Answer"] = "It's not finished yet",
			},
			[24] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How many question does this quiz have?",
				["Answer"] = "I don't fancy counting them",
			},
			[25] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How many question does this quiz have?",
				["Answer"] = "2+PI/cos(artg e^12)-1/x+3",
			},
			[26] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How is hill said in ent language?",
				["Answer"] = "a-lalla-lalla-rumba-kamanda-lind-or-burm",
			},
			[27] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How is Akallabth said in adnaic?",
				["Answer"] = "Akallabth",
			},
			[28] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "4+5?",
				["Answer"] = "your ass is mine",
			},
			[29] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What was Frodo's mithril coat made of?",
				["Answer"] = "many rings",
			},
			[30] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Where is \"a ring to rule them all and in the darkness bind them\" written on?",
				["Answer"] = "The first LOTR book",
			},
			[31] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Who said: \"No, I can\'t think how, begging your pardon\"?",
				["Answer"] = "Sam",
			},
			[32] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Quin dijo: \"The Halflings are courteous folk, whatever else they be\"",
				["Answer"] = "Faramir",
			},
			[33] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Quin dijo: \"I will stop it! And you shall come with me\"?",
				["Answer"] = "Brbol",
			},
			[34] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How the forest where Galadriel y Celeborn is called?",
				["Answer"] = "Laurelindrinan",
			},
			[35] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Who is Tom Bombadil?",
				["Answer"] = "Even he doesn't know",
			},
			[36] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How do the men of the Mark call the Balrog of Moria?",
				["Answer"] = "They don\'t call it",
			},
			[37] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How is \"hi\" said andultic?",
				["Answer"] = "andulitic???",
			},
			[38] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the last word of Quenta Silmarillion?",
				["Answer"] = "Mandos",
			},
			[39] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "A quiz to interrogate them all and...",
				["Answer"] = "to the keyboards bind them",
			},
			[40] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the common thing between Mriel and Glaurung?",
				["Answer"] = "they went to sleep before dying",
			},
			[41] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the common thing between Gandalf's white horse and Curufin\'s white horse?",
				["Answer"] = "both are lilac with green polka dots",
			},
			[42] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the common thing between Gandalf's white horse and Curufin\'s white horse?",
				["Answer"] = "both are lilac with yellow polka dots",
			},
			[43] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the common thing between Gandalf's white horse and Curufin\'s white horse?",
				["Answer"] = "both are lilac with blue polka dots",
			},
			[44] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the common thing between Gandalf's white horse and Curufin\'s white horse?",
				["Answer"] = "both are lilac with red polka dots",
			},
			[45] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the common thing between Gandalf's white horse and Curufin\'s white horse?",
				["Answer"] = "both are lilac with black polka dots",
			},
			[46] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the common thing between Gandalf's white horse and Curufin\'s white horse?",
				["Answer"] = "both are lilac with brown polka dots",
			},
			[47] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the common thing between Gandalf's white horse and Curufin\'s white horse?",
				["Answer"] = "both are green with lilac polka dots XDDDDDDDD",
			},
			[48] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "(OFF-TOPIC) What is the full name of the red baron?",
				["Answer"] = "Baron Manfred von Richtofen",
			},
			[49] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the lidless eye smiley?",
				["Answer"] = "3()",
			},
			[50] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How is \"pyromaniac\" said in quenya?",
				["Answer"] = "Fanorian",
			},
			[51] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the most popular fanorian sport?",
				["Answer"] = "Silmaril throw",
			},
			[52] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Open the curtain, you see many fanorians burning boats, close the curtian. Whatis the movie?",
				["Answer"] = "Teleritanic",
			},
			[53] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Find the intruder: Gandalf, Elminster, Alatar, Radagast y Pallando.",
				["Answer"] = "Elminster",
			},
			[54] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "If Gimli killed 42 orcs and Legolas kileld 41, how many did Aragorn kill?",
				["Answer"] = "he did not count them",
			},
			[55] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Saruman rejected being the white to be the ...",
				["Answer"] = "lila with red multicolour dots",
			},
			[56] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "3 elves + 3 dwarves + 3 orcs?",
				["Answer"] = "0",
			},
			[57] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Do balrogs have wings?",
				["Answer"] = "Neither yes nor no, just the contrary",
			},
			[58] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Do balrogs have wings?",
				["Answer"] = "Only the lilac with brown polka dots",
			},
			[59] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Do balrogs have wings?",
				["Answer"] = "Do donkeys fly?",
			},
			[60] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "If Gimli killed 42 orcs, how many Gimlis did orc kill?",
				["Answer"] = "-42",
			},
			[61] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "If Legolas killed 41 orcs, how many Legolas did orc kill?",
				["Answer"] = "-41",
			},
			[62] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What color was Glorfindel\'s white horse?",
				["Answer"] = "Asfaloth",
			},
			[63] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How was Asfaloth, the horse of Glorfindel, called?",
				["Answer"] = "white",
			},
			[64] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Who said: \"not all who wander glitters, nor all gold are lost\"?",
				["Answer"] = "Me",
			},
			[65] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How much is 2^(PI+6/13-sen 23)/14?",
				["Answer"] = "hahahaha",
			},
			[66] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Who said the celebrated quote: \"Sssh! ssh! Sssh!\"?",
				["Answer"] = "Gollum",
			},
			[67] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What was the last word pronounced by Thingol before being murdered by the dwarves?",
				["Answer"] = "Bastaaaaaards",
			},
			[68] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the best Tolkien quiz channel?",
				["Answer"] = "Oh, is this a Tolkien quiz??",
			},
			[69] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Who played the cave troll in the LOTR movie?",
				["Answer"] = "It's CGI",
			},
			[70] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is Saruman\'s emblem?",
				["Answer"] = "The White With Lilac Polka Dots Hand",
			},
			[71] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Which are the most charismatic creatures of Middle-Earth (except white horses)?",
				["Answer"] = "lilac polka dots neekerbreeker",
			},
			[72] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is Sauron\'s emblem?",
				["Answer"] = "The Red Eye with Lilac Polka Dots",
			},
			[73] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is the emblem of Gondor?",
				["Answer"] = "7 stars and a white tree with lilac polka dots",
			},
			[74] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Where did the Witch-King of Angmar reign?",
				["Answer"] = "In his kingdom",
			},
			[75] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "What is shown in the standard of the Haradrim?",
				["Answer"] = "a black serpent with lilac polka dots",
			},
			[76] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Who said the known expression of \"hummm hommm\"?",
				["Answer"] = "Fangorn",
			},
			[77] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "How many steps has Orthanc stair?",
				["Answer"] = "27",
			},
			[78] =
			{
				["Category"] = "Comedy",
				["Author"] = "^RedBaron",
				["Question"] = "Which bird took Tom Bombadil\'s his hat feather from?",
				["Answer"] = "Kingfisher",
			},
		}
	},
	[4] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Base - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"E! Let these things Be!\"?",
				["Answer"] = "Eru",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Eru say \"Why hast thou done this? Why dost thou attempt a thing which thou knowest is beyond thy power and thy authority?\"?",
				["Answer"] = "Aul",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Never again shall I bear child; for strength that would have nourished the life of many has gone forth into Fanor\"?",
				["Answer"] = "Mriel",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Blackheart! I have done thy bidding. But I hunger still.\"?",
				["Answer"] = "Ungoliant",
			},
			[5] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"None and none! What I have left behind I count now no loss; needless baggage on the road it has proved\"?",
				["Answer"] = "Fanor",
			},
			[6] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"O King to whom all birds are dear, speed now this feathered shaft, and recall some pity for the Noldor in their need!\"?",
				["Answer"] = "Fingon",
			},
			[7] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Maedhros talking about when he said, \"A king is he that can hold his own, or eke his title is vain.\"?",
				["Answer"] = "Thingol",
			},
			[8] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Turn now south and not north, for I will not ride to Hithlum; my heart desires rather to find the sons of Fanor, my friends of old.\"?",
				["Answer"] = "Aredhel",
			},
			[9] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"You have my leave, but not my love. The sooner you depart from my land the better will it please me.\", and to whom?",
				["Answer"] = "Curufin to El",
			},
			[10] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"A darkness lies behind us, and we have turned our backs upon it, and we do not desire to return thither even in thought.\"?",
				["Answer"] = "Bor",
			},
			[11] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Who said, at the 5th Battle of Beleriand, \"Utlie\'n aur! Aiya Eldali ar Atanatri, utlie\'n aur!\"?",
				["Answer"] = "Fingon",
			},
			[12] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"With my eyes thou shalt see, and with my ears thou shalt hear; and never shalt thou move from this place until all is fulfilled unto its bitter end.\" To whom were these words driven?",
				["Answer"] = "Hrin",
			},
			[13] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Who are you, that come hither as a thief, and unbidden dare to approach my throne?\" and to whom?",
				["Answer"] = "Thingol to Beren",
			},
			[14] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"There everlastingly thy naked self shall endure the torment of his scorn, pierced by his eyes, unless thou yield to me the mastery of thy tower\". Who received these harsh words?",
				["Answer"] = "Sauron",
			},
			[15] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Get you gone, and fly! For here is a fire that shall consume you, and all evil things.\"",
				["Answer"] = "Beren",
			},
			[16] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Trin talking to when he said, \"Hail Gurthang! No lord or loyalty dost thou know, save the hand that wieldeth thee. From no blood wilt thou shrink. Wilt thou therefore take Trin Turambar, wilt thou slay me swiftly?\"?",
				["Answer"] = "Black Sword",
			},
			[17] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did say \"Yea, I will drink thy blood gladly, that so I may forget the blood of Beleg my master, and the blood of Brandir slain unjustly. I will slay thee swiftly.\"?",
				["Answer"] = "Black Sword",
			},
			[18] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Receive thou thy fee for thy fair keeping of my children and my wife!\"?",
				["Answer"] = "Hrin",
			},
			[19] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Here none but myself shall set foot, lest you fall under the wrath of the Valar. But that peril I will take on myself alone, for the sake of the Two Kindreds.\"?",
				["Answer"] = "Erendil",
			},
			[20] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"The Lords of the West have plotted against us. They strike first. The next blow shall be ours!\"?",
				["Answer"] = "Ar-Pharazn",
			},
			[21] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said, concerning the Ancient Darkness, \"And out of it the world was made. For Darkness alone is worshipful, and the Lord thereof may yet make other worlds to be gifts to those that serve him.\"?",
				["Answer"] = "Sauron",
			},
			[22] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"True, alas, is our guess. This is not one of the lairi, as many have long supposed.\"?",
				["Answer"] = "Gandalf",
			},
			[23] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Take now this Ring, for thy labours and thy cares will be heavy, but in all it will support thee and defend thee from weariness.\"?",
				["Answer"] = "Crdan",
			},
			[24] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Eru give to the Universe?",
				["Answer"] = "E",
			},
			[25] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place where Eru and the Ainur lived before the creation of E?",
				["Answer"] = "Timeless Halls",
			},
			[26] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the emptiness that reigned before E?",
				["Answer"] = "Deeps of Time",
			},
			[27] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the highest mountain in Avathar?",
				["Answer"] = "Hyarmentir",
			},
			[28] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name was given to the planet Earth?",
				["Answer"] = "Arda",
			},
			[29] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the kingdom of the Valar?",
				["Answer"] = "Valinor",
			},
			[30] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the lands of the Elves in Valinor?",
				["Answer"] = "Eldamar",
			},
			[31] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is Valinor also called?",
				["Answer"] = "Blessed Realm",
			},
			[32] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the mound where the Two Trees were?",
				["Answer"] = "Ezellohar",
			},
			[33] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what other name is Ezellohar called?",
				["Answer"] = "Corollair",
			},
			[34] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the barren wasteland on the coast of Aman, extending northward to the Helcarax?",
				["Answer"] = "Araman",
			},
			[35] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the strait between Araman and Middle-earth?",
				["Answer"] = "Helcarax",
			},
			[36] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the lands where Ungoliant attacked Morgoth called?",
				["Answer"] = "Lammoth",
			},
			[37] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was another name for Middle-earth?",
				["Answer"] = "Endor",
			},
			[38] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place where Fanor landed after crossing the sea?",
				["Answer"] = "Firth of Drengist",
			},
			[39] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place where Fanor burned the ships of the Teleri?",
				["Answer"] = "Losgar",
			},
			[40] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great river that ran through Beleriand?",
				["Answer"] = "Sirion",
			},
			[41] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the longest tributary of the Teiglin?",
				["Answer"] = "Malduin",
			},
			[42] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main river of Doriath?",
				["Answer"] = "Esgalduin",
			},
			[43] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hidden city on the Esgalduin?",
				["Answer"] = "Menegroth",
			},
			[44] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two Dwarven cities were in Ered Luin?",
				["Answer"] = "Belegost and Nogrod",
			},
			[45] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mountain near Belegost and Nogrod?",
				["Answer"] = "Dolmed",
			},
			[46] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the highest mountain in Arda, where Manw and Varda live?",
				["Answer"] = "Taniquetil",
			},
			[47] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How are the gardens in the middle of Valinor, where Irmo lives, called?",
				["Answer"] = "Lrien",
			},
			[48] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the lake in the gardens of Irmo, where Est lives?",
				["Answer"] = "Lrellin",
			},
			[49] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the place where Elves go after they die?",
				["Answer"] = "Halls of Mandos",
			},
			[50] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lamp the Valar placed in the North of Arda?",
				["Answer"] = "Illuin",
			},
			[51] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lamp the Valar placed in Southern Arda?",
				["Answer"] = "Ormal",
			},
			[52] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the island on which the Valar dwelt until the end of the Spring of Arda?",
				["Answer"] = "Almaren",
			},
			[53] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What fortress did Melkor build before he destroyed the Spring of Arda?",
				["Answer"] = "Utumno",
			},
			[54] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Morgoth\'s fortress in northwestern Middle-earth?",
				["Answer"] = "Angband",
			},
			[55] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the region above the air where the stars were?",
				["Answer"] = "Ilmen",
			},
			[56] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the red star that Varda put in the sky?",
				["Answer"] = "Carnil",
			},
			[57] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the blue star that Varda put in the sky?",
				["Answer"] = "Luinil",
			},
			[58] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the constellation Wilwarin called today?",
				["Answer"] = "Cassiopeia",
			},
			[59] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the constellation Menelmacar called today?",
				["Answer"] = "Orion",
			},
			[60] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is Valacirca called today?",
				["Answer"] = "Ursa Major",
			},
			[61] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of The Sickle of the Valar?",
				["Answer"] = "Valacirca",
			},
			[62] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lake by which the First Born awoke?",
				["Answer"] = "Cuivinen",
			},
			[63] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Inland Sea northeast of Middle-earth?",
				["Answer"] = "Helcar",
			},
			[64] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the bay into which Sirion flowed?",
				["Answer"] = "Balar",
			},
			[65] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the mountains east of Eriador, reared by Melkor to hinder the riding of Orom?",
				["Answer"] = "Misty Mountains",
			},
			[66] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the forest on the eastern bank of the Celon, known because it was where Elw and Melian met?",
				["Answer"] = "Nan Elmoth",
			},
			[67] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the kingdom in the centre of Beleriand, protected by the Girdle of Melian?",
				["Answer"] = "Doriath",
			},
			[68] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the island next to Valinor, who transported the Teleri to Aman, and where they stayed to dwell?",
				["Answer"] = "Tol Eressa",
			},
			[69] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Cleft of Light, the pass made in the mountains of the Pelri, in which was raised the green hill of Tna?",
				["Answer"] = "Calacirya",
			},
			[70] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How are the eastern Mountains of Aman called?",
				["Answer"] = "Pelri",
			},
			[71] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city on the hill of Tna?",
				["Answer"] = "Tirion",
			},
			[72] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tower of Ingw in Tirion?",
				["Answer"] = "Mindon Eldaliva",
			},
			[73] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the city of the Teleri in Valinor?",
				["Answer"] = "Alqualond",
			},
			[74] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the stronghold where Fanor, his father and his sons went to live because of their banishment?",
				["Answer"] = "Formenos",
			},
			[75] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What great mines and mansions of Dwarves were built under the Misty Mountains?",
				["Answer"] = "Khazad-dm",
			},
			[76] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Elves call Khazad-dm?",
				["Answer"] = "Hadhodrond",
			},
			[77] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What dividing fall ran across Beleriand from East to West?",
				["Answer"] = "Andram",
			},
			[78] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land southeast of Beleriand that was bathed by Seven Rivers?",
				["Answer"] = "Ossiriand",
			},
			[79] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Noldor call Ossiriand?",
				["Answer"] = "Lindon",
			},
			[80] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the two great forests of Doriath?",
				["Answer"] = "Neldoreth and Region",
			},
			[81] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves call the Moon?",
				["Answer"] = "Isil",
			},
			[82] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sun called?",
				["Answer"] = "Anar",
			},
			[83] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What islands were raised during the Hiding of Valinor?",
				["Answer"] = "Enchanted Isles",
			},
			[84] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What happened to those who set foot in the Enchanted Isles?",
				["Answer"] = "Slept until the Change of the World",
			},
			[85] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lands in which Men awoke?",
				["Answer"] = "Hildrien",
			},
			[86] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountains separated Lammoth from Hithlum?",
				["Answer"] = "Ered Lmin",
			},
			[87] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the pass between mountains that connected the Firth of Drengist and Hithlum?",
				["Answer"] = "Cirith Ninniach",
			},
			[88] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great lake and the surrounding lands east of Hithlum?",
				["Answer"] = "Mithrim",
			},
			[89] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the great lands between Ered Lmin and Ered Wethrin called?",
				["Answer"] = "Hithlum",
			},
			[90] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the great grassy plain north Dorthonion and east of Ered Wethrin?",
				["Answer"] = "Ard-galen",
			},
			[91] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what mountains has the Sirion got its source?",
				["Answer"] = "Ered Wethrin",
			},
			[92] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the sources of Sirion called?",
				["Answer"] = "Eithel Sirion",
			},
			[93] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What fen was at the junction of the two rivers that came from Sirion\'s Well?",
				["Answer"] = "Serech",
			},
			[94] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the two great Havens of the Falas?",
				["Answer"] = "Brithombar and Eglarest",
			},
			[95] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the river in West Beleriand that flowed into the Great Sea at Brithombar?",
				["Answer"] = "Brithon",
			},
			[96] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the river in West Beleriand that flowed into the Great Sea at Eglarest?",
				["Answer"] = "Nenning",
			},
			[97] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what mountains of Morgoth\'s realm black vapours were released at  sunrise?",
				["Answer"] = "Ered Engrin",
			},
			[98] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what hill did the fortress of Maedhros stand?",
				["Answer"] = "Himring",
			},
			[99] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land to the north of Ossiriand that extended to Mount Rerir?",
				["Answer"] = "Thargelion",
			},
			[100] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountain was to the north of Thargelion?",
				["Answer"] = "Rerir",
			},
			[101] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lake was in the north of Thargelion?",
				["Answer"] = "Helevorn",
			},
			[102] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Narog River had its source?",
				["Answer"] = "Eithel Ivrin",
			},
			[103] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How are the Meres of Twilight called, at the junction of the Aros and Sirion?",
				["Answer"] = "Aelin-uial",
			},
			[104] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what valley was Gondolin placed?",
				["Answer"] = "Tumladen",
			},
			[105] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Fingolfin\'s main stronghold?",
				["Answer"] = "Eithel Sirion",
			},
			[106] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fortress of Eithel Sirion?",
				["Answer"] = "Barad Eithel",
			},
			[107] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Nevrast lagoon?",
				["Answer"] = "Linaewen",
			},
			[108] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land comprising the triangle Drengist-Mount Taras-Dor-lmin\'s southern edge?",
				["Answer"] = "Nevrast",
			},
			[109] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What city was under Mount Taras?",
				["Answer"] = "Vinyamar",
			},
			[110] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands were between Ered Gorgoroth and Ard-gGalen?",
				["Answer"] = "Dorthonion",
			},
			[111] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What city did Finrod build in Tol Sirion?",
				["Answer"] = "Minas Tirith",
			},
			[112] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What forest was between Sirion and Teiglin?",
				["Answer"] = "Brethil",
			},
			[113] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Brethil stream that was a tributary of the Teiglin?",
				["Answer"] = "Celebros",
			},
			[114] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land in which the Narog joined Sirion?",
				["Answer"] = "Nan Tathren",
			},
			[115] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the source of the Teiglin river?",
				["Answer"] = "Ered Wethrin",
			},
			[116] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What tower did Finrod raise on the coast to watch over the West Sea?",
				["Answer"] = "Barad Nimras",
			},
			[117] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kingdom of the Noldor was the greatest in Middle-earth?",
				["Answer"] = "Nargothrond",
			},
			[118] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What peaks in Beleriand did the Eagles inhabit in the First Age?",
				["Answer"] = "Crissaegrim",
			},
			[119] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What valley was between the rivers Mindeb and Esgalduin and between Doriath and Ered Gorgoroth?",
				["Answer"] = "Nan Dungortheb",
			},
			[120] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the Fords of Aros?",
				["Answer"] = "Arossiach",
			},
			[121] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lonely mountain was at the eastern end of Andram?",
				["Answer"] = "Amon Ereb",
			},
			[122] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What great forest was between Sirion and Gelion?",
				["Answer"] = "Taur-im-Duinath",
			},
			[123] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what mountain was the Little Gelion born?",
				["Answer"] = "Himring",
			},
			[124] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what mountain was the Greater Gelion born?",
				["Answer"] = "Rerir",
			},
			[125] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the river Ascar later called?",
				["Answer"] = "Rathlriel",
			},
			[126] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the island in the middle of the Adurant River?",
				["Answer"] = "Tol Galen",
			},
			[127] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great plain on the March of Maedhros, east of Ard-galen?",
				["Answer"] = "Lothlann",
			},
			[128] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the source of river Gelion?",
				["Answer"] = "Himring",
			},
			[129] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the passage between Dorthonion and Himring?",
				["Answer"] = "Pass of Aglon",
			},
			[130] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land between the two arms of the Gelion, in reference to its Lord?",
				["Answer"] = "Maglor\'s Gap",
			},
			[131] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land between the rivers Aros and Gelion?",
				["Answer"] = "Himlad",
			},
			[132] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill where Gondolin was?",
				["Answer"] = "Amon Gwareth",
			},
			[133] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What ford of Sirion was on the northern edge of Brethil?",
				["Answer"] = "Brithiach",
			},
			[134] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were The Encircling Mountains called?",
				["Answer"] = "Echoriath",
			},
			[135] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What ford crossed the Gelion on the Dwarf-road?",
				["Answer"] = "Sarn Athrad",
			},
			[136] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the route that crossed Thargelion in the south, coming from Ered Luin?",
				["Answer"] = "Dwarf-road",
			},
			[137] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land south of Nan Elmoth and east of Celon, where many Edain lived?",
				["Answer"] = "Estolad",
			},
			[138] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name was given to Ard-galen after the 4th Battle of Beleriand?",
				["Answer"] = "Anfauglith",
			},
			[139] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was given to Minas Tirith when it was taken after the 4th Battle of Beleriand?",
				["Answer"] = "Tol-in-Gaurhoth",
			},
			[140] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lake of Dorthonion?",
				["Answer"] = "Tarn Aeluin",
			},
			[141] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Eldar call Tol Galen since of Beren and Lthien lived there?",
				["Answer"] = "Dor Firn-i-Guinar",
			},
			[142] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the two names given to the mound of corpses that the Orcs made at Anfauglith after the 5th Battle of Beleriand?",
				["Answer"] = "Haudh-en-Ndengin and Haudh-en-Nirnaeth",
			},
			[143] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the burial-mound of Finduilas?",
				["Answer"] = "Haudh-en-Elleth",
			},
			[144] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lonely mountain west of Sirion?",
				["Answer"] = "Amon Rdh",
			},
			[145] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name was given to the lands dominated by Amon Rdh when Trin and Beleg met?",
				["Answer"] = "Dor-Carthol",
			},
			[146] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What flower kind grew in Amon Rdh?",
				["Answer"] = "Seregon",
			},
			[147] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Mm baptize his abode when he let Trin live there?",
				["Answer"] = "Bar-en-Danwedh",
			},
			[148] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of The Guarded Plain, north of Nargothrond?",
				["Answer"] = "Talath Dirnen",
			},
			[149] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill of Brethil where Ephel Brandir stood?",
				["Answer"] = "Amon Obel",
			},
			[150] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the waterfall of the Celebros in the Forest of Brethil?",
				["Answer"] = "Dimrost",
			},
			[151] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name, meaning \"Shuddering Water\", did Dimrost, the falls of Celebros, take?",
				["Answer"] = "Nen Girith",
			},
			[152] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the deep gorge in the river Teiglin where Glaurung died?",
				["Answer"] = "Cabed-en-Aras",
			},
			[153] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Cabed-en-Aras called after Nniel threw himself there?",
				["Answer"] = "Cabed Naeramarth",
			},
			[154] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Morwen\'s tomb called?",
				["Answer"] = "Stone of the Hapless",
			},
			[155] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the caverns of Mithrim, where Tuor lived?",
				["Answer"] = "Androth",
			},
			[156] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the entrance to the subterranean watercourse that led to Cirith Ninniach?",
				["Answer"] = "Annon-in-Gelydh",
			},
			[157] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the high pass in the Echoriath through which Tuor, Idril, etc. escaped from Gondolin?",
				["Answer"] = "Cirith Thoronath",
			},
			[158] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the coasts west of the mouth of Sirion called?",
				["Answer"] = "Arvernien",
			},
			[159] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the birch forests of Arvernien called?",
				["Answer"] = "Nimbrethil",
			},
			[160] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name given to the island that emerged for the Edain in the Great Sea?",
				["Answer"] = "Nmenor",
			},
			[161] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the town of Tol Eressa that was closest to Nmenor?",
				["Answer"] = "Avalln",
			},
			[162] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main city and port on the north-western coast of Nmenor?",
				["Answer"] = "Andni",
			},
			[163] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mountain in the middle of Nmenor, on which was the temple hallowed to Eru?",
				["Answer"] = "Meneltarma",
			},
			[164] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most beautiful city in Nmenor, near Meneltarma?",
				["Answer"] = "Armenelos",
			},
			[165] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Nmenrean city and port on the Anduin delta?",
				["Answer"] = "Pelargir",
			},
			[166] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the main city and port on the eastern coast of Nmenor?",
				["Answer"] = "Rmenna",
			},
			[167] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what hills near Andni was the tower that Tar-Minastir built, a tower to see the Undying Lands?",
				["Answer"] = "Oromet",
			},
			[168] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Nmenor called in allusion to its shape?",
				["Answer"] = "Land of the Star",
			},
			[169] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name, in Adnaic, did receive Nmenor in the memories of Men, after sinking into the sea?",
				["Answer"] = "Akallabth",
			},
			[170] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the gulf west of Middle-earth, created in the sinking of Beleriand?",
				["Answer"] = "Gulf of Lhn",
			},
			[171] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the river that flowed down from Ered Luin to the Grey Havens?",
				["Answer"] = "Lhn",
			},
			[172] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Elven ports west of Middle-earth called in the Second and Third Ages?",
				["Answer"] = "Mithlond",
			},
			[173] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Noldorin kingdom near Khazad-dm, in the Second Age?",
				["Answer"] = "Eregion",
			},
			[174] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city of the Elves in Eregion?",
				["Answer"] = "Ost-in-Edhil",
			},
			[175] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Elves call Khazad-dm after the ruin of Eregion, when it was closed?",
				["Answer"] = "Moria",
			},
			[176] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Elrond call his abode near the Misty Mountains?",
				["Answer"] = "Imladris",
			},
			[177] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the common name of Imladris?",
				["Answer"] = "Rivendell",
			},
			[178] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the lands between the Blue Mountains and the Misty Mountains called?",
				["Answer"] = "Eriador",
			},
			[179] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the capital of the kingdom of Arnor?",
				["Answer"] = "Annminas",
			},
			[180] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what lake next to Annminas was the source of the Baranduin?",
				["Answer"] = "Nenuial",
			},
			[181] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city of Arnor upon the North Downs?",
				["Answer"] = "Fornost",
			},
			[182] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the southern Kingdom of Eriador, formerly part of Arnor?",
				["Answer"] = "Cardolan",
			},
			[183] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the northwestern region of Eriador, north of Rivendell, one of the kingdoms into which Arnold was divided?",
				["Answer"] = "Rhudaur",
			},
			[184] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hills next to which Annminas were built?",
				["Answer"] = "Emyn Beraid",
			},
			[185] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the bay in Middle-earth where the Anduin flowed?",
				["Answer"] = "Belfalas",
			},
			[186] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the river that came down from Rhovanion and formed the boundary of Rohan and Gondor to the east?",
				["Answer"] = "Anduin",
			},
			[187] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the great falls of Anduin called?",
				["Answer"] = "Rauros",
			},
			[188] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ancient city of Gondor at the Anduin?",
				["Answer"] = "Osgiliath",
			},
			[189] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city of Gondor in the Mountains of Shadow?",
				["Answer"] = "Minas Ithil",
			},
			[190] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the city of Gondor on the west bank of the Anduin originally called?",
				["Answer"] = "Minas Anor",
			},
			[191] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Glittering Cavern in Helm\'s Deep?",
				["Answer"] = "Aglarond",
			},
			[192] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the carvings of Isildur and Anarion in Anduin, on the borders of Gondor?",
				["Answer"] = "Argonath",
			},
			[193] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill west of Gondor where the Stone of Isildur was?",
				["Answer"] = "Erech",
			},
			[194] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fortress west of ancient Gondor, which was handed over to Curunr?",
				["Answer"] = "Angrenost",
			},
			[195] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what name, in the language of Rohan, was Angrenost commonly called?",
				["Answer"] = "Isengard",
			},
			[196] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tower of Isengard?",
				["Answer"] = "Orthanc",
			},
			[197] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the tallest of Elendil\'s towers above Emyn Beraid?",
				["Answer"] = "Elostirion",
			},
			[198] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land of Sauron, east of Gondor?",
				["Answer"] = "Mordor",
			},
			[199] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the common name of the Ephel Dath?",
				["Answer"] = "Mountains of Shadow",
			},
			[200] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Mordor plateau at the convergence of the Mountains of Shadow and the Mountains of Ash?",
				["Answer"] = "Gorgoroth",
			},
			[201] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tower of Mordor, in which Sauron lived?",
				["Answer"] = "Barad-dr",
			},
			[202] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the volcano that was on Gorgoroth?",
				["Answer"] = "Orodruin",
			},
			[203] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the plain in front of the Black Gate, where Sauron\'s troops faced the Last Alliance?",
				["Answer"] = "Dagorlad",
			},
			[204] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the fields at the foot of the Misty Mountains and north of Lothlorien called?",
				["Answer"] = "Gladden Fields",
			},
			[205] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the forest on the west bank of the Anduin, in its middle course?",
				["Answer"] = "Lothlrien",
			},
			[206] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river did run throu Lothlrien?",
				["Answer"] = "Celebrant",
			},
			[207] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the vast region east of the Misty Mountains?",
				["Answer"] = "Rhovanion",
			},
			[208] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great forest east of Anduin until the second third of the Third Age?",
				["Answer"] = "Greenwood the Great",
			},
			[209] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Green Region\", northern part of Gondor?",
				["Answer"] = "Calenardhon",
			},
			[210] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land of the Rohirrim?",
				["Answer"] = "Rohan",
			},
			[211] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Greenwood called when evil invaded it?",
				["Answer"] = "Mirkwood",
			},
			[212] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the evil fortress south of Mirkwood?",
				["Answer"] = "Dol Guldur",
			},
			[213] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mountain behind Minas Anor?",
				["Answer"] = "Mindolluin",
			},
			[214] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the path by which one arrives at the True West?",
				["Answer"] = "Straight Way",
			},
			[215] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the lands of Men south of Middle-earth called?",
				["Answer"] = "Harad",
			},
			[216] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the song of the Ainur told in Ainulindal?",
				["Answer"] = "Great Music",
			},
			[217] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Eru send to Arda to be the heart of the World?",
				["Answer"] = "Flame Imperishable",
			},
			[218] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What text is about the Music of the Ainur?",
				["Answer"] = "Ainulindal",
			},
			[219] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What text is about the Valar and the Maiar?",
				["Answer"] = "Valaquenta",
			},
			[220] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What text is about the Silmarils and the tale surrounding them?",
				["Answer"] = "Quenta Silmarillion",
			},
			[221] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What text is about Nmenor, from its rising to its Downfall?",
				["Answer"] = "Akallabth",
			},
			[222] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What text is about the tale of the Rings?",
				["Answer"] = "Of the Rings of Power",
			},
			[223] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What significant period of peace and flourishing started with the construction of the Two Lamps?",
				["Answer"] = "Spring of Arda",
			},
			[224] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Maia, who was attracted by Melkor, soon repented and was forgiven, returning to his allegiance?",
				["Answer"] = "Oss",
			},
			[225] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Created the Dwarves?",
				["Answer"] = "Aul",
			},
			[226] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Created the Eagles?",
				["Answer"] = "Manw",
			},
			[227] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At whose request did the Ents come to Arda?",
				["Answer"] = "Yavanna",
			},
			[228] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded for a time the fortress that Melkor had built near the northwestern shores of Middle-earth?",
				["Answer"] = "Sauron",
			},
			[229] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With the light of which of the Two Trees did Varda make the stars Carnil, Luinil, Nnar, Lumbar, Alcarinqu and Elemmr?",
				["Answer"] = "Telperion",
			},
			[230] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For how many ages was Melkor sentenced when he was captured at Utumno?",
				["Answer"] = "3",
			},
			[231] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Eldar pilgrimaged to from their birth place?",
				["Answer"] = "Aman",
			},
			[232] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the Eldar kins was the last to arrive to Aman?",
				["Answer"] = "Teleri",
			},
			[233] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What vehicle transported the Noldor and the Vanyar to Aman?",
				["Answer"] = "Island",
			},
			[234] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the Two Trees was Galathilion made to be like?",
				["Answer"] = "Telperion",
			},
			[235] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what mountain did the Vanyar move from Tna?",
				["Answer"] = "Taniquetil",
			},
			[236] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was expelled from Tirion for some years for sowing discord among the Noldor?",
				["Answer"] = "Fanor",
			},
			[237] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For how many years was Fanor banished from Tirion by the Valar?",
				["Answer"] = "12",
			},
			[238] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what lands did Melkor go after escaping from the Valar?",
				["Answer"] = "Avathar",
			},
			[239] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Destroyed the Two Trees?",
				["Answer"] = "Ungoliant",
			},
			[240] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Morgoth in Lammoth and embarrassed him with the power he himself had given her?",
				["Answer"] = "Ungoliant",
			},
			[241] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What creatures saved Morgoth from Ungoliant?",
				["Answer"] = "Balrogs",
			},
			[242] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ungoliant live after fleeing from Lammoth?",
				["Answer"] = "Nan Dungortheb",
			},
			[243] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the curse that fell on the Noldor and that Mandos pronounced?",
				["Answer"] = "Prophecy of the North",
			},
			[244] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What strait did the Noldor that stayed betrayed in Araman crossed through?",
				["Answer"] = "Helcarax",
			},
			[245] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What flower, which also grew in Lothlrien, first grew with the birth of Lthien?",
				["Answer"] = "Niphredil",
			},
			[246] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great multi-peaked mountain that Melkor raised at Angband?",
				["Answer"] = "Thangorodrim",
			},
			[247] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what Tree was the Moon born?",
				["Answer"] = "Telperion",
			},
			[248] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what Tree was the Sun born?",
				["Answer"] = "Laurelin",
			},
			[249] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which rose first, the Sun or the Moon?",
				["Answer"] = "Moon",
			},
			[250] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what other name is the First Age known?",
				["Answer"] = "Elder Days",
			},
			[251] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Valar were the ones who never believed Melkor\'s words after he was freed?",
				["Answer"] = "Tulkas and Ulmo",
			},
			[252] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first person of the Eldar to go to the Halls of Mandos?",
				["Answer"] = "Mriel",
			},
			[253] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who came down to Ezellohar to mourn the death of the Two Trees?",
				["Answer"] = "Nienna",
			},
			[254] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who aided Melkor in his vengeance against the Valar?",
				["Answer"] = "Ungoliant",
			},
			[255] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose was the first blood that was shed in the Blessed Realm?",
				["Answer"] = "Finw",
			},
			[256] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Fanor and his followers utter in Tirion to stand united in the fight against anyone who got a Silmaril and did not return it to Fanor or his Sons?",
				["Answer"] = "Oath",
			},
			[257] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Fanor do with the Teleri\'s ships when they did not voluntarily lend them to him to leave Valinor?",
				["Answer"] = "Stole them",
			},
			[258] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first slaying of Elf by Elf, which occurred at Alqualond?",
				["Answer"] = "Kinslaying",
			},
			[259] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the only Noldor House that did not fight at Alqualond?",
				["Answer"] = "Finarfin",
			},
			[260] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which leader of the Noldor returned with some of his people upon hearing the Prophecy of the North?",
				["Answer"] = "Finarfin",
			},
			[261] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who invented the runes of the Sindar?",
				["Answer"] = "Daeron",
			},
			[262] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who taught the Teleri how to make boats?",
				["Answer"] = "Oss",
			},
			[263] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first to devise signs for writing?",
				["Answer"] = "Rmil",
			},
			[264] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, surpassing Rmil, invented the runes that were later used by all the Eldar?",
				["Answer"] = "Fanor",
			},
			[265] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which son of Lenw led part of the Nandor to the west again?",
				["Answer"] = "Denethor",
			},
			[266] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia was the only one among the Ainur to marry a Son of Ilvatar?",
				["Answer"] = "Melian",
			},
			[267] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Kingdom of Thingol and Melian called?",
				["Answer"] = "Doriath",
			},
			[268] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What city did Thingol and Melian live in?",
				["Answer"] = "Menegroth",
			},
			[269] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were Fanor and his men encamped when Morgoth attacked them?",
				["Answer"] = "Mithrim",
			},
			[270] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Killed Fanor?",
				["Answer"] = "Gothmog",
			},
			[271] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Second Battle of Beleriand?",
				["Answer"] = "Dagor-nuin-Giliath",
			},
			[272] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who lived in Mithrim when the Noldor arrived?",
				["Answer"] = "Sindar",
			},
			[273] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Morgoth kidnap to bribe the sons of Fanor?",
				["Answer"] = "Maedhros",
			},
			[274] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who went alone to rescue Maedhros from the peaks of Thangorodrim?",
				["Answer"] = "Fingon",
			},
			[275] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Fingon do to find Maedhros in Thangorodrim?",
				["Answer"] = "Sang and played the harp",
			},
			[276] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Maedhros ask of Fingon when Fingon could not reach him in Thangorodrim?",
				["Answer"] = "Kill him",
			},
			[277] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who brought Fingon to Maedhros in Thangorodrim?",
				["Answer"] = "Thorondor",
			},
			[278] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Fingon do to free Maedhros from the chain that held him in Thangorodrim?",
				["Answer"] = "Cut off his hand",
			},
			[279] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the House of Fanor called when they waived the claimed to kingship of the Noldor to Fingolfin?",
				["Answer"] = "Dispossessed",
			},
			[280] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the High King of the Noldor in Middle-earth when Maedhros waived his claim to kingship?",
				["Answer"] = "Fingolfin",
			},
			[281] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Feast of Reuniting, held at Eithel Ivrin?",
				["Answer"] = "Mereth Aderthad",
			},
			[282] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Turgon inhabit when he first came to Beleriand?",
				["Answer"] = "Nevrast",
			},
			[283] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ulmo appear to Finrod and Turgon?",
				["Answer"] = "Meres of Twilight",
			},
			[284] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Finrod build the city of Nargothrond?",
				["Answer"] = "Caverns of Narog",
			},
			[285] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who guided Turgon to the future site of his hidden city?",
				["Answer"] = "Ulmo",
			},
			[286] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hidden city of Finrod?",
				["Answer"] = "Nargothrond",
			},
			[287] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What land did Caranthir dwell in?",
				["Answer"] = "Thargelion",
			},
			[288] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hidden city of Turgon?",
				["Answer"] = "Gondolin",
			},
			[289] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Based on which city did Turgon build his hidden city?",
				["Answer"] = "Tirion",
			},
			[290] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the image of which city did Finrod try to build Nargothrond?",
				["Answer"] = "Menegroth",
			},
			[291] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Dragon came out of Angband after two hundred years of Siege?",
				["Answer"] = "Glaurung",
			},
			[292] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Third Battle of Beleriand?",
				["Answer"] = "Dagor Aglareb",
			},
			[293] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "After what battle did the Siege of Angband begin?",
				["Answer"] = "Dagor Aglareb",
			},
			[294] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who gave horses to Fingolfin as compensation for his casualties at Helcarax?",
				["Answer"] = "Maedhros",
			},
			[295] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years did it the construction of Gondolin take?",
				["Answer"] = "52",
			},
			[296] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ulmo last appear?",
				["Answer"] = "Vinyamar",
			},
			[297] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whence did Ulmo tell Turgon that someone would come to warn him when danger came?",
				["Answer"] = "Nevrast",
			},
			[298] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who first spoke of the purpose that had brought the Noldor to Middle-earth?",
				["Answer"] = "Galadriel",
			},
			[299] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who knew first that the Noldor came to Middle-earth red-handed?",
				["Answer"] = "Crdan",
			},
			[300] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the one that unveiled to Thingol the whole story about the exile of the Noldor?",
				["Answer"] = "Angrod",
			},
			[301] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Princess of the Noldor decided to leave Gondolin two hundred years after its completion?",
				["Answer"] = "Aredhel",
			},
			[302] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what lands did Aredhel lose his escorts on his way to Himlad?",
				["Answer"] = "Nan Dungortheb",
			},
			[303] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Aredhel wish to see instead of going to Hithlum as Turgon commanded?",
				["Answer"] = "Celegorm",
			},
			[304] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what forest did Aredhel went astray on one of his rides from Himlad?",
				["Answer"] = "Nan Elmoth",
			},
			[305] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did El meet in Himlad when he set out in search of Aredhel and Maeglin?",
				["Answer"] = "Curufin",
			},
			[306] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Aredhel?",
				["Answer"] = "El",
			},
			[307] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was El trying to kill when he mistakenly killed Aredhel?",
				["Answer"] = "Maeglin",
			},
			[308] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Turgon\'s sentence for El\'s after he killed Aredhel?",
				["Answer"] = "Death",
			},
			[309] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Maeglin wish to possess since he came to Gondolin?",
				["Answer"] = "Idril",
			},
			[310] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Finrod hunt with before he first met the Race of Men?",
				["Answer"] = "Maedhros and Maglor",
			},
			[311] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first in Beleriand to meet the Race of Men?",
				["Answer"] = "Finrod",
			},
			[312] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were Men first seen in Beleriand?",
				["Answer"] = "Ossiriand",
			},
			[313] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Finrod do when he discovered the Men, when they fell asleep?",
				["Answer"] = "Sing",
			},
			[314] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Men think Finrod was the first time they saw him?",
				["Answer"] = "Vala",
			},
			[315] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many times did Morgoth leave his domain in the North?",
				["Answer"] = "1",
			},
			[316] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many times did Morgoth himself wield a weapon?",
				["Answer"] = "1",
			},
			[317] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the single event that caused Morgoth to leave his Northern Kingdom?",
				["Answer"] = "Awakening of Men",
			},
			[318] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only event that caused Morgoth to wield a weapon?",
				["Answer"] = "Fingolfin\'s Challenge",
			},
			[319] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What chief of Men did Finrod take to Nargothrond?",
				["Answer"] = "Bor",
			},
			[320] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did part of the people of Bor migrate from Estolad?",
				["Answer"] = "Dorthonion",
			},
			[321] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did part of the people of Marach migrate from Estolad?",
				["Answer"] = "Hithlum",
			},
			[322] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Under what mountains were the valleys to which part of the people of Marach migrated from Hithlum?",
				["Answer"] = "Ered Wethrin",
			},
			[323] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took Amlach\'s followers service with when they left?",
				["Answer"] = "Maedhros",
			},
			[324] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What killed Haldad and Haldar of the Haladin?",
				["Answer"] = "Orcs",
			},
			[325] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose army saved the Haladin from the Orcs in Thargelion?",
				["Answer"] = "Caranthir",
			},
			[326] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the Haladin after the death of Haldad and Haldar?",
				["Answer"] = "Haleth",
			},
			[327] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Haladin of Haleth stop for a while before continuing west?",
				["Answer"] = "Estolad",
			},
			[328] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what forest did most of the people of Haleth finally dwell?",
				["Answer"] = "Brethil",
			},
			[329] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mound in which Haleth was buried?",
				["Answer"] = "Tr Haretha",
			},
			[330] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What great-grandson of Marach received the lordship of Dor-lmin?",
				["Answer"] = "Hador",
			},
			[331] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What grandson of Bor received the lordship of Ladros and Dorthonion?",
				["Answer"] = "Boromir",
			},
			[332] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first man the Eldar saw die?",
				["Answer"] = "Bor",
			},
			[333] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who wanted to attack Morgoth shortly before the 4th Battle of Beleriand broke out?",
				["Answer"] = "Aegnor Angrod and Fingolfin",
			},
			[334] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years had passed since Fingolfin\'s arrival when the 4th Battle of Beleriand broke out?",
				["Answer"] = "455",
			},
			[335] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Morgoth send for Ard-galen that was the start of the 4th Battle of Beleriand?",
				["Answer"] = "Rivers of flame",
			},
			[336] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the 4th Battle of Beleriand?",
				["Answer"] = "Dagor Bragollach",
			},
			[337] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was at the front of the flames at the 4th Battle of Beleriand?",
				["Answer"] = "Glaurung",
			},
			[338] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what battle did Angrod and Aegnor die?",
				["Answer"] = "Dagor Bragollach",
			},
			[339] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In What Battle Did Bregolas Die?",
				["Answer"] = "Dagor Bragollach",
			},
			[340] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Finrod in the Dagor Bragollach?",
				["Answer"] = "Barahir",
			},
			[341] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Finrod give to Barahir as a symbol of his promise to help him when he needed it?",
				["Answer"] = "Ring",
			},
			[342] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hador and Gundor of Dor-lmin fall?",
				["Answer"] = "Eithel Sirion",
			},
			[343] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In What Battle Did Hador and Gundor Fall?",
				["Answer"] = "Dagor Bragollach",
			},
			[344] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Hador as Lord of Dor-lmin?",
				["Answer"] = "Galdor",
			},
			[345] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which sons of Fanor fled to Nargothrond after they were defeated in the 4th Battle of Beleriand?",
				["Answer"] = "Celegorm and Curufin",
			},
			[346] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Maglor go after the 4th Battle of Beleriand?",
				["Answer"] = "Himring",
			},
			[347] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Amrod and Amras go after the 4th Battle of Beleriand?",
				["Answer"] = "Amon Ereb",
			},
			[348] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who challenged Morgoth to a single combat?",
				["Answer"] = "Fingolfin",
			},
			[349] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many times did Fingolfin wound Morgoth before stumbling?",
				["Answer"] = "7",
			},
			[350] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Killed Fingolfin?",
				["Answer"] = "Morgoth",
			},
			[351] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who carried Fingolfin\'s body to Gondolin?",
				["Answer"] = "Thorondor",
			},
			[352] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the High King of the Noldor in Middle-earth when Fingolfin died?",
				["Answer"] = "Fingon",
			},
			[353] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took over Minas Tirith two years after the 4th Battle of Beleriand?",
				["Answer"] = "Sauron",
			},
			[354] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, at the head of the Sindar and the Haladin respectively, stopped the Orc wave in Brethil after the capture of Minas Tirith?",
				["Answer"] = "Beleg and Halmir",
			},
			[355] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Hrin and Huor\'s company at the Ford of Brithiach, in one of their raids?",
				["Answer"] = "Ulmo",
			},
			[356] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were taken by the Eagles to Gondolin when they saw them lost in Dimbar?",
				["Answer"] = "Huor and Hrin",
			},
			[357] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the first Men to see Gondolin?",
				["Answer"] = "Huor and Hrin",
			},
			[358] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Galdor, Lord of Dor-lmin, die?",
				["Answer"] = "Eithel Sirion",
			},
			[359] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Morgoth attack seven years after the 4th Battle of Beleriand?",
				["Answer"] = "Hithlum",
			},
			[360] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose army saved Fingon from defeat at Hithlum seven years after the 4th Battle of Beleriand, in one of their sea raids?",
				["Answer"] = "Crdan",
			},
			[361] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Galdor in the Lordship of Dor-lmin?",
				["Answer"] = "Hrin",
			},
			[362] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of Barahir\'s twelve companions in Dorthonion betrayed him, being deceived by Sauron?",
				["Answer"] = "Gorlim",
			},
			[363] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Gorlim appear in a dream to warn of his betrayal?",
				["Answer"] = "Beren",
			},
			[364] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Beren recover from the Orcs who had killed his fellow fugitives?",
				["Answer"] = "Ring of Felagund",
			},
			[365] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Morgoth send to hunt Beren?",
				["Answer"] = "Sauron",
			},
			[366] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What terrible valley did Beren have to cross to get from Dorthonion to Doriath?",
				["Answer"] = "Nan Dungortheb",
			},
			[367] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Beren find Lthien?",
				["Answer"] = "Neldoreth",
			},
			[368] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who warned Thingol about Beren and Lthien?",
				["Answer"] = "Daeron",
			},
			[369] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Thingol ask for Lthien\'s hand?",
				["Answer"] = "Silmaril",
			},
			[370] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Beren seek out of Doriath?",
				["Answer"] = "Finrod",
			},
			[371] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who spoke out against Beren in Nargothrond?",
				["Answer"] = "Celegorm and Curufin",
			},
			[372] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled Nargothrond after Finrod\'s departure?",
				["Answer"] = "Orodreth",
			},
			[373] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many men accompanied Beren and Finrod on their quest?",
				["Answer"] = "10",
			},
			[374] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the head of the company that accompanied Beren and Finrod from Nargothrond?",
				["Answer"] = "Edrahil",
			},
			[375] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Finrod fight with songs of power?",
				["Answer"] = "Sauron",
			},
			[376] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who kidnapped Lthien and held her in Nargothrond?",
				["Answer"] = "Celegorm",
			},
			[377] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who got Lthien out of Nargothrond?",
				["Answer"] = "Huan",
			},
			[378] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were Finrod, Beren, and their companions imprisoned?",
				["Answer"] = "Tol-in-Gaurhoth",
			},
			[379] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Destroyed Tol-in-Gaurhoth?",
				["Answer"] = "Lthien",
			},
			[380] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What famous werewolf fought Huan at Tol-in-Gaurhoth?",
				["Answer"] = "Draugluin",
			},
			[381] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What form did Sauron take to escape from Tol-in-Gaurhoth?",
				["Answer"] = "Vampire",
			},
			[382] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sauron live after escaping from Tol-in-Gaurhoth?",
				["Answer"] = "Taur-nu-Fuin",
			},
			[383] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which grandson of Fanor repudiated his father\'s actions and stayed to live in Nargothrond?",
				["Answer"] = "Celebrimbor",
			},
			[384] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which sons of Fanor tried to kill Beren and kidnap Lthien?",
				["Answer"] = "Celegorm and Curufin",
			},
			[385] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Huan speak to for the first time?",
				["Answer"] = "Lthien",
			},
			[386] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Huan speak to for the Second Time?",
				["Answer"] = "Beren",
			},
			[387] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose shape did Beren take to Angband?",
				["Answer"] = "Draugluin",
			},
			[388] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose shape did Lthien Take to Angband?",
				["Answer"] = "Thuringwethil",
			},
			[389] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Sauron\'s messenger in the First Age?",
				["Answer"] = "Thuringwethil",
			},
			[390] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who guarded the gates of Angband waiting for Huan?",
				["Answer"] = "Carcharoth",
			},
			[391] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Lthien do to Carcharoth in front of the gates of Angband?",
				["Answer"] = "Commanded him to sleep",
			},
			[392] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Lthien do to Morgoth on his throne?",
				["Answer"] = "Set upon him a dream",
			},
			[393] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was \"the most dreadful terror that came ever into Beleriand before Angband\'s fall\", which attacked even the servants of Morgoth?",
				["Answer"] = "Carcharoth",
			},
			[394] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Carcharoth do to Beren in Angband?",
				["Answer"] = "Bit his hand off",
			},
			[395] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What brought Beren and Lthien out of Angband?",
				["Answer"] = "Eagles",
			},
			[396] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who went out of Menegroth to the Hunting of the Wolf?",
				["Answer"] = "Beleg Beren Huan Mablung and Thingol",
			},
			[397] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Beren?",
				["Answer"] = "Carcharoth",
			},
			[398] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Huan?",
				["Answer"] = "Carcharoth",
			},
			[399] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Carcharoth?",
				["Answer"] = "Huan",
			},
			[400] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Huan speak to for the last time?",
				["Answer"] = "Beren",
			},
			[401] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Lthien do before Mandos?",
				["Answer"] = "Sang",
			},
			[402] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first union between Firstborn and Secondborn?",
				["Answer"] = "Beren and Lthien",
			},
			[403] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What forest did El live in before going to Nan Elmoth?",
				["Answer"] = "Region",
			},
			[404] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Beren and Lthien live their second life?",
				["Answer"] = "Tol Galen",
			},
			[405] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the alliance Maedhros made to attack Morgoth in what was the 5th Battle of Beleriand?",
				["Answer"] = "Union of Maedhros",
			},
			[406] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the only company to leave Nargothrond for the 5th Battle of Beleriand?",
				["Answer"] = "Gwindor",
			},
			[407] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose people were joined by the only company that left Nargothrond for the 5th Battle of Beleriand?",
				["Answer"] = "Fingon",
			},
			[408] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose people did Mablung and Beleg join for the 5th Battle of Beleriand?",
				["Answer"] = "Fingon",
			},
			[409] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two great captains of Thingol did not want to miss the 5th Battle of Beleriand?",
				["Answer"] = "Beleg and Mablung",
			},
			[410] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of the Noldor, who had not been called to the alliance, appeared at the 5th Battle of Beleriand?",
				["Answer"] = "Turgon",
			},
			[411] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who started the 5th Battle of Beleriand, being the one who attacked first, and followed by all?",
				["Answer"] = "Gwindor",
			},
			[412] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In What Battle Did Haldir of Brethil Die?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[413] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the 5th Battle of Beleriand called?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[414] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Great Battles of Beleriand?",
				["Answer"] = "5",
			},
			[415] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the year of the 5th Battle of Beleriand called?",
				["Answer"] = "Year of Lamentation",
			},
			[416] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what Battle did Ulfast and Ulwarth of the Easterlings die?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[417] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what Battle did the Sons of Borr die?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[418] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which chief of the Easterners betrayed Maedhros?",
				["Answer"] = "Uldor",
			},
			[419] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Dwarves of Nogrod escape to protect the Sons of Fanor at the 5th Battle of Beleriand?",
				["Answer"] = "Mount Dolmed",
			},
			[420] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who severely wounded Glaurung in the 5th Battle of Beleriand, causing him and the other beasts of Angband to retreat?",
				["Answer"] = "Azaghl",
			},
			[421] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Azaghl?",
				["Answer"] = "Glaurung",
			},
			[422] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Fingon?",
				["Answer"] = "Gothmog",
			},
			[423] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what Battle did Azaghl die?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[424] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what Battle did Fingon die?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[425] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who held out last in the 5th Battle of Beleriand while Turgon escaped?",
				["Answer"] = "Huor and Hrin",
			},
			[426] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what Battle did Huor die?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[427] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was captured alive by command of Morgoth, the last combatant in the 5th Battle of Beleriand?",
				["Answer"] = "Hrin",
			},
			[428] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Morgoth give to the Easterlings that served him?",
				["Answer"] = "Hithlum",
			},
			[429] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many ships did Crdan build to go to Valinor seeking help after the 5th Battle of Beleriand?",
				["Answer"] = "7",
			},
			[430] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sole survivor of those sent by Crdan and Turgon in search of Valinor?",
				["Answer"] = "Voronw",
			},
			[431] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Morgoth put in chair of stone upon a high place of Thangorodrim?",
				["Answer"] = "Hrin",
			},
			[432] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Trin sent when he was 8 years old?",
				["Answer"] = "Doriath",
			},
			[433] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Nando Elf who died in Doriath being pursued by Trin?",
				["Answer"] = "Saeros",
			},
			[434] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who went in search of Trin when he became an outlaw?",
				["Answer"] = "Beleg",
			},
			[435] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Thingol told Beleg in his farewell to ask him for whatever gift he wanted. What did Beleg ask for?",
				["Answer"] = "Sword",
			},
			[436] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Melian give to Beleg when he set out in search of Trin?",
				["Answer"] = "Lembas",
			},
			[437] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Beleg bring to Trin in Amon Rdh?",
				["Answer"] = "Dragon-helm of Dor-lmin",
			},
			[438] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who betrayed Trin and Beleg when they lived in Bar-en-Danwedh?",
				["Answer"] = "Mm",
			},
			[439] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was kidnapped on Amon Rdh?",
				["Answer"] = "Trin",
			},
			[440] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which escaped slave from Angband did Beleg meet in Taur-nu-Fuin while he was searching for Trin?",
				["Answer"] = "Gwindor",
			},
			[441] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Beleg?",
				["Answer"] = "Trin",
			},
			[442] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To where did Morwen and Nienor flee from Hithlum?",
				["Answer"] = "Doriath",
			},
			[443] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two messengers went to Nargothrond with news from Ulmo?",
				["Answer"] = "Arminas and Gelmir",
			},
			[444] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Ulmo appear four hundred and ninety-five years after the Moon first rose?",
				["Answer"] = "Crdan",
			},
			[445] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led Morgoth\'s army in the Sack of Nargothrond?",
				["Answer"] = "Glaurung",
			},
			[446] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what place did Orodreth die?",
				["Answer"] = "Tumhalad",
			},
			[447] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who bewitched Trin in Nargothrond?",
				["Answer"] = "Glaurung",
			},
			[448] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Trin go after the Sack of Nargothrond?",
				["Answer"] = "Dor-lmin",
			},
			[449] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of Hrin\'s relatives helped Morwen escape from Dor-lmin?",
				["Answer"] = "Aerin",
			},
			[450] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Easterling Trin killed at Dor-lmin?",
				["Answer"] = "Brodda",
			},
			[451] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Trin go after being in Dor-lmin?",
				["Answer"] = "Brethil",
			},
			[452] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who went in search of Trin after the Sack of Nargothrond?",
				["Answer"] = "Morwen and Nienor",
			},
			[453] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whom did Thingol send to protect Morwen on her journey to Nargothrond?",
				["Answer"] = "Mablung",
			},
			[454] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did cast a Spell on Nienor?",
				["Answer"] = "Glaurung",
			},
			[455] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whom did Trin find about Haudh-en-Elleth?",
				["Answer"] = "Nienor",
			},
			[456] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three Men went to kill Glaurung at Brethil?",
				["Answer"] = "Dorlas Hunthor and Trin",
			},
			[457] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Glaurung?",
				["Answer"] = "Trin",
			},
			[458] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Dorlas?",
				["Answer"] = "Brandir",
			},
			[459] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Brandir?",
				["Answer"] = "Trin",
			},
			[460] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last person to see Trin before he died?",
				["Answer"] = "Mablung",
			},
			[461] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hrin go after being freed?",
				["Answer"] = "Hithlum",
			},
			[462] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hrin want to go after leaving Hithlum, after being freed?",
				["Answer"] = "Gondolin",
			},
			[463] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Hrin meet at Cabed Naeramarth?",
				["Answer"] = "Morwen",
			},
			[464] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Morwen die?",
				["Answer"] = "Cabed Naeramarth",
			},
			[465] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hrin go after Brethil, after he was freed?",
				["Answer"] = "Nargothrond",
			},
			[466] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Hrin meet in Nargothrond?",
				["Answer"] = "Mm",
			},
			[467] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Mm?",
				["Answer"] = "Hrin",
			},
			[468] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Mm die?",
				["Answer"] = "Nargothrond",
			},
			[469] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only thing Hrin took from the treasure of Nargothrond?",
				["Answer"] = "Nauglamr",
			},
			[470] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hrin go after Nargothrond, after he was freed?",
				["Answer"] = "Doriath",
			},
			[471] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What jewel did Hrin give to Thingol?",
				["Answer"] = "Nauglamir",
			},
			[472] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Thingol want to do to the Nauglamr when he received it?",
				["Answer"] = "Set the Silmaril in it",
			},
			[473] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Thingol die?",
				["Answer"] = "Menegroth",
			},
			[474] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The Dwarves of which city fought against Doriath?",
				["Answer"] = "Nogrod",
			},
			[475] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Melian retire after Thingol\'s death?",
				["Answer"] = "Lrien",
			},
			[476] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Mablung die?",
				["Answer"] = "Menegroth",
			},
			[477] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, under Beren\'s command, ambushed the Dwarves who carried the Nauglamr and the Silmaril from Menegroth?",
				["Answer"] = "Green-elves",
			},
			[478] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, on Mount Dolmed, stood in the way of the Dwarves who had stolen the Nauglamr and the Silmaril?",
				["Answer"] = "Ents",
			},
			[479] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last King of Doriath?",
				["Answer"] = "Dior",
			},
			[480] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Menegroth when Dior inherited the Silmaril?",
				["Answer"] = "Sons of Fanor",
			},
			[481] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Celegorm die?",
				["Answer"] = "Menegroth",
			},
			[482] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Curufin die?",
				["Answer"] = "Menegroth",
			},
			[483] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Caranthir die?",
				["Answer"] = "Menegroth",
			},
			[484] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Dior die?",
				["Answer"] = "Menegroth",
			},
			[485] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who escaped from Doriath to the Mouths of Sirion carrying the Silmaril?",
				["Answer"] = "Elwing",
			},
			[486] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Tuor born?",
				["Answer"] = "Mithrim",
			},
			[487] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Tuor go to escape from Hithlum?",
				["Answer"] = "Nevrast",
			},
			[488] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Tuor see in Nevrast, which seemed to him a sign that he should go south?",
				["Answer"] = "7 swans",
			},
			[489] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in Nevrast did Tuor last go?",
				["Answer"] = "Vinyamar",
			},
			[490] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What items did Turgon leave behind in Vinyamar, which Tuor later picked up?",
				["Answer"] = "Hauberk Helm Shield and Sword",
			},
			[491] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which Man did Ulmo appear in Vinyamar?",
				["Answer"] = "Tuor",
			},
			[492] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Tuor receive from Ulmo so that the enemy would not see him?",
				["Answer"] = "Cloak",
			},
			[493] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ulmo tell Tuor to go?",
				["Answer"] = "Gondolin",
			},
			[494] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who guided Tuor to Gondolin?",
				["Answer"] = "Voronw",
			},
			[495] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Tuor and Voronw see passing through the Pools of Ivrin?",
				["Answer"] = "Trin",
			},
			[496] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Maeglin wish to possess?",
				["Answer"] = "Idril",
			},
			[497] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the second union between Firstborn and Secondborn, respectively?",
				["Answer"] = "Idril and Tuor",
			},
			[498] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who revealed Gondolin\'s location to Morgoth?",
				["Answer"] = "Maeglin",
			},
			[499] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Gothmog?",
				["Answer"] = "Ecthelion",
			},
			[500] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Ecthelion?",
				["Answer"] = "Gothmog",
			},
			[501] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Maeglin?",
				["Answer"] = "Tuor",
			},
			[502] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Glorfindel die?",
				["Answer"] = "Cirith Thoronath",
			},
			[503] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What killed Glorfindel?",
				["Answer"] = "Balrog",
			},
			[504] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Vala tried to convince Manw to help Elves and Men against Morgoth, just after the Fall of Gondolin?",
				["Answer"] = "Ulmo",
			},
			[505] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two people did Erendil try to find across the seas?",
				["Answer"] = "Idril and Tuor",
			},
			[506] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked the Erendil\'s people at the Mouths of Sirion?",
				["Answer"] = "Sons of Fanor",
			},
			[507] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Amrod and Amras die?",
				["Answer"] = "Mouths of Sirion",
			},
			[508] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the people of the Mouths of Sirion flee after the attack of the Sons of Fanor?",
				["Answer"] = "Balar",
			},
			[509] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who rescued Elwing from the waters?",
				["Answer"] = "Ulmo",
			},
			[510] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What shape did Ulmo give Elwing after pulling it out of the water?",
				["Answer"] = "Swan",
			},
			[511] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Elwing meet at sea, when she fainted from the sky?",
				["Answer"] = "Erendil",
			},
			[512] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took Elrond and Elros as adopted sons, after kidnapping them?",
				["Answer"] = "Maglor",
			},
			[513] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who came to Valinor with the Silmaril to speak on behalf of the Two Kindreds?",
				["Answer"] = "Erendil",
			},
			[514] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Elwing went walking along the shores of Eldamar, when he came to Aman?",
				["Answer"] = "Alqualond",
			},
			[515] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Erendil with Vingilot called in Middle-earth when they saw him rise for the first time?",
				["Answer"] = "Gil-Estel",
			},
			[516] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the battle between the armies of Aman and Angband, at the end of the First Age?",
				["Answer"] = "War of Wrath",
			},
			[517] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Ancalagon?",
				["Answer"] = "Erendil",
			},
			[518] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who kept Morgoth\'s two remaining Silmarils when he was captured?",
				["Answer"] = "Enw",
			},
			[519] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who finally took possession of the two Silmarils left after the War of Wrath?",
				["Answer"] = "Maedhros and Maglor",
			},
			[520] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who launched himself into the bosom of the Earth with a Silmaril?",
				["Answer"] = "Maedhros",
			},
			[521] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who threw a Silmaril to the Sea?",
				["Answer"] = "Maglor",
			},
			[522] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was the only son of Fanor alive after the consummation of the doom of the Silmarils?",
				["Answer"] = "Maglor",
			},
			[523] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What elements did the Three Silmarils end op In?",
				["Answer"] = "Air Fire and Water",
			},
			[524] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Among which race did Elwing and Erendil choose to be numbered?",
				["Answer"] = "Elves",
			},
			[525] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Among which race did Elrond Choose to be numbered?",
				["Answer"] = "Elves",
			},
			[526] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Among which race did Elros Choose to be numbered?",
				["Answer"] = "Men",
			},
			[527] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Elrond live with after the end of the First Age?",
				["Answer"] = "Gil-Galad",
			},
			[528] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What happened to Beleriand after the War of Wrath, end of the First Age?",
				["Answer"] = "Sank",
			},
			[529] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Morgoth thrown after being captured at the end of the First Age?",
				["Answer"] = "Timeless Void",
			},
			[530] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sauron escape to at the end of the First Age?",
				["Answer"] = "Mordor",
			},
			[531] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what direction did the Men who fought on Morgoth\'s side at the end of the First Age go?",
				["Answer"] = " East",
			},
			[532] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who raised Nmenor from the depths of the sea?",
				["Answer"] = "Oss",
			},
			[533] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How Many Years Did Elros Live?",
				["Answer"] = "500",
			},
			[534] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who instructed the Men who remained in Middle-earth in the Second Age wherever they went?",
				["Answer"] = "Nmenreans",
			},
			[535] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Nmenor did the Dnedain begin to rebel against the Valar?",
				["Answer"] = "Tar-Ciryatan",
			},
			[536] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Nmenor did the Dnedain divide in opinion concerning the Valar?",
				["Answer"] = "Tar-Ancalimon",
			},
			[537] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Nmenor were the offerings to Eru neglected?",
				["Answer"] = "Tar-Ancalimon",
			},
			[538] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Nmenor did Sauron fortify Mordor?",
				["Answer"] = "Tar-Minastir",
			},
			[539] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor aided Gil-Galad against Sauron?",
				["Answer"] = "Tar-Minastir",
			},
			[540] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor forbade the Elven-tongues in his presence?",
				["Answer"] = "Adnakhr",
			},
			[541] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor completely forbade the the Elven-tongues?",
				["Answer"] = "Ar-Gimilzr",
			},
			[542] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor was the greatest enemy of the Faithful?",
				["Answer"] = "Ar-Gimilzr",
			},
			[543] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Nmenor was the White Tree untended?",
				["Answer"] = "Ar-Gimilzr",
			},
			[544] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which city in Nmenor were the Elendili forced to move?",
				["Answer"] = "Rmenna",
			},
			[545] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main city and port of the Nmenreans in Middle-earth?",
				["Answer"] = "Pelargir",
			},
			[546] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main city of the Faithful of Nmenor in Middle-earth?",
				["Answer"] = "Pelargir",
			},
			[547] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor tended the White Tree again with honour, after it was neglected by some of his predecessors?",
				["Answer"] = "Tar-Palantir",
			},
			[548] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor went back to Meneltarma after some of his predecessors forsook it?",
				["Answer"] = "Tar-Palantir",
			},
			[549] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor prophesied that when the White Tree perished, then also would the line of the Kings come to its end?",
				["Answer"] = "Tar-Palantir",
			},
			[550] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Kings did Nmenor have?",
				["Answer"] = "25",
			},
			[551] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who in Middle-earth Ar-Pharazn commanded to fealty and took to Nmenor as a servant?",
				["Answer"] = "Sauron",
			},
			[552] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which advisor of Ar-Pharazn distrusted Sauron from the beginning?",
				["Answer"] = "Amandil",
			},
			[553] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Nmenreans worship instead of Eru, under the influence of Sauron?",
				["Answer"] = "Melkor",
			},
			[554] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which councillor of Ar-Pharazn was dissmissed by the advice of Sauron?",
				["Answer"] = "Amandil",
			},
			[555] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which city did Amandil withdraw?",
				["Answer"] = "Rmenna",
			},
			[556] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who stole a fruit from the White Tree of Nmenor shortly before it was cut down?",
				["Answer"] = "Isildur",
			},
			[557] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Against whom did Ar-Pharazn, influenced by Sauron, make war?",
				["Answer"] = "Valar",
			},
			[558] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who wanted to go to Valinor, as Erendil had already done, to plead for mercy upon Men and their deliverance from Sauron the Deceiver?",
				["Answer"] = "Amandil",
			},
			[559] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the shape of the great clouds that came menacingly to Nmenor from the West?",
				["Answer"] = "Eagle",
			},
			[560] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who changed the shape of the world when the Nmenreans traveled to Aman to wage war?",
				["Answer"] = "Eru",
			},
			[561] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sauron escape to from the Downfall of Nmenor?",
				["Answer"] = "Mordor",
			},
			[562] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the remaining Faithful of Nmenor flee when it sank?",
				["Answer"] = "Middle-earth",
			},
			[563] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What the Dnedain of Middle-earth sought at the sea after the Downfall of Nmenor?",
				["Answer"] = "Meneltarma",
			},
			[564] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "After what event did Men realize that the World was made round, by their continual travels and searches?",
				["Answer"] = "Downfall of Nmenor",
			},
			[565] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of the Noldor lived in Lindon after the First Age?",
				["Answer"] = "Gil-Galad",
			},
			[566] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the Second Age, someone of great wisdom came to Eregion and taught his knowledge. What was his name?",
				["Answer"] = "Annatar",
			},
			[567] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who forged a Ring to rule the other Rings of Power and their bearers?",
				["Answer"] = "Sauron",
			},
			[568] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who forged the three Elven Rings?",
				["Answer"] = "Celebrimbor",
			},
			[569] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Celebrimbor give the three Elven Rings?",
				["Answer"] = "Crdan Galadriel and Gil-Galad",
			},
			[570] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Ring of Power did Crdan receive?",
				["Answer"] = "Narya",
			},
			[571] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Ring of Power did Galadriel receive?",
				["Answer"] = "Nenya",
			},
			[572] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Ring of Power did Gil-Galad receive?",
				["Answer"] = "Vilya",
			},
			[573] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the time of Sauron\'s rule called?",
				["Answer"] = "Black Years",
			},
			[574] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what lands did Elendil end up in his flight from Nmenor?",
				["Answer"] = "Lindon",
			},
			[575] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Kingdom did Elendil establish in Eriador?",
				["Answer"] = "Arnor",
			},
			[576] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Isildur and Anrion end up in their flight from Nmenor?",
				["Answer"] = "Mouths of Anduin",
			},
			[577] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kingdom did Isildur and Anrion establish in Middle-earth?",
				["Answer"] = "Gondor",
			},
			[578] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two kingdoms did the Faithful survivors of the Downfall of Nmenor establish in Middle-earth?",
				["Answer"] = "Arnor and Gondor",
			},
			[579] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What city did Anrion live in when he established Gondor?",
				["Answer"] = "Minas Anor",
			},
			[580] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What city did Isildur live in when he established Gondor?",
				["Answer"] = "Minas Ithil",
			},
			[581] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which city of Gondor did Isildur and Anrion have their throne?",
				["Answer"] = "Osgiliath",
			},
			[582] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which city of Gondor was the White Tree brought from Nmenor planted?",
				["Answer"] = "Minas Ithil",
			},
			[583] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the One Ring forged?",
				["Answer"] = "Orodruin",
			},
			[584] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Orodruin after being \"rekindled\" on Sauron\'s return from the island of Nmenor?",
				["Answer"] = "Mount Doom",
			},
			[585] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the league created between Elendil and Gil-Galad against Sauron?",
				["Answer"] = "Last Alliance",
			},
			[586] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which important Dwarf kindred fought Sauron in the Last Alliance?",
				["Answer"] = "Durin",
			},
			[587] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Elendil?",
				["Answer"] = "Sauron",
			},
			[588] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Gil-Galad?",
				["Answer"] = "Sauron",
			},
			[589] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who cut off Sauron\'s hand and took away the Ring?",
				["Answer"] = "Isildur",
			},
			[590] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event marked the end of the Second Age?",
				["Answer"] = "Defeat of Sauron",
			},
			[591] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Isildur plant the fruit of the White Tree of Minas Ithil?",
				["Answer"] = "Minas Anor",
			},
			[592] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Isildur want to go after defeating Sauron?",
				["Answer"] = "Arnor",
			},
			[593] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Isildur die along with his eldest sons?",
				["Answer"] = "Gladden Fields",
			},
			[594] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Arnor divided the Kingdom among his three sons?",
				["Answer"] = "Erendur",
			},
			[595] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took over Minas Ithil second time?",
				["Answer"] = "Nazgl",
			},
			[596] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Minas Ithil renamed when it was taken over for the second time?",
				["Answer"] = "Minas Morgul",
			},
			[597] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Minas Anor renamed when Minas Ithil was taken over for the second time?",
				["Answer"] = "Minas Tirith",
			},
			[598] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who challenged the Lord of Morgul to single combat?",
				["Answer"] = "Ernur",
			},
			[599] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What House ruled Minas Tirith when the King died with no heir?",
				["Answer"] = "Mardil",
			},
			[600] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did the Men of Gondor cede to the Rohirrim?",
				["Answer"] = "Calenardhon",
			},
			[601] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was entrusted with the care of Elendil\'s Broken Sword?",
				["Answer"] = "Elrond",
			},
			[602] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Heirs of Isildur live?",
				["Answer"] = "Rivendell",
			},
			[603] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who received the Ring of Gil-Galad when he died?",
				["Answer"] = "Elrond",
			},
			[604] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Crdan give his ring?",
				["Answer"] = "Gandalf",
			},
			[605] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the last bearers of the Elven Rings?",
				["Answer"] = "Elrond Galadriel and Gandalf",
			},
			[606] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What dwelt in Dol Guldur, and darkened the Greenwood?",
				["Answer"] = "Necromancer",
			},
			[607] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Sauron\'s efforts against the Free Peoples to recover the One Ring come to be known?",
				["Answer"] = "War of the Ring",
			},
			[608] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Curunr live?",
				["Answer"] = "Isengard",
			},
			[609] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Council did some Istari and Elven Lords form?",
				["Answer"] = "White Council",
			},
			[610] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who entered Dol Guldur twice to investigate?",
				["Answer"] = "Gandalf",
			},
			[611] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which mighty Wizard of the Third Age turned from light to darkness, betraying his allies?",
				["Answer"] = "Saruman",
			},
			[612] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Istar did Saruman trick into serving him in his evil actions without being aware of it?",
				["Answer"] = "Radagast",
			},
			[613] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who expelled the Necromancer from Mirkwood?",
				["Answer"] = "White Council",
			},
			[614] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sauron go after Mirkwood?",
				["Answer"] = "Mordor",
			},
			[615] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For whom was the Broken Sword reforged?",
				["Answer"] = "Aragorn",
			},
			[616] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who claimed the throne of Arnor and Gondor at the end of the Third Age?",
				["Answer"] = "Aragorn",
			},
			[617] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who fought Saruman\'s forces at the end of the Third Age?",
				["Answer"] = "Rohirrim",
			},
			[618] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who laid siege to Orthanc and saw Saruman defeated?",
				["Answer"] = "Ents",
			},
			[619] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Lord of Morgul die?",
				["Answer"] = "Pelennor",
			},
			[620] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who destroyed the One Ring?",
				["Answer"] = "Frodo Baggins",
			},
			[621] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who found what would be the Last White Tree of Gondor?",
				["Answer"] = "Gandalf",
			},
			[622] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event marked the end of the Third Age?",
				["Answer"] = "Destruction of the Ring",
			},
			[623] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is supposed to have captained the last ship to sail to Valinor, carrying the last Elves from Middle-earth?",
				["Answer"] = "Crdan",
			},
			[624] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"E\" mean?",
				["Answer"] = "It Is",
			},
			[625] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name for the \"Towers of the Mist\" or \"Misty Mountains\"?",
				["Answer"] = "Hithaeglir",
			},
			[626] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What do the Elves call the Outer Sea?",
				["Answer"] = "Ekkaia",
			},
			[627] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name do the Eldar commonly use to refer to \"Taniquetil\"?",
				["Answer"] = "Oioloss",
			},
			[628] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Taniquetil\" mean?",
				["Answer"] = "High White Peak",
			},
			[629] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for \"Taniquetil\"?",
				["Answer"] = "Amon Uilos",
			},
			[630] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Est\" mean?",
				["Answer"] = "Rest",
			},
			[631] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Alcarinqu\", the name of a star, mean?",
				["Answer"] = "Glorious",
			},
			[632] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Wilwarin\", insect and constellation name, mean?",
				["Answer"] = "Butterfly",
			},
			[633] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Menelmacar\", the name of a constellation, mean?",
				["Answer"] = "Swordsman of the Sky",
			},
			[634] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cuivinen\" mean?",
				["Answer"] = "Water of Awakening",
			},
			[635] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mindon Eldaliva\" mean?",
				["Answer"] = "Lofty Tower of the Eldali",
			},
			[636] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tol Eressa\" mean?",
				["Answer"] = "Lonely Isle",
			},
			[637] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Alqualond\" mean?",
				["Answer"] = "Haven of the Swans",
			},
			[638] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Avathar\" mean?",
				["Answer"] = "Shadows",
			},
			[639] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lammoth\" mean?",
				["Answer"] = "Great Echo",
			},
			[640] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Gorgoroth\" mean?",
				["Answer"] = "Mountains of Terror",
			},
			[641] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nan Dungortheb\" mean?",
				["Answer"] = "Valley of Dreadful Death",
			},
			[642] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Doriath\" mean?",
				["Answer"] = "Land of the Fence",
			},
			[643] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Menegroth\" mean?",
				["Answer"] = "Thousand Caves",
			},
			[644] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sirion\" mean?",
				["Answer"] = "Great River",
			},
			[645] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the meaning of \"Khazad-dm\"?",
				["Answer"] = "Dwarven Mansions",
			},
			[646] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Moria\" mean?",
				["Answer"] = "Black Chasm",
			},
			[647] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of \"Belegost\" and \"Nogrod\", respectively, in the language of the Dwarves?",
				["Answer"] = "Gabilgathol and Tumunzahar",
			},
			[648] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Belegost\" or \"Gabilgathol\" mean?",
				["Answer"] = "Great Fortress",
			},
			[649] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nogrod\" or \"Tumunzahar\" mean?",
				["Answer"] = "Hollowbold",
			},
			[650] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cirith Ninniach\" mean?",
				["Answer"] = "Rainbow Cleft",
			},
			[651] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Wethrin\" mean?",
				["Answer"] = "Mountains of Shadow",
			},
			[652] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Engrin\" mean?",
				["Answer"] = "Iron Mountains",
			},
			[653] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Eithel Ivrin\" mean?",
				["Answer"] = "Ivrin\'s Well",
			},
			[654] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Barad Eithel\" mean?",
				["Answer"] = "Tower of the Well",
			},
			[655] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ossiriand\" mean?",
				["Answer"] = "Land of Seven Rivers",
			},
			[656] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Angband\" mean?",
				["Answer"] = "Iron Prison",
			},
			[657] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Minas Tirith\" mean?",
				["Answer"] = "Tower of Watch",
			},
			[658] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dorthonion\" mean?",
				["Answer"] = "Land of Pines",
			},
			[659] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nan-tathren\" mean?",
				["Answer"] = "Willow-vale",
			},
			[660] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebros\" mean?",
				["Answer"] = "Silver Rain",
			},
			[661] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Barad Nimras\" mean?",
				["Answer"] = "White Horn Tower",
			},
			[662] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Arossiach\" mean?",
				["Answer"] = "Fords of the Aros",
			},
			[663] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Andram\" mean?",
				["Answer"] = "Long Wall",
			},
			[664] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Taur-im-Duinath\" mean?",
				["Answer"] = "Forest between Rivers",
			},
			[665] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Luin\" mean?",
				["Answer"] = "Blue Mountains",
			},
			[666] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lindon\" mean?",
				["Answer"] = "Land of Music",
			},
			[667] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Himlad\" mean?",
				["Answer"] = "Cool Plain",
			},
			[668] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gondolin\" mean?",
				["Answer"] = "Hidden Rock",
			},
			[669] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tumladen\" mean?",
				["Answer"] = "Wide Valley",
			},
			[670] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Echoriath\" mean?",
				["Answer"] = "Encircling Mountains",
			},
			[671] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tr Haretha\" mean?",
				["Answer"] = "Ladybarrow",
			},
			[672] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Anfauglith\" mean?",
				["Answer"] = "Gasping Dust",
			},
			[673] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tol-in-Gaurhoth\" mean?",
				["Answer"] = "Isle of the Werewolves",
			},
			[674] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dor Firn-i-Guinar\" mean?",
				["Answer"] = "Land of the Living Dead",
			},
			[675] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Haudh-en-Nirnaeth\" mean?",
				["Answer"] = "Mound of Tears",
			},
			[676] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ephel Brandir\" mean?",
				["Answer"] = "Fence of Brandir",
			},
			[677] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Bar-en-Danwedh\" mean?",
				["Answer"] = "House of Ransom",
			},
			[678] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Rdh\" mean?",
				["Answer"] = "Bald Hill",
			},
			[679] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Seregon\" mean?",
				["Answer"] = "Blood of Stone",
			},
			[680] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dor-Carthol\" mean?",
				["Answer"] = "Land of Bow and Helm",
			},
			[681] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Haudh-en-Elleth\" mean?",
				["Answer"] = "Mound of the Elf-maid",
			},
			[682] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Ethir\" mean?",
				["Answer"] = "Hill of Spies",
			},
			[683] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cabed Naeramarth\" mean?",
				["Answer"] = "Leap of Dreadful Doom",
			},
			[684] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Annon-in-Gelydh\" mean?",
				["Answer"] = "Gate of the Noldor",
			},
			[685] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cirith Thoronath\" mean?",
				["Answer"] = "Eagle\'s Cleft",
			},
			[686] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mordor\" mean?",
				["Answer"] = "Black Land",
			},
			[687] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Andor\" mean?",
				["Answer"] = "Land of Gift",
			},
			[688] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of \"Nmenor\" in the Adnaic language?",
				["Answer"] = "Anadn",
			},
			[689] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of \"Nmenor\" in the language of the Men who inhabited Middle-earth?",
				["Answer"] = "Westernesse",
			},
			[690] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elenna\" mean?",
				["Answer"] = "Starwards",
			},
			[691] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Meneltarma\" mean?",
				["Answer"] = "Pillar of Heaven",
			},
			[692] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Pelargir\" mean?",
				["Answer"] = "Garth of Royal Ships",
			},
			[693] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Eldarin translation of \"Akallabth\"?",
				["Answer"] = "Atalant",
			},
			[694] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Akallabth\" mean, with respect to Nmenor?",
				["Answer"] = "Downfalled",
			},
			[695] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mithlond\" mean?",
				["Answer"] = "Grey Havens",
			},
			[696] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Eregion\" mean?",
				["Answer"] = "Land of Holly",
			},
			[697] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was \"Eregion\" called in the language of Men?",
				["Answer"] = "Hollin",
			},
			[698] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ost-in-Edhil\" mean?",
				["Answer"] = "Fortress of the Eldar",
			},
			[699] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nenuial\" mean?",
				["Answer"] = "Lake of Twilight",
			},
			[700] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Emyn Beraid\" mean?",
				["Answer"] = "Tower Hills",
			},
			[701] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Arnor\" mean?",
				["Answer"] = "Land of the King",
			},
			[702] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gondor\" mean?",
				["Answer"] = "Land of Stone",
			},
			[703] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Anduin\" mean?",
				["Answer"] = "Long River",
			},
			[704] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Osgiliath\" mean?",
				["Answer"] = "Fortress of the Stars",
			},
			[705] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Minas Ithil\" mean?",
				["Answer"] = "Tower of the Moon",
			},
			[706] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Minas Anor\" mean?",
				["Answer"] = "Torre del Sol",
			},
			[707] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Argonath\" mean?",
				["Answer"] = "King-stones",
			},
			[708] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Angrenost\" mean?",
				["Answer"] = "Iron Fortress",
			},
			[709] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rohan\" mean?",
				["Answer"] = "Horse-country",
			},
			[710] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ephel Dath\" mean?",
				["Answer"] = "Fence of Shadow",
			},
			[711] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Barad-dr\" mean?",
				["Answer"] = "Dark Tower",
			},
			[712] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Sindarin name for \"Mount Doom\"?",
				["Answer"] = "Amon Amarh",
			},
			[713] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dagorlad\" mean?",
				["Answer"] = "Battle Plain",
			},
			[714] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the meaning of \"Minas Morgul\"?",
				["Answer"] = "Tower of Sorcery",
			},
			[715] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebrant\" mean?",
				["Answer"] = "Silver Lode",
			},
			[716] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dol Guldur\" mean?",
				["Answer"] = "Hill of Sorcery",
			},
			[717] =
			{
				["Category"] = "Languages (History)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dagor-nuin-Giliath\", Second Battle of Beleriand, mean?",
				["Answer"] = "Battle under Stars",
			},
			[718] =
			{
				["Category"] = "Languages (History)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dagor Aglareb\", Third Battle of Beleriand, mean?",
				["Answer"] = "Glorious Battle",
			},
			[719] =
			{
				["Category"] = "Languages (History)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dagor Bragollach\" mean?",
				["Answer"] = "Battle of Sudden Flame",
			},
			[720] =
			{
				["Category"] = "Languages (History)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nirnaeth Arnoediad\"?",
				["Answer"] = "Tears Unnumbered",
			},
			[721] =
			{
				["Category"] = "Languages (History)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Turambar turum ambartanen\" mean?",
				["Answer"] = "Master of Doom by doom mastered",
			},
			[722] =
			{
				["Category"] = "Languages (Music)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Narn i Hn Hrin\" mean?",
				["Answer"] = "Tale of the Children of Hrin",
			},
			[723] =
			{
				["Category"] = "Languages (Music)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is \"Leithian\" translated?",
				["Answer"] = "Release from Bondage",
			},
			[724] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Laurelin\" mean?",
				["Answer"] = "Song of Gold",
			},
			[725] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ninquelote\" or \"Nimloth\" mean?",
				["Answer"] = "White Blossom",
			},
			[726] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nauglamr\" mean?",
				["Answer"] = "Necklace of the Dwarves",
			},
			[727] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aranrth\" mean?",
				["Answer"] = "King\'s Ire",
			},
			[728] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Anglachel\" mean?",
				["Answer"] = "Iron of Flaming Star",
			},
			[729] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gurthang\" mean?",
				["Answer"] = "Iron of Death",
			},
			[730] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Errm\"?",
				["Answer"] = "Sea-wing",
			},
			[731] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Adnaic equivalent of \"Vingilot\"?",
				["Answer"] = "Rothinzil",
			},
			[732] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Vingilot\" or \"Rothinzil\" mean?",
				["Answer"] = "Foam Flower",
			},
			[733] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Alcarondas\" mean?",
				["Answer"] = "Castle of the Sea",
			},
			[734] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aeglos\" mean?",
				["Answer"] = "Snow-point",
			},
			[735] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ilvatar\" mean?",
				["Answer"] = "Father of All",
			},
			[736] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Valar\" mean?",
				["Answer"] = "Powers",
			},
			[737] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Fanturi\" mean?",
				["Answer"] = "Masters of Spirits",
			},
			[738] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is Orom called in Quenya?",
				["Answer"] = "Aldaron",
			},
			[739] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is Orom called in Sindarin?",
				["Answer"] = "Tauron",
			},
			[740] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aldaron\" or \"Tauron\" mean?",
				["Answer"] = "Lord of Trees",
			},
			[741] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name, meaning \"Exalted\", are given to the eight most powerful Valar?",
				["Answer"] = "Aratar",
			},
			[742] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Slimo\" mean?",
				["Answer"] = "Breather",
			},
			[743] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is Yavanna called in Quenya?",
				["Answer"] = "Kementri",
			},
			[744] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elentri\" mean?",
				["Answer"] = "Queen of the Stars",
			},
			[745] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Kementri\" mean?",
				["Answer"] = "Queen of the Earth",
			},
			[746] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Astaldo\" mean?",
				["Answer"] = "Valiant",
			},
			[747] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sauron\" mean?",
				["Answer"] = "Abhorred",
			},
			[748] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What\'s the name given to Aul by the Dwarves?",
				["Answer"] = "Mahal",
			},
			[749] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tintall\", Varda\'s name, mean?",
				["Answer"] = "Kindler",
			},
			[750] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Morgoth\" mean?",
				["Answer"] = "Black Enemy",
			},
			[751] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Bauglir\" mean?",
				["Answer"] = "Constrainer",
			},
			[752] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Belegurth\" mean?",
				["Answer"] = "Great Death",
			},
			[753] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Felagund\" literally mean?",
				["Answer"] = "Cave Hewer",
			},
			[754] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Serind\", Mriel\'s nickname, mean?",
				["Answer"] = "Broideress",
			},
			[755] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Fanaro\" mean, the name that Miriel gave to her son?",
				["Answer"] = "Spirit of Fire",
			},
			[756] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebrindal\" mean?",
				["Answer"] = "Silverfoot",
			},
			[757] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lmion\" mean?",
				["Answer"] = "Son of Twilight",
			},
			[758] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Maeglin\" mean?",
				["Answer"] = "Sharp Glance",
			},
			[759] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nm\" mean in Bor\'s own tongue?",
				["Answer"] = "Wisdom",
			},
			[760] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nmin\" mean in Bor\'s own tongue?",
				["Answer"] = "Wise",
			},
			[761] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lrindol\" mean?",
				["Answer"] = "Goldenhead",
			},
			[762] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ereinion\" mean?",
				["Answer"] = "Scion of Kings",
			},
			[763] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gil-Galad\" mean?",
				["Answer"] = "Star of Radiance",
			},
			[764] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tinviel\" mean?",
				["Answer"] = "Daughter of Twilight",
			},
			[765] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is poetically called \"Tinviel\"?",
				["Answer"] = "Nightingale",
			},
			[766] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Carcharoth\" mean?",
				["Answer"] = "Red Maw",
			},
			[767] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the meaning of \"Anfauglir\"?",
				["Answer"] = "Jaws of Thirst",
			},
			[768] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Erchamion\" mean?",
				["Answer"] = "One-handed",
			},
			[769] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Camlost\" mean?",
				["Answer"] = "Empty-handed",
			},
			[770] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Thalion\" mean?",
				["Answer"] = "Steadfast",
			},
			[771] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cthalion\" mean?",
				["Answer"] = "Strongbow",
			},
			[772] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Neithan\" mean?",
				["Answer"] = "Wronged",
			},
			[773] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gorthol\" mean?",
				["Answer"] = "Dread Helm",
			},
			[774] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Agarwaen son of Umarth\" mean?",
				["Answer"] = "Blood-stained son of Ill-fate",
			},
			[775] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Adanedhel\" mean?",
				["Answer"] = "Elf-Man",
			},
			[776] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mormegil\" mean?",
				["Answer"] = "Black Sword",
			},
			[777] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nienor\" mean?",
				["Answer"] = "Mourning",
			},
			[778] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nniel\" mean?",
				["Answer"] = "Tear-maiden",
			},
			[779] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Turambar\" mean?",
				["Answer"] = "Master of Doom",
			},
			[780] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elwing\" mean?",
				["Answer"] = "Star-spray",
			},
			[781] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gil-Estel\" mean?",
				["Answer"] = "Star of Hope",
			},
			[782] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Adnakhr\" mean?",
				["Answer"] = "Lord of the West",
			},
			[783] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Ringwraiths in Blacktongue?",
				["Answer"] = "Nazgl",
			},
			[784] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amandil\" mean?",
				["Answer"] = "Lover of Aman",
			},
			[785] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elendil\" mean as the name of the historical leading figure?",
				["Answer"] = "Elf-friend",
			},
			[786] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebrimbor\" mean?",
				["Answer"] = "Hand of Silver",
			},
			[787] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Annatar\" mean?",
				["Answer"] = "Lord of Gifts",
			},
			[788] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ohtar\" mean?",
				["Answer"] = "Warrior",
			},
			[789] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mithrandir\" mean?",
				["Answer"] = "Grey Pilgrim",
			},
			[790] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Curunr\" mean?",
				["Answer"] = "The one of cunning devices",
			},
			[791] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the common language of the peoples of Beleriand, and of the Elves of Middle-earth?",
				["Answer"] = "Sindarin",
			},
			[792] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"lmelindi\", the nightingales, mean?",
				["Answer"] = "Dusk-singers",
			},
			[793] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Valaraukar\" mean?",
				["Answer"] = "Demons of Might",
			},
			[794] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Quendi\" mean?",
				["Answer"] = "Those that speak with voices",
			},
			[795] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Avari\" mean?",
				["Answer"] = "Unwilling",
			},
			[796] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Laiquendi\" mean?",
				["Answer"] = "Green-elves",
			},
			[797] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sindar\" mean?",
				["Answer"] = "Grey-elves",
			},
			[798] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Naugrim\" mean?",
				["Answer"] = "Stunted People",
			},
			[799] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gonnhirrim\" mean, one of the names the Dwarves were called?",
				["Answer"] = "Masters of Stone",
			},
			[800] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Hildor\" mean, name the Eldar gave to Men?",
				["Answer"] = "Followers",
			},
			[801] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Frimar\" mean, name given to Men by the Eldar?",
				["Answer"] = "Mortals",
			},
			[802] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you say \"Elf\" in Sindarin?",
				["Answer"] = "Edhel",
			},
			[803] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the language of the Nmenreans?",
				["Answer"] = "Adnaic",
			},
			[804] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dnedain\" mean?",
				["Answer"] = "Edain of the West",
			},
			[805] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elendili\" mean as name of a certain group of Men?",
				["Answer"] = "Elf-friends",
			},
			[806] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rohirrim\" mean?",
				["Answer"] = "Horse-lords",
			},
			[807] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Periannath\" mean?",
				["Answer"] = "Halflings",
			},
			[808] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How Halflings called themselves?",
				["Answer"] = "Hobbits",
			},
			[809] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom is the Ainulindal attributed?",
				["Answer"] = "Rmil",
			},
			[810] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the Lament for the Two Trees called?",
				["Answer"] = "Aldudni",
			},
			[811] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who composed the Noldolant?",
				["Answer"] = "Maglor",
			},
			[812] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the song of The Fall of the Noldor?",
				["Answer"] = "Noldolant",
			},
			[813] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Song of the Sun and the Moon?",
				["Answer"] = "Narsilion",
			},
			[814] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the Hiding of Valinor called in the songs?",
				["Answer"] = "Nurtal Valinreva",
			},
			[815] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What song tells the tale of Beren and Luthien?",
				["Answer"] = "Lay of Leithian",
			},
			[816] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the longest lay about the Elder Days?",
				["Answer"] = "Narn i Hn Hrin",
			},
			[817] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which lay talks about Trin\'s life and what surrounds it?",
				["Answer"] = "Narn i Hn Hrin",
			},
			[818] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the Song of the Great Bow called?",
				["Answer"] = "Laer C Beleg",
			},
			[819] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who composed the Laer C Beleg?",
				["Answer"] = "Trin",
			},
			[820] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the tale that tells the battle in which Gondolin was sacked?",
				["Answer"] = "The Fall of Gondolin",
			},
			[821] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What tale tells the voyages of Erendil the Mariner?",
				["Answer"] = "Lay of Erendil",
			},
			[822] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What animal were the Teleri ships shaped as?",
				["Answer"] = "Swan",
			},
			[823] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Orom\'s horn?",
				["Answer"] = "Valarma",
			},
			[824] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the Two Trees that Yavanna made grow on Valinor?",
				["Answer"] = "Laurelin and Telperion",
			},
			[825] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many hours was the waxing and waning period of Laurelin and Telperion?",
				["Answer"] = "7",
			},
			[826] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Laurelin called too?",
				["Answer"] = "Culrien",
			},
			[827] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Telperion called too?",
				["Answer"] = "Silpion",
			},
			[828] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Tree of Tirion, born from a fruit of Telperion?",
				["Answer"] = "Galathilion",
			},
			[829] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Tree of Tol Eressa, born from a fruit of the Tree of Tirion?",
				["Answer"] = "Celeborn",
			},
			[830] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the White Tree of Armenelos, grown from a seedling of Celeborn?",
				["Answer"] = "Nimloth",
			},
			[831] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the chain with which Melkor was twice bound?",
				["Answer"] = "Angainor",
			},
			[832] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the best jewels that Fanor made?",
				["Answer"] = "Silmarils",
			},
			[833] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Silmarils?",
				["Answer"] = "3",
			},
			[834] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great pearl that Thingol gave to the Dwarves?",
				["Answer"] = "Nimphelos",
			},
			[835] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the necklace the Dwarves made for Finrod?",
				["Answer"] = "Nauglamr",
			},
			[836] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the Horns of Ulmo called?",
				["Answer"] = "Ulumri",
			},
			[837] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Finrod give to Barahir as a symbol of gratitude and eternal friendship?",
				["Answer"] = "Ring",
			},
			[838] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Fingolfin\'s sword?",
				["Answer"] = "Ringil",
			},
			[839] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Morgoth\'s mace?",
				["Answer"] = "Grond",
			},
			[840] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Morgoth\'s mace sometimes called?",
				["Answer"] = "Hammer of the Underworld",
			},
			[841] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of tree was the three-trunked tree where Thingol imprisoned Lthien?",
				["Answer"] = "Beech",
			},
			[842] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the three-trunked tree where Thingol imprisoned Lthien?",
				["Answer"] = "Hrilorn",
			},
			[843] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the knife Telchar made, which was used to cut the Silmaril from Morgoth\'s crown?",
				["Answer"] = "Angrist",
			},
			[844] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Curufin\'s knife?",
				["Answer"] = "Angrist",
			},
			[845] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What precious item did the Thingol\'s messengers bring from Hithlum after meeting Morwen?",
				["Answer"] = "Dragon-helm of Dor-lmin",
			},
			[846] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Sword that Thingol gave to Beleg?",
				["Answer"] = "Anglachel",
			},
			[847] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two swords did El make from meteoric iron?",
				["Answer"] = "Anglachel and Anguirel",
			},
			[848] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did El give Thingol to let him live in Nan Elmoth?",
				["Answer"] = "Sword",
			},
			[849] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Thingol\'s sword?",
				["Answer"] = "Aranrth",
			},
			[850] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What black and shinning, hard and resistant yet malleable metal did El discover?",
				["Answer"] = "Galvorn",
			},
			[851] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did El call the metal of the meteor which he forged Anglachel with?",
				["Answer"] = "Galvorn",
			},
			[852] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sword Maeglin had when he arrived to Gondolin?",
				["Answer"] = "Anguirel",
			},
			[853] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the waybread of the Eldar",
				["Answer"] = "Lembas",
			},
			[854] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Trin call Anglachel?",
				["Answer"] = "Gurthang",
			},
			[855] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ship on which Tuor and Idril disappeared from Middle-earth?",
				["Answer"] = "Errm",
			},
			[856] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of Erendil\'s ship?",
				["Answer"] = "Vingilot",
			},
			[857] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ship in which Ar-Pharazn traveled to Aman with his army?",
				["Answer"] = "Alcarondas",
			},
			[858] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most important work of the Elves of Eregion?",
				["Answer"] = "Rings of Power",
			},
			[859] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Rings of Power?",
				["Answer"] = "20",
			},
			[860] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Rings of Power did Men receive?",
				["Answer"] = "9",
			},
			[861] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Rings of Power did Dwarves Receive?",
				["Answer"] = "7",
			},
			[862] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Rings of Power did Elves keep?",
				["Answer"] = "3",
			},
			[863] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the three Elven Rings?",
				["Answer"] = "Narya Nenya and Vilya",
			},
			[864] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Ring of Fire?",
				["Answer"] = "Narya",
			},
			[865] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Ring of Water?",
				["Answer"] = "Nenya",
			},
			[866] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Ring of Air?",
				["Answer"] = "Vilya",
			},
			[867] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Elven Ring had a ruby set on It?",
				["Answer"] = "Narya",
			},
			[868] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Elven Ring had a diamond set on It?",
				["Answer"] = "Nenya",
			},
			[869] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Elven Ring had a sapphire set on it?",
				["Answer"] = "Vilya",
			},
			[870] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What jewels were set in the Elven Rings?",
				["Answer"] = "Diamond Ruby and Sapphire",
			},
			[871] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What elemental forces did the Elven Rings represent?",
				["Answer"] = "Air Fire and Water",
			},
			[872] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What objects were the greatest treasure that Elendil and his sons took from Nmenor?",
				["Answer"] = "Palantri",
			},
			[873] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Palantri?",
				["Answer"] = "7",
			},
			[874] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By whom were Palantri Made?",
				["Answer"] = "Fanor",
			},
			[875] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Gil-Galad\'s spear?",
				["Answer"] = "Aeglos",
			},
			[876] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Elendil\'s sword?",
				["Answer"] = "Narsil",
			},
			[877] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who made Elendil\'s sword?",
				["Answer"] = "Telchar",
			},
			[878] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Broken Sword?",
				["Answer"] = "Narsil",
			},
			[879] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Turgon\'s sword called?",
				["Answer"] = "Glamdring",
			},
			[880] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the The One God of Tolkien\'s mythology?",
				["Answer"] = "Eru",
			},
			[881] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname has Eru got?",
				["Answer"] = "Ilvatar",
			},
			[882] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who among the Ainur had been given the greatest gifts of power and knowledge?",
				["Answer"] = "Melkor",
			},
			[883] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Vala who controls the waters?",
				["Answer"] = "Ulmo",
			},
			[884] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Vala who controls the winds?",
				["Answer"] = "Manw",
			},
			[885] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Vala who controls earth and what lies within?",
				["Answer"] = "Aul",
			},
			[886] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Elder King of Arda?",
				["Answer"] = "Manw",
			},
			[887] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname has Manw got?",
				["Answer"] = "Slimo",
			},
			[888] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Valier known as the Lady of the Stars?",
				["Answer"] = "Varda",
			},
			[889] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname has Varda got?",
				["Answer"] = "Elentri",
			},
			[890] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Elves of Middle-earth call Varda, their most cherished Valier?",
				["Answer"] = "Elbereth",
			},
			[891] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Valier wife of Aul?",
				["Answer"] = "Yavanna",
			},
			[892] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who are the Valar Masters of Spirits?",
				["Answer"] = "Irmo and Nmo",
			},
			[893] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what names are Nmo and Irmo usually known, respectively?",
				["Answer"] = "Mandos and Lrien",
			},
			[894] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Judge of the Valar?",
				["Answer"] = "Mandos",
			},
			[895] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is Mandos\'s wife?",
				["Answer"] = "Vair",
			},
			[896] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname is Vair known with?",
				["Answer"] = "Weaver",
			},
			[897] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Valier Healer of Hurts and of Weariness?",
				["Answer"] = "Est",
			},
			[898] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname has Est got?",
				["Answer"] = "Gentle",
			},
			[899] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Valier mourns for every wound that Arda has suffer and teaches us to have pity and endurance in hope?",
				["Answer"] = "Nienna",
			},
			[900] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the greatest Vala in strength and deeds of prowess?",
				["Answer"] = "Tulkas",
			},
			[901] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is Tulkas sometimes called?",
				["Answer"] = "Astaldo",
			},
			[902] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is Valier\'s wife of Tulkas and sister of Orom?",
				["Answer"] = "Nessa",
			},
			[903] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Vala, who is always on horseback, is the Tamer of Beasts?",
				["Answer"] = "Orom",
			},
			[904] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the wife of Orom, sister of Yavanna?",
				["Answer"] = "Vna",
			},
			[905] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia is master of the seas that wash the shores of Middle-earth?",
				["Answer"] = "Oss",
			},
			[906] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia is the Lady of the Seas?",
				["Answer"] = "Uinen",
			},
			[907] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia is Oss\'s wife?",
				["Answer"] = "Uinen",
			},
			[908] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia of the winds is Varda\'s Maiden?",
				["Answer"] = "Ilmar",
			},
			[909] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia is the herald of Manw and the Valar?",
				["Answer"] = "Enw",
			},
			[910] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Valiers did Melian serve?",
				["Answer"] = "Est and Vna",
			},
			[911] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wisest of the Maiar?",
				["Answer"] = "Olrin",
			},
			[912] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which important Maia, Aul\'s servant, joined Melkor as his most faithful servant?",
				["Answer"] = "Sauron",
			},
			[913] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what other name did the Eldar also call Sauron?",
				["Answer"] = "Gorthaur",
			},
			[914] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia was the one who made the Horns of Ulmo?",
				["Answer"] = "Salmar",
			},
			[915] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia was the one who taught the Nightingales to sing?",
				["Answer"] = "Melian",
			},
			[916] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia guided the Sun?",
				["Answer"] = "Arien",
			},
			[917] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia guided the Moon?",
				["Answer"] = "Tilion",
			},
			[918] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the two Dark Lords?",
				["Answer"] = "Morgoth and Sauron",
			},
			[919] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was called \"Bauglir\"?",
				["Answer"] = "Morgoth",
			},
			[920] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was called \"Belegurth\"?",
				["Answer"] = "Morgoth",
			},
			[921] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which kin of the Eldar was Indis, mother of Finarfin and Fingolfin?",
				["Answer"] = "Vanyar",
			},
			[922] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Caranthir\'s nickname?",
				["Answer"] = "The Dark",
			},
			[923] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Curufin\'s nickname?",
				["Answer"] = "The Crafty",
			},
			[924] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Celegorm\'s nickname?",
				["Answer"] = "The Fair",
			},
			[925] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Maglor\'s nickname?",
				["Answer"] = "The Mighty Singer",
			},
			[926] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Maedhros\'s nickname?",
				["Answer"] = "The Tall",
			},
			[927] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Finrod\'s nickname before he dwelt in Nargothrond?",
				["Answer"] = "The Faithful",
			},
			[928] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Fanor\'s paternal name?",
				["Answer"] = "Curufinw",
			},
			[929] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of Orom\'s horse?",
				["Answer"] = "Nahar",
			},
			[930] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was recognized by all as High King of the Eldar until his death?",
				["Answer"] = "Ingw",
			},
			[931] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Turgon\'s wife?",
				["Answer"] = "Elenw",
			},
			[932] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Eagles in the First Age?",
				["Answer"] = "Thorondor",
			},
			[933] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Eagles in the Third Age?",
				["Answer"] = "Gwaihir",
			},
			[934] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the daughter of Thingol and Melian?",
				["Answer"] = "Lthien",
			},
			[935] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the most renowned Dwarf blacksmith?",
				["Answer"] = "Telchar",
			},
			[936] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the lord of the Falathrim?",
				["Answer"] = "Crdan",
			},
			[937] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of the Teleri who came to Aman?",
				["Answer"] = "Olw",
			},
			[938] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Finw\'s sons?",
				["Answer"] = "Fanor Finarfin and Fingolfin",
			},
			[939] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Fanor\'s mother?",
				["Answer"] = "Mriel",
			},
			[940] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the mother of Finarfin and Fingolfin?",
				["Answer"] = "Indis",
			},
			[941] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who (in order of birth) were Fanor\'s sons?",
				["Answer"] = "Maedhros Maglor Celegorm Caranthir Curufin Amrod and Amras",
			},
			[942] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Finarfin\'s wife?",
				["Answer"] = "Erwen",
			},
			[943] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which kin of the Eldar was Erwen?",
				["Answer"] = "Teleri",
			},
			[944] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Finarfin\'s sons and daughters?",
				["Answer"] = "Aegnor Angrod Finrod Galadriel and Orodreth",
			},
			[945] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Fingolfin\'s sons and daughters?",
				["Answer"] = "Aredhel Fingon and Turgon",
			},
			[946] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Galadriel\'s husband?",
				["Answer"] = "Celeborn",
			},
			[947] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was called \"Ar-Feiniel\"?",
				["Answer"] = "Aredhel",
			},
			[948] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Aredhel called?",
				["Answer"] = "White Lady of the Noldor",
			},
			[949] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Fanor\'s wife?",
				["Answer"] = "Nerdanel",
			},
			[950] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the only King of the Laiquendi?",
				["Answer"] = "Denethor",
			},
			[951] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three ambassadors (in their usual order), who later became Kings, were chosen to go to Valinor and thus convince the Eldar to make the Great Journey?",
				["Answer"] = "Ingw Finw and Elw",
			},
			[952] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first leader of the Nandor?",
				["Answer"] = "Lenw",
			},
			[953] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Elw Grey-mantle called when he decided to abandon the march to Valinor?",
				["Answer"] = "Thingol",
			},
			[954] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which feared servant of Morgoth was the High-Captain of Angband?",
				["Answer"] = "Gothmog",
			},
			[955] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Father of Dragons?",
				["Answer"] = "Glaurung",
			},
			[956] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Finrod get when building Nargothrond?",
				["Answer"] = "Felagund",
			},
			[957] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who gave Finrod the nickname \"Felagund\"?",
				["Answer"] = "Dwarves",
			},
			[958] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled Hithlum when the Noldor settled in Middle-earth?",
				["Answer"] = "Fingolfin and Fingon",
			},
			[959] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled the lands of Mithrim after the Noldor settled in Middle-earth?",
				["Answer"] = "Fingolfin",
			},
			[960] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled the lands of Dor-lmin after the Noldor settled in Middle-earth?",
				["Answer"] = "Fingon",
			},
			[961] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which House of Men were the Lords of Dor-lmin from, from the time Men settled there until the 5th Battle of Beleriand?",
				["Answer"] = "Hador",
			},
			[962] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled the lands of Nevrast after the Noldor settled in Middle-earth?",
				["Answer"] = "Turgon",
			},
			[963] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled Dorthonion after the Noldor settled in Middle-earth?",
				["Answer"] = "Aegnor and Angrod",
			},
			[964] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded Minas Tirith after Finrod built it?",
				["Answer"] = "Orodreth",
			},
			[965] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled the lands of Himring after the Noldor settled in Middle-earth?",
				["Answer"] = "Maedhros",
			},
			[966] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two sons of Fanor dwelt in Himlad?",
				["Answer"] = "Celegorm and Curufin",
			},
			[967] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two sons of Fanor (in their usual order) lived in the central part of the land between the Gelion and the Aros?",
				["Answer"] = "Amrod and Amras",
			},
			[968] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Finrod\'s beloved?",
				["Answer"] = "Amari",
			},
			[969] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Turgon\'s daughter called?",
				["Answer"] = "Idril",
			},
			[970] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Idril\'s nickname?",
				["Answer"] = "Celebrindal",
			},
			[971] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Aredhel\'s husband?",
				["Answer"] = "El",
			},
			[972] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was El\'s nickname?",
				["Answer"] = "Dark Elf",
			},
			[973] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who had more liking for the Dwarves than any other of the Elvenfolk of old?",
				["Answer"] = "El",
			},
			[974] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of El and Aredhel?",
				["Answer"] = "Maeglin",
			},
			[975] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Aredhel secretly give her son?",
				["Answer"] = "Lmion",
			},
			[976] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Bor\'s nickname?",
				["Answer"] = "the Elder",
			},
			[977] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the men of Bor call Finrod?",
				["Answer"] = "Nm",
			},
			[978] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was the name of Bor\'s eldest son?",
				["Answer"] = "Baran",
			},
			[979] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which son of Marach was the first to go to live in Hithlum with the Elves?",
				["Answer"] = "Malach",
			},
			[980] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did they give to Malach in Hithlum?",
				["Answer"] = "Aradan",
			},
			[981] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which son of Malach was the one who led part of the people of Hithlum to cross Ered Wethrin?",
				["Answer"] = "Magor",
			},
			[982] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Marach\'s sons?",
				["Answer"] = "Imlach and Malach",
			},
			[983] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Haldad of the Haladin?",
				["Answer"] = "Haldar and Haleth",
			},
			[984] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Haleth as leader of the Haladin?",
				["Answer"] = "Haldan",
			},
			[985] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Hador\'s father?",
				["Answer"] = "Hathol",
			},
			[986] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons of Hador?",
				["Answer"] = "Galdor and Gundor",
			},
			[987] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Hador\'s daughter?",
				["Answer"] = "Glredhel",
			},
			[988] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Galdor\'s sons?",
				["Answer"] = "Huor and Hrin",
			},
			[989] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Hrin\'s son?",
				["Answer"] = "Trin",
			},
			[990] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Huor\'s son?",
				["Answer"] = "Tuor",
			},
			[991] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Boromir of Dorthonion?",
				["Answer"] = "Bregor",
			},
			[992] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Baragund\'s daughter?",
				["Answer"] = "Morwen",
			},
			[993] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Belegund\'s daughter?",
				["Answer"] = "Ran",
			},
			[994] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Barahir\'s son?",
				["Answer"] = "Beren",
			},
			[995] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Huor\'s wife?",
				["Answer"] = "Ran",
			},
			[996] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Hrin\'s wife?",
				["Answer"] = "Morwen",
			},
			[997] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Tuor\'s mother?",
				["Answer"] = "Ran",
			},
			[998] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Trin\'s mother?",
				["Answer"] = "Morwen",
			},
			[999] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was called \"Lrindol\"?",
				["Answer"] = "Hador",
			},
			[1000] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Glaurung\'s nickname?",
				["Answer"] = "The Golden",
			},
			[1001] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Glaurung was also called the Great Worm or ...",
				["Answer"] = "Worm of Morgoth",
			},
			[1002] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Fingolfin\'s horse?",
				["Answer"] = "Rochallor",
			},
			[1003] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Fingon\'s son?",
				["Answer"] = "Ereinion",
			},
			[1004] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what nickname was Ereinion best known?",
				["Answer"] = "Gil-Galad",
			},
			[1005] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the chieftains of the two peoples of Easterlings who arrived to Beleriand after the 4th Battle of Beleriand?",
				["Answer"] = "Br and Ulfang",
			},
			[1006] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Br\'s sons?",
				["Answer"] = "Borlach Borlad and Borthand",
			},
			[1007] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Ulfang\'s sons?",
				["Answer"] = "Uldor Ulfast and Ulwarth",
			},
			[1008] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the sons of Br follow?",
				["Answer"] = "Maedhros and Maglor",
			},
			[1009] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the sons of Ulfang follow?",
				["Answer"] = "Caranthir",
			},
			[1010] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Ulfang\'s nickname?",
				["Answer"] = "The Black",
			},
			[1011] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Uldor\'s nickname?",
				["Answer"] = "The Accursed",
			},
			[1012] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many times was Huan allowed to speak with words?",
				["Answer"] = "3",
			},
			[1013] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What form did Thuringwethil usually take?",
				["Answer"] = "Bat",
			},
			[1014] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Son of Ilvatar was the one who had the greatest joy?",
				["Answer"] = "Beren",
			},
			[1015] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the only singer named before Maglor?",
				["Answer"] = "Daeron",
			},
			[1016] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Celegorm\'s dog?",
				["Answer"] = "Huan",
			},
			[1017] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King was \"the fairest and most beloved of the house of Finw\"?",
				["Answer"] = "Finrod",
			},
			[1018] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sire of the werewolves of Angband?",
				["Answer"] = "Draugluin",
			},
			[1019] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Curufin?",
				["Answer"] = "Celebrimbor",
			},
			[1020] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What terrible animal did fulfilled the doom of Huan?",
				["Answer"] = "Carcharoth",
			},
			[1021] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Carcharoth called too?",
				["Answer"] = "Anfauglir",
			},
			[1022] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Beren earn after losing his hand?",
				["Answer"] = "Erchamion",
			},
			[1023] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thingol\'s chief captain?",
				["Answer"] = "Mablung",
			},
			[1024] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Lthin get from Beren?",
				["Answer"] = "Tinviel",
			},
			[1025] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Beren give to himself when he showed the Empty Hand to Thingol?",
				["Answer"] = "Camlost",
			},
			[1026] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Beren and Lthien?",
				["Answer"] = "Dior",
			},
			[1027] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Dior\'s nickname?",
				["Answer"] = "Aranel",
			},
			[1028] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Hrin\'s nickname?",
				["Answer"] = "Thalion",
			},
			[1029] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Belegost before the 5th Battle of Beleriand?",
				["Answer"] = "Azaghl",
			},
			[1030] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Hrin?",
				["Answer"] = "Lalaith Nienor and Trin",
			},
			[1031] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Trin\'s best friend, trainer, and companion in arms during his youth?",
				["Answer"] = "Beleg",
			},
			[1032] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the marchwardens of Doriath?",
				["Answer"] = "Beleg",
			},
			[1033] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Beleg\'s nickname?",
				["Answer"] = "Cthalion",
			},
			[1034] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what name was Trin called among the Outlaws?",
				["Answer"] = "Neithan",
			},
			[1035] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Petty-Dwarf of Amon Rdh?",
				["Answer"] = "Mm",
			},
			[1036] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Mm\'s sons?",
				["Answer"] = "Ibun and Khm",
			},
			[1037] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name was given to Trin in Amon Rdh when he bore the Dragon-Helm of Dor-lmin?",
				["Answer"] = "Gorthol",
			},
			[1038] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Gwindor\'s beloved formerly?",
				["Answer"] = "Finduilas",
			},
			[1039] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Gwindor give to Finduilas?",
				["Answer"] = "Faelivrin",
			},
			[1040] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Trin give himself when he arrived to Nargothrond?",
				["Answer"] = "Agarwaen",
			},
			[1041] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When Trin arrived to Nargothrond, whose son did he say he was?",
				["Answer"] = "Umarth",
			},
			[1042] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Morwen\'s nickname?",
				["Answer"] = "Eledhwen",
			},
			[1043] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Trin love in Nargothrond?",
				["Answer"] = "Finduilas",
			},
			[1044] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Handir of Brethil?",
				["Answer"] = "Brandir",
			},
			[1045] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the leader of the group of Men of Brethil that Trin rescued from the Orcs?",
				["Answer"] = "Dorlas",
			},
			[1046] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Nienor get from Trin in Brethil?",
				["Answer"] = "Nniel",
			},
			[1047] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Trin marry in Brethil?",
				["Answer"] = "Nniel",
			},
			[1048] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Trin give to himself in Brethil?",
				["Answer"] = "Turambar",
			},
			[1049] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Brandir\'s nickname?",
				["Answer"] = "The Lame",
			},
			[1050] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was \"Glaurung\'s Bane\"?",
				["Answer"] = "Trin",
			},
			[1051] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Dior\'s wife?",
				["Answer"] = "Nimloth",
			},
			[1052] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Dior\'s sons and daughters?",
				["Answer"] = "Elurd Elurn and Elwing",
			},
			[1053] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Grey-elf who raised Tuor?",
				["Answer"] = "Annael",
			},
			[1054] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Gondolin\'s two most beloved captains?",
				["Answer"] = "Ecthelion and Glorfindel",
			},
			[1055] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Ecthelion\'s nickname?",
				["Answer"] = "of the Fountain",
			},
			[1056] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Tuor\'s wife?",
				["Answer"] = "Idril",
			},
			[1057] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Tuor\'s son?",
				["Answer"] = "Erendil",
			},
			[1058] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the House of the Golden Flower of Gondolin?",
				["Answer"] = "Glorfindel",
			},
			[1059] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last High King of the Noldor in Middle-earth?",
				["Answer"] = "Gil-Galad",
			},
			[1060] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is Erendil\'s Wife?",
				["Answer"] = "Elwing",
			},
			[1061] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Erendil\'s sons?",
				["Answer"] = "Elrond and Elros",
			},
			[1062] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the so-called \"Half-elven\"?",
				["Answer"] = "Elrond and Elros",
			},
			[1063] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the lord of the people that dwelt nigh to Sirion\'s mouths after the departure of Tuor and Idril?",
				["Answer"] = "Erendil",
			},
			[1064] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mightiest of the Winged Fire Dragons?",
				["Answer"] = "Ancalagon",
			},
			[1065] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Ancalagon\'s nickname?",
				["Answer"] = "The Black",
			},
			[1066] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "One of Erendil\'s nicknames",
				["Answer"] = "The Blessed",
			},
			[1067] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Valar appoint as the first King of Nmenor?",
				["Answer"] = "Elros",
			},
			[1068] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the first King of Nmenor take?",
				["Answer"] = "Tar-Minyatur",
			},
			[1069] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth King of Nmenor?",
				["Answer"] = "Tar-Elendil",
			},
			[1070] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh King of Nmenor?",
				["Answer"] = "Tar-Minastir",
			},
			[1071] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth King of Nmenor?",
				["Answer"] = "Tar-Ciryatan",
			},
			[1072] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth King of Nmenor?",
				["Answer"] = "Tar-Atanamir",
			},
			[1073] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth King of Nmenor?",
				["Answer"] = "Tar-Ancalimon",
			},
			[1074] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twentieth King of Nmenor?",
				["Answer"] = "Ar-Adnakhr",
			},
			[1075] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-second King of Nmenor?",
				["Answer"] = "Ar-Sakalthr",
			},
			[1076] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-third King of Nmenor?",
				["Answer"] = "Ar-Gimilzr",
			},
			[1077] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-fourth King of Nmenor?",
				["Answer"] = "Tar-Palantir",
			},
			[1078] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last King of Nmenor?",
				["Answer"] = "Ar-Pharazn",
			},
			[1079] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the Highest Nmenreans in honour after the house of the kings?",
				["Answer"] = "Lords of Andni",
			},
			[1080] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Ar-Pharazn\'s Elvish name?",
				["Answer"] = "Tar-Calion",
			},
			[1081] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which daughter of Tar-Elendil dis the Lords of Andni descend?",
				["Answer"] = "Silmarien",
			},
			[1082] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Ar-Gimilzr?",
				["Answer"] = "Inzilbth",
			},
			[1083] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Lord of Andni was Inzilbth\'s brother?",
				["Answer"] = "Erendur",
			},
			[1084] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Ar-Gimilzr name his two sons?",
				["Answer"] = "Gimilkhd and Inziladn",
			},
			[1085] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what name did Inziladn accede to the throne of Nmenor?",
				["Answer"] = "Tar-Palantir",
			},
			[1086] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Tar-Palantir\'s daughter and successor?",
				["Answer"] = "Tar-Mriel",
			},
			[1087] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Tar-Mriel of Nmenor marry against her will?",
				["Answer"] = "Ar-Pharazn",
			},
			[1088] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Ar-Pharazn make Tar-Mriel take?",
				["Answer"] = "Zimraphel",
			},
			[1089] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Ar-Pharazn\'s nickname?",
				["Answer"] = "The Golden",
			},
			[1090] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title had Sauron given to himself when he decided to attack the Nmenrean cities of Middle-earth?",
				["Answer"] = "King of Men",
			},
			[1091] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What covetous title did Ar-Pharazn want to attain?",
				["Answer"] = "King of Men",
			},
			[1092] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last Lord of Andni?",
				["Answer"] = "Amandil",
			},
			[1093] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Amandil\'s son?",
				["Answer"] = "Elendil",
			},
			[1094] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Elendil\'s sons?",
				["Answer"] = "Anrion and Isildur",
			},
			[1095] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Elendil\'s nickname?",
				["Answer"] = "The Tall",
			},
			[1096] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the most skilled of the People of the Jewel-smiths of Eregion?",
				["Answer"] = "Celebrimbor",
			},
			[1097] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Dwarf Father and King of Khazad-dm?",
				["Answer"] = "Durin",
			},
			[1098] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who actually was Annatar?",
				["Answer"] = "Sauron",
			},
			[1099] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Anrion, who reigned in Gondor?",
				["Answer"] = "Meneldil",
			},
			[1100] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Isildur\'s squire, who kept Elendil\'s sword in the Gladden Fields?",
				["Answer"] = "Ohtar",
			},
			[1101] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was King of Arnor upon the dath of Isildur?",
				["Answer"] = "Valandil",
			},
			[1102] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last King of the undivided Arnor?",
				["Answer"] = "Erendur",
			},
			[1103] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Ernil and last King of Gondor?",
				["Answer"] = "Ernur",
			},
			[1104] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Ruling Steward of Gondor?",
				["Answer"] = "Mardil",
			},
			[1105] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Mardil\'s nickname?",
				["Answer"] = "The Faithful",
			},
			[1106] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lord of the Grey Havens?",
				["Answer"] = "Crdan",
			},
			[1107] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Greenwood the Great (and Mirkwood) in the Second, Third, and Fourth Ages?",
				["Answer"] = "Thranduil",
			},
			[1108] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who actually was the Necromancer of Dol Guldur?",
				["Answer"] = "Sauron",
			},
			[1109] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Elvish names were given in Middle-earth to the three Istari who inhabited the western part?",
				["Answer"] = "Curunr Mithrandir and Radagast",
			},
			[1110] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istar had the most relationship with Men?",
				["Answer"] = "Saruman",
			},
			[1111] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istar had the most relationship with Elves?",
				["Answer"] = "Gandalf",
			},
			[1112] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istar was the friend of beasts and birds?",
				["Answer"] = "Radagast",
			},
			[1113] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gandalf\'s name as Maia?",
				["Answer"] = "Olrin",
			},
			[1114] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the White Council?",
				["Answer"] = "Saruman",
			},
			[1115] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what name was Smagol known?",
				["Answer"] = "Gollum",
			},
			[1116] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last of the so-called \"Heirs of Isildur\"?",
				["Answer"] = "Aragorn",
			},
			[1117] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Aragorn\'s father?",
				["Answer"] = "Arathorn",
			},
			[1118] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the divine spirits of Arda, or Powers?",
				["Answer"] = "Valar",
			},
			[1119] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Queens of the Valar?",
				["Answer"] = "Valier",
			},
			[1120] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the \"kelvar\"?",
				["Answer"] = "Animals",
			},
			[1121] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the \"olvar\"?",
				["Answer"] = "Plants",
			},
			[1122] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What ancient and strange beings take care of the olvar?",
				["Answer"] = "Ents",
			},
			[1123] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the Ents also called?",
				["Answer"] = "Shepherds of the Trees",
			},
			[1124] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who are the \"Children of Ilvatar\"?",
				["Answer"] = "Elves and Men",
			},
			[1125] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the adopted children of Ilvatar\"?",
				["Answer"] = "Dwarves",
			},
			[1126] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which other name had Avari got?",
				["Answer"] = "Silvan Elves",
			},
			[1127] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Vanyar also called?",
				["Answer"] = "Fair Elves",
			},
			[1128] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the kin of Ingw, Finw and Elw, respectively?",
				["Answer"] = "Vanyar Noldor and Teleri",
			},
			[1129] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what other name were the Teleri known in Aman?",
				["Answer"] = "Falmari",
			},
			[1130] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Elves who saw the light of the Two Trees?",
				["Answer"] = "Calaquendi",
			},
			[1131] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Elves who did not get to see the light of the Two Trees?",
				["Answer"] = "Moriquendi",
			},
			[1132] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Eldar who turned to the Anduin at the sight of the Misty Mountains?",
				["Answer"] = "Nandor",
			},
			[1133] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Nandor who went west again and lived in Ossiriand?",
				["Answer"] = "Laiquendi",
			},
			[1134] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Eldar who stayed with Thingol in Doriath?",
				["Answer"] = "Sindar",
			},
			[1135] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Teleri who did not reach Amman, staying near the Mouths of Sirion?",
				["Answer"] = "Falathrim",
			},
			[1136] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Green-elves live?",
				["Answer"] = "Ossiriand",
			},
			[1137] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Dwarves call themselves?",
				["Answer"] = "Khazd",
			},
			[1138] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Elves call the Dwarves?",
				["Answer"] = "Naugrim",
			},
			[1139] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what little-used name were the Dwarves also called?",
				["Answer"] = "Gonnhirrim",
			},
			[1140] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who woke up at the first sunrise?",
				["Answer"] = "Men",
			},
			[1141] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what name are the Valaraukar commonly known?",
				["Answer"] = "Balrogs",
			},
			[1142] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Eru call the Elves?",
				["Answer"] = "Quendi",
			},
			[1143] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Eru call Men?",
				["Answer"] = "Atani",
			},
			[1144] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Orom give to the Elves?",
				["Answer"] = "Eldar",
			},
			[1145] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the Firstborn?",
				["Answer"] = "Elves",
			},
			[1146] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What hideous race did Melkor brood in envy and mockery of Elves?",
				["Answer"] = "Orcs",
			},
			[1147] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Elves who never made the journey to Aman?",
				["Answer"] = "Avari",
			},
			[1148] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who among the Eldar are Aul\'s favourites?",
				["Answer"] = "Noldor",
			},
			[1149] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who among the Eldar are Manw\'s favourites?",
				["Answer"] = "Vanyar",
			},
			[1150] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who among the Eldar are Ulmo\'s favourites?",
				["Answer"] = "Teleri",
			},
			[1151] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped build Menegroth and Nargothrond?",
				["Answer"] = "Dwarves",
			},
			[1152] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose people were the first Men to enter Beleriand?",
				["Answer"] = "Bor",
			},
			[1153] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which kin of Men was the second to enter Beleriand?",
				["Answer"] = "Haladin",
			},
			[1154] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose people were the last of the Elf-friends to enter Beleriand?",
				["Answer"] = "Marach",
			},
			[1155] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Eldar call the three houses of Men that first befriended them?",
				["Answer"] = "Edain",
			},
			[1156] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was another name for the Easterlings that reached Beleriand?",
				["Answer"] = "Swarthy Men",
			},
			[1157] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the first Dwarves to enter Beleriand called?",
				["Answer"] = "Petty-dwarves",
			},
			[1158] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Men of the island that was raised for them in the Great Sea?",
				["Answer"] = "Nmenreans",
			},
			[1159] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Grey-elves call the Nmenreans?",
				["Answer"] = "Dnedain",
			},
			[1160] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what activity did the Nmenreans excel?",
				["Answer"] = "Sailing",
			},
			[1161] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Nmenrean Elf-friends?",
				["Answer"] = "Elendili",
			},
			[1162] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the Gwaith-i-Mrdain of Eregion?",
				["Answer"] = "People of the Jewel-smiths",
			},
			[1163] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What strange wandering people resulted from Arnor\'s disappearance?",
				["Answer"] = "Rangers",
			},
			[1164] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which horsemen people came to Gondor in the Third Age and were forever their allies?",
				["Answer"] = "Rohirrim",
			},
			[1165] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Wizards who came from the West in the Third Age?",
				["Answer"] = "Istari",
			},
			[1166] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What race were the Istari?",
				["Answer"] = "Maiar",
			},
			[1167] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the race (Elvish name) of Little People, who dwelt in Eriador in the Third Age?",
				["Answer"] = "Periannath",
			},
			[1168] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Men who inhabited the southernmost lands of Middle-earth?",
				["Answer"] = "Haradrim",
			},
		}
	},
	[5] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Extension - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"is it true, as Aul hath said to me, that the Children when they come shall have dominion over all the things of my labour, to do as they will therewith?\"?",
				["Answer"] = "Yavanna",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"There is some woe that lies upon you and your kin. That I can see in you, but all else is hidden from me;\", and who did say that and to whom?",
				["Answer"] = "Melian to Galadriel",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"O woe-begotten spirit, fall now into dark oblivion, and forget for a while the dreadful doom of life.\" To whom were these words addressed?",
				["Answer"] = "Carcharoth",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said before dying \"Now is the Quest achieved, and my doom full-wrought.\"?",
				["Answer"] = "Beren",
			},
			[5] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what other name is Eldamar named?",
				["Answer"] = "Elend",
			},
			[6] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the misty region near Helcarax?",
				["Answer"] = "Oiomr",
			},
			[7] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the riverbed of the ancient tributary of the Sirion that came out of the Echoriath called?",
				["Answer"] = "Dry River",
			},
			[8] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is another name given to Taniquetil?",
				["Answer"] = "Elerrna",
			},
			[9] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is another name given to the Halls of Mandos?",
				["Answer"] = "Halls of Awaiting",
			},
			[10] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the region of Aman in which the Valar settled?",
				["Answer"] = "Valmar",
			},
			[11] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which blue star lies south of Menelmacar?",
				["Answer"] = "Helluin",
			},
			[12] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is Helluin called today?",
				["Answer"] = "Sirius",
			},
			[13] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Doriath\'s name before Melian\'s power worked?",
				["Answer"] = "Eglador",
			},
			[14] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Andram\'s eastern boundary?",
				["Answer"] = "Ramdal",
			},
			[15] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Noldor call Ered Luin?",
				["Answer"] = "Ered Lindon",
			},
			[16] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Noldor call the Moon?",
				["Answer"] = "Rna",
			},
			[17] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Noldor call the Sun?",
				["Answer"] = "Vsa",
			},
			[18] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land of Morgoth north of Beleriand?",
				["Answer"] = "Dor Daedeloth",
			},
			[19] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name was Thargelion, in reference to its Lord?",
				["Answer"] = "Dor Caranthir",
			},
			[20] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the land of Thargelion formerly called?",
				["Answer"] = "Talath Rnen",
			},
			[21] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only tributary river of the Narog?",
				["Answer"] = "Ginglith",
			},
			[22] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the little stream that flowed into the Narog at Nargothrond?",
				["Answer"] = "Ringwill",
			},
			[23] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what lands was the mere of Linaewen?",
				["Answer"] = "Nevrast",
			},
			[24] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Between what wooded highlands and what mountains was Tol Sirion?",
				["Answer"] = "Dorthonion and Ered Wethrin",
			},
			[25] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What land was between Sirion and Mindeb?",
				["Answer"] = "Dimbar",
			},
			[26] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land between the upper reaches of the Esgalduin and the Aros?",
				["Answer"] = "Dor Dnen",
			},
			[27] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the bridge that crossed the Esgalduin on the northern borders of Doriath?",
				["Answer"] = "Iant Iaur",
			},
			[28] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the little forest of Doriath west of Sirion?",
				["Answer"] = "Nivrim",
			},
			[29] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What wooded land was west of the Narog, south of Nargothrond?",
				["Answer"] = "Taur-en-Faroth",
			},
			[30] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were (north to south) the Seven Rivers, tributaries of the Gelion?",
				["Answer"] = "Ascar Thalos Legolin Brilthor Duilwen and Adurant",
			},
			[31] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the precipice on the north side of Amon Gwareth, which El was thrown from?",
				["Answer"] = "Caragdr",
			},
			[32] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mine in the northern part of the Echoriath?",
				["Answer"] = "Anghabar",
			},
			[33] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two names (meaning the same thing) did Dorthonion receive after the 4th Battle of Beleriand?",
				["Answer"] = "Deldwath and Taur-nu-Fuin",
			},
			[34] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Anfauglith called?",
				["Answer"] = "Dor-nu-Fauglith",
			},
			[35] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Morwen\'s tomb called when it emerged after the sinking of Beleriand?",
				["Answer"] = "Tol Morwen",
			},
			[36] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the waterfall in Ossiriand where Dior lived?",
				["Answer"] = "Lanthir Lamath",
			},
			[37] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ravine in the Echoriath through which Gondolin was reached?",
				["Answer"] = "Orfalch Echor",
			},
			[38] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Valar call the emerged island for the Edain in the middle of the Belegaer?",
				["Answer"] = "Andor",
			},
			[39] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name did Men give to Nmenor?",
				["Answer"] = "Elenna",
			},
			[40] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the place of Aman where Ar-Pharazn and his warriors lie buried?",
				["Answer"] = "Caves of the Forgotten",
			},
			[41] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Turgon call his hidden city, even though the Sindar called it something else?",
				["Answer"] = "Ondolind",
			},
			[42] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Denethor of the Green-elves die?",
				["Answer"] = "Amon Ereb",
			},
			[43] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many escorts did Turgon appoint to accompany Aredhel to Hithlum?",
				["Answer"] = "3",
			},
			[44] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Bor leave the government of his people?",
				["Answer"] = "Baran",
			},
			[45] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the dissension of some Men in leaving Estolad?",
				["Answer"] = "Amlach and Bereg",
			},
			[46] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what direction did Bereg\'s followers depart from Estolad?",
				["Answer"] = "South",
			},
			[47] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what direction did Amlach\'s followers depart from Estolad?",
				["Answer"] = "North",
			},
			[48] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what lands did Haleth lead his people after Estolad?",
				["Answer"] = "Talath Dirnen",
			},
			[49] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the women and children of the village of Barahir out of Dorthonion?",
				["Answer"] = "Emeldir",
			},
			[50] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what lake did Barahir and the other twelve survivors of Dorthonion settle after the 4th Battle of Beleriand?",
				["Answer"] = "Tarn Aeluin",
			},
			[51] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Sauron promise Gorlim that he would meet if he revealed where Barahir was?",
				["Answer"] = "Eilinel",
			},
			[52] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who gave the dog Huan to Celegorm?",
				["Answer"] = "Orom",
			},
			[53] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the only one of Thingol\'s messengers bound for Himring to survive Carcharoth?",
				["Answer"] = "Mablung",
			},
			[54] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Mandos offered Lthien immortality without Beren in Valinor, but what was the other option, which was the one he chose?",
				["Answer"] = "Mortality with Beren in Middle-earth",
			},
			[55] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What season of year did the 4th Battle of Beleriand begin?",
				["Answer"] = "Winter",
			},
			[56] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What season of year did the 5th Battle of Beleriand begin?",
				["Answer"] = "Summer",
			},
			[57] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the heralds of Morgoth hewed off to pieces before the armies of Fingon before the 5th Battle of Beleriand began?",
				["Answer"] = "Gelmir",
			},
			[58] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was captured alive when inside Angband at the 5th Battle of Beleriand?",
				["Answer"] = "Gwindor",
			},
			[59] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what forest did Trin and his fellow outlaws dwell?",
				["Answer"] = "Nivrim",
			},
			[60] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what hill in sight of Nargothrond did Mablung lead Morwen and Nienor?",
				["Answer"] = "Amon Ethir",
			},
			[61] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years was Hrin captive?",
				["Answer"] = "28",
			},
			[62] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hrin go after Gondolin, after he was freed?",
				["Answer"] = "Brethil",
			},
			[63] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Hrin\'s ultimate destination in Middle-earth?",
				["Answer"] = "Western sea",
			},
			[64] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Celegorm?",
				["Answer"] = "Dior",
			},
			[65] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Tuor advise Turgon to go, leaving Gondolin?",
				["Answer"] = "Mouths of Sirion",
			},
			[66] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years had passed since the arrival of the Noldor in Middle-earth when Erendil was born?",
				["Answer"] = "503",
			},
			[67] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What feast was being celebrated on the day of the Fall of Gondolin?",
				["Answer"] = "Gates of Summer",
			},
			[68] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was built for Elwing on the shores of the Dividing Seas?",
				["Answer"] = "Tower",
			},
			[69] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what was first lit the fire of the temple that Sauron ordered to be built at Armenelos?",
				["Answer"] = "Wood of Nimloth",
			},
			[70] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves call the Black Years?",
				["Answer"] = "Days of Flight",
			},
			[71] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Name of two Nmenrean renegades, servants of Sauron who attained great power among the Haradrim",
				["Answer"] = "Fuinur and Herumor",
			},
			[72] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in Mordor did Anrion die?",
				["Answer"] = "Gorgoroth",
			},
			[73] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Gondor did a great plague ravage the kingdom?",
				["Answer"] = "Telemnar",
			},
			[74] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Gondor was Minas Ithil taken over for the second time?",
				["Answer"] = "Ernil",
			},
			[75] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Eldamar\" mean?",
				["Answer"] = "Elvenhome",
			},
			[76] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elerrna\", Taniquetil\'s name, mean?",
				["Answer"] = "Crowned with Stars",
			},
			[77] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the meaning of \"Helluin\"?",
				["Answer"] = "Ice-blue",
			},
			[78] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rna\", the Moon, mean?",
				["Answer"] = "Wanderer",
			},
			[79] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Vsa\", the Sun, mean?",
				["Answer"] = "Consumer",
			},
			[80] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dolmed\" mean?",
				["Answer"] = "Wet Head",
			},
			[81] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ramdal\" mean?",
				["Answer"] = "Wall\'s End",
			},
			[82] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Lmin\" mean?",
				["Answer"] = "Echoing Mountains",
			},
			[83] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dor Daedeloth\" mean?",
				["Answer"] = "Land of the Shadow of Horror",
			},
			[84] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Thangorodrim\" mean?",
				["Answer"] = "Mountain of Tyranny",
			},
			[85] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Thargelion\" mean?",
				["Answer"] = "Land beyond Gelion",
			},
			[86] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Talath Rhnen\" mean?",
				["Answer"] = "East Vale",
			},
			[87] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Linaewen\" mean?",
				["Answer"] = "Lake of Birds",
			},
			[88] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Brilthor\" mean, river of Ossiriand?",
				["Answer"] = "Glittering Torrent",
			},
			[89] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Quenya equivalent of \"Hithlum\"?",
				["Answer"] = "Hsilm",
			},
			[90] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nevrast\" mean?",
				["Answer"] = "Hither Shore",
			},
			[91] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Haerast\" mean?",
				["Answer"] = "Far Shore",
			},
			[92] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dor Dnen\" mean?",
				["Answer"] = "Silent Land",
			},
			[93] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Iant Iaur\" mean?",
				["Answer"] = "Old Bridge",
			},
			[94] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ondolind\" mean?",
				["Answer"] = "Stone Song",
			},
			[95] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of Haleth\'s tomb?",
				["Answer"] = "Haudh-en-Arwen",
			},
			[96] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Deldwath\" mean?",
				["Answer"] = "Horror of Night Shadow",
			},
			[97] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Taur-nu-Fuin\" mean?",
				["Answer"] = "Forest under Night",
			},
			[98] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dor-nu-Fauglith\" mean?",
				["Answer"] = "Land Under Choking Ash",
			},
			[99] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Haudh-en-Ndengin\" mean?",
				["Answer"] = "Mound of Slain",
			},
			[100] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was \"Nargothrond\" called in the language of Dwarves?",
				["Answer"] = "Nulukkizdn",
			},
			[101] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lanthir Lamath\" mean?",
				["Answer"] = "Waterfall of Echoing Voices",
			},
			[102] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mar-nu-Falmar\" mean, the name of Nmenor after sinking?",
				["Answer"] = "Land under the Waves",
			},
			[103] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Fornost\" mean?",
				["Answer"] = "Northern Fortress",
			},
			[104] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rauros\" mean?",
				["Answer"] = "Roaring Spray",
			},
			[105] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Orthanc\" mean?",
				["Answer"] = "Forked Height",
			},
			[106] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Imladris\" literally mean?",
				["Answer"] = "Deep Dale of the Cleft",
			},
			[107] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the \"Gladden Fields\"?",
				["Answer"] = "Loeg Ningloron",
			},
			[108] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rhovanion\" mean?",
				["Answer"] = "Wilderland",
			},
			[109] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mindolluin\" mean?",
				["Answer"] = "Towering Blue-head",
			},
			[110] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name, Quenya form of \"Nimloth\", had Telperion?",
				["Answer"] = "Ninquelt",
			},
			[111] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what other name, meaning \"Tree of Gold\", was Laurelin known?",
				["Answer"] = "Malinalda",
			},
			[112] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Belhtil\" mean?",
				["Answer"] = "Divine Radiance",
			},
			[113] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Glingal\" mean?",
				["Answer"] = "Hanging Flame",
			},
			[114] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Sindarin equivalent of \"Melkor\"?",
				["Answer"] = "Belegr",
			},
			[115] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Galadriel\" literally mean?",
				["Answer"] = "Maiden crowned with a radiant garland",
			},
			[116] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Quenya equivalent of \"Thorondor\"?",
				["Answer"] = "Sorontar",
			},
			[117] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aredhel\" literally mean?",
				["Answer"] = "Noble Elf",
			},
			[118] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Thuringwethil\" mean?",
				["Answer"] = "Woman of Secret Shadow",
			},
			[119] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dagnir Glaurunga\" mean?",
				["Answer"] = "Glaurung\'s Bane",
			},
			[120] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Glorfindel\" mean?",
				["Answer"] = "Golden-haired",
			},
			[121] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Eglath\" mean?",
				["Answer"] = "Forsaken People",
			},
			[122] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Apannar\" mean, name given by the Eldar to Men?",
				["Answer"] = "Afterborn",
			},
			[123] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Engwar\" mean, name the Eldar gave to Men?",
				["Answer"] = "Sickly",
			},
			[124] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name given to the \"Petty Dwarves\" in the Sindarin language?",
				["Answer"] = "Noegyth Nibin",
			},
			[125] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who composed the Aldudni?",
				["Answer"] = "Elemmr",
			},
			[126] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the Tale of the Sons of Hrin also called?",
				["Answer"] = "Tale of Grief",
			},
			[127] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Ring of Doom?",
				["Answer"] = "Mhanaxar",
			},
			[128] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Turgon\'s image of Telperion in Gondolin?",
				["Answer"] = "Belthil",
			},
			[129] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Turgon\'s image of Laurelin in Gondolin?",
				["Answer"] = "Glingal",
			},
			[130] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Beleg\'s bow called?",
				["Answer"] = "Belthronding",
			},
			[131] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the sword of the Kings of Nmenor?",
				["Answer"] = "Aranrth",
			},
			[132] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Valier is Irmo\'s wife?",
				["Answer"] = "Est",
			},
			[133] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How\'s Vana also called?",
				["Answer"] = "Ever-young",
			},
			[134] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Fingolfin\'s paternal name?",
				["Answer"] = "Nolofinw",
			},
			[135] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was nicknamed \"Serind\"?",
				["Answer"] = "Mriel",
			},
			[136] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did Fanor learn much of the making of things in metal and in stone?",
				["Answer"] = "Mahtan",
			},
			[137] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Nerdanel\'s father?",
				["Answer"] = "Mahtan",
			},
			[138] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Men of Bor call Finrod\'s people?",
				["Answer"] = "Nmin",
			},
			[139] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was Bor\'s name before he went to live as Finrod\'s vassal?",
				["Answer"] = "Balan",
			},
			[140] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Bereg?",
				["Answer"] = "Baran",
			},
			[141] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Haldar\'s son?",
				["Answer"] = "Haldan",
			},
			[142] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Bregor\'s sons?",
				["Answer"] = "Barahir and Bregolas",
			},
			[143] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons of Bregolas?",
				["Answer"] = "Baragund and Beregund",
			},
			[144] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Barahir\'s twelve surviving companions in Dorthonion?",
				["Answer"] = "Arthad Baragund Belegund Beren Dagnir Dairuin Gildor Gorlim Hathaldir Radhruin Ragnor and Urthel",
			},
			[145] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Hathaldir\'s nickname?",
				["Answer"] = "The Young",
			},
			[146] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Gorlim\'s father?",
				["Answer"] = "Angrim",
			},
			[147] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Halmir in the lordship of the Men of Brethil?",
				["Answer"] = "Haldir",
			},
			[148] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Haldir\'s wife?",
				["Answer"] = "Glredhel",
			},
			[149] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Haldir in the lordship of the Men of Brethil?",
				["Answer"] = "Handir",
			},
			[150] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the seer of Brethil who predicted that Morwen\'s tomb would never be defiled?",
				["Answer"] = "Glirhuin",
			},
			[151] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the chief of the Easterlings of Hithlum in Tuor\'s time?",
				["Answer"] = "Lorgan",
			},
			[152] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Voronw\'s father?",
				["Answer"] = "Aranw",
			},
			[153] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the three mariners who sailed all the seas beside Erendil?",
				["Answer"] = "Aerandir Erellont and Falathar",
			},
			[154] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of Ar-Adnakhr?",
				["Answer"] = "Tar-Herunmen",
			},
			[155] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Ar-Gimilzr\'s Elvish name?",
				["Answer"] = "Tar-Telemnar",
			},
			[156] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Erendur and Inzilbth\'s mother?",
				["Answer"] = "Lindri",
			},
			[157] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Gimilkhd\'s son?",
				["Answer"] = "Pharazn",
			},
			[158] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Isildur\'s sons?",
				["Answer"] = "Aratan Cryon Elendur and Valandil",
			},
			[159] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-third King of Gondor of Meneldil\'s line?",
				["Answer"] = "Telemnar",
			},
			[160] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the penultimate King of Gondor?",
				["Answer"] = "Ernil",
			},
			[161] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Eldar who did not reach to Aman?",
				["Answer"] = "Umanyar",
			},
			[162] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did those who stayed in Beleriand with Elw call themselves?",
				["Answer"] = "Eglath",
			},
			[163] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name did the Elendili go by?",
				["Answer"] = "Faithful",
			},
		}
	},
	[6] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "Base - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Good morning! We don\'t want any adventures here, thank you! You might try over The Hill or across The Water\"?",
				["Answer"] = "Bilbo",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"How he got there I don\'t know, but I found him a prisoner in the dungeons of the Necromancer.\" Who was Gandalf speaking about?",
				["Answer"] = "Thrin",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"What\'s a burrahobbit got to do with my pocket, anyways?\"?",
				["Answer"] = "Wiliam the Troll",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Stand by the grey stone when the thrush knocks, and the setting sun with the last light of Durin\'s Day will shine upon the key-hole\". Where was this written?",
				["Answer"] = "Thrr\'s Map",
			},
			[5] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"What has roots as nobody sees | Is taller than trees | Up, up it goes | And yet never grows\"?",
				["Answer"] = "Mountain",
			},
			[6] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Thirty white horses on a red hill | First they champ | Then they stamp | Then they stand still\"?",
				["Answer"] = "Teeth",
			},
			[7] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Voiceless it cries | Wingless flutters | Toothless bites | Mouthless mutters\"?",
				["Answer"] = "Wind",
			},
			[8] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"An eye in a blue face | Saw an eye in a green face | \"That eye is like to this eye\" | Said the first eye | But in low place | Not in high place\"?",
				["Answer"] = "Sun on the daisies",
			},
			[9] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It cannot be seen, cannot be felt | Cannot be heard, cannot be smelt | It lies behind stars and under hills | And empty holes it fills | It comes first and follows after |Ends life, kills laughter\"?",
				["Answer"] = "Dark",
			},
			[10] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"A box without hinges, key, or lid | Yet golden treasure inside is hid\"?",
				["Answer"] = "Egg",
			},
			[11] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"A live without breath | As cold as death | Never thirsty, ever drinking | All in mail never clinking\"?",
				["Answer"] = "Fish",
			},
			[12] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"This thing all things devours | Birds, beasts, trees, flowers | Gnaws iron, bites steel | Grinds hard stones to meal | Slays king, ruins town | And beats high mountain down\"?",
				["Answer"] = "Time",
			},
			[13] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What exactly was Bilbo\'s last riddle to Gollum?",
				["Answer"] = "What have I got in my pocket?",
			},
			[14] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gollum\'s first answer to Bilbo\'s last riddle?",
				["Answer"] = "Hands",
			},
			[15] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gollum\'s second answer to Bilbo\'s last riddle?",
				["Answer"] = "Knife",
			},
			[16] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gollum\'s last answer to Bilbo\'s last riddle?",
				["Answer"] = "String or nothing",
			},
			[17] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Thief, thief, thief! Baggins! We hates it, we hates it, we hates it for ever!\"?",
				["Answer"] = "Gollum",
			},
			[18] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose phrase \"DON\'T LEAVE THE PATH!\"?",
				["Answer"] = "Gandalf",
			},
			[19] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Gollum! Well I\'m blest! So that\'s how he sneaked past me is it? Now I know! Just crept quietly along did you, Mr. Baggins?\" Who said this?",
				["Answer"] = "Balin",
			},
			[20] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"My armour is like tenfold shields, my teeth are swords, my claws spears, the shock of my tail a thunderbolt, my wings a hurricane, and my breath death!\"?",
				["Answer"] = "Smaug",
			},
			[21] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who invented the proverb \"Never laugh at live dragons\"?",
				["Answer"] = "Bilbo",
			},
			[22] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Black arrow! I have saved you to the last. You have never failed me and always I have recovered you. I had you from my father and he from of old. If ever you came from the forges of the true king under the Mountain, go now and speed well!\"?",
				["Answer"] = "Bard",
			},
			[23] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose words are \"If more of us valued food and cheer and song above hoarded gold, it would be a merrier world.\"?",
				["Answer"] = "Thorin",
			},
			[24] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place where Bag End was?",
				["Answer"] = "The Hill",
			},
			[25] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Baggins\' house?",
				["Answer"] = "Bag End",
			},
			[26] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the House of Elrond in Rivendell?",
				["Answer"] = "Last Homely House",
			},
			[27] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lands between Running River, the Lonely Mountain, and  Mirkwood?",
				["Answer"] = "Desolation of the Dragon",
			},
			[28] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river flowed from the Lonely Mountain to beyond the Long Lake?",
				["Answer"] = "Running River",
			},
			[29] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lake that was the junction of the Running River and the Mirkwood Forest River?",
				["Answer"] = "Long Lake",
			},
			[30] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the river that ran through Mirkwood?",
				["Answer"] = "Forest River",
			},
			[31] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city of Men on the Long Lake?",
				["Answer"] = "Esgaroth",
			},
			[32] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the Running River born?",
				["Answer"] = "Lonely Mountain",
			},
			[33] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Dwarf Kingdom east of Mirkwood, and north of the Long Lake?",
				["Answer"] = "Lonely Mountain",
			},
			[34] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city of Men by the Lonely Mountain?",
				["Answer"] = "Dale",
			},
			[35] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What used to be called Esgaroth too?",
				["Answer"] = "Lake-town",
			},
			[36] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the watch-post on the south face of Lonely Mountain?",
				["Answer"] = "Ravenhill",
			},
			[37] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the mountains east of the Lonely Mountain called?",
				["Answer"] = "Iron Hills",
			},
			[38] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most important goblin city in Bolg\'s time?",
				["Answer"] = "Mount Gundabad",
			},
			[39] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which book, written by Bilbo, is his journey told?",
				["Answer"] = "There and Back Again",
			},
			[40] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Bilbo meet one morning in his routine life while smoking a pipe?",
				["Answer"] = "Gandalf",
			},
			[41] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Dwarves were the first to show up at Bilbo\'s house?",
				["Answer"] = "Balin and Dwalin",
			},
			[42] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was the second pair of Dwarves to show up at Bilbo\'s house?",
				["Answer"] = "Fli and Kli",
			},
			[43] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which trio and which pair of dwarves came to Bilbo\'s house together?",
				["Answer"] = "Dori Nori Ori in and Glin",
			},
			[44] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the last trio of Dwarves to arrive at Bilbo\'s house?",
				["Answer"] = "Bifur Bofur and Bombur",
			},
			[45] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last Dwarf (along with Gandalf and three others) to arrive at Bilbo\'s house?",
				["Answer"] = "Thorin",
			},
			[46] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Dwarves recognize which hobbit-hole they should go into?",
				["Answer"] = "By Gandalf\'s sign",
			},
			[47] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Dwarf was the first to doubt Bilbo\'s ability?",
				["Answer"] = "Glin",
			},
			[48] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Thrr?",
				["Answer"] = "Azog",
			},
			[49] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "who killed Azog?",
				["Answer"] = "Din",
			},
			[50] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who wrote his name with a sword on Thrr\'s face?",
				["Answer"] = "Azog",
			},
			[51] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where Did Thrin Die?",
				["Answer"] = "Dol Guldur",
			},
			[52] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who gave Thrr\'s map and key to Gandalf?",
				["Answer"] = "Thrin",
			},
			[53] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Through what did Thrin and Thrr escape from the Lonely Mountain?",
				["Answer"] = "Secret Side Door",
			},
			[54] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who desolated the Lonely Mountain and the city of Dale?",
				["Answer"] = "Smaug",
			},
			[55] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were the Dwarves set the appointment with Bilbo to set out on the journey?",
				["Answer"] = "The Green Dragon",
			},
			[56] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what river had Bilbo, Thorin, and the others had camped on the night of the Trolls?",
				["Answer"] = "Greyflood",
			},
			[57] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Dwarves send one night to investigate a light they saw?",
				["Answer"] = "Bilbo",
			},
			[58] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo, Thorin and the others come across on a rainy night, after crossing the Greyflood?",
				["Answer"] = "Trolls",
			},
			[59] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the three Trolls think Bilbo was?",
				["Answer"] = "Burrahobbit",
			},
			[60] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Trolls understand when they asked him how many others there were with him?",
				["Answer"] = "Lots and none at all",
			},
			[61] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Bilbo, Thorin and the rest from the Trolls?",
				["Answer"] = "Gandalf",
			},
			[62] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the three Trolls who wanted to eat Thorin and the others end up?",
				["Answer"] = "Turned to stone",
			},
			[63] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf, Bilbo, Thorin and the others go right after being saved from the Trolls?",
				["Answer"] = "Cave of the Trolls",
			},
			[64] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf, Bilbo, Thorin and the others go after their adventure with the Trolls?",
				["Answer"] = "Rivendell",
			},
			[65] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf, Bilbo, Thorin and the others visit before crossing the Misty Mountains?",
				["Answer"] = "Elrond",
			},
			[66] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountain range did Gandalf, Bilbo, Thorin and the others have to cross on their journey?",
				["Answer"] = "Misty Mountains",
			},
			[67] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who captured Gandalf, Bilbo, Thorin, and the others in the Misty Mountains?",
				["Answer"] = "Goblins",
			},
			[68] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Goblins of the Misty Mountains take Bilbo, Thorin, and the others to?",
				["Answer"] = "Great Goblin",
			},
			[69] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Thorin\'s company from the Goblins in the Misty Mountains?",
				["Answer"] = "Gandalf",
			},
			[70] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Dwarf had to carry Bilbo the most?",
				["Answer"] = "Dori",
			},
			[71] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo find in the Misty Mountains?",
				["Answer"] = "Ring",
			},
			[72] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gollum challenge Bilbo to?",
				["Answer"] = "Riddles",
			},
			[73] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What tried to find Gollum going to his island before he went to show Bilbo the way out?",
				["Answer"] = "Ring",
			},
			[74] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo do to find his way out of the Goblins\' lair?",
				["Answer"] = "Followed Gollum",
			},
			[75] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Now we say \"Out of the frying pan into the fire\", but what is the original proverb, devised by Bilbo?",
				["Answer"] = "Escaping goblins to be caught by wolves",
			},
			[76] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What attacked Gandalf, Bilbo, Thorin and the others after escaping the Misty Mountains?",
				["Answer"] = "Wargs",
			},
			[77] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nearly apprehended Gandalf, Bilbo, Thorin, and the others after crossing the Misty Mountains?",
				["Answer"] = "Goblins",
			},
			[78] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf throw at the Wargs from the tree?",
				["Answer"] = "Pinecones",
			},
			[79] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Gandalf, Bilbo, Thorin and the rest from the Goblins and Wargs?",
				["Answer"] = "Eagles",
			},
			[80] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What word did the Eagles use to call Gandalf, Bilbo, Thorin, and the others, which frightened Bilbo?",
				["Answer"] = "Prisoners",
			},
			[81] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Eagles leave Gandalf, Bilbo, Thorin and the others?",
				["Answer"] = "Carrock",
			},
			[82] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo mean by \"skin-changer\", as Gandalf called Beorn?",
				["Answer"] = "Furrier",
			},
			[83] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf, Bilbo, Thorin and the others visit after crossing the Anduin?",
				["Answer"] = "Beorn",
			},
			[84] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf tell Beorn that he was his cousin?",
				["Answer"] = "Radagast",
			},
			[85] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Gandalf tell the Dwarves that they should enter Beorn\'s house?",
				["Answer"] = "In pairs",
			},
			[86] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What drink did Gandalf, Bilbo, Thorin and the others drink at Beorn\'s?",
				["Answer"] = "Mead",
			},
			[87] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf do while Bilbo, Thorin, and the others were at Beorn\'s house?",
				["Answer"] = "Followed footprints",
			},
			[88] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What forest did Bilbo, Thorin, and the others have to cross after leaving Beorn\'s house?",
				["Answer"] = "Mirkwood",
			},
			[89] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On the borders of what did Gandalf leave Thorin\'s company?",
				["Answer"] = "Mirkwood",
			},
			[90] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What happened to Bombur when he fell into the enchanted creek in Mirkwood?",
				["Answer"] = "Fell asleep",
			},
			[91] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose were the lights that Bilbo, Thorin, and the others saw in Mirkwood?",
				["Answer"] = "Elves",
			},
			[92] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who tried to eat Bilbo, Thorin, and the others in Mirkwood?",
				["Answer"] = "Spiders",
			},
			[93] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Thorin and the others from the Spiders?",
				["Answer"] = "Bilbo",
			},
			[94] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Thorin and the others from the Wood-elves?",
				["Answer"] = "Bilbo",
			},
			[95] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo do to distract and infuriate the Spiders?",
				["Answer"] = "Sing",
			},
			[96] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who captured Thorin and the Dwarves in Mirkwood?",
				["Answer"] = "Elves",
			},
			[97] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what hid Bilbo, Thorin, and the rest to escape from the Wood-elves?",
				["Answer"] = "Barrels",
			},
			[98] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the next stop of Bilbo, Thorin, and the others after Mirkwood?",
				["Answer"] = "Esgaroth",
			},
			[99] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Bilbo, Thorin, and the others go after leaving Esgaroth?",
				["Answer"] = "Lonely Mountain",
			},
			[100] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what special day could the Secret Entrance to the Lonely Mountain be opened?",
				["Answer"] = "Durin\'s Day",
			},
			[101] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What role should Bilbo play in Thorin\'s company?",
				["Answer"] = "Burglar",
			},
			[102] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first thing Bilbo stole from Smaug?",
				["Answer"] = "Cup",
			},
			[103] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What bird seemed to hear the conversations of Bilbo, Thorin, and the others on the Mountain?",
				["Answer"] = "Thrush",
			},
			[104] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first thing Bilbo kept from the treasure of Smaug?",
				["Answer"] = "Arkenstone",
			},
			[105] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Bilbo, Thorin, and the others go after being locked up in the Mountain, and taking some of the treasure?",
				["Answer"] = "Ravenhill",
			},
			[106] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Smaug go to after destroying the west side of the Mountain?",
				["Answer"] = "Lake-town",
			},
			[107] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Killed Smaug?",
				["Answer"] = "Bard",
			},
			[108] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Thanks to what did Bard know where to shoot his arrow?",
				["Answer"] = "Thrush",
			},
			[109] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped the Men of Esgaroth after the destruction of their City?",
				["Answer"] = "Elves",
			},
			[110] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whose beak did the Dwarves and Bilbo know what happened to Smaug?",
				["Answer"] = "Roc",
			},
			[111] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the ravens warn on behalf of Thorin?",
				["Answer"] = "Din",
			},
			[112] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Dwarves and Bilbo do at the Main Gate of the Lonely Mountain when they heard of the march of the armies of Men and Elves?",
				["Answer"] = "Fortified it",
			},
			[113] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main food of Bilbo and the Dwarves in the Lonely Mountain?",
				["Answer"] = "Cram",
			},
			[114] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Elves and Men do in the face of Thorin\'s refusal to give up any of the treasure?",
				["Answer"] = "Laid siege to the Mountain",
			},
			[115] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo give Bard to help bring the negotiations to a successful conclusion?",
				["Answer"] = "Arkentone",
			},
			[116] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose share of the treasure Thorin would exchange for the Arkenstone?",
				["Answer"] = "Bilbo",
			},
			[117] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who came to the Lonely Mountain to help Thorin against Elves and Men?",
				["Answer"] = "Din",
			},
			[118] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who came to the Mountain when Elves, Men and Dwarves were preparing to fight?",
				["Answer"] = "Wargs and Goblins",
			},
			[119] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Battle that took place on the Lonely Mountain after Smaug\'s death?",
				["Answer"] = "Battle of the Five Armies",
			},
			[120] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Bilbo take refuge in the Battle of the Five Armies?",
				["Answer"] = "Ravenhill",
			},
			[121] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the Five Armies that fought on the Lonely Mountain?",
				["Answer"] = "Dwarves Elves Goblins Men and Wargs",
			},
			[122] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who joined the Battle of the Five Armies, turning the tide of battle?",
				["Answer"] = "Eagles",
			},
			[123] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who joined the Battle of the Five Armies last?",
				["Answer"] = "Beorn",
			},
			[124] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Killed Bolg?",
				["Answer"] = "Beorn",
			},
			[125] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In Which Battle Did Bolg Die?",
				["Answer"] = "Battle of the Five Armies",
			},
			[126] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In What Battle Did Thorin Die?",
				["Answer"] = "Battle of the Five Armies",
			},
			[127] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what battle did Fli and Kli die?",
				["Answer"] = "Battle of the Five Armies",
			},
			[128] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was crowned King Under the Mountain after the Battle of the Five Armies?",
				["Answer"] = "Din",
			},
			[129] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was King of Dale after the Battle of the Five Armies?",
				["Answer"] = "Bard",
			},
			[130] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where Was Thorin Buried?",
				["Answer"] = "Lonely Mountain",
			},
			[131] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only thing Bilbo took from Smaug\'s treasure?",
				["Answer"] = "2 chests",
			},
			[132] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bard give to Thranduil?",
				["Answer"] = "Emeralds of Girion",
			},
			[133] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo give to Thranduil?",
				["Answer"] = "Necklace",
			},
			[134] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With whom did Bilbo make the journey home?",
				["Answer"] = "Gandalf",
			},
			[135] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Bilbo and Gandalf stop after crossing Mirkwood back?",
				["Answer"] = "Beorn\'s House",
			},
			[136] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Bilbo and Gandalf stop after crossing the Misty Mountains again?",
				["Answer"] = "Rivendell",
			},
			[137] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf do while Bilbo, Thorin, and the others crossed Mirkwood?",
				["Answer"] = "Drove the Necromancer out",
			},
			[138] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took at the end the spoils of the three Trolls that Gandalf, Bilbo, Thorin and the others had buried?",
				["Answer"] = "Bilbo and Gandalf",
			},
			[139] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo find when he returned home from his journey?",
				["Answer"] = "Auction",
			},
			[140] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How had Bilbo been declared when he returned home after his journey?",
				["Answer"] = "Presumed Dead",
			},
			[141] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo have to do to get his auctioned items back?",
				["Answer"] = "Buy them",
			},
			[142] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Stole Bilbo\'s Silver Spoons?",
				["Answer"] = "Lobelia Sackville-Baggins",
			},
			[143] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Master of the Lake-town do with the gold destined to rebuild it?",
				["Answer"] = "Took it and fled",
			},
			[144] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Dwarf visited Bilbo at his home years after his journey and told him what had happened so far in the Eastlands?",
				["Answer"] = "Balin",
			},
			[145] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Glamdring\" mean?",
				["Answer"] = "Hammer Enemies",
			},
			[146] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Orcrist\" mean?",
				["Answer"] = "Goblin Cleft",
			},
			[147] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What musical instrument did Balin and Dwalin play?",
				["Answer"] = "Viol",
			},
			[148] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What musical instrument did Fli and Kli play?",
				["Answer"] = "Fiddle",
			},
			[149] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Musical Instrument Did Dori Nori and Ori Play?",
				["Answer"] = "Flute",
			},
			[150] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What musical instrument did Bifur and Bofur play?",
				["Answer"] = "Clarinet",
			},
			[151] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Musical Instrument Did Bombur Play?",
				["Answer"] = "Drum",
			},
			[152] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Musical Instrument Did Thorin Play?",
				["Answer"] = "Harp",
			},
			[153] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf and the Dwarves use at the Unexpected Party to plan the trip?",
				["Answer"] = "Thrr\'s Map",
			},
			[154] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf give Thorin at the Unexpected Party when he took out the Map?",
				["Answer"] = "Key",
			},
			[155] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose Dwarf was the cloak Bilbo wore on his journey?",
				["Answer"] = "Dwalin",
			},
			[156] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which only three items did Gandalf, Thorin, and Bilbo take from the Trolls\' belongings?",
				["Answer"] = "Glamdring Orcrist and Sting",
			},
			[157] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gandalf\'s sword called?",
				["Answer"] = "Glamdring",
			},
			[158] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Thorin\'s sword called?",
				["Answer"] = "Orcrist",
			},
			[159] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom had Glamdring once belonged?",
				["Answer"] = "Turgon",
			},
			[160] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which special writing technique was used for writing the Map of Thrr?",
				["Answer"] = "Moon-letters",
			},
			[161] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Goblins call Orcrist?",
				["Answer"] = "Biter",
			},
			[162] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Goblins call Glamdring?",
				["Answer"] = "Beater",
			},
			[163] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gollum call \"his\" Ring?",
				["Answer"] = "birthday-present",
			},
			[164] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Mirkwood Spiders call Bilbo\'s sword?",
				["Answer"] = "Sting",
			},
			[165] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most precious item in Smaug\'s treasure?",
				["Answer"] = "Arkenstone",
			},
			[166] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What majestic Necklace did Thorin talk about on the Mountain?",
				["Answer"] = "Necklace of Girion",
			},
			[167] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many emeralds was in the Necklace of Girion?",
				["Answer"] = "500",
			},
			[168] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Great Cup Did Thorin Speak Of on the Mountain?",
				["Answer"] = "Cup of Thrr",
			},
			[169] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first thing that Thorin dian gave to Bilbo, and then passed to Frodo?",
				["Answer"] = "Mithril coat of mail",
			},
			[170] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Men of the Long Lake call their waybread?",
				["Answer"] = "Cram",
			},
			[171] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What object, which Smaug was slain waith, was passed from generation to generation by the Kings of Dale?",
				["Answer"] = "Black Arrow",
			},
			[172] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Was Bilbo\'s Mother?",
				["Answer"] = "Belladonna Took",
			},
			[173] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Bilbo\'s father?",
				["Answer"] = "Bungo Baggins",
			},
			[174] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the relationship between Balin and Dwalin?",
				["Answer"] = "Brothers",
			},
			[175] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the relationship between Fli and Kli?",
				["Answer"] = "Brothers",
			},
			[176] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the relationship between in and Glin?",
				["Answer"] = "Brothers",
			},
			[177] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the relationship between Thorin and Fli or Kli?",
				["Answer"] = "Uncle and nephew",
			},
			[178] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the leader of the group of Dwarves who marched to the Lonely Mountain with Bilbo?",
				["Answer"] = "Thorin",
			},
			[179] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname had Thorin II?",
				["Answer"] = "Oakenshield",
			},
			[180] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Dwarves of Bilbo\'s Company?",
				["Answer"] = "13",
			},
			[181] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names (in their usual order) of the Dwarves of Thorin\'s Company?",
				["Answer"] = "Balin Dwalin Fli Kli Dori Nori Ori in Glin Bifur Bofur and Bombur",
			},
			[182] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the relationship between the Bullroarer Took and the Old Took?",
				["Answer"] = "Great-granduncle",
			},
			[183] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Orc King who tried to invade the Shire?",
				["Answer"] = "Golfimbul",
			},
			[184] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Was Thorin\'s Father?",
				["Answer"] = "Thrin",
			},
			[185] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thorin\'s grandfather?",
				["Answer"] = "Thrr",
			},
			[186] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Dragon lived in the Lonely Mountain?",
				["Answer"] = "Smaug",
			},
			[187] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Dwarves of Bilbo\'s Company were the specialists in lighting fires?",
				["Answer"] = "in and Glin",
			},
			[188] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Dwarf was the look-out of Bilbo\'s Company?",
				["Answer"] = "Balin",
			},
			[189] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the three Trolls that Bilbo, Thorin and the others encountered?",
				["Answer"] = "Bert Tom and William",
			},
			[190] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Guille the Troll\'s surname?",
				["Answer"] = "Huggins",
			},
			[191] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What creature lived in the depths of the Misty Mountains, on an island in a subterranean lake?",
				["Answer"] = "Gollum",
			},
			[192] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gollum mainly eat?",
				["Answer"] = "Fish",
			},
			[193] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who lived alone in a house between Anduin and Mirkwood?",
				["Answer"] = "Beorn",
			},
			[194] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Beorn eat almost exclusively?",
				["Answer"] = "Cream and honey",
			},
			[195] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was always the last in Thorin\'s company?",
				["Answer"] = "Bombur",
			},
			[196] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the butler Thranduil?",
				["Answer"] = "Galion",
			},
			[197] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the artificial waistcoat on Smaug\'s lower body made of?",
				["Answer"] = "Diamonds",
			},
			[198] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which captain of the Lake-town was Girion\'s direct heir when Bilbo was there?",
				["Answer"] = "Bard",
			},
			[199] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Vale in Thrr\'s time?",
				["Answer"] = "Girion",
			},
			[200] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the great ravens of the Lonely Mountain when Bilbo was there?",
				["Answer"] = "Roc",
			},
			[201] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Roc?",
				["Answer"] = "Carc",
			},
			[202] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who reigned in the Iron Hills in the time of Thorin and his company?",
				["Answer"] = "Din",
			},
			[203] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the relationship between Thorin and Din?",
				["Answer"] = "Cousins",
			},
			[204] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Din?",
				["Answer"] = "Nin",
			},
			[205] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the Goblins who attacked the Lonely Mountain?",
				["Answer"] = "Bolg",
			},
			[206] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Bolg?",
				["Answer"] = "Azog",
			},
			[207] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Goblin King of Moria until he was slain by the son of Thrr?",
				["Answer"] = "Azog",
			},
			[208] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who became a great chief of Men in a wide land between the Misty Mountains and Mirkwood after Bilbo\'s adventure?",
				["Answer"] = "Beorn",
			},
			[209] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is this kind of ordinary everyday sort of \"magic\" that Hobbits possess?",
				["Answer"] = "Disappear",
			},
			[210] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the most adventurous Hobbits?",
				["Answer"] = "Took",
			},
			[211] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do Hobbits define adventures?",
				["Answer"] = "Nasty disturbing uncomfortable things that make you late for dinner",
			},
			[212] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of what lineage of Dwarf was Durin the father of the fathers?",
				["Answer"] = "Longbeards",
			},
			[213] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Day marks the New Year of the Dwarves?",
				["Answer"] = "Durin\'s Day",
			},
			[214] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the typical dwellings of the Hobbits?",
				["Answer"] = "Holes",
			},
			[215] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the \"evil wolves over the Edge of the Wild\"?",
				["Answer"] = "Wargs",
			},
			[216] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Mirkwood elves used to trade with?",
				["Answer"] = "Men of Esgaroth",
			},
			[217] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the Men who were commanded by Beorn?",
				["Answer"] = "Beornings",
			},
		}
	},
	[7] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "Extension - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"No-legs lay on one-leg | two-legs sat near on three-legs | four-legs got some\"?",
				["Answer"] = "Fish on a little table, man at table sitting on a stool, the cat has the bones",
			},
			[2] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only safe way through Mirkwood when Bilbo made his journey?",
				["Answer"] = "Forest River",
			},
			[3] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what month did Bilbo and the Dwarves depart from the Shire?",
				["Answer"] = "April",
			},
			[4] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Third Age did Bilbo leave the Shire with Thorin?",
				["Answer"] = "2941",
			},
			[5] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what month did Gandalf, Bilbo, Thorin and the others arrive in Rivendell?",
				["Answer"] = "June",
			},
			[6] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Thorin send to seek shelter on a stormy night in the Misty Mountains?",
				["Answer"] = "Fli and Kli",
			},
			[7] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of place did Bilbo reach down the passages of the Misty Mountains?",
				["Answer"] = "Lake",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which member of Thorin\'s company had to climb the trees of Mirkwood to find out how much distance left?",
				["Answer"] = "Bilbo",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo, Thorin, and the others see that made them leave the forest-road?",
				["Answer"] = "Lights",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What season was it when Bilbo, Thorin, and the others were in Thranduil\'s palace?",
				["Answer"] = "Autumn",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What date was Durin\'s Day when Bilbo made his journey with the Dwarves?",
				["Answer"] = "October 22",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first thing Fli and Kli took from Smaug\'s treasure?",
				["Answer"] = "Magical harps",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Smaug do when he found out where Bilbo had come to him?",
				["Answer"] = "Smote the western side of the Mountain",
			},
			[14] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what month was Bilbo back in Rivendell?",
				["Answer"] = "May",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Third Age did Bilbo return to the Shire after his adventure?",
				["Answer"] = "2942",
			},
			[16] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For which King had the terrible spears that Thorin spoke of on the Mountain been made?",
				["Answer"] = "Bladorthin",
			},
			[17] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Fli and Kli\'s mother?",
				["Answer"] = "Ds",
			},
			[18] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Thrr\'s sons?",
				["Answer"] = "Nin and Thrin",
			},
			[19] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Dwarves in the company shared Bilbo\'s views about regular meals, plenty and often?",
				["Answer"] = "Dori and Nori",
			},
			[20] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname had Din II?",
				["Answer"] = "Ironfoot",
			},
		}
	},
	[8] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Base - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Complete: \"Three Rings for...\"",
				["Answer"] = "the Elven-Kings under the sky",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Complete: \"Seven for the Dwarf-lords...\"",
				["Answer"] = "in their halls of stone",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Complete: \"Nine for...\"",
				["Answer"] = "Mortal Men doomed to die",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Complete: \"One Ring to bring them all, and...\"",
				["Answer"] = "in the darkness bind them",
			},
			[5] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Complete: \"In the Land of Mordor...\"",
				["Answer"] = "where the Shadows lie",
			},
			[6] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Boats are quite tricky enough for those that sit still without looking further for the cause of trouble.\"?",
				["Answer"] = "Gaffer Gamgee",
			},
			[7] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"I don\'t know half of you half as well as I should like; and I like less than half of you half as well as you deserve\"?",
				["Answer"] = "Bilbo",
			},
			[8] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Many that live deserve death. And some that die deserve life. Can you give it to them? Then do not be too eager to deal out death in judgement. For even the very wise cannot see all ends.\" Who said this more than famous phrase?",
				["Answer"] = "Gandalf",
			},
			[9] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said to Frodo, \"Do not meddle in the affairs of Wizards, for they are subtle and quick to anger.\"?",
				["Answer"] = "Gildor",
			},
			[10] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Take off your golden ring! Your hand\'s more fair without it. Come back! Leave your game and sit down beside me!\" when Frodo was invisible?",
				["Answer"] = "Tom Bombadil",
			},
			[11] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who sang \"Cold be hand and heart and bone | and cold be sleep under stone: | never mare to wake on stony bed, | never, till the Sun fails and the Moon is dead.\"?",
				["Answer"] = "Barrow-wight",
			},
			[12] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"All that is gold does not glitter, | Not all those who wander are lost; | The old that is strong does not wither, | Deep roots are not reached by the frost.\" To whom do these verses refer?",
				["Answer"] = "Aragorn",
			},
			[13] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"I will take it as a sign that we may pass the Bridge; but beyond that I dare not keep to the Road, without some clearer token.\"?",
				["Answer"] = "Aragorn",
			},
			[14] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It is but a trifle that Sauron fancies, and an earnest of your good will.\" To whom did a messenger of Sauron say this?",
				["Answer"] = "Din",
			},
			[15] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Gandalf said \"And he that breaks a thing to find out what it is has left the path of wisdom.\", but to whom?",
				["Answer"] = "Saruman",
			},
			[16] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Gandalf say, \"despair is only for those who see the end beyond all doubt\"?",
				["Answer"] = "Erestor",
			},
			[17] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"let folly be our cloak, a veil before the eyes of the Enemy!\"?",
				["Answer"] = "Gandalf",
			},
			[18] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"The Company of the Ring shall be Nine; and the Nine Walkers shall be set against the Nine Riders that are evil\". Who said it?",
				["Answer"] = "Elrond",
			},
			[19] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did it say \"Ennyn Durin Aran Moria: poddo mellon a minno. Im Narvi hain echanti, Celebrimbor o Eregion teithant i thiw hin.\"?",
				["Answer"] = "Gate of Moria",
			},
			[20] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Gandalf said \"Yes. I never told him, but its worth was greater than the value of the whole Shire and everything in it\". What was he talking about?",
				["Answer"] = "Mithril corslet",
			},
			[21] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"You cannot pass. I am a servant of the Secret Fire, wielder of the flame of Anor. You cannot pass. The dark fire will not avail you, flame of Udn. Go back to the Shadow! You cannot pass\". Who said this and to whom?",
				["Answer"] = "Gandalf to the Balrog",
			},
			[22] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Fair and perilous; but only evil need fear it, or those who bring some evil with them\". What was Aragorn talking about?",
				["Answer"] = "Lothlrien",
			},
			[23] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"For it shows things that were, and things that are, things that yet may be. But which it is that he sees, even the wisest cannot always tell\". What is it talked about?",
				["Answer"] = "Mirror of Galadriel",
			},
			[24] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Torment in the dark was the danger that I feared, and it did not hold me back. But I would not have come, had I known the danger of light and joy\". Who said this after leaving Lothlrien?",
				["Answer"] = "Gimli",
			},
			[25] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"For the Elves the world moves, and it moves both very swift and very slow. Swift, because they themselves change little, and all else fleets by: it is a grief to them. Slow, because they do not count the running years, not for themselves\". Who explains this regarding Lothlrien?",
				["Answer"] = "Legolas",
			},
			[26] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said to Boromir \"You have conquered. Few have gained such a victory. Be at peace! Minas Tirith shall not fall!\"?",
				["Answer"] = "Aragorn",
			},
			[27] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It seems their delight to slash and beat down growing things that are not even in their way\". Of whom does Legolas speak thus?",
				["Answer"] = "Orcs",
			},
			[28] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Fangorn, Finglas, Fladrif, aye, aye. The trouble is that there are so few of us left\". Who is he referring to?",
				["Answer"] = "Ents",
			},
			[29] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"We go, we go, we go to war, to hew the stone and break the door; | For bole and bough are burning now, the furnace roars  we go to war!\" Who were singing this as they marched?",
				["Answer"] = "Ents",
			},
			[30] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"And this I also say: you are our captain and our banner. The Dark Lord has Nine. But we have One, mightier than they: the White Rider\". Who did utter these hopeful words?",
				["Answer"] = "Aragorn",
			},
			[31] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Give me a year and a hundred of my kin and I would make this a place that armies would break upon like water\". What place was Gimli talking about?",
				["Answer"] = "Helm\'s Deep",
			},
			[32] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Ere iron was found or tree was hewn, | When young was mountain under moon; | Ere ring was made, or wrought was woe, | It walked the forests long ago\". Of whom do these verses speak?",
				["Answer"] = "Treebeard",
			},
			[33] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Behold, I am not Gandalf the Grey, whom you betrayed. I am Gandalf the White, who has returned from death\". To whom was Gandalf saying this?",
				["Answer"] = "Saruman",
			},
			[34] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who mentions, after Pippin looked at the Stone, an old proverb that says, \"oft evil will shall evil mar\"?",
				["Answer"] = "Thoden",
			},
			[35] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Quietly, Sam! He can smell us, perhaps. And he can hear as keen as Elves, I believe\". Who is this about?",
				["Answer"] = "Gollum",
			},
			[36] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Yes, they are all round us. The tricksy lights. Candles of corpses, yes, yes\". Where were Frodo, Sam, and Gollum?",
				["Answer"] = "Dead Marshes",
			},
			[37] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"We wants it! But... Not yet, eh? Perhaps not. She might help. She might, yes\". Who was \"She\"?",
				["Answer"] = "Shelob",
			},
			[38] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"No, no, master! Useless! No use that way! No use! Don\'t take the Precious to Him!\" What was in \"that way\"?",
				["Answer"] = "Black Gate",
			},
			[39] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It is a very terrible place now. Travellers shiver when they see it, they creep out of sight, they avoid its shadow. But master will have to go that way. That is the only other way\". What was that way?",
				["Answer"] = "Cirith Ungol",
			},
			[40] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Ware! Ware! May the Valar turn him aside! Mmak! Mmak!\" What was he talking about?",
				["Answer"] = "Oliphaunt",
			},
			[41] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who used to say \"How many hundreds of years needs it to make a steward a king, if the king returns not?\"?",
				["Answer"] = "Boromir",
			},
			[42] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"it came to pass in the days of Cirion the Twelfth Steward (and my father is the sit and twentieth) that they rode to our aid and at the great Field of Celebrant they destroyed our enemies that had seized our northern provinces\". Who was Faramir speaking about?",
				["Answer"] = "Rohirrim",
			},
			[43] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Most gracious host. It was said to me by Elrond Halfelven that I should find friendship upon the way, secret and unlooked for\". Who is this about?",
				["Answer"] = "Faramir",
			},
			[44] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Gaffer Gamgee used to say: \"Where there\'s life there\'s hope, and...",
				["Answer"] = "Need of vittles",
			},
			[45] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"I don\'t make no mistake: I don\'t doubt he\'d hand me over to Orcs as gladly as kiss his hand\". Who was Sam talking about?",
				["Answer"] = "Gollum",
			},
			[46] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"He doesn\'t know what we minds, does he precious? No, he doesn\'t. But Smagol can bear things. Yes. He\'s been through. O yes, right through. It\'s the only way\". What was Gollum worried about?",
				["Answer"] = "Shelob",
			},
			[47] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Now come, you filth! You\'ve hurt my master, you brute, and you\'ll pay for it. We\'re going on; but we\'ll settle with you first\". Who was Sam challenging?",
				["Answer"] = "Shelob",
			},
			[48] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"I have something to do before the end. I must see it through, sir, if you understand\"?",
				["Answer"] = "Sam",
			},
			[49] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Carrion! Is that all you know of Her Ladyship? When she binds with cords, she\'s after meat. She doesn\'t eat dead meat, nor suck cold blood\". Who was he speaking about?",
				["Answer"] = "Frodo",
			},
			[50] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"And for my part, I shall not wholly fail of my task, though Gondor should perish, if anything passes through this night that can still grow fair or bear fruit and flower again in days to come. For I also am a steward. Did you not know?\". Who uttered these words?",
				["Answer"] = "Gandalf",
			},
			[51] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Some say that as he sits alone in his high chamber in the Tower at night, and bends his thought this way and that, he can read somewhat of the future; and that he will at times search even the mind of the Enemy, wrestling with him\". Who is this about?",
				["Answer"] = "Denethor",
			},
			[52] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It was a bitter struggle, and the weariness is slow to pass. I spoke no word to him, and in the end I wrenched the Stone to my own will. That alone he will find hard to endure.\" Who is he speaking about?",
				["Answer"] = "Sauron",
			},
			[53] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who told Merry \"Where will wants not, a way opens [...] and so I have found myself. You wish to go whither the Lord of the Mark goes: I see it in your face\"?",
				["Answer"] = "Dernhelm",
			},
			[54] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"His own folk quail at him, and they would slay themselves at his bidding\". Who are these words about?",
				["Answer"] = "Witch-king",
			},
			[55] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"And if words spoken of old be true, not by the hand of man shall he fall, and hidden from the Wise is the doom that awaits him\". Who are these words about?",
				["Answer"] = "Witch-king",
			},
			[56] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said to Gandalf \"Old fool! Old fool! This is my hour. Do you not know Death when you see it? Die now and curse in vain!\"?",
				["Answer"] = "Witch-king",
			},
			[57] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of whom was it said at the Battle of the Pelennor Fields that \"He seemed like a god of old, even as Orom the Great in the battle of the Valar when the world was young\"?",
				["Answer"] = "Thoden",
			},
			[58] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Begone, if you be not deathless! For living or dark undead, I will smite you, if you touch him\"?",
				["Answer"] = "owyn",
			},
			[59] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"When the black breath blows | and death\'s shadow grows | and all lights pass, | come athelas! come athelas! | Life to the dying | In the king\'s hand lying!\". Which woman in the Houses of Healing used to sing this doggrel, though she did not understand it?",
				["Answer"] = "Ioreth",
			},
			[60] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"He will tell you that he did not know that the herb you desire had any virtues, but that it is called westmansweed by the vulgar, and galenas by the noble, and other names in other tongues more learned, and after adding a few half-forgotten rhymes that he does not understand, he will regretfully inform you that there is none in the House, and he will leave you to reflect on the history of tongues\". Who said this?",
				["Answer"] = "Aragorn",
			},
			[61] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Legolas talking about when he said, \"A wonder they are to me and a trouble to my heart. Never in all my life had I met them, until we came to Pelargir, and there I heard them crying in the air as we rode to the battle of the ships\"?",
				["Answer"] = "Gulls",
			},
			[62] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Imrahil said to Gandalf, \"will he not rather smile than fear, and with his little finger crush us like a fly that tries to sting him?\". But Gandalf said that Sauron would want to...",
				["Answer"] = "trap the fly and take the sting",
			},
			[63] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"That\'s done it! Now I\'ve rung the front-door bell! Well, come on somebody!\' he cried. Tell Captain Shagrat that the great Elf-warrior has called, with his elf-sword too!\"?",
				["Answer"] = "Sam",
			},
			[64] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"I don\'t trust you, not as far as I could kick you; but be off. Or I shall hurt you, yes, with nasty cruel steel\". To whom were these words addressed?",
				["Answer"] = "Gollum",
			},
			[65] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Twice you have borne me, Gwaihir my friend. Thrice shall pay for all, if you are willing\"?",
				["Answer"] = "Gandalf",
			},
			[66] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Hopes fail. An end comes. We have only a little time to wait now. We are lost in ruin and downfall, and there is no escape\"?",
				["Answer"] = "Frodo",
			},
			[67] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Once I pitied your sorrow. But now, were you sorrowless, without fear or any lack, were you the blissful Queen of Gondor, still I would love you. owyn, do you not love me?\". Who said this and to whom?",
				["Answer"] = "Faramir to owyn",
			},
			[68] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Et Erello Endorenna utlien. Sinome maruvan ar Hildinyar tenn\' Ambar-metta!\"?",
				["Answer"] = "Elendil",
			},
			[69] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said to Aragorn, \"Since the day when you rose before me out of the green grass of the downs I have loved you, and that love shall not fail\"?",
				["Answer"] = "omer",
			},
			[70] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said to Frodo \"If your hurts grieve you still and the memory of your burden is heavy, then you may pass into the West, until all your wounds and weariness are healed\"?",
				["Answer"] = "Arwen",
			},
			[71] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom Treebeard said \"Never is too long a word even for me. Not while your kingdoms last, you mean; but they will have to last long indeed to seem long to Ents\"?",
				["Answer"] = "Aragorn",
			},
			[72] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Well, it will serve you right when you come home, if you find things less good in the Southfarthing than you would like\". Who said this to Merry?",
				["Answer"] = "Saruman",
			},
			[73] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"You are speaking to the King\'s friend, and one of the most renowned in all the lands of the West. [...] Down on your knees in the road and ask pardon, or I will set this troll\'s bane in you!\"?",
				["Answer"] = "Pippin",
			},
			[74] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Wake all our people! They hate all this, you can see [...] They just want a match [...] and they\'ll go up in fire\"?",
				["Answer"] = "Merry",
			},
			[75] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"We\'ve never seen him, but he\'s up at Bag End; and he\'s the real Chief now, I guess\". Who was Farmer Cotton talking about?",
				["Answer"] = "Sharkey",
			},
			[76] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Whoever strikes me shall be accursed. And if my blood stains the Shire, it shall wither and never again be healed\"?",
				["Answer"] = "Saruman",
			},
			[77] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the last of the ancient Hobbit settlements of Eriador?",
				["Answer"] = "Bree",
			},
			[78] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What forest Bree was in?",
				["Answer"] = "Chetwood",
			},
			[79] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the inhabited lands between the Brandywine and the Far Downs?",
				["Answer"] = "Shire",
			},
			[80] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the so-called \"Mathom-house\"?",
				["Answer"] = "Museum of Michel Delving",
			},
			[81] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the oldest towns in the Shire?",
				["Answer"] = "Hobbiton and Tuckborough",
			},
			[82] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the chief township of the Shire?",
				["Answer"] = "Michel Delving",
			},
			[83] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the quarters the Shire was divided into?",
				["Answer"] = "Farthing",
			},
			[84] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two neighbourhoods, separated by the Brandywine, were the easternmost in the Shire?",
				["Answer"] = "Buckland and Marish",
			},
			[85] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the best pipe-weed grow in the Shire?",
				["Answer"] = "Southfarthing",
			},
			[86] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the best inn in Bree?",
				["Answer"] = "Prancing Pony",
			},
			[87] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was the crossing of the Brandywine at the south edge of The Shire?",
				["Answer"] = "Sarn Ford",
			},
			[88] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountains were in the central to south part of The Shire?",
				["Answer"] = "Green Hills",
			},
			[89] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What milestone marked a common limit of the South, East and Westfarthings?",
				["Answer"] = "Three-Farthing Stone",
			},
			[90] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tributary of the Brandywine has its source in the Eastfarthing?",
				["Answer"] = "Shirebourn",
			},
			[91] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tributary of the Brandywine has its source in the Westfarthing?",
				["Answer"] = "The Water",
			},
			[92] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which stream, which originated in the Woody-End, was a tributary of river Shirebourn?",
				["Answer"] = "Thistle Brook",
			},
			[93] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which stream, which was born in the Woody-End, flowed to the Brandywine?",
				["Answer"] = "Stockbrook",
			},
			[94] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Road crossed Eriador from the Misty Mountains?",
				["Answer"] = "East Road",
			},
			[95] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which village was in the centre of the Shire, next to Hobbiton?",
				["Answer"] = "Bywater",
			},
			[96] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which village was in the centre of the Shire, by The Hill?",
				["Answer"] = "Hobbiton",
			},
			[97] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were the best plantations of pipe-weed in The Shire?",
				["Answer"] = "Longbottom",
			},
			[98] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the great Ice Bay in the north of Middle-earth?",
				["Answer"] = "Forochel",
			},
			[99] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Witch-King\'s Kingdom?",
				["Answer"] = "Angmar",
			},
			[100] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the capital of Angmar?",
				["Answer"] = "Carn Dm",
			},
			[101] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Misty Mountains called from Mount Gundabad to the north?",
				["Answer"] = "Mountains of Angmar",
			},
			[102] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the desolate lands north of Rivendell?",
				["Answer"] = "Ettenmoors",
			},
			[103] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the haven on the southern shore of the Gulf of Lhn?",
				["Answer"] = "Harlond",
			},
			[104] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the haven on the northern shore of the Gulf of Lhn?",
				["Answer"] = "Forlond",
			},
			[105] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the westernmost region of Eriador, one of the Kingdoms which Arnor was split into?",
				["Answer"] = "Arthedain",
			},
			[106] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place west of the Shire where there were several abandoned Elven towers?",
				["Answer"] = "Tower Hills",
			},
			[107] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What line of gloomy hills lay next to the Old Forest?",
				["Answer"] = "Barrowdowns",
			},
			[108] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which city in Eriador was at the crossroads of the Greenway and the East Road?",
				["Answer"] = "Bree",
			},
			[109] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which road started at Fornost and joined the North-South Road?",
				["Answer"] = "Greenway",
			},
			[110] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which road came from the Gap of Rohan to the White Downs?",
				["Answer"] = "South Road",
			},
			[111] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the region south of Eriador, between the Brandywine and the Greyflood, which was part of the Kingdom of Cardolan?",
				["Answer"] = "Minhiriath",
			},
			[112] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tributary of the Greyflood had it source south of Moria?",
				["Answer"] = "Glanduin",
			},
			[113] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the territory between the North-South Road, the Glanduin and the Misty Mountains?",
				["Answer"] = "Dunland",
			},
			[114] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river went down from Rivendell to the Greyflood?",
				["Answer"] = "Loudwater",
			},
			[115] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What swamps were east of Bree?",
				["Answer"] = "Midgewater",
			},
			[116] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What line of hills was halfway between Bree and the Greyflood?",
				["Answer"] = "Weather Hills",
			},
			[117] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was the most important of the Weather Hills?",
				["Answer"] = "Weathertop",
			},
			[118] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the bridge that crossed the Greyflood on the East Road?",
				["Answer"] = "Last Bridge",
			},
			[119] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which forest land was between the Greyflood and the Loudwater, beside the East Road?",
				["Answer"] = "Trollshaws",
			},
			[120] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river had its source at the southern end of the Misty Mountains?",
				["Answer"] = "Isen",
			},
			[121] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where could one cross the Misty Mountains to the south?",
				["Answer"] = "Gap of Rohan",
			},
			[122] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where could one cross the Misty Mountains through the center?",
				["Answer"] = "Redhorn Pass",
			},
			[123] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where could one cross the Misty Mountains to the north?",
				["Answer"] = "High Pass",
			},
			[124] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where could one cross the Isen on foot?",
				["Answer"] = "Fords of Isen",
			},
			[125] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ancient city of Men at the junction of the North-South Road with the Greyflood?",
				["Answer"] = "Tharbad",
			},
			[126] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which inn was on the Bywater road?",
				["Answer"] = "The Ivy Bush",
			},
			[127] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which busy tavern in Bywater was a must-rest place for travelers from the east?",
				["Answer"] = "The Green Dragon",
			},
			[128] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which village was Frodo\'s new house?",
				["Answer"] = "Crickhollow",
			},
			[129] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What inn in Stock served the best beer in the Eastfarthing?",
				["Answer"] = "The Golden Perch",
			},
			[130] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main village of Buckland?",
				["Answer"] = "Bucklebury",
			},
			[131] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What village was located in the south of Marish?",
				["Answer"] = "Rushy",
			},
			[132] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the river of the Old Forest?",
				["Answer"] = "Withywindle",
			},
			[133] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the open space in the Old Forest, made by the Hobbits to counter an \"attack\" from the Forest?",
				["Answer"] = "Bonfire Glade",
			},
			[134] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the strangest part of the Old Forest?",
				["Answer"] = "Withywindle valley",
			},
			[135] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other towns were in the Bree-land?",
				["Answer"] = "Archet Combe and Staddle",
			},
			[136] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which town lived most of the Hobbits of the Bree-land?",
				["Answer"] = "Staddle",
			},
			[137] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the easternmost inn on the East Road?",
				["Answer"] = "Forsaken Inn",
			},
			[138] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the ruins of Fornost called in the Third Age?",
				["Answer"] = "Deadmen\'s Dike",
			},
			[139] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three great peaks (from north to south) dominated the Misty Mountains?",
				["Answer"] = "Caradhras Celebdil and Fanuidhol",
			},
			[140] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What small, deep, dark valley was at the shadow of the Misty Mountains near Lothlrien?",
				["Answer"] = "Dimrill Dale",
			},
			[141] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Caradhras receive?",
				["Answer"] = "the Cruel",
			},
			[142] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What great mountain stood on the east side of the north of the Misty Mountains?",
				["Answer"] = "Mount Gundabad",
			},
			[143] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the huge, cold northern region of Middle-earth?",
				["Answer"] = "Forodwaith",
			},
			[144] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountain range separated Forodwaith from Rhovanion?",
				["Answer"] = "Ered Mithrin",
			},
			[145] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "North of the Lonely Mountain, former haven of Dragons is the...",
				["Answer"] = "Withered Heath",
			},
			[146] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which mountains had the Forest River its source?",
				["Answer"] = "Ered Mithrin",
			},
			[147] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Road went from the High Pass of the Misty Mountains to the River Running?",
				["Answer"] = "Old Forest Road",
			},
			[148] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most important tributary of the River Running?",
				["Answer"] = "Carnen",
			},
			[149] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river flowed into the Sea of Rhn?",
				["Answer"] = "River Running",
			},
			[150] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands were east of Mordor and Rhovanion?",
				["Answer"] = "Rhn",
			},
			[151] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sea was northeast of Mordor?",
				["Answer"] = "Rhn Sea",
			},
			[152] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which mountain range was the Anduin born?",
				["Answer"] = "Misty Mountains",
			},
			[153] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Anduin commonly called?",
				["Answer"] = "Great River",
			},
			[154] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river flowed through Lothlorien?",
				["Answer"] = "Celebrant",
			},
			[155] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river joined the Celebrant before entering Lothlrien?",
				["Answer"] = "Nimrodel",
			},
			[156] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Lothlrien commonly called in the Third Age?",
				["Answer"] = "Lrien",
			},
			[157] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Elven forest was not far from Moria on the east side of the Misty Mountains?",
				["Answer"] = "Lothlrien",
			},
			[158] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Lothlrien called in reference to its trees?",
				["Answer"] = "Golden Wood",
			},
			[159] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which forest was located south of the Misty Mountains, on the east side?",
				["Answer"] = "Fangorn",
			},
			[160] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two tributaries of the Anduin came from Fangorn?",
				["Answer"] = "Entwash and Limlight",
			},
			[161] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the territory between Mirkwood and Mordor?",
				["Answer"] = "Brown Lands",
			},
			[162] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What chain of hills was next to the Falls of Rauros?",
				["Answer"] = "Emyn Muil",
			},
			[163] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What swamps were between Emyn Muil and Mordor?",
				["Answer"] = "Dead Marshes",
			},
			[164] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the wooded land between the Anduin and Mordor?",
				["Answer"] = "Ithilien",
			},
			[165] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the region between the Mering Stream, the Anduin and the Mountains, under the direct control of Minas Tirith?",
				["Answer"] = "Anrien",
			},
			[166] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river was next to the West Gate of Moria?",
				["Answer"] = "Sirannon",
			},
			[167] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the rock walls of the Misty Mountains surrounding the West Gate of Moria?",
				["Answer"] = "Walls of Moria",
			},
			[168] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What word opened the West Gate of Moria?",
				["Answer"] = "Mellon",
			},
			[169] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only place in the world where mithril could be found in the Third Age?",
				["Answer"] = "Khazad-dm",
			},
			[170] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were Celebdil, Fanuidhol and Caradhras called?",
				["Answer"] = "Mountains of Moria",
			},
			[171] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the pillar that pointed to where Durin first looked at the Mirrormere?",
				["Answer"] = "Durin\'s Stone",
			},
			[172] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of tree predominated in Lothlrien?",
				["Answer"] = "Mallorn",
			},
			[173] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill in the heart of Lothlrien, where its former King lived?",
				["Answer"] = "Cerin Amroth",
			},
			[174] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What yellow flower grew on Cerin Amroth?",
				["Answer"] = "Elanor",
			},
			[175] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What white flower grew on Cerin Amroth?",
				["Answer"] = "Niphredil",
			},
			[176] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city of the Galadhrim, where the Lords lived?",
				["Answer"] = "Caras Galadhon",
			},
			[177] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which mountain-island stood at the southern end of Nen Hithoel in the Anduin?",
				["Answer"] = "Tol Brandir",
			},
			[178] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Argonath represent?",
				["Answer"] = "Anrion and Isildur",
			},
			[179] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill next to Nen Hithoel, on the west bank of the Anduin?",
				["Answer"] = "Amon Hen",
			},
			[180] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Hill next to Nen Hithoel, on the east bank of the Anduin?",
				["Answer"] = "Amon Lhaw",
			},
			[181] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the throne over Amon Hen?",
				["Answer"] = "Seat of Seeing",
			},
			[182] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the throne over Amon Lhaw?",
				["Answer"] = "Seat of Hearing",
			},
			[183] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the meadows that stretched from Nen Hithoel to the slopes of Amon Hen?",
				["Answer"] = "Parth Galen",
			},
			[184] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the peninsula on the western part of Gondor?",
				["Answer"] = "Andrast",
			},
			[185] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which fief of Gondor was a coastal area between the rivers Lefnui and Morthond?",
				["Answer"] = "Anfalas",
			},
			[186] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the area of the coast of Gondor between the Rivers Morthond and Gilrain, which was the fief of the Princes of Dol Amroth?",
				["Answer"] = "Belfalas",
			},
			[187] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which island in the Bay of Belfalas was off the Mouths of Anduin?",
				["Answer"] = "Tol Falas",
			},
			[188] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hills in the southwestern part of Gondor, north of the coast of Anfalas?",
				["Answer"] = "Pinnath Gelin",
			},
			[189] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river in Western Gondor flowed from the west of Ered Nimrais in a southwesterly direction to the Sea?",
				["Answer"] = "Lefnui",
			},
			[190] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Elvish haven was at the junction of the rivers Morthond and Ringl?",
				["Answer"] = "Edhellond",
			},
			[191] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fief of Gondor that was around the sources of the river Cyril?",
				["Answer"] = "Lamedon",
			},
			[192] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which city was the capital of Lamedon?",
				["Answer"] = "Calembel",
			},
			[193] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What castle and port was the main city of Belfalas?",
				["Answer"] = "Dol Amroth",
			},
			[194] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which city in Gondor was at the junction of the rivers Gilrain and Serni?",
				["Answer"] = "Linhir",
			},
			[195] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What area of Gondor roughly encompassed the lands through which the rivers Gilrain, Serni, Celos, Sirith and Erui flowed?",
				["Answer"] = "Lebennin",
			},
			[196] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the last tributary of the Anduin?",
				["Answer"] = "Sirith",
			},
			[197] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What area encompassed the mountain valleys southwest of Minas Tirith?",
				["Answer"] = "Lossarnach",
			},
			[198] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How long a valley of Mordor was next to the Ephel Dath?",
				["Answer"] = "Morgai",
			},
			[199] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What valley of Mordor was behind the Black Gate?",
				["Answer"] = "Udn",
			},
			[200] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the entrance to Mordor in front of Dagorlad called?",
				["Answer"] = "Black Gate",
			},
			[201] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the region south and east of Mordor?",
				["Answer"] = "Nurn",
			},
			[202] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fortified gorge of Mordor between Gorgoroth and Udn?",
				["Answer"] = "Carach Angren",
			},
			[203] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What route led to Ithilien on the edge of the Ephel Dath?",
				["Answer"] = "Harad Road",
			},
			[204] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountain range was the western border of Mordor?",
				["Answer"] = "Ephel Dath",
			},
			[205] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountain range was the northern border of Mordor?",
				["Answer"] = "Ered Lithui",
			},
			[206] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sea in Mordor?",
				["Answer"] = "Nrnen",
			},
			[207] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the southernmost peak of the Misty Mountains?",
				["Answer"] = "Methedras",
			},
			[208] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the high house in Edoras, where the Kings of Rohan lived?",
				["Answer"] = "Meduseld",
			},
			[209] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in Fangorn did the Entmoot take place?",
				["Answer"] = "Derndingle",
			},
			[210] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tower stood on the peak of Celebdil?",
				["Answer"] = "Durin\'s Tower",
			},
			[211] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the westernmost refuge of the Rohirrim?",
				["Answer"] = "Helm\'s Deep",
			},
			[212] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fortress located in Helm\'s Deep?",
				["Answer"] = "Hornburg",
			},
			[213] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Glittering Caves of Helm\'s Deep?",
				["Answer"] = "Aglarond",
			},
			[214] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the valley of Rohan opposite Helm\'s Deep?",
				["Answer"] = "Deeping-coomb",
			},
			[215] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill on which the Orcs killed in the Battle of Hornburg were buried?",
				["Answer"] = "Death Down",
			},
			[216] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Fangorn Forest, in reference to its inhabitants?",
				["Answer"] = "Entwood",
			},
			[217] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place in Fangorn where Treebeard lived?",
				["Answer"] = "Wellinghall",
			},
			[218] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the Ents give to the Forest they created in Isengard?",
				["Answer"] = "Watchwood",
			},
			[219] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the \"Plain of Ash\" of Mordor?",
				["Answer"] = "Lithlad",
			},
			[220] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two names were given to the passage into Mordor at the junction of the Ephel Dath and the Ered Lithui?",
				["Answer"] = "Cirith Gorgor and Cirith Ungol",
			},
			[221] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the two towers that spanned the Black Gate called?",
				["Answer"] = "Teeth of Mordor",
			},
			[222] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Ephel Dath pass was located just north of Minas Morgul?",
				["Answer"] = "Cirith Ungol",
			},
			[223] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the refuge of the Rangers built by a waterfall in Northern Ithilien?",
				["Answer"] = "Henneth Annn",
			},
			[224] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the valley that opened from Minas Morgul to the outside of the Ephel Dath?",
				["Answer"] = "Imlad Morgul",
			},
			[225] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which refuge in Rohan was nestled in the Harrowdale?",
				["Answer"] = "Dunharrow",
			},
			[226] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the dale of Rohan that was above Edoras?",
				["Answer"] = "Harrowdale",
			},
			[227] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which castle was on the western side of Udn?",
				["Answer"] = "Durthang",
			},
			[228] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which boat-shaped Isle of the Anduin was located north of Minas Tirith?",
				["Answer"] = "Cair Andros",
			},
			[229] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Oak forest that was under the White Mountains, on the border between Gondor and Rohan?",
				["Answer"] = "Firienwood",
			},
			[230] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which beacon in Gondor was located in Firienwood?",
				["Answer"] = "Halifirien",
			},
			[231] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which beacon in Gondor was located in Rimmon?",
				["Answer"] = "Min-Rimmon",
			},
			[232] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which beacon in Gondor was to the west of the Dradan Forest?",
				["Answer"] = "Nardol",
			},
			[233] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which beacon of Gondor was in the Dradan Forest?",
				["Answer"] = "Eilenach",
			},
			[234] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the easternmost peak of the White Mountains?",
				["Answer"] = "Mindolluin",
			},
			[235] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which woods, to the northwest of Minas Tirith, were the abode of the Wild Men?",
				["Answer"] = "Dradan Forest",
			},
			[236] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the wall surrounding fields of Pelennor?",
				["Answer"] = "Rammas Echor",
			},
			[237] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fertile field surrounding most of Minas Tirith?",
				["Answer"] = "Pelennor",
			},
			[238] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Tower of Minas Tirith?",
				["Answer"] = "Tower of Ecthelion",
			},
			[239] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What road crossed the White Mountains from Dunharrow to Erech?",
				["Answer"] = "Paths of the Dead",
			},
			[240] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the entrance to the Paths of the Dead called?",
				["Answer"] = "Gate of the Dead",
			},
			[241] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What little forest of black trees was by the Gate of the Dead?",
				["Answer"] = "Dimholt",
			},
			[242] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the saw-toothed mountain of Ered Nimrais that served as the northern wall of Dunharrow?",
				["Answer"] = "Irensaga",
			},
			[243] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mountain of Ered Nimrais that was at the south of Dunharrow?",
				["Answer"] = "Starkhorn",
			},
			[244] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the gate of the sixth circle of Minas Tirith, through which one entered the Hallows?",
				["Answer"] = "Fen Hollen",
			},
			[245] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the main street of the Hallows of Minas Tirith?",
				["Answer"] = "Rath Dnen",
			},
			[246] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the Towers that crossed the Black Gate?",
				["Answer"] = "Carchost and Narchost",
			},
			[247] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name given to the upper cave inside the Orodruin, where the Crack of Fate was?",
				["Answer"] = "Chambers of Fire",
			},
			[248] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place in Ithilien near Henneth Annn where the fall of Sauron was celebrated?",
				["Answer"] = "Field of Cormallen",
			},
			[249] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Great Hall of Feasts at Minas Tirith?",
				["Answer"] = "Merethrond",
			},
			[250] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What inn was in the village of Frogmorton?",
				["Answer"] = "The Floating Log",
			},
			[251] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the place of the Battle of Bywater named?",
				["Answer"] = "Battle Pit",
			},
			[252] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the beginning of which book did the \"There and Back Again\" story appear?",
				["Answer"] = "Red Book of Westmarch",
			},
			[253] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the time of the Hobbits\' journey west?",
				["Answer"] = "Wandering Days",
			},
			[254] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the first Hobbits to cross the Misty Mountains?",
				["Answer"] = "Harfoots",
			},
			[255] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom fid the Hobbits larn the Alphabet?",
				["Answer"] = "Dnedain",
			},
			[256] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Third Age did the first Hobbits settle in the Shire?",
				["Answer"] = "1600",
			},
			[257] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two brothers led the first Hobbit colony to be established in the Shire?",
				["Answer"] = "Blanco and Marcho",
			},
			[258] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of soldiers did the hobbits apparently send into the battle that resulted in the defeat of Fornost?",
				["Answer"] = "Archers",
			},
			[259] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who secretly protected the Shire, Bree, and the surrounding area after Arnor\'s disappearance?",
				["Answer"] = "Rangers",
			},
			[260] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who wrote the \"Herblore of the Shire\"?",
				["Answer"] = "Meriadoc Brandybuck",
			},
			[261] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Hobbit to grow pipe-weed?",
				["Answer"] = "Tobold Hornblower",
			},
			[262] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where does it seem that pipe-weed was first smoked?",
				["Answer"] = "Bree",
			},
			[263] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who introduced the pipe-weed plant to Middle-earth, according to the \"Herblore of the Shire\"?",
				["Answer"] = "Nmenreans",
			},
			[264] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old was Bilbo on the day he threw his big birthday party?",
				["Answer"] = "111",
			},
			[265] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Third Age did Bilbo leave Bag End?",
				["Answer"] = "3001",
			},
			[266] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the most important history book of the Hobbits?",
				["Answer"] = "Red Book of Westmarch",
			},
			[267] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who wrote, for the most part, the \"Red Book\"?",
				["Answer"] = "Bilbo Baggins",
			},
			[268] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the most important copy of the \"Red Book\" written?",
				["Answer"] = "Gondor",
			},
			[269] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What special copy of the Red Book included all the translations that Bilbo made in Rivendell, as well as Elvish quotations and the abridged \"The Tale of Aragorn and Arwen\"?",
				["Answer"] = "Thain\'s Book",
			},
			[270] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the copy of the Red Book transcribed in Gondor?",
				["Answer"] = "Thain\'s Book",
			},
			[271] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who brought the Red Book to Gondor to be transcribed?",
				["Answer"] = "Peregrin Took",
			},
			[272] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what smial of the Shire were, at the end of the Fourth Age, many works dealing with Eriador and the history of Rohan?",
				["Answer"] = "Brandy Hall",
			},
			[273] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in the Shire was possible to find, at the end of the Fourth Age, extensive materials about the history of Nmenor?",
				["Answer"] = "Great Smials",
			},
			[274] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was \"last living memory of the Elder Days in Middle-earth\"?",
				["Answer"] = "Celeborn",
			},
			[275] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old was Bilbo when Frodo went to live with him?",
				["Answer"] = "99",
			},
			[276] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do Hobbits call the the irresponsible twenties between childhood and coming of age at thirty-three?",
				["Answer"] = "Tweens",
			},
			[277] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Frodo\'s parents die?",
				["Answer"] = "Drowned",
			},
			[278] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who prepared the fireworks for Bilbo\'s birthday and farewell party?",
				["Answer"] = "Gandalf",
			},
			[279] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Hobbit measure did the ages of Bilbo and Frodo add up to on the birthday of the great party at Bag End?",
				["Answer"] = "Gross",
			},
			[280] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Hobbit measure did Hobbits add up to the birthday party at Bag End?",
				["Answer"] = "Gross",
			},
			[281] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What prank did Bilbo play on the guests at his famous birthday party?",
				["Answer"] = "Disappeared",
			},
			[282] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With whom did Bilbo have a strong argument the night he left the Shire?",
				["Answer"] = "Gandalf",
			},
			[283] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo give to Lobelia Sackville-Baggins on his birthday and farewell?",
				["Answer"] = "Silver spoons",
			},
			[284] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Bilbo\'s most precious gift to Frodo when he left the Shire?",
				["Answer"] = "Ring",
			},
			[285] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who told Frodo the story of the One Ring?",
				["Answer"] = "Gandalf",
			},
			[286] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who found the One Ring in the Anduin?",
				["Answer"] = "Dagol",
			},
			[287] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Dagol and stole his Ring?",
				["Answer"] = "Smagol",
			},
			[288] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gollum go after losing his Ring, following the trail of Bilbo?",
				["Answer"] = "Mirkwood",
			},
			[289] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gollum\'s destination after escaping Mirkwood to the south?",
				["Answer"] = "Mordor",
			},
			[290] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did the Enemy learn that the One Ring had been found?",
				["Answer"] = "Gollum",
			},
			[291] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Nazgl have orders to look for?",
				["Answer"] = "Baggins",
			},
			[292] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the only two names the Nazgl had in their search for the One Ring?",
				["Answer"] = "Baggins and Shire",
			},
			[293] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped Gandalf find Gollum?",
				["Answer"] = "Aragorn",
			},
			[294] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who discovered what had become of the One Ring after Isildur lost it?",
				["Answer"] = "Gandalf",
			},
			[295] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Frodo offer the Ring when he learned of its origin?",
				["Answer"] = "Gandalf",
			},
			[296] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first to learn Frodo\'s secret about his Ring?",
				["Answer"] = "Sam",
			},
			[297] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which friend of Frodo already knew about the Ring when Bilbo still had it?",
				["Answer"] = "Merry",
			},
			[298] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which three people did Sam tell the secret of the Ring?",
				["Answer"] = "Fatty Merry and Pippin",
			},
			[299] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did did Frodo sell Bag End?",
				["Answer"] = "Lobelia",
			},
			[300] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in the Shire was Frodo apparently moving when he began his journey with the Ring?",
				["Answer"] = "Buckland",
			},
			[301] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf advise Frodo to go from the Shire?",
				["Answer"] = "Rivendell",
			},
			[302] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who traveled with Frodo from Bag End to the Bucklebury Ferry?",
				["Answer"] = "Pippin and Sam",
			},
			[303] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was waiting for Frodo, Sam and Pippin at the Bucklebury Ferry?",
				["Answer"] = "Merry",
			},
			[304] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was waiting for Frodo and the others in Frodo\'s new house?",
				["Answer"] = "Fatty",
			},
			[305] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo hear arguing with a stranger the night he left Bagg End?",
				["Answer"] = "Gaffer Gamgee",
			},
			[306] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo, Sam and Pippin see in the Green Hills when they went to Buckland?",
				["Answer"] = "Black Rider",
			},
			[307] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo, Sam and Pippin see in the Woody-End, when they were going to Buckland?",
				["Answer"] = "Black Rider",
			},
			[308] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo, Sam and Pippin meet in the Woody-End?",
				["Answer"] = "Elves",
			},
			[309] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What scared the Black Rider that Frodo, Sam and Pippin saw in the Shire?",
				["Answer"] = "Elves",
			},
			[310] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo used to steal mushrooms from as a child?",
				["Answer"] = "Maggot",
			},
			[311] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who founded Brandy Hall and, with it, Buckland?",
				["Answer"] = "Gorhendad Oldbuck",
			},
			[312] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the last time Frodo and the others thought they saw a Black Rider in the Shire?",
				["Answer"] = "Ferry",
			},
			[313] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who stayed in Crickhollow pretending to be Frodo?",
				["Answer"] = "Fatty Bolger",
			},
			[314] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Frodo, Sam, Merry, and Pippin enter to leave the Shire?",
				["Answer"] = "Old Forest",
			},
			[315] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What happened to Frodo and the others in the Old Forest?",
				["Answer"] = "Got lost",
			},
			[316] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Frodo, Sam, Merry and Pippin in the Old Forest?",
				["Answer"] = "Tom Bombadil",
			},
			[317] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Frodo, Sam, Merry and Pippin spend the night before leaving the Old Forest?",
				["Answer"] = "House of Tom Bombadil",
			},
			[318] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who received the Hobbits at the house of Tom Bombadil?",
				["Answer"] = "Goldberry",
			},
			[319] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo dream about in the house of Tom Bombadil",
				["Answer"] = "Gandalf",
			},
			[320] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who put on the Ring and didn\'t disappear?",
				["Answer"] = "Tom Bombadil",
			},
			[321] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What terrible place Frodo and the others were supposed to be avoiding before reaching Bree?",
				["Answer"] = "Barrow-downs",
			},
			[322] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What trapped Frodo and the others after the Old forest and before they reached Bree?",
				["Answer"] = "Barrow-wight",
			},
			[323] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Frodo and the others in the Barrow-downs?",
				["Answer"] = "Tom Bombadil",
			},
			[324] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who accompanied Frodo, Sam, Merry and Pippin from the Barrow-downs to the East Road?",
				["Answer"] = "Tom Bombadil",
			},
			[325] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in Bree did Frodo, Sam, Merry and Pippin spend the night?",
				["Answer"] = "Prancing Pony",
			},
			[326] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who introduced himself to Frodo and the others in the Prancing Pony?",
				["Answer"] = "Strider",
			},
			[327] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who had followed Frodo, Sam, Merry and Pippin on the Road to Bree?",
				["Answer"] = "Aragorn",
			},
			[328] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What should Barliman Butterbur have given to Frodo months before he passed through Bree?",
				["Answer"] = "Letter from Gandalf",
			},
			[329] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who warned Aragorn that Frodo had left Bag End?",
				["Answer"] = "Gildor",
			},
			[330] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Aragorn take Frodo and the others to scout the land around and choose the path to take?",
				["Answer"] = "Weathertop",
			},
			[331] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbit of the Company went out of Bree\'s inn and saw the Black Riders there?",
				["Answer"] = "Merry",
			},
			[332] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who joined Frodo\'s group in Bree?",
				["Answer"] = "Aragorn",
			},
			[333] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Crickhollow\'s house while Fatty Bolger was running for help?",
				["Answer"] = "Black Riders",
			},
			[334] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Black Riders who attacked Crickhollow\'s house supposedly come from?",
				["Answer"] = "Old Forest",
			},
			[335] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who sold a pony to Frodo and the others after theirs disappeared?",
				["Answer"] = "Bill Ferny",
			},
			[336] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many silver pennies did Frodo have to pay for a pony in Bree?",
				["Answer"] = "12",
			},
			[337] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which congener did Merry\'s ponies seek after escaping Bree?",
				["Answer"] = "Fatty Lumpkin",
			},
			[338] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who kept the ponies of Frodo and the others?",
				["Answer"] = "Barliman Butterbur",
			},
			[339] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Sam throw an apple when fleeing Bree?",
				["Answer"] = "Bill Ferny",
			},
			[340] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam call the species of crickets that lived in Midgewater Marshes?",
				["Answer"] = "Neekerbreeker",
			},
			[341] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Forest did Aragorn, Frodo, and the others enter as they left Bree, to mislead anyone?",
				["Answer"] = "Chet",
			},
			[342] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Marshes did Aragorn, Frodo, Sam, Merry, and Pippin pass through on their way to the top of the Winds?",
				["Answer"] = "Midgewater",
			},
			[343] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Aragorn summarized a story in the Windhills for Frodo and the others. Who was the story about?",
				["Answer"] = "Beren and Lthien",
			},
			[344] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Aragorn, Frodo and the others at Weathertop?",
				["Answer"] = "Black Riders",
			},
			[345] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Black Riders attacked Frodo at Weathertop?",
				["Answer"] = "5",
			},
			[346] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in his body did the Black Riders wound Frodo?",
				["Answer"] = "Shoulder",
			},
			[347] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What healing plants did Aragorn use on Frodo?",
				["Answer"] = "Athelas",
			},
			[348] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Aragorn find on the Last Bridge, which seemed to him a sign of the absence of danger?",
				["Answer"] = "Beryl",
			},
			[349] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who left the Beryl on the Last Bridge?",
				["Answer"] = "Glorfindel",
			},
			[350] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Aragorn, Frodo, Sam, Merry and Pippin find in a forest a few days from Rivendell?",
				["Answer"] = "Stone Trolls",
			},
			[351] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo do with the treasure of the three Trolls?",
				["Answer"] = "Gave it away",
			},
			[352] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Aragorn, Frodo and the others meet shortly before they reached the Ford of the Bruinen?",
				["Answer"] = "Glorfindel",
			},
			[353] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose horse did Frodo ride to Rivendell?",
				["Answer"] = "Glorfindel",
			},
			[354] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Frodo finally escape from the Black Riders?",
				["Answer"] = "Ford of the Bruinen",
			},
			[355] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was with Frodo when he first awoke in Rivendell?",
				["Answer"] = "Gandalf",
			},
			[356] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Frodo\'s inseparable companion throughout the journey?",
				["Answer"] = "Sam",
			},
			[357] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of Bilbo\'s fellow adventurers did Frodo meet in Rivendell?",
				["Answer"] = "Glin",
			},
			[358] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where had Bilbo gone after leaving the Shire for good, with a stop at Rivendell?",
				["Answer"] = "Dale",
			},
			[359] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo meet again in Rivendell after many years?",
				["Answer"] = "Bilbo",
			},
			[360] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Elf did Bilbo argue with in Rivendell after singing a song he had just composed?",
				["Answer"] = "Lindir",
			},
			[361] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Shortly after Frodo arrived to Rivendell,Bilbo sang a song he had. About whom was that song?",
				["Answer"] = "Erendil",
			},
			[362] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event, which took place in Rivendell, decided the final fate of the One Ring?",
				["Answer"] = "Council of Elrond",
			},
			[363] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three Dwarves from Thorin\'s company later led the attempt to recapture Moria?",
				["Answer"] = "Balin in and Ori",
			},
			[364] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sauron\'s messenger promise Din in exchange for Bilbo\'s Ring?",
				["Answer"] = "3 Rings and the Kingdom of Moria",
			},
			[365] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam forget to take with him for the journy?",
				["Answer"] = "Rope",
			},
			[366] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What birds seemed to spy on the Company in Hollin?",
				["Answer"] = "Crows",
			},
			[367] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the Company of the Ring originally going to cross the Misty Mountains?",
				["Answer"] = "Redhorn Pass",
			},
			[368] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What defeated the Company of the Ring, preventing them from passing over the Misty Mountains?",
				["Answer"] = "Caradhras",
			},
			[369] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Company of the Ring cross the Misty Mountains?",
				["Answer"] = "Moria",
			},
			[370] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What attacked the Company of the Ring near Caradhras?",
				["Answer"] = "Wargs",
			},
			[371] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who built the West Gate of Moria?",
				["Answer"] = "Narvi",
			},
			[372] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who made the inscriptions on the West Gate of Moria?",
				["Answer"] = "Celebrimbor",
			},
			[373] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the creature that attacked the Company of the Ring at the Gate of Moria receive?",
				["Answer"] = "Guardian of the Water",
			},
			[374] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the Fellowship of the Ring through Moria?",
				["Answer"] = "Gandalf",
			},
			[375] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the Company of the Ring at the Caradhras?",
				["Answer"] = "Aragorn",
			},
			[376] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was follwing Frodo and the Company of the Ring throughout the journey?",
				["Answer"] = "Gollum",
			},
			[377] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Company of the Ring had to leave its pony?",
				["Answer"] = "Gate of Moria",
			},
			[378] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which careless member of the Company of the Ring was to be blame for being attacked in Moria?",
				["Answer"] = "Pippin",
			},
			[379] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose tomb was the one the Company of the Ring found in Moria?",
				["Answer"] = "Balin",
			},
			[380] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which room was Balin buried?",
				["Answer"] = "Chamber of Mazarbul",
			},
			[381] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What creature killed in?",
				["Answer"] = "Guardian of the Water",
			},
			[382] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who wrote the final part of the Book of Mazarbul?",
				["Answer"] = "Ori",
			},
			[383] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of Orcs attacked the Company of the Ring in Moria?",
				["Answer"] = "Uruk",
			},
			[384] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What attacked the Company of the Ring in Moria?",
				["Answer"] = "Orcs and Trolls",
			},
			[385] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What attacked the Fellowship of the Ring at the Bridge of Khazad-dm?",
				["Answer"] = "Balrog",
			},
			[386] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed the Balrog of Moria at the cost of his own life?",
				["Answer"] = "Gandalf",
			},
			[387] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Company of the Ring go after leaving Moria?",
				["Answer"] = "Lothlrien",
			},
			[388] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "During what fateful episode of the journey did the Company of the Ring discover Frodo\'s mithril corslet?",
				["Answer"] = "Moria",
			},
			[389] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Legolas told a story before entering Lothlrien. Who was it about?",
				["Answer"] = "Amroth and Nimrodel",
			},
			[390] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who picked up the Company of the Ring on the borders of Lothlrien?",
				["Answer"] = "Haldir",
			},
			[391] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves of Lothlrien do to the Company so that they would not discover the way to Caras Galadhon?",
				["Answer"] = "Blindfolded them",
			},
			[392] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Galadriel show to Frodo and Sam during their time in Lothlrien?",
				["Answer"] = "Mirror of Galadriel",
			},
			[393] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam see in the Mirror of Galadriel, giving him a desire to go back?",
				["Answer"] = "Shire",
			},
			[394] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most important thing Frodo saw in the Mirror of Galadriel?",
				["Answer"] = "Eye of Sauron",
			},
			[395] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which two people (in chronological order) did Frodo offer the Ring?",
				["Answer"] = "Gandalf and Galadriel",
			},
			[396] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ambushed the Company at Sarn Gebir?",
				["Answer"] = "Orcs",
			},
			[397] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Legolas bring down at Sarn Gebir?",
				["Answer"] = "Nazgl",
			},
			[398] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which member of the Company of the Ring attempted to forcibly seize the One Ring?",
				["Answer"] = "Boromir",
			},
			[399] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who escaped from Emyn Muil to Mordor with Frodo?",
				["Answer"] = "Sam",
			},
			[400] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what haven did the ships of the Elves who lived east of the Misty Mountains depart for Valinor?",
				["Answer"] = "Dol Amroth",
			},
			[401] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Boromir?",
				["Answer"] = "Orcs",
			},
			[402] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Orcs kidnap in Parth Galen?",
				["Answer"] = "Merry and Pippin",
			},
			[403] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who went after the Orcs to rescue Merry and Pippin?",
				["Answer"] = "Aragorn Gimli and Legolas",
			},
			[404] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Pippin leave behind for his companions to find when he was kidnapped by the Orcs?",
				["Answer"] = "Brooch",
			},
			[405] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Aragorn, Legolas and Gimli meet in the lands of Estemnet?",
				["Answer"] = "Riders of Rohan",
			},
			[406] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Aragorn, Legolas and Gimli see at night on the edge of Fangorn?",
				["Answer"] = "Old Man",
			},
			[407] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed the Orcs who kidnapped Merry and Pippin?",
				["Answer"] = "Riders of Rohan",
			},
			[408] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was talking to Merry and Pippin shortly before they escaped from the Orcs?",
				["Answer"] = "Grishnkh",
			},
			[409] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Uglk?",
				["Answer"] = "omer",
			},
			[410] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped Merry and Pippin in Fangorn?",
				["Answer"] = "Treebeard",
			},
			[411] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Ents of Fangorn march to after meeting in assembly?",
				["Answer"] = "Isengard",
			},
			[412] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Aragorn, Legolas and Gimli meet in Fangorn?",
				["Answer"] = "Gandalf",
			},
			[413] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who watched over the movements of the Company of the Ring on their journey down the Anduin?",
				["Answer"] = "Gwaihir",
			},
			[414] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who brought Gandalf from the heights of the Misty Mountains?",
				["Answer"] = "Gwaihir",
			},
			[415] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf go after leaving Moria?",
				["Answer"] = "Lothlrien",
			},
			[416] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf and the others go from Fangorn?",
				["Answer"] = "Edoras",
			},
			[417] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who waoke Thoden from his lethargy making him mobilize his people?",
				["Answer"] = "Gandalf",
			},
			[418] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the people of Rohan go as their army marched to war in the west?",
				["Answer"] = "Dunharrow",
			},
			[419] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was appointed as leader of the people of Rohan while their army went to war?",
				["Answer"] = "owyn",
			},
			[420] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What appeared on the outskirts of Helm\'s Deep at the end of the Battle of Hornburg, which trapped and killed the enemy?",
				["Answer"] = "Forest",
			},
			[421] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle were most of Saruman\'s troops defeated?",
				["Answer"] = "Battle of Hornburg",
			},
			[422] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hama die?",
				["Answer"] = "Helm\'s Deep",
			},
			[423] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf, Thoden and the others go after the Battle of Hornburg?",
				["Answer"] = "Isengard",
			},
			[424] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were Gandalf, Aragorn, Legolas and Gimli reunited with Merry and Pippin?",
				["Answer"] = "Isengard",
			},
			[425] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the pipe-weed that Merry and Pippin found in Isengard come from?",
				["Answer"] = "Longbottom",
			},
			[426] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who destroyed Isengard?",
				["Answer"] = "Ents",
			},
			[427] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who expelled Saruman from the White Council?",
				["Answer"] = "Gandalf",
			},
			[428] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What item did Gandalf demand Saruman to surrender when he was defeated?",
				["Answer"] = "Key of Orthanc",
			},
			[429] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbit communicated with Sauron through Orthanc\'s Palantir?",
				["Answer"] = "Pippin",
			},
			[430] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Sauron think Pippin was with when he saw him in the Palantir?",
				["Answer"] = "Saruman",
			},
			[431] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf, Thoden and the others see the night after they left Isengard, which made them hurry?",
				["Answer"] = "Nazgl",
			},
			[432] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Saruman end up serving?",
				["Answer"] = "Sauron",
			},
			[433] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Through which item did Saruman fall under Sauron\'s rule?",
				["Answer"] = "Palantir",
			},
			[434] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf take Pippin after looking in the Stone of Orthanc?",
				["Answer"] = "Minas Tirith",
			},
			[435] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who guided Frodo and Sam to Mordor?",
				["Answer"] = "Gollum",
			},
			[436] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Frodo and Sam capture Gollum?",
				["Answer"] = "Emyn Muil",
			},
			[437] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What horrible swamps did Frodo and Sam had to cross days after parting ways with the Company of the Ring?",
				["Answer"] = "Dead Marshes",
			},
			[438] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What disorder did Sam observe in Gollum when they were near the Black Gate?",
				["Answer"] = "Split personality",
			},
			[439] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What passage did Gollum advise to enter Mordor?",
				["Answer"] = "Cirith Ungol",
			},
			[440] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When Frodo, Sam and Gollum stood in front of the Black Gate and an army of Southern Men passed near them, Sam wondered if there would be any...",
				["Answer"] = "Oliphaunt",
			},
			[441] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Sam finally able to use his cooking gear?",
				["Answer"] = "Ithilien",
			},
			[442] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo and Sam meet in Ithilien?",
				["Answer"] = "Faramir",
			},
			[443] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam see in Ithilien that amazed him the most on the whole trip?",
				["Answer"] = "Oliphaunt",
			},
			[444] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Man of Gondor to know that Boromir was dead?",
				["Answer"] = "Faramir",
			},
			[445] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo and Sam see going out of Minas Morgul?",
				["Answer"] = "Army",
			},
			[446] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the army of Minas Morgul in the War of the Ring?",
				["Answer"] = "Witch-king",
			},
			[447] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Frodo and Sam in Cirith Ungol?",
				["Answer"] = "Shelob",
			},
			[448] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Sam after leaving Torech Ungol?",
				["Answer"] = "Gollum",
			},
			[449] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first one (and probably the only one) to defeat Shelob?",
				["Answer"] = "Sam",
			},
			[450] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Against whom did Frodo use the phial of Galadriel?",
				["Answer"] = "Shelob",
			},
			[451] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Frodo, in Sam\'s misperception?",
				["Answer"] = "Shelob",
			},
			[452] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took the Ring after Frodo\'s supposed death?",
				["Answer"] = "Sam",
			},
			[453] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who captured Frodo in Cirith Ungol?",
				["Answer"] = "Gorbag and Shagrat",
			},
			[454] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Frodo imprisoned when he was captured?",
				["Answer"] = "Tower of Cirith Ungol",
			},
			[455] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who taught Pippin everything he needed to know to be a Guard of the Tower of Gondor?",
				["Answer"] = "Beregond",
			},
			[456] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who caught up with the company of Thoden and Aragorn on their way back from Isengard?",
				["Answer"] = "Rangers",
			},
			[457] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed the most Orcs in Helm\'s Deep, Legolas or Gimli?",
				["Answer"] = "Gimli",
			},
			[458] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did Aragorn bring aid for the War?",
				["Answer"] = "Dead",
			},
			[459] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Grey Company cross the White Mountains?",
				["Answer"] = "Paths of the Dead",
			},
			[460] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Aragorn summon the Dead?",
				["Answer"] = "Erech",
			},
			[461] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did owyn fall in love with before she went to Minas Tirith?",
				["Answer"] = "Aragorn",
			},
			[462] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Wich the Maiden of Rohan did disguise herself as a man to do battle at Pelennor?",
				["Answer"] = "owyn",
			},
			[463] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Faramir and his escort at Pelennor before they reached Minas Tirith?",
				["Answer"] = "Nazgl",
			},
			[464] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Faramir and his escort from the Nazgl?",
				["Answer"] = "Gandalf",
			},
			[465] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the small projectiles launched to Minas Tirith in the War of the Ring at the beginning of its Siege?",
				["Answer"] = "Heads",
			},
			[466] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who prevented the Lord of the Nazgl from entering Minas Tirith?",
				["Answer"] = "Gandalf",
			},
			[467] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped the Rohirrim reach the Siege of Minas Tirith?",
				["Answer"] = "Wild Men",
			},
			[468] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the three main divisions of the Rohirrim in the Siege of Minas Tirith?",
				["Answer"] = "Elfhelm omer and Grimbold",
			},
			[469] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed the Captain of the Haradrim at the Battle of the Pelennor Fields?",
				["Answer"] = "Thoden",
			},
			[470] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who indirectly killed Thoden?",
				["Answer"] = "Witch-king",
			},
			[471] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who smote the Witch-king leaving him set for death?",
				["Answer"] = "Merry",
			},
			[472] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed the Witch-king?",
				["Answer"] = "owyn",
			},
			[473] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked the coasts of Gondor in the War of the Ring?",
				["Answer"] = "Umbar Corsairs",
			},
			[474] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thoden\'s heir?",
				["Answer"] = "omer",
			},
			[475] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what lands came the Men who fought on the side of the Enemy in the War of the Ring?",
				["Answer"] = "Harad and Khand",
			},
			[476] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Thoden die?",
				["Answer"] = "Pelennor Fields",
			},
			[477] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Forlong die?",
				["Answer"] = "Pelennor Fields",
			},
			[478] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Grimbold die?",
				["Answer"] = "Pelennor Fields",
			},
			[479] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Halbarad die?",
				["Answer"] = "Pelennor Fields",
			},
			[480] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who arrived last to Pelennor with enough help to win the Battle?",
				["Answer"] = "Aragorn",
			},
			[481] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Dnhere die?",
				["Answer"] = "Pelennor",
			},
			[482] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Dorwine die?",
				["Answer"] = "Pelennor",
			},
			[483] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Guthlf die?",
				["Answer"] = "Pelennor",
			},
			[484] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Herubrand die?",
				["Answer"] = "Pelennor",
			},
			[485] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Denethor die?",
				["Answer"] = "Suicide",
			},
			[486] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What made Denethor go mad and prepare sucra?",
				["Answer"] = "Palantir",
			},
			[487] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What spell made the wounded of the Battle of the Pelennor Fields sick?",
				["Answer"] = "Black Breath",
			},
			[488] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who healed and saved the lives of Faramir, owyn and Merry?",
				["Answer"] = "Aragorn",
			},
			[489] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was responsible for healing the sick and wounded at the Battle of the Pelennor Fields?",
				["Answer"] = "Aragorn Elladan and Elrohir",
			},
			[490] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Grey Company go after leaving Linhir?",
				["Answer"] = "Pelargir",
			},
			[491] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Aragorn attack with the Army of the Dead?",
				["Answer"] = "Pelargir",
			},
			[492] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did most of the remaining army of Gondor go after the Battle of the Pelennor Fields?",
				["Answer"] = "Black Gate",
			},
			[493] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Approximately how many soldiers went to the Black Gate to do battle at the end of the Third Age?",
				["Answer"] = "6000",
			},
			[494] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled Minas Tirith for a while after the death of Denethor II?",
				["Answer"] = "Imrahil",
			},
			[495] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did a small part of the army that went to Morannon after the Battle of the Pelennor Fields divert?",
				["Answer"] = "Cair Andros",
			},
			[496] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who spoke on behalf of Mordor to the ambassadors of the Free Peoples at the Black Gate?",
				["Answer"] = "Mouth of Sauron",
			},
			[497] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who would have been Sauron\'s Lieutenant in Isengard if, as he requested, Gondor had surrendered it?",
				["Answer"] = "Mouth of Sauron",
			},
			[498] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lieutenant of Barad-dr in the War of the Ring?",
				["Answer"] = "Mouth of Sauron",
			},
			[499] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ultimately arrived to the Black Gate to aid in the Last Stand of the Third Age?",
				["Answer"] = "Eagles",
			},
			[500] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Sam see Shagrat arguing with atop the Tower of Cirith Ungol?",
				["Answer"] = "Snaga",
			},
			[501] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Gorbag?",
				["Answer"] = "Shagrat",
			},
			[502] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who rescued Frodo from the Tower of Cirith Ungol?",
				["Answer"] = "Sam",
			},
			[503] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was in charge of the Tower of Cirith Ungol after the revolt?",
				["Answer"] = "Nazgl",
			},
			[504] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo give Sam after he rescued him?",
				["Answer"] = "Sting",
			},
			[505] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The company of Orcs that Frodo and Sam were forced to join, where did they come from?",
				["Answer"] = "Durthang",
			},
			[506] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo and Sam do in Mordor to go unnoticed?",
				["Answer"] = "Disguised",
			},
			[507] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ultimately destroyed the One Ring?",
				["Answer"] = "Gollum",
			},
			[508] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three Eagles led Gandalf, Frodo and Sam out of Mordor?",
				["Answer"] = "Gwaihir Landroval and Meneldor",
			},
			[509] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Company of the Ring meet again after their mission was accomplished?",
				["Answer"] = "Field of Cormallen",
			},
			[510] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who healed Frodo and Sam after they were rescued from Mount Doom?",
				["Answer"] = "Aragorn",
			},
			[511] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did owyn end up falling in love with in the Houses of Healing?",
				["Answer"] = "Faramir",
			},
			[512] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which King of Gondor did the Steward returned his staff after many generations?",
				["Answer"] = "Elessar",
			},
			[513] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Faramir give the Stewardship staff?",
				["Answer"] = "Aragorn",
			},
			[514] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who brought the Royal Helmet to Aragorn at his coronation, at his request?",
				["Answer"] = "Frodo",
			},
			[515] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who put the Royal Helmet on Aragorn at his coronation, at his request?",
				["Answer"] = "Gandalf",
			},
			[516] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Prince of Ithilien after Elessar\'s coronation?",
				["Answer"] = "Faramir",
			},
			[517] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Elessar give to the freed slaves of Mordor?",
				["Answer"] = "Nurn",
			},
			[518] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What position did Aragorn give to Beregond?",
				["Answer"] = "Captain of the White Company",
			},
			[519] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What object did Elrond bring to Aragorn in Minas Tirith?",
				["Answer"] = "Sceptre of Annminas",
			},
			[520] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Aragorn marry?",
				["Answer"] = "Arwen",
			},
			[521] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Between whom (alphabetically and legends aside) was the third union between Firstborn and Secondborn?",
				["Answer"] = "Aragorn and Arwen",
			},
			[522] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did owyn and Faramir marry?",
				["Answer"] = "Meduseld",
			},
			[523] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What gift did owyn give to Merry?",
				["Answer"] = "Horn",
			},
			[524] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf, Galadriel, Celeborn, Elrond, the Hobbits, and the others meet on the journey to Rivendell?",
				["Answer"] = "Saruman",
			},
			[525] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the last place visited by Gandalf, Galadriel, Celeborn, Elrond, the Hobbits and the others before heading to Rivendell?",
				["Answer"] = "Isengard",
			},
			[526] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Aragorn say goodbye to the rest of the Fellowship of the Ring?",
				["Answer"] = "Isengard",
			},
			[527] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf, Elrond, the Hobbits, and the rest say goodbye to Galadriel and Celeborn?",
				["Answer"] = "Eregion",
			},
			[528] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which two places did Frodo shudder on the journey home from Gondor?",
				["Answer"] = "Ford of the Bruinen and Weathertop",
			},
			[529] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sam recover Bill?",
				["Answer"] = "Bree",
			},
			[530] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first in the lands inhabited by Hobbits to know of King Elessar and the rest of the good news?",
				["Answer"] = "Barliman Butterbur",
			},
			[531] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf visit on the return journey while Frodo, Sam, Merry and Pippin were on their way to the Shire by themselves?",
				["Answer"] = "Tom Bombadil",
			},
			[532] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Big Man known to them did Frodo, Sam, Merry, and Pippin find at the entrance to the Shire?",
				["Answer"] = "Bill Ferny",
			},
			[533] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo, Sam, Merry, and Pippin meet in Frogmorton?",
				["Answer"] = "Shirriffs",
			},
			[534] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Swarthy Men tell Frodo, Sam, Merry and Pippin who controlled the Chief?",
				["Answer"] = "Sharkey",
			},
			[535] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Merry first use his Horn of Rohan?",
				["Answer"] = "Shire",
			},
			[536] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What family, very dear to him, were the first Sam saw on his return from his journey?",
				["Answer"] = "Cotton",
			},
			[537] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The members of which family did Pippin go after when they caused the Shire to revolt?",
				["Answer"] = "Took",
			},
			[538] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which town in the Shire was the first to revolt?",
				["Answer"] = "Bywater",
			},
			[539] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who told Frodo and Merry what had happened in the Shire in his absence?",
				["Answer"] = "Tom Cotton",
			},
			[540] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Sam seek to take him to the house of the Cottons in the midst of the Shire revolt?",
				["Answer"] = "Gaffer Gamgee",
			},
			[541] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What battle took place in the Shire on the return of Frodo, Sam, Merry and Pippin?",
				["Answer"] = "Battle of Bywater",
			},
			[542] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first battle fought in the Shire, and the only one at least until the end of the Third Age?",
				["Answer"] = "Battle of Greenfields",
			},
			[543] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo, Sam, Merry, and Pippin meet just before returning to Bag End in the midst of the Shire revolt?",
				["Answer"] = "Ted Sandyman",
			},
			[544] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who introduced himself to Frodo, Sam, Merry and Pippin when they were back at Bag End?",
				["Answer"] = "Saruman",
			},
			[545] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Lotho Sackville-Baggins?",
				["Answer"] = "Wormtongue",
			},
			[546] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Saruman?",
				["Answer"] = "Wormtongue",
			},
			[547] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Saruman die?",
				["Answer"] = "Shire",
			},
			[548] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Grma?",
				["Answer"] = "Hobbits",
			},
			[549] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who tried to kill Frodo at Bag End?",
				["Answer"] = "Saruman",
			},
			[550] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Lobelia leave her inheritance?",
				["Answer"] = "Frodo",
			},
			[551] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did they also call the New Row in reference to Saruman?",
				["Answer"] = "Sharkey\'s End",
			},
			[552] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam use to restore the vegetation of the Shire?",
				["Answer"] = "Gift of Galadriel",
			},
			[553] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What special tree grew in the garden of Bag End on the return of Frodo, Sam, Merry and Pippin?",
				["Answer"] = "Mallorn",
			},
			[554] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How long or so elapsed from Frodo\'s departure to his return and until everything was in order?",
				["Answer"] = "1 year and a half",
			},
			[555] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Deputy Mayor while Will Whitfoot was recovering from his imprisonment?",
				["Answer"] = "Frodo",
			},
			[556] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Sam marry?",
				["Answer"] = "Rose Cotton",
			},
			[557] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Frodo, Sam, Elrond, Galadriel and others meet before they went to the Havens?",
				["Answer"] = "Woody-End",
			},
			[558] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were waiting for Frodo, Sam, Elrond, Galadriel and the rest in the Havens?",
				["Answer"] = "Crdan and Gandalf",
			},
			[559] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who arrived at the last minute in the Grey Havens, in time to see Frodo off?",
				["Answer"] = "Merry and Pippin",
			},
			[560] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two places did Legolas and Gimli visit together before they returned home?",
				["Answer"] = "Fangorn and Glittering Caves",
			},
			[561] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many times were Frodo, Sam, Merry, and Pippin in Rivendell?",
				["Answer"] = "2",
			},
			[562] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elen sila lmenn\'omentielmo\" mean?",
				["Answer"] = "A star shines on the hour of our meeting",
			},
			[563] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Sindarin word means \"Open Up\"?",
				["Answer"] = "Edro",
			},
			[564] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Poddo mellon a minno\" mean?",
				["Answer"] = "Say friend and come in",
			},
			[565] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gash\" mean in the language of the Orcs?",
				["Answer"] = "Fire",
			},
			[566] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the hobbits of the Shire call Fornost?",
				["Answer"] = "Norbury",
			},
			[567] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Men of Gondor call pipe-weed?",
				["Answer"] = "Sweet galenas",
			},
			[568] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Loudwater in the Elvish language?",
				["Answer"] = "Bruinen",
			},
			[569] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name for the Weathertop?",
				["Answer"] = "Amon Sl",
			},
			[570] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name for \"Isen\"?",
				["Answer"] = "Angren",
			},
			[571] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name of the Brandydiwine?",
				["Answer"] = "Baranduin",
			},
			[572] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Men call \"Eregion\"?",
				["Answer"] = "Hollin",
			},
			[573] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Caradhras\" or \"Barazinbar\" mean?",
				["Answer"] = "Redhorn",
			},
			[574] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebdil\" or \"Zirak-zigil\" mean?",
				["Answer"] = "Silvertine",
			},
			[575] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Fanuidhol\" or \"Bundushathr\" mean?",
				["Answer"] = "Cloudyhead",
			},
			[576] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Dwarvish name for the \"Celebrant\"?",
				["Answer"] = "Kibil-nla",
			},
			[577] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Dwarvish name for the \"Mirrormere\"?",
				["Answer"] = "Kheled-zram",
			},
			[578] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebrant\" or \"Kibil-nla\" mean?",
				["Answer"] = "Silverlode",
			},
			[579] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Dwarvish name for the \"Dimrill Dale\"?",
				["Answer"] = "Azanulbizar",
			},
			[580] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name for the \"Dimrill Dale\"?",
				["Answer"] = "Nanduhirion",
			},
			[581] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Mithrin\" mean?",
				["Answer"] = "Grey Mountains",
			},
			[582] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ithilien\" mean?",
				["Answer"] = "Land of the Moon",
			},
			[583] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Nimrais\" mean?",
				["Answer"] = "White Horns Mountains",
			},
			[584] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Ered Nimrais\" in the Common Speech?",
				["Answer"] = "White Mountains",
			},
			[585] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Anrien\" mean?",
				["Answer"] = "Land of the Sun",
			},
			[586] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sirannon\" mean?",
				["Answer"] = "Gate-stream",
			},
			[587] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Caras Galadhon\" mean?",
				["Answer"] = "City of the Trees",
			},
			[588] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Hen\" mean?",
				["Answer"] = "Hill of Sight",
			},
			[589] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Lhaw\" mean?",
				["Answer"] = "Hill of Hearing",
			},
			[590] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name for the \"Black Gate\"?",
				["Answer"] = "Morannon",
			},
			[591] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mordor\" mean?",
				["Answer"] = "Black Land",
			},
			[592] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of \"Carach Angren\" in the Common Speech?",
				["Answer"] = "Isenmouthe",
			},
			[593] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Lithui\" mean?",
				["Answer"] = "Ash Mountains",
			},
			[594] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the \"Ephel Dath\" called in the Common Speech?",
				["Answer"] = "Mountains of Shadow",
			},
			[595] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Andril\" mean?",
				["Answer"] = "Flame of the West",
			},
			[596] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Hithlain\" mean?",
				["Answer"] = "Mist-thread",
			},
			[597] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Undmiel\" mean?",
				["Answer"] = "Evenstar",
			},
			[598] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elessar\" mean?",
				["Answer"] = "Elfstone",
			},
			[599] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Common Speech of the Free Peoples?",
				["Answer"] = "Westron",
			},
			[600] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Galadhrim\" mean?",
				["Answer"] = "Tree-people",
			},
			[601] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the Orcs?",
				["Answer"] = "Yrch",
			},
			[602] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Wild Men of the White Mountains call the Orcs?",
				["Answer"] = "Gorgn",
			},
			[603] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Sindarin name for the \"Valley of Saruman\"?",
				["Answer"] = "Nan Curunr",
			},
			[604] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Methedras\" mean?",
				["Answer"] = "Last Peak",
			},
			[605] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aglarond\" mean?",
				["Answer"] = "Glittering Caves",
			},
			[606] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the Rohirrim give to \"Lothlrien\"?",
				["Answer"] = "Dwimordene",
			},
			[607] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the Rohirrim give to \"Minas Tirith\"?",
				["Answer"] = "Mundburg",
			},
			[608] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was \"Cirith Gorgor\" called in the Common Speech?",
				["Answer"] = "Haunted Pass",
			},
			[609] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the meaning of \"Torech Ungol\"?",
				["Answer"] = "Lair of the Spider",
			},
			[610] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Imlad Morgul\" mean?",
				["Answer"] = "Valley of Sorcery",
			},
			[611] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Minas Morgul\" mean?",
				["Answer"] = "Tower of Sorcery",
			},
			[612] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Quenya name for \"Evermind\"?",
				["Answer"] = "Simbelmyn",
			},
			[613] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name of \"Quickbeam\"?",
				["Answer"] = "Bregalad",
			},
			[614] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Thorongil\" mean?",
				["Answer"] = "Eagle of the Star",
			},
			[615] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Elves call the Ents?",
				["Answer"] = "Onodrim",
			},
			[616] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ernil i Periannath\" mean?",
				["Answer"] = "Prince of the Halflings",
			},
			[617] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rath Dnen\" mean?",
				["Answer"] = "Silent Street",
			},
			[618] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Chambers of Fire\"?",
				["Answer"] = "Sammath Naur",
			},
			[619] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Merethrond\" mean?",
				["Answer"] = "Hall of Feasts",
			},
			[620] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Quenya name for the \"Athelas\"?",
				["Answer"] = "Asa Aranion",
			},
			[621] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Telcontar\" mean?",
				["Answer"] = "Strides",
			},
			[622] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dwimmerlaik\" mean?",
				["Answer"] = "Wraith",
			},
			[623] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Snaga\" mean?",
				["Answer"] = "Slave",
			},
			[624] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gwaihir\" mean?",
				["Answer"] = "Lord of the Winds",
			},
			[625] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which word in the language of the Orcs of Isengard was the origin of \"Sharkey\"?",
				["Answer"] = "Sharku",
			},
			[626] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sharkey\" mean?",
				["Answer"] = "Old Man",
			},
			[627] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Thoden\'s minstrel in the days of the War of the Ring?",
				["Answer"] = "Glowine",
			},
			[628] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which minstrel of Rohan composed a song about Thoden and his end in the War of the Ring?",
				["Answer"] = "Glowine",
			},
			[629] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Hobbits call \"anything that had no immediate use for, but were unwilling to throw away\"?",
				["Answer"] = "Mathom",
			},
			[630] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only badge of the Shirriffs of the Shire?",
				["Answer"] = "Feather",
			},
			[631] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the One Ring also called?",
				["Answer"] = "Isildur\'s Bane",
			},
			[632] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Narsil\'s name after it was reforged?",
				["Answer"] = "Andril",
			},
			[633] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the sword of Aragorn?",
				["Answer"] = "Andril",
			},
			[634] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What liquor from Rivendell, warm and fragrant, did the Company of the Ring drink to regain strength at Caradhras?",
				["Answer"] = "Miruvor",
			},
			[635] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What material, mirroring only starlight and moonlight, was the Gate of Moria wrought of?",
				["Answer"] = "Ithildin",
			},
			[636] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two Items formed Durin\'s emblem?",
				["Answer"] = "Anvil and Hammer",
			},
			[637] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the emblem of the House of Fanor?",
				["Answer"] = "Eight-pointed Star",
			},
			[638] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which metal, found only in Khazad-dm in the Third Age, was the most valuable known?",
				["Answer"] = "Mithril",
			},
			[639] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Dwarves of Balin write what happened to them in Moria?",
				["Answer"] = "Book of Mazarbul",
			},
			[640] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Galadriel give to the Company of the Ring to keep them \"out of the sight of unfriendly eyes\"?",
				["Answer"] = "Cloaks",
			},
			[641] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What material did the Galadhrim make the ropes of?",
				["Answer"] = "Hithlain",
			},
			[642] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Celeborn and Galadriel give to Aragorn?",
				["Answer"] = "Sword sheath",
			},
			[643] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the clear green stone set in a silver brooch in the likeness of an eagle that was given to Aragorn?",
				["Answer"] = "Elfstone",
			},
			[644] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Celeborn and Galadriel give to Boromir?",
				["Answer"] = "Gold Belt",
			},
			[645] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Celeborn and Galadriel give to Merry and Pippin?",
				["Answer"] = "Silver Belt",
			},
			[646] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Celeborn and Galadriel give to Legolas?",
				["Answer"] = "Bow and Quiver",
			},
			[647] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Galadriel give to Sam?",
				["Answer"] = "Earth from her orchard",
			},
			[648] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Galadriel give to Gimli?",
				["Answer"] = "3 of her hairs",
			},
			[649] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Galadriel give to Frodo?",
				["Answer"] = "Phial with the light of Erendil",
			},
			[650] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two elements formed the emblem of Dol Amroth?",
				["Answer"] = "Ship and Swan",
			},
			[651] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon did Orcs commonly use?",
				["Answer"] = "Scimitar",
			},
			[652] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Saruman\'s emblem?",
				["Answer"] = "White Hand",
			},
			[653] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the emblem of Sauron\'s troops?",
				["Answer"] = "Red Eye",
			},
			[654] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Thoden\'s sword?",
				["Answer"] = "Herugrim",
			},
			[655] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main element of the emblem of the House of orl?",
				["Answer"] = "Horse",
			},
			[656] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sword of omer?",
				["Answer"] = "Gthwin",
			},
			[657] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which important item did Gandalf take from Orthanc?",
				["Answer"] = "Palantir",
			},
			[658] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What item of Boromir did Denethor keep after his death?",
				["Answer"] = "Horn",
			},
			[659] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What material were the helmets of the Guards of the Citadel of Minas Tirith made of?",
				["Answer"] = "Mithril",
			},
			[660] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first bearer of the horn that Boromir carried?",
				["Answer"] = "Vorondil",
			},
			[661] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the only insignia worn by the Rangers of the North?",
				["Answer"] = "Rayed star",
			},
			[662] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Arwen weave for Aragorn for the War of the Ring?",
				["Answer"] = "Standard",
			},
			[663] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What item was used by Gondor to call Rohan for help?",
				["Answer"] = "Red Arrow",
			},
			[664] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the huge ram the Enemy used to destroy the Gates of Minas Tirith?",
				["Answer"] = "Grond",
			},
			[665] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was on the Haradrim standard?",
				["Answer"] = "Serpent",
			},
			[666] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon did the Witch-king wield, at least before he died?",
				["Answer"] = "Mace",
			},
			[667] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the jewel worn on the forehead by the Kings of Arnor?",
				["Answer"] = "Star of Elendil",
			},
			[668] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Star of Elendil represent?",
				["Answer"] = "Erendil",
			},
			[669] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were Athelas commonly called?",
				["Answer"] = "Kingsfoil",
			},
			[670] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who made the Horn that Merry received at Rohan?",
				["Answer"] = "Dwarves",
			},
			[671] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo get from Bilbo the last time he was in Rivendell?",
				["Answer"] = "Books",
			},
			[672] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam get from Bilbo the last time he was in Rivendell?",
				["Answer"] = "Gold",
			},
			[673] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Merry and Pippin get from Bilbo the last time they were in Rivendell?",
				["Answer"] = "Pipes",
			},
			[674] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was the most powerful of the Three Elven Rings?",
				["Answer"] = "Vilya",
			},
			[675] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which famous Hobbit was nicknamed \"Bullroarer\", and was the third tallest in history?",
				["Answer"] = "Bandobras Took",
			},
			[676] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the two tallest Hobbits in history?",
				["Answer"] = "Merry and Pippin",
			},
			[677] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Thain of the Took clan was the father of Bandobras Took?",
				["Answer"] = "Isengrim II",
			},
			[678] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, in Frodo\'s time, owned \"The Prancing Pony\"?",
				["Answer"] = "Barliman Butterbur",
			},
			[679] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the Shirriffs of the Shire in charge of \"beating the bounds\"?",
				["Answer"] = "Bounders",
			},
			[680] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Mayor of Michel Delving (or the Shire) in Frodo\'s time?",
				["Answer"] = "Will Whitfoot",
			},
			[681] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the scribe of Gondor who copied the \"Red Book\" of the Thain Peregrin?",
				["Answer"] = "Findegil",
			},
			[682] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who lived in Bagshot Row Number 3, and was known as \"the Gaffer\"?",
				["Answer"] = "Ham Gamgee",
			},
			[683] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Gaffer Gamgee\'s youngest son, and Bilbo\'s gardener?",
				["Answer"] = "Samwise Gamgee",
			},
			[684] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Frodo Baggins\'s father?",
				["Answer"] = "Drogo Baggins",
			},
			[685] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Frodo Baggins\'s mother?",
				["Answer"] = "Primula Brandybuck",
			},
			[686] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the head of the family in Brandy Hall when Frodo lived there?",
				["Answer"] = "Gorbadoc Brandybuck",
			},
			[687] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What day was Bilbo and Frodo\'s birthday?",
				["Answer"] = "September 22",
			},
			[688] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Bilbo\'s nephew and heir?",
				["Answer"] = "Frodo",
			},
			[689] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Frodo\'s two best friends?",
				["Answer"] = "Merry and Pippin",
			},
			[690] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Pippin\'s full name?",
				["Answer"] = "Peregrin Took",
			},
			[691] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Merry\'s full name?",
				["Answer"] = "Meriadoc Brandybuck",
			},
			[692] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Bywater\'s miller?",
				["Answer"] = "Ted Sandyman",
			},
			[693] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gollum\'s real name?",
				["Answer"] = "Smagol",
			},
			[694] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Frodo get from Gandalf to use outside the Shire?",
				["Answer"] = "Underhill",
			},
			[695] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Frodo\'s younger friends?",
				["Answer"] = "Fredegar Bolger and Folco Boffin",
			},
			[696] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Fredegar Bolger commonly called?",
				["Answer"] = "Fatty",
			},
			[697] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the leader of the Elves that Frodo, Sam and Pippin found in the Shire?",
				["Answer"] = "Gildor Inglorion",
			},
			[698] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which House did Gildor and his group of Exiles belong?",
				["Answer"] = "Finrod",
			},
			[699] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was \"The Master\" of the Old Forest and its environs?",
				["Answer"] = "Tom Bombadil",
			},
			[700] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the River-daughter of the Withywindle?",
				["Answer"] = "Goldberry",
			},
			[701] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Goldberry called?",
				["Answer"] = "River-daughter",
			},
			[702] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who \"was here [...] when the Elves passed westward, [...] before the seas were bent, [...] knew the dark stars when it was fearless, before the Dark Lord came\"?",
				["Answer"] = "Tom Bombadil",
			},
			[703] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Tom Bombadil\'s pony?",
				["Answer"] = "Fatty Lumpkin",
			},
			[704] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which were the names of the two employees that Barliman Butterbur had?",
				["Answer"] = "Bob and Nob",
			},
			[705] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was \"the fattest hobbit in the Westfarthing\"?",
				["Answer"] = "Will Whitfoot",
			},
			[706] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what name was Aragorn known in Bree?",
				["Answer"] = "Strider",
			},
			[707] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Aragorn\'s mother?",
				["Answer"] = "Gilraen",
			},
			[708] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Arathorn\'s father?",
				["Answer"] = "Arador",
			},
			[709] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Aragorn receive from his mother?",
				["Answer"] = "Estel",
			},
			[710] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Glorfindel\'s horse?",
				["Answer"] = "Asfaloth",
			},
			[711] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what other name was the Witch-king known?",
				["Answer"] = "Lord of Morgul",
			},
			[712] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What would Frodo have been if the Black Riders had pierced his heart with the Morgul-knife?",
				["Answer"] = "Wraith",
			},
			[713] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the Black Riders?",
				["Answer"] = "Nazgl",
			},
			[714] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Elrond\'s sons?",
				["Answer"] = "Elladan and Elrohir",
			},
			[715] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Elrond\'s daughter?",
				["Answer"] = "Arwen",
			},
			[716] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Elrond marry?",
				["Answer"] = "Celebran",
			},
			[717] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the daughter of Celeborn and Galadriel?",
				["Answer"] = "celebran",
			},
			[718] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Arwen\'s nickname?",
				["Answer"] = "Undmiel",
			},
			[719] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Beorn\'s son?",
				["Answer"] = "Grimbeorn",
			},
			[720] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Grimbeorn have?",
				["Answer"] = "the Old",
			},
			[721] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the grandson of Bard and Lord of Dale at the end of the Third Age?",
				["Answer"] = "Brand",
			},
			[722] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo call Aragorn?",
				["Answer"] = "Dnadan",
			},
			[723] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Glin?",
				["Answer"] = "Gimli",
			},
			[724] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thranduil\'s son?",
				["Answer"] = "Legolas",
			},
			[725] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of Elrond\'s advisors?",
				["Answer"] = "Erestor",
			},
			[726] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last Ruling Steward of Gondor?",
				["Answer"] = "Denethor",
			},
			[727] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Denethor\'s sons?",
				["Answer"] = "Boromir and Faramir",
			},
			[728] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Saruman rejected being the White to be, in his words, of ...",
				["Answer"] = "Many Colours",
			},
			[729] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the horse Gandalf obtained in Rohan?",
				["Answer"] = "Shadowfax",
			},
			[730] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many members formed the Company of the Ring?",
				["Answer"] = "9",
			},
			[731] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Sam call the pony they got in Bree?",
				["Answer"] = "Bill",
			},
			[732] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the small group of people who were on a quest to destroy the One Ring?",
				["Answer"] = "Company of the Ring",
			},
			[733] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the two guides of the Company of the Ring?",
				["Answer"] = "Aragorn and Gandalf",
			},
			[734] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Balin?",
				["Answer"] = "Fundin",
			},
			[735] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Durin\'s Bane?",
				["Answer"] = "Balrog",
			},
			[736] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who in the Third Age was accounted \"the wisest of the Elves of Middle-earth\"?",
				["Answer"] = "Celeborn",
			},
			[737] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the most distrustful of the members of the Company of the Ring?",
				["Answer"] = "Boromir",
			},
			[738] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Aragorn named after the \"Elfstone\" of the House of Elendil that he carried with him?",
				["Answer"] = "Elessar",
			},
			[739] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the Orcs who kidnapped Merry and Pippin serving?",
				["Answer"] = "Saruman",
			},
			[740] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Third Marshal of Riddermark of Rohan until shortly before the end of the Third Age?",
				["Answer"] = "omer",
			},
			[741] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the son and the daughter of omund?",
				["Answer"] = "omer and owyn",
			},
			[742] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Thoden\'s father?",
				["Answer"] = "Thengel",
			},
			[743] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Rohan coming what would be the end of the Third Age?",
				["Answer"] = "Thoden",
			},
			[744] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the Rohirrim\'s horses?",
				["Answer"] = "Mearas",
			},
			[745] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the horse that omer lent to Aragorn?",
				["Answer"] = "Hasufel",
			},
			[746] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the horse that omer lent to Legolas?",
				["Answer"] = "Arod",
			},
			[747] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of the Orcs who kidnapped Merry and Pippin, who was the chief of the Isengarders?",
				["Answer"] = "Uglk",
			},
			[748] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of the Orcs who kidnapped Merry and Pippin, who was the chief of Sauron\'s followers?",
				["Answer"] = "Grishnkh",
			},
			[749] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, according to Gandalf, was \"the oldest living thing that still walks beneath the Sun upon this Middle-earth\"?",
				["Answer"] = "Treebeard",
			},
			[750] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many fingers did Treebeard have on each foot?",
				["Answer"] = "7",
			},
			[751] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Treebeard name to Merry and Pippin as the only three remaining of the oldest Ents?",
				["Answer"] = "Fangorn Finglas and Fladrif",
			},
			[752] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Treebeard love?",
				["Answer"] = "Fimbrethil",
			},
			[753] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Fimbrethil have?",
				["Answer"] = "Wandlimb",
			},
			[754] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the most hasty of the Ents that Merry and Pippin knew?",
				["Answer"] = "Quickbeam",
			},
			[755] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the old man that Aragorn, Legolas and Gimli saw on the borders of Fangorn?",
				["Answer"] = "Saruman",
			},
			[756] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf the Grey become when he was resurrected?",
				["Answer"] = "Gandalf the White",
			},
			[757] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Aragorn name Gandalf as the antithesis of the Black Riders?",
				["Answer"] = "White Rider",
			},
			[758] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname had Legolas?",
				["Answer"] = "Greenleaf",
			},
			[759] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Doorward of Thoden?",
				["Answer"] = "Hma",
			},
			[760] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Thoden and Second Marshal of Riddermark until shortly before the end of the Third Age?",
				["Answer"] = "Thodred",
			},
			[761] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Theoden\'s chief counsellor until the War of the Ring?",
				["Answer"] = "Wormtongue",
			},
			[762] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Thoden call Gandalf before acknowledging his great help?",
				["Answer"] = "Stormcrow",
			},
			[763] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Wormtongue?",
				["Answer"] = "Grma",
			},
			[764] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Eorl\'s horse?",
				["Answer"] = "Felarf",
			},
			[765] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Grma really serving?",
				["Answer"] = "Saruman",
			},
			[766] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Thoden\'s horse?",
				["Answer"] = "Snowmane",
			},
			[767] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of omer\'s horse?",
				["Answer"] = "Firefoot",
			},
			[768] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lord of the Westfold and Hornburg during the War of the Ring?",
				["Answer"] = "Erkenbrand",
			},
			[769] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Rohan froze to death in the fortress that later bore his name?",
				["Answer"] = "Helm",
			},
			[770] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname had Helm?",
				["Answer"] = "Hammerhand",
			},
			[771] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Merry\'s father?",
				["Answer"] = "Saradoc",
			},
			[772] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Pippin\'s father?",
				["Answer"] = "Paladin",
			},
			[773] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gollum call the Sun?",
				["Answer"] = "Yellow Face",
			},
			[774] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gollum call the Moon?",
				["Answer"] = "White Face",
			},
			[775] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gaffer Gamgee call Sam when he did something wrong?",
				["Answer"] = "Ninnyhammer",
			},
			[776] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam call Smagol and Gollum, respectively?",
				["Answer"] = "Slinker and Stinker",
			},
			[777] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Ungoliant\'s last daughter?",
				["Answer"] = "Shelob",
			},
			[778] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sauron call Ungoliant?",
				["Answer"] = "His Cat",
			},
			[779] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Uruk Captain of Minas Morgul when Frodo and Sam arrived to Mordor?",
				["Answer"] = "Gorbag",
			},
			[780] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Uruk Captain of the Tower of Cirith Ungol when Frodo and Sam arrived to Mordor?",
				["Answer"] = "Shagrat",
			},
			[781] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what name was Aragorn known in Gondor while serving the Steward Ecthelion II?",
				["Answer"] = "Thorongil",
			},
			[782] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Prince of Dol Amroth in the days of the War of the Ring?",
				["Answer"] = "Imrahil",
			},
			[783] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the father of Denethor of Gondor",
				["Answer"] = "Ecthelion",
			},
			[784] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Mardil the Faithful\'s father?",
				["Answer"] = "Vorondil",
			},
			[785] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbit was the Guard of the Steward of Gondor?",
				["Answer"] = "Pippin",
			},
			[786] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Beregond\'s son?",
				["Answer"] = "Bergil",
			},
			[787] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lord of Lossarnach in the days of the War of the Ring?",
				["Answer"] = "Forlong",
			},
			[788] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Forlong?",
				["Answer"] = "the Fat",
			},
			[789] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the group of Rangers of the North who came to Aragorn\'s aid in the War of the Ring?",
				["Answer"] = "Elladan Elrohir and Halbarad",
			},
			[790] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Aragorn\'s cousin?",
				["Answer"] = "Halbarad",
			},
			[791] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbit was esquire to the King of Rohan?",
				["Answer"] = "Merry",
			},
			[792] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Aragorn\'s steed?",
				["Answer"] = "Roheryn",
			},
			[793] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the pony that Merry rode in Rohan?",
				["Answer"] = "Stybba",
			},
			[794] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the company of Rangers that Aragorn led in the War of the Ring?",
				["Answer"] = "Grey Company",
			},
			[795] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the people of the Harrowdale in the days of the War of the Ring?",
				["Answer"] = "Dnhere",
			},
			[796] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did owyn give herself when she disguised to go to war?",
				["Answer"] = "Dernhelm",
			},
			[797] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the horse used by owyn in the War of the Ring?",
				["Answer"] = "Windfola",
			},
			[798] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the people of Gondor call Pippin?",
				["Answer"] = "Prince of the Halflings",
			},
			[799] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Marshal who led the division of the Rohirrim in which Merry was riding?",
				["Answer"] = "Elfhelm",
			},
			[800] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the Wild Men of the Dradan Forest in the days of the War of the Ring?",
				["Answer"] = "Ghn-buri-Ghn",
			},
			[801] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thoden\'s banner-bearer?",
				["Answer"] = "Guthlf",
			},
			[802] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of Thoden\'s knights?",
				["Answer"] = "Dorwine",
			},
			[803] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Snowmane?",
				["Answer"] = "Lightfoot",
			},
			[804] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Warden of the Keys to Minas Tirith in the days of the War of the Ring?",
				["Answer"] = "Hrin",
			},
			[805] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Hrin of the Keys?",
				["Answer"] = "the Tall",
			},
			[806] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did owyn call the Witch-king at the Battle of the Pelennor Fields?",
				["Answer"] = "Dwimmerlaik",
			},
			[807] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Denethor call Gandalf in his hours of madness?",
				["Answer"] = "Grey Fool",
			},
			[808] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Morgul\'s Lieutenant in the days of the War of the Ring?",
				["Answer"] = "Gothmog",
			},
			[809] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the title of the person in charge of organizing the Houses of Healing of Minas Tirith?",
				["Answer"] = "Warden",
			},
			[810] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the oldest of the healers of Minas Tirith in the days of the War of the Ring?",
				["Answer"] = "Ioreth",
			},
			[811] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the House of Elessar and his descendants?",
				["Answer"] = "Telcontar",
			},
			[812] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Shagrat and Gorbag think Sam was without having seen him?",
				["Answer"] = "Elf-warrior",
			},
			[813] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Frodo get after his incident with Gollum in the Cracks of Fate?",
				["Answer"] = "Nine Fingers",
			},
			[814] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Gwaihir\'s brother?",
				["Answer"] = "Landroval",
			},
			[815] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was owyn also called?",
				["Answer"] = "White Lady of Rohan",
			},
			[816] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Faramir\'s wife?",
				["Answer"] = "owyn",
			},
			[817] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Faramir\'s Guard when it was granted the Princedom of Ithilien?",
				["Answer"] = "White Company",
			},
			[818] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was King Elessar\'s wife?",
				["Answer"] = "Arwen",
			},
			[819] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what name was Merry known in Rohan and the neighbouring countries?",
				["Answer"] = "Holdwine of the Mark",
			},
			[820] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was \"the Boss\" when Frodo, Sam, Merry and Pippin arrived back in the Shire?",
				["Answer"] = "Lotho Sackville-Baggins",
			},
			[821] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Saruman known among his servants in Isengard and the Shire?",
				["Answer"] = "Sharkey",
			},
			[822] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the inhabitants of the Shire call Frodo, Sam, Merry, and Pippin after their adventure?",
				["Answer"] = "Travellers",
			},
			[823] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the inhabitants of the Shire call Merry and Pippin after their adventure?",
				["Answer"] = "Lordly",
			},
			[824] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Sam Gamgee\'s first daughter?",
				["Answer"] = "Elanor",
			},
			[825] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the pony that Frodo brought from Minas Tirith?",
				["Answer"] = "Strider",
			},
			[826] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What do Hobbits call men?",
				["Answer"] = "Big Folk",
			},
			[827] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What three branches or \"breeds\" of Hobbits existed?",
				["Answer"] = "Fallohides Harfoots and Stoors",
			},
			[828] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbits were traditionally the friendliest with Dwarves?",
				["Answer"] = "Harfoots",
			},
			[829] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbits traditionally preferred the highlands and hillsides?",
				["Answer"] = "Harfoots",
			},
			[830] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbits traditionally preferred flat lands and riversides?",
				["Answer"] = "Stoors",
			},
			[831] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbits traditionally preferred trees and woodlands?",
				["Answer"] = "Fallohides",
			},
			[832] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Hobbit family could a Fallohidish strain stand out the most?",
				["Answer"] = "Took",
			},
			[833] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years was the difference between the Elven calendar and the Shire-reckoning?",
				["Answer"] = "1600",
			},
			[834] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which title held the highest authority in the Shire?",
				["Answer"] = "Thain",
			},
			[835] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the keenest sense the Hobbits possessed?",
				["Answer"] = "Sight",
			},
			[836] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Hobbits call the biggest and most luxurious Holes?",
				["Answer"] = "Smial",
			},
			[837] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was, according to the \"Herblore of the Shire\", \"the centre and home of the art of pipe smoking\"?",
				["Answer"] = "Prancing Pony",
			},
			[838] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Some hobbit clans all lived together in the same building, such as the Took from _____ _____ and the Brandybuck of _____ ___?",
				["Answer"] = "Great Smials and Brandy Hall",
			},
			[839] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the great interest and delight of the Hobbits, as can be seen at the end of the \"Red Book\"?",
				["Answer"] = "Genealogy",
			},
			[840] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what quiet activity or \"art\" did hobbits devote much of their time?",
				["Answer"] = "Smoking",
			},
			[841] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which \"art\" is \"the only one that Hobbits can claim as their own invention\"?",
				["Answer"] = "Smoking",
			},
			[842] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the people of Bree used to call the people of the Shire?",
				["Answer"] = "Colonists",
			},
			[843] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What clan was the Thain from at the end of the Third Age?",
				["Answer"] = "Took",
			},
			[844] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What clan were the Thains from before the office passed to the Took?",
				["Answer"] = "Oldbuck",
			},
			[845] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which title was \"the only real official\" in the Shire?",
				["Answer"] = "Mayor",
			},
			[846] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the only services available to the Hobbits of the Shire?",
				["Answer"] = "Messenger Service and Watch",
			},
			[847] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Hobbits call twelve dozen?",
				["Answer"] = "Gross",
			},
			[848] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Hobbits call the Elves?",
				["Answer"] = "Fair Folk",
			},
			[849] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Hobbits of the Shire call \"any others that lived beyond the borders\"?",
				["Answer"] = "Outsiders",
			},
			[850] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In ancient times, when the Northern Way was frequented, the Hobbits of the Shire used to say, \"Strange as...\"?",
				["Answer"] = "News from Bree",
			},
			[851] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Nmenreans used to be called in Eriador, in the Third Age?",
				["Answer"] = "Men of Westernesse",
			},
			[852] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Black Orcs of Mordor?",
				["Answer"] = "Uruk",
			},
			[853] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Elves of Lothlorien called?",
				["Answer"] = "Galadhrim",
			},
			[854] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the two names given to the Galadhrim dwellings in the trees?",
				["Answer"] = "Flet and Talan",
			},
			[855] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gimli praise as the best bakers?",
				["Answer"] = "Beornings",
			},
			[856] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Rohirrim do with the carcases of enemy intruders, according to their custom?",
				["Answer"] = "Burned them",
			},
			[857] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the children of the Ents?",
				["Answer"] = "Entlings",
			},
			[858] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the meetings of the Ents called?",
				["Answer"] = "Entmoot",
			},
			[859] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In mockery of whom would Trolls have been made?",
				["Answer"] = "Ents",
			},
			[860] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Rohirrim also called?",
				["Answer"] = "Sons of Eorl",
			},
			[861] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the creatures close to Ents but that were almost entirely tree-ish?",
				["Answer"] = "Huorns",
			},
			[862] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the armed divisions of the Rohirrim?",
				["Answer"] = "ored ",
			},
		}
	},
	[9] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Extension - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It will go ill with Wormtongue, if Gandalf comes upon him. Nonetheless I miss now both my counsellors, the old and the new\". Who did utter these words?",
				["Answer"] = "Thoden",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"They are but hovels compared with the caverns I have seen here: immeasurable halls, filled with an everlasting music of water that tinkles into pools\". What are the \"hovels\" Gimli speaks of?",
				["Answer"] = "Palace of Thranduil",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Yes, we will have peace, we will have peace, when you and all your works have perished  and the works of your dark master to whom you would deliver us\". Who said this and to whom?",
				["Answer"] = "Thoden to Saruman",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Nonetheless I do not trust you. \"Had I done so, I could have sent this thing hither to your keeping and spared myself and others much anguish\". To whom did Gandalf have to say this?",
				["Answer"] = "Denethor",
			},
			[5] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"A traitor may betray himself and do good that he does not intend\"?",
				["Answer"] = "Gandalf",
			},
			[6] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Need brooks no delay, yet late is better than never\". Who said this just before the Rohirrim began their swift final ride to Pelennor?",
				["Answer"] = "omer",
			},
			[7] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"For a little space you may triumph on the field, for a day. But against the Power that now arises there is no victory\"?",
				["Answer"] = "Denethor",
			},
			[8] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said in the Houses of Healing \"The hands of the king are the hands of a healer, and so shall the rightful king be known\"?",
				["Answer"] = "Ioreth",
			},
			[9] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"It is ever so with the things that Men begin: there is a frost in Spring, or a blight in Summer, and they fail of their promise\"?",
				["Answer"] = "Gimli",
			},
			[10] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It needs more to make a king than a piece of elvish glass, or a rabble such as this. Why, any brigand of the hills can show as good a following!\". To whom were these words addressed?",
				["Answer"] = "Aragorn",
			},
			[11] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When Aragorn said \"A day draws near that I have looked for in all the years of my manhood, and when it comes I would have my friends beside me\", what did he mean?",
				["Answer"] = "His wedding",
			},
			[12] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What township of the Shire was in the White Downs?",
				["Answer"] = "Michel Delving",
			},
			[13] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which village was located in the Green Hills?",
				["Answer"] = "Tuckborough",
			},
			[14] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the forest in the Eastfarthing?",
				["Answer"] = "Woody-End",
			},
			[15] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What swamps were located to the southeast of the Shire?",
				["Answer"] = "Overbourn Marshes",
			},
			[16] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two villages were in the Westfarthing?",
				["Answer"] = "Little Delving and Michel Delving",
			},
			[17] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What small island stood on the Baranduin as it flowed through the Shire?",
				["Answer"] = "Girdley",
			},
			[18] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which forest was on the borders of the Northfarthing?",
				["Answer"] = "Bindbole wood",
			},
			[19] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the northern lands of Lindon called?",
				["Answer"] = "Forlindon",
			},
			[20] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the southern lands of Lindon called?",
				["Answer"] = "Harlindon",
			},
			[21] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What forest was on a small peninsula in Eriador?",
				["Answer"] = "Eryn Vorn",
			},
			[22] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the swamps at the junction of the Glanduin and the Greyflood?",
				["Answer"] = "Nn-in-Eilph",
			},
			[23] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the hills southeast of Bree?",
				["Answer"] = "South Downs",
			},
			[24] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only tributary of the Isen?",
				["Answer"] = "Adorn",
			},
			[25] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the wasteland at the mouth of the Isen?",
				["Answer"] = "Drwaith Iaur",
			},
			[26] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which group of stars lies north of Menelvagor?",
				["Answer"] = "Remmirath",
			},
			[27] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which bright red star is near Menelvagor?",
				["Answer"] = "Borgil",
			},
			[28] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tributary of the Greylin was born in the Misty Mountains?",
				["Answer"] = "Longwell",
			},
			[29] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river was born in Ered Mithrin and joined Anduin?",
				["Answer"] = "Greylin",
			},
			[30] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river came down from the Iron Hills?",
				["Answer"] = "Carnen",
			},
			[31] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tributary of the Anduin joined it at the Gladden Fields?",
				["Answer"] = "Gladden River",
			},
			[32] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which land was between Anduin and Limlight?",
				["Answer"] = "Field of Celebrant",
			},
			[33] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the area of Rohan east of the Entwash?",
				["Answer"] = "Eastemnet",
			},
			[34] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the area of Rohan west of the Entwash?",
				["Answer"] = "Westemnet",
			},
			[35] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the rapids of the Anduin just before it drops at the Falls of Rauros?",
				["Answer"] = "Sarn Gebir",
			},
			[36] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What swamps were between the Anduin and Mordor?",
				["Answer"] = "Nindalf",
			},
			[37] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the hills in the centre of Ithilien?",
				["Answer"] = "Emyn Arnen",
			},
			[38] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What small river, west boundary of Anrien west, joined one of the branches of the Entwash?",
				["Answer"] = "Mering Stream",
			},
			[39] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the grassy and windy upland plains in the northeast of Rohan that stretched between the Anduin and Fangorn?",
				["Answer"] = "Wold",
			},
			[40] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river in Rohan flowed from Dunharrow to Edoras and later into the Entwash?",
				["Answer"] = "Snowbourn",
			},
			[41] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Gore\", the part of Lothlrien at the north side of the Celebrant?",
				["Answer"] = "Naith",
			},
			[42] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What long, pale-water lake was in the Anduin just after passing Argonath?",
				["Answer"] = "Nen Hithoel",
			},
			[43] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the area between the Anduin and the Celebrant near their confluence?",
				["Answer"] = "Egladil",
			},
			[44] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the delta of Anduin?",
				["Answer"] = "Ethir Anduin",
			},
			[45] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the tributaries of the Ringl?",
				["Answer"] = "Ciril and Morthond",
			},
			[46] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river in Gondor had its source in Lamedon and flowed to the sea just north of Dol Amroth?",
				["Answer"] = "Ringl",
			},
			[47] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hilly area of Gondor west of the river Gilrain?",
				["Answer"] = "Dor-en-Ernil",
			},
			[48] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river in Gondor joined the Serni shortly before Linhir?",
				["Answer"] = "Gilrain",
			},
			[49] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river in Gondor was the only tributary of the Gilrain?",
				["Answer"] = "Serni",
			},
			[50] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only tributary of the river Sirith?",
				["Answer"] = "Celos",
			},
			[51] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tributary of the Anduin joined it at Pelargir?",
				["Answer"] = "Sirith",
			},
			[52] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river flowed down from the Ephel Dath to the Anduin?",
				["Answer"] = "Poros",
			},
			[53] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place of the bridge over the river Poros?",
				["Answer"] = "Crossings of Poros",
			},
			[54] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "An earlier name of Lothlrien",
				["Answer"] = "Laurelindrenan",
			},
			[55] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What passage led from the deepest of Moria to the top of the Celebdil?",
				["Answer"] = "Endless Stair",
			},
			[56] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name, also Sindarin, had Neldoreth?",
				["Answer"] = "Taur-na-Neldor",
			},
			[57] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the three jagged peaks of the White Mountains behind Hornburg?",
				["Answer"] = "Thrihyrne",
			},
			[58] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many feet tall was Orthanc?",
				["Answer"] = "500",
			},
			[59] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the southernmost hill in the Misty Mountains?",
				["Answer"] = "Dol Baran",
			},
			[60] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river flowed down from the Ephel Dath through Imlad Morgul?",
				["Answer"] = "Morgulduin",
			},
			[61] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tunnel at the top of Cirith Ungol?",
				["Answer"] = "Torech Ungol",
			},
			[62] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Shelob\'s den?",
				["Answer"] = "Torech Ungol",
			},
			[63] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the long gorge of Lamedon that was crossed by the road between Erech and Calembel?",
				["Answer"] = "Tarlang\'s Neck",
			},
			[64] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the crossing of the Ringl on the road from Erech to Pelargir?",
				["Answer"] = "Ethring",
			},
			[65] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name (from east to west) of the seven beacons that Gondor used to ask for help when it needed it?",
				["Answer"] = "Amon Dn Eilenach Nardol Erelas Min-Rimmon Calenhad and Halifirien",
			},
			[66] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the easternmost part of the Dradan Forest called, south of Amon Dn?",
				["Answer"] = "Grey Wood",
			},
			[67] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Tower of Ecthelon commonly called?",
				["Answer"] = "White Tower",
			},
			[68] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many feet above the valley was the seventh circle of Minas Tirith?",
				["Answer"] = "700",
			},
			[69] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many fathoms high was the White Tower of Minas Tirith?",
				["Answer"] = "50",
			},
			[70] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the vale near Lossarnach, southwest of Minas Tirith?",
				["Answer"] = "Tumladen",
			},
			[71] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mountain of Ered Nimrais where the Gate of the Dead was?",
				["Answer"] = "Dwimorbeg",
			},
			[72] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the meadow of Dunharrow?",
				["Answer"] = "Firienfeld",
			},
			[73] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the long, narrow valley that ran through the Forest of Dradan from near the Rammas Echor to the quarries of the White Mountains?",
				["Answer"] = "Stonewain Valley",
			},
			[74] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which valley in Lossarnach was famous for its roses?",
				["Answer"] = "Imloth Melui",
			},
			[75] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which village in the Eastfarthing was on the East Road, and was where the Floating Log was located?",
				["Answer"] = "Frogmorton",
			},
			[76] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which village in the Eastfarthing was a place of quarries?",
				["Answer"] = "Scary",
			},
			[77] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Arnor allowed the Hobbits to take possession of the Shire?",
				["Answer"] = "Argeleb II",
			},
			[78] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which place of the Shire were the first farmhouses and barns built?",
				["Answer"] = "Marish",
			},
			[79] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in Middle-earth does pipe-weed originate from, according to the \"Herblore of the Shire\"?",
				["Answer"] = "Lower Anduin",
			},
			[80] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the author of \"The Tale of Aragorn and Arwen\"?",
				["Answer"] = "Barahir",
			},
			[81] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which book is Meriadoc Brandybuck interested in discovering the influences on the language of the Shire?",
				["Answer"] = "Old Words and Names in the Shire",
			},
			[82] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Frodo, Sam and Pippin spend the night with the Elves in the Shire?",
				["Answer"] = "Woodhall",
			},
			[83] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many full days did Frodo, Sam, Merry and Pippin spend at the house of Tom Bombadil?",
				["Answer"] = "1",
			},
			[84] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What terrible mistake did Frodo make in an oversight he had in the Prancing Pony?",
				["Answer"] = "Used the Ring",
			},
			[85] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who introduced Athelas to Middle-earth?",
				["Answer"] = "Nmenreans",
			},
			[86] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What day did Frodo first wake up in Rivendell?",
				["Answer"] = "October 24",
			},
			[87] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was on the side of Crdan at the Council that took place at Rivendell?",
				["Answer"] = "Galdor",
			},
			[88] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Shire-reckoning did the white wolves invade it during a freezing winter?",
				["Answer"] = "1311",
			},
			[89] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which hall did the Dwarves who tried to retake Moria die?",
				["Answer"] = "Chamber of Mazarbul",
			},
			[90] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years did the attempt of the Dwarves\' to reconquer Moria last?",
				["Answer"] = "5",
			},
			[91] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When the Fellowship of the Ring travelled down Anduin, who was in the first boat?",
				["Answer"] = "Aragorn Frodo and Sam",
			},
			[92] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When the Company of the Ring travelled down the Anduin, who was in the second boat?",
				["Answer"] = "Boromir Merry and Pippin",
			},
			[93] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When the Company of the Ring travelled down the Anduin, who was in the third boat?",
				["Answer"] = "Gimli and Legolas",
			},
			[94] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo do when Boromir tried to seize the Ring?",
				["Answer"] = "Escaped",
			},
			[95] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Orc chief came to Uglk\'s ultimate aid?",
				["Answer"] = "Mauhr",
			},
			[96] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the lands where the Entwives once had their gardens called in the Third Age?",
				["Answer"] = "Brown Lands",
			},
			[97] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf do to get out of Moria?",
				["Answer"] = "Followed the Balrog",
			},
			[98] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who built Meduseld?",
				["Answer"] = "Brego",
			},
			[99] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the only Ent killed in the destruction of Isengard?",
				["Answer"] = "Beechbone",
			},
			[100] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gollum hunt for Sam in Ithilien?",
				["Answer"] = "Rabbit",
			},
			[101] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of Faramir\'s men discovered and captured Gollum?",
				["Answer"] = "Anborn",
			},
			[102] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who built the castle of Durthang?",
				["Answer"] = "Men of Gondor",
			},
			[103] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the guardian of the walls of Pelennor who received Gandalf and Pippin?",
				["Answer"] = "Ingold",
			},
			[104] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which prince of Rohan went missing in the Paths of the Dead?",
				["Answer"] = "Baldor",
			},
			[105] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the messenger who brought the Red Arrow to Thoden?",
				["Answer"] = "Hirgon",
			},
			[106] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Rider of Rohan did forebode dawn shortly before the final cavalcade to Minas Tirith?",
				["Answer"] = "Wdfara",
			},
			[107] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Duilin and Derufin die?",
				["Answer"] = "Pelennor Fields",
			},
			[108] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Huirlin?",
				["Answer"] = "Pelennor Fields",
			},
			[109] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hardin die?",
				["Answer"] = "Pelennor",
			},
			[110] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Herfara die?",
				["Answer"] = "Pelennor",
			},
			[111] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Horn die?",
				["Answer"] = "Pelennor",
			},
			[112] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Uruks of Shagrat\'s company did Sam see die as they left the Tower of Cirith Ungol?",
				["Answer"] = "Lagduf and Muzgash",
			},
			[113] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Faramir reside after leaving the Stewardship?",
				["Answer"] = "Emyn Arnen",
			},
			[114] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which acquaintance of Merry did Frodo, Sam, Pippin and him find guarding the east entrance to the Shire?",
				["Answer"] = "Hob Hayward",
			},
			[115] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Shire Shirriff, an acquaintance of Sam\'s, told him about the new situation in the Shire?",
				["Answer"] = "Robin Smallburrow",
			},
			[116] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam see shattered near Bag End, that made him utterly sad?",
				["Answer"] = "Party Tree",
			},
			[117] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three characters mentioned at the beginning of \"The Lord of the Rings\" did Frodo, Sam, Merry and Pippin release from the Lockholes at Michel Delving?",
				["Answer"] = "Fredegar Bolger Lobelia Sackville-Baggins and Will Whitfoot",
			},
			[118] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did they give to the old Bagshot Row when it was restored?",
				["Answer"] = "New Row",
			},
			[119] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who looked after Gaffer Gamyi when Sam got married?",
				["Answer"] = "Widow Rumble",
			},
			[120] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What day in the Shire Reckoning was Frodo wounded at the Weathertop?",
				["Answer"] = "October 6",
			},
			[121] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title did the story of Frodo and the Ring have in the Red Book?",
				["Answer"] = "The Downfall of the Lord of the Rings and the Return of the King",
			},
			[122] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Forlond\" mean?",
				["Answer"] = "North Haven",
			},
			[123] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Harlond\" mean?",
				["Answer"] = "South Haven",
			},
			[124] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Arthedain\" mean?",
				["Answer"] = "Lords of Men",
			},
			[125] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Eryn Vorn\" mean?",
				["Answer"] = "Black Woods",
			},
			[126] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cardolan\" mean?",
				["Answer"] = "Red Hill",
			},
			[127] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of Bruinen in the Common Speech?",
				["Answer"] = "Loudwater",
			},
			[128] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the \"Emyn Uial\" called in the Common Speech?",
				["Answer"] = "Hills of Evendim",
			},
			[129] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Baranduin\" mean?",
				["Answer"] = "Brown River",
			},
			[130] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Quenya name for \"Menelvagor\"?",
				["Answer"] = "Menelmacar",
			},
			[131] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Dwarvish name for \"Caradhras\"?",
				["Answer"] = "Barazinbar",
			},
			[132] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Dwarvish name for \"Celebdil\"?",
				["Answer"] = "Zirak-zigil",
			},
			[133] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Dwarvish name for \"Fanuidhol\"?",
				["Answer"] = "Bundushathr",
			},
			[134] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name for the \"River Running\"?",
				["Answer"] = "Celduin",
			},
			[135] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Carnen\" mean?",
				["Answer"] = "Redwater",
			},
			[136] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nindalf\" mean?",
				["Answer"] = "Wetwang",
			},
			[137] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Emyn Arnen\" mean?",
				["Answer"] = "Hills of the King\'s Water",
			},
			[138] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name \"Tol Brandir\" in the Common Speech?",
				["Answer"] = "Tindrock",
			},
			[139] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Anfalas\" mean?",
				["Answer"] = "Langstrand",
			},
			[140] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tol Falas\" mean?",
				["Answer"] = "Island of the Coast",
			},
			[141] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Pinnath Gelin\" mean?",
				["Answer"] = "Green Hills",
			},
			[142] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Morthond\" mean?",
				["Answer"] = "Blackroot",
			},
			[143] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dol Amroth\" mean?",
				["Answer"] = "Hill of Amroth",
			},
			[144] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the plural of \"Mallorn\"?",
				["Answer"] = "Mellyrn",
			},
			[145] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebran\" mean?",
				["Answer"] = "Silver Queen",
			},
			[146] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the names of Nan Tathren in Quenya?",
				["Answer"] = "Nantasarion and Tasarinan",
			},
			[147] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aldalm\" mean, one of the names by which Treebeard referred to Fangorn Forest?",
				["Answer"] = "Tree Twilight",
			},
			[148] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tauremornalm\" mean, one of the names by which Treebeard referred to the Fangorn Forest?",
				["Answer"] = "Black Forest Twilight",
			},
			[149] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cirith Gorgor\" mean?",
				["Answer"] = "Terror Cleft",
			},
			[150] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cirith Ungol\" mean?",
				["Answer"] = "Cleft of the Spider",
			},
			[151] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Henneth Annn\" mean?",
				["Answer"] = "Window of the Sunset",
			},
			[152] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Imlad Morgul was also known in the Common Speech as \"Valley of the Living Death\" and \"Valley of the ...\"",
				["Answer"] = "Wraiths",
			},
			[153] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Morgulduin\" mean?",
				["Answer"] = "River of Sorcery",
			},
			[154] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the name of the River \"Ciril\" used to be spelled as well?",
				["Answer"] = "Kiril",
			},
			[155] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the name of the River \"Celos\" used to be spelled as well?",
				["Answer"] = "Kelos",
			},
			[156] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cair Andros\" mean?",
				["Answer"] = "Ship of Long-foam",
			},
			[157] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nardol\" mean?",
				["Answer"] = "Fire Hill",
			},
			[158] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Dn\" mean?",
				["Answer"] = "Silent Hill",
			},
			[159] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Fimbrethil\" mean?",
				["Answer"] = "Slender-beech",
			},
			[160] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Onodrim\" mean?",
				["Answer"] = "Ent-folk",
			},
			[161] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rammas Echor\" mean?",
				["Answer"] = "Great Wall of the Outer Circle",
			},
			[162] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Pelennor\" mean?",
				["Answer"] = "Fenced Land",
			},
			[163] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dwimorberg\" mean?",
				["Answer"] = "Haunted Mountain",
			},
			[164] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Firienfeld\" mean?",
				["Answer"] = "Plateau",
			},
			[165] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name \"Anrien\" in the language of the Rohirrim?",
				["Answer"] = "Sunlending",
			},
			[166] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Fen Hollen\" mean?",
				["Answer"] = "Closed Door",
			},
			[167] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Carchost\" mean?",
				["Answer"] = "Fang Fort",
			},
			[168] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sammath Naur\" mean?",
				["Answer"] = "Chambers of Fire",
			},
			[169] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cormallen\" mean?",
				["Answer"] = "Golden Circle",
			},
			[170] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Asa Aranion\" mean?",
				["Answer"] = "Leaf of the Kings",
			},
			[171] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Vorondil\" mean?",
				["Answer"] = "Loyal Friend",
			},
			[172] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Envinyatar\" mean?",
				["Answer"] = "Renewer",
			},
			[173] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three varieties of pipe-weed were the best in the Shire?",
				["Answer"] = "Longbottom Leaf Old Toby and Southern Star",
			},
			[174] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What wood was Gandalf\'s staff made of?",
				["Answer"] = "Ash",
			},
			[175] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What animal was Boromir\'s horn made from?",
				["Answer"] = "Ox",
			},
			[176] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of Tree of Gondor, beloved of the woodwrights, grew on Ered Nimrais and had black wood?",
				["Answer"] = "Lebethron",
			},
			[177] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what lands had the horn that Boromir wore been obtained?",
				["Answer"] = "Rhn",
			},
			[178] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What resource did Minas Tirith have to call for urgent help from anyone who was willing to give it?",
				["Answer"] = "Beacons",
			},
			[179] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The Horn that Merry obtained in Rohan, from whose loot had it been taken?",
				["Answer"] = "Scatha",
			},
			[180] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What material were the pipes that Bilbo gave to Merry and Pippin made from?",
				["Answer"] = "Pearl and silver",
			},
			[181] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twentieth King of Arnor?",
				["Answer"] = "Argeleb II",
			},
			[182] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which village was Fatty Bolger from?",
				["Answer"] = "Budgeford",
			},
			[183] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first Brandybuck?",
				["Answer"] = "Gorhendad",
			},
			[184] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Harry Goatleaf?",
				["Answer"] = "Gate-keeper of Bree",
			},
			[185] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Bard\'s son and Brand\'s father?",
				["Answer"] = "Bain",
			},
			[186] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Elves call Tom Bombadil?",
				["Answer"] = "Iarwain Ben-adar",
			},
			[187] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Dwarves call Tom Bombail?",
				["Answer"] = "Forn",
			},
			[188] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Northern Men call Tom Bombadil?",
				["Answer"] = "Orald",
			},
			[189] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the brothers of Haldir of Lothlrien?",
				["Answer"] = "Orophin and Rmil",
			},
			[190] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the most important Horseman under omer?",
				["Answer"] = "othain",
			},
			[191] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the guide of the Orcs who kidnapped Merry and Pippin?",
				["Answer"] = "Lugdush",
			},
			[192] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What diminutive was Pippin sometimes called?",
				["Answer"] = "Pip",
			},
			[193] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were Finglas and Fladrif called in Common Language, respectively?",
				["Answer"] = "Leaflock and Skinbark",
			},
			[194] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Grma\'s father?",
				["Answer"] = "Glmd",
			},
			[195] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Eorl\'s son?",
				["Answer"] = "Brego",
			},
			[196] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the messenger who met Aragorn, Theden and their troops on their way to Hornburg?",
				["Answer"] = "Ceorl",
			},
			[197] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of those who had taken refuge in Helm\'s Deep when Thoden arrived?",
				["Answer"] = "Gamling",
			},
			[198] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the two Men who stayed behind to protect Frodo and Sam in Ithilien?",
				["Answer"] = "Damrod and Mablung",
			},
			[199] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Beregond?",
				["Answer"] = "Baranor",
			},
			[200] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the cook of the Minas Tirith company Beregond was in?",
				["Answer"] = "Targon",
			},
			[201] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lord of the Blackroot Vale in the days of the War of the Ring?",
				["Answer"] = "Duinhir",
			},
			[202] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of the Lord of the Ringl Valley in the days of the War of the Ring?",
				["Answer"] = "Dervorin",
			},
			[203] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Duinhir?",
				["Answer"] = "the Tall",
			},
			[204] =
			{
				["Category"] = "characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Duinhir\'s sons?",
				["Answer"] = "Derufin and Duilin",
			},
			[205] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Rohan was father of Baldor?",
				["Answer"] = "Brego",
			},
			[206] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lord of the Green Hills in the days of the War of the Ring?",
				["Answer"] = "Hirluin",
			},
			[207] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Aragorn give himself for having restored the lineage of the Kings of Nmenor to Gondor?",
				["Answer"] = "Envinyatar",
			},
			[208] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lord of Lamedon in the days of the War of the Ring?",
				["Answer"] = "Angbor",
			},
			[209] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Farmer Cotton call Lotho Sackville-Baggins?",
				["Answer"] = "Pimple",
			},
			[210] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Hobbits call the Great People of the South?",
				["Answer"] = "Swertings",
			},
			[211] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the three Hobbit breeds were most noticeable among the inhabitants of Marish and Buckland?",
				["Answer"] = "Stoors",
			},
		}
	},
	[10] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Base - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To make reference proudly to one of his sires if he had fallen at the Battle of Azanulbizar, in regards to the unusual funerary treatment they had, Dwarves used the idiom: \"He was a ...\"?",
				["Answer"] = "Burned Dwarf",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What jesting idiom was used in the Shire to refer to a day that did not exist, or when very unlikely events might occur?",
				["Answer"] = "On Friday the First",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "A common joke in Bree alluding to the name of one of the months in the Shire Calendar went something like this: \"Now you must have a hard time in the Shire, for there is...\"",
				["Answer"] = "Winterfilth",
			},
			[4] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river served as the boundary between Gondor and Harad in the early Third Ages?",
				["Answer"] = "Harnen",
			},
			[5] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land of Rohan\'s ancestors near the sources of the Anduin?",
				["Answer"] = "othod",
			},
			[6] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What new name was given to Mirkwood when evil was driven out once and for all?",
				["Answer"] = "Wood of Greenlaves",
			},
			[7] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Celeborn call his new Kingdom after the War of the Ring?",
				["Answer"] = "East Lrien",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the last year of the Third Age?",
				["Answer"] = "3021",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ar-Pharazn land when he challenged Sauron?",
				["Answer"] = "Umbar",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With which Heir of Anrion did Gondor reach the summit of its power?",
				["Answer"] = "Hyarmendacil I",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What three kingdoms was Arnor divided into?",
				["Answer"] = "Arthedain Cardolan and Rhudaur",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What area did Cardolan and Rhudaur dispute?",
				["Answer"] = "Weather Hills",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What important item was at Weathertop for the three Kingdoms of the North to dispute it?",
				["Answer"] = "Palantr",
			},
			[14] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Kingdom of Darkness tried to wipe out the Northern Kingdoms?",
				["Answer"] = "Angmar",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the three Northern Kingdoms allied with Angmar?",
				["Answer"] = "Rhudaur",
			},
			[16] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped the Northern Kingdoms against Angmar?",
				["Answer"] = "Elves of Lindon",
			},
			[17] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose mound, it is said, was the mound in which Frodo, Sam, Merry, and Pippin were imprisoned?",
				["Answer"] = "Last Prince of Cardolan",
			},
			[18] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event did evil spirits take advantage of to enter to the Barrow-downs and dwell there?",
				["Answer"] = "Plague",
			},
			[19] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did King Arvedui take refuge after escaping from Fornost?",
				["Answer"] = "Forochel",
			},
			[20] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did King Arvedui give to the Men of Forochel before he died?",
				["Answer"] = "Ring of Felagund",
			},
			[21] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did King Arvedui die?",
				["Answer"] = "Drowned",
			},
			[22] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Celebran kidnapped?",
				["Answer"] = "Redhorn Pass",
			},
			[23] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who rescued Celebran?",
				["Answer"] = "Elladan and Elrohir",
			},
			[24] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Celebran do after being kidnapped and rescued?",
				["Answer"] = "Crossed the Sea",
			},
			[25] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Aragorn die?",
				["Answer"] = "192",
			},
			[26] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Gondor did recover Umbar for the first time?",
				["Answer"] = "Ernil I",
			},
			[27] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Northern prince was specially favoured by Rmendacil II, to the point of calling himself King of Rhovanion?",
				["Answer"] = "Vidugavia",
			},
			[28] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Valacar marry?",
				["Answer"] = "Vidumavi",
			},
			[29] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Gondor was the Palantr of Osgiliath lost?",
				["Answer"] = "Eldacar",
			},
			[30] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who usurped the throne of Gondor from Eldacar for ten years?",
				["Answer"] = "Castamir",
			},
			[31] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Castamir?",
				["Answer"] = "Eldacar",
			},
			[32] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the sons of Castamir sailed and established a separate kingdom for all the enemies of the King of Gondor?",
				["Answer"] = "Umbar",
			},
			[33] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the civil war in Gondor?",
				["Answer"] = "Kin-strife",
			},
			[34] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Gondor took Umbar by storm in the year 1810 of the Third Age?",
				["Answer"] = "Telumehtar",
			},
			[35] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What people, or confederacy of many peoples, took Rhovanion from Gondor and enslaved its inhabitants?",
				["Answer"] = "Wainriders",
			},
			[36] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Gondor defeated the Easterlings at Dagorlad in the year 1899 of the Third Age?",
				["Answer"] = "Calimehtar",
			},
			[37] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which captain of the army of Gondor stormed the Wainraders\' main camp and drove them out of Ithilien?",
				["Answer"] = "Ernil",
			},
			[38] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Wainriders who fled Ithilien perish?",
				["Answer"] = "Dead Marshes",
			},
			[39] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Arnor claimed the crown of Gondor when Ondoher left no descendants?",
				["Answer"] = "Arvedui",
			},
			[40] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Ondoher of Gondor, who left no descendants?",
				["Answer"] = "Ernil",
			},
			[41] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did give Arvedui his name at birth?",
				["Answer"] = "Malbeth the Seer",
			},
			[42] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Gondor came to the aid of the Northern Kingdoms against Angmar, winning the war?",
				["Answer"] = "Ernur",
			},
			[43] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the forces of Rivendell that aided in the defeat of Angmar?",
				["Answer"] = "Glorfindel",
			},
			[44] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did the Witch-king Flee in the defeat of Angmar?",
				["Answer"] = "Glorfindel",
			},
			[45] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What creatures, Sauron\'s new resource, took Osgiliath in the year 2475 of the Third Age?",
				["Answer"] = "Uruks",
			},
			[46] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the horse that killed Lod?",
				["Answer"] = "Felarf",
			},
			[47] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ordered Felarf to surrender his freedom to him in compensation for the death of his father?",
				["Answer"] = "Eorl",
			},
			[48] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who defeated the enemies of Gondor on the Field of Celebrant when Cirion\'s army was about to be annihilated?",
				["Answer"] = "othod",
			},
			[49] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who swore to Cirion the alliance of his people and aid to Gondor in times of need?",
				["Answer"] = "Eorl",
			},
			[50] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Steward of Gondor did hand Isengard over to Saruman?",
				["Answer"] = "Beren",
			},
			[51] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was it called when in 2578 and 2579 of the Third Age snowed for five full months?",
				["Answer"] = "Long Winter",
			},
			[52] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What great captain who had followed Thengel of Rohan later served Ecthelion II of Gondor against Mordor?",
				["Answer"] = "Thorongil",
			},
			[53] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the unexpected raid on Umbar in which the Men of Gondor burned a great part of the ships of the Corsairs?",
				["Answer"] = "Thorongil",
			},
			[54] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Besides the Broken Sword, what other item did Elrond give to Aragorn when he came to manhood?",
				["Answer"] = "Ring of Barahir",
			},
			[55] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Arwen laid herself to die?",
				["Answer"] = "Cerin Amroth",
			},
			[56] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did King Elessar give the crown and sceptre before letting himself die?",
				["Answer"] = "Eldarion",
			},
			[57] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Scatha?",
				["Answer"] = "Fram",
			},
			[58] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Eorlingas believe must had brought the ancestors of the Mearas to Middle-earth?",
				["Answer"] = "Orom",
			},
			[59] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Helm kill Freca?",
				["Answer"] = "Punch",
			},
			[60] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took Edoras in Helm\'s time, proclaiming himself king?",
				["Answer"] = "Wulf",
			},
			[61] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who slew Wulf, regained Meduseld from him, and then became King?",
				["Answer"] = "Fralf",
			},
			[62] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What killed King Folca of Rohan?",
				["Answer"] = "Great Boar of Everholt",
			},
			[63] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the Rohirrim army at the Battle of Ithilien in 2885 of the Third Age?",
				["Answer"] = "Fastred and Folcred",
			},
			[64] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Durin dwell from the beginning?",
				["Answer"] = "Khazad-dm",
			},
			[65] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Durins were there?",
				["Answer"] = "7",
			},
			[66] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What killed Durin VI?",
				["Answer"] = "Balrog",
			},
			[67] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What killed Nin I?",
				["Answer"] = "Balrog",
			},
			[68] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led part of Durin\'s people to the Lonely Mountain?",
				["Answer"] = "Thrin I",
			},
			[69] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led part of Durin\'s people to the Grey Mountains?",
				["Answer"] = "Thorin I",
			},
			[70] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What killed Din I?",
				["Answer"] = "Cold-drake",
			},
			[71] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "After the death of which Dwarf King most of Durin\'s Folk abandoned the Grey Mountains?",
				["Answer"] = "Din",
			},
			[72] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who moved most of Ered Mithrin\'s Dwarves to the Iron Hills?",
				["Answer"] = "Grr",
			},
			[73] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who brought back to Erebor the Dwarves who were the last in Ered Mithrin?",
				["Answer"] = "Thrr",
			},
			[74] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who swore vengeance on Azog for the slaying of his father?",
				["Answer"] = "Thrin",
			},
			[75] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who assailed and sacked the strongholds of the Orcs of the Misty Mountains in one of the last centuries of the Third Age?",
				["Answer"] = "Dwarves",
			},
			[76] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Frerin and Fundin die?",
				["Answer"] = "Azanulbizar",
			},
			[77] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Thorin forced to use as a shield at the Battle of Azanulbizar, which earned him his nickname?",
				["Answer"] = "Oak Branch",
			},
			[78] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who challenged Azog at the Gates of Moria?",
				["Answer"] = "Nin",
			},
			[79] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Nin II?",
				["Answer"] = "Azog",
			},
			[80] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which days of the Third Age did Din II die?",
				["Answer"] = "War of the Ring",
			},
			[81] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the unusual funerary treatment given to the fallen Dwarves at Azanulbizar?",
				["Answer"] = "Cremation",
			},
			[82] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Thrin, Thorin, and their family live after the Battle of Azanulbizar and after wandering through Eriador for a time?",
				["Answer"] = "Ered Luin",
			},
			[83] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which King of Khazad-dm was given the Ring of Power that was to be legacy of his House?",
				["Answer"] = "Durin III",
			},
			[84] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Thrr II give his Ring?",
				["Answer"] = "Thrin",
			},
			[85] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who of those who later became members of Thorin\'s Company did Thrin take with him when he left Ered Luin?",
				["Answer"] = "Balin and Dwalin",
			},
			[86] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did Sauron get the Ring of Durin?",
				["Answer"] = "Thrin",
			},
			[87] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf happen to meet Thorin?",
				["Answer"] = "Bree",
			},
			[88] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many attacks did Lrien receive in the War of the Ring?",
				["Answer"] = "3",
			},
			[89] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took Dol Guldur in the War of the Ring?",
				["Answer"] = "Elves of Lrien",
			},
			[90] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did throw down the walls of Dol Guldur in the War of the Ring?",
				["Answer"] = "Galadriel",
			},
			[91] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Celeborn reign after the War of the Ring?",
				["Answer"] = "Southern Mirkwood",
			},
			[92] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Celeborn finally live when he grew weary of his realm?",
				["Answer"] = "Rivendell",
			},
			[93] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event is taken as the end of the War of the Ring?",
				["Answer"] = "Death of Saruman",
			},
			[94] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Mayor of the Shire after Will Whitfoot?",
				["Answer"] = "Sam",
			},
			[95] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title received Merry a few years after the War of the Ring?",
				["Answer"] = "Master of Buckland",
			},
			[96] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title received Pippin become a few years after the War of the Ring?",
				["Answer"] = "Thain",
			},
			[97] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title was given to Sam, Merry, and Pipin by King Elessar?",
				["Answer"] = "Counsellors of the North-kingdom",
			},
			[98] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Deputy Mayor when Sam traveled to Gondor for a year with his wife?",
				["Answer"] = "Tolman Cotton",
			},
			[99] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What territories did Elessar give to the Shire?",
				["Answer"] = "Emyn Beraid",
			},
			[100] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Times was Sam Mayor?",
				["Answer"] = "7",
			},
			[101] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam give Elanor before he left the Shire for good?",
				["Answer"] = "Red Book",
			},
			[102] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sam allegedly go after Rose\'s death?",
				["Answer"] = "Valinor",
			},
			[103] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Merry and Pippin go when they left the Shire for the last time?",
				["Answer"] = "Rohan",
			},
			[104] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Merry and Pippin go after the death of omer?",
				["Answer"] = "Gondor",
			},
			[105] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which city did Merry and Pippin die?",
				["Answer"] = "Minas Tirith",
			},
			[106] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Next to which King of Gondor did the Tombs of Merry and Pippin lie?",
				["Answer"] = "Elessar",
			},
			[107] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, it is said, was the only Dwarf to pass to Valinor?",
				["Answer"] = "Gimli",
			},
			[108] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With whom did Legolas leave Middle-earth?",
				["Answer"] = "Gimli",
			},
			[109] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Steward of Gondor was the architect of the calendar system called the \"Stewards\' Reckoning\"?",
				["Answer"] = "Mardil",
			},
			[110] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days were added to the year just before the Stewards\' Reckoning came into effect?",
				["Answer"] = "2",
			},
			[111] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the inventor of the Tengwar used in Middle-earth?",
				["Answer"] = "Fanor",
			},
			[112] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who invented the letters that preceded the Tengwar?",
				["Answer"] = "Rmil",
			},
			[113] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the deviser of the best-known and most perfected Cirth system?",
				["Answer"] = "Daeron",
			},
			[114] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what two kingdoms were the simplest forms of Cirth preserved at the end of the Third Age?",
				["Answer"] = "Dale and Rohan",
			},
			[115] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Baruk Khazd\"?",
				["Answer"] = "Axes of the Dwarves",
			},
			[116] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Khazd ai-mnu\" mean?",
				["Answer"] = "The Dwarves are upon you",
			},
			[117] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name the Elves gave to the Barrow-downs?",
				["Answer"] = "Tyrn Gorthad",
			},
			[118] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Sindarin name for the \"Wood of Green Leaves\"?",
				["Answer"] = "Eryn Lasgalen",
			},
			[119] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Orodruin\" mean?",
				["Answer"] = "Burning Mountain",
			},
			[120] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Westron word for \"Imladris\"?",
				["Answer"] = "Karningul",
			},
			[121] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"The Shire\"?",
				["Answer"] = "Sza",
			},
			[122] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Westron name for \"Moria\"?",
				["Answer"] = "Phurunargian",
			},
			[123] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the \"letters\" of the Elvish writing system called, designed for writing with brush or pen?",
				["Answer"] = "Tengwar",
			},
			[124] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the \"runes\" of the Elvish writing system called, devised and mostly used for scratched or incised inscriptions?",
				["Answer"] = "Cirth",
			},
			[125] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what other name are the Cirth known as having been spread by the Dwarves?",
				["Answer"] = "Angerthas Moria",
			},
			[126] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most widely used writing system for writing with a brush or pen in areas where the Common Speech was spoken?",
				["Answer"] = "Tengwar",
			},
			[127] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is \"Tengwar\" usually translated?",
				["Answer"] = "Letters",
			},
			[128] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is \"Cirth\" usually translated?",
				["Answer"] = "Runes",
			},
			[129] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many columns or Series are the Tengwar arranged into?",
				["Answer"] = "4",
			},
			[130] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many rows or Grades are the Tengwar arranged into?",
				["Answer"] = "6",
			},
			[131] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What signs were used to represent vowels by Tengwar?",
				["Answer"] = "Tehtar",
			},
			[132] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the auxiliary Tengwar that had no sound and only served to put Tehtar on them?",
				["Answer"] = "Carriers",
			},
			[133] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two types of carriers were there in the Tengwar writing system?",
				["Answer"] = "Long and Short",
			},
			[134] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Cirth called in reference to its main developer?",
				["Answer"] = "Angerthas Daeron",
			},
			[135] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who does seem to have introduced Cirth for for the representation of sounds not found in Sindarin?",
				["Answer"] = "Noldor of Eregion",
			},
			[136] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Cirth writing mode used by the Dwarves, for example, for the Book of Mazarbul?",
				["Answer"] = "Mode of Erebor",
			},
			[137] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is always the value of C in Elvish languages?",
				["Answer"] = "K",
			},
			[138] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Like in what European language should CH be pronounced?",
				["Answer"] = "German",
			},
			[139] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What digraph represents the voiced (soft) TH of English (like \"these clothes\")?",
				["Answer"] = "DH",
			},
			[140] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The written G of Elvish names is always pronounced the same way. Like \"give\" or like \"ginger\"?",
				["Answer"] = "Give",
			},
			[141] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Like in what European language should KH be pronounced?",
				["Answer"] = "German",
			},
			[142] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound did NG end up being made in the Third Age?",
				["Answer"] = "N",
			},
			[143] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound does PH represent, written like this because it derives from a P?",
				["Answer"] = "F",
			},
			[144] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With which letter is the trilled R always represented in Elvish names?",
				["Answer"] = "R",
			},
			[145] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which letter represent the voiceless S of Elvish names?",
				["Answer"] = "S",
			},
			[146] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What letter represents the sound of English Z where it occurs?",
				["Answer"] = "Z",
			},
			[147] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The written TH is always pronounced the same way. Like \"these\" or like \"thin\"?",
				["Answer"] = "Thin",
			},
			[148] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The sound of what English letter has the written W?",
				["Answer"] = "W",
			},
			[149] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of spoken sound does Y represent in Quenya, unlike Sindarin?",
				["Answer"] = "Consonant",
			},
			[150] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How are long vowels represented in Elvish names?",
				["Answer"] = "Doubling the vowel",
			},
			[151] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is used in our characters to indicate that a vowel is long?",
				["Answer"] = "Accent",
			},
			[152] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which French vowel did the Y of the Sindarin of the Third Age resemble?",
				["Answer"] = "U",
			},
			[153] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Most of the time when two vowels are followed in Quenya are diphthongs. What\'s used to mark dis-sylabyc pairs?",
				["Answer"] = "Dieresis",
			},
			[154] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "All diphthongs in Elvish languages are pronounced with the same accent, except for IU Quenya in the Third Age. Are they pronounced falling or rising?",
				["Answer"] = "Falling",
			},
			[155] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which syllable is the least common to be stressed in Elvish languages?",
				["Answer"] = "Last",
			},
			[156] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What accentuation do Elvish words have when the consonants between the penultimate and last syllables are long or double?",
				["Answer"] = "Plain",
			},
			[157] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rmendacil\" mean?",
				["Answer"] = "East-victor",
			},
			[158] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Hyarmendacil\" mean?",
				["Answer"] = "South-victor",
			},
			[159] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Falastur\" mean?",
				["Answer"] = "Lord of the Coasts",
			},
			[160] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Alcarin\" mean?",
				["Answer"] = "Glorious",
			},
			[161] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Felarf\" mean?",
				["Answer"] = "Mansbane",
			},
			[162] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Eorlingas call Orom?",
				["Answer"] = "Bma",
			},
			[163] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Thorongil\" mean?",
				["Answer"] = "Eagle of the Star",
			},
			[164] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what original word did the surname \"Took\" come?",
				["Answer"] = "Tk",
			},
			[165] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what original word did the surname \"Boffin\" come from?",
				["Answer"] = "Bophn",
			},
			[166] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name of \"Meriadoc\" Brandybuck?",
				["Answer"] = "Kalimac",
			},
			[167] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Banazr\" mean, full form of Sam\'s Westron name, \"Ban\"?",
				["Answer"] = "Simple",
			},
			[168] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lossoth\" mean?",
				["Answer"] = "Snowmen",
			},
			[169] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you translate the season of \"tuil\"?",
				["Answer"] = "Spring",
			},
			[170] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you translate the season of \"lair\"?",
				["Answer"] = "Summer",
			},
			[171] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you translate the season of \"yvi\"?",
				["Answer"] = "Autumn",
			},
			[172] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you translate the season of \"quell\"?",
				["Answer"] = "Fading",
			},
			[173] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you translate the season of \"hrv\"?",
				["Answer"] = "Winter",
			},
			[174] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you translate the station of \"coir\"?",
				["Answer"] = "Stir-ring",
			},
			[175] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Quenya name for the morning twilight?",
				["Answer"] = "Tindm",
			},
			[176] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Quenya name for the evening twilight?",
				["Answer"] = "Undm",
			},
			[177] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the morning twilight?",
				["Answer"] = "Minuial",
			},
			[178] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for late twilight?",
				["Answer"] = "Aduial",
			},
			[179] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Dunlendian word for \"Strawheads\"?",
				["Answer"] = "Forgoil",
			},
			[180] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What word in the language of the Rohirrim does \"Hobbit\" resemble?",
				["Answer"] = "Holbytla",
			},
			[181] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Holbytla\" mean?",
				["Answer"] = "Hole-dweller",
			},
			[182] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"tark\" mean in the language of the Orcs?",
				["Answer"] = "Man of Gondor",
			},
			[183] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what Sindarin is \"Troll\" a translation?",
				["Answer"] = "Torog",
			},
			[184] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"halfling\"?",
				["Answer"] = "Banakil",
			},
			[185] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"Hobbit\"?",
				["Answer"] = "Kuduk",
			},
			[186] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"holbytla\"?",
				["Answer"] = "Kd-dkan",
			},
			[187] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"Brandywine\"?",
				["Answer"] = "Branda-nn",
			},
			[188] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Westron name for \"Brandybuck\"?",
				["Answer"] = "Brandagamba",
			},
			[189] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What would you have called one of the Brandagamba (Brandybuck) if you had called him \"Braldagamba\"?",
				["Answer"] = "Beer-loving buck",
			},
			[190] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Elendil\'s Star?",
				["Answer"] = "Elendilmir",
			},
			[191] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was \"the most ancient work of Men\'s hands preserved in Middle-earth\", according to the chronicles of the Fourth Age?",
				["Answer"] = "Sceptre of Annminas",
			},
			[192] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Arkenstone also called?",
				["Answer"] = "Heart of the Mountain",
			},
			[193] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The Palantri from which places were the only two that were not missing or in the hands of the Enemy at the end of the Third Age?",
				["Answer"] = "Emyn Beraid and Minas Tirith",
			},
			[194] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who kept the Palantr of Emyn Beraid in the War of the Ring?",
				["Answer"] = "Crdan",
			},
			[195] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the Palantr obtained by Sauron originally placed?",
				["Answer"] = "Minas Ithil",
			},
			[196] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What insignia did King Elessar bestow on Sam on a visit to the Shire after the War of the Ring?",
				["Answer"] = "Star of the Dnedain",
			},
			[197] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which ancient document of the Shire was the most notable of those preserved at the end of the Third Age?",
				["Answer"] = "Yearbook of Tuckborough",
			},
			[198] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third King of Arnor, son of Valandil?",
				["Answer"] = "Eldacar",
			},
			[199] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth King of Arnor, son of Eldacar?",
				["Answer"] = "Arantar",
			},
			[200] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifth King of Arnor, son of Arantar?",
				["Answer"] = "Tarcil",
			},
			[201] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth King of Arnor, son of Tarcil?",
				["Answer"] = "Tarondor",
			},
			[202] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventh King of Arnor, son of Tarondor?",
				["Answer"] = "Valandur",
			},
			[203] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth King of Arnor, son of Valandur?",
				["Answer"] = "Elendur",
			},
			[204] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth and last King of Arnor, son of Elendur?",
				["Answer"] = "Erendur",
			},
			[205] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the tenth King of Arthedain and eighteenth of the Heirs of Isildur, son of Araphor?",
				["Answer"] = "Argeleb II",
			},
			[206] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth Chieftain of the Rangers of the North and thirty-seventh of the heirs of Isildur, son of Argonui?",
				["Answer"] = "Arador",
			},
			[207] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifteenth Chieftain of the Rangers of the North and thirty-eighth of the Heirs of Isildur, son of Arador?",
				["Answer"] = "Arathorn II",
			},
			[208] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixteenth Chieftain of the Rangers of the North and thirty-ninth of the heirs of Isildur, son of Arathorn II?",
				["Answer"] = "Aragorn II",
			},
			[209] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second King of Gondor, son of Anrion?",
				["Answer"] = "Meneldil",
			},
			[210] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth King of Gondor, son of Cemendur?",
				["Answer"] = "Erendil",
			},
			[211] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifth King of Gondor, son of Erendil?",
				["Answer"] = "Anardil",
			},
			[212] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventh King of Gondor, son of Ostoher?",
				["Answer"] = "Rmendacil I",
			},
			[213] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was King Rmendacil I\'s real name?",
				["Answer"] = "Tarostar",
			},
			[214] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh King of Gondor and first Ship-king, son of Siriandil?",
				["Answer"] = "Falastur",
			},
			[215] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were called the Kings of Gondor who extended the Kingdom by their naval power?",
				["Answer"] = "Ship-kings",
			},
			[216] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth King of Gondor, brother of Falastur?",
				["Answer"] = "Tarciryan ",
			},
			[217] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth King of Gondor and second Ship-king, son of Tarciryan?",
				["Answer"] = "Ernil I",
			},
			[218] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth King of Gondor and third Ship-king, son of Ernil I?",
				["Answer"] = "Ciryandil",
			},
			[219] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifteenth King of Gondor and fourth and last Ship-king, son of Ciryandil?",
				["Answer"] = "Hyarmendacil I",
			},
			[220] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixteenth King of Gondor, son of Hyarmendacil I?",
				["Answer"] = "Atanatar II",
			},
			[221] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Atanatar II?",
				["Answer"] = "Alcarin",
			},
			[222] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the nineteenth King of Gondor, who had been regent for his father Calmacil?",
				["Answer"] = "Rmendacil II",
			},
			[223] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twentieth King of Gondor, son of Rmendacil II?",
				["Answer"] = "Valacar",
			},
			[224] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Valacar, daughter of Vidugavia?",
				["Answer"] = "Vidumavi ",
			},
			[225] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-first King of Gondor, son of Valacar?",
				["Answer"] = "Eldacar",
			},
			[226] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-second King of Gondor, called the Usurper?",
				["Answer"] = "Castamir",
			},
			[227] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Castamir\'s great-grandsons, who were captains of the Corsairs of Umbar?",
				["Answer"] = "Angamait and Sangahyando",
			},
			[228] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-fourth King of Gondor, son of Aldamir?",
				["Answer"] = "Hyarmendacil II",
			},
			[229] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Telumehtar?",
				["Answer"] = "Umbardacil",
			},
			[230] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-ninth King of Gondor, son of Telumehtar?",
				["Answer"] = "Narmacil II",
			},
			[231] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirty-first King of Gondor, son of Calimehtar?",
				["Answer"] = "Ondoher",
			},
			[232] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the regent of Gondor for a year after Ondoher\'s death?",
				["Answer"] = "Pelendur",
			},
			[233] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirty-second King of Gondor, great Captain and descendant of Telumehtar?",
				["Answer"] = "Ernil II",
			},
			[234] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirty-third and last King of Gondor before the Ruling Stewards, son of Ernil II?",
				["Answer"] = "Ernur",
			},
			[235] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of which House were the Ruling Stewards of Gondor?",
				["Answer"] = "Hrin",
			},
			[236] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Steward of Ernil II of Gondor?",
				["Answer"] = "Vorondil",
			},
			[237] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Vorondil?",
				["Answer"] = "Voronw",
			},
			[238] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Ruling Steward of Gondor?",
				["Answer"] = "Mardil",
			},
			[239] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the nineteenth Ruling Steward of Gondor, son of Egalmoth?",
				["Answer"] = "Beren",
			},
			[240] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-fifth Ruling Steward of Gondor, son of Turgon?",
				["Answer"] = "Ecthelion II",
			},
			[241] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-sixth and last Ruling Steward of Gondor, son of Etchelion II?",
				["Answer"] = "Denethor II",
			},
			[242] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first Shire-thain?",
				["Answer"] = "Bucca",
			},
			[243] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which daughter of Samwise Gamgee was maid of Queen Evenstar?",
				["Answer"] = "Elanor",
			},
			[244] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Denethor II of Gondor?",
				["Answer"] = "Finduilas",
			},
			[245] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Gilraen\'s parents?",
				["Answer"] = "Drhael and Ivorwen",
			},
			[246] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was actually Thorongil?",
				["Answer"] = "Aragorn",
			},
			[247] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whith whom was Arwen often compared?",
				["Answer"] = "Lthien",
			},
			[248] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Aragorn\'s son?",
				["Answer"] = "Eldarion",
			},
			[249] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Eorl\'s father?",
				["Answer"] = "Lod",
			},
			[250] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Eorl?",
				["Answer"] = "the Young",
			},
			[251] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Lod?",
				["Answer"] = "Fram",
			},
			[252] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which dreaded dragon of Ered Mithrin was slain by an othod around 2000 of the Third Age?",
				["Answer"] = "Scatha",
			},
			[253] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Scatha\'s nickname?",
				["Answer"] = "the Worm",
			},
			[254] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Fram\'s father?",
				["Answer"] = "Frumgar",
			},
			[255] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Father of the Mearas?",
				["Answer"] = "Felarf",
			},
			[256] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first King of Rohan, leader of the othod that arrived to Calenardhon in aid of Cirion?",
				["Answer"] = "Eorl",
			},
			[257] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second King of Rohan, son of Eorl?",
				["Answer"] = "Brego",
			},
			[258] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third King of Rohan, son of Brego?",
				["Answer"] = "Aldor",
			},
			[259] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did Freca claim descebt?",
				["Answer"] = "Frawine",
			},
			[260] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Freca\'s son?",
				["Answer"] = "Wulf",
			},
			[261] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth King of Rohan, son of Gram?",
				["Answer"] = "Helm",
			},
			[262] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Helm\'s two sons?",
				["Answer"] = "Haleth and Hama",
			},
			[263] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Helm\'s sister?",
				["Answer"] = "Hild",
			},
			[264] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the tenth King of Rohan, son of Hild and nephew of Helm?",
				["Answer"] = "Fralaf",
			},
			[265] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the people of Rohan call King Brytta, for he was loved by all?",
				["Answer"] = "Lofa",
			},
			[266] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which famous creature dwelt in the Firien Wood and was slain by a King of Rohan?",
				["Answer"] = "Boar of Everholt",
			},
			[267] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the famous Boar of Everholt live?",
				["Answer"] = "Firien Wood",
			},
			[268] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth King of Rohan, son of Folca?",
				["Answer"] = "Folcwine",
			},
			[269] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Folcwine\'s children?",
				["Answer"] = "Fastred Folcred and Fengel",
			},
			[270] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifteenth King of Rohan, son of Fengel?",
				["Answer"] = "Thengel",
			},
			[271] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thengel\'s wife?",
				["Answer"] = "Morwen",
			},
			[272] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixteenth King of Rohan, son of Thengel?",
				["Answer"] = "Thoden",
			},
			[273] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Thodwyn marry?",
				["Answer"] = "omund",
			},
			[274] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventeenth King of Rohan, son of omund and nephew of Thoden?",
				["Answer"] = "omer",
			},
			[275] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was omer\'s wife?",
				["Answer"] = "Lothriel",
			},
			[276] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of omer\'s son?",
				["Answer"] = "Elfwine",
			},
			[277] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Elfwine of Rohan?",
				["Answer"] = "the Fair",
			},
			[278] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Durin?",
				["Answer"] = "the Deathless",
			},
			[279] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Durin VI\'s son?",
				["Answer"] = "Nin",
			},
			[280] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Nin I?",
				["Answer"] = "Thrin",
			},
			[281] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons of Din I?",
				["Answer"] = "Frr Grr and Thrr",
			},
			[282] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were Balin and Dwalin related to in and Glin?",
				["Answer"] = "Cousins",
			},
			[283] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Thrin II?",
				["Answer"] = "Ds Frerin and Thorin",
			},
			[284] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the successor of Brand of Dale?",
				["Answer"] = "Bard II",
			},
			[285] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the successor of Din II of Erebor?",
				["Answer"] = "Thorin III",
			},
			[286] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Thorin III?",
				["Answer"] = "Stonehelm",
			},
			[287] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Pippin\'s wife\'s name?",
				["Answer"] = "Diamond",
			},
			[288] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Pippin\'s son?",
				["Answer"] = "Faramir",
			},
			[289] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Sam\'s second daughter?",
				["Answer"] = "Goldilocks",
			},
			[290] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Elanor marry?",
				["Answer"] = "Fastred",
			},
			[291] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Elanor receive?",
				["Answer"] = "the Fair",
			},
			[292] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Fastred and Elanor\'s son?",
				["Answer"] = "Elfstan",
			},
			[293] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Elfstan of the Towers?",
				["Answer"] = "Fairbairn",
			},
			[294] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the descendants of Fastred and Elanor?",
				["Answer"] = "Fairbairns of the Towers",
			},
			[295] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title did Fastred of Greenholm get from Thain Peregrin?",
				["Answer"] = "Warden of Westmarch",
			},
			[296] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Faramir Took\'s wife?",
				["Answer"] = "Goldilocks",
			},
			[297] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Drogo Baggins\' wife?",
				["Answer"] = "Primula Brandybuck",
			},
			[298] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Bungo Baggins\' wife?",
				["Answer"] = "Belladonna Took",
			},
			[299] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Belba Baggins\'s husband?",
				["Answer"] = "Rudigar Bolger",
			},
			[300] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Longo Baggins\' wife?",
				["Answer"] = "Camellia Sackville",
			},
			[301] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Camelia Sackville and Longo Baggins?",
				["Answer"] = "Otho Sackville-Baggins",
			},
			[302] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the tenth Thain of the Took line?",
				["Answer"] = "Isengrim II",
			},
			[303] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth Thain of the Took line, son of Fortinbras I?",
				["Answer"] = "Gerontius",
			},
			[304] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the nineteenth Thain of the Took line, father of Peregrin I Took?",
				["Answer"] = "Paladin II",
			},
			[305] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twentieth Thain of the Took line, penultimate known?",
				["Answer"] = "Peregrin I",
			},
			[306] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty first Thain of the Took line, last known?",
				["Answer"] = "Faramir I",
			},
			[307] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which famous Took hero did the North-tooks of Long Cleeve descend?",
				["Answer"] = "Bandobras Took",
			},
			[308] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname given to the Thain Gerontius I Took?",
				["Answer"] = "Old Took",
			},
			[309] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Adalgrim Took\'s only son?",
				["Answer"] = "Paladin Took",
			},
			[310] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Mirabella Took\'s husband?",
				["Answer"] = "Gorbadoc Brandybuck",
			},
			[311] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Hildibrand Took\'s son, and cousin of Bilbo Baggins?",
				["Answer"] = "Sigizmond",
			},
			[312] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Rorimac Brandybuck\'s two sons?",
				["Answer"] = "Merimac and Saradoc",
			},
			[313] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Saradoc Brandybuck, mother of Merry Brandybuck?",
				["Answer"] = "Esmeralda Took",
			},
			[314] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Saradoc Brandybuck?",
				["Answer"] = "Scattergold",
			},
			[315] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Meriadoc Brandybuck?",
				["Answer"] = "the Magnificent",
			},
			[316] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Sam Gamgee\'s thirteen sons and daughters?",
				["Answer"] = "Bilbo Daisy Elanor Frodo Goldilocks Hamfast Merry Pippin Primrose Robin Rose Ruby and Tolman",
			},
			[317] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which family name was taken by the descendants of Samwise Gamgee in honour of this replanting of the Shire after the War of the Ring?",
				["Answer"] = "Gardner",
			},
			[318] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Tolman, son of Sam Gamgee, used to be called?",
				["Answer"] = "Tom",
			},
			[319] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Tom Cotton Sr.\'s real name?",
				["Answer"] = "Tolman",
			},
			[320] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Tolman Cotton used to be called in the time of Frodo and Sam\'s maturity?",
				["Answer"] = "Farmer Cotton",
			},
			[321] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name did Tolman Cotton used to be called?",
				["Answer"] = "Tom",
			},
			[322] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what other name did they usually call Wilcome Cotton, Rose Cotton\'s brother?",
				["Answer"] = "Jolly",
			},
			[323] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what other name did they usually call Bowman Cotton?",
				["Answer"] = "Nick",
			},
			[324] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what other name did they usually call Carl Cotton?",
				["Answer"] = "Nibs",
			},
			[325] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which head of the family, of Hobbiton, was called \"the greenhanded\"?",
				["Answer"] = "Holman",
			},
			[326] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Hob Gammidge?",
				["Answer"] = "Old Gammidgy",
			},
			[327] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What profession did Hob Gammidge Have?",
				["Answer"] = "Roper",
			},
			[328] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Hobson Gammidge usually called?",
				["Answer"] = "Roper Gamgee",
			},
			[329] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Sam Gamgee\'s father\'s name?",
				["Answer"] = "Hamfast",
			},
			[330] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Sam Gamgee\'s mother\'s name?",
				["Answer"] = "Bell Goodchild",
			},
			[331] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Men who dwelt in Forochel during the Third Age?",
				["Answer"] = "Lossoth",
			},
			[332] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did most of the Snowmen live?",
				["Answer"] = "Cape of Forochel",
			},
			[333] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What saying of the Shire was used to reference something was impossible or improbable?",
				["Answer"] = "When the King comes back",
			},
			[334] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tribe of Easterlings who lived for a time east of Mirkwood from the twenty-fifth century of the Third Age, until their expulsion?",
				["Answer"] = "Balchoth",
			},
			[335] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which People of Men, descendants of the Third House of the Edain, lived in the Third Age between the Carrock and the Gladden Fields?",
				["Answer"] = "othod",
			},
			[336] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the names of the horses of such a special breed which, in addition to great speed and endurance, and a longevity equal to that of an ordinary man, possessed the ability to understand them?",
				["Answer"] = "Mearas",
			},
			[337] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom were did Mearas surrender only?",
				["Answer"] = "Kings of Rohan and their sons",
			},
			[338] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Rohirrim call themselves?",
				["Answer"] = "Eorlingas",
			},
			[339] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the last vestiges of the people who dwelt in the vales of the White Mountains in ages past?",
				["Answer"] = "Dunlendings",
			},
			[340] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which people of Men did the Men of Bree descend?",
				["Answer"] = "Dunlendings",
			},
			[341] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first day of the year and also the last day according to the Shire Calendar?",
				["Answer"] = "Yule",
			},
			[342] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the day that was right in the middle of the Shire Calendar?",
				["Answer"] = "Midyear\'s Day",
			},
			[343] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the days before and after Midyear\'s Day called?",
				["Answer"] = "Lithe",
			},
			[344] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the day that leap years were added to the Shire Calendar?",
				["Answer"] = "Overlithe",
			},
			[345] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Between what two months was a day added in Leap-years?",
				["Answer"] = "Forelithe and Afterlithe",
			},
			[346] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years of Men are an Elvish Yn?",
				["Answer"] = "144",
			},
			[347] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days had the Elvish week or \"enqui\"?",
				["Answer"] = "6",
			},
			[348] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the elvish day?",
				["Answer"] = "R",
			},
			[349] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves call each sun period?",
				["Answer"] = "Coranar",
			},
			[350] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves call the year, in connection with seasonal changes?",
				["Answer"] = "Loa",
			},
			[351] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many seasons had the Calendar of Imladris?",
				["Answer"] = "6",
			},
			[352] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were (in order) the seasons into which the Calendar of Imladris was divided?",
				["Answer"] = "Tuil lair yvi quell hrv y coir",
			},
			[353] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the \"middle days\" of the Reckoning of Rivendell called?",
				["Answer"] = "Enderi",
			},
			[354] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How often (in years) were the \"enderi\" of the Reckoning of Rivendell doubled?",
				["Answer"] = "12",
			},
			[355] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How often (in years) was the year shortened by three days and the doubling of the enderi omitted according to the Calendar of Imladris?",
				["Answer"] = "3",
			},
			[356] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Nmenrean system of measuring time?",
				["Answer"] = "Kings\' Reckoning",
			},
			[357] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which system of measuring time is most similar to ours?",
				["Answer"] = "Nmenrean",
			},
			[358] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the day which was in the middle of the year according to the Nmenrean calendar, and which did not belong to any month?",
				["Answer"] = "Loend",
			},
			[359] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the last year of a century according to the Kings\' Reckoning?",
				["Answer"] = "Harany",
			},
			[360] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How often (in years), with the exception of the \"harany\", were two \"enderi\" replaced by the \"loend\" according to the Reckoning of Kings?",
				["Answer"] = "4",
			},
			[361] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How often (in years) was a day added to the year according to the Kings\' Reckoning?",
				["Answer"] = "1000",
			},
			[362] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name given to the correction of the Nmenrean Calendar that came into effect in the year 2600 of the Third Age?",
				["Answer"] = "Stewards\' Reckoning",
			},
			[363] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the day between the third and fourth months according to the Stewards\' Reckoning?",
				["Answer"] = "Tuilr",
			},
			[364] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the day between the ninth and the tenth month according to the Stewards\' Reckoning?",
				["Answer"] = "Yavir",
			},
			[365] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In all known Calendars, days that did not belong to any month tended to be...?",
				["Answer"] = "Holidays",
			},
			[366] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How often (in years) there was a leap year according to the Shire Calendar?",
				["Answer"] = "4",
			},
			[367] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days did the festival of Yule last in the Shire?",
				["Answer"] = "6",
			},
			[368] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the change introduced into the Shire Calendar by Isengrim II, from which Mid-year\'s Day and Overlithe belonged to no week?",
				["Answer"] = "Shire-reform",
			},
			[369] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what day did the year always begin according to the Shire Calendar, since the changes introduced by Isengrim II?",
				["Answer"] = "Monday",
			},
			[370] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what day did the year always end according to the Shire Calendar, since the changes introduced by Isengrim II?",
				["Answer"] = "Sunday",
			},
			[371] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What single day of the week was never the first of a month, since the changes introduced by Isengrim II in the Shire Reckoning?",
				["Answer"] = "Friday",
			},
			[372] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what astronomical event was Mid-year\'s Day intended to coincide according to the Calendar of the Shire, and hence the advance of ten days with ours?",
				["Answer"] = "Summer Solstice",
			},
			[373] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what language were the names of the months of the year preserved when they were brought to the Westron?",
				["Answer"] = "Quenya",
			},
			[374] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the only ones who named the months of the year in Sindarin?",
				["Answer"] = "Dnedain",
			},
			[375] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the name of the sixth month of the year in Bree?",
				["Answer"] = "Lithe",
			},
			[376] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were Lithe\'s and Middle Year\'s days called in Bree?",
				["Answer"] = "Summerdays",
			},
			[377] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the last month of the year called in Bree?",
				["Answer"] = "Yulemath",
			},
			[378] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Besides Bree, where in the shire were \"Frery\", \"Chiting\" and \"Yulemath\" used as names for months?",
				["Answer"] = "Eastfarthing",
			},
			[379] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the days of the week for the Elves in Quenya?",
				["Answer"] = "Elenya Anarya Isilya Aldya Menelya and Valanya",
			},
			[380] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the days \"Elenya\", \"Anarya\", \"Isilya\", \"Aldya\", \"Menelya\", \"Erenya\" and \"Valanya\", respectively dedicated to?",
				["Answer"] = "Stars Sun Moon Trees Sky Sea and Powers",
			},
			[381] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What day did the Nmenreans insert into the Elvish days of the week?",
				["Answer"] = "Erenya",
			},
			[382] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the Nmereans give to the day of the week \"Aldya\" to refer to the White Tree?",
				["Answer"] = "Alda",
			},
			[383] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the seven days of the week called for the Hobbits in the days of the War of the Ring?",
				["Answer"] = "Sterday Sunday Monday Trewsday Hevensday Mersday and Highday",
			},
			[384] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name given to the modified calendar established in Gondor at the end of the Third Age?",
				["Answer"] = "New Reckoning",
			},
			[385] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the feast established in the New Reckoning in honour of Frodo, which was doubled in leap-year?",
				["Answer"] = "Cormar",
			},
			[386] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What day was celebrated on the first day that the Horn of the Mark sounded in the Shire?",
				["Answer"] = "November 2",
			},
			[387] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What day was celebrated in Hobbiton after the War of the Ring, that according to different opinions was the New Year of the Elves, Sam Gardner\'s birthday, or the day the Golden Tree first flowered?",
				["Answer"] = "April 6",
			},
			[388] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the language of the Elves of Aman?",
				["Answer"] = "Quenya",
			},
			[389] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the language of the Grey Elves?",
				["Answer"] = "Sindarin",
			},
			[390] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what language did the first writings appear?",
				["Answer"] = "Quenya",
			},
			[391] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what language were all the names of the Nmenrean Kings?",
				["Answer"] = "Quenya",
			},
			[392] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what language did Westron mainly derive?",
				["Answer"] = "Adnaic",
			},
			[393] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Dunlendings call the Rohirrim?",
				["Answer"] = "Strawheads",
			},
			[394] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At first the word \"Hobbit\" was used by two branches of the halflings to designate the third. To which branch?",
				["Answer"] = "Harfoots",
			},
			[395] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To the language of which people of Men did many words of the Hobbits resemble?",
				["Answer"] = "Rohirrim",
			},
			[396] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To the language of what people of Men did the language of the southern Stoors resemble before they reached the Shire?",
				["Answer"] = "Dunlendings",
			},
			[397] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Uruk-hai call the lesser kinds of Orcs?",
				["Answer"] = "Snaga",
			},
			[398] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What language invented by Sauron was intended to be the common language of his servants?",
				["Answer"] = "Black Speech",
			},
			[399] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What language did Orcs most commonly use in the late Third Ages?",
				["Answer"] = "Westron",
			},
			[400] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the mightiest Trolls of all who ever existed, and who could endure the Sun so long as the will of Sauron held sway over them?",
				["Answer"] = "Olog-hai",
			},
			[401] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Language of the Dwarves?",
				["Answer"] = "Khuzdul",
			},
			[402] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Into what language did Tolkien adapt the language of the Rohirrim so that it would have a consistent relationship to the original translations of Westron?",
				["Answer"] = "Old English",
			},
		}
	},
	[11] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Extension - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the burial mound at the crossings of Poros, where Folcred and Fastred were buried?",
				["Answer"] = "Haudh in Gwanur",
			},
			[2] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first childless King of Gondor?",
				["Answer"] = "Falastur",
			},
			[3] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second childless King of Gondor?",
				["Answer"] = "Narmacil I",
			},
			[4] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King did rebuild Minas Anor?",
				["Answer"] = "Ostoher",
			},
			[5] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Gondor did defeat the wild men from out of the East for the first time?",
				["Answer"] = "Tarostar",
			},
			[6] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who removed the king\'s house permanently to Minas Anor?",
				["Answer"] = "Tarondor",
			},
			[7] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who recovered Osgiliath after it was taken in 2475 of the Third Age?",
				["Answer"] = "Boromir",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded, at the head of the army of Gondor, in defeating the enemies who had attacked them in the Long Winter?",
				["Answer"] = "Beregond",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Orcs who fled the Dwarves in the Misty Mountains want to move?",
				["Answer"] = "Ered Nimrais",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Haleth of Rohan die?",
				["Answer"] = "Edoras",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Folcred and Fastred of Rohan die?",
				["Answer"] = "Ithilien",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed omund?",
				["Answer"] = "Orcs",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only companion Thrr brought to Moria?",
				["Answer"] = "Nr",
			},
			[14] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name given to the time from Frodo\'s departure from the Shire to the end of the Third Age?",
				["Answer"] = "Great Years",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who dwelt in the Greenwood between the Kingdom of Thranduil and the Kingdom of Celeborn after the War of the Ring?",
				["Answer"] = "Beornings and Woodmen",
			},
			[16] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Elanor get married?",
				["Answer"] = "Far Downs",
			},
			[17] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year, according to the Shire Reckoning, did omer die?",
				["Answer"] = "1484",
			},
			[18] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Steward of Gondor added a day to the year 2360 of the Third Age in an attempt to make amends for the deficit in the Gondor Calendar?",
				["Answer"] = "Hador",
			},
			[19] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what date in the new calendar of the Fourth Age a new day was included in leap years, corresponding to Frodo\'s birthday?",
				["Answer"] = "Yavanni 30",
			},
			[20] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two peoples west of the Anduin did not know how to speak Westron and those who did spoke it in a broken way?",
				["Answer"] = "Dunlendings and Wild Men",
			},
			[21] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What peculiarity of Shire-usage of Westron served to spread the rumours of high rank of Peregrin by the constant use he made of them with everyone?",
				["Answer"] = "Familiar forms",
			},
			[22] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Harnen\" mean?",
				["Answer"] = "South Water",
			},
			[23] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what name was \"Mirkwood\" a poor translation into the Westron?",
				["Answer"] = "Taur e-Ndaedelos",
			},
			[24] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Taur e-Ndaedelos\" mean?",
				["Answer"] = "Forest of the Great Fear",
			},
			[25] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Sindarin name of the Tengwar?",
				["Answer"] = "Tw",
			},
			[26] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Quenya name for Cirth?",
				["Answer"] = "Certar",
			},
			[27] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the \"series\" or columns into which the Tengwar were arranged?",
				["Answer"] = "Tmar",
			},
			[28] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the \"grades\" or rows into which the Tengwar were arranged?",
				["Answer"] = "Tyeller",
			},
			[29] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"stem\" of the Tengwar?",
				["Answer"] = "Telco",
			},
			[30] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"bow\" or bows of the Tengwar?",
				["Answer"] = "Lva",
			},
			[31] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the first Series of the Tengwar commonly called?",
				["Answer"] = "Tincotma",
			},
			[32] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the second Series of the Tengwar commonly called?",
				["Answer"] = "Parmatma",
			},
			[33] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first or palatal Series of the Tengwar for the Quenya?",
				["Answer"] = "Tyelpetma",
			},
			[34] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the second or labialized Series of the Tengwar for the Quenya?",
				["Answer"] = "Quessetma",
			},
			[35] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Series of sounds derived from K, which varied between the third and fourth Series depending on the language?",
				["Answer"] = "Calmatma",
			},
			[36] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Grade of Tengwar was commonly used for weak or \"semivowel\" consonants?",
				["Answer"] = "6",
			},
			[37] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first Tengwa, which used to represent the T sound?",
				["Answer"] = "Tinco",
			},
			[38] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the second Tengwa, which used to represent the P sound?",
				["Answer"] = "Parma",
			},
			[39] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the third Tengwa, which used to represent the K sound in Quenya and CH in other languages?",
				["Answer"] = "Calma",
			},
			[40] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fourth Tengwa, which used to represent the sound KW in Quenya and K in Sindarin?",
				["Answer"] = "Quesse",
			},
			[41] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fifth Tengwa, which used to represent the ND sound?",
				["Answer"] = "Ando",
			},
			[42] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sixth Tengwa, which used to represent the MB sound?",
				["Answer"] = "Umbar",
			},
			[43] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the seventh Tengwa, which used to represent the sound NG in Quenya and J in other languages?",
				["Answer"] = "Anga",
			},
			[44] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the eigth Tengwa, which used to represent the sound NGW in Quenya and G in Sindarin?",
				["Answer"] = "Ungwe",
			},
			[45] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ninth Tengwa, which used to represent the sound TH?",
				["Answer"] = "Thle",
			},
			[46] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tenth Tengwa, which used to represent the F sound?",
				["Answer"] = "Formen",
			},
			[47] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the eleventh Tengwa, which used to represent the sound KH in Quenya and SH in other languages?",
				["Answer"] = "Harma",
			},
			[48] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twelfth Tengwa, which used to represent the sound KHW in Quenya and KH in Sindarin?",
				["Answer"] = "Hwesta",
			},
			[49] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirteenth Tengwa, which used to represent the NT sound in Quenya and DH in Sindarin?",
				["Answer"] = "Anto",
			},
			[50] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fourteenth Tengwa, which used to represent the sound MP in Quenya and V in Sindarin?",
				["Answer"] = "Ampa",
			},
			[51] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fifteenth Tengwa, which used to represent the sound NK in Quenya and ZH in other languages?",
				["Answer"] = "Anca",
			},
			[52] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sixteenth Tengwa, which used to represent the sound NKW in Quenya and GH in Sindarin?",
				["Answer"] = "Unque",
			},
			[53] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the seventeenth Tengwa, which used to represent the N sound?",
				["Answer"] = "Nmen",
			},
			[54] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the eighteenth Tengwa, which used to represent the M sound?",
				["Answer"] = "Malta",
			},
			[55] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the nineteenth Tengwa, which used to represent the  sound of some languages?",
				["Answer"] = "Noldo",
			},
			[56] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twentieth Tengwa, which used to represent the NW sound in Quenya?",
				["Answer"] = "Nwalme",
			},
			[57] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-first Tengwa, which used to represent the preconsontantal and final R sound?",
				["Answer"] = "re",
			},
			[58] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-second Tengwa, which used to represent the V sound in Quenya and W in Sindarin?",
				["Answer"] = "Vala",
			},
			[59] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-third Tengwa, which used to represent the consonantal Y sound?",
				["Answer"] = "Anna",
			},
			[60] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-fourth Tengwa, which used to represent the W Quenya sound?",
				["Answer"] = "Wilya",
			},
			[61] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-fifth Tengwa, which used to represent the R sound?",
				["Answer"] = "Rmen",
			},
			[62] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-sixth Tengwa, which used to represent the RD sound in Quenya and the RH in Sindarin?",
				["Answer"] = "Arda",
			},
			[63] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-seventh Tengwa, which used to represent the L sound?",
				["Answer"] = "Lambe",
			},
			[64] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-eighth Tengwa, which used to represent the sound represented by LD in Quenya and by LH in Sindarin?",
				["Answer"] = "Alda",
			},
			[65] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-ninth Tengwa, which used to represent the S sound?",
				["Answer"] = "Silme",
			},
			[66] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirtieth Tengwa, which used to represent the S sound when she carried a Tehta?",
				["Answer"] = "Silme Nuquerna",
			},
			[67] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirty-first Tengwa, which used to represent the Z sound in Quenya and later SS?",
				["Answer"] = "re",
			},
			[68] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-second Tengwa, which used to represent the Z sound in Quenya and later SS when carrying a Tehta on it?",
				["Answer"] = "re Nuquerna",
			},
			[69] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirty-third Tengwa, which used to represent the H sound?",
				["Answer"] = "Hyarmen",
			},
			[70] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirty-fourth Tengwa, which used to represent the HW sound of Sindarin?",
				["Answer"] = "Hwesta Sindarinwa",
			},
			[71] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirty-fifth Tengwa, which used to represent the consonant Y and E sound in Sindarin?",
				["Answer"] = "Yanta",
			},
			[72] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirty-sixth Tengwa, which used to represent the vowel W sound?",
				["Answer"] = "re",
			},
			[73] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What additional Tengwa was used for the H sound, and to which would correspond the number 37?",
				["Answer"] = "Halla",
			},
			[74] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Tengwa \"harma\" when it came to represent only the H sound of Sindarin?",
				["Answer"] = "Aha",
			},
			[75] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Tengwa \"ze\" when it came to represent the SS sound?",
				["Answer"] = "Esse",
			},
			[76] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the rearrangement of the Angerthas, the addition of a stroke to a branch added...",
				["Answer"] = "Voice",
			},
			[77] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the rearrangement of the Angerthas, reversing the \"certh\" indicated opening to a...",
				["Answer"] = "Spirant",
			},
			[78] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the rearrangement of the Angerthas, placing the branch on both sides of the stem added...?",
				["Answer"] = "Nasality and Voice",
			},
			[79] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What consonant, extended, does the F represent at the end of an Elvish word?",
				["Answer"] = "V",
			},
			[80] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the H pronounced in Elvish names when it is not part of a digraph?",
				["Answer"] = "Glottal fricative",
			},
			[81] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what situation is the I pronounced with the consonantal sound of Y?",
				["Answer"] = "At the beginning of the word",
			},
			[82] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound does LH o HL respresent?",
				["Answer"] = "Voiceless L",
			},
			[83] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What combination of sounds does the QU Quenya represent?",
				["Answer"] = "Cw",
			},
			[84] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With which digraph is the voiceless R represented for Sindarin names?",
				["Answer"] = "RH",
			},
			[85] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With which digraph is the voiceless R represented for Quenya names?",
				["Answer"] = "HR",
			},
			[86] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound did MB end up making when he was in the middle of a word?",
				["Answer"] = "MM",
			},
			[87] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound did ND end up making when it was in the middle of a word?",
				["Answer"] = "NN",
			},
			[88] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound did MB end up getting in the Third Age when it was at the beginning of a word?",
				["Answer"] = "B",
			},
			[89] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound did ND end up making when it was at the beginning of a word?",
				["Answer"] = "D",
			},
			[90] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Towards what German sound does GH slips very slightly close from G in Black Speech and Orcish?",
				["Answer"] = "CH",
			},
			[91] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Umbardacil\" mean?",
				["Answer"] = "Umbar-victor",
			},
			[92] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lofa\" mean?",
				["Answer"] = "Beloved",
			},
			[93] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Kali\" mean, short for \"Kalimac\"?",
				["Answer"] = "Jolly",
			},
			[94] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ranugad\" mean, full form of Ham Gamgee\'s name Westron, \"Ran\"?",
				["Answer"] = "Stay-at-home",
			},
			[95] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the station of \"tuil\"?",
				["Answer"] = "Ethuil",
			},
			[96] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the station of \"lair\"?",
				["Answer"] = "Laer",
			},
			[97] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the station of \"yvi\"?",
				["Answer"] = "Iavas",
			},
			[98] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the station of \"quell\"?",
				["Answer"] = "Firith",
			},
			[99] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the station of \"hrv\"?",
				["Answer"] = "Rhw",
			},
			[100] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the station of \"coir\"?",
				["Answer"] = "Echuir",
			},
			[101] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the station of \"lasse-lanta\"?",
				["Answer"] = "Narbeleth",
			},
			[102] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the names for the months of the year in Quenya?",
				["Answer"] = "Narviny Nnim Slim Vress Ltess Nri Cermi Urim Yavanni Narqueli Hsim and Ringar",
			},
			[103] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the names for the months of the year in Sindarin?",
				["Answer"] = "Narwain Nnui Gwaerin Gwirith Lothron Nrui Cerveth Urui Ivanneth Narbeleth Hithui and Girithron",
			},
			[104] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Elenya\"?",
				["Answer"] = "Orgilion",
			},
			[105] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Anarya?",
				["Answer"] = "Oranor",
			},
			[106] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Isilya?",
				["Answer"] = "Orithil",
			},
			[107] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Aldya?",
				["Answer"] = "Orgaladhad",
			},
			[108] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Menelya?",
				["Answer"] = "Ormenel",
			},
			[109] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Valanya?",
				["Answer"] = "Orbelain",
			},
			[110] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Alda\"?",
				["Answer"] = "Orgaladh",
			},
			[111] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Hobbits translate \"Tindm\" or \"Minuial\"?",
				["Answer"] = "Morrowdim",
			},
			[112] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Hobbits translate \"Undm\" or \"Aduial\"?",
				["Answer"] = "Evendim",
			},
			[113] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the meaning of \"Cormar\"?",
				["Answer"] = "Ringday",
			},
			[114] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the masculine ending used by Hobbits?",
				["Answer"] = "A",
			},
			[115] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the two feminine endings used by the Hobbits?",
				["Answer"] = "E and O",
			},
			[116] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"Gammidgy\"?",
				["Answer"] = "Galbasi",
			},
			[117] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"Gamgee\"?",
				["Answer"] = "Galpsi",
			},
			[118] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which village does the surname \"Galbasi\" seem to come from?",
				["Answer"] = "Galabas",
			},
			[119] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"Cotton\"?",
				["Answer"] = "Hlothran",
			},
			[120] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Branda-nn\" mean?",
				["Answer"] = "Border-water",
			},
			[121] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what name, which means \"heady ale\", did the Hobbits name the river \"Branda-nn\", very similar?",
				["Answer"] = "Bralda-hm",
			},
			[122] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Westron name for \"Oldbucks\"?",
				["Answer"] = "Zaragamba",
			},
			[123] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was another name for the Yearbook of Tuckborough?",
				["Answer"] = "Yellowskin",
			},
			[124] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first King of Arthedain, and ninth of the Heirs of Isildur?",
				["Answer"] = "Amlaith",
			},
			[125] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second King of Arthedain and tenth of the Heirs of Isildur, son of Amlaith?",
				["Answer"] = "Beleg",
			},
			[126] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third King of Arthedain and eleventh of the Heirs of Isildur, son of Beleg?",
				["Answer"] = "Mallor",
			},
			[127] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth King of Arthedain and twelfth of the Heirs of Isildur, son of Mallor?",
				["Answer"] = "Celepharn",
			},
			[128] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifth King of Arthedain and thirteenth of the Heirs of Isildur, son of Celepharn?",
				["Answer"] = "Celebrindor",
			},
			[129] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth King of Arthedain and fourteenth of the Heirs of Isildur, son of Celebrindor?",
				["Answer"] = "Malvegil",
			},
			[130] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventh King of Arthedain and fifteenth of the Heirs of Isildur, son of Malvegil?",
				["Answer"] = "Argeleb I",
			},
			[131] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth King of Arthedain and sixteenth of the Heirs of Isildur, son of ArgelebI?",
				["Answer"] = "Arveleg I",
			},
			[132] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth King of Arthedain and seventeenth of the Heirs of Isildur, son of ArvelegI?",
				["Answer"] = "Araphor",
			},
			[133] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh King of Arthedain and nineteenth of the Heirs of Isildur, son of Argeleb II?",
				["Answer"] = "Arvegil",
			},
			[134] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth King of Arthedain and twentieth of the Heirs of Isildur, son of Arvegil?",
				["Answer"] = "Arveleg II",
			},
			[135] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth King of Arthedain and twenty-first of the Heirs of Isildur, son of Arveleg II?",
				["Answer"] = "Araval",
			},
			[136] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth King of Arthedain and twenty-second of the Heirs of Isildur, son of Araval?",
				["Answer"] = "Araphant",
			},
			[137] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifteenth and last King of Arthedain and twenty-third of the Heirs of Isildur, son of Araphant?",
				["Answer"] = "Arvedui",
			},
			[138] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Chieftain of the Rangers of the North and twenty-fourth of the Heirs of Isildur, son of Arvedui?",
				["Answer"] = "Aranarth",
			},
			[139] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second Chieftain of the Rangers of the North and twenty-fifth of the Heirs of Isildur, son of Aranarth?",
				["Answer"] = "Arahael",
			},
			[140] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third Chieftain of the Rangers of the North and twenty-sixth of the Heirs of Isildur, son of Arahael?",
				["Answer"] = "Aranuir",
			},
			[141] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth Chieftain of the Rangers of the North and twenty-seventh of the Heirs of Isildur, son of Aranuir?",
				["Answer"] = "Aravir",
			},
			[142] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifth Chieftain of the Rangers of the North and twenty-eighth of the Heirs of Isildur, son of Aravir?",
				["Answer"] = "Aragorn I",
			},
			[143] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth Chieftain of the Rangers of the North and twenty-ninth of the Heirs of Isildur, son of Aragorn I?",
				["Answer"] = "Araglas",
			},
			[144] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventh Chieftain of the Rangers of the North and thirtieth of the Heirs of Isildur, son of Araglas?",
				["Answer"] = "Arahad I",
			},
			[145] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth Chieftain of the Rangers of the North and thirty-first of the Heirs of Isildur, son of Arahad I?",
				["Answer"] = "Aragost",
			},
			[146] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth Chieftain of the Rangers of the North and thirty-second of the Heirs of Isildur, son of Aragost?",
				["Answer"] = "Aravorn",
			},
			[147] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the tenth Chieftain of the Rangers of the North and thirty-third of the Heirs of Isildur, son of Aravorn?",
				["Answer"] = "Arahad II",
			},
			[148] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh Chieftain of the Rangers of the North and thirty-fourth of the Heirs of Isildur, son of Arahad II?",
				["Answer"] = "Arassuil",
			},
			[149] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth Chieftain of the Rangers of the North and thirty-fifth of the Heirs of Isildur, son of Arassuil?",
				["Answer"] = "Arathorn I",
			},
			[150] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth Chieftain of the Rangers of the North and thirty-sixth of the Heirs of Isildur, son of Arathorn I?",
				["Answer"] = "Argonui",
			},
			[151] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third King of Gondor, son of Meneldil?",
				["Answer"] = "Cemendur",
			},
			[152] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth King of Gondor, son of Anardil?",
				["Answer"] = "Ostoher",
			},
			[153] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth King of Gondor, son of Rmendacil I?",
				["Answer"] = "Turambar",
			},
			[154] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth King of Gondor, son of Turambar?",
				["Answer"] = "Atanatar I",
			},
			[155] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the tenth King of Gondor, son of Athanatar I?",
				["Answer"] = "Siriandil",
			},
			[156] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was King Falastur\'s real name?",
				["Answer"] = "Tarannon",
			},
			[157] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Hyarmendacil I\'s real name?",
				["Answer"] = "Ciryaher",
			},
			[158] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventeenth King of Gondor, son of Athanatar II?",
				["Answer"] = "Narmacil I",
			},
			[159] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighteenth King of Gondor, brother of Narmacil I?",
				["Answer"] = "Calmacil",
			},
			[160] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Rmendacil II\'s real name?",
				["Answer"] = "Minalcar",
			},
			[161] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Eldacar\'s sons?",
				["Answer"] = "Aldamir and Ornendil",
			},
			[162] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Eldacar\'s real name?",
				["Answer"] = "Vinitharya",
			},
			[163] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the brother of Rmendacil II and grandfather of Castamir?",
				["Answer"] = "Calimehtar",
			},
			[164] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-third King of Gondor, son of Eldacar?",
				["Answer"] = "Aldamir",
			},
			[165] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Hyarmendacil II\'s real name?",
				["Answer"] = "Vinyarion",
			},
			[166] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-fifth King of Gondor, son of Hyarmendacil II?",
				["Answer"] = "Minardil",
			},
			[167] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Minardil\'s sons?",
				["Answer"] = "Minastar and Telemnar",
			},
			[168] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-sixth King of Gondor, son of Minardil?",
				["Answer"] = "Telemnar",
			},
			[169] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-seventh King of Gondor, son of Minastar and nephew of Telemnar?",
				["Answer"] = "Tarondor",
			},
			[170] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-eighth King of Gondor, son of Tarondor?",
				["Answer"] = "Telumehtar",
			},
			[171] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons of Telumehtar?",
				["Answer"] = "Arciryas and Narmacil",
			},
			[172] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirtieth King of Gondor, son of Narmacil II?",
				["Answer"] = "Calimehtar",
			},
			[173] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Arvedui\'s wife and Ondoher\'s daughter?",
				["Answer"] = "Friel",
			},
			[174] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Ondoher\'s sons?",
				["Answer"] = "Artamir and Faramir",
			},
			[175] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eldest son of Arciryas of Gondor?",
				["Answer"] = "Calimmacil",
			},
			[176] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Calimmacil and father of Ernil II?",
				["Answer"] = "Siriondil",
			},
			[177] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second Ruling Steward of Gondor, son of Mardil?",
				["Answer"] = "Eradan",
			},
			[178] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third Ruling Steward of Gondor, son of Eradan?",
				["Answer"] = "Herion",
			},
			[179] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth Ruling Steward of Gondor, son of Herion?",
				["Answer"] = "Belegorn",
			},
			[180] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifth Ruling Steward of Gondor, son of Belegorn?",
				["Answer"] = "Hrin I",
			},
			[181] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth Ruling Steward of Gondor, son of Hrin I?",
				["Answer"] = "Trin I",
			},
			[182] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventh Ruling Steward of Gondor, son of Trin I?",
				["Answer"] = "Hador",
			},
			[183] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth Ruling Steward of Gondor, son of Hador?",
				["Answer"] = "Barahir",
			},
			[184] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth Ruling Steward of Gondor, son of Barahir?",
				["Answer"] = "Dior",
			},
			[185] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the tenth Ruling Steward of Gondor, son of Dior?",
				["Answer"] = "Denethor I",
			},
			[186] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh Ruling Steward of Gondor, son of Denethor I?",
				["Answer"] = "Boromir",
			},
			[187] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth Ruling Steward of Gondor, son of Boromir?",
				["Answer"] = "Cirion",
			},
			[188] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth Ruling Steward of Gondor, son of Cirion?",
				["Answer"] = "Hallas",
			},
			[189] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth Ruling Steward of Gondor, son of Hallas?",
				["Answer"] = "Hrin II",
			},
			[190] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifteenth Ruling Steward of Gondor, son of Hrin II?",
				["Answer"] = "Belecthor I",
			},
			[191] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixteenth Ruling Steward of Gondor, son of Belecthor I?",
				["Answer"] = "Orodreth",
			},
			[192] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventeenth Ruling Steward of Gondor, son of Orodreth?",
				["Answer"] = "Ecthelion I",
			},
			[193] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighteenth Ruling Steward of Gondor, son of Ecthelion I?",
				["Answer"] = "Egalmoth",
			},
			[194] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twentieth Ruling Steward of Gondor, son of Beren?",
				["Answer"] = "Beregond",
			},
			[195] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-first Ruling Steward of Gondor, son of Beregond?",
				["Answer"] = "Belecthor II",
			},
			[196] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-second Ruling Steward of Gondor, son of Egalmoth?",
				["Answer"] = "Thorondir",
			},
			[197] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-third Ruling Steward of Gondor, son of Thorondir?",
				["Answer"] = "Trin II",
			},
			[198] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-fourth Ruling Steward of Gondor, son of Trin II?",
				["Answer"] = "Turgon",
			},
			[199] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which family claimed descent from the first Thain?",
				["Answer"] = "Oldbuck",
			},
			[200] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the father of Imrahil and Finduilas?",
				["Answer"] = "Adrahil",
			},
			[201] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Brego\'s sons?",
				["Answer"] = "Aldor Baldor and ofor",
			},
			[202] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth King of Rohan, son of Aldor?",
				["Answer"] = "Fra",
			},
			[203] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifth King of Rohan, son of Fra?",
				["Answer"] = "Frawine",
			},
			[204] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth King of Rohan, son of Frawine?",
				["Answer"] = "Goldwine",
			},
			[205] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventh King of Rohan, son of Goldwine?",
				["Answer"] = "Dor",
			},
			[206] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth King of Rohan, son of Dor?",
				["Answer"] = "Gram",
			},
			[207] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh King of Rohan, son of Fralaf?",
				["Answer"] = "Brytta",
			},
			[208] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth King of Rohan, son of Brytta?",
				["Answer"] = "Walda",
			},
			[209] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth King of Rohan, son of Walda?",
				["Answer"] = "Folca",
			},
			[210] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Thoden receive after Gandalf pushed his recovery?",
				["Answer"] = "Ednew",
			},
			[211] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Rohirrima call Morwen of Lossarnach?",
				["Answer"] = "Steelsheen",
			},
			[212] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of omer?",
				["Answer"] = "adig",
			},
			[213] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Imrahil of Dol Amroth\'s sons and daughters?",
				["Answer"] = "Amrothos Elphir Erchirion and Lothriel",
			},
			[214] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many times did Durin supposedly born anew?",
				["Answer"] = "6",
			},
			[215] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Din I\'s brother?",
				["Answer"] = "Borin",
			},
			[216] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Fundin\'s brother?",
				["Answer"] = "Grin",
			},
			[217] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Fundin and Grin\'s father?",
				["Answer"] = "Farin",
			},
			[218] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Balbo Baggins\'s wife?",
				["Answer"] = "Berylla Boffin",
			},
			[219] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the five sons and daughters of Balbo Baggins and Berylla Boffin?",
				["Answer"] = "Largo Lily Mungo Pansy and Ponto",
			},
			[220] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Lily Baggins marry?",
				["Answer"] = "Togo Goodbody",
			},
			[221] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Largo Baggins marry?",
				["Answer"] = "Tanta Hornblower",
			},
			[222] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Largo Baggins and Tanta Hornblower?",
				["Answer"] = "Fosco",
			},
			[223] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Fosco Baggins?",
				["Answer"] = "Ruby Bolger",
			},
			[224] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the three sons and daughters of Fosco Baggins and his wife Ruby?",
				["Answer"] = "Dora Drogo and Dudo",
			},
			[225] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Dudo Baggins\'s daughter?",
				["Answer"] = "Daisy",
			},
			[226] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Daisy Baggins marry",
				["Answer"] = "Griffo Boffin",
			},
			[227] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Ponto Baggins?",
				["Answer"] = "Mimosa Bunce",
			},
			[228] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the two sons and daughters of Ponto Baggins and Mimosa Bunce?",
				["Answer"] = "Polo and Rosa",
			},
			[229] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the two sons and daughters of Polo Baggins?",
				["Answer"] = "Posco and Prisca",
			},
			[230] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Posco Baggins marry?",
				["Answer"] = "Gilly Brownlock",
			},
			[231] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Prisca Baggins\'s husband?",
				["Answer"] = "Wilibald Bolger",
			},
			[232] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the three sons and daughters of Posco Baggins and his wife Gilly?",
				["Answer"] = "Peony Ponto and Porto",
			},
			[233] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only daughter of Ponto, son of Posco Baggins?",
				["Answer"] = "Angelica",
			},
			[234] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Peony Baggins marry?",
				["Answer"] = "Milo Burrows",
			},
			[235] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the four sons of Milo Burrows and Peony Baggins?",
				["Answer"] = "Minto Moro Mosco and Myrde",
			},
			[236] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the husband of Pansy Baggins?",
				["Answer"] = "Fastolph Bolger",
			},
			[237] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Mungo Baggins\'s wife?",
				["Answer"] = "Laura Grubb",
			},
			[238] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the five sons and daughters of Mungo Baggins and Laura Grubb?",
				["Answer"] = "Belba Bingo Bungo Linda and Longo",
			},
			[239] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who married Linda Baggins?",
				["Answer"] = "Bodo Proudfoot",
			},
			[240] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Linda Baggins and Bodo Proudfoot?",
				["Answer"] = "Odo",
			},
			[241] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Odo Proudfoot\'s son?",
				["Answer"] = "Olo",
			},
			[242] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Olo Proudfoot\'s son?",
				["Answer"] = "Sancho",
			},
			[243] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Bingo Baggins\' wife?",
				["Answer"] = "Chica Chubb",
			},
			[244] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bingo Baggins and Chica Chubb call their son?",
				["Answer"] = "Falco",
			},
			[245] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Falco Chubb-Baggins\' daughter?",
				["Answer"] = "Poppy",
			},
			[246] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Poppy Chubb-Baggins marry?",
				["Answer"] = "Filibert Bolger",
			},
			[247] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh Thain of the Took line, son of Isengrim II?",
				["Answer"] = "Isumbras III",
			},
			[248] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth Thain of the Took line, son of Isumbras II?",
				["Answer"] = "Ferumbras II",
			},
			[249] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth Thain of the Took line, son of Ferumbras II?",
				["Answer"] = "Fortinbras I",
			},
			[250] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifteenth Thain of the Took line, son of Gerontius Took?",
				["Answer"] = "Isengrim III",
			},
			[251] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixteenth Thain of the Took line, son of Gerontius Took?",
				["Answer"] = "Isumbras IV",
			},
			[252] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventeenth Thain of the Took line, son of Isumbras IV?",
				["Answer"] = "Fortinbras II",
			},
			[253] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighteenth Thain of the Took line, son of Fortinbras II?",
				["Answer"] = "Ferumbras III",
			},
			[254] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the sons of Isumbras III Took?",
				["Answer"] = "Bandobras and Ferumbras",
			},
			[255] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Gerontius Took\'s wife?",
				["Answer"] = "Adamanta Chubb",
			},
			[256] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Old Took\'s twelve sons and daughters?",
				["Answer"] = "Belladonna Donnamira Hildibrand Hildifons Hildigard Hildigrim Isembold Isembard Isumbras Isengar Isengrim and Mirabella",
			},
			[257] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only son of Hildigrim Took, grandfather of Pippin Took?",
				["Answer"] = "Adalgrim",
			},
			[258] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only known daughter of Adalgrim Took, Pippin Took\'s aunt?",
				["Answer"] = "Esmeralda",
			},
			[259] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Pippin Took\'s mother?",
				["Answer"] = "Eglantina Banks",
			},
			[260] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Paladin II Took\'s sons and daughters?",
				["Answer"] = "Peregrin Pervince Pearl and Pimpernel",
			},
			[261] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Isembard Took\'s only son?",
				["Answer"] = "Flambard",
			},
			[262] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Flambard Took\'s only son?",
				["Answer"] = "Adelard",
			},
			[263] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Adelard Took\'s sons?",
				["Answer"] = "Everard and Reginard",
			},
			[264] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many daughters did Adelard Took have?",
				["Answer"] = "3",
			},
			[265] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Donnamira Took\'s husband?",
				["Answer"] = "Hugo Boffin",
			},
			[266] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two sons and daughters did Sigizmond Took, cousin of Bilbo Baggins, have?",
				["Answer"] = "Ferdinand and Rosamunda",
			},
			[267] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Rosamunda Took\'s husband?",
				["Answer"] = "Odovacar Bolger",
			},
			[268] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Ferdinand Took, cousin of Fatty Bolger?",
				["Answer"] = "Ferdibrand",
			},
			[269] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Fatty Bolger\'s parents?",
				["Answer"] = "Odovacar Bolger and Rosamunda Took",
			},
			[270] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Gormadoc Brandybuck?",
				["Answer"] = "Deepdelver",
			},
			[271] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Gormadoc Brandybuck?",
				["Answer"] = "Malva Headstrong",
			},
			[272] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Gormadoc Brandybuck\'s three sons?",
				["Answer"] = "Madoc Maroc and Sadoc",
			},
			[273] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many sons did Sadoc Brandybuck have?",
				["Answer"] = "2",
			},
			[274] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Sadoc Brandybuck\'s only daughter?",
				["Answer"] = "Salvia",
			},
			[275] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Salvia Brandybuck marry?",
				["Answer"] = "Gundabald Bolger",
			},
			[276] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Madoc Brandybuck?",
				["Answer"] = "Proudneck",
			},
			[277] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Madoc Brandybuck\'s wife?",
				["Answer"] = "Hanna Goldworthy",
			},
			[278] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Madoc Brandybuck and his wife Hanna?",
				["Answer"] = "Marmadoc",
			},
			[279] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Marmadoc Brandybuck?",
				["Answer"] = "Masterful",
			},
			[280] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Marmadoc Brandybuck?",
				["Answer"] = "Adaldrida Bolger",
			},
			[281] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Marmadoc Brandybuck\'s two sons?",
				["Answer"] = "Gorbadoc and Orgulas",
			},
			[282] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many daughters did Marmadoc Brandybuck Have?",
				["Answer"] = "2",
			},
			[283] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Gorbadoc Brandybuck?",
				["Answer"] = "Wide Waist",
			},
			[284] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Orgulas Brangiamo\'s son?",
				["Answer"] = "Gorbulas",
			},
			[285] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Gorbulas Brandybuck\'s son?",
				["Answer"] = "Marmadas",
			},
			[286] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the three sons and daughters of Marmadas Brandybuck?",
				["Answer"] = "Melilot Mentha and Merimas",
			},
			[287] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the seven sons and daughters of Gorbadoc Brandybuck?",
				["Answer"] = "Amaranth Asphodel Dinodas Dodinas Primula Rorimac and Saradas",
			},
			[288] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two nicknames did Rorimac Brandybuck receive?",
				["Answer"] = "Goldfather and Old Rory",
			},
			[289] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Asphodel Brandybuck\'s husband?",
				["Answer"] = "Rufus Burrows",
			},
			[290] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Rufus Burrows and Asphodel Brandybuck?",
				["Answer"] = "Milo Burrows",
			},
			[291] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Saradas Brandybuck\'s son?",
				["Answer"] = "Seredic",
			},
			[292] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Seredic Brandybuck\'s wife?",
				["Answer"] = "Hilda Bracesgirdle",
			},
			[293] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the three sons and daughters of Seredic Brandybuck?",
				["Answer"] = "Celandine Doderic and Ilberic",
			},
			[294] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Rorimac Brandybuck, grandmother of Merry Brandybuck?",
				["Answer"] = "Menegilda Ororo",
			},
			[295] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Merimac Brandybuck, and cousin of Merry Brandybuck?",
				["Answer"] = "Berilac",
			},
			[296] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Tolman Cotton, Rose Cotton\'s brother, marry?",
				["Answer"] = "Marigold Gamgee",
			},
			[297] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the five sons and daughters of Tom Cotton and his wife Lily?",
				["Answer"] = "Bowman Carl Rose Tolman and Wilcome",
			},
			[298] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Farmer Cotton?",
				["Answer"] = "Lily Brown",
			},
			[299] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Farmer Cotton\'s brother?",
				["Answer"] = "Wilcome",
			},
			[300] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Wilcome Cotton, Rose Cotton\'s uncle, usually called?",
				["Answer"] = "Will",
			},
			[301] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Farmer Cotton\'s father?",
				["Answer"] = "Holman Cotton",
			},
			[302] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Holman Cotton usually called?",
				["Answer"] = "Long Hom",
			},
			[303] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Farmer Cotton\'s grandfather?",
				["Answer"] = "Cotman",
			},
			[304] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Cotman Cotton\'s brother?",
				["Answer"] = "Carl",
			},
			[305] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Farmer Cotton\'s grandfather?",
				["Answer"] = "Cottar",
			},
			[306] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Holman the greenhanded\'s five sons and daughters?",
				["Answer"] = "Erling Halfred Hending Rose and Rowan",
			},
			[307] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Rose, daughter of Holman the greenhanded, marry?",
				["Answer"] = "Cotman",
			},
			[308] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Rowan, daughter of greenhanded, marry?",
				["Answer"] = "Hob Gammidge",
			},
			[309] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Hob Gammidge\'s father, the one who moved to Tighfield?",
				["Answer"] = "Wiseman Gamwich",
			},
			[310] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Old Gammidgy\'s grandfather\'s name?",
				["Answer"] = "Hamfast of Gamwich",
			},
			[311] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Hob Gammidge\'s son?",
				["Answer"] = "Hobson",
			},
			[312] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Hobson Gammidge\'s four sons and daughters?",
				["Answer"] = "Andwise Halfred Hamfast and May",
			},
			[313] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Andwise Roper\'s son?",
				["Answer"] = "Anson",
			},
			[314] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the six sons and daughters of Hamfast Gamgee and his wife Bell?",
				["Answer"] = "Daisy Halfred Hamson May Marigold and Samwise",
			},
			[315] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first month of the Shire Calendar?",
				["Answer"] = "Afteryule",
			},
			[316] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the second month of the Shire Calendar?",
				["Answer"] = "Solmath",
			},
			[317] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the third month of the Shire Calendar?",
				["Answer"] = "Rethe",
			},
			[318] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fourth month of the Shire Calendar?",
				["Answer"] = "Astron",
			},
			[319] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fifth month of the Shire Calendar?",
				["Answer"] = "Thrimidge",
			},
			[320] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sixth month of the Shire Calendar?",
				["Answer"] = "Forelithe",
			},
			[321] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the seventh month of the Shire Calendar?",
				["Answer"] = "Afterlithe",
			},
			[322] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the eighth month of the Shire Calendar?",
				["Answer"] = "Wedmath",
			},
			[323] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ninth month of the Shire Calendar?",
				["Answer"] = "Halimath",
			},
			[324] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tenth month of the Shire Calendar?",
				["Answer"] = "Winterfilth",
			},
			[325] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the eleventh month of the Shire Calendar?",
				["Answer"] = "Blotmath",
			},
			[326] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twelfth month of the Shire Calendar?",
				["Answer"] = "Foreyule",
			},
			[327] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was another name for the elven station of \"quell\"?",
				["Answer"] = "Lasse-lanta",
			},
			[328] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days did the seasons of \"lair\" and \"hrv\" have?",
				["Answer"] = "72",
			},
			[329] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days did the seasons of \"tuil\", \"yvi\", \"quell\" and \"coir\" have?",
				["Answer"] = "54",
			},
			[330] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first day of the Reckoning of Rivendell and also of the Kings\' Reckoning?",
				["Answer"] = "Yestar",
			},
			[331] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the last day of the Reckoning of Rivendell and also of the Kings\' Reckoning?",
				["Answer"] = "Mettar",
			},
			[332] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the first month of the year called in Bree?",
				["Answer"] = "Frery",
			},
			[333] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the fourth month of the year called in Bree?",
				["Answer"] = "Chithing",
			},
			[334] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the seventh month of the year called in Bree?",
				["Answer"] = "Mede",
			},
			[335] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the ninth month of the year called in Bree?",
				["Answer"] = "Harvestmath",
			},
			[336] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the tenth month of the year called in Bree?",
				["Answer"] = "Wintring",
			},
			[337] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the eleventh month of the year called in Bree?",
				["Answer"] = "Blooting",
			},
			[338] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was another name for the day \"Valanya\"?",
				["Answer"] = "Trion",
			},
			[339] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was another name for the day \"Orbelain\"?",
				["Answer"] = "Rodyn",
			},
			[340] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the seven days of the week called for the Hobbits according to the early writings of the Yearbook of Tuckborough?",
				["Answer"] = "Sterrendei Sunnendei Monendei Trewesdei Hevenesdei Meresdei and Highdei",
			},
			[341] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The chief day and holiday of the Hobbits has been translated as Sunday as they have similar customs to us, and so the rest of the week, but in truth it is not so. What was actually the Hobbits\' day of rest?",
				["Answer"] = "Friday",
			},
			[342] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the Elves also called in connection with their pilgrimage to Valinor?",
				["Answer"] = "People of the Great Journey",
			},
		}
	},
	[12] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Base - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Yet I have heard that your House has the favour of the Lord of Waters. And if his counsels lead you to Turgon, then surely shall you come to him, withersoever yon turn\". Who said this and to whom?",
				["Answer"] = "Gelmir to Tuor",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"But behold! In the armour of Fate [...] there is ever a rift, and in the walls of Doom a breach, until the full-making, which ye call the End. So it shall be while I endure, a secret voice that gainsayeth, and a light where darkness was decreed\". Who did say this words?",
				["Answer"] = "Ulmo",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"A darkness lies behind us, and out of it few tales have come. The fathers of our fathers may have had things to tell, but they did not tell them. [...] The Mountains stand between us and the life that they came from, flying from no man now knows what\". Who does this speak of?",
				["Answer"] = "Men",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It may be that we fled from the fear of the Dark, only to find it here before us, and nowhere else to fly to but the Sea\". Who uttered these words?",
				["Answer"] = "Sador",
			},
			[5] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Do you forget to whom you speak? Such things you spoke long ago to our fathers; but we escaped from your shadow. And now we have knowledge of you, for we have looked on the faces that have seen the Light, and heard the voices that have spoken with Manw\"?",
				["Answer"] = "Hrin",
			},
			[6] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Have I been cozened, that I might come and die here dishonoured, who might at least have ended valiantly before the Doors of Nargothrond?\". Who said these words?",
				["Answer"] = "Trin",
			},
			[7] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"There you lie like a vole under the bank, Mablung the mighty! Ill do you run the errands of Thingol. Haste you now to the hill and see what is become of your charge!\". Who said it?",
				["Answer"] = "Glaurung",
			},
			[8] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"He stirs. The hour is upon us. Strike deep, for two must strike now for three!\"?",
				["Answer"] = "Trin",
			},
			[9] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Nothing, great or small, should live that once it had bitten\". What did these words refer to?",
				["Answer"] = "Black Sword",
			},
			[10] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Call me by no such name! I am no daughter of Uinen: rather is she my foe\". Who said this?",
				["Answer"] = "Erendis",
			},
			[11] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Come! The weddings are prepared, and the bride-chambers ready. But since it cannot be thought that we should ask the Lady Ancalim, King\'s Heir, to lie with a farm-steward, then, alas! she must sleep alone tonight\"?",
				["Answer"] = "Hallacar",
			},
			[12] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"I know what is mine and you know what is yours; Let neither party disturb what belongs to the other. But if an Elf wishes to walk through my land for his delight, he will be welcome; and if a ___ is ever seen in your land, fear no evil.\" What did he mean?",
				["Answer"] = "Ent",
			},
			[13] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"I cannot use it. I dread the pain of touching it. And I have not yet found the strength to bend it to my will. It needs one greater than I now know myself to be. My pride has fallen\". Who said this and about what?",
				["Answer"] = "Isildur about The One Ring",
			},
			[14] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who uttered these words?: \"Vanda sina termaruva Elenna-nreo alcar enyalien ar Elendil Vorondo voronw. Nai tiruvantes i hrar mahalmassen mi Nmen ar i Eru i or ily mahalmar e tennoio.\"",
				["Answer"] = "Cirion",
			},
			[15] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"A chance-meeting, as we say in Middle-earth\"?",
				["Answer"] = "Gandalf",
			},
			[16] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"When you think of the great Battle of Pelennor, do not forget the Battle of Dale. Think of what might have been. Dragon-fire and savage swords in Eriador! There might be no Queen in Condor. We might now only hope to return from the victory here to ruin and ash\"?",
				["Answer"] = "Gandalf",
			},
			[17] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Because of what, according to Gandalf, if for nothing else, should \"the Little People be honoured\"?",
				["Answer"] = "Pipe-weed",
			},
			[18] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said, inspired by their strange foresight, \"The Great Isle no longer feels sure under our feet, and we wish to return to the lands whence we came\"?",
				["Answer"] = "Dredain",
			},
			[19] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When Gandalf said that he was called \"in the South Incnus\" he was not referring to the south of Middle-earth. It was a name that had formerly been given to him in a Kingdom that was south of his \"zone of action\". Which was it?",
				["Answer"] = "Gondor",
			},
			[20] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Yea; for though the Stones be lost, they say, still the lords of Gondor have keener sight than lesser men, and many messages come to them\"?",
				["Answer"] = "Denethor",
			},
			[21] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land of reeds at the Mouths of Sirion?",
				["Answer"] = "Lisgardh",
			},
			[22] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What forest extended westward from the upper waters of the Narog towards the source of the river Nenning?",
				["Answer"] = "Nath",
			},
			[23] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river joined the Teiglin some way north of the inflowing of the Malduin?",
				["Answer"] = "Glithui",
			},
			[24] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where to the west did the road that came from Nan Dungortheb and crossed the Ford of Brithiach lead?",
				["Answer"] = "Vinyamar",
			},
			[25] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Hrin\'s house in Dor-Lmin?",
				["Answer"] = "Nen Lalaith",
			},
			[26] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the peak of Ered Wethrin near which was the house of Hrin and Morwen?",
				["Answer"] = "Amon Darthir",
			},
			[27] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the region east of Doriath between the Aros and the Celon?",
				["Answer"] = "Arthrien",
			},
			[28] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What plant did grow on the lower slopes of Amon Rdh?",
				["Answer"] = "Aeglos",
			},
			[29] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fort of Dor-Carthol a little south of Amon Rdh?",
				["Answer"] = "Bar-erib",
			},
			[30] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fort of Dor-Carthol by the forest south of the Teiglin?",
				["Answer"] = "Methed-en-glad",
			},
			[31] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many miles long, both from north to south and from east to west, was the central part of Nmenor?",
				["Answer"] = "250",
			},
			[32] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Inlands\" of Nmenor?",
				["Answer"] = "Mittalmar",
			},
			[33] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Northlands\" of Nmenor?",
				["Answer"] = "Forostar",
			},
			[34] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Eastlands\" of Nmenor?",
				["Answer"] = "Orrostar",
			},
			[35] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Southeastlands\" of Nmenor?",
				["Answer"] = "Hyarrostar",
			},
			[36] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Southwestlands\" of Nmenor?",
				["Answer"] = "Hyarnustar",
			},
			[37] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Westlands\" of Nmenor?",
				["Answer"] = "Andustar",
			},
			[38] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the two main rivers of Nmenor?",
				["Answer"] = "Nunduin and Siril",
			},
			[39] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fishing village south of Nmenor, near which the Siril flowed into the sea?",
				["Answer"] = "Nindamos",
			},
			[40] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most beautiful of the havens of Nmenor, in the west, where the Nunduin flowed into the sea?",
				["Answer"] = "Eldalond",
			},
			[41] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what region were Rmenna, Armenelos and Meneltarma located?",
				["Answer"] = "Arandor",
			},
			[42] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the shallow valley on the south side of the foot of Meneltarma in which were the tombs of the Kings and Queens of Nmenor?",
				["Answer"] = "Noirinan",
			},
			[43] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which region of Nmenor was the chief region of the Shepherds?",
				["Answer"] = "Emeri",
			},
			[44] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great height on the coast of the northern cliffs of Nmenor, home of eagles?",
				["Answer"] = "Sorontil",
			},
			[45] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Bay between Andustar and Hyarnustar?",
				["Answer"] = "Eldanna",
			},
			[46] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the country of \"Fragrant Trees\" around Eldalond?",
				["Answer"] = "Nsimaldar",
			},
			[47] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lake crossed by the river Nunduin?",
				["Answer"] = "Nsinen",
			},
			[48] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At the mouth of which river did most of the fishermen of Nmenor settle?",
				["Answer"] = "Siril",
			},
			[49] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On which of the five promontories of Nmenor were grain plantations abundant?",
				["Answer"] = "Orrostar",
			},
			[50] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which small scarlet-coloured birds, no bigger than wrens and with a very high-pitched trill, were among the many birds that lived in Nmenor?",
				["Answer"] = "Kirinki",
			},
			[51] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Between which two cities was the main road of Nmenor originally built?",
				["Answer"] = "Armenelos and Rmenna",
			},
			[52] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the small island that was located in the Bay of Rmenna?",
				["Answer"] = "Tol Uinen",
			},
			[53] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the later name of Vinyalond?",
				["Answer"] = "Lond Daer",
			},
			[54] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Gwathl called previously?",
				["Answer"] = "Gwathir",
			},
			[55] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tower of Tol Uinen?",
				["Answer"] = "Calmindon",
			},
			[56] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which city served, in the transport of goods between Arnor and Gondor, as a link between transport by land and by water?",
				["Answer"] = "Tharbad",
			},
			[57] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the best known landmark in Tharbad?",
				["Answer"] = "Bridge",
			},
			[58] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the former name of Cirith Ungol?",
				["Answer"] = "Cirith Dar",
			},
			[59] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill on which Sauron built Dol Guldur?",
				["Answer"] = "Amon Lanc",
			},
			[60] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the names of the Mountains of Mirkwood, located a bit north of the Forest Road?",
				["Answer"] = "Emyn Duir",
			},
			[61] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Sindarin did Halifirien have previously?",
				["Answer"] = "Amon Anwar",
			},
			[62] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Firien Wood in relation to its silence?",
				["Answer"] = "Whispering Wood",
			},
			[63] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the secret cause that the few who dwelt in the Firien Wood spoke in whispers, with inexplicable respect?",
				["Answer"] = "Tomb of Elendil",
			},
			[64] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Isildur intend to place the tomb of Elendil?",
				["Answer"] = "Mid-point of Gondor",
			},
			[65] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the oldest of the seven beacons of Gondor?",
				["Answer"] = "Amon Dn",
			},
			[66] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Drwaith Iaur also called?",
				["Answer"] = "Old Pkel-wilderness",
			},
			[67] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Radagast\'s home, on the wooded edge of the Carrock and the road to Mirkwood?",
				["Answer"] = "Rhosgobel",
			},
			[68] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who told Ran of her husband\'s death?",
				["Answer"] = "Annael",
			},
			[69] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ran lay to die?",
				["Answer"] = "Haudh-en-Ndengin",
			},
			[70] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Tuor leave Androth with the Grey-elves?",
				["Answer"] = "15",
			},
			[71] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Tuor seeking in his years as an outlaw?",
				["Answer"] = "Gate of the Noldor",
			},
			[72] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two Elves did Tuor meet at the Gate of the Noldor?",
				["Answer"] = "Arminas and Gelmir",
			},
			[73] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who named the place of the Gate of the Noldor as \"Cirith Ninniach\"?",
				["Answer"] = "Tuor",
			},
			[74] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Tuor reached after crossing the Gate of the Noldor?",
				["Answer"] = "Lammoth",
			},
			[75] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is said to have been the first Man to reach the Great Sea?",
				["Answer"] = "Tuor",
			},
			[76] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What led Tuor to Vinyamar?",
				["Answer"] = "Swans",
			},
			[77] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where had Voronw been on his journey to the Isle of Balar?",
				["Answer"] = "Nan-Tathren",
			},
			[78] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The traces of what dreadful creature did Voronw and Tuor see at the pools of Ivrin?",
				["Answer"] = "Glaurung",
			},
			[79] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Tuor and Voronw find an orc camp blocking their way?",
				["Answer"] = "Road to Tol-in-Gaurhoth",
			},
			[80] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the orcs that Tuor and Voronw met on their way to the Gondolin waiting for?",
				["Answer"] = "Trin",
			},
			[81] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Elemmakil deliver Tuor at the last Gate of Gondolin?",
				["Answer"] = "Ecthelion",
			},
			[82] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ill wind that ravaged Hithlum shortly before the 5th Battle of Beleriand?",
				["Answer"] = "Evil Breath",
			},
			[83] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Lalaith die?",
				["Answer"] = "3",
			},
			[84] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hrin want Morwen to go if things went wrong in war?",
				["Answer"] = "Brethil",
			},
			[85] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Morwen want to go if things went wrong in war?",
				["Answer"] = "Gondolin",
			},
			[86] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what one person did Hrin reveal that he had been in Gondolin?",
				["Answer"] = "Morwen",
			},
			[87] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Morgoth want from Hrin when he captured him?",
				["Answer"] = "Gondolin\'s location",
			},
			[88] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Morwen send Trin when the Easterlings took her land?",
				["Answer"] = "Doriath",
			},
			[89] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who found the newcomer Trin and his companions on the borders of Doriath?",
				["Answer"] = "Beleg",
			},
			[90] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Grithnir die?",
				["Answer"] = "Doriath",
			},
			[91] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Morwen send to Doriath when the messengers told her that Trin had been accepted there?",
				["Answer"] = "Dragon-helm of Dor-Lmin",
			},
			[92] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Saeros cast on the board before Trin as a mockery?",
				["Answer"] = "Comb",
			},
			[93] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What, in the beginning, was the punishment for Trin for the death of Saeros?",
				["Answer"] = "Banishment",
			},
			[94] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who testified to Thingol about Saeros\' attack on Trin, so that Trin was acquitted of all conviction?",
				["Answer"] = "Nellas",
			},
			[95] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two people were the first to join Trin\'s band of outlaws?",
				["Answer"] = "Andrg and Ulrad",
			},
			[96] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Trin kill while defending a young woman who was being chased, when he belonged to the band of outlaws?",
				["Answer"] = "Forweg",
			},
			[97] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was in charge of the band of outlaws when Beleg found it?",
				["Answer"] = "Andrg",
			},
			[98] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Mm looking for when he left Amon Rdh?",
				["Answer"] = "Roots",
			},
			[99] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Mm do when he saw his son dead at home?",
				["Answer"] = "Cursed Andrg",
			},
			[100] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Androg do when Mm put his curse on him?",
				["Answer"] = "Cursed Mm",
			},
			[101] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Trin meet again in Dor-Lmin when he returned there?",
				["Answer"] = "Sador",
			},
			[102] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who revealed to Trin what had become of Morwen and Nienor in Dor-Lmin?",
				["Answer"] = "Aerin",
			},
			[103] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first in Brethil to know that Turambar was Trin of Dor-Lmin?",
				["Answer"] = "Dorlas",
			},
			[104] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Mablung and the rest of the escort join Morwen when he set out for Nargothrond?",
				["Answer"] = "Twilight Meres",
			},
			[105] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Morwen and her escort discover that Nienor had infiltrated among them?",
				["Answer"] = "Twilight Meres",
			},
			[106] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who searched for Morwen and Nienor for three years after they disappeared from Doriath?",
				["Answer"] = "Mablung",
			},
			[107] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who discovered the passage that led from the caves to the summit of Amon Rdh?",
				["Answer"] = "Andrg",
			},
			[108] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Trin intend to go when he lived in Dor-Carthol with an army?",
				["Answer"] = "Dor-Lmin",
			},
			[109] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who asked Trin about Turgon in the Halls of Nargothrond?",
				["Answer"] = "Arminas and Gelmir",
			},
			[110] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What King of Nmenor did give mallorn fruits to Gil-Galad mallorn fruits to plant them in Lindon?",
				["Answer"] = "Tar-Aldarion",
			},
			[111] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did Galadriel receive the mellyrn she made bloom in Lothlrien?",
				["Answer"] = "Gil-Galad",
			},
			[112] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Nmenrean to travel to Middle-earth?",
				["Answer"] = "Vantur",
			},
			[113] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the first Nmenreans to travel to Middle-earth disembark?",
				["Answer"] = "Mithlond",
			},
			[114] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who created the Guild of Venturers of Nmenor?",
				["Answer"] = "Aldarion",
			},
			[115] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Middle-earth Men gathered to welcome the Nmenreans on their first visit?",
				["Answer"] = "12",
			},
			[116] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "About what year of the Second Age did the first Nmenrean ships arrive in Middle-earth?",
				["Answer"] = "600",
			},
			[117] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Nmenreans meet the Men of Eriador the first time they set foot in Middle-earth?",
				["Answer"] = "Tower Hills",
			},
			[118] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Embar anchored most of the time?",
				["Answer"] = "Tol Uinen",
			},
			[119] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the Guildhouse of the Venturers forcibly moved to when Embar was confiscated?",
				["Answer"] = "Andni",
			},
			[120] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What port did Aldarion found at the mouth of the Gwathl?",
				["Answer"] = "Vinyalond",
			},
			[121] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who founded Tharbad?",
				["Answer"] = "Aldarion",
			},
			[122] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the duration (in years) of the journey that Aldarion\'s took just after he first saw Erendis?",
				["Answer"] = "7",
			},
			[123] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who put Aldarion\'s ship the Green Bough of Return when the King forbade his mother and sisters to do so?",
				["Answer"] = "Erendis",
			},
			[124] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Aldarion give to Erendis on his return from the first trip with the Palarran?",
				["Answer"] = "Diamond",
			},
			[125] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For how many years did Aldarion depart from Nmenor when he learned of the closure of the Guild of Venturers?",
				["Answer"] = "14",
			},
			[126] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title did Aldarion receive when he returned from his longest and most eventful journey?",
				["Answer"] = "Master of the Forests",
			},
			[127] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which city did Aldarion and Erendis travel on the Embar from Rmenna?",
				["Answer"] = "Andni",
			},
			[128] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were Aldarion and Erendis engaged?",
				["Answer"] = "Meneltarma",
			},
			[129] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Queen of Nmenor to wear a white gem on her forehead?",
				["Answer"] = "Erendis",
			},
			[130] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years was Aldarion absent from Nmenor after he became engaged to Erendis?",
				["Answer"] = "6",
			},
			[131] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Nmenrean to hear the rumor of a hostile Lord in Middle-earth who had destroyed their havens?",
				["Answer"] = "Aldarion",
			},
			[132] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the last feast held on the occasion of the wedding of Aldarion and Erendis?",
				["Answer"] = "Andni",
			},
			[133] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Aldarion and Erendis live after they were married?",
				["Answer"] = "Armenelos",
			},
			[134] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old was Ancalim when Aldarion first departed after marrying?",
				["Answer"] = "4",
			},
			[135] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what did Beregar and Nneth know that Aldarion had left Erendis and Ancalim alone?",
				["Answer"] = "Birds of Erendis",
			},
			[136] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Aldarion give to Tar-Meneldur with concern just after finishing his last journey as the King\'s Heir?",
				["Answer"] = "Letter",
			},
			[137] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From who was the letter that Tar-Meneldur received from Middle-earth through Aldarion?",
				["Answer"] = "Gil-Galad",
			},
			[138] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gil-Galad\'s message foretell to Tar-Meneldur?",
				["Answer"] = "War",
			},
			[139] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Tar-Meneldur decide when he read the message that Aldarion brought him from Middle-earth?",
				["Answer"] = "Resign the Sceptre",
			},
			[140] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Aldarion, already King of Nmenor, happen to meet in Tharbad once?",
				["Answer"] = "Celeborn and Galadriel",
			},
			[141] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the only teacher Ancalim had?",
				["Answer"] = "Erendis",
			},
			[142] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age was Ancalim proclaimed King\'s Heir?",
				["Answer"] = "19",
			},
			[143] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who changed the law of succession of Nmenor so that the Heir was the eldest child of the King, regardless of sex?",
				["Answer"] = "Aldarion",
			},
			[144] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor renounced to take the Sceptre, but being nevertheless inscribed in the Book of the Kings as King for one year?",
				["Answer"] = "Vardamir",
			},
			[145] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "One of the changes Aldarion made to the system of succession to the Sceptre of Nmenor was that the Heir had to marry someone belonging to the...",
				["Answer"] = "Line of Elros",
			},
			[146] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which lands did Ancalim retire to be a shepherdess after being proclaimed King\'s Heir?",
				["Answer"] = "Hyarastorni",
			},
			[147] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What shepherd, who courted her, did Ancalim meet in her retreat to the countryside?",
				["Answer"] = "Mmandil",
			},
			[148] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who turned out to be Mmandil?",
				["Answer"] = "Hallacar of Hyarastorni",
			},
			[149] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Ancalim forbid all her women when she was Queen?",
				["Answer"] = "Marriage",
			},
			[150] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who organized both the wedding and the farewell feast of the women of Ancalim, mocking her?",
				["Answer"] = "Hallacar",
			},
			[151] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Galadriel distrust from her earliest years?",
				["Answer"] = "Fanor",
			},
			[152] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did some people think Fanor inspired by when he thought in blending the light of the Two Trees in a jewel?",
				["Answer"] = "Galadriel",
			},
			[153] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Thanks to whom could Frodo go to Valinor?",
				["Answer"] = "Galadriel",
			},
			[154] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Fanor ask Galadriel three times?",
				["Answer"] = "Tress",
			},
			[155] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What motive, other than live in the wide unguarded lands in freedom, made Galadriel go on even after the Kinslaying of Alqualond?",
				["Answer"] = "Thwart Fanor",
			},
			[156] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Galadriel and Celeborn live after leaving Beleriand?",
				["Answer"] = "Lindon",
			},
			[157] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Dwarves of Belegost move after the ruin of Doriath and the defeat of Morgoth?",
				["Answer"] = "Khazad-dm",
			},
			[158] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Because of what historical event did Celeborn always distrust the Dwarves?",
				["Answer"] = "Ruin of Doriath",
			},
			[159] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In whom did Galadriel see the best soldiers to fight the Orcs?",
				["Answer"] = "Dwarves",
			},
			[160] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Around what year of the Second Age did Annatar make his appearance in Eregion?",
				["Answer"] = "1200",
			},
			[161] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What year of the Second Age is usually taken as the beginning of the construction of Barad-dr?",
				["Answer"] = "1000",
			},
			[162] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What year of the Second Age is usually taken as the end of the construction of Barad-dr?",
				["Answer"] = "1600",
			},
			[163] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Around what year of the Second Age was the name \"Sauron\" first known?",
				["Answer"] = "1600",
			},
			[164] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Galadriel save from the machinations of Sauron, when he was disguised among the Elves in the Second Age?",
				["Answer"] = "Lothlrien",
			},
			[165] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Gil-Galad save from the machinations of Sauron, when he was disguised among the Elves in the Second Age?",
				["Answer"] = "Lindon",
			},
			[166] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was one of the first acts wich the smiths of Eregion were persuaded by Sauron when he acquired some prominence?",
				["Answer"] = "Revolting against Celeborn and Galadriel",
			},
			[167] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Galadriel go after losing her status in Eregion?",
				["Answer"] = "Lothlrien",
			},
			[168] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What place Celeborn did not want to enter when going to Lothlrien when he lost hisstatus in Eregion, staying instead?",
				["Answer"] = "Khazad-dm",
			},
			[169] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sauron seize the Nine Rings of Men?",
				["Answer"] = "Eregion",
			},
			[170] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The armies of which three Lords defended Eregion from Sauron\'s first attack?",
				["Answer"] = "Celeborn Celebrimbor and Elrond",
			},
			[171] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sauron carry as a banner to the Battle of Eregion after retreating and finding out the whereabouts of the missing Rings?",
				["Answer"] = "Corpse of Celebrimbor",
			},
			[172] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From where was Sauron\'s army attacked when it had swept through Eregion and was pursuing those who were fleeing?",
				["Answer"] = "Khazad-dm",
			},
			[173] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Elrond\'s army flee in retreat from Eregion?",
				["Answer"] = "Imladris",
			},
			[174] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "After what event did Elrond build the refuge of Rivendell?",
				["Answer"] = "Fall of Eregion",
			},
			[175] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the army of Lrinand that fought against Sauron in Eregion?",
				["Answer"] = "Amroth",
			},
			[176] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who aided Gil-Galad against Sauron in his invasion of Eriador, causing his defeat?",
				["Answer"] = "Nmenreans",
			},
			[177] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Nmenrean captain landed at Vinyalond, wiping out the rear of Sauron\'s army in his invasion of Eriador?",
				["Answer"] = "Ciryatur",
			},
			[178] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "After what event was the first Council held?",
				["Answer"] = "Fall of Eregion",
			},
			[179] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Galadriel reunited with Celeborn after the fall of Eregion?",
				["Answer"] = "Rivendell",
			},
			[180] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What place is said that Celeborn, Galadriel, and Celebran lived in for a time after the fall of Eregion?",
				["Answer"] = "Dol Amroth",
			},
			[181] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Although it is often said that Celebrimbor gave one of the Three Rings to Crdan, who did really give it to him, having received it before from Celebrimbor?",
				["Answer"] = "Gil-Galad",
			},
			[182] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Amroth and Nimrodel decide to travel together?",
				["Answer"] = "Valinor",
			},
			[183] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What caused Amroth\'s ship to depart before his wish?",
				["Answer"] = "Storm",
			},
			[184] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Amroth do when he saw that his ship had left without Nimrodel against his will?",
				["Answer"] = "Leapt into the sea",
			},
			[185] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In a small mere of which river is it usually said that Nimrodel lingered?",
				["Answer"] = "Gilrain",
			},
			[186] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Celeborn and Galadriel live immediately before returning to Lothlrien for good?",
				["Answer"] = "Rivendell",
			},
			[187] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is said to have been the first to dwell in a talan?",
				["Answer"] = "Amroth",
			},
			[188] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who received the Elessar as a gift in the Second Age?",
				["Answer"] = "Galadriel",
			},
			[189] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Galadriel give the Elessar to after receiving her Elven Ring?",
				["Answer"] = "Celebran",
			},
			[190] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took the Elessar out of Middle-earth?",
				["Answer"] = "Erendil",
			},
			[191] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Oropher of Mirkwood die?",
				["Answer"] = "Dagorlad",
			},
			[192] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who started the fellings of the great forest of Minhiriath and Enedwaith, causing it to disappear for the most part and the natives to become hostile?",
				["Answer"] = "Aldarion",
			},
			[193] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year did the Great Plague that ravaged Gondor occur?",
				["Answer"] = "1636",
			},
			[194] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two sons of Isildur protected Minas Ithil while he fought inside Mordor?",
				["Answer"] = "Aratan and Ciryon",
			},
			[195] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which son of Isildur was the only one who accompanied him throughout the war against Sauron, except at the end to the Orodruin?",
				["Answer"] = "Elendur",
			},
			[196] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event caused half of Rohvanion\'s population to die, and also half of its horses?",
				["Answer"] = "Plague",
			},
			[197] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Narmacil II of Gondor?",
				["Answer"] = "Wainriders",
			},
			[198] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which leader of the othod helped Gondor defeat the Wainriders?",
				["Answer"] = "Marhwini",
			},
			[199] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did attack Gondor with the help of other Eastern peoples in the year 1944 of the Third Age?",
				["Answer"] = "Wainriders",
			},
			[200] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the base of Ernil\'s army in 1944 of the Third Age, when he watch from an attack coming from the south?",
				["Answer"] = "Pelargir",
			},
			[201] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ondoher and his son Artamir die?",
				["Answer"] = "Dagorlad",
			},
			[202] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which son of Ondoher went to battle with the othod against the Wainriders, instead of staying in Minas Tirith as regent?",
				["Answer"] = "Faramir",
			},
			[203] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the othod to the lands called othod, under the Grey Mountains, from which the name of this people came?",
				["Answer"] = "Frumgar",
			},
			[204] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the historical period of relative peace due to Sauron\'s flight from Dol Guldur when Gandalf went there, and the consequent inactivity of the Nazgl?",
				["Answer"] = "Watchful Peace",
			},
			[205] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what two places did the attack that ended the Watchful Peace come from, in 2460 of the Third Age?",
				["Answer"] = "Mordor and Umbar",
			},
			[206] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tribe of Easterlings attempted to invade Calenardhon in the Third Age 2510?",
				["Answer"] = "Balchoth",
			},
			[207] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many messengers did Cirion send to the othod to ask for help against the invaders?",
				["Answer"] = "6",
			},
			[208] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only messenger of Cirion who managed to reach Eorl, and who returned with him to the battle?",
				["Answer"] = "Borondir",
			},
			[209] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what place did Borondir die?",
				["Answer"] = "Field of Celebrant",
			},
			[210] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Borondir buried?",
				["Answer"] = "Hallows of Minas Tirith",
			},
			[211] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days did it take for Cirion\'s messenger to arrive before Eorl from Minas Tirith?",
				["Answer"] = "15",
			},
			[212] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Approximately how many men did Eorl have to help Gondor?",
				["Answer"] = "7000",
			},
			[213] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped the othod to sneak into Field of Celebrant?",
				["Answer"] = "Galadriel",
			},
			[214] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days did it take the othod to reach Field of Celebrant from their home?",
				["Answer"] = "9",
			},
			[215] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the othod find when they arrived near Lothlrien, which helped them to keep them going hidden and, mysteriously, without tiring?",
				["Answer"] = "Mist",
			},
			[216] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Cirion summon Eorl three months after the Battle of Field of Celebrant?",
				["Answer"] = "Firien Wood",
			},
			[217] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what place, where only the Stewards and Kings had known of their existence until then, did Cirion and Eorl swear to each other the eternal friendship of their peoples?",
				["Answer"] = "Tomb of Elendil",
			},
			[218] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the custom of the Kings of Gondor consisting in bringing his heir before the Tomb of Elendil?",
				["Answer"] = "Tradition of Isildur",
			},
			[219] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Gondor was the first to establish the office of Steward and its duties?",
				["Answer"] = "Rmendacil I",
			},
			[220] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Steward moved the Tomb of Elendil, whose sanctuary later became a beacon?",
				["Answer"] = "Cirion",
			},
			[221] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf tell Frodo and the Company the story of how he undertook the quest to reconquer Erebor?",
				["Answer"] = "Minas Tirith",
			},
			[222] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf think Sauron would attack first when he was in Dol Guldur?",
				["Answer"] = "Lrien and Rivendell",
			},
			[223] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first matter thah Gandalf thought should be solved to fight Sauron, when he was in Dol Guldur?",
				["Answer"] = "Smaug",
			},
			[224] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf go after leaving Thorin at his house the first time he visited him?",
				["Answer"] = "Shire",
			},
			[225] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf want to see in the Shire after talking to Thorin, whom he guessed was \"sick at heart for a sight of the wide world\"?",
				["Answer"] = "Bilbo",
			},
			[226] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf look for after he was in the Shire looking for Bilbo unsuccessuflly, when he was not yet out of his tweens?",
				["Answer"] = "Thorin",
			},
			[227] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Thorin ask for in exchange for taking Bilbo?",
				["Answer"] = "Gandalf should also go",
			},
			[228] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which member of the Fellowship of the Ring asked Gandalf about his role in the Quest of Erebor and the obtaining and destruction of the One Ring?",
				["Answer"] = "Gimli",
			},
			[229] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What motive concerning Smaug did Gandalf give Thorin to take Bilbo?",
				["Answer"] = "Never smelled any Hobbit",
			},
			[230] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the conversation they had with Gandalf, what did Thorin and the others think that strange Hobbit of whom Gandalf told them was?",
				["Answer"] = "Professional thief",
			},
			[231] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Nazgl were there in Dol Guldur before they embarked on their mission in the War of the Ring?",
				["Answer"] = "2",
			},
			[232] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Nazgl were there in Minas Morgul before they embarked on their mission in the War of the Ring?",
				["Answer"] = "7",
			},
			[233] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Ringwraith did command Dol Guldur until he embarked on his mission in the War of the Ring?",
				["Answer"] = "Khaml",
			},
			[234] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Ringwraith was command Minas Morgul until he embarked on his mission in the War of the Ring?",
				["Answer"] = "Witch-King",
			},
			[235] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Black Rider who spoke to Gaffer Gamgee the night the Hobbits left Bag End?",
				["Answer"] = "Khaml",
			},
			[236] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Black Rider who caught up with the Hobbits at the Ferry?",
				["Answer"] = "Khaml",
			},
			[237] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Nazgl of Dol Guldur and Minas Morgul met to go out in search of the Ring?",
				["Answer"] = "Field of Celebrant",
			},
			[238] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gollum hide for fear of the Nazgl after escaping Mirkwood and the Orcs who captured him?",
				["Answer"] = "Moria",
			},
			[239] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Trying to deceive Sauron, near what place did Gollum say the land of the Halflings was?",
				["Answer"] = "Gladden Fields",
			},
			[240] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Near what place thought the Nazgl that wouldn\'t be strange for the land of the Halflings to be, as they hated it?",
				["Answer"] = "Lothlrien",
			},
			[241] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Nazgl go straight after exploring all the North to the west of the Misty Mountains in search of the Ring, and after receiving rebukes from Sauron?",
				["Answer"] = "Isengard",
			},
			[242] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whom did the Nazgl seek out, convinced by Saruman?",
				["Answer"] = "Gandalf",
			},
			[243] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who revealed to the Nazgl the location of the Shire, though he never spoke of their meeting to anyone?",
				["Answer"] = "Wormtongue",
			},
			[244] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who had sent to Bree the Dunlending spy that the Hobbits saw there?",
				["Answer"] = "Nazgl",
			},
			[245] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Dunlending spy the Hobbits saw in Bree originally work for?",
				["Answer"] = "Saruman",
			},
			[246] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Against who had Saruman\'s troops orders to atack relentlessly, until they finally killed him?",
				["Answer"] = "Thodred",
			},
			[247] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What special type of Orcs did Saruman have at his disposal for the fight against Rohan?",
				["Answer"] = "Uruk-hai",
			},
			[248] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days was Erkenbrand occupied in gathering as many men as he could to defend the Westfold from Saruman\'s armies?",
				["Answer"] = "3",
			},
			[249] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What battles did take place at Rohan just before the siege of Hornburg, where the Company was a part?",
				["Answer"] = "Battles of the Fords of Isen",
			},
			[250] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Thodred die?",
				["Answer"] = "Battle of the Fords of Isen",
			},
			[251] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Thodred buried?",
				["Answer"] = "Fords of Isen",
			},
			[252] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Battles of the Fords of Isen were there?",
				["Answer"] = "2",
			},
			[253] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Captains of the Rohirrim took command in the defence of the Fords of Isen when Thodred died?",
				["Answer"] = "Elfhelm and Grimbold",
			},
			[254] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which people did the Men Saruman had in his army belong?",
				["Answer"] = "Dunlendings",
			},
			[255] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Thoden appoint First Marshal of the Mark when he came out of his illness?",
				["Answer"] = "omer",
			},
			[256] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Captains of the Rohirrim were appointed acting Marshals of the Mark when Thoden came out from his illness?",
				["Answer"] = "Elfhelm and Grimbold",
			},
			[257] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Marshal of the Mark destroyed the army that had invaded Anrien while omer was going to the Gates of Mordor?",
				["Answer"] = "Elfhelm",
			},
			[258] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Captains of the Rohirrim were appointed after the War of the Ring: Marshal of the East-mark and Marshal of the West-mark, respectively?",
				["Answer"] = "Elfhelm and Erkenbrand",
			},
			[259] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which people of Men was least affected by the plague of 1636 of the Third Age?",
				["Answer"] = "Dunlendings",
			},
			[260] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took Isengard with the passing of time, until it was theirs in the days of King Dor of Rohan?",
				["Answer"] = "Dunlendings",
			},
			[261] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Rohan did recover Isengard?",
				["Answer"] = "Fralf",
			},
			[262] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what time of famine was Isengard recovered from the Dunlendings?",
				["Answer"] = "Long Winter",
			},
			[263] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At the end of the First Age, where did the few remaining Dredain live?",
				["Answer"] = "Nmenor",
			},
			[264] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event can be marked as the departure of the last Dredain from Numenor?",
				["Answer"] = "Arrival of Sauron",
			},
			[265] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the tale about the Dredain that tells the story of the plight of a forester and the help given to him by a Drg?",
				["Answer"] = "The Faithful Stone",
			},
			[266] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Aghan leave at Barach\'s house to protect him and his family in his absence?",
				["Answer"] = "Watch-stone",
			},
			[267] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Orcs try do to Barach\'s house in Aghan\'s absence?",
				["Answer"] = "Burn it",
			},
			[268] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What saved Barach and his house from the Orcs?",
				["Answer"] = "Watch-stone",
			},
			[269] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Barach see in Aghan when he returned home the day after the fire and after seeing the scorched watch-stone, that left him amazed?",
				["Answer"] = "Bandaged legs",
			},
			[270] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who are said to have attacked, from the Drwaith Iaur, the remnants of Saruman\'s troops that fled southwards during the War of the Ring?",
				["Answer"] = "Dredain",
			},
			[271] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Because of what item in possession of Gandalf did Saruman\'s hidden animosity for Gandalf begin?",
				["Answer"] = "Narya",
			},
			[272] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who are said to have been the founders or beginners of secret cults and \"magic\" traditions that outlasted the fall of Sauron?",
				["Answer"] = "Blue Wizards",
			},
			[273] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istar was the last to arrive to Middle-earth?",
				["Answer"] = "Gandalf",
			},
			[274] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istar was the only one who stayed true to his mission?",
				["Answer"] = "Gandalf",
			},
			[275] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With whom are the Blue Wizards said to have gone eastwards, though they never returned?",
				["Answer"] = "Saruman",
			},
			[276] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name given to the Istari who went east and were never heard from again?",
				["Answer"] = "Blue Wizards",
			},
			[277] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Istar did Saruman take with him to please Yavanna?",
				["Answer"] = "Radagast",
			},
			[278] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Queen of Gondor was erased from the Book of the Kings and set adrift with her hated cats?",
				["Answer"] = "Berthiel",
			},
			[279] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Last Battle of Arda, named in the Second Prophecy of Mandos?",
				["Answer"] = "Dagor Dagorath",
			},
			[280] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Palantir of Minas Ithil end up being destroyed?",
				["Answer"] = "Barad-dr",
			},
			[281] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Ruling Steward of Gondor was the only one that used the Palantir of Minas Tirith?",
				["Answer"] = "Denethor II",
			},
			[282] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what geographical place, a hill, did Pippin peer into the Palantir of Orthanc?",
				["Answer"] = "Dol Baran",
			},
			[283] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From the death of which Steward did the Stewardship of Gondor become hereditary?",
				["Answer"] = "Pelendur",
			},
			[284] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Anar kaluva tielyanna\" mean?",
				["Answer"] = "The sun shall shine upon your path",
			},
			[285] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cabed-en-Aras\" mean?",
				["Answer"] = "Deer\'s Leap",
			},
			[286] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sarch nia Hn Hrin\" mean?",
				["Answer"] = "Grave of the Children of Hrin",
			},
			[287] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Echad i Sedryn\" mean?",
				["Answer"] = "Camp of the Faithful",
			},
			[288] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Arandor\" mean?",
				["Answer"] = "Kingsland",
			},
			[289] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Noirinan\" mean?",
				["Answer"] = "Valley of the Tombs",
			},
			[290] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sorontil\" mean?",
				["Answer"] = "Eagle-horn",
			},
			[291] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Vinyalond\" mean?",
				["Answer"] = "New Haven",
			},
			[292] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Calmindon\" mean?",
				["Answer"] = "Light-tower",
			},
			[293] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Yzyan\" mean in Adnaic?",
				["Answer"] = "Land of Gift",
			},
			[294] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the \"Dwarf-Road\"?",
				["Answer"] = "Men-i-Naugrim",
			},
			[295] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lrinand\" mean?",
				["Answer"] = "Valley of Gold",
			},
			[296] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin equivalent of \"Lrinand\"?",
				["Answer"] = "Glornan",
			},
			[297] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gwathir\" mean?",
				["Answer"] = "River of Shadow",
			},
			[298] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cirith Dath\" mean?",
				["Answer"] = "Shadow Cleft",
			},
			[299] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Anwar\" mean?",
				["Answer"] = "Hill of Awe",
			},
			[300] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you say \"ford\" in Sindarin?",
				["Answer"] = "Athrad",
			},
			[301] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the \"Dradan Forest\"?",
				["Answer"] = "Tawar-in-Dredain",
			},
			[302] =
			{
				["Category"] = "Languages (History)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dagor Dagorath\" mean?",
				["Answer"] = "Battle of All Battles",
			},
			[303] =
			{
				["Category"] = "Languages (Music)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rochon Methestel\" mean?",
				["Answer"] = "Rider of the Last Hope",
			},
			[304] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dramborleg\" mean?",
				["Answer"] = "Thudder-Sharp",
			},
			[305] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nmerrmar\" mean?",
				["Answer"] = "West-wings",
			},
			[306] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Embar\" mean?",
				["Answer"] = "Sea-dwelling",
			},
			[307] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Palarran\" mean?",
				["Answer"] = "Far-Wanderer",
			},
			[308] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Turuphanto\" mean?",
				["Answer"] = "Wooden Whale",
			},
			[309] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Hirilond\" mean?",
				["Answer"] = "Haven-finder",
			},
			[310] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gaurwaith\" mean?",
				["Answer"] = "Wolf-men",
			},
			[311] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Inziladn\" or \"Nmellot\" mean?",
				["Answer"] = "Flower of the West",
			},
			[312] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Emerwen Aranel\" mean?",
				["Answer"] = "Princess Shepherdess",
			},
			[313] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nerwen\" mean?",
				["Answer"] = "Man-maiden",
			},
			[314] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Artanis\" mean?",
				["Answer"] = "Noble Woman",
			},
			[315] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Artano\" mean?",
				["Answer"] = "High-smith",
			},
			[316] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aulendil\" mean?",
				["Answer"] = "Servant of Aul",
			},
			[317] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amroth\" mean?",
				["Answer"] = "High Climber",
			},
			[318] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Celeborn in the Telerin language?",
				["Answer"] = "Teleporno",
			},
			[319] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Arandur\" mean?",
				["Answer"] = "King\'s Servant",
			},
			[320] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Udalraph\" mean?",
				["Answer"] = "Stirrupless",
			},
			[321] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is \"Heren Istarion\" usually translated?",
				["Answer"] = "Order of Wizards",
			},
			[322] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the \"Blue Wizards\"?",
				["Answer"] = "Ithryn Luin",
			},
			[323] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gandalf\" mean?",
				["Answer"] = "Elf of the Wand",
			},
			[324] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aiwendil\" mean?",
				["Answer"] = "Lover of Birds",
			},
			[325] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Orcs call the Noldor?",
				["Answer"] = "Golug",
			},
			[326] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Eruhantal\" mean?",
				["Answer"] = "Thanksgiving to Eru",
			},
			[327] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Erukyerm\" mean?",
				["Answer"] = "Prayer to Eru",
			},
			[328] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Erulaital\" mean?",
				["Answer"] = "Praise of Eru",
			},
			[329] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Some of the Eldar received as a title of admiration or honour. How is this nickname called in Quenya?",
				["Answer"] = "Epess",
			},
			[330] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what Sindarin word comes \"Rohan\", derived from it because of the evolution of spoken language?",
				["Answer"] = "Rochand",
			},
			[331] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who composed the Narn i Hn Hrin?",
				["Answer"] = "Drhavel",
			},
			[332] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the song of praise to Borondir of Gondor, the messenger of Cirion?",
				["Answer"] = "Rochon Methestel",
			},
			[333] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What musical instrument did Tuor always carry with him?",
				["Answer"] = "Harp",
			},
			[334] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What curious object, which amazed Tuor, was Gelmir carrying?",
				["Answer"] = "Fanorian lamp",
			},
			[335] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Gates to Gondolin?",
				["Answer"] = "7",
			},
			[336] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first Gate of Gondolin?",
				["Answer"] = "Gate of Wood",
			},
			[337] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the second Gate of Gondolin?",
				["Answer"] = "Gate of Stone",
			},
			[338] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the third Gate of Gondolin?",
				["Answer"] = "Gate of Bronze",
			},
			[339] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the fourth Gate of Gondolin?",
				["Answer"] = "Iron Gate",
			},
			[340] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the fifth Gate of Gondolin?",
				["Answer"] = "Gate of Silver",
			},
			[341] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the sixth Gate of Gondolin?",
				["Answer"] = "Golden Gate",
			},
			[342] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the seventh Gate of Gondolin?",
				["Answer"] = "Gate of Steel",
			},
			[343] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who made the last Gate of Gondolin?",
				["Answer"] = "Maeglin",
			},
			[344] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gondolin\'s Iron Gate dedicated to?",
				["Answer"] = "Eagles",
			},
			[345] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gondolin\'s Gate of Silver dedicated to?",
				["Answer"] = "Telperion",
			},
			[346] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gondolin\'s Golden Gate dedicated to?",
				["Answer"] = "Laurelin",
			},
			[347] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Trin receive from his father when he turned 8?",
				["Answer"] = "Elvish knife",
			},
			[348] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Trin give his valuable knife when he was a child?",
				["Answer"] = "Sador",
			},
			[349] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What the name did the Black Sword receive in Brethil when Trin faced Glaurung?",
				["Answer"] = "Black Thorn",
			},
			[350] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Although hollow, what material were the bows of the Archers of the King of Nmenor made of?",
				["Answer"] = "Steel",
			},
			[351] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which heirloom of the fathers of the Edain was the only one that sirvived the Downfall of Nmenor?",
				["Answer"] = "Ring of Barahir",
			},
			[352] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon did Tuor normally use?",
				["Answer"] = "Axe",
			},
			[353] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Axe of Tuor?",
				["Answer"] = "Dramborleg",
			},
			[354] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon from the House of Hador was inherited by the Kings of Nmenor?",
				["Answer"] = "Axe of Tuor",
			},
			[355] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon from the House of Bor, apart from the Ring of Barahir, was inherited by the Kings of Nmenor?",
				["Answer"] = "Bow of Bre",
			},
			[356] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Vantur\'s ship?",
				["Answer"] = "Entuless",
			},
			[357] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who received the Ring of Barahir, preserving it since in the House of the Lords of Andni?",
				["Answer"] = "Silmarien",
			},
			[358] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ship on which Aldarion made his first voyages to Middle-earth?",
				["Answer"] = "Nmerrmar",
			},
			[359] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Aldarion call the ship he built to serve as his home?",
				["Answer"] = "Embar",
			},
			[360] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the largest ship that Aldarion had built?",
				["Answer"] = "Palarran",
			},
			[361] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which tree was the Green Bough of Return cut?",
				["Answer"] = "Oiolair",
			},
			[362] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves of Eressa give to Aldarion?",
				["Answer"] = "Tree",
			},
			[363] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves of Eressa give to Erendis?",
				["Answer"] = "Birds",
			},
			[364] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the shipbuilders call the great castle-ship of Aldarion while they were building it?",
				["Answer"] = "Turuphanto",
			},
			[365] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great castle-ship that Aldarion had built for himself?",
				["Answer"] = "Hirilond",
			},
			[366] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Aldarion call the tree given to him by the Elves of Eressa, the only thing he spared in his house in Armenelos?",
				["Answer"] = "Ancalim",
			},
			[367] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Instead of the Bough of Return, what figure, a gift from Crdan, did Aldarion carry henceforth on the prow of his ship?",
				["Answer"] = "Eagle",
			},
			[368] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the green stone that imprisoned the light of the sun, and to which was attributed a healing power over everything around it?",
				["Answer"] = "Elessar",
			},
			[369] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the first Elessar made?",
				["Answer"] = "Gondolin",
			},
			[370] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For whom was the first Elessar made?",
				["Answer"] = "Idril",
			},
			[371] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What word was on the seal for the Stewards, under the Seven Stars of Gondor?",
				["Answer"] = "Arandur",
			},
			[372] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the images that the Dredain made of themselves and placed at the entrances to tracks or at turnings of woodland paths?",
				["Answer"] = "Watch-stones",
			},
			[373] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was called the only Palantir on Middle-earth that could \"eavesdrop\" on the conversations of other Stones?",
				["Answer"] = "Master Stone",
			},
			[374] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the Stone that was the chief of the Northern Palantri originally placed?",
				["Answer"] = "Amon Sl",
			},
			[375] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The vision of the Palantri could traverse physical obstacles, but what was still necessary to be able to see its target?",
				["Answer"] = "Light",
			},
			[376] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the only survivor of the Grey-elves of Mithrim of those who went to the Nirnaeth Arnoediad?",
				["Answer"] = "Annael",
			},
			[377] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Arminas and Gelmir serve before the Dagor Bragollach?",
				["Answer"] = "Angrod",
			},
			[378] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the captain of the Guard at the first Gate of Gondolin?",
				["Answer"] = "Elemmakil",
			},
			[379] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Lalaith\'s real name?",
				["Answer"] = "Urwen",
			},
			[380] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which servant of Hrin was Trin\'s best friend and from whom he received many teachings?",
				["Answer"] = "Sador",
			},
			[381] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Trin call Sador?",
				["Answer"] = "Labadal",
			},
			[382] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What special physical attribute did Sador have?",
				["Answer"] = "He was lame",
			},
			[383] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Sador\'s occupation before he had an accident?",
				["Answer"] = "Woodman",
			},
			[384] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Sador\'s trade in Hrin\'s house?",
				["Answer"] = "Carpenter",
			},
			[385] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Hrin\'s horse?",
				["Answer"] = "Arroch",
			},
			[386] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who made the Dragon-helm of Dor-Lmin?",
				["Answer"] = "Telchar",
			},
			[387] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was represented by the image gilded in the Dragon-helm of Dor-Lmin?",
				["Answer"] = "Glaurung",
			},
			[388] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For whom was the Dragon-helm of Dor-Lmin made?",
				["Answer"] = "Azaghl",
			},
			[389] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What three owners (in chronological order) did the Dragon-Helm have before it became a heirloom of the House of Hador?",
				["Answer"] = "Azaghl Maedhros and Fingon",
			},
			[390] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which maiden of the woods of Doriath used to watch over and teach Trin?",
				["Answer"] = "Nellas",
			},
			[391] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of whom is it said that Trin sought his face in the faces of all women, when he was in Doriath?",
				["Answer"] = "Lalaith",
			},
			[392] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which friend of Saeros, also skilled in song, shared the same contempt he felt for Men?",
				["Answer"] = "Daeron",
			},
			[393] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did people call the band of outlaws that Trin joined?",
				["Answer"] = "Gaurwaith",
			},
			[394] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the leader of the band of outlaws of Trin?",
				["Answer"] = "Forweg",
			},
			[395] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three members of Trin\'s band of outlaws were from Dor-Lmin?",
				["Answer"] = "Algund Andrg and Forweg",
			},
			[396] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the outlaw companion of Trin who was killed by Orcs while the two tried to distract them to save the rest?",
				["Answer"] = "Orleg",
			},
			[397] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name, meaning \"secret\", did Finduilas once give Trin, startling him?",
				["Answer"] = "Thurin",
			},
			[398] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Captain of King\'s Ships in the time of Tar-Elendil?",
				["Answer"] = "Vantur",
			},
			[399] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Tar-Elendil\'s sons and daughters?",
				["Answer"] = "Isilm Meneldur and Silmarien",
			},
			[400] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Silmarien of Andni?",
				["Answer"] = "Valandil",
			},
			[401] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Tar-Meneldur\'s called because of admiration for the stars?",
				["Answer"] = "Elentirmo",
			},
			[402] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Tar-Meneldur\'s wife?",
				["Answer"] = "Almarian",
			},
			[403] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Tar-Meneldur?",
				["Answer"] = "Ailinel Aldarion and Almiel",
			},
			[404] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Aldarion\'s real name?",
				["Answer"] = "Anardil",
			},
			[405] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Aldarion called by the members of the Guild of Venturers?",
				["Answer"] = "Great Captain",
			},
			[406] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did people also call the Venturers of Nmenor?",
				["Answer"] = "Uinendili",
			},
			[407] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title did Aldarion hold since he was proclaimed King\'s Heir?",
				["Answer"] = "Lord of the Ships and Havens of Nmenor",
			},
			[408] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Aldarion\'s wife?",
				["Answer"] = "Erendis",
			},
			[409] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Erendis usually called?",
				["Answer"] = "Lady of the Westlands",
			},
			[410] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With whom was Erendis often compared?",
				["Answer"] = "Morwen",
			},
			[411] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the daughter of Aldarion and Erendis?",
				["Answer"] = "Ancalim",
			},
			[412] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is said to have been the most beautiful woman in the Line of Elros?",
				["Answer"] = "Ar-Zimraphel",
			},
			[413] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the only three members of the Council of the Sceptre in the time of Tar-Meneldur?",
				["Answer"] = "Aldarion Hallatan and Valandil",
			},
			[414] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands was Hallatan lord of?",
				["Answer"] = "Hyarastorni",
			},
			[415] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Tar-Ancalim\'s husband?",
				["Answer"] = "Hallacar",
			},
			[416] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Hallatan of Hyarastorni?",
				["Answer"] = "Hallacar and Nessani",
			},
			[417] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Valar appoint as the first King of Nmenor?",
				["Answer"] = "Elros",
			},
			[418] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the first King of Nmenor adopt?",
				["Answer"] = "Tar-Minyatur",
			},
			[419] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth King of Nmenor?",
				["Answer"] = "Tar-Elendil",
			},
			[420] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Was the Fifth King of Nmenor?",
				["Answer"] = "Tar-Meneldur",
			},
			[421] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth King of Nmenor?",
				["Answer"] = "Tar-Aldarion",
			},
			[422] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Queen Regent of Nmenor, and seventh ruler?",
				["Answer"] = "Tar-Ancalim",
			},
			[423] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth King of Nmenor?",
				["Answer"] = "Tar-Anrion",
			},
			[424] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second Queen Regent of Nmenor, and tenth ruler?",
				["Answer"] = "Tar-Telperien",
			},
			[425] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth King of Nmenor?",
				["Answer"] = "Tar-Atanamir",
			},
			[426] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth King of Nmenor?",
				["Answer"] = "Tar-Ancalimon",
			},
			[427] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Fifteenth King of Nmenor?",
				["Answer"] = "Tar-Telemmait",
			},
			[428] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third Queen Regent of Nmenor, and sixteenth ruler?",
				["Answer"] = "Tar-Vanimeld",
			},
			[429] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twentieth King of Nmenor?",
				["Answer"] = "Ar-Adnakhr",
			},
			[430] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-third King of Nmenor?",
				["Answer"] = "Ar-Gimilzr",
			},
			[431] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-fourth King of Nmenor?",
				["Answer"] = "Tar-Palantir",
			},
			[432] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last King of Nmenor?",
				["Answer"] = "Ar-Pharazn",
			},
			[433] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Tar-Meneldur\'s real name?",
				["Answer"] = "rimon",
			},
			[434] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Tar-Aldarion\'s real name?",
				["Answer"] = "Anardil",
			},
			[435] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Ar-Gimilzr\'s wife?",
				["Answer"] = "Inzilbth",
			},
			[436] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Lord of Andni was brother of Inzilbth?",
				["Answer"] = "Erendur",
			},
			[437] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Ar-Gimilzr call his two sons?",
				["Answer"] = "Gimilkhd and Inziladn",
			},
			[438] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Under what name did Inziladn access to the throne of Nmenor?",
				["Answer"] = "Tar-Palantir",
			},
			[439] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Gimilkhd\'s son?",
				["Answer"] = "Pharazn",
			},
			[440] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Tar-Palantir\'s daughter and successor?",
				["Answer"] = "Tar-Mriel",
			},
			[441] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Tar-Mriel forced to marry against the King\'s will and the law of Nmenor?",
				["Answer"] = "Ar-Pharazn",
			},
			[442] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Tar-Miriel have to adopt as Queen?",
				["Answer"] = "Ar-Zimraphel",
			},
			[443] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Galadriel\'s maternal name?",
				["Answer"] = "Nerwen",
			},
			[444] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Galadriel\'s paternal name?",
				["Answer"] = "Artanis",
			},
			[445] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Elw and Olw\'s younger brother?",
				["Answer"] = "Elmo",
			},
			[446] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Elmo\'s son?",
				["Answer"] = "Galadhon",
			},
			[447] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Galadhon\'s sons?",
				["Answer"] = "Celeborn and Galathil",
			},
			[448] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the father of Nimloth of Doriath?",
				["Answer"] = "Galathil",
			},
			[449] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Lrinand in the time of Eregion and until his death in Dagorlad?",
				["Answer"] = "Amdr",
			},
			[450] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Lothlrien from the end of the Second Age until his disappearance in the Third Age?",
				["Answer"] = "Amroth",
			},
			[451] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Amroth\'s beloved?",
				["Answer"] = "Nimrodel",
			},
			[452] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which companion of Nimrodel is said to have married Imrazr the Nmenrean, from whom the Princes of Dol Amroth descended?",
				["Answer"] = "Mithrellas",
			},
			[453] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the two sons and daughters of Imrazr and Mithrellas?",
				["Answer"] = "Galador and Gilmith",
			},
			[454] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thranduil\'s Father?",
				["Answer"] = "Oropher",
			},
			[455] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which branch of the Elves did Thranduil belong to?",
				["Answer"] = "Sindar",
			},
			[456] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who gave Galadriel her best-known name?",
				["Answer"] = "Celeborn",
			},
			[457] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many horses did the company that fell with Isildur in the Gladden Fields have?",
				["Answer"] = "10",
			},
			[458] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is said to have been the last man born in Nmenor?",
				["Answer"] = "Meneldur",
			},
			[459] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Elendur\'s esquire, who, along with Ohtar and another man, managed to escape the Disaster of the Gladden Fields?",
				["Answer"] = "Estelmo",
			},
			[460] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Orcs who attacked Isildur in the Gladden Fields had come from, during the war?",
				["Answer"] = "Mordor",
			},
			[461] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "About how many archers did Isildur have at his disposal on the night of the Disaster of the Gladden Fields?",
				["Answer"] = "20",
			},
			[462] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of whom it is said that Aragorn was his living image?",
				["Answer"] = "Elendur",
			},
			[463] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the short, broad-bladed, double-edged, pointed sword a foot and a half long, which the Dnedain used as a reserve weapon?",
				["Answer"] = "Eket",
			},
			[464] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which man was considered a Lord of Rhovanion at the time of the Wainriders\' invasion?",
				["Answer"] = "Marhari",
			},
			[465] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old was Eorl when he became Captain of the othod?",
				["Answer"] = "16",
			},
			[466] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old was Eorl when he led the othod in battle at the Field of Celebrant?",
				["Answer"] = "25",
			},
			[467] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Rider of the Last Hope?",
				["Answer"] = "Borondir",
			},
			[468] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Borondir receive?",
				["Answer"] = "Udalraph",
			},
			[469] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the chief captain of the host of othod in the time of Cirion, second only to Eorl?",
				["Answer"] = "omund",
			},
			[470] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two uncles of Bilbo\'s, from the Took branch, had gone off on a journey and never returned?",
				["Answer"] = "Hildifons and Isengar",
			},
			[471] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Did the Nazgl wear their Rings, at least during the last days of the Third Age?",
				["Answer"] = "No",
			},
			[472] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who kept the Rings of the Nazgl, at least during the last days of the Third Age?",
				["Answer"] = "Sauron",
			},
			[473] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the second to the Chief of the Nazgl?",
				["Answer"] = "Khaml",
			},
			[474] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Khaml have?",
				["Answer"] = "Shadow of the East",
			},
			[475] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What substance was feared by the Nazgl, which sometimes hindered them in the pursuit of their goals?",
				["Answer"] = "Water",
			},
			[476] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What habit of Gandalg did Sauroman use to mock until he adopted it himself?",
				["Answer"] = "Smoking",
			},
			[477] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Eorl have his house until Brego moved to Edoras?",
				["Answer"] = "Aldburg",
			},
			[478] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was omer\'s birthplace?",
				["Answer"] = "Aldburg",
			},
			[479] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the governing officer of the garrison of Edoras in the days of Thoden\'s illness?",
				["Answer"] = "Elfhelm",
			},
			[480] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In times of war or inquiet, how many oreds did Marshal of the Mark have ready for battle as part of his \"household\"?",
				["Answer"] = "1",
			},
			[481] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Drg protagonist of the tale \"The Faithful Stone\"?",
				["Answer"] = "Aghan",
			},
			[482] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What occupation did Aghan have?",
				["Answer"] = "Leech",
			},
			[483] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ranger who appears in the tale \"The Faithful Stone\"?",
				["Answer"] = "Barach",
			},
			[484] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of what race, strange as it may seem, did Men consider the Istari?",
				["Answer"] = "Elves",
			},
			[485] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the Order of the Istari?",
				["Answer"] = "Saruman",
			},
			[486] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istar was sent to Middle-earth \"as a friend\" of Alatar?",
				["Answer"] = "Pallando",
			},
			[487] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which king was called \"Lord of the Coasts\" because of his great love of the sea, and built a royal house in Pelargir?",
				["Answer"] = "Tarannon",
			},
			[488] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Queen Berthiel?",
				["Answer"] = "Wife of King Falastur",
			},
			[489] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Queen Berthiel\'s cats use to do for her?",
				["Answer"] = "Spy",
			},
			[490] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many black cats did Queen Berthiel have?",
				["Answer"] = "9",
			},
			[491] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many white cats did Queen Berthiel have?",
				["Answer"] = "1",
			},
			[492] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of whom did some \"faithful\" from times after the Fall of Sauron wildly say that Gandalf could be his personification?",
				["Answer"] = "Manw",
			},
			[493] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "If Manw sent Eonw to capture Morgoth, who was said after the War of the Ring to be Manw\'s envoy to capture Sauron?",
				["Answer"] = "Gandalf",
			},
			[494] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Olrinen live in Valinor?",
				["Answer"] = "Lrien",
			},
			[495] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What role is Olrin said to have had in the West?",
				["Answer"] = "Counsellor of Irmo",
			},
			[496] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Men of the East call the Men of the House of Hador?",
				["Answer"] = "Strawheads",
			},
			[497] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Mm call the Avari?",
				["Answer"] = "Wild Elves",
			},
			[498] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What three festivals dedicated to Eru were celebrated in Nmenor?",
				["Answer"] = "Erukyerm Eruhantal and Erulaital",
			},
			[499] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Nmenreans call the Eagles that guarded Meneltarma?",
				["Answer"] = "Witnesses of Manw",
			},
			[500] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the festivals that the Nmenreans consecrated to Eru was celebrated in spring?",
				["Answer"] = "Erukyerm",
			},
			[501] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the festivals that the Nmenreans consecrated to Eru was celebrated in summer?",
				["Answer"] = "Eruhantale",
			},
			[502] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the festivals that the Nmenreans consecrated to Eru was celebrated in too?",
				["Answer"] = "Erulaital",
			},
			[503] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Apart from being great navigators, the Nmenreans also stood out as great...",
				["Answer"] = "Horsemen",
			},
			[504] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, during the Second Age, were the most feared archers in Middle-earth?",
				["Answer"] = "Nmenreans",
			},
			[505] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did the sons of the Kings of Nmenor usually obtain the title of Heir?",
				["Answer"] = "100",
			},
			[506] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What used the wives of the Nmenrean sailors to put on the bow of the ship every time they left for Middle-earth?",
				["Answer"] = "Green Bough of Return",
			},
			[507] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The Queens of Which Kingdom used to wear a silver hairnet with a white gem instead of a crown?",
				["Answer"] = "Nmenor",
			},
			[508] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the lands around which city of Nmenor was Sindarin the most common language?",
				["Answer"] = "Andni",
			},
			[509] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which lineage of the Edain did most of the inhabitants of northwestern Nmenor come?",
				["Answer"] = "Bor",
			},
			[510] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For what kind of units only did the Nmenoreans normally use their horses in war?",
				["Answer"] = "Archers and couriers",
			},
			[511] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was a \"pace\" called, according to the Numenrean lengths?",
				["Answer"] = "Ranga",
			},
			[512] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many rangar are there in a Lr according to Nmenrean length units?",
				["Answer"] = "5000",
			},
			[513] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which \"breed\" of Hobbits were the first to be found by the Nmenreans?",
				["Answer"] = "Harfoots",
			},
			[514] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which people of Men was formed from the remnants of the people of Rhovanion that could escape the rule of the Wainriders?",
				["Answer"] = "othod",
			},
			[515] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Although at first the ored did not have a fixed number, what was the number that King Folcwine did establish as the minimum of men an ored should contain?",
				["Answer"] = "120",
			},
			[516] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the full muster of the Rohirrim cavalry in time of war?",
				["Answer"] = "ohere",
			},
			[517] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did they say in the Shire that happens to the Hobbits who went on journeys or adventures?",
				["Answer"] = "They go off",
			},
			[518] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which people of Men were the ever-enemies of the Rohirrim?",
				["Answer"] = "Dunlendings",
			},
			[519] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The Dead of the White Mountains that Isildur had cursed, to which people of Men they did belong?",
				["Answer"] = "Dunlendings",
			},
			[520] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which race did those who did not know them, motivated by their physical appearance, compare the Dredain?",
				["Answer"] = "Orcs",
			},
			[521] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the People of Haleth call the strange race of Men who lived among them?",
				["Answer"] = "Drg",
			},
			[522] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Drg called by the Elves?",
				["Answer"] = "Dredain",
			},
			[523] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Dredain take refuge in winter?",
				["Answer"] = "Caves",
			},
			[524] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which were the only creatures that the Dredain did not respect and protect?",
				["Answer"] = "Orcs",
			},
			[525] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom had the Atani acquired the knowledge and use of metals?",
				["Answer"] = "Dwarves",
			},
			[526] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Orcs call the Dredain?",
				["Answer"] = "Oghor-hai",
			},
			[527] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the greatest artistic ability of the Dredain?",
				["Answer"] = "Sculpture",
			},
			[528] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What great natural ability of the Dredain was of great help to the People of Haleth in keeping themselves protected?",
				["Answer"] = "Vigilance",
			},
			[529] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which area of Middle-earth is the oldest known provenance of the Dredain?",
				["Answer"] = "South of Mordor",
			},
			[530] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Dredain called by the Rohirrim?",
				["Answer"] = "Woses",
			},
			[531] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what lands of Andrast did the Dredain once live?",
				["Answer"] = "Drwaith Iaur",
			},
			[532] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The Valar and Maiar could assume a feigned physical form but, which were the only Maiar that took a real physical form, \"subject to the fears and pains and weariness of earth\"?",
				["Answer"] = "Istari",
			},
		}
	},
	[13] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Extension - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Ancalim said, \"We could [marry], if I had any mind to such a state. I could lay down my royalty, and be free. But if I were to do so, I should be free to wed whom I will; and that would be ner (which is \'Noman\'), whom I prefer above all others\". What does \"ner\" mean?",
				["Answer"] = "Noman",
			},
			[2] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which region of Nmenor was the most populous?",
				["Answer"] = "Arandor",
			},
			[3] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the five promontories at the base of Meneltarma, which pointed to the five points of Nmenor?",
				["Answer"] = "Tarmasundar",
			},
			[4] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the seven species of \"Fragrant Trees\", brought by the Eldar to Eldalond?",
				["Answer"] = "Laireloss Malinorn Nessamelda Oiolair Taniquelass Vardarianna and Yavannamr",
			},
			[5] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main fishing village of Nmenor?",
				["Answer"] = "Nindamos",
			},
			[6] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tree with beautiful flowers was the most remarkable thing that grew in Hyarrostar?",
				["Answer"] = "Laurinqu",
			},
			[7] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place of the quarries of Nmenor, in Forostar?",
				["Answer"] = "Ondosto",
			},
			[8] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Cirith Forn\'s full name?",
				["Answer"] = "Cirith Forn en Andrath",
			},
			[9] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name given to the great westward bends of the Anduin east of Fangorn Forest?",
				["Answer"] = "Undeeps",
			},
			[10] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great space opened by the otheod in Mirkwood as a result of their felling of trees?",
				["Answer"] = "East Bight",
			},
			[11] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Halifirien receive from the Rohirrim?",
				["Answer"] = "Firienholt",
			},
			[12] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the defile between the Barrow-downs and the South through where the Greenway passed?",
				["Answer"] = "Andrath",
			},
			[13] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the base of Rohan\'s Muster of the Eastmark?",
				["Answer"] = "Aldburg",
			},
			[14] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the previous name that the Rohirrim gave to Hornburg?",
				["Answer"] = "Sthburg",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What suddenly arose when Tuor played the harp, which led him to the Gate of the Noldor?",
				["Answer"] = "Rill",
			},
			[16] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Tuor find the Gate of the Noldor?",
				["Answer"] = "23",
			},
			[17] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days did it take Tuor to get from Vinyamar to Gondolin?",
				["Answer"] = "38",
			},
			[18] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Trin use to do when he was under 5 years old?",
				["Answer"] = "Spy on Lalaith",
			},
			[19] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Morwen commission to take Trin from Dor-Lmin?",
				["Answer"] = "Gethron and Grithnir",
			},
			[20] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Trin throw at Saeros at the table in response to his taunts?",
				["Answer"] = "Drinking-vessel",
			},
			[21] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what companion did Trin go to spy on the Orcs who had plundered the region in which he and the outlaws had dwelt?",
				["Answer"] = "Orleg",
			},
			[22] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Brethil\'s scouts see that alerted them that Glaurung had left Nargothrond?",
				["Answer"] = "Fire",
			},
			[23] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Aldarion undertake his first voyage to Middle-earth?",
				["Answer"] = "25",
			},
			[24] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years did Aldarion\'s first sea voyage last?",
				["Answer"] = "2",
			},
			[25] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old was Aldarion when his father received the Sceptre?",
				["Answer"] = "40",
			},
			[26] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ordered the construction of the tower of Tol Uinen?",
				["Answer"] = "Aldarion",
			},
			[27] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Tar-Meneldur do to try to make Aldarion forget about the sea and prevent him from building more ships?",
				["Answer"] = "Restricted the felling of trees",
			},
			[28] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Second Age was the Guild of Venturers and the port of Rmenna closed?",
				["Answer"] = "824",
			},
			[29] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Aldarion get married?",
				["Answer"] = "170",
			},
			[30] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Galadriel and Celeborn flee after the ruin of Doriath?",
				["Answer"] = "Mouths of Sirion",
			},
			[31] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Around what year of the Second Age did Ost-in-Edhil begin to be built?",
				["Answer"] = "750",
			},
			[32] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "During what event did Elrond first see Celebran?",
				["Answer"] = "First Council",
			},
			[33] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Until what year of the Third Age did Celeborn and Galadriel not return to Lothlrien to govern it?",
				["Answer"] = "1981",
			},
			[34] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Amroth and Nimrodel get engaged after she left Lothlrien?",
				["Answer"] = "Fangorn",
			},
			[35] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Third Age did Elrond and Celebran marry?",
				["Answer"] = "109",
			},
			[36] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How far did Isildur flee from the battle of the Gladden Fields to the place where he was killed?",
				["Answer"] = "7 leagues",
			},
			[37] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which mttle did Marhari of Rhovanion die?",
				["Answer"] = "Battle of the Plains",
			},
			[38] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Ondoher leave as regent while he battled in Dagorlad against the Wainriders?",
				["Answer"] = "Faramir",
			},
			[39] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Cirion\'s regent when he battled the Balchoth?",
				["Answer"] = "Hallas",
			},
			[40] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Approximately how many archers did the army that Eorl led to the Field of Celebrant had?",
				["Answer"] = "300",
			},
			[41] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Steward was the first to speak of \"The Mark\" and \"The Rohirrim\"?",
				["Answer"] = "Hallas",
			},
			[42] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf go with Thorin after seeing him for the first time?",
				["Answer"] = "Blue Mountains",
			},
			[43] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sauron attack before the beginning of the War of the Ring so that his Nazgl could go out in search of the Ring without being noticed?",
				["Answer"] = "Bridge of Osgiliath",
			},
			[44] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Thoden\'s health begin to falter, influenced by Grma?",
				["Answer"] = "66",
			},
			[45] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who told Gandalf, Thoden and omer of the disaster at the Fords of Isen when they were on the way to Hornburg?",
				["Answer"] = "Ceorl",
			},
			[46] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who inherited Aldburg after Brego moved to Edoras?",
				["Answer"] = "ofor",
			},
			[47] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Steward of Gondor in the days of King Dor of Rohan?",
				["Answer"] = "Egalmoth",
			},
			[48] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two reasons did Olrin initially give for not going to Middle-earth, which Manw said was the right reason why he should go?",
				["Answer"] = "He was too weak and feared Sauron",
			},
			[49] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Forodwaith\" mean?",
				["Answer"] = "Northern People",
			},
			[50] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of \"Amon Rdh\" in the language of the Dwarves?",
				["Answer"] = "Sharbhund",
			},
			[51] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Methed-en-Glad\" mean?",
				["Answer"] = "End of the Wood",
			},
			[52] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tarmasundar\" mean?",
				["Answer"] = "Roots of the Pillar",
			},
			[53] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nsinen\" mean?",
				["Answer"] = "Fragrant Water",
			},
			[54] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sr Angren\"?",
				["Answer"] = "Iron River",
			},
			[55] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Andrast\" mean?",
				["Answer"] = "Long Cape",
			},
			[56] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name did \"Andrast\" have?",
				["Answer"] = "Ras Morthil",
			},
			[57] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Minhiriath\" mean?",
				["Answer"] = "Between the rivers",
			},
			[58] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Glanduin\" mean?",
				["Answer"] = "Border-river",
			},
			[59] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How else can you say \"Glornan\", \"Valley of Gold\"?",
				["Answer"] = "Nan Laur",
			},
			[60] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Serni\" mean?",
				["Answer"] = "Pebbly",
			},
			[61] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dor-en-Ernil\" mean?",
				["Answer"] = "Land of the Prince",
			},
			[62] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Laurelindrenan\" mean?",
				["Answer"] = "Valley of Singing Gold",
			},
			[63] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Edhellond\" mean?",
				["Answer"] = "Elf-haven",
			},
			[64] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the \"High Pass\"?",
				["Answer"] = "Cirith Forn",
			},
			[65] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Andrath\" mean?",
				["Answer"] = "Long Ascent",
			},
			[66] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Lanc\" mean?",
				["Answer"] = "Naked Hill",
			},
			[67] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of the \"Gladden River\"?",
				["Answer"] = "Sr Ninglor",
			},
			[68] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of the \"Entwash\"?",
				["Answer"] = "Onodl",
			},
			[69] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Edoras\" mean?",
				["Answer"] = "Courts",
			},
			[70] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lossarnach\" mean?",
				["Answer"] = "Flowery Arnach",
			},
			[71] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sarn Gebir\" mean?",
				["Answer"] = "Stone-spikes",
			},
			[72] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ephel Dath\" mean?",
				["Answer"] = "Fence of Shadow",
			},
			[73] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Halifirien\" mean?",
				["Answer"] = "Holy Mountain",
			},
			[74] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the \"Mering\" Stream?",
				["Answer"] = "Glanhr",
			},
			[75] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Glanhr\" mean?",
				["Answer"] = "Boundary stream",
			},
			[76] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sthburg\" mean?",
				["Answer"] = "Caves of Radiance",
			},
			[77] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Gwathl\" in Adnaic?",
				["Answer"] = "Agathurush",
			},
			[78] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Entuless\" mean?",
				["Answer"] = "Return",
			},
			[79] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Oiolair\" mean?",
				["Answer"] = "Ever-summer",
			},
			[80] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Quenya equivalent of \"Inziladn\"?",
				["Answer"] = "Nmellot",
			},
			[81] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Eldar call the Orcs?",
				["Answer"] = "Glamhoth",
			},
			[82] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"othod\" mean?",
				["Answer"] = "Horse-people",
			},
			[83] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Sindarin equivalent of \"Istar\"?",
				["Answer"] = "Ithron",
			},
			[84] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two items of Isildur did Saruman find and keep until Elessar found them in Orthanc with Gimli\'s help?",
				["Answer"] = "Chain and Elendilmir",
			},
			[85] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what seven places were the Palantri established?",
				["Answer"] = "Amon Sl Annminas Elostirion Minas Anor Minas Ithil Orthanc and Osgiliath",
			},
			[86] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Elostirion\'s Palantr?",
				["Answer"] = "Elendil Stone",
			},
			[87] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where it was said that the Master of all Seeing Stones had its abode?",
				["Answer"] = "Avalln",
			},
			[88] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of thought could be transmitted through two Palantri in accord?",
				["Answer"] = "Linguistic",
			},
			[89] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Hrin and Morwen\'s blind servant?",
				["Answer"] = "Ragnir",
			},
			[90] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the master of Telchar?",
				["Answer"] = "Gamil Zirak",
			},
			[91] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Gamil Zirak?",
				["Answer"] = "the Old",
			},
			[92] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Azaghl give his helm as guerdon for having saved his life?",
				["Answer"] = "Maedhros",
			},
			[93] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Maedhros give the Dragon-helm as a token of friendship?",
				["Answer"] = "Fingon",
			},
			[94] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did Hador receive the Dragon-helm?",
				["Answer"] = "Fingon",
			},
			[95] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Saeros?",
				["Answer"] = "Ithilbor",
			},
			[96] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the father of the young woman Trin saved when he killed Forweg?",
				["Answer"] = "Larnach",
			},
			[97] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Aerin\'s father?",
				["Answer"] = "Indor",
			},
			[98] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the person who dismissed Trin in the mountains on his return to Dor-Lmin?",
				["Answer"] = "Asgon",
			},
			[99] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Silmarien of Andni\'s husband?",
				["Answer"] = "Elatan",
			},
			[100] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the daughter of Vantur who married the King of Nmenor?",
				["Answer"] = "Almarian",
			},
			[101] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title was given to Anardil of Nmenor, from which he began to be known as \"Aldarion\"?",
				["Answer"] = "Master of the Forests",
			},
			[102] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Ailinel of Nmenor marry?",
				["Answer"] = "Orchaldor",
			},
			[103] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Orchaldor of Nmenor, descendant of the House of Hador?",
				["Answer"] = "Hatholdir",
			},
			[104] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Ailinel of Nmenor?",
				["Answer"] = "Soronto",
			},
			[105] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years was Aldarion older than Erendis?",
				["Answer"] = "71",
			},
			[106] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Baragund and Belegund\'s sister?",
				["Answer"] = "Bereth",
			},
			[107] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which woman of high lineage of the House of Bor did Erendis descend?",
				["Answer"] = "Bereth",
			},
			[108] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Erendis\'s father?",
				["Answer"] = "Beregar",
			},
			[109] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Erendis\'s mother?",
				["Answer"] = "Nneth",
			},
			[110] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what name was Erendis known in reference to the gem she used to wear on her forehead?",
				["Answer"] = "Elestirn",
			},
			[111] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what fragrant flower of Tol Eressa was Erendis crowned at her feast at Andni?",
				["Answer"] = "Lissuin",
			},
			[112] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the boy, the son of a sailor, who saw Ancalim as a child one day at home by chance?",
				["Answer"] = "bal",
			},
			[113] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the old chatterbox woman who was at the service of Erendis when Ancalim was a seven-year-old girl?",
				["Answer"] = "Zamn",
			},
			[114] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Aldarion\'s companion sailor who lived in Emeri near Erendis\'s house?",
				["Answer"] = "Ulbar",
			},
			[115] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the two men with whom Aldarion departed from Armenelos after returning from his last journey as King\'s Heir?",
				["Answer"] = "Henderch and Ulbar",
			},
			[116] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Quenya name did people give Ancalim when she retired to the countryside after being proclaimed King\'s Heir?",
				["Answer"] = "Emerwen Aranel",
			},
			[117] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Elros?",
				["Answer"] = "Atanalcar Manwendil Tindmiel and Vardamir",
			},
			[118] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Vardamir\'s sons and daughters?",
				["Answer"] = "Amandil Aulendil Nolondil and Vardilm",
			},
			[119] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Tar-Amandil\'s sons and daughters?",
				["Answer"] = "Erendur Elendil and Maiten",
			},
			[120] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Erendur of Nmenor?",
				["Answer"] = "Caliondo",
			},
			[121] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Caliondo and grandson of Erendur of Nmenor?",
				["Answer"] = "Malantur",
			},
			[122] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Nolondil of Hyarastorni?",
				["Answer"] = "Axantur Oromendil and Yvien",
			},
			[123] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Axantur of Hyarastorni?",
				["Answer"] = "Ardamir Cemendur and Lindiss",
			},
			[124] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Cemendur of Hyarastorni?",
				["Answer"] = "Hallatan and rild",
			},
			[125] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second King of Nmenor?",
				["Answer"] = "Vardamir",
			},
			[126] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Third King of Nmenor?",
				["Answer"] = "Tar-Amandil",
			},
			[127] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth King of Nmenor?",
				["Answer"] = "Tar-Srion",
			},
			[128] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh King of Nmenor?",
				["Answer"] = "Tar-Minastir",
			},
			[129] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth King of Nmenor?",
				["Answer"] = "Tar-Ciryatan",
			},
			[130] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventeenth King of Nmenor?",
				["Answer"] = "Tar-Alcarin",
			},
			[131] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighteenth King of Nmenor?",
				["Answer"] = "Tar-Calmacil",
			},
			[132] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the nineteenth King of Nmenor?",
				["Answer"] = "Tar-Ardamir",
			},
			[133] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-first King of Nmenor?",
				["Answer"] = "Ar-Zimrathn",
			},
			[134] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-second King of Nmenor?",
				["Answer"] = "Ar-Sakalthr",
			},
			[135] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Adnaic name of Tar-Calmacil?",
				["Answer"] = "Ar-Belzagar",
			},
			[136] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Tar-Ardamin\'s Adnaic name?",
				["Answer"] = "Ar-Abattrik",
			},
			[137] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of Ar-Adnakhr?",
				["Answer"] = "Tar-Herunmen",
			},
			[138] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of Ar-Zimrathn?",
				["Answer"] = "Tar-Hostamir",
			},
			[139] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of Ar-Sakalthr?",
				["Answer"] = "Tar-Falassion",
			},
			[140] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of Ar-Gimilzr?",
				["Answer"] = "Tar-Telemnar",
			},
			[141] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of Ar-Pharazn?",
				["Answer"] = "Tar-Calion",
			},
			[142] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname was Vardamir given?",
				["Answer"] = "Nlimon",
			},
			[143] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Tar-Elendil called in relation to the books and legends he composed?",
				["Answer"] = "Parmait",
			},
			[144] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Tar-Atanamir?",
				["Answer"] = "the Great",
			},
			[145] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Erendur and Inzilbth\'s mother?",
				["Answer"] = "Lindri",
			},
			[146] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name did Amdr of Lrinand receive?",
				["Answer"] = "Malgalad",
			},
			[147] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Marhari of Rhovanion?",
				["Answer"] = "Marhwini",
			},
			[148] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Marhwini\'s son?",
				["Answer"] = "Forthwini",
			},
			[149] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "One of the Captains of Ondoher in the battle that was fought at Dagorlad",
				["Answer"] = "Minohtar",
			},
			[150] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old were Bilbo\'s parents when they died?",
				["Answer"] = "80",
			},
			[151] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Erkenbrand\'s nephew?",
				["Answer"] = "Dnhere",
			},
			[152] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which son of Brego did omund claim to descend?",
				["Answer"] = "ofor",
			},
			[153] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the five Istari in Valinor?",
				["Answer"] = "Aiwendil Alatar Curumo Olrin and Pallando",
			},
			[154] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Istar who had been chosen by Aul to go to Middle-earth?",
				["Answer"] = "Saruman",
			},
			[155] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Istar who had been chosen by Orom to go to Middle-earth?",
				["Answer"] = "Alatar",
			},
			[156] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Istar who had been chosen by Manw and Varda to go to Middle-earth?",
				["Answer"] = "Gandalf",
			},
			[157] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Istar who had been chosen by Yavanna to go to Middle-earth?",
				["Answer"] = "Radagast",
			},
			[158] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Saruman?",
				["Answer"] = "the White",
			},
			[159] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Gandalf?",
				["Answer"] = "the Grey",
			},
			[160] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Radagast?",
				["Answer"] = "the Brown",
			},
			[161] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Saruman\'s name as Maia?",
				["Answer"] = "Curumo",
			},
			[162] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did historians call Gandalf after the end of his works in Middle-earth?",
				["Answer"] = "Enemy of Sauron",
			},
			[163] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Gandalf called by the Dwarves?",
				["Answer"] = "Tharkn",
			},
			[164] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Gandalf called in the South?",
				["Answer"] = "Incnus",
			},
			[165] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istari were the so-called \"Blue Wizards\"?",
				["Answer"] = "Alatar and Pallando",
			},
			[166] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Easterlings call the Elves?",
				["Answer"] = "White-fiends",
			},
			[167] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Easterlings call a woman who had dealings with the Elves?",
				["Answer"] = "Witchwife",
			},
			[168] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What tree did the Nmenreans used to use to build ships?",
				["Answer"] = "Laurinqu",
			},
			[169] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the coincil of the King of Nmenor?",
				["Answer"] = "Council of the Sceptre",
			},
			[170] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Dnedain call the wedge-shaped battle formation they often used?",
				["Answer"] = "Dirnaith",
			},
			[171] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Dnedain call the battle formation that consisted of a shield-wall of two serried ranks that could be closed in a ring when flanked?",
				["Answer"] = "Thangail",
			},
			[172] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Nmenrean measure is approximately three miles?",
				["Answer"] = "Lr",
			},
			[173] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Nmenreans call a league (since the measurements are equivalent) according to their length units?",
				["Answer"] = "Lr",
			},
			[174] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What measure did the Nmenreans call \"man-high\"?",
				["Answer"] = "2 rangar",
			},
			[175] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which group of people advised the Captain of the othod on important decisions?",
				["Answer"] = "Council of Elders",
			},
			[176] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the regent, usually King\'s Heir, who replaced the King of the Rohirrim in specific cases?",
				["Answer"] = "Underking",
			},
			[177] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The fishing people who lived in Anfalas for some time in the Second Age, to whom did they seem to be related?",
				["Answer"] = "Dredain",
			},
		}
	},
	[14] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Characters - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the The One God of Tolkien\'s mythology?",
				["Answer"] = "Eru",
			},
			[2] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname has Eru got?",
				["Answer"] = "Ilvatar",
			},
			[3] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who among the Ainur had been given the greatest gifts of power and knowledge?",
				["Answer"] = "Melkor",
			},
			[4] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Vala who controls the waters?",
				["Answer"] = "Ulmo",
			},
			[5] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Vala who controls the winds?",
				["Answer"] = "Manw",
			},
			[6] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Vala who controls earth and what lies within?",
				["Answer"] = "Aul",
			},
			[7] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Elder King of Arda?",
				["Answer"] = "Manw",
			},
			[8] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname has Manw got?",
				["Answer"] = "Slimo",
			},
			[9] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Valier known as the Lady of the Stars?",
				["Answer"] = "Varda",
			},
			[10] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname has Varda got?",
				["Answer"] = "Elentri",
			},
			[11] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Elves of Middle-earth call Varda, their most cherished Valier?",
				["Answer"] = "Elbereth",
			},
			[12] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Valier wife of Aul?",
				["Answer"] = "Yavanna",
			},
			[13] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who are the Valar Masters of Spirits?",
				["Answer"] = "Irmo and Nmo",
			},
			[14] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what names are Nmo and Irmo usually known, respectively?",
				["Answer"] = "Mandos and Lrien",
			},
			[15] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the Judge of the Valar?",
				["Answer"] = "Mandos",
			},
			[16] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is Mandos\'s wife?",
				["Answer"] = "Vair",
			},
			[17] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname is Vair known with?",
				["Answer"] = "Weaver",
			},
			[18] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Valier Healer of Hurts and of Weariness?",
				["Answer"] = "Est",
			},
			[19] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname has Est got?",
				["Answer"] = "Gentle",
			},
			[20] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Valier mourns for every wound that Arda has suffer and teaches us to have pity and endurance in hope?",
				["Answer"] = "Nienna",
			},
			[21] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the greatest Vala in strength and deeds of prowess?",
				["Answer"] = "Tulkas",
			},
			[22] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is Tulkas sometimes called?",
				["Answer"] = "Astaldo",
			},
			[23] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is Valier\'s wife of Tulkas and sister of Orom?",
				["Answer"] = "Nessa",
			},
			[24] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Vala, who is always on horseback, is the Tamer of Beasts?",
				["Answer"] = "Orom",
			},
			[25] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the wife of Orom, sister of Yavanna?",
				["Answer"] = "Vna",
			},
			[26] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia is master of the seas that wash the shores of Middle-earth?",
				["Answer"] = "Oss",
			},
			[27] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia is the Lady of the Seas?",
				["Answer"] = "Uinen",
			},
			[28] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia is Oss\'s wife?",
				["Answer"] = "Uinen",
			},
			[29] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia of the winds is Varda\'s Maiden?",
				["Answer"] = "Ilmar",
			},
			[30] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia is the herald of Manw and the Valar?",
				["Answer"] = "Enw",
			},
			[31] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Valiers did Melian serve?",
				["Answer"] = "Est and Vna",
			},
			[32] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wisest of the Maiar?",
				["Answer"] = "Olrin",
			},
			[33] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which important Maia, Aul\'s servant, joined Melkor as his most faithful servant?",
				["Answer"] = "Sauron",
			},
			[34] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what other name did the Eldar also call Sauron?",
				["Answer"] = "Gorthaur",
			},
			[35] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia was the one who made the Horns of Ulmo?",
				["Answer"] = "Salmar",
			},
			[36] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia was the one who taught the Nightingales to sing?",
				["Answer"] = "Melian",
			},
			[37] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia guided the Sun?",
				["Answer"] = "Arien",
			},
			[38] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia guided the Moon?",
				["Answer"] = "Tilion",
			},
			[39] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the two Dark Lords?",
				["Answer"] = "Morgoth and Sauron",
			},
			[40] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was called \"Bauglir\"?",
				["Answer"] = "Morgoth",
			},
			[41] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was called \"Belegurth\"?",
				["Answer"] = "Morgoth",
			},
			[42] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which kin of the Eldar was Indis, mother of Finarfin and Fingolfin?",
				["Answer"] = "Vanyar",
			},
			[43] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Caranthir\'s nickname?",
				["Answer"] = "The Dark",
			},
			[44] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Curufin\'s nickname?",
				["Answer"] = "The Crafty",
			},
			[45] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Celegorm\'s nickname?",
				["Answer"] = "The Fair",
			},
			[46] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Maglor\'s nickname?",
				["Answer"] = "The Mighty Singer",
			},
			[47] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Maedhros\'s nickname?",
				["Answer"] = "The Tall",
			},
			[48] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Finrod\'s nickname before he dwelt in Nargothrond?",
				["Answer"] = "The Faithful",
			},
			[49] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Fanor\'s paternal name?",
				["Answer"] = "Curufinw",
			},
			[50] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of Orom\'s horse?",
				["Answer"] = "Nahar",
			},
			[51] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was recognized by all as High King of the Eldar until his death?",
				["Answer"] = "Ingw",
			},
			[52] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Turgon\'s wife?",
				["Answer"] = "Elenw",
			},
			[53] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Eagles in the First Age?",
				["Answer"] = "Thorondor",
			},
			[54] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Eagles in the Third Age?",
				["Answer"] = "Gwaihir",
			},
			[55] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the daughter of Thingol and Melian?",
				["Answer"] = "Lthien",
			},
			[56] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the most renowned Dwarf blacksmith?",
				["Answer"] = "Telchar",
			},
			[57] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the lord of the Falathrim?",
				["Answer"] = "Crdan",
			},
			[58] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of the Teleri who came to Aman?",
				["Answer"] = "Olw",
			},
			[59] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Finw\'s sons?",
				["Answer"] = "Fanor Finarfin and Fingolfin",
			},
			[60] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Fanor\'s mother?",
				["Answer"] = "Mriel",
			},
			[61] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the mother of Finarfin and Fingolfin?",
				["Answer"] = "Indis",
			},
			[62] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who (in order of birth) were Fanor\'s sons?",
				["Answer"] = "Maedhros Maglor Celegorm Caranthir Curufin Amrod and Amras",
			},
			[63] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Finarfin\'s wife?",
				["Answer"] = "Erwen",
			},
			[64] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which kin of the Eldar was Erwen?",
				["Answer"] = "Teleri",
			},
			[65] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Finarfin\'s sons and daughters?",
				["Answer"] = "Aegnor Angrod Finrod Galadriel and Orodreth",
			},
			[66] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Fingolfin\'s sons and daughters?",
				["Answer"] = "Aredhel Fingon and Turgon",
			},
			[67] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Galadriel\'s husband?",
				["Answer"] = "Celeborn",
			},
			[68] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was called \"Ar-Feiniel\"?",
				["Answer"] = "Aredhel",
			},
			[69] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Aredhel called?",
				["Answer"] = "White Lady of the Noldor",
			},
			[70] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Fanor\'s wife?",
				["Answer"] = "Nerdanel",
			},
			[71] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the only King of the Laiquendi?",
				["Answer"] = "Denethor",
			},
			[72] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three ambassadors (in their usual order), who later became Kings, were chosen to go to Valinor and thus convince the Eldar to make the Great Journey?",
				["Answer"] = "Ingw Finw and Elw",
			},
			[73] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first leader of the Nandor?",
				["Answer"] = "Lenw",
			},
			[74] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Elw Grey-mantle called when he decided to abandon the march to Valinor?",
				["Answer"] = "Thingol",
			},
			[75] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which feared servant of Morgoth was the High-Captain of Angband?",
				["Answer"] = "Gothmog",
			},
			[76] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Father of Dragons?",
				["Answer"] = "Glaurung",
			},
			[77] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Finrod get when building Nargothrond?",
				["Answer"] = "Felagund",
			},
			[78] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who gave Finrod the nickname \"Felagund\"?",
				["Answer"] = "Dwarves",
			},
			[79] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled Hithlum when the Noldor settled in Middle-earth?",
				["Answer"] = "Fingolfin and Fingon",
			},
			[80] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled the lands of Mithrim after the Noldor settled in Middle-earth?",
				["Answer"] = "Fingolfin",
			},
			[81] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled the lands of Dor-lmin after the Noldor settled in Middle-earth?",
				["Answer"] = "Fingon",
			},
			[82] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which House of Men were the Lords of Dor-lmin from, from the time Men settled there until the 5th Battle of Beleriand?",
				["Answer"] = "Hador",
			},
			[83] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled the lands of Nevrast after the Noldor settled in Middle-earth?",
				["Answer"] = "Turgon",
			},
			[84] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled Dorthonion after the Noldor settled in Middle-earth?",
				["Answer"] = "Aegnor and Angrod",
			},
			[85] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded Minas Tirith after Finrod built it?",
				["Answer"] = "Orodreth",
			},
			[86] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled the lands of Himring after the Noldor settled in Middle-earth?",
				["Answer"] = "Maedhros",
			},
			[87] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two sons of Fanor dwelt in Himlad?",
				["Answer"] = "Celegorm and Curufin",
			},
			[88] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two sons of Fanor (in their usual order) lived in the central part of the land between the Gelion and the Aros?",
				["Answer"] = "Amrod and Amras",
			},
			[89] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Finrod\'s beloved?",
				["Answer"] = "Amari",
			},
			[90] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Turgon\'s daughter called?",
				["Answer"] = "Idril",
			},
			[91] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Idril\'s nickname?",
				["Answer"] = "Celebrindal",
			},
			[92] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Aredhel\'s husband?",
				["Answer"] = "El",
			},
			[93] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was El\'s nickname?",
				["Answer"] = "Dark Elf",
			},
			[94] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who had more liking for the Dwarves than any other of the Elvenfolk of old?",
				["Answer"] = "El",
			},
			[95] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of El and Aredhel?",
				["Answer"] = "Maeglin",
			},
			[96] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Aredhel secretly give her son?",
				["Answer"] = "Lmion",
			},
			[97] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Bor\'s nickname?",
				["Answer"] = "the Elder",
			},
			[98] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the men of Bor call Finrod?",
				["Answer"] = "Nm",
			},
			[99] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was the name of Bor\'s eldest son?",
				["Answer"] = "Baran",
			},
			[100] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which son of Marach was the first to go to live in Hithlum with the Elves?",
				["Answer"] = "Malach",
			},
			[101] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did they give to Malach in Hithlum?",
				["Answer"] = "Aradan",
			},
			[102] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which son of Malach was the one who led part of the people of Hithlum to cross Ered Wethrin?",
				["Answer"] = "Magor",
			},
			[103] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Marach\'s sons?",
				["Answer"] = "Imlach and Malach",
			},
			[104] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Haldad of the Haladin?",
				["Answer"] = "Haldar and Haleth",
			},
			[105] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Haleth as leader of the Haladin?",
				["Answer"] = "Haldan",
			},
			[106] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Hador\'s father?",
				["Answer"] = "Hathol",
			},
			[107] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons of Hador?",
				["Answer"] = "Galdor and Gundor",
			},
			[108] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Hador\'s daughter?",
				["Answer"] = "Glredhel",
			},
			[109] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Galdor\'s sons?",
				["Answer"] = "Huor and Hrin",
			},
			[110] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Hrin\'s son?",
				["Answer"] = "Trin",
			},
			[111] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Huor\'s son?",
				["Answer"] = "Tuor",
			},
			[112] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Boromir of Dorthonion?",
				["Answer"] = "Bregor",
			},
			[113] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Baragund\'s daughter?",
				["Answer"] = "Morwen",
			},
			[114] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Belegund\'s daughter?",
				["Answer"] = "Ran",
			},
			[115] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Barahir\'s son?",
				["Answer"] = "Beren",
			},
			[116] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Huor\'s wife?",
				["Answer"] = "Ran",
			},
			[117] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Hrin\'s wife?",
				["Answer"] = "Morwen",
			},
			[118] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Tuor\'s mother?",
				["Answer"] = "Ran",
			},
			[119] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Trin\'s mother?",
				["Answer"] = "Morwen",
			},
			[120] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was called \"Lrindol\"?",
				["Answer"] = "Hador",
			},
			[121] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Glaurung\'s nickname?",
				["Answer"] = "The Golden",
			},
			[122] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Glaurung was also called the Great Worm or ...",
				["Answer"] = "Worm of Morgoth",
			},
			[123] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Fingolfin\'s horse?",
				["Answer"] = "Rochallor",
			},
			[124] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Fingon\'s son?",
				["Answer"] = "Ereinion",
			},
			[125] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what nickname was Ereinion best known?",
				["Answer"] = "Gil-Galad",
			},
			[126] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the chieftains of the two peoples of Easterlings who arrived to Beleriand after the 4th Battle of Beleriand?",
				["Answer"] = "Br and Ulfang",
			},
			[127] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Br\'s sons?",
				["Answer"] = "Borlach Borlad and Borthand",
			},
			[128] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Ulfang\'s sons?",
				["Answer"] = "Uldor Ulfast and Ulwarth",
			},
			[129] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the sons of Br follow?",
				["Answer"] = "Maedhros and Maglor",
			},
			[130] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the sons of Ulfang follow?",
				["Answer"] = "Caranthir",
			},
			[131] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Ulfang\'s nickname?",
				["Answer"] = "The Black",
			},
			[132] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Uldor\'s nickname?",
				["Answer"] = "The Accursed",
			},
			[133] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many times was Huan allowed to speak with words?",
				["Answer"] = "3",
			},
			[134] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What form did Thuringwethil usually take?",
				["Answer"] = "Bat",
			},
			[135] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Son of Ilvatar was the one who had the greatest joy?",
				["Answer"] = "Beren",
			},
			[136] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the only singer named before Maglor?",
				["Answer"] = "Daeron",
			},
			[137] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Celegorm\'s dog?",
				["Answer"] = "Huan",
			},
			[138] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King was \"the fairest and most beloved of the house of Finw\"?",
				["Answer"] = "Finrod",
			},
			[139] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sire of the werewolves of Angband?",
				["Answer"] = "Draugluin",
			},
			[140] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Curufin?",
				["Answer"] = "Celebrimbor",
			},
			[141] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What terrible animal did fulfilled the doom of Huan?",
				["Answer"] = "Carcharoth",
			},
			[142] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Carcharoth called too?",
				["Answer"] = "Anfauglir",
			},
			[143] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Beren earn after losing his hand?",
				["Answer"] = "Erchamion",
			},
			[144] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thingol\'s chief captain?",
				["Answer"] = "Mablung",
			},
			[145] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Lthin get from Beren?",
				["Answer"] = "Tinviel",
			},
			[146] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Beren give to himself when he showed the Empty Hand to Thingol?",
				["Answer"] = "Camlost",
			},
			[147] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Beren and Lthien?",
				["Answer"] = "Dior",
			},
			[148] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Dior\'s nickname?",
				["Answer"] = "Aranel",
			},
			[149] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Hrin\'s nickname?",
				["Answer"] = "Thalion",
			},
			[150] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Belegost before the 5th Battle of Beleriand?",
				["Answer"] = "Azaghl",
			},
			[151] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Hrin?",
				["Answer"] = "Lalaith Nienor and Trin",
			},
			[152] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Trin\'s best friend, trainer, and companion in arms during his youth?",
				["Answer"] = "Beleg",
			},
			[153] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the marchwardens of Doriath?",
				["Answer"] = "Beleg",
			},
			[154] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Beleg\'s nickname?",
				["Answer"] = "Cthalion",
			},
			[155] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what name was Trin called among the Outlaws?",
				["Answer"] = "Neithan",
			},
			[156] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Petty-Dwarf of Amon Rdh?",
				["Answer"] = "Mm",
			},
			[157] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Mm\'s sons?",
				["Answer"] = "Ibun and Khm",
			},
			[158] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name was given to Trin in Amon Rdh when he bore the Dragon-Helm of Dor-lmin?",
				["Answer"] = "Gorthol",
			},
			[159] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Gwindor\'s beloved formerly?",
				["Answer"] = "Finduilas",
			},
			[160] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Gwindor give to Finduilas?",
				["Answer"] = "Faelivrin",
			},
			[161] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Trin give himself when he arrived to Nargothrond?",
				["Answer"] = "Agarwaen",
			},
			[162] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When Trin arrived to Nargothrond, whose son did he say he was?",
				["Answer"] = "Umarth",
			},
			[163] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Morwen\'s nickname?",
				["Answer"] = "Eledhwen",
			},
			[164] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Trin love in Nargothrond?",
				["Answer"] = "Finduilas",
			},
			[165] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Handir of Brethil?",
				["Answer"] = "Brandir",
			},
			[166] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the leader of the group of Men of Brethil that Trin rescued from the Orcs?",
				["Answer"] = "Dorlas",
			},
			[167] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Nienor get from Trin in Brethil?",
				["Answer"] = "Nniel",
			},
			[168] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Trin marry in Brethil?",
				["Answer"] = "Nniel",
			},
			[169] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Trin give to himself in Brethil?",
				["Answer"] = "Turambar",
			},
			[170] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Brandir\'s nickname?",
				["Answer"] = "The Lame",
			},
			[171] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was \"Glaurung\'s Bane\"?",
				["Answer"] = "Trin",
			},
			[172] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Dior\'s wife?",
				["Answer"] = "Nimloth",
			},
			[173] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Dior\'s sons and daughters?",
				["Answer"] = "Elurd Elurn and Elwing",
			},
			[174] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Grey-elf who raised Tuor?",
				["Answer"] = "Annael",
			},
			[175] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Gondolin\'s two most beloved captains?",
				["Answer"] = "Ecthelion and Glorfindel",
			},
			[176] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Ecthelion\'s nickname?",
				["Answer"] = "of the Fountain",
			},
			[177] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Tuor\'s wife?",
				["Answer"] = "Idril",
			},
			[178] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Tuor\'s son?",
				["Answer"] = "Erendil",
			},
			[179] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the House of the Golden Flower of Gondolin?",
				["Answer"] = "Glorfindel",
			},
			[180] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last High King of the Noldor in Middle-earth?",
				["Answer"] = "Gil-Galad",
			},
			[181] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is Erendil\'s Wife?",
				["Answer"] = "Elwing",
			},
			[182] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Erendil\'s sons?",
				["Answer"] = "Elrond and Elros",
			},
			[183] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the so-called \"Half-elven\"?",
				["Answer"] = "Elrond and Elros",
			},
			[184] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the lord of the people that dwelt nigh to Sirion\'s mouths after the departure of Tuor and Idril?",
				["Answer"] = "Erendil",
			},
			[185] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mightiest of the Winged Fire Dragons?",
				["Answer"] = "Ancalagon",
			},
			[186] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Ancalagon\'s nickname?",
				["Answer"] = "The Black",
			},
			[187] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "One of Erendil\'s nicknames",
				["Answer"] = "The Blessed",
			},
			[188] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Valar appoint as the first King of Nmenor?",
				["Answer"] = "Elros",
			},
			[189] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the first King of Nmenor take?",
				["Answer"] = "Tar-Minyatur",
			},
			[190] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth King of Nmenor?",
				["Answer"] = "Tar-Elendil",
			},
			[191] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh King of Nmenor?",
				["Answer"] = "Tar-Minastir",
			},
			[192] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth King of Nmenor?",
				["Answer"] = "Tar-Ciryatan",
			},
			[193] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth King of Nmenor?",
				["Answer"] = "Tar-Atanamir",
			},
			[194] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth King of Nmenor?",
				["Answer"] = "Tar-Ancalimon",
			},
			[195] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twentieth King of Nmenor?",
				["Answer"] = "Ar-Adnakhr",
			},
			[196] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-second King of Nmenor?",
				["Answer"] = "Ar-Sakalthr",
			},
			[197] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-third King of Nmenor?",
				["Answer"] = "Ar-Gimilzr",
			},
			[198] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-fourth King of Nmenor?",
				["Answer"] = "Tar-Palantir",
			},
			[199] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last King of Nmenor?",
				["Answer"] = "Ar-Pharazn",
			},
			[200] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the Highest Nmenreans in honour after the house of the kings?",
				["Answer"] = "Lords of Andni",
			},
			[201] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Ar-Pharazn\'s Elvish name?",
				["Answer"] = "Tar-Calion",
			},
			[202] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which daughter of Tar-Elendil dis the Lords of Andni descend?",
				["Answer"] = "Silmarien",
			},
			[203] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Ar-Gimilzr?",
				["Answer"] = "Inzilbth",
			},
			[204] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Lord of Andni was Inzilbth\'s brother?",
				["Answer"] = "Erendur",
			},
			[205] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Ar-Gimilzr name his two sons?",
				["Answer"] = "Gimilkhd and Inziladn",
			},
			[206] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what name did Inziladn accede to the throne of Nmenor?",
				["Answer"] = "Tar-Palantir",
			},
			[207] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Tar-Palantir\'s daughter and successor?",
				["Answer"] = "Tar-Mriel",
			},
			[208] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Tar-Mriel of Nmenor marry against her will?",
				["Answer"] = "Ar-Pharazn",
			},
			[209] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Ar-Pharazn make Tar-Mriel take?",
				["Answer"] = "Zimraphel",
			},
			[210] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Ar-Pharazn\'s nickname?",
				["Answer"] = "The Golden",
			},
			[211] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title had Sauron given to himself when he decided to attack the Nmenrean cities of Middle-earth?",
				["Answer"] = "King of Men",
			},
			[212] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What covetous title did Ar-Pharazn want to attain?",
				["Answer"] = "King of Men",
			},
			[213] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last Lord of Andni?",
				["Answer"] = "Amandil",
			},
			[214] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Amandil\'s son?",
				["Answer"] = "Elendil",
			},
			[215] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Elendil\'s sons?",
				["Answer"] = "Anrion and Isildur",
			},
			[216] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Elendil\'s nickname?",
				["Answer"] = "The Tall",
			},
			[217] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the most skilled of the People of the Jewel-smiths of Eregion?",
				["Answer"] = "Celebrimbor",
			},
			[218] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Dwarf Father and King of Khazad-dm?",
				["Answer"] = "Durin",
			},
			[219] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who actually was Annatar?",
				["Answer"] = "Sauron",
			},
			[220] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Anrion, who reigned in Gondor?",
				["Answer"] = "Meneldil",
			},
			[221] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Isildur\'s squire, who kept Elendil\'s sword in the Gladden Fields?",
				["Answer"] = "Ohtar",
			},
			[222] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was King of Arnor upon the dath of Isildur?",
				["Answer"] = "Valandil",
			},
			[223] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last King of the undivided Arnor?",
				["Answer"] = "Erendur",
			},
			[224] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Ernil and last King of Gondor?",
				["Answer"] = "Ernur",
			},
			[225] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Ruling Steward of Gondor?",
				["Answer"] = "Mardil",
			},
			[226] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Mardil\'s nickname?",
				["Answer"] = "The Faithful",
			},
			[227] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lord of the Grey Havens?",
				["Answer"] = "Crdan",
			},
			[228] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Greenwood the Great (and Mirkwood) in the Second, Third, and Fourth Ages?",
				["Answer"] = "Thranduil",
			},
			[229] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who actually was the Necromancer of Dol Guldur?",
				["Answer"] = "Sauron",
			},
			[230] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Elvish names were given in Middle-earth to the three Istari who inhabited the western part?",
				["Answer"] = "Curunr Mithrandir and Radagast",
			},
			[231] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istar had the most relationship with Men?",
				["Answer"] = "Saruman",
			},
			[232] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istar had the most relationship with Elves?",
				["Answer"] = "Gandalf",
			},
			[233] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istar was the friend of beasts and birds?",
				["Answer"] = "Radagast",
			},
			[234] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gandalf\'s name as Maia?",
				["Answer"] = "Olrin",
			},
			[235] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the White Council?",
				["Answer"] = "Saruman",
			},
			[236] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what name was Smagol known?",
				["Answer"] = "Gollum",
			},
			[237] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last of the so-called \"Heirs of Isildur\"?",
				["Answer"] = "Aragorn",
			},
			[238] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Aragorn\'s father?",
				["Answer"] = "Arathorn",
			},
		}
	},
	[15] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Geography - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Eru give to the Universe?",
				["Answer"] = "E",
			},
			[2] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place where Eru and the Ainur lived before the creation of E?",
				["Answer"] = "Timeless Halls",
			},
			[3] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the emptiness that reigned before E?",
				["Answer"] = "Deeps of Time",
			},
			[4] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the highest mountain in Avathar?",
				["Answer"] = "Hyarmentir",
			},
			[5] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name was given to the planet Earth?",
				["Answer"] = "Arda",
			},
			[6] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the kingdom of the Valar?",
				["Answer"] = "Valinor",
			},
			[7] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the lands of the Elves in Valinor?",
				["Answer"] = "Eldamar",
			},
			[8] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is Valinor also called?",
				["Answer"] = "Blessed Realm",
			},
			[9] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the mound where the Two Trees were?",
				["Answer"] = "Ezellohar",
			},
			[10] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what other name is Ezellohar called?",
				["Answer"] = "Corollair",
			},
			[11] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the barren wasteland on the coast of Aman, extending northward to the Helcarax?",
				["Answer"] = "Araman",
			},
			[12] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the strait between Araman and Middle-earth?",
				["Answer"] = "Helcarax",
			},
			[13] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the lands where Ungoliant attacked Morgoth called?",
				["Answer"] = "Lammoth",
			},
			[14] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was another name for Middle-earth?",
				["Answer"] = "Endor",
			},
			[15] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place where Fanor landed after crossing the sea?",
				["Answer"] = "Firth of Drengist",
			},
			[16] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place where Fanor burned the ships of the Teleri?",
				["Answer"] = "Losgar",
			},
			[17] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great river that ran through Beleriand?",
				["Answer"] = "Sirion",
			},
			[18] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the longest tributary of the Teiglin?",
				["Answer"] = "Malduin",
			},
			[19] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main river of Doriath?",
				["Answer"] = "Esgalduin",
			},
			[20] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hidden city on the Esgalduin?",
				["Answer"] = "Menegroth",
			},
			[21] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two Dwarven cities were in Ered Luin?",
				["Answer"] = "Belegost and Nogrod",
			},
			[22] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mountain near Belegost and Nogrod?",
				["Answer"] = "Dolmed",
			},
			[23] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the highest mountain in Arda, where Manw and Varda live?",
				["Answer"] = "Taniquetil",
			},
			[24] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How are the gardens in the middle of Valinor, where Irmo lives, called?",
				["Answer"] = "Lrien",
			},
			[25] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the lake in the gardens of Irmo, where Est lives?",
				["Answer"] = "Lrellin",
			},
			[26] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the place where Elves go after they die?",
				["Answer"] = "Halls of Mandos",
			},
			[27] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lamp the Valar placed in the North of Arda?",
				["Answer"] = "Illuin",
			},
			[28] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lamp the Valar placed in Southern Arda?",
				["Answer"] = "Ormal",
			},
			[29] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the island on which the Valar dwelt until the end of the Spring of Arda?",
				["Answer"] = "Almaren",
			},
			[30] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What fortress did Melkor build before he destroyed the Spring of Arda?",
				["Answer"] = "Utumno",
			},
			[31] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Morgoth\'s fortress in northwestern Middle-earth?",
				["Answer"] = "Angband",
			},
			[32] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the region above the air where the stars were?",
				["Answer"] = "Ilmen",
			},
			[33] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the red star that Varda put in the sky?",
				["Answer"] = "Carnil",
			},
			[34] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the blue star that Varda put in the sky?",
				["Answer"] = "Luinil",
			},
			[35] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the constellation Wilwarin called today?",
				["Answer"] = "Cassiopeia",
			},
			[36] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the constellation Menelmacar called today?",
				["Answer"] = "Orion",
			},
			[37] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is Valacirca called today?",
				["Answer"] = "Ursa Major",
			},
			[38] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of The Sickle of the Valar?",
				["Answer"] = "Valacirca",
			},
			[39] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lake by which the First Born awoke?",
				["Answer"] = "Cuivinen",
			},
			[40] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Inland Sea northeast of Middle-earth?",
				["Answer"] = "Helcar",
			},
			[41] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the bay into which Sirion flowed?",
				["Answer"] = "Balar",
			},
			[42] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the mountains east of Eriador, reared by Melkor to hinder the riding of Orom?",
				["Answer"] = "Misty Mountains",
			},
			[43] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the forest on the eastern bank of the Celon, known because it was where Elw and Melian met?",
				["Answer"] = "Nan Elmoth",
			},
			[44] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the kingdom in the centre of Beleriand, protected by the Girdle of Melian?",
				["Answer"] = "Doriath",
			},
			[45] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the island next to Valinor, who transported the Teleri to Aman, and where they stayed to dwell?",
				["Answer"] = "Tol Eressa",
			},
			[46] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Cleft of Light, the pass made in the mountains of the Pelri, in which was raised the green hill of Tna?",
				["Answer"] = "Calacirya",
			},
			[47] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How are the eastern Mountains of Aman called?",
				["Answer"] = "Pelri",
			},
			[48] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city on the hill of Tna?",
				["Answer"] = "Tirion",
			},
			[49] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tower of Ingw in Tirion?",
				["Answer"] = "Mindon Eldaliva",
			},
			[50] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the city of the Teleri in Valinor?",
				["Answer"] = "Alqualond",
			},
			[51] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the stronghold where Fanor, his father and his sons went to live because of their banishment?",
				["Answer"] = "Formenos",
			},
			[52] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What great mines and mansions of Dwarves were built under the Misty Mountains?",
				["Answer"] = "Khazad-dm",
			},
			[53] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Elves call Khazad-dm?",
				["Answer"] = "Hadhodrond",
			},
			[54] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What dividing fall ran across Beleriand from East to West?",
				["Answer"] = "Andram",
			},
			[55] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land southeast of Beleriand that was bathed by Seven Rivers?",
				["Answer"] = "Ossiriand",
			},
			[56] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Noldor call Ossiriand?",
				["Answer"] = "Lindon",
			},
			[57] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the two great forests of Doriath?",
				["Answer"] = "Neldoreth and Region",
			},
			[58] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves call the Moon?",
				["Answer"] = "Isil",
			},
			[59] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sun called?",
				["Answer"] = "Anar",
			},
			[60] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What islands were raised during the Hiding of Valinor?",
				["Answer"] = "Enchanted Isles",
			},
			[61] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What happened to those who set foot in the Enchanted Isles?",
				["Answer"] = "Slept until the Change of the World",
			},
			[62] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lands in which Men awoke?",
				["Answer"] = "Hildrien",
			},
			[63] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountains separated Lammoth from Hithlum?",
				["Answer"] = "Ered Lmin",
			},
			[64] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the pass between mountains that connected the Firth of Drengist and Hithlum?",
				["Answer"] = "Cirith Ninniach",
			},
			[65] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great lake and the surrounding lands east of Hithlum?",
				["Answer"] = "Mithrim",
			},
			[66] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the great lands between Ered Lmin and Ered Wethrin called?",
				["Answer"] = "Hithlum",
			},
			[67] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the great grassy plain north Dorthonion and east of Ered Wethrin?",
				["Answer"] = "Ard-galen",
			},
			[68] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what mountains has the Sirion got its source?",
				["Answer"] = "Ered Wethrin",
			},
			[69] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the sources of Sirion called?",
				["Answer"] = "Eithel Sirion",
			},
			[70] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What fen was at the junction of the two rivers that came from Sirion\'s Well?",
				["Answer"] = "Serech",
			},
			[71] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the two great Havens of the Falas?",
				["Answer"] = "Brithombar and Eglarest",
			},
			[72] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the river in West Beleriand that flowed into the Great Sea at Brithombar?",
				["Answer"] = "Brithon",
			},
			[73] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the river in West Beleriand that flowed into the Great Sea at Eglarest?",
				["Answer"] = "Nenning",
			},
			[74] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what mountains of Morgoth\'s realm black vapours were released at  sunrise?",
				["Answer"] = "Ered Engrin",
			},
			[75] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what hill did the fortress of Maedhros stand?",
				["Answer"] = "Himring",
			},
			[76] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land to the north of Ossiriand that extended to Mount Rerir?",
				["Answer"] = "Thargelion",
			},
			[77] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountain was to the north of Thargelion?",
				["Answer"] = "Rerir",
			},
			[78] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lake was in the north of Thargelion?",
				["Answer"] = "Helevorn",
			},
			[79] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Narog River had its source?",
				["Answer"] = "Eithel Ivrin",
			},
			[80] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How are the Meres of Twilight called, at the junction of the Aros and Sirion?",
				["Answer"] = "Aelin-uial",
			},
			[81] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what valley was Gondolin placed?",
				["Answer"] = "Tumladen",
			},
			[82] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Fingolfin\'s main stronghold?",
				["Answer"] = "Eithel Sirion",
			},
			[83] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fortress of Eithel Sirion?",
				["Answer"] = "Barad Eithel",
			},
			[84] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Nevrast lagoon?",
				["Answer"] = "Linaewen",
			},
			[85] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land comprising the triangle Drengist-Mount Taras-Dor-lmin\'s southern edge?",
				["Answer"] = "Nevrast",
			},
			[86] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What city was under Mount Taras?",
				["Answer"] = "Vinyamar",
			},
			[87] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands were between Ered Gorgoroth and Ard-gGalen?",
				["Answer"] = "Dorthonion",
			},
			[88] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What city did Finrod build in Tol Sirion?",
				["Answer"] = "Minas Tirith",
			},
			[89] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What forest was between Sirion and Teiglin?",
				["Answer"] = "Brethil",
			},
			[90] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Brethil stream that was a tributary of the Teiglin?",
				["Answer"] = "Celebros",
			},
			[91] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land in which the Narog joined Sirion?",
				["Answer"] = "Nan Tathren",
			},
			[92] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the source of the Teiglin river?",
				["Answer"] = "Ered Wethrin",
			},
			[93] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What tower did Finrod raise on the coast to watch over the West Sea?",
				["Answer"] = "Barad Nimras",
			},
			[94] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kingdom of the Noldor was the greatest in Middle-earth?",
				["Answer"] = "Nargothrond",
			},
			[95] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What peaks in Beleriand did the Eagles inhabit in the First Age?",
				["Answer"] = "Crissaegrim",
			},
			[96] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What valley was between the rivers Mindeb and Esgalduin and between Doriath and Ered Gorgoroth?",
				["Answer"] = "Nan Dungortheb",
			},
			[97] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the Fords of Aros?",
				["Answer"] = "Arossiach",
			},
			[98] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lonely mountain was at the eastern end of Andram?",
				["Answer"] = "Amon Ereb",
			},
			[99] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What great forest was between Sirion and Gelion?",
				["Answer"] = "Taur-im-Duinath",
			},
			[100] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what mountain was the Little Gelion born?",
				["Answer"] = "Himring",
			},
			[101] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what mountain was the Greater Gelion born?",
				["Answer"] = "Rerir",
			},
			[102] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the river Ascar later called?",
				["Answer"] = "Rathlriel",
			},
			[103] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the island in the middle of the Adurant River?",
				["Answer"] = "Tol Galen",
			},
			[104] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great plain on the March of Maedhros, east of Ard-galen?",
				["Answer"] = "Lothlann",
			},
			[105] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the source of river Gelion?",
				["Answer"] = "Himring",
			},
			[106] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the passage between Dorthonion and Himring?",
				["Answer"] = "Pass of Aglon",
			},
			[107] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land between the two arms of the Gelion, in reference to its Lord?",
				["Answer"] = "Maglor\'s Gap",
			},
			[108] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land between the rivers Aros and Gelion?",
				["Answer"] = "Himlad",
			},
			[109] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill where Gondolin was?",
				["Answer"] = "Amon Gwareth",
			},
			[110] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What ford of Sirion was on the northern edge of Brethil?",
				["Answer"] = "Brithiach",
			},
			[111] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were The Encircling Mountains called?",
				["Answer"] = "Echoriath",
			},
			[112] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What ford crossed the Gelion on the Dwarf-road?",
				["Answer"] = "Sarn Athrad",
			},
			[113] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the route that crossed Thargelion in the south, coming from Ered Luin?",
				["Answer"] = "Dwarf-road",
			},
			[114] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land south of Nan Elmoth and east of Celon, where many Edain lived?",
				["Answer"] = "Estolad",
			},
			[115] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name was given to Ard-galen after the 4th Battle of Beleriand?",
				["Answer"] = "Anfauglith",
			},
			[116] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was given to Minas Tirith when it was taken after the 4th Battle of Beleriand?",
				["Answer"] = "Tol-in-Gaurhoth",
			},
			[117] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lake of Dorthonion?",
				["Answer"] = "Tarn Aeluin",
			},
			[118] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Eldar call Tol Galen since of Beren and Lthien lived there?",
				["Answer"] = "Dor Firn-i-Guinar",
			},
			[119] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the two names given to the mound of corpses that the Orcs made at Anfauglith after the 5th Battle of Beleriand?",
				["Answer"] = "Haudh-en-Ndengin and Haudh-en-Nirnaeth",
			},
			[120] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the burial-mound of Finduilas?",
				["Answer"] = "Haudh-en-Elleth",
			},
			[121] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lonely mountain west of Sirion?",
				["Answer"] = "Amon Rdh",
			},
			[122] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name was given to the lands dominated by Amon Rdh when Trin and Beleg met?",
				["Answer"] = "Dor-Carthol",
			},
			[123] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What flower kind grew in Amon Rdh?",
				["Answer"] = "Seregon",
			},
			[124] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Mm baptize his abode when he let Trin live there?",
				["Answer"] = "Bar-en-Danwedh",
			},
			[125] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of The Guarded Plain, north of Nargothrond?",
				["Answer"] = "Talath Dirnen",
			},
			[126] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill of Brethil where Ephel Brandir stood?",
				["Answer"] = "Amon Obel",
			},
			[127] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the waterfall of the Celebros in the Forest of Brethil?",
				["Answer"] = "Dimrost",
			},
			[128] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name, meaning \"Shuddering Water\", did Dimrost, the falls of Celebros, take?",
				["Answer"] = "Nen Girith",
			},
			[129] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the deep gorge in the river Teiglin where Glaurung died?",
				["Answer"] = "Cabed-en-Aras",
			},
			[130] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Cabed-en-Aras called after Nniel threw himself there?",
				["Answer"] = "Cabed Naeramarth",
			},
			[131] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Morwen\'s tomb called?",
				["Answer"] = "Stone of the Hapless",
			},
			[132] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the caverns of Mithrim, where Tuor lived?",
				["Answer"] = "Androth",
			},
			[133] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the entrance to the subterranean watercourse that led to Cirith Ninniach?",
				["Answer"] = "Annon-in-Gelydh",
			},
			[134] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the high pass in the Echoriath through which Tuor, Idril, etc. escaped from Gondolin?",
				["Answer"] = "Cirith Thoronath",
			},
			[135] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the coasts west of the mouth of Sirion called?",
				["Answer"] = "Arvernien",
			},
			[136] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the birch forests of Arvernien called?",
				["Answer"] = "Nimbrethil",
			},
			[137] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name given to the island that emerged for the Edain in the Great Sea?",
				["Answer"] = "Nmenor",
			},
			[138] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the town of Tol Eressa that was closest to Nmenor?",
				["Answer"] = "Avalln",
			},
			[139] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main city and port on the north-western coast of Nmenor?",
				["Answer"] = "Andni",
			},
			[140] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mountain in the middle of Nmenor, on which was the temple hallowed to Eru?",
				["Answer"] = "Meneltarma",
			},
			[141] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most beautiful city in Nmenor, near Meneltarma?",
				["Answer"] = "Armenelos",
			},
			[142] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Nmenrean city and port on the Anduin delta?",
				["Answer"] = "Pelargir",
			},
			[143] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the main city and port on the eastern coast of Nmenor?",
				["Answer"] = "Rmenna",
			},
			[144] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what hills near Andni was the tower that Tar-Minastir built, a tower to see the Undying Lands?",
				["Answer"] = "Oromet",
			},
			[145] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Nmenor called in allusion to its shape?",
				["Answer"] = "Land of the Star",
			},
			[146] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name, in Adnaic, did receive Nmenor in the memories of Men, after sinking into the sea?",
				["Answer"] = "Akallabth",
			},
			[147] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the gulf west of Middle-earth, created in the sinking of Beleriand?",
				["Answer"] = "Gulf of Lhn",
			},
			[148] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the river that flowed down from Ered Luin to the Grey Havens?",
				["Answer"] = "Lhn",
			},
			[149] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Elven ports west of Middle-earth called in the Second and Third Ages?",
				["Answer"] = "Mithlond",
			},
			[150] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Noldorin kingdom near Khazad-dm, in the Second Age?",
				["Answer"] = "Eregion",
			},
			[151] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city of the Elves in Eregion?",
				["Answer"] = "Ost-in-Edhil",
			},
			[152] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Elves call Khazad-dm after the ruin of Eregion, when it was closed?",
				["Answer"] = "Moria",
			},
			[153] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Elrond call his abode near the Misty Mountains?",
				["Answer"] = "Imladris",
			},
			[154] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the common name of Imladris?",
				["Answer"] = "Rivendell",
			},
			[155] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the lands between the Blue Mountains and the Misty Mountains called?",
				["Answer"] = "Eriador",
			},
			[156] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the capital of the kingdom of Arnor?",
				["Answer"] = "Annminas",
			},
			[157] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what lake next to Annminas was the source of the Baranduin?",
				["Answer"] = "Nenuial",
			},
			[158] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city of Arnor upon the North Downs?",
				["Answer"] = "Fornost",
			},
			[159] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the southern Kingdom of Eriador, formerly part of Arnor?",
				["Answer"] = "Cardolan",
			},
			[160] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the northwestern region of Eriador, north of Rivendell, one of the kingdoms into which Arnold was divided?",
				["Answer"] = "Rhudaur",
			},
			[161] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hills next to which Annminas were built?",
				["Answer"] = "Emyn Beraid",
			},
			[162] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the bay in Middle-earth where the Anduin flowed?",
				["Answer"] = "Belfalas",
			},
			[163] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the river that came down from Rhovanion and formed the boundary of Rohan and Gondor to the east?",
				["Answer"] = "Anduin",
			},
			[164] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the great falls of Anduin called?",
				["Answer"] = "Rauros",
			},
			[165] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ancient city of Gondor at the Anduin?",
				["Answer"] = "Osgiliath",
			},
			[166] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city of Gondor in the Mountains of Shadow?",
				["Answer"] = "Minas Ithil",
			},
			[167] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the city of Gondor on the west bank of the Anduin originally called?",
				["Answer"] = "Minas Anor",
			},
			[168] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Glittering Cavern in Helm\'s Deep?",
				["Answer"] = "Aglarond",
			},
			[169] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the carvings of Isildur and Anarion in Anduin, on the borders of Gondor?",
				["Answer"] = "Argonath",
			},
			[170] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill west of Gondor where the Stone of Isildur was?",
				["Answer"] = "Erech",
			},
			[171] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fortress west of ancient Gondor, which was handed over to Curunr?",
				["Answer"] = "Angrenost",
			},
			[172] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what name, in the language of Rohan, was Angrenost commonly called?",
				["Answer"] = "Isengard",
			},
			[173] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tower of Isengard?",
				["Answer"] = "Orthanc",
			},
			[174] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the tallest of Elendil\'s towers above Emyn Beraid?",
				["Answer"] = "Elostirion",
			},
			[175] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land of Sauron, east of Gondor?",
				["Answer"] = "Mordor",
			},
			[176] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the common name of the Ephel Dath?",
				["Answer"] = "Mountains of Shadow",
			},
			[177] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Mordor plateau at the convergence of the Mountains of Shadow and the Mountains of Ash?",
				["Answer"] = "Gorgoroth",
			},
			[178] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tower of Mordor, in which Sauron lived?",
				["Answer"] = "Barad-dr",
			},
			[179] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the volcano that was on Gorgoroth?",
				["Answer"] = "Orodruin",
			},
			[180] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the plain in front of the Black Gate, where Sauron\'s troops faced the Last Alliance?",
				["Answer"] = "Dagorlad",
			},
			[181] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the fields at the foot of the Misty Mountains and north of Lothlorien called?",
				["Answer"] = "Gladden Fields",
			},
			[182] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the forest on the west bank of the Anduin, in its middle course?",
				["Answer"] = "Lothlrien",
			},
			[183] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river did run throu Lothlrien?",
				["Answer"] = "Celebrant",
			},
			[184] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the vast region east of the Misty Mountains?",
				["Answer"] = "Rhovanion",
			},
			[185] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great forest east of Anduin until the second third of the Third Age?",
				["Answer"] = "Greenwood the Great",
			},
			[186] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Green Region\", northern part of Gondor?",
				["Answer"] = "Calenardhon",
			},
			[187] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land of the Rohirrim?",
				["Answer"] = "Rohan",
			},
			[188] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Greenwood called when evil invaded it?",
				["Answer"] = "Mirkwood",
			},
			[189] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the evil fortress south of Mirkwood?",
				["Answer"] = "Dol Guldur",
			},
			[190] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mountain behind Minas Anor?",
				["Answer"] = "Mindolluin",
			},
			[191] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the path by which one arrives at the True West?",
				["Answer"] = "Straight Way",
			},
			[192] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the lands of Men south of Middle-earth called?",
				["Answer"] = "Harad",
			},
		}
	},
	[16] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "History - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the song of the Ainur told in Ainulindal?",
				["Answer"] = "Great Music",
			},
			[2] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Eru send to Arda to be the heart of the World?",
				["Answer"] = "Flame Imperishable",
			},
			[3] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What text is about the Music of the Ainur?",
				["Answer"] = "Ainulindal",
			},
			[4] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What text is about the Valar and the Maiar?",
				["Answer"] = "Valaquenta",
			},
			[5] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What text is about the Silmarils and the tale surrounding them?",
				["Answer"] = "Quenta Silmarillion",
			},
			[6] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What text is about Nmenor, from its rising to its Downfall?",
				["Answer"] = "Akallabth",
			},
			[7] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What text is about the tale of the Rings?",
				["Answer"] = "Of the Rings of Power",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What significant period of peace and flourishing started with the construction of the Two Lamps?",
				["Answer"] = "Spring of Arda",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Maia, who was attracted by Melkor, soon repented and was forgiven, returning to his allegiance?",
				["Answer"] = "Oss",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Created the Dwarves?",
				["Answer"] = "Aul",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Created the Eagles?",
				["Answer"] = "Manw",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At whose request did the Ents come to Arda?",
				["Answer"] = "Yavanna",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded for a time the fortress that Melkor had built near the northwestern shores of Middle-earth?",
				["Answer"] = "Sauron",
			},
			[14] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With the light of which of the Two Trees did Varda make the stars Carnil, Luinil, Nnar, Lumbar, Alcarinqu and Elemmr?",
				["Answer"] = "Telperion",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For how many ages was Melkor sentenced when he was captured at Utumno?",
				["Answer"] = "3",
			},
			[16] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Eldar pilgrimaged to from their birth place?",
				["Answer"] = "Aman",
			},
			[17] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the Eldar kins was the last to arrive to Aman?",
				["Answer"] = "Teleri",
			},
			[18] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What vehicle transported the Noldor and the Vanyar to Aman?",
				["Answer"] = "Island",
			},
			[19] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the Two Trees was Galathilion made to be like?",
				["Answer"] = "Telperion",
			},
			[20] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what mountain did the Vanyar move from Tna?",
				["Answer"] = "Taniquetil",
			},
			[21] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was expelled from Tirion for some years for sowing discord among the Noldor?",
				["Answer"] = "Fanor",
			},
			[22] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For how many years was Fanor banished from Tirion by the Valar?",
				["Answer"] = "12",
			},
			[23] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what lands did Melkor go after escaping from the Valar?",
				["Answer"] = "Avathar",
			},
			[24] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Destroyed the Two Trees?",
				["Answer"] = "Ungoliant",
			},
			[25] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Morgoth in Lammoth and embarrassed him with the power he himself had given her?",
				["Answer"] = "Ungoliant",
			},
			[26] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What creatures saved Morgoth from Ungoliant?",
				["Answer"] = "Balrogs",
			},
			[27] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ungoliant live after fleeing from Lammoth?",
				["Answer"] = "Nan Dungortheb",
			},
			[28] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the curse that fell on the Noldor and that Mandos pronounced?",
				["Answer"] = "Prophecy of the North",
			},
			[29] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What strait did the Noldor that stayed betrayed in Araman crossed through?",
				["Answer"] = "Helcarax",
			},
			[30] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What flower, which also grew in Lothlrien, first grew with the birth of Lthien?",
				["Answer"] = "Niphredil",
			},
			[31] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great multi-peaked mountain that Melkor raised at Angband?",
				["Answer"] = "Thangorodrim",
			},
			[32] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what Tree was the Moon born?",
				["Answer"] = "Telperion",
			},
			[33] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what Tree was the Sun born?",
				["Answer"] = "Laurelin",
			},
			[34] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which rose first, the Sun or the Moon?",
				["Answer"] = "Moon",
			},
			[35] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what other name is the First Age known?",
				["Answer"] = "Elder Days",
			},
			[36] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Valar were the ones who never believed Melkor\'s words after he was freed?",
				["Answer"] = "Tulkas and Ulmo",
			},
			[37] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first person of the Eldar to go to the Halls of Mandos?",
				["Answer"] = "Mriel",
			},
			[38] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who came down to Ezellohar to mourn the death of the Two Trees?",
				["Answer"] = "Nienna",
			},
			[39] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who aided Melkor in his vengeance against the Valar?",
				["Answer"] = "Ungoliant",
			},
			[40] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose was the first blood that was shed in the Blessed Realm?",
				["Answer"] = "Finw",
			},
			[41] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Fanor and his followers utter in Tirion to stand united in the fight against anyone who got a Silmaril and did not return it to Fanor or his Sons?",
				["Answer"] = "Oath",
			},
			[42] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Fanor do with the Teleri\'s ships when they did not voluntarily lend them to him to leave Valinor?",
				["Answer"] = "Stole them",
			},
			[43] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first slaying of Elf by Elf, which occurred at Alqualond?",
				["Answer"] = "Kinslaying",
			},
			[44] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the only Noldor House that did not fight at Alqualond?",
				["Answer"] = "Finarfin",
			},
			[45] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which leader of the Noldor returned with some of his people upon hearing the Prophecy of the North?",
				["Answer"] = "Finarfin",
			},
			[46] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who invented the runes of the Sindar?",
				["Answer"] = "Daeron",
			},
			[47] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who taught the Teleri how to make boats?",
				["Answer"] = "Oss",
			},
			[48] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first to devise signs for writing?",
				["Answer"] = "Rmil",
			},
			[49] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, surpassing Rmil, invented the runes that were later used by all the Eldar?",
				["Answer"] = "Fanor",
			},
			[50] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which son of Lenw led part of the Nandor to the west again?",
				["Answer"] = "Denethor",
			},
			[51] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Maia was the only one among the Ainur to marry a Son of Ilvatar?",
				["Answer"] = "Melian",
			},
			[52] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Kingdom of Thingol and Melian called?",
				["Answer"] = "Doriath",
			},
			[53] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What city did Thingol and Melian live in?",
				["Answer"] = "Menegroth",
			},
			[54] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were Fanor and his men encamped when Morgoth attacked them?",
				["Answer"] = "Mithrim",
			},
			[55] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Killed Fanor?",
				["Answer"] = "Gothmog",
			},
			[56] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Second Battle of Beleriand?",
				["Answer"] = "Dagor-nuin-Giliath",
			},
			[57] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who lived in Mithrim when the Noldor arrived?",
				["Answer"] = "Sindar",
			},
			[58] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Morgoth kidnap to bribe the sons of Fanor?",
				["Answer"] = "Maedhros",
			},
			[59] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who went alone to rescue Maedhros from the peaks of Thangorodrim?",
				["Answer"] = "Fingon",
			},
			[60] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Fingon do to find Maedhros in Thangorodrim?",
				["Answer"] = "Sang and played the harp",
			},
			[61] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Maedhros ask of Fingon when Fingon could not reach him in Thangorodrim?",
				["Answer"] = "Kill him",
			},
			[62] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who brought Fingon to Maedhros in Thangorodrim?",
				["Answer"] = "Thorondor",
			},
			[63] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Fingon do to free Maedhros from the chain that held him in Thangorodrim?",
				["Answer"] = "Cut off his hand",
			},
			[64] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the House of Fanor called when they waived the claimed to kingship of the Noldor to Fingolfin?",
				["Answer"] = "Dispossessed",
			},
			[65] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the High King of the Noldor in Middle-earth when Maedhros waived his claim to kingship?",
				["Answer"] = "Fingolfin",
			},
			[66] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Feast of Reuniting, held at Eithel Ivrin?",
				["Answer"] = "Mereth Aderthad",
			},
			[67] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Turgon inhabit when he first came to Beleriand?",
				["Answer"] = "Nevrast",
			},
			[68] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ulmo appear to Finrod and Turgon?",
				["Answer"] = "Meres of Twilight",
			},
			[69] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Finrod build the city of Nargothrond?",
				["Answer"] = "Caverns of Narog",
			},
			[70] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who guided Turgon to the future site of his hidden city?",
				["Answer"] = "Ulmo",
			},
			[71] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hidden city of Finrod?",
				["Answer"] = "Nargothrond",
			},
			[72] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What land did Caranthir dwell in?",
				["Answer"] = "Thargelion",
			},
			[73] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hidden city of Turgon?",
				["Answer"] = "Gondolin",
			},
			[74] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Based on which city did Turgon build his hidden city?",
				["Answer"] = "Tirion",
			},
			[75] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the image of which city did Finrod try to build Nargothrond?",
				["Answer"] = "Menegroth",
			},
			[76] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Dragon came out of Angband after two hundred years of Siege?",
				["Answer"] = "Glaurung",
			},
			[77] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Third Battle of Beleriand?",
				["Answer"] = "Dagor Aglareb",
			},
			[78] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "After what battle did the Siege of Angband begin?",
				["Answer"] = "Dagor Aglareb",
			},
			[79] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who gave horses to Fingolfin as compensation for his casualties at Helcarax?",
				["Answer"] = "Maedhros",
			},
			[80] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years did it the construction of Gondolin take?",
				["Answer"] = "52",
			},
			[81] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ulmo last appear?",
				["Answer"] = "Vinyamar",
			},
			[82] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whence did Ulmo tell Turgon that someone would come to warn him when danger came?",
				["Answer"] = "Nevrast",
			},
			[83] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who first spoke of the purpose that had brought the Noldor to Middle-earth?",
				["Answer"] = "Galadriel",
			},
			[84] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who knew first that the Noldor came to Middle-earth red-handed?",
				["Answer"] = "Crdan",
			},
			[85] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the one that unveiled to Thingol the whole story about the exile of the Noldor?",
				["Answer"] = "Angrod",
			},
			[86] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Princess of the Noldor decided to leave Gondolin two hundred years after its completion?",
				["Answer"] = "Aredhel",
			},
			[87] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what lands did Aredhel lose his escorts on his way to Himlad?",
				["Answer"] = "Nan Dungortheb",
			},
			[88] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Aredhel wish to see instead of going to Hithlum as Turgon commanded?",
				["Answer"] = "Celegorm",
			},
			[89] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what forest did Aredhel went astray on one of his rides from Himlad?",
				["Answer"] = "Nan Elmoth",
			},
			[90] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did El meet in Himlad when he set out in search of Aredhel and Maeglin?",
				["Answer"] = "Curufin",
			},
			[91] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Aredhel?",
				["Answer"] = "El",
			},
			[92] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was El trying to kill when he mistakenly killed Aredhel?",
				["Answer"] = "Maeglin",
			},
			[93] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Turgon\'s sentence for El\'s after he killed Aredhel?",
				["Answer"] = "Death",
			},
			[94] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Maeglin wish to possess since he came to Gondolin?",
				["Answer"] = "Idril",
			},
			[95] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Finrod hunt with before he first met the Race of Men?",
				["Answer"] = "Maedhros and Maglor",
			},
			[96] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first in Beleriand to meet the Race of Men?",
				["Answer"] = "Finrod",
			},
			[97] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were Men first seen in Beleriand?",
				["Answer"] = "Ossiriand",
			},
			[98] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Finrod do when he discovered the Men, when they fell asleep?",
				["Answer"] = "Sing",
			},
			[99] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Men think Finrod was the first time they saw him?",
				["Answer"] = "Vala",
			},
			[100] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many times did Morgoth leave his domain in the North?",
				["Answer"] = "1",
			},
			[101] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many times did Morgoth himself wield a weapon?",
				["Answer"] = "1",
			},
			[102] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the single event that caused Morgoth to leave his Northern Kingdom?",
				["Answer"] = "Awakening of Men",
			},
			[103] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only event that caused Morgoth to wield a weapon?",
				["Answer"] = "Fingolfin\'s Challenge",
			},
			[104] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What chief of Men did Finrod take to Nargothrond?",
				["Answer"] = "Bor",
			},
			[105] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did part of the people of Bor migrate from Estolad?",
				["Answer"] = "Dorthonion",
			},
			[106] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did part of the people of Marach migrate from Estolad?",
				["Answer"] = "Hithlum",
			},
			[107] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Under what mountains were the valleys to which part of the people of Marach migrated from Hithlum?",
				["Answer"] = "Ered Wethrin",
			},
			[108] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took Amlach\'s followers service with when they left?",
				["Answer"] = "Maedhros",
			},
			[109] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What killed Haldad and Haldar of the Haladin?",
				["Answer"] = "Orcs",
			},
			[110] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose army saved the Haladin from the Orcs in Thargelion?",
				["Answer"] = "Caranthir",
			},
			[111] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the Haladin after the death of Haldad and Haldar?",
				["Answer"] = "Haleth",
			},
			[112] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Haladin of Haleth stop for a while before continuing west?",
				["Answer"] = "Estolad",
			},
			[113] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what forest did most of the people of Haleth finally dwell?",
				["Answer"] = "Brethil",
			},
			[114] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mound in which Haleth was buried?",
				["Answer"] = "Tr Haretha",
			},
			[115] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What great-grandson of Marach received the lordship of Dor-lmin?",
				["Answer"] = "Hador",
			},
			[116] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What grandson of Bor received the lordship of Ladros and Dorthonion?",
				["Answer"] = "Boromir",
			},
			[117] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first man the Eldar saw die?",
				["Answer"] = "Bor",
			},
			[118] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who wanted to attack Morgoth shortly before the 4th Battle of Beleriand broke out?",
				["Answer"] = "Aegnor Angrod and Fingolfin",
			},
			[119] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years had passed since Fingolfin\'s arrival when the 4th Battle of Beleriand broke out?",
				["Answer"] = "455",
			},
			[120] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Morgoth send for Ard-galen that was the start of the 4th Battle of Beleriand?",
				["Answer"] = "Rivers of flame",
			},
			[121] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the 4th Battle of Beleriand?",
				["Answer"] = "Dagor Bragollach",
			},
			[122] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was at the front of the flames at the 4th Battle of Beleriand?",
				["Answer"] = "Glaurung",
			},
			[123] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what battle did Angrod and Aegnor die?",
				["Answer"] = "Dagor Bragollach",
			},
			[124] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In What Battle Did Bregolas Die?",
				["Answer"] = "Dagor Bragollach",
			},
			[125] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Finrod in the Dagor Bragollach?",
				["Answer"] = "Barahir",
			},
			[126] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Finrod give to Barahir as a symbol of his promise to help him when he needed it?",
				["Answer"] = "Ring",
			},
			[127] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hador and Gundor of Dor-lmin fall?",
				["Answer"] = "Eithel Sirion",
			},
			[128] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In What Battle Did Hador and Gundor Fall?",
				["Answer"] = "Dagor Bragollach",
			},
			[129] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Hador as Lord of Dor-lmin?",
				["Answer"] = "Galdor",
			},
			[130] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which sons of Fanor fled to Nargothrond after they were defeated in the 4th Battle of Beleriand?",
				["Answer"] = "Celegorm and Curufin",
			},
			[131] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Maglor go after the 4th Battle of Beleriand?",
				["Answer"] = "Himring",
			},
			[132] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Amrod and Amras go after the 4th Battle of Beleriand?",
				["Answer"] = "Amon Ereb",
			},
			[133] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who challenged Morgoth to a single combat?",
				["Answer"] = "Fingolfin",
			},
			[134] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many times did Fingolfin wound Morgoth before stumbling?",
				["Answer"] = "7",
			},
			[135] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Killed Fingolfin?",
				["Answer"] = "Morgoth",
			},
			[136] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who carried Fingolfin\'s body to Gondolin?",
				["Answer"] = "Thorondor",
			},
			[137] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the High King of the Noldor in Middle-earth when Fingolfin died?",
				["Answer"] = "Fingon",
			},
			[138] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took over Minas Tirith two years after the 4th Battle of Beleriand?",
				["Answer"] = "Sauron",
			},
			[139] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, at the head of the Sindar and the Haladin respectively, stopped the Orc wave in Brethil after the capture of Minas Tirith?",
				["Answer"] = "Beleg and Halmir",
			},
			[140] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Hrin and Huor\'s company at the Ford of Brithiach, in one of their raids?",
				["Answer"] = "Ulmo",
			},
			[141] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were taken by the Eagles to Gondolin when they saw them lost in Dimbar?",
				["Answer"] = "Huor and Hrin",
			},
			[142] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the first Men to see Gondolin?",
				["Answer"] = "Huor and Hrin",
			},
			[143] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Galdor, Lord of Dor-lmin, die?",
				["Answer"] = "Eithel Sirion",
			},
			[144] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Morgoth attack seven years after the 4th Battle of Beleriand?",
				["Answer"] = "Hithlum",
			},
			[145] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose army saved Fingon from defeat at Hithlum seven years after the 4th Battle of Beleriand, in one of their sea raids?",
				["Answer"] = "Crdan",
			},
			[146] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Galdor in the Lordship of Dor-lmin?",
				["Answer"] = "Hrin",
			},
			[147] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of Barahir\'s twelve companions in Dorthonion betrayed him, being deceived by Sauron?",
				["Answer"] = "Gorlim",
			},
			[148] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Gorlim appear in a dream to warn of his betrayal?",
				["Answer"] = "Beren",
			},
			[149] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Beren recover from the Orcs who had killed his fellow fugitives?",
				["Answer"] = "Ring of Felagund",
			},
			[150] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Morgoth send to hunt Beren?",
				["Answer"] = "Sauron",
			},
			[151] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What terrible valley did Beren have to cross to get from Dorthonion to Doriath?",
				["Answer"] = "Nan Dungortheb",
			},
			[152] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Beren find Lthien?",
				["Answer"] = "Neldoreth",
			},
			[153] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who warned Thingol about Beren and Lthien?",
				["Answer"] = "Daeron",
			},
			[154] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Thingol ask for Lthien\'s hand?",
				["Answer"] = "Silmaril",
			},
			[155] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Beren seek out of Doriath?",
				["Answer"] = "Finrod",
			},
			[156] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who spoke out against Beren in Nargothrond?",
				["Answer"] = "Celegorm and Curufin",
			},
			[157] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled Nargothrond after Finrod\'s departure?",
				["Answer"] = "Orodreth",
			},
			[158] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many men accompanied Beren and Finrod on their quest?",
				["Answer"] = "10",
			},
			[159] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the head of the company that accompanied Beren and Finrod from Nargothrond?",
				["Answer"] = "Edrahil",
			},
			[160] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Finrod fight with songs of power?",
				["Answer"] = "Sauron",
			},
			[161] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who kidnapped Lthien and held her in Nargothrond?",
				["Answer"] = "Celegorm",
			},
			[162] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who got Lthien out of Nargothrond?",
				["Answer"] = "Huan",
			},
			[163] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were Finrod, Beren, and their companions imprisoned?",
				["Answer"] = "Tol-in-Gaurhoth",
			},
			[164] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Destroyed Tol-in-Gaurhoth?",
				["Answer"] = "Lthien",
			},
			[165] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What famous werewolf fought Huan at Tol-in-Gaurhoth?",
				["Answer"] = "Draugluin",
			},
			[166] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What form did Sauron take to escape from Tol-in-Gaurhoth?",
				["Answer"] = "Vampire",
			},
			[167] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sauron live after escaping from Tol-in-Gaurhoth?",
				["Answer"] = "Taur-nu-Fuin",
			},
			[168] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which grandson of Fanor repudiated his father\'s actions and stayed to live in Nargothrond?",
				["Answer"] = "Celebrimbor",
			},
			[169] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which sons of Fanor tried to kill Beren and kidnap Lthien?",
				["Answer"] = "Celegorm and Curufin",
			},
			[170] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Huan speak to for the first time?",
				["Answer"] = "Lthien",
			},
			[171] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Huan speak to for the Second Time?",
				["Answer"] = "Beren",
			},
			[172] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose shape did Beren take to Angband?",
				["Answer"] = "Draugluin",
			},
			[173] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose shape did Lthien Take to Angband?",
				["Answer"] = "Thuringwethil",
			},
			[174] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Sauron\'s messenger in the First Age?",
				["Answer"] = "Thuringwethil",
			},
			[175] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who guarded the gates of Angband waiting for Huan?",
				["Answer"] = "Carcharoth",
			},
			[176] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Lthien do to Carcharoth in front of the gates of Angband?",
				["Answer"] = "Commanded him to sleep",
			},
			[177] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Lthien do to Morgoth on his throne?",
				["Answer"] = "Set upon him a dream",
			},
			[178] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was \"the most dreadful terror that came ever into Beleriand before Angband\'s fall\", which attacked even the servants of Morgoth?",
				["Answer"] = "Carcharoth",
			},
			[179] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Carcharoth do to Beren in Angband?",
				["Answer"] = "Bit his hand off",
			},
			[180] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What brought Beren and Lthien out of Angband?",
				["Answer"] = "Eagles",
			},
			[181] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who went out of Menegroth to the Hunting of the Wolf?",
				["Answer"] = "Beleg Beren Huan Mablung and Thingol",
			},
			[182] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Beren?",
				["Answer"] = "Carcharoth",
			},
			[183] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Huan?",
				["Answer"] = "Carcharoth",
			},
			[184] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Carcharoth?",
				["Answer"] = "Huan",
			},
			[185] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Huan speak to for the last time?",
				["Answer"] = "Beren",
			},
			[186] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Lthien do before Mandos?",
				["Answer"] = "Sang",
			},
			[187] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first union between Firstborn and Secondborn?",
				["Answer"] = "Beren and Lthien",
			},
			[188] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What forest did El live in before going to Nan Elmoth?",
				["Answer"] = "Region",
			},
			[189] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Beren and Lthien live their second life?",
				["Answer"] = "Tol Galen",
			},
			[190] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the alliance Maedhros made to attack Morgoth in what was the 5th Battle of Beleriand?",
				["Answer"] = "Union of Maedhros",
			},
			[191] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the only company to leave Nargothrond for the 5th Battle of Beleriand?",
				["Answer"] = "Gwindor",
			},
			[192] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose people were joined by the only company that left Nargothrond for the 5th Battle of Beleriand?",
				["Answer"] = "Fingon",
			},
			[193] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose people did Mablung and Beleg join for the 5th Battle of Beleriand?",
				["Answer"] = "Fingon",
			},
			[194] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two great captains of Thingol did not want to miss the 5th Battle of Beleriand?",
				["Answer"] = "Beleg and Mablung",
			},
			[195] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of the Noldor, who had not been called to the alliance, appeared at the 5th Battle of Beleriand?",
				["Answer"] = "Turgon",
			},
			[196] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who started the 5th Battle of Beleriand, being the one who attacked first, and followed by all?",
				["Answer"] = "Gwindor",
			},
			[197] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In What Battle Did Haldir of Brethil Die?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[198] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the 5th Battle of Beleriand called?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[199] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Great Battles of Beleriand?",
				["Answer"] = "5",
			},
			[200] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the year of the 5th Battle of Beleriand called?",
				["Answer"] = "Year of Lamentation",
			},
			[201] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what Battle did Ulfast and Ulwarth of the Easterlings die?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[202] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what Battle did the Sons of Borr die?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[203] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which chief of the Easterners betrayed Maedhros?",
				["Answer"] = "Uldor",
			},
			[204] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Dwarves of Nogrod escape to protect the Sons of Fanor at the 5th Battle of Beleriand?",
				["Answer"] = "Mount Dolmed",
			},
			[205] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who severely wounded Glaurung in the 5th Battle of Beleriand, causing him and the other beasts of Angband to retreat?",
				["Answer"] = "Azaghl",
			},
			[206] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Azaghl?",
				["Answer"] = "Glaurung",
			},
			[207] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Fingon?",
				["Answer"] = "Gothmog",
			},
			[208] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what Battle did Azaghl die?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[209] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what Battle did Fingon die?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[210] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who held out last in the 5th Battle of Beleriand while Turgon escaped?",
				["Answer"] = "Huor and Hrin",
			},
			[211] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what Battle did Huor die?",
				["Answer"] = "Nirnaeth Arnoediad",
			},
			[212] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was captured alive by command of Morgoth, the last combatant in the 5th Battle of Beleriand?",
				["Answer"] = "Hrin",
			},
			[213] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Morgoth give to the Easterlings that served him?",
				["Answer"] = "Hithlum",
			},
			[214] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many ships did Crdan build to go to Valinor seeking help after the 5th Battle of Beleriand?",
				["Answer"] = "7",
			},
			[215] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sole survivor of those sent by Crdan and Turgon in search of Valinor?",
				["Answer"] = "Voronw",
			},
			[216] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Morgoth put in chair of stone upon a high place of Thangorodrim?",
				["Answer"] = "Hrin",
			},
			[217] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Trin sent when he was 8 years old?",
				["Answer"] = "Doriath",
			},
			[218] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Nando Elf who died in Doriath being pursued by Trin?",
				["Answer"] = "Saeros",
			},
			[219] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who went in search of Trin when he became an outlaw?",
				["Answer"] = "Beleg",
			},
			[220] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Thingol told Beleg in his farewell to ask him for whatever gift he wanted. What did Beleg ask for?",
				["Answer"] = "Sword",
			},
			[221] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Melian give to Beleg when he set out in search of Trin?",
				["Answer"] = "Lembas",
			},
			[222] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Beleg bring to Trin in Amon Rdh?",
				["Answer"] = "Dragon-helm of Dor-lmin",
			},
			[223] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who betrayed Trin and Beleg when they lived in Bar-en-Danwedh?",
				["Answer"] = "Mm",
			},
			[224] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was kidnapped on Amon Rdh?",
				["Answer"] = "Trin",
			},
			[225] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which escaped slave from Angband did Beleg meet in Taur-nu-Fuin while he was searching for Trin?",
				["Answer"] = "Gwindor",
			},
			[226] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Beleg?",
				["Answer"] = "Trin",
			},
			[227] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To where did Morwen and Nienor flee from Hithlum?",
				["Answer"] = "Doriath",
			},
			[228] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two messengers went to Nargothrond with news from Ulmo?",
				["Answer"] = "Arminas and Gelmir",
			},
			[229] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Ulmo appear four hundred and ninety-five years after the Moon first rose?",
				["Answer"] = "Crdan",
			},
			[230] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led Morgoth\'s army in the Sack of Nargothrond?",
				["Answer"] = "Glaurung",
			},
			[231] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what place did Orodreth die?",
				["Answer"] = "Tumhalad",
			},
			[232] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who bewitched Trin in Nargothrond?",
				["Answer"] = "Glaurung",
			},
			[233] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Trin go after the Sack of Nargothrond?",
				["Answer"] = "Dor-lmin",
			},
			[234] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of Hrin\'s relatives helped Morwen escape from Dor-lmin?",
				["Answer"] = "Aerin",
			},
			[235] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Easterling Trin killed at Dor-lmin?",
				["Answer"] = "Brodda",
			},
			[236] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Trin go after being in Dor-lmin?",
				["Answer"] = "Brethil",
			},
			[237] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who went in search of Trin after the Sack of Nargothrond?",
				["Answer"] = "Morwen and Nienor",
			},
			[238] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whom did Thingol send to protect Morwen on her journey to Nargothrond?",
				["Answer"] = "Mablung",
			},
			[239] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did cast a Spell on Nienor?",
				["Answer"] = "Glaurung",
			},
			[240] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whom did Trin find about Haudh-en-Elleth?",
				["Answer"] = "Nienor",
			},
			[241] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three Men went to kill Glaurung at Brethil?",
				["Answer"] = "Dorlas Hunthor and Trin",
			},
			[242] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Glaurung?",
				["Answer"] = "Trin",
			},
			[243] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Dorlas?",
				["Answer"] = "Brandir",
			},
			[244] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Brandir?",
				["Answer"] = "Trin",
			},
			[245] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last person to see Trin before he died?",
				["Answer"] = "Mablung",
			},
			[246] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hrin go after being freed?",
				["Answer"] = "Hithlum",
			},
			[247] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hrin want to go after leaving Hithlum, after being freed?",
				["Answer"] = "Gondolin",
			},
			[248] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Hrin meet at Cabed Naeramarth?",
				["Answer"] = "Morwen",
			},
			[249] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Morwen die?",
				["Answer"] = "Cabed Naeramarth",
			},
			[250] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hrin go after Brethil, after he was freed?",
				["Answer"] = "Nargothrond",
			},
			[251] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Hrin meet in Nargothrond?",
				["Answer"] = "Mm",
			},
			[252] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Mm?",
				["Answer"] = "Hrin",
			},
			[253] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Mm die?",
				["Answer"] = "Nargothrond",
			},
			[254] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only thing Hrin took from the treasure of Nargothrond?",
				["Answer"] = "Nauglamr",
			},
			[255] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hrin go after Nargothrond, after he was freed?",
				["Answer"] = "Doriath",
			},
			[256] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What jewel did Hrin give to Thingol?",
				["Answer"] = "Nauglamir",
			},
			[257] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Thingol want to do to the Nauglamr when he received it?",
				["Answer"] = "Set the Silmaril in it",
			},
			[258] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Thingol die?",
				["Answer"] = "Menegroth",
			},
			[259] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The Dwarves of which city fought against Doriath?",
				["Answer"] = "Nogrod",
			},
			[260] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Melian retire after Thingol\'s death?",
				["Answer"] = "Lrien",
			},
			[261] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Mablung die?",
				["Answer"] = "Menegroth",
			},
			[262] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, under Beren\'s command, ambushed the Dwarves who carried the Nauglamr and the Silmaril from Menegroth?",
				["Answer"] = "Green-elves",
			},
			[263] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, on Mount Dolmed, stood in the way of the Dwarves who had stolen the Nauglamr and the Silmaril?",
				["Answer"] = "Ents",
			},
			[264] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last King of Doriath?",
				["Answer"] = "Dior",
			},
			[265] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Menegroth when Dior inherited the Silmaril?",
				["Answer"] = "Sons of Fanor",
			},
			[266] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Celegorm die?",
				["Answer"] = "Menegroth",
			},
			[267] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Curufin die?",
				["Answer"] = "Menegroth",
			},
			[268] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Caranthir die?",
				["Answer"] = "Menegroth",
			},
			[269] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Dior die?",
				["Answer"] = "Menegroth",
			},
			[270] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who escaped from Doriath to the Mouths of Sirion carrying the Silmaril?",
				["Answer"] = "Elwing",
			},
			[271] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Tuor born?",
				["Answer"] = "Mithrim",
			},
			[272] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Tuor go to escape from Hithlum?",
				["Answer"] = "Nevrast",
			},
			[273] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Tuor see in Nevrast, which seemed to him a sign that he should go south?",
				["Answer"] = "7 swans",
			},
			[274] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in Nevrast did Tuor last go?",
				["Answer"] = "Vinyamar",
			},
			[275] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What items did Turgon leave behind in Vinyamar, which Tuor later picked up?",
				["Answer"] = "Hauberk Helm Shield and Sword",
			},
			[276] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which Man did Ulmo appear in Vinyamar?",
				["Answer"] = "Tuor",
			},
			[277] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Tuor receive from Ulmo so that the enemy would not see him?",
				["Answer"] = "Cloak",
			},
			[278] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ulmo tell Tuor to go?",
				["Answer"] = "Gondolin",
			},
			[279] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who guided Tuor to Gondolin?",
				["Answer"] = "Voronw",
			},
			[280] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Tuor and Voronw see passing through the Pools of Ivrin?",
				["Answer"] = "Trin",
			},
			[281] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Maeglin wish to possess?",
				["Answer"] = "Idril",
			},
			[282] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the second union between Firstborn and Secondborn, respectively?",
				["Answer"] = "Idril and Tuor",
			},
			[283] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who revealed Gondolin\'s location to Morgoth?",
				["Answer"] = "Maeglin",
			},
			[284] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Gothmog?",
				["Answer"] = "Ecthelion",
			},
			[285] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Ecthelion?",
				["Answer"] = "Gothmog",
			},
			[286] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Maeglin?",
				["Answer"] = "Tuor",
			},
			[287] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Glorfindel die?",
				["Answer"] = "Cirith Thoronath",
			},
			[288] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What killed Glorfindel?",
				["Answer"] = "Balrog",
			},
			[289] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Vala tried to convince Manw to help Elves and Men against Morgoth, just after the Fall of Gondolin?",
				["Answer"] = "Ulmo",
			},
			[290] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two people did Erendil try to find across the seas?",
				["Answer"] = "Idril and Tuor",
			},
			[291] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked the Erendil\'s people at the Mouths of Sirion?",
				["Answer"] = "Sons of Fanor",
			},
			[292] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Amrod and Amras die?",
				["Answer"] = "Mouths of Sirion",
			},
			[293] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the people of the Mouths of Sirion flee after the attack of the Sons of Fanor?",
				["Answer"] = "Balar",
			},
			[294] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who rescued Elwing from the waters?",
				["Answer"] = "Ulmo",
			},
			[295] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What shape did Ulmo give Elwing after pulling it out of the water?",
				["Answer"] = "Swan",
			},
			[296] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Elwing meet at sea, when she fainted from the sky?",
				["Answer"] = "Erendil",
			},
			[297] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took Elrond and Elros as adopted sons, after kidnapping them?",
				["Answer"] = "Maglor",
			},
			[298] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who came to Valinor with the Silmaril to speak on behalf of the Two Kindreds?",
				["Answer"] = "Erendil",
			},
			[299] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Elwing went walking along the shores of Eldamar, when he came to Aman?",
				["Answer"] = "Alqualond",
			},
			[300] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Erendil with Vingilot called in Middle-earth when they saw him rise for the first time?",
				["Answer"] = "Gil-Estel",
			},
			[301] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the battle between the armies of Aman and Angband, at the end of the First Age?",
				["Answer"] = "War of Wrath",
			},
			[302] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Ancalagon?",
				["Answer"] = "Erendil",
			},
			[303] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who kept Morgoth\'s two remaining Silmarils when he was captured?",
				["Answer"] = "Enw",
			},
			[304] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who finally took possession of the two Silmarils left after the War of Wrath?",
				["Answer"] = "Maedhros and Maglor",
			},
			[305] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who launched himself into the bosom of the Earth with a Silmaril?",
				["Answer"] = "Maedhros",
			},
			[306] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who threw a Silmaril to the Sea?",
				["Answer"] = "Maglor",
			},
			[307] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was the only son of Fanor alive after the consummation of the doom of the Silmarils?",
				["Answer"] = "Maglor",
			},
			[308] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What elements did the Three Silmarils end op In?",
				["Answer"] = "Air Fire and Water",
			},
			[309] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Among which race did Elwing and Erendil choose to be numbered?",
				["Answer"] = "Elves",
			},
			[310] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Among which race did Elrond Choose to be numbered?",
				["Answer"] = "Elves",
			},
			[311] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Among which race did Elros Choose to be numbered?",
				["Answer"] = "Men",
			},
			[312] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Elrond live with after the end of the First Age?",
				["Answer"] = "Gil-Galad",
			},
			[313] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What happened to Beleriand after the War of Wrath, end of the First Age?",
				["Answer"] = "Sank",
			},
			[314] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Morgoth thrown after being captured at the end of the First Age?",
				["Answer"] = "Timeless Void",
			},
			[315] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sauron escape to at the end of the First Age?",
				["Answer"] = "Mordor",
			},
			[316] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what direction did the Men who fought on Morgoth\'s side at the end of the First Age go?",
				["Answer"] = " East",
			},
			[317] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who raised Nmenor from the depths of the sea?",
				["Answer"] = "Oss",
			},
			[318] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How Many Years Did Elros Live?",
				["Answer"] = "500",
			},
			[319] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who instructed the Men who remained in Middle-earth in the Second Age wherever they went?",
				["Answer"] = "Nmenreans",
			},
			[320] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Nmenor did the Dnedain begin to rebel against the Valar?",
				["Answer"] = "Tar-Ciryatan",
			},
			[321] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Nmenor did the Dnedain divide in opinion concerning the Valar?",
				["Answer"] = "Tar-Ancalimon",
			},
			[322] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Nmenor were the offerings to Eru neglected?",
				["Answer"] = "Tar-Ancalimon",
			},
			[323] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Nmenor did Sauron fortify Mordor?",
				["Answer"] = "Tar-Minastir",
			},
			[324] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor aided Gil-Galad against Sauron?",
				["Answer"] = "Tar-Minastir",
			},
			[325] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor forbade the Elven-tongues in his presence?",
				["Answer"] = "Adnakhr",
			},
			[326] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor completely forbade the the Elven-tongues?",
				["Answer"] = "Ar-Gimilzr",
			},
			[327] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor was the greatest enemy of the Faithful?",
				["Answer"] = "Ar-Gimilzr",
			},
			[328] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Nmenor was the White Tree untended?",
				["Answer"] = "Ar-Gimilzr",
			},
			[329] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which city in Nmenor were the Elendili forced to move?",
				["Answer"] = "Rmenna",
			},
			[330] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main city and port of the Nmenreans in Middle-earth?",
				["Answer"] = "Pelargir",
			},
			[331] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main city of the Faithful of Nmenor in Middle-earth?",
				["Answer"] = "Pelargir",
			},
			[332] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor tended the White Tree again with honour, after it was neglected by some of his predecessors?",
				["Answer"] = "Tar-Palantir",
			},
			[333] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor went back to Meneltarma after some of his predecessors forsook it?",
				["Answer"] = "Tar-Palantir",
			},
			[334] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor prophesied that when the White Tree perished, then also would the line of the Kings come to its end?",
				["Answer"] = "Tar-Palantir",
			},
			[335] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Kings did Nmenor have?",
				["Answer"] = "25",
			},
			[336] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who in Middle-earth Ar-Pharazn commanded to fealty and took to Nmenor as a servant?",
				["Answer"] = "Sauron",
			},
			[337] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which advisor of Ar-Pharazn distrusted Sauron from the beginning?",
				["Answer"] = "Amandil",
			},
			[338] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Nmenreans worship instead of Eru, under the influence of Sauron?",
				["Answer"] = "Melkor",
			},
			[339] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which councillor of Ar-Pharazn was dissmissed by the advice of Sauron?",
				["Answer"] = "Amandil",
			},
			[340] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which city did Amandil withdraw?",
				["Answer"] = "Rmenna",
			},
			[341] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who stole a fruit from the White Tree of Nmenor shortly before it was cut down?",
				["Answer"] = "Isildur",
			},
			[342] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Against whom did Ar-Pharazn, influenced by Sauron, make war?",
				["Answer"] = "Valar",
			},
			[343] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who wanted to go to Valinor, as Erendil had already done, to plead for mercy upon Men and their deliverance from Sauron the Deceiver?",
				["Answer"] = "Amandil",
			},
			[344] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the shape of the great clouds that came menacingly to Nmenor from the West?",
				["Answer"] = "Eagle",
			},
			[345] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who changed the shape of the world when the Nmenreans traveled to Aman to wage war?",
				["Answer"] = "Eru",
			},
			[346] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sauron escape to from the Downfall of Nmenor?",
				["Answer"] = "Mordor",
			},
			[347] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the remaining Faithful of Nmenor flee when it sank?",
				["Answer"] = "Middle-earth",
			},
			[348] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What the Dnedain of Middle-earth sought at the sea after the Downfall of Nmenor?",
				["Answer"] = "Meneltarma",
			},
			[349] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "After what event did Men realize that the World was made round, by their continual travels and searches?",
				["Answer"] = "Downfall of Nmenor",
			},
			[350] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of the Noldor lived in Lindon after the First Age?",
				["Answer"] = "Gil-Galad",
			},
			[351] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the Second Age, someone of great wisdom came to Eregion and taught his knowledge. What was his name?",
				["Answer"] = "Annatar",
			},
			[352] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who forged a Ring to rule the other Rings of Power and their bearers?",
				["Answer"] = "Sauron",
			},
			[353] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who forged the three Elven Rings?",
				["Answer"] = "Celebrimbor",
			},
			[354] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Celebrimbor give the three Elven Rings?",
				["Answer"] = "Crdan Galadriel and Gil-Galad",
			},
			[355] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Ring of Power did Crdan receive?",
				["Answer"] = "Narya",
			},
			[356] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Ring of Power did Galadriel receive?",
				["Answer"] = "Nenya",
			},
			[357] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Ring of Power did Gil-Galad receive?",
				["Answer"] = "Vilya",
			},
			[358] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the time of Sauron\'s rule called?",
				["Answer"] = "Black Years",
			},
			[359] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what lands did Elendil end up in his flight from Nmenor?",
				["Answer"] = "Lindon",
			},
			[360] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Kingdom did Elendil establish in Eriador?",
				["Answer"] = "Arnor",
			},
			[361] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Isildur and Anrion end up in their flight from Nmenor?",
				["Answer"] = "Mouths of Anduin",
			},
			[362] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kingdom did Isildur and Anrion establish in Middle-earth?",
				["Answer"] = "Gondor",
			},
			[363] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two kingdoms did the Faithful survivors of the Downfall of Nmenor establish in Middle-earth?",
				["Answer"] = "Arnor and Gondor",
			},
			[364] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What city did Anrion live in when he established Gondor?",
				["Answer"] = "Minas Anor",
			},
			[365] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What city did Isildur live in when he established Gondor?",
				["Answer"] = "Minas Ithil",
			},
			[366] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which city of Gondor did Isildur and Anrion have their throne?",
				["Answer"] = "Osgiliath",
			},
			[367] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which city of Gondor was the White Tree brought from Nmenor planted?",
				["Answer"] = "Minas Ithil",
			},
			[368] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the One Ring forged?",
				["Answer"] = "Orodruin",
			},
			[369] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Orodruin after being \"rekindled\" on Sauron\'s return from the island of Nmenor?",
				["Answer"] = "Mount Doom",
			},
			[370] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the league created between Elendil and Gil-Galad against Sauron?",
				["Answer"] = "Last Alliance",
			},
			[371] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which important Dwarf kindred fought Sauron in the Last Alliance?",
				["Answer"] = "Durin",
			},
			[372] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Elendil?",
				["Answer"] = "Sauron",
			},
			[373] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Gil-Galad?",
				["Answer"] = "Sauron",
			},
			[374] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who cut off Sauron\'s hand and took away the Ring?",
				["Answer"] = "Isildur",
			},
			[375] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event marked the end of the Second Age?",
				["Answer"] = "Defeat of Sauron",
			},
			[376] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Isildur plant the fruit of the White Tree of Minas Ithil?",
				["Answer"] = "Minas Anor",
			},
			[377] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Isildur want to go after defeating Sauron?",
				["Answer"] = "Arnor",
			},
			[378] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Isildur die along with his eldest sons?",
				["Answer"] = "Gladden Fields",
			},
			[379] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Arnor divided the Kingdom among his three sons?",
				["Answer"] = "Erendur",
			},
			[380] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took over Minas Ithil second time?",
				["Answer"] = "Nazgl",
			},
			[381] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Minas Ithil renamed when it was taken over for the second time?",
				["Answer"] = "Minas Morgul",
			},
			[382] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Minas Anor renamed when Minas Ithil was taken over for the second time?",
				["Answer"] = "Minas Tirith",
			},
			[383] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who challenged the Lord of Morgul to single combat?",
				["Answer"] = "Ernur",
			},
			[384] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What House ruled Minas Tirith when the King died with no heir?",
				["Answer"] = "Mardil",
			},
			[385] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did the Men of Gondor cede to the Rohirrim?",
				["Answer"] = "Calenardhon",
			},
			[386] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was entrusted with the care of Elendil\'s Broken Sword?",
				["Answer"] = "Elrond",
			},
			[387] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Heirs of Isildur live?",
				["Answer"] = "Rivendell",
			},
			[388] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who received the Ring of Gil-Galad when he died?",
				["Answer"] = "Elrond",
			},
			[389] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Crdan give his ring?",
				["Answer"] = "Gandalf",
			},
			[390] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the last bearers of the Elven Rings?",
				["Answer"] = "Elrond Galadriel and Gandalf",
			},
			[391] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What dwelt in Dol Guldur, and darkened the Greenwood?",
				["Answer"] = "Necromancer",
			},
			[392] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Sauron\'s efforts against the Free Peoples to recover the One Ring come to be known?",
				["Answer"] = "War of the Ring",
			},
			[393] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Curunr live?",
				["Answer"] = "Isengard",
			},
			[394] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Council did some Istari and Elven Lords form?",
				["Answer"] = "White Council",
			},
			[395] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who entered Dol Guldur twice to investigate?",
				["Answer"] = "Gandalf",
			},
			[396] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which mighty Wizard of the Third Age turned from light to darkness, betraying his allies?",
				["Answer"] = "Saruman",
			},
			[397] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Istar did Saruman trick into serving him in his evil actions without being aware of it?",
				["Answer"] = "Radagast",
			},
			[398] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who expelled the Necromancer from Mirkwood?",
				["Answer"] = "White Council",
			},
			[399] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sauron go after Mirkwood?",
				["Answer"] = "Mordor",
			},
			[400] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For whom was the Broken Sword reforged?",
				["Answer"] = "Aragorn",
			},
			[401] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who claimed the throne of Arnor and Gondor at the end of the Third Age?",
				["Answer"] = "Aragorn",
			},
			[402] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who fought Saruman\'s forces at the end of the Third Age?",
				["Answer"] = "Rohirrim",
			},
			[403] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who laid siege to Orthanc and saw Saruman defeated?",
				["Answer"] = "Ents",
			},
			[404] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Lord of Morgul die?",
				["Answer"] = "Pelennor",
			},
			[405] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who destroyed the One Ring?",
				["Answer"] = "Frodo Baggins",
			},
			[406] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who found what would be the Last White Tree of Gondor?",
				["Answer"] = "Gandalf",
			},
			[407] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event marked the end of the Third Age?",
				["Answer"] = "Destruction of the Ring",
			},
			[408] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is supposed to have captained the last ship to sail to Valinor, carrying the last Elves from Middle-earth?",
				["Answer"] = "Crdan",
			},
		}
	},
	[17] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Items - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What animal were the Teleri ships shaped as?",
				["Answer"] = "Swan",
			},
			[2] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Orom\'s horn?",
				["Answer"] = "Valarma",
			},
			[3] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the Two Trees that Yavanna made grow on Valinor?",
				["Answer"] = "Laurelin and Telperion",
			},
			[4] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many hours was the waxing and waning period of Laurelin and Telperion?",
				["Answer"] = "7",
			},
			[5] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Laurelin called too?",
				["Answer"] = "Culrien",
			},
			[6] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Telperion called too?",
				["Answer"] = "Silpion",
			},
			[7] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Tree of Tirion, born from a fruit of Telperion?",
				["Answer"] = "Galathilion",
			},
			[8] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Tree of Tol Eressa, born from a fruit of the Tree of Tirion?",
				["Answer"] = "Celeborn",
			},
			[9] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the White Tree of Armenelos, grown from a seedling of Celeborn?",
				["Answer"] = "Nimloth",
			},
			[10] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the chain with which Melkor was twice bound?",
				["Answer"] = "Angainor",
			},
			[11] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the best jewels that Fanor made?",
				["Answer"] = "Silmarils",
			},
			[12] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Silmarils?",
				["Answer"] = "3",
			},
			[13] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great pearl that Thingol gave to the Dwarves?",
				["Answer"] = "Nimphelos",
			},
			[14] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the necklace the Dwarves made for Finrod?",
				["Answer"] = "Nauglamr",
			},
			[15] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the Horns of Ulmo called?",
				["Answer"] = "Ulumri",
			},
			[16] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Finrod give to Barahir as a symbol of gratitude and eternal friendship?",
				["Answer"] = "Ring",
			},
			[17] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Fingolfin\'s sword?",
				["Answer"] = "Ringil",
			},
			[18] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Morgoth\'s mace?",
				["Answer"] = "Grond",
			},
			[19] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Morgoth\'s mace sometimes called?",
				["Answer"] = "Hammer of the Underworld",
			},
			[20] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of tree was the three-trunked tree where Thingol imprisoned Lthien?",
				["Answer"] = "Beech",
			},
			[21] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the three-trunked tree where Thingol imprisoned Lthien?",
				["Answer"] = "Hrilorn",
			},
			[22] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the knife Telchar made, which was used to cut the Silmaril from Morgoth\'s crown?",
				["Answer"] = "Angrist",
			},
			[23] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Curufin\'s knife?",
				["Answer"] = "Angrist",
			},
			[24] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What precious item did the Thingol\'s messengers bring from Hithlum after meeting Morwen?",
				["Answer"] = "Dragon-helm of Dor-lmin",
			},
			[25] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Sword that Thingol gave to Beleg?",
				["Answer"] = "Anglachel",
			},
			[26] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two swords did El make from meteoric iron?",
				["Answer"] = "Anglachel and Anguirel",
			},
			[27] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did El give Thingol to let him live in Nan Elmoth?",
				["Answer"] = "Sword",
			},
			[28] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Thingol\'s sword?",
				["Answer"] = "Aranrth",
			},
			[29] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What black and shinning, hard and resistant yet malleable metal did El discover?",
				["Answer"] = "Galvorn",
			},
			[30] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did El call the metal of the meteor which he forged Anglachel with?",
				["Answer"] = "Galvorn",
			},
			[31] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sword Maeglin had when he arrived to Gondolin?",
				["Answer"] = "Anguirel",
			},
			[32] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the waybread of the Eldar",
				["Answer"] = "Lembas",
			},
			[33] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Trin call Anglachel?",
				["Answer"] = "Gurthang",
			},
			[34] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ship on which Tuor and Idril disappeared from Middle-earth?",
				["Answer"] = "Errm",
			},
			[35] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of Erendil\'s ship?",
				["Answer"] = "Vingilot",
			},
			[36] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ship in which Ar-Pharazn traveled to Aman with his army?",
				["Answer"] = "Alcarondas",
			},
			[37] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most important work of the Elves of Eregion?",
				["Answer"] = "Rings of Power",
			},
			[38] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Rings of Power?",
				["Answer"] = "20",
			},
			[39] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Rings of Power did Men receive?",
				["Answer"] = "9",
			},
			[40] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Rings of Power did Dwarves Receive?",
				["Answer"] = "7",
			},
			[41] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Rings of Power did Elves keep?",
				["Answer"] = "3",
			},
			[42] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the three Elven Rings?",
				["Answer"] = "Narya Nenya and Vilya",
			},
			[43] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Ring of Fire?",
				["Answer"] = "Narya",
			},
			[44] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Ring of Water?",
				["Answer"] = "Nenya",
			},
			[45] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Ring of Air?",
				["Answer"] = "Vilya",
			},
			[46] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Elven Ring had a ruby set on It?",
				["Answer"] = "Narya",
			},
			[47] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Elven Ring had a diamond set on It?",
				["Answer"] = "Nenya",
			},
			[48] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Elven Ring had a sapphire set on it?",
				["Answer"] = "Vilya",
			},
			[49] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What jewels were set in the Elven Rings?",
				["Answer"] = "Diamond Ruby and Sapphire",
			},
			[50] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What elemental forces did the Elven Rings represent?",
				["Answer"] = "Air Fire and Water",
			},
			[51] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What objects were the greatest treasure that Elendil and his sons took from Nmenor?",
				["Answer"] = "Palantri",
			},
			[52] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Palantri?",
				["Answer"] = "7",
			},
			[53] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By whom were Palantri Made?",
				["Answer"] = "Fanor",
			},
			[54] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Gil-Galad\'s spear?",
				["Answer"] = "Aeglos",
			},
			[55] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Elendil\'s sword?",
				["Answer"] = "Narsil",
			},
			[56] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who made Elendil\'s sword?",
				["Answer"] = "Telchar",
			},
			[57] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Broken Sword?",
				["Answer"] = "Narsil",
			},
			[58] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Turgon\'s sword called?",
				["Answer"] = "Glamdring",
			},
		}
	},
	[18] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Languages - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"E\" mean?",
				["Answer"] = "It Is",
			},
			[2] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name for the \"Towers of the Mist\" or \"Misty Mountains\"?",
				["Answer"] = "Hithaeglir",
			},
			[3] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What do the Elves call the Outer Sea?",
				["Answer"] = "Ekkaia",
			},
			[4] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name do the Eldar commonly use to refer to \"Taniquetil\"?",
				["Answer"] = "Oioloss",
			},
			[5] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Taniquetil\" mean?",
				["Answer"] = "High White Peak",
			},
			[6] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for \"Taniquetil\"?",
				["Answer"] = "Amon Uilos",
			},
			[7] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Est\" mean?",
				["Answer"] = "Rest",
			},
			[8] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Alcarinqu\", the name of a star, mean?",
				["Answer"] = "Glorious",
			},
			[9] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Wilwarin\", insect and constellation name, mean?",
				["Answer"] = "Butterfly",
			},
			[10] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Menelmacar\", the name of a constellation, mean?",
				["Answer"] = "Swordsman of the Sky",
			},
			[11] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cuivinen\" mean?",
				["Answer"] = "Water of Awakening",
			},
			[12] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mindon Eldaliva\" mean?",
				["Answer"] = "Lofty Tower of the Eldali",
			},
			[13] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tol Eressa\" mean?",
				["Answer"] = "Lonely Isle",
			},
			[14] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Alqualond\" mean?",
				["Answer"] = "Haven of the Swans",
			},
			[15] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Avathar\" mean?",
				["Answer"] = "Shadows",
			},
			[16] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lammoth\" mean?",
				["Answer"] = "Great Echo",
			},
			[17] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Gorgoroth\" mean?",
				["Answer"] = "Mountains of Terror",
			},
			[18] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nan Dungortheb\" mean?",
				["Answer"] = "Valley of Dreadful Death",
			},
			[19] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Doriath\" mean?",
				["Answer"] = "Land of the Fence",
			},
			[20] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Menegroth\" mean?",
				["Answer"] = "Thousand Caves",
			},
			[21] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sirion\" mean?",
				["Answer"] = "Great River",
			},
			[22] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the meaning of \"Khazad-dm\"?",
				["Answer"] = "Dwarven Mansions",
			},
			[23] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Moria\" mean?",
				["Answer"] = "Black Chasm",
			},
			[24] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of \"Belegost\" and \"Nogrod\", respectively, in the language of the Dwarves?",
				["Answer"] = "Gabilgathol and Tumunzahar",
			},
			[25] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Belegost\" or \"Gabilgathol\" mean?",
				["Answer"] = "Great Fortress",
			},
			[26] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nogrod\" or \"Tumunzahar\" mean?",
				["Answer"] = "Hollowbold",
			},
			[27] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cirith Ninniach\" mean?",
				["Answer"] = "Rainbow Cleft",
			},
			[28] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Wethrin\" mean?",
				["Answer"] = "Mountains of Shadow",
			},
			[29] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Engrin\" mean?",
				["Answer"] = "Iron Mountains",
			},
			[30] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Eithel Ivrin\" mean?",
				["Answer"] = "Ivrin\'s Well",
			},
			[31] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Barad Eithel\" mean?",
				["Answer"] = "Tower of the Well",
			},
			[32] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ossiriand\" mean?",
				["Answer"] = "Land of Seven Rivers",
			},
			[33] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Angband\" mean?",
				["Answer"] = "Iron Prison",
			},
			[34] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Minas Tirith\" mean?",
				["Answer"] = "Tower of Watch",
			},
			[35] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dorthonion\" mean?",
				["Answer"] = "Land of Pines",
			},
			[36] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nan-tathren\" mean?",
				["Answer"] = "Willow-vale",
			},
			[37] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebros\" mean?",
				["Answer"] = "Silver Rain",
			},
			[38] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Barad Nimras\" mean?",
				["Answer"] = "White Horn Tower",
			},
			[39] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Arossiach\" mean?",
				["Answer"] = "Fords of the Aros",
			},
			[40] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Andram\" mean?",
				["Answer"] = "Long Wall",
			},
			[41] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Taur-im-Duinath\" mean?",
				["Answer"] = "Forest between Rivers",
			},
			[42] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Luin\" mean?",
				["Answer"] = "Blue Mountains",
			},
			[43] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lindon\" mean?",
				["Answer"] = "Land of Music",
			},
			[44] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Himlad\" mean?",
				["Answer"] = "Cool Plain",
			},
			[45] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gondolin\" mean?",
				["Answer"] = "Hidden Rock",
			},
			[46] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tumladen\" mean?",
				["Answer"] = "Wide Valley",
			},
			[47] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Echoriath\" mean?",
				["Answer"] = "Encircling Mountains",
			},
			[48] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tr Haretha\" mean?",
				["Answer"] = "Ladybarrow",
			},
			[49] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Anfauglith\" mean?",
				["Answer"] = "Gasping Dust",
			},
			[50] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tol-in-Gaurhoth\" mean?",
				["Answer"] = "Isle of the Werewolves",
			},
			[51] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dor Firn-i-Guinar\" mean?",
				["Answer"] = "Land of the Living Dead",
			},
			[52] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Haudh-en-Nirnaeth\" mean?",
				["Answer"] = "Mound of Tears",
			},
			[53] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ephel Brandir\" mean?",
				["Answer"] = "Fence of Brandir",
			},
			[54] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Bar-en-Danwedh\" mean?",
				["Answer"] = "House of Ransom",
			},
			[55] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Rdh\" mean?",
				["Answer"] = "Bald Hill",
			},
			[56] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Seregon\" mean?",
				["Answer"] = "Blood of Stone",
			},
			[57] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dor-Carthol\" mean?",
				["Answer"] = "Land of Bow and Helm",
			},
			[58] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Haudh-en-Elleth\" mean?",
				["Answer"] = "Mound of the Elf-maid",
			},
			[59] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Ethir\" mean?",
				["Answer"] = "Hill of Spies",
			},
			[60] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cabed Naeramarth\" mean?",
				["Answer"] = "Leap of Dreadful Doom",
			},
			[61] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Annon-in-Gelydh\" mean?",
				["Answer"] = "Gate of the Noldor",
			},
			[62] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cirith Thoronath\" mean?",
				["Answer"] = "Eagle\'s Cleft",
			},
			[63] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mordor\" mean?",
				["Answer"] = "Black Land",
			},
			[64] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Andor\" mean?",
				["Answer"] = "Land of Gift",
			},
			[65] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of \"Nmenor\" in the Adnaic language?",
				["Answer"] = "Anadn",
			},
			[66] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of \"Nmenor\" in the language of the Men who inhabited Middle-earth?",
				["Answer"] = "Westernesse",
			},
			[67] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elenna\" mean?",
				["Answer"] = "Starwards",
			},
			[68] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Meneltarma\" mean?",
				["Answer"] = "Pillar of Heaven",
			},
			[69] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Pelargir\" mean?",
				["Answer"] = "Garth of Royal Ships",
			},
			[70] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Eldarin translation of \"Akallabth\"?",
				["Answer"] = "Atalant",
			},
			[71] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Akallabth\" mean, with respect to Nmenor?",
				["Answer"] = "Downfalled",
			},
			[72] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mithlond\" mean?",
				["Answer"] = "Grey Havens",
			},
			[73] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Eregion\" mean?",
				["Answer"] = "Land of Holly",
			},
			[74] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was \"Eregion\" called in the language of Men?",
				["Answer"] = "Hollin",
			},
			[75] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ost-in-Edhil\" mean?",
				["Answer"] = "Fortress of the Eldar",
			},
			[76] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nenuial\" mean?",
				["Answer"] = "Lake of Twilight",
			},
			[77] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Emyn Beraid\" mean?",
				["Answer"] = "Tower Hills",
			},
			[78] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Arnor\" mean?",
				["Answer"] = "Land of the King",
			},
			[79] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gondor\" mean?",
				["Answer"] = "Land of Stone",
			},
			[80] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Anduin\" mean?",
				["Answer"] = "Long River",
			},
			[81] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Osgiliath\" mean?",
				["Answer"] = "Fortress of the Stars",
			},
			[82] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Minas Ithil\" mean?",
				["Answer"] = "Tower of the Moon",
			},
			[83] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Minas Anor\" mean?",
				["Answer"] = "Torre del Sol",
			},
			[84] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Argonath\" mean?",
				["Answer"] = "King-stones",
			},
			[85] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Angrenost\" mean?",
				["Answer"] = "Iron Fortress",
			},
			[86] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rohan\" mean?",
				["Answer"] = "Horse-country",
			},
			[87] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ephel Dath\" mean?",
				["Answer"] = "Fence of Shadow",
			},
			[88] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Barad-dr\" mean?",
				["Answer"] = "Dark Tower",
			},
			[89] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Sindarin name for \"Mount Doom\"?",
				["Answer"] = "Amon Amarh",
			},
			[90] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dagorlad\" mean?",
				["Answer"] = "Battle Plain",
			},
			[91] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the meaning of \"Minas Morgul\"?",
				["Answer"] = "Tower of Sorcery",
			},
			[92] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebrant\" mean?",
				["Answer"] = "Silver Lode",
			},
			[93] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dol Guldur\" mean?",
				["Answer"] = "Hill of Sorcery",
			},
			[94] =
			{
				["Category"] = "Languages (History)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dagor-nuin-Giliath\", Second Battle of Beleriand, mean?",
				["Answer"] = "Battle under Stars",
			},
			[95] =
			{
				["Category"] = "Languages (History)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dagor Aglareb\", Third Battle of Beleriand, mean?",
				["Answer"] = "Glorious Battle",
			},
			[96] =
			{
				["Category"] = "Languages (History)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dagor Bragollach\" mean?",
				["Answer"] = "Battle of Sudden Flame",
			},
			[97] =
			{
				["Category"] = "Languages (History)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nirnaeth Arnoediad\"?",
				["Answer"] = "Tears Unnumbered",
			},
			[98] =
			{
				["Category"] = "Languages (History)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Turambar turum ambartanen\" mean?",
				["Answer"] = "Master of Doom by doom mastered",
			},
			[99] =
			{
				["Category"] = "Languages (Music)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Narn i Hn Hrin\" mean?",
				["Answer"] = "Tale of the Children of Hrin",
			},
			[100] =
			{
				["Category"] = "Languages (Music)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is \"Leithian\" translated?",
				["Answer"] = "Release from Bondage",
			},
			[101] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Laurelin\" mean?",
				["Answer"] = "Song of Gold",
			},
			[102] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ninquelote\" or \"Nimloth\" mean?",
				["Answer"] = "White Blossom",
			},
			[103] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nauglamr\" mean?",
				["Answer"] = "Necklace of the Dwarves",
			},
			[104] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aranrth\" mean?",
				["Answer"] = "King\'s Ire",
			},
			[105] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Anglachel\" mean?",
				["Answer"] = "Iron of Flaming Star",
			},
			[106] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gurthang\" mean?",
				["Answer"] = "Iron of Death",
			},
			[107] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Errm\"?",
				["Answer"] = "Sea-wing",
			},
			[108] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Adnaic equivalent of \"Vingilot\"?",
				["Answer"] = "Rothinzil",
			},
			[109] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Vingilot\" or \"Rothinzil\" mean?",
				["Answer"] = "Foam Flower",
			},
			[110] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Alcarondas\" mean?",
				["Answer"] = "Castle of the Sea",
			},
			[111] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aeglos\" mean?",
				["Answer"] = "Snow-point",
			},
			[112] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ilvatar\" mean?",
				["Answer"] = "Father of All",
			},
			[113] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Valar\" mean?",
				["Answer"] = "Powers",
			},
			[114] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Fanturi\" mean?",
				["Answer"] = "Masters of Spirits",
			},
			[115] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is Orom called in Quenya?",
				["Answer"] = "Aldaron",
			},
			[116] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is Orom called in Sindarin?",
				["Answer"] = "Tauron",
			},
			[117] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aldaron\" or \"Tauron\" mean?",
				["Answer"] = "Lord of Trees",
			},
			[118] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name, meaning \"Exalted\", are given to the eight most powerful Valar?",
				["Answer"] = "Aratar",
			},
			[119] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Slimo\" mean?",
				["Answer"] = "Breather",
			},
			[120] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is Yavanna called in Quenya?",
				["Answer"] = "Kementri",
			},
			[121] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elentri\" mean?",
				["Answer"] = "Queen of the Stars",
			},
			[122] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Kementri\" mean?",
				["Answer"] = "Queen of the Earth",
			},
			[123] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Astaldo\" mean?",
				["Answer"] = "Valiant",
			},
			[124] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sauron\" mean?",
				["Answer"] = "Abhorred",
			},
			[125] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What\'s the name given to Aul by the Dwarves?",
				["Answer"] = "Mahal",
			},
			[126] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tintall\", Varda\'s name, mean?",
				["Answer"] = "Kindler",
			},
			[127] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Morgoth\" mean?",
				["Answer"] = "Black Enemy",
			},
			[128] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Bauglir\" mean?",
				["Answer"] = "Constrainer",
			},
			[129] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Belegurth\" mean?",
				["Answer"] = "Great Death",
			},
			[130] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Felagund\" literally mean?",
				["Answer"] = "Cave Hewer",
			},
			[131] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Serind\", Mriel\'s nickname, mean?",
				["Answer"] = "Broideress",
			},
			[132] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Fanaro\" mean, the name that Miriel gave to her son?",
				["Answer"] = "Spirit of Fire",
			},
			[133] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebrindal\" mean?",
				["Answer"] = "Silverfoot",
			},
			[134] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lmion\" mean?",
				["Answer"] = "Son of Twilight",
			},
			[135] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Maeglin\" mean?",
				["Answer"] = "Sharp Glance",
			},
			[136] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nm\" mean in Bor\'s own tongue?",
				["Answer"] = "Wisdom",
			},
			[137] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nmin\" mean in Bor\'s own tongue?",
				["Answer"] = "Wise",
			},
			[138] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lrindol\" mean?",
				["Answer"] = "Goldenhead",
			},
			[139] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ereinion\" mean?",
				["Answer"] = "Scion of Kings",
			},
			[140] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gil-Galad\" mean?",
				["Answer"] = "Star of Radiance",
			},
			[141] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tinviel\" mean?",
				["Answer"] = "Daughter of Twilight",
			},
			[142] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is poetically called \"Tinviel\"?",
				["Answer"] = "Nightingale",
			},
			[143] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Carcharoth\" mean?",
				["Answer"] = "Red Maw",
			},
			[144] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the meaning of \"Anfauglir\"?",
				["Answer"] = "Jaws of Thirst",
			},
			[145] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Erchamion\" mean?",
				["Answer"] = "One-handed",
			},
			[146] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Camlost\" mean?",
				["Answer"] = "Empty-handed",
			},
			[147] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Thalion\" mean?",
				["Answer"] = "Steadfast",
			},
			[148] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cthalion\" mean?",
				["Answer"] = "Strongbow",
			},
			[149] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Neithan\" mean?",
				["Answer"] = "Wronged",
			},
			[150] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gorthol\" mean?",
				["Answer"] = "Dread Helm",
			},
			[151] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Agarwaen son of Umarth\" mean?",
				["Answer"] = "Blood-stained son of Ill-fate",
			},
			[152] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Adanedhel\" mean?",
				["Answer"] = "Elf-Man",
			},
			[153] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mormegil\" mean?",
				["Answer"] = "Black Sword",
			},
			[154] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nienor\" mean?",
				["Answer"] = "Mourning",
			},
			[155] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nniel\" mean?",
				["Answer"] = "Tear-maiden",
			},
			[156] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Turambar\" mean?",
				["Answer"] = "Master of Doom",
			},
			[157] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elwing\" mean?",
				["Answer"] = "Star-spray",
			},
			[158] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gil-Estel\" mean?",
				["Answer"] = "Star of Hope",
			},
			[159] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Adnakhr\" mean?",
				["Answer"] = "Lord of the West",
			},
			[160] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Ringwraiths in Blacktongue?",
				["Answer"] = "Nazgl",
			},
			[161] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amandil\" mean?",
				["Answer"] = "Lover of Aman",
			},
			[162] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elendil\" mean as the name of the historical leading figure?",
				["Answer"] = "Elf-friend",
			},
			[163] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebrimbor\" mean?",
				["Answer"] = "Hand of Silver",
			},
			[164] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Annatar\" mean?",
				["Answer"] = "Lord of Gifts",
			},
			[165] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ohtar\" mean?",
				["Answer"] = "Warrior",
			},
			[166] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mithrandir\" mean?",
				["Answer"] = "Grey Pilgrim",
			},
			[167] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Curunr\" mean?",
				["Answer"] = "The one of cunning devices",
			},
			[168] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the common language of the peoples of Beleriand, and of the Elves of Middle-earth?",
				["Answer"] = "Sindarin",
			},
			[169] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"lmelindi\", the nightingales, mean?",
				["Answer"] = "Dusk-singers",
			},
			[170] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Valaraukar\" mean?",
				["Answer"] = "Demons of Might",
			},
			[171] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Quendi\" mean?",
				["Answer"] = "Those that speak with voices",
			},
			[172] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Avari\" mean?",
				["Answer"] = "Unwilling",
			},
			[173] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Laiquendi\" mean?",
				["Answer"] = "Green-elves",
			},
			[174] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sindar\" mean?",
				["Answer"] = "Grey-elves",
			},
			[175] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Naugrim\" mean?",
				["Answer"] = "Stunted People",
			},
			[176] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gonnhirrim\" mean, one of the names the Dwarves were called?",
				["Answer"] = "Masters of Stone",
			},
			[177] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Hildor\" mean, name the Eldar gave to Men?",
				["Answer"] = "Followers",
			},
			[178] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Frimar\" mean, name given to Men by the Eldar?",
				["Answer"] = "Mortals",
			},
			[179] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you say \"Elf\" in Sindarin?",
				["Answer"] = "Edhel",
			},
			[180] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the language of the Nmenreans?",
				["Answer"] = "Adnaic",
			},
			[181] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dnedain\" mean?",
				["Answer"] = "Edain of the West",
			},
			[182] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elendili\" mean as name of a certain group of Men?",
				["Answer"] = "Elf-friends",
			},
			[183] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rohirrim\" mean?",
				["Answer"] = "Horse-lords",
			},
			[184] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Periannath\" mean?",
				["Answer"] = "Halflings",
			},
			[185] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How Halflings called themselves?",
				["Answer"] = "Hobbits",
			},
		}
	},
	[19] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Music - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom is the Ainulindal attributed?",
				["Answer"] = "Rmil",
			},
			[2] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the Lament for the Two Trees called?",
				["Answer"] = "Aldudni",
			},
			[3] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who composed the Noldolant?",
				["Answer"] = "Maglor",
			},
			[4] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the song of The Fall of the Noldor?",
				["Answer"] = "Noldolant",
			},
			[5] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Song of the Sun and the Moon?",
				["Answer"] = "Narsilion",
			},
			[6] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the Hiding of Valinor called in the songs?",
				["Answer"] = "Nurtal Valinreva",
			},
			[7] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What song tells the tale of Beren and Luthien?",
				["Answer"] = "Lay of Leithian",
			},
			[8] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the longest lay about the Elder Days?",
				["Answer"] = "Narn i Hn Hrin",
			},
			[9] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which lay talks about Trin\'s life and what surrounds it?",
				["Answer"] = "Narn i Hn Hrin",
			},
			[10] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the Song of the Great Bow called?",
				["Answer"] = "Laer C Beleg",
			},
			[11] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who composed the Laer C Beleg?",
				["Answer"] = "Trin",
			},
			[12] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the tale that tells the battle in which Gondolin was sacked?",
				["Answer"] = "The Fall of Gondolin",
			},
			[13] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What tale tells the voyages of Erendil the Mariner?",
				["Answer"] = "Lay of Erendil",
			},
		}
	},
	[20] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Peoples - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the divine spirits of Arda, or Powers?",
				["Answer"] = "Valar",
			},
			[2] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Queens of the Valar?",
				["Answer"] = "Valier",
			},
			[3] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the \"kelvar\"?",
				["Answer"] = "Animals",
			},
			[4] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the \"olvar\"?",
				["Answer"] = "Plants",
			},
			[5] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What ancient and strange beings take care of the olvar?",
				["Answer"] = "Ents",
			},
			[6] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the Ents also called?",
				["Answer"] = "Shepherds of the Trees",
			},
			[7] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who are the \"Children of Ilvatar\"?",
				["Answer"] = "Elves and Men",
			},
			[8] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the adopted children of Ilvatar\"?",
				["Answer"] = "Dwarves",
			},
			[9] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which other name had Avari got?",
				["Answer"] = "Silvan Elves",
			},
			[10] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Vanyar also called?",
				["Answer"] = "Fair Elves",
			},
			[11] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the kin of Ingw, Finw and Elw, respectively?",
				["Answer"] = "Vanyar Noldor and Teleri",
			},
			[12] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what other name were the Teleri known in Aman?",
				["Answer"] = "Falmari",
			},
			[13] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Elves who saw the light of the Two Trees?",
				["Answer"] = "Calaquendi",
			},
			[14] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Elves who did not get to see the light of the Two Trees?",
				["Answer"] = "Moriquendi",
			},
			[15] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Eldar who turned to the Anduin at the sight of the Misty Mountains?",
				["Answer"] = "Nandor",
			},
			[16] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Nandor who went west again and lived in Ossiriand?",
				["Answer"] = "Laiquendi",
			},
			[17] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Eldar who stayed with Thingol in Doriath?",
				["Answer"] = "Sindar",
			},
			[18] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Teleri who did not reach Amman, staying near the Mouths of Sirion?",
				["Answer"] = "Falathrim",
			},
			[19] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Green-elves live?",
				["Answer"] = "Ossiriand",
			},
			[20] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Dwarves call themselves?",
				["Answer"] = "Khazd",
			},
			[21] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Elves call the Dwarves?",
				["Answer"] = "Naugrim",
			},
			[22] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what little-used name were the Dwarves also called?",
				["Answer"] = "Gonnhirrim",
			},
			[23] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who woke up at the first sunrise?",
				["Answer"] = "Men",
			},
			[24] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what name are the Valaraukar commonly known?",
				["Answer"] = "Balrogs",
			},
			[25] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Eru call the Elves?",
				["Answer"] = "Quendi",
			},
			[26] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Eru call Men?",
				["Answer"] = "Atani",
			},
			[27] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Orom give to the Elves?",
				["Answer"] = "Eldar",
			},
			[28] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the Firstborn?",
				["Answer"] = "Elves",
			},
			[29] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What hideous race did Melkor brood in envy and mockery of Elves?",
				["Answer"] = "Orcs",
			},
			[30] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Elves who never made the journey to Aman?",
				["Answer"] = "Avari",
			},
			[31] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who among the Eldar are Aul\'s favourites?",
				["Answer"] = "Noldor",
			},
			[32] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who among the Eldar are Manw\'s favourites?",
				["Answer"] = "Vanyar",
			},
			[33] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who among the Eldar are Ulmo\'s favourites?",
				["Answer"] = "Teleri",
			},
			[34] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped build Menegroth and Nargothrond?",
				["Answer"] = "Dwarves",
			},
			[35] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose people were the first Men to enter Beleriand?",
				["Answer"] = "Bor",
			},
			[36] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which kin of Men was the second to enter Beleriand?",
				["Answer"] = "Haladin",
			},
			[37] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose people were the last of the Elf-friends to enter Beleriand?",
				["Answer"] = "Marach",
			},
			[38] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Eldar call the three houses of Men that first befriended them?",
				["Answer"] = "Edain",
			},
			[39] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was another name for the Easterlings that reached Beleriand?",
				["Answer"] = "Swarthy Men",
			},
			[40] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the first Dwarves to enter Beleriand called?",
				["Answer"] = "Petty-dwarves",
			},
			[41] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Men of the island that was raised for them in the Great Sea?",
				["Answer"] = "Nmenreans",
			},
			[42] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Grey-elves call the Nmenreans?",
				["Answer"] = "Dnedain",
			},
			[43] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what activity did the Nmenreans excel?",
				["Answer"] = "Sailing",
			},
			[44] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Nmenrean Elf-friends?",
				["Answer"] = "Elendili",
			},
			[45] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the Gwaith-i-Mrdain of Eregion?",
				["Answer"] = "People of the Jewel-smiths",
			},
			[46] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What strange wandering people resulted from Arnor\'s disappearance?",
				["Answer"] = "Rangers",
			},
			[47] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which horsemen people came to Gondor in the Third Age and were forever their allies?",
				["Answer"] = "Rohirrim",
			},
			[48] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Wizards who came from the West in the Third Age?",
				["Answer"] = "Istari",
			},
			[49] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What race were the Istari?",
				["Answer"] = "Maiar",
			},
			[50] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the race (Elvish name) of Little People, who dwelt in Eriador in the Third Age?",
				["Answer"] = "Periannath",
			},
			[51] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Men who inhabited the southernmost lands of Middle-earth?",
				["Answer"] = "Haradrim",
			},
		}
	},
	[21] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Quotes - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"E! Let these things Be!\"?",
				["Answer"] = "Eru",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Eru say \"Why hast thou done this? Why dost thou attempt a thing which thou knowest is beyond thy power and thy authority?\"?",
				["Answer"] = "Aul",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Never again shall I bear child; for strength that would have nourished the life of many has gone forth into Fanor\"?",
				["Answer"] = "Mriel",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Blackheart! I have done thy bidding. But I hunger still.\"?",
				["Answer"] = "Ungoliant",
			},
			[5] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"None and none! What I have left behind I count now no loss; needless baggage on the road it has proved\"?",
				["Answer"] = "Fanor",
			},
			[6] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"O King to whom all birds are dear, speed now this feathered shaft, and recall some pity for the Noldor in their need!\"?",
				["Answer"] = "Fingon",
			},
			[7] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Maedhros talking about when he said, \"A king is he that can hold his own, or eke his title is vain.\"?",
				["Answer"] = "Thingol",
			},
			[8] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Turn now south and not north, for I will not ride to Hithlum; my heart desires rather to find the sons of Fanor, my friends of old.\"?",
				["Answer"] = "Aredhel",
			},
			[9] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"You have my leave, but not my love. The sooner you depart from my land the better will it please me.\", and to whom?",
				["Answer"] = "Curufin to El",
			},
			[10] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"A darkness lies behind us, and we have turned our backs upon it, and we do not desire to return thither even in thought.\"?",
				["Answer"] = "Bor",
			},
			[11] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Who said, at the 5th Battle of Beleriand, \"Utlie\'n aur! Aiya Eldali ar Atanatri, utlie\'n aur!\"?",
				["Answer"] = "Fingon",
			},
			[12] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"With my eyes thou shalt see, and with my ears thou shalt hear; and never shalt thou move from this place until all is fulfilled unto its bitter end.\" To whom were these words driven?",
				["Answer"] = "Hrin",
			},
			[13] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Who are you, that come hither as a thief, and unbidden dare to approach my throne?\" and to whom?",
				["Answer"] = "Thingol to Beren",
			},
			[14] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"There everlastingly thy naked self shall endure the torment of his scorn, pierced by his eyes, unless thou yield to me the mastery of thy tower\". Who received these harsh words?",
				["Answer"] = "Sauron",
			},
			[15] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Get you gone, and fly! For here is a fire that shall consume you, and all evil things.\"",
				["Answer"] = "Beren",
			},
			[16] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Trin talking to when he said, \"Hail Gurthang! No lord or loyalty dost thou know, save the hand that wieldeth thee. From no blood wilt thou shrink. Wilt thou therefore take Trin Turambar, wilt thou slay me swiftly?\"?",
				["Answer"] = "Black Sword",
			},
			[17] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did say \"Yea, I will drink thy blood gladly, that so I may forget the blood of Beleg my master, and the blood of Brandir slain unjustly. I will slay thee swiftly.\"?",
				["Answer"] = "Black Sword",
			},
			[18] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Receive thou thy fee for thy fair keeping of my children and my wife!\"?",
				["Answer"] = "Hrin",
			},
			[19] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Here none but myself shall set foot, lest you fall under the wrath of the Valar. But that peril I will take on myself alone, for the sake of the Two Kindreds.\"?",
				["Answer"] = "Erendil",
			},
			[20] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"The Lords of the West have plotted against us. They strike first. The next blow shall be ours!\"?",
				["Answer"] = "Ar-Pharazn",
			},
			[21] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said, concerning the Ancient Darkness, \"And out of it the world was made. For Darkness alone is worshipful, and the Lord thereof may yet make other worlds to be gifts to those that serve him.\"?",
				["Answer"] = "Sauron",
			},
			[22] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"True, alas, is our guess. This is not one of the lairi, as many have long supposed.\"?",
				["Answer"] = "Gandalf",
			},
			[23] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Take now this Ring, for thy labours and thy cares will be heavy, but in all it will support thee and defend thee from weariness.\"?",
				["Answer"] = "Crdan",
			},
		}
	},
	[22] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Characters - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Valier is Irmo\'s wife?",
				["Answer"] = "Est",
			},
			[2] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How\'s Vana also called?",
				["Answer"] = "Ever-young",
			},
			[3] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Fingolfin\'s paternal name?",
				["Answer"] = "Nolofinw",
			},
			[4] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was nicknamed \"Serind\"?",
				["Answer"] = "Mriel",
			},
			[5] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did Fanor learn much of the making of things in metal and in stone?",
				["Answer"] = "Mahtan",
			},
			[6] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Nerdanel\'s father?",
				["Answer"] = "Mahtan",
			},
			[7] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Men of Bor call Finrod\'s people?",
				["Answer"] = "Nmin",
			},
			[8] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was Bor\'s name before he went to live as Finrod\'s vassal?",
				["Answer"] = "Balan",
			},
			[9] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Bereg?",
				["Answer"] = "Baran",
			},
			[10] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Haldar\'s son?",
				["Answer"] = "Haldan",
			},
			[11] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Bregor\'s sons?",
				["Answer"] = "Barahir and Bregolas",
			},
			[12] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons of Bregolas?",
				["Answer"] = "Baragund and Beregund",
			},
			[13] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Barahir\'s twelve surviving companions in Dorthonion?",
				["Answer"] = "Arthad Baragund Belegund Beren Dagnir Dairuin Gildor Gorlim Hathaldir Radhruin Ragnor and Urthel",
			},
			[14] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Hathaldir\'s nickname?",
				["Answer"] = "The Young",
			},
			[15] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Gorlim\'s father?",
				["Answer"] = "Angrim",
			},
			[16] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Halmir in the lordship of the Men of Brethil?",
				["Answer"] = "Haldir",
			},
			[17] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Haldir\'s wife?",
				["Answer"] = "Glredhel",
			},
			[18] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Haldir in the lordship of the Men of Brethil?",
				["Answer"] = "Handir",
			},
			[19] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the seer of Brethil who predicted that Morwen\'s tomb would never be defiled?",
				["Answer"] = "Glirhuin",
			},
			[20] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the chief of the Easterlings of Hithlum in Tuor\'s time?",
				["Answer"] = "Lorgan",
			},
			[21] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Voronw\'s father?",
				["Answer"] = "Aranw",
			},
			[22] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the three mariners who sailed all the seas beside Erendil?",
				["Answer"] = "Aerandir Erellont and Falathar",
			},
			[23] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of Ar-Adnakhr?",
				["Answer"] = "Tar-Herunmen",
			},
			[24] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Ar-Gimilzr\'s Elvish name?",
				["Answer"] = "Tar-Telemnar",
			},
			[25] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Erendur and Inzilbth\'s mother?",
				["Answer"] = "Lindri",
			},
			[26] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Gimilkhd\'s son?",
				["Answer"] = "Pharazn",
			},
			[27] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Isildur\'s sons?",
				["Answer"] = "Aratan Cryon Elendur and Valandil",
			},
			[28] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-third King of Gondor of Meneldil\'s line?",
				["Answer"] = "Telemnar",
			},
			[29] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the penultimate King of Gondor?",
				["Answer"] = "Ernil",
			},
		}
	},
	[23] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Geography - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what other name is Eldamar named?",
				["Answer"] = "Elend",
			},
			[2] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the misty region near Helcarax?",
				["Answer"] = "Oiomr",
			},
			[3] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the riverbed of the ancient tributary of the Sirion that came out of the Echoriath called?",
				["Answer"] = "Dry River",
			},
			[4] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is another name given to Taniquetil?",
				["Answer"] = "Elerrna",
			},
			[5] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is another name given to the Halls of Mandos?",
				["Answer"] = "Halls of Awaiting",
			},
			[6] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the region of Aman in which the Valar settled?",
				["Answer"] = "Valmar",
			},
			[7] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which blue star lies south of Menelmacar?",
				["Answer"] = "Helluin",
			},
			[8] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is Helluin called today?",
				["Answer"] = "Sirius",
			},
			[9] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Doriath\'s name before Melian\'s power worked?",
				["Answer"] = "Eglador",
			},
			[10] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Andram\'s eastern boundary?",
				["Answer"] = "Ramdal",
			},
			[11] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Noldor call Ered Luin?",
				["Answer"] = "Ered Lindon",
			},
			[12] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Noldor call the Moon?",
				["Answer"] = "Rna",
			},
			[13] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Noldor call the Sun?",
				["Answer"] = "Vsa",
			},
			[14] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land of Morgoth north of Beleriand?",
				["Answer"] = "Dor Daedeloth",
			},
			[15] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name was Thargelion, in reference to its Lord?",
				["Answer"] = "Dor Caranthir",
			},
			[16] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the land of Thargelion formerly called?",
				["Answer"] = "Talath Rnen",
			},
			[17] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only tributary river of the Narog?",
				["Answer"] = "Ginglith",
			},
			[18] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the little stream that flowed into the Narog at Nargothrond?",
				["Answer"] = "Ringwill",
			},
			[19] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what lands was the mere of Linaewen?",
				["Answer"] = "Nevrast",
			},
			[20] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Between what wooded highlands and what mountains was Tol Sirion?",
				["Answer"] = "Dorthonion and Ered Wethrin",
			},
			[21] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What land was between Sirion and Mindeb?",
				["Answer"] = "Dimbar",
			},
			[22] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land between the upper reaches of the Esgalduin and the Aros?",
				["Answer"] = "Dor Dnen",
			},
			[23] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the bridge that crossed the Esgalduin on the northern borders of Doriath?",
				["Answer"] = "Iant Iaur",
			},
			[24] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the little forest of Doriath west of Sirion?",
				["Answer"] = "Nivrim",
			},
			[25] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What wooded land was west of the Narog, south of Nargothrond?",
				["Answer"] = "Taur-en-Faroth",
			},
			[26] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were (north to south) the Seven Rivers, tributaries of the Gelion?",
				["Answer"] = "Ascar Thalos Legolin Brilthor Duilwen and Adurant",
			},
			[27] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the precipice on the north side of Amon Gwareth, which El was thrown from?",
				["Answer"] = "Caragdr",
			},
			[28] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mine in the northern part of the Echoriath?",
				["Answer"] = "Anghabar",
			},
			[29] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two names (meaning the same thing) did Dorthonion receive after the 4th Battle of Beleriand?",
				["Answer"] = "Deldwath and Taur-nu-Fuin",
			},
			[30] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Anfauglith called?",
				["Answer"] = "Dor-nu-Fauglith",
			},
			[31] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Morwen\'s tomb called when it emerged after the sinking of Beleriand?",
				["Answer"] = "Tol Morwen",
			},
			[32] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the waterfall in Ossiriand where Dior lived?",
				["Answer"] = "Lanthir Lamath",
			},
			[33] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ravine in the Echoriath through which Gondolin was reached?",
				["Answer"] = "Orfalch Echor",
			},
			[34] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Valar call the emerged island for the Edain in the middle of the Belegaer?",
				["Answer"] = "Andor",
			},
			[35] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name did Men give to Nmenor?",
				["Answer"] = "Elenna",
			},
			[36] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the place of Aman where Ar-Pharazn and his warriors lie buried?",
				["Answer"] = "Caves of the Forgotten",
			},
		}
	},
	[24] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "History - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Turgon call his hidden city, even though the Sindar called it something else?",
				["Answer"] = "Ondolind",
			},
			[2] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Denethor of the Green-elves die?",
				["Answer"] = "Amon Ereb",
			},
			[3] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many escorts did Turgon appoint to accompany Aredhel to Hithlum?",
				["Answer"] = "3",
			},
			[4] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Bor leave the government of his people?",
				["Answer"] = "Baran",
			},
			[5] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the dissension of some Men in leaving Estolad?",
				["Answer"] = "Amlach and Bereg",
			},
			[6] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what direction did Bereg\'s followers depart from Estolad?",
				["Answer"] = "South",
			},
			[7] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what direction did Amlach\'s followers depart from Estolad?",
				["Answer"] = "North",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what lands did Haleth lead his people after Estolad?",
				["Answer"] = "Talath Dirnen",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the women and children of the village of Barahir out of Dorthonion?",
				["Answer"] = "Emeldir",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what lake did Barahir and the other twelve survivors of Dorthonion settle after the 4th Battle of Beleriand?",
				["Answer"] = "Tarn Aeluin",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Sauron promise Gorlim that he would meet if he revealed where Barahir was?",
				["Answer"] = "Eilinel",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who gave the dog Huan to Celegorm?",
				["Answer"] = "Orom",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the only one of Thingol\'s messengers bound for Himring to survive Carcharoth?",
				["Answer"] = "Mablung",
			},
			[14] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Mandos offered Lthien immortality without Beren in Valinor, but what was the other option, which was the one he chose?",
				["Answer"] = "Mortality with Beren in Middle-earth",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What season of year did the 4th Battle of Beleriand begin?",
				["Answer"] = "Winter",
			},
			[16] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What season of year did the 5th Battle of Beleriand begin?",
				["Answer"] = "Summer",
			},
			[17] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the heralds of Morgoth hewed off to pieces before the armies of Fingon before the 5th Battle of Beleriand began?",
				["Answer"] = "Gelmir",
			},
			[18] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was captured alive when inside Angband at the 5th Battle of Beleriand?",
				["Answer"] = "Gwindor",
			},
			[19] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what forest did Trin and his fellow outlaws dwell?",
				["Answer"] = "Nivrim",
			},
			[20] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what hill in sight of Nargothrond did Mablung lead Morwen and Nienor?",
				["Answer"] = "Amon Ethir",
			},
			[21] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years was Hrin captive?",
				["Answer"] = "28",
			},
			[22] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hrin go after Gondolin, after he was freed?",
				["Answer"] = "Brethil",
			},
			[23] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Hrin\'s ultimate destination in Middle-earth?",
				["Answer"] = "Western sea",
			},
			[24] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Celegorm?",
				["Answer"] = "Dior",
			},
			[25] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Tuor advise Turgon to go, leaving Gondolin?",
				["Answer"] = "Mouths of Sirion",
			},
			[26] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years had passed since the arrival of the Noldor in Middle-earth when Erendil was born?",
				["Answer"] = "503",
			},
			[27] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What feast was being celebrated on the day of the Fall of Gondolin?",
				["Answer"] = "Gates of Summer",
			},
			[28] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was built for Elwing on the shores of the Dividing Seas?",
				["Answer"] = "Tower",
			},
			[29] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what was first lit the fire of the temple that Sauron ordered to be built at Armenelos?",
				["Answer"] = "Wood of Nimloth",
			},
			[30] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves call the Black Years?",
				["Answer"] = "Days of Flight",
			},
			[31] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Name of two Nmenrean renegades, servants of Sauron who attained great power among the Haradrim",
				["Answer"] = "Fuinur and Herumor",
			},
			[32] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in Mordor did Anrion die?",
				["Answer"] = "Gorgoroth",
			},
			[33] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Gondor did a great plague ravage the kingdom?",
				["Answer"] = "Telemnar",
			},
			[34] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Gondor was Minas Ithil taken over for the second time?",
				["Answer"] = "Ernil",
			},
		}
	},
	[25] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Items - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Ring of Doom?",
				["Answer"] = "Mhanaxar",
			},
			[2] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Turgon\'s image of Telperion in Gondolin?",
				["Answer"] = "Belthil",
			},
			[3] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Turgon\'s image of Laurelin in Gondolin?",
				["Answer"] = "Glingal",
			},
			[4] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Beleg\'s bow called?",
				["Answer"] = "Belthronding",
			},
			[5] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the sword of the Kings of Nmenor?",
				["Answer"] = "Aranrth",
			},
		}
	},
	[26] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Languages - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Eldamar\" mean?",
				["Answer"] = "Elvenhome",
			},
			[2] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elerrna\", Taniquetil\'s name, mean?",
				["Answer"] = "Crowned with Stars",
			},
			[3] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the meaning of \"Helluin\"?",
				["Answer"] = "Ice-blue",
			},
			[4] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rna\", the Moon, mean?",
				["Answer"] = "Wanderer",
			},
			[5] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Vsa\", the Sun, mean?",
				["Answer"] = "Consumer",
			},
			[6] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dolmed\" mean?",
				["Answer"] = "Wet Head",
			},
			[7] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ramdal\" mean?",
				["Answer"] = "Wall\'s End",
			},
			[8] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Lmin\" mean?",
				["Answer"] = "Echoing Mountains",
			},
			[9] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dor Daedeloth\" mean?",
				["Answer"] = "Land of the Shadow of Horror",
			},
			[10] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Thangorodrim\" mean?",
				["Answer"] = "Mountain of Tyranny",
			},
			[11] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Thargelion\" mean?",
				["Answer"] = "Land beyond Gelion",
			},
			[12] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Talath Rhnen\" mean?",
				["Answer"] = "East Vale",
			},
			[13] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Linaewen\" mean?",
				["Answer"] = "Lake of Birds",
			},
			[14] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Brilthor\" mean, river of Ossiriand?",
				["Answer"] = "Glittering Torrent",
			},
			[15] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Quenya equivalent of \"Hithlum\"?",
				["Answer"] = "Hsilm",
			},
			[16] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nevrast\" mean?",
				["Answer"] = "Hither Shore",
			},
			[17] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Haerast\" mean?",
				["Answer"] = "Far Shore",
			},
			[18] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dor Dnen\" mean?",
				["Answer"] = "Silent Land",
			},
			[19] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Iant Iaur\" mean?",
				["Answer"] = "Old Bridge",
			},
			[20] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ondolind\" mean?",
				["Answer"] = "Stone Song",
			},
			[21] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of Haleth\'s tomb?",
				["Answer"] = "Haudh-en-Arwen",
			},
			[22] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Deldwath\" mean?",
				["Answer"] = "Horror of Night Shadow",
			},
			[23] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Taur-nu-Fuin\" mean?",
				["Answer"] = "Forest under Night",
			},
			[24] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dor-nu-Fauglith\" mean?",
				["Answer"] = "Land Under Choking Ash",
			},
			[25] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Haudh-en-Ndengin\" mean?",
				["Answer"] = "Mound of Slain",
			},
			[26] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was \"Nargothrond\" called in the language of Dwarves?",
				["Answer"] = "Nulukkizdn",
			},
			[27] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lanthir Lamath\" mean?",
				["Answer"] = "Waterfall of Echoing Voices",
			},
			[28] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mar-nu-Falmar\" mean, the name of Nmenor after sinking?",
				["Answer"] = "Land under the Waves",
			},
			[29] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Fornost\" mean?",
				["Answer"] = "Northern Fortress",
			},
			[30] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rauros\" mean?",
				["Answer"] = "Roaring Spray",
			},
			[31] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Orthanc\" mean?",
				["Answer"] = "Forked Height",
			},
			[32] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Imladris\" literally mean?",
				["Answer"] = "Deep Dale of the Cleft",
			},
			[33] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the \"Gladden Fields\"?",
				["Answer"] = "Loeg Ningloron",
			},
			[34] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rhovanion\" mean?",
				["Answer"] = "Wilderland",
			},
			[35] =
			{
				["Category"] = "Languages (Geography And Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mindolluin\" mean?",
				["Answer"] = "Towering Blue-head",
			},
			[36] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name, Quenya form of \"Nimloth\", had Telperion?",
				["Answer"] = "Ninquelt",
			},
			[37] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what other name, meaning \"Tree of Gold\", was Laurelin known?",
				["Answer"] = "Malinalda",
			},
			[38] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Belhtil\" mean?",
				["Answer"] = "Divine Radiance",
			},
			[39] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Glingal\" mean?",
				["Answer"] = "Hanging Flame",
			},
			[40] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Sindarin equivalent of \"Melkor\"?",
				["Answer"] = "Belegr",
			},
			[41] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Galadriel\" literally mean?",
				["Answer"] = "Maiden crowned with a radiant garland",
			},
			[42] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Quenya equivalent of \"Thorondor\"?",
				["Answer"] = "Sorontar",
			},
			[43] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aredhel\" literally mean?",
				["Answer"] = "Noble Elf",
			},
			[44] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Thuringwethil\" mean?",
				["Answer"] = "Woman of Secret Shadow",
			},
			[45] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dagnir Glaurunga\" mean?",
				["Answer"] = "Glaurung\'s Bane",
			},
			[46] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Glorfindel\" mean?",
				["Answer"] = "Golden-haired",
			},
			[47] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Eglath\" mean?",
				["Answer"] = "Forsaken People",
			},
			[48] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Apannar\" mean, name given by the Eldar to Men?",
				["Answer"] = "Afterborn",
			},
			[49] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Engwar\" mean, name the Eldar gave to Men?",
				["Answer"] = "Sickly",
			},
			[50] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name given to the \"Petty Dwarves\" in the Sindarin language?",
				["Answer"] = "Noegyth Nibin",
			},
		}
	},
	[27] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Music - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who composed the Aldudni?",
				["Answer"] = "Elemmr",
			},
			[2] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the Tale of the Sons of Hrin also called?",
				["Answer"] = "Tale of Grief",
			},
		}
	},
	[28] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Peoples - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name for the Eldar who did not reach to Aman?",
				["Answer"] = "Umanyar",
			},
			[2] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did those who stayed in Beleriand with Elw call themselves?",
				["Answer"] = "Eglath",
			},
			[3] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name did the Elendili go by?",
				["Answer"] = "Faithful",
			},
		}
	},
	[29] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Silmarillion",
			["PackageCategory"] = "Quotes - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"is it true, as Aul hath said to me, that the Children when they come shall have dominion over all the things of my labour, to do as they will therewith?\"?",
				["Answer"] = "Yavanna",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"There is some woe that lies upon you and your kin. That I can see in you, but all else is hidden from me;\", and who did say that and to whom?",
				["Answer"] = "Melian to Galadriel",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"O woe-begotten spirit, fall now into dark oblivion, and forget for a while the dreadful doom of life.\" To whom were these words addressed?",
				["Answer"] = "Carcharoth",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said before dying \"Now is the Quest achieved, and my doom full-wrought.\"?",
				["Answer"] = "Beren",
			},
		}
	},
	[30] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "Characters - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Was Bilbo\'s Mother?",
				["Answer"] = "Belladonna Took",
			},
			[2] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Bilbo\'s father?",
				["Answer"] = "Bungo Baggins",
			},
			[3] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the relationship between Balin and Dwalin?",
				["Answer"] = "Brothers",
			},
			[4] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the relationship between Fli and Kli?",
				["Answer"] = "Brothers",
			},
			[5] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the relationship between in and Glin?",
				["Answer"] = "Brothers",
			},
			[6] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the relationship between Thorin and Fli or Kli?",
				["Answer"] = "Uncle and nephew",
			},
			[7] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the leader of the group of Dwarves who marched to the Lonely Mountain with Bilbo?",
				["Answer"] = "Thorin",
			},
			[8] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname had Thorin II?",
				["Answer"] = "Oakenshield",
			},
			[9] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Dwarves of Bilbo\'s Company?",
				["Answer"] = "13",
			},
			[10] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names (in their usual order) of the Dwarves of Thorin\'s Company?",
				["Answer"] = "Balin Dwalin Fli Kli Dori Nori Ori in Glin Bifur Bofur and Bombur",
			},
			[11] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the relationship between the Bullroarer Took and the Old Took?",
				["Answer"] = "Great-granduncle",
			},
			[12] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Orc King who tried to invade the Shire?",
				["Answer"] = "Golfimbul",
			},
			[13] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Was Thorin\'s Father?",
				["Answer"] = "Thrin",
			},
			[14] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thorin\'s grandfather?",
				["Answer"] = "Thrr",
			},
			[15] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Dragon lived in the Lonely Mountain?",
				["Answer"] = "Smaug",
			},
			[16] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Dwarves of Bilbo\'s Company were the specialists in lighting fires?",
				["Answer"] = "in and Glin",
			},
			[17] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Dwarf was the look-out of Bilbo\'s Company?",
				["Answer"] = "Balin",
			},
			[18] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the three Trolls that Bilbo, Thorin and the others encountered?",
				["Answer"] = "Bert Tom and William",
			},
			[19] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Guille the Troll\'s surname?",
				["Answer"] = "Huggins",
			},
			[20] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What creature lived in the depths of the Misty Mountains, on an island in a subterranean lake?",
				["Answer"] = "Gollum",
			},
			[21] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gollum mainly eat?",
				["Answer"] = "Fish",
			},
			[22] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who lived alone in a house between Anduin and Mirkwood?",
				["Answer"] = "Beorn",
			},
			[23] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Beorn eat almost exclusively?",
				["Answer"] = "Cream and honey",
			},
			[24] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was always the last in Thorin\'s company?",
				["Answer"] = "Bombur",
			},
			[25] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the butler Thranduil?",
				["Answer"] = "Galion",
			},
			[26] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the artificial waistcoat on Smaug\'s lower body made of?",
				["Answer"] = "Diamonds",
			},
			[27] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which captain of the Lake-town was Girion\'s direct heir when Bilbo was there?",
				["Answer"] = "Bard",
			},
			[28] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Vale in Thrr\'s time?",
				["Answer"] = "Girion",
			},
			[29] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the great ravens of the Lonely Mountain when Bilbo was there?",
				["Answer"] = "Roc",
			},
			[30] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Roc?",
				["Answer"] = "Carc",
			},
			[31] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who reigned in the Iron Hills in the time of Thorin and his company?",
				["Answer"] = "Din",
			},
			[32] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the relationship between Thorin and Din?",
				["Answer"] = "Cousins",
			},
			[33] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Din?",
				["Answer"] = "Nin",
			},
			[34] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the Goblins who attacked the Lonely Mountain?",
				["Answer"] = "Bolg",
			},
			[35] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Bolg?",
				["Answer"] = "Azog",
			},
			[36] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Goblin King of Moria until he was slain by the son of Thrr?",
				["Answer"] = "Azog",
			},
			[37] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who became a great chief of Men in a wide land between the Misty Mountains and Mirkwood after Bilbo\'s adventure?",
				["Answer"] = "Beorn",
			},
		}
	},
	[31] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "Geography - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place where Bag End was?",
				["Answer"] = "The Hill",
			},
			[2] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Baggins\' house?",
				["Answer"] = "Bag End",
			},
			[3] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the House of Elrond in Rivendell?",
				["Answer"] = "Last Homely House",
			},
			[4] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lands between Running River, the Lonely Mountain, and  Mirkwood?",
				["Answer"] = "Desolation of the Dragon",
			},
			[5] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river flowed from the Lonely Mountain to beyond the Long Lake?",
				["Answer"] = "Running River",
			},
			[6] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lake that was the junction of the Running River and the Mirkwood Forest River?",
				["Answer"] = "Long Lake",
			},
			[7] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the river that ran through Mirkwood?",
				["Answer"] = "Forest River",
			},
			[8] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city of Men on the Long Lake?",
				["Answer"] = "Esgaroth",
			},
			[9] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the Running River born?",
				["Answer"] = "Lonely Mountain",
			},
			[10] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Dwarf Kingdom east of Mirkwood, and north of the Long Lake?",
				["Answer"] = "Lonely Mountain",
			},
			[11] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city of Men by the Lonely Mountain?",
				["Answer"] = "Dale",
			},
			[12] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What used to be called Esgaroth too?",
				["Answer"] = "Lake-town",
			},
			[13] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the watch-post on the south face of Lonely Mountain?",
				["Answer"] = "Ravenhill",
			},
			[14] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the mountains east of the Lonely Mountain called?",
				["Answer"] = "Iron Hills",
			},
			[15] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most important goblin city in Bolg\'s time?",
				["Answer"] = "Mount Gundabad",
			},
		}
	},
	[32] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "History - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which book, written by Bilbo, is his journey told?",
				["Answer"] = "There and Back Again",
			},
			[2] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Bilbo meet one morning in his routine life while smoking a pipe?",
				["Answer"] = "Gandalf",
			},
			[3] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Dwarves were the first to show up at Bilbo\'s house?",
				["Answer"] = "Balin and Dwalin",
			},
			[4] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was the second pair of Dwarves to show up at Bilbo\'s house?",
				["Answer"] = "Fli and Kli",
			},
			[5] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which trio and which pair of dwarves came to Bilbo\'s house together?",
				["Answer"] = "Dori Nori Ori in and Glin",
			},
			[6] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the last trio of Dwarves to arrive at Bilbo\'s house?",
				["Answer"] = "Bifur Bofur and Bombur",
			},
			[7] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last Dwarf (along with Gandalf and three others) to arrive at Bilbo\'s house?",
				["Answer"] = "Thorin",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Dwarves recognize which hobbit-hole they should go into?",
				["Answer"] = "By Gandalf\'s sign",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Dwarf was the first to doubt Bilbo\'s ability?",
				["Answer"] = "Glin",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Thrr?",
				["Answer"] = "Azog",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "who killed Azog?",
				["Answer"] = "Din",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who wrote his name with a sword on Thrr\'s face?",
				["Answer"] = "Azog",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where Did Thrin Die?",
				["Answer"] = "Dol Guldur",
			},
			[14] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who gave Thrr\'s map and key to Gandalf?",
				["Answer"] = "Thrin",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Through what did Thrin and Thrr escape from the Lonely Mountain?",
				["Answer"] = "Secret Side Door",
			},
			[16] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who desolated the Lonely Mountain and the city of Dale?",
				["Answer"] = "Smaug",
			},
			[17] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were the Dwarves set the appointment with Bilbo to set out on the journey?",
				["Answer"] = "The Green Dragon",
			},
			[18] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what river had Bilbo, Thorin, and the others had camped on the night of the Trolls?",
				["Answer"] = "Greyflood",
			},
			[19] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Dwarves send one night to investigate a light they saw?",
				["Answer"] = "Bilbo",
			},
			[20] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo, Thorin and the others come across on a rainy night, after crossing the Greyflood?",
				["Answer"] = "Trolls",
			},
			[21] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the three Trolls think Bilbo was?",
				["Answer"] = "Burrahobbit",
			},
			[22] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Trolls understand when they asked him how many others there were with him?",
				["Answer"] = "Lots and none at all",
			},
			[23] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Bilbo, Thorin and the rest from the Trolls?",
				["Answer"] = "Gandalf",
			},
			[24] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the three Trolls who wanted to eat Thorin and the others end up?",
				["Answer"] = "Turned to stone",
			},
			[25] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf, Bilbo, Thorin and the others go right after being saved from the Trolls?",
				["Answer"] = "Cave of the Trolls",
			},
			[26] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf, Bilbo, Thorin and the others go after their adventure with the Trolls?",
				["Answer"] = "Rivendell",
			},
			[27] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf, Bilbo, Thorin and the others visit before crossing the Misty Mountains?",
				["Answer"] = "Elrond",
			},
			[28] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountain range did Gandalf, Bilbo, Thorin and the others have to cross on their journey?",
				["Answer"] = "Misty Mountains",
			},
			[29] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who captured Gandalf, Bilbo, Thorin, and the others in the Misty Mountains?",
				["Answer"] = "Goblins",
			},
			[30] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Goblins of the Misty Mountains take Bilbo, Thorin, and the others to?",
				["Answer"] = "Great Goblin",
			},
			[31] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Thorin\'s company from the Goblins in the Misty Mountains?",
				["Answer"] = "Gandalf",
			},
			[32] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Dwarf had to carry Bilbo the most?",
				["Answer"] = "Dori",
			},
			[33] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo find in the Misty Mountains?",
				["Answer"] = "Ring",
			},
			[34] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gollum challenge Bilbo to?",
				["Answer"] = "Riddles",
			},
			[35] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What tried to find Gollum going to his island before he went to show Bilbo the way out?",
				["Answer"] = "Ring",
			},
			[36] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo do to find his way out of the Goblins\' lair?",
				["Answer"] = "Followed Gollum",
			},
			[37] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Now we say \"Out of the frying pan into the fire\", but what is the original proverb, devised by Bilbo?",
				["Answer"] = "Escaping goblins to be caught by wolves",
			},
			[38] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What attacked Gandalf, Bilbo, Thorin and the others after escaping the Misty Mountains?",
				["Answer"] = "Wargs",
			},
			[39] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nearly apprehended Gandalf, Bilbo, Thorin, and the others after crossing the Misty Mountains?",
				["Answer"] = "Goblins",
			},
			[40] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf throw at the Wargs from the tree?",
				["Answer"] = "Pinecones",
			},
			[41] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Gandalf, Bilbo, Thorin and the rest from the Goblins and Wargs?",
				["Answer"] = "Eagles",
			},
			[42] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What word did the Eagles use to call Gandalf, Bilbo, Thorin, and the others, which frightened Bilbo?",
				["Answer"] = "Prisoners",
			},
			[43] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Eagles leave Gandalf, Bilbo, Thorin and the others?",
				["Answer"] = "Carrock",
			},
			[44] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo mean by \"skin-changer\", as Gandalf called Beorn?",
				["Answer"] = "Furrier",
			},
			[45] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf, Bilbo, Thorin and the others visit after crossing the Anduin?",
				["Answer"] = "Beorn",
			},
			[46] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf tell Beorn that he was his cousin?",
				["Answer"] = "Radagast",
			},
			[47] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Gandalf tell the Dwarves that they should enter Beorn\'s house?",
				["Answer"] = "In pairs",
			},
			[48] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What drink did Gandalf, Bilbo, Thorin and the others drink at Beorn\'s?",
				["Answer"] = "Mead",
			},
			[49] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf do while Bilbo, Thorin, and the others were at Beorn\'s house?",
				["Answer"] = "Followed footprints",
			},
			[50] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What forest did Bilbo, Thorin, and the others have to cross after leaving Beorn\'s house?",
				["Answer"] = "Mirkwood",
			},
			[51] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On the borders of what did Gandalf leave Thorin\'s company?",
				["Answer"] = "Mirkwood",
			},
			[52] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What happened to Bombur when he fell into the enchanted creek in Mirkwood?",
				["Answer"] = "Fell asleep",
			},
			[53] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose were the lights that Bilbo, Thorin, and the others saw in Mirkwood?",
				["Answer"] = "Elves",
			},
			[54] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who tried to eat Bilbo, Thorin, and the others in Mirkwood?",
				["Answer"] = "Spiders",
			},
			[55] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Thorin and the others from the Spiders?",
				["Answer"] = "Bilbo",
			},
			[56] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Thorin and the others from the Wood-elves?",
				["Answer"] = "Bilbo",
			},
			[57] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo do to distract and infuriate the Spiders?",
				["Answer"] = "Sing",
			},
			[58] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who captured Thorin and the Dwarves in Mirkwood?",
				["Answer"] = "Elves",
			},
			[59] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what hid Bilbo, Thorin, and the rest to escape from the Wood-elves?",
				["Answer"] = "Barrels",
			},
			[60] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the next stop of Bilbo, Thorin, and the others after Mirkwood?",
				["Answer"] = "Esgaroth",
			},
			[61] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Bilbo, Thorin, and the others go after leaving Esgaroth?",
				["Answer"] = "Lonely Mountain",
			},
			[62] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what special day could the Secret Entrance to the Lonely Mountain be opened?",
				["Answer"] = "Durin\'s Day",
			},
			[63] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What role should Bilbo play in Thorin\'s company?",
				["Answer"] = "Burglar",
			},
			[64] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first thing Bilbo stole from Smaug?",
				["Answer"] = "Cup",
			},
			[65] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What bird seemed to hear the conversations of Bilbo, Thorin, and the others on the Mountain?",
				["Answer"] = "Thrush",
			},
			[66] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first thing Bilbo kept from the treasure of Smaug?",
				["Answer"] = "Arkenstone",
			},
			[67] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Bilbo, Thorin, and the others go after being locked up in the Mountain, and taking some of the treasure?",
				["Answer"] = "Ravenhill",
			},
			[68] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Smaug go to after destroying the west side of the Mountain?",
				["Answer"] = "Lake-town",
			},
			[69] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Killed Smaug?",
				["Answer"] = "Bard",
			},
			[70] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Thanks to what did Bard know where to shoot his arrow?",
				["Answer"] = "Thrush",
			},
			[71] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped the Men of Esgaroth after the destruction of their City?",
				["Answer"] = "Elves",
			},
			[72] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whose beak did the Dwarves and Bilbo know what happened to Smaug?",
				["Answer"] = "Roc",
			},
			[73] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the ravens warn on behalf of Thorin?",
				["Answer"] = "Din",
			},
			[74] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Dwarves and Bilbo do at the Main Gate of the Lonely Mountain when they heard of the march of the armies of Men and Elves?",
				["Answer"] = "Fortified it",
			},
			[75] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main food of Bilbo and the Dwarves in the Lonely Mountain?",
				["Answer"] = "Cram",
			},
			[76] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Elves and Men do in the face of Thorin\'s refusal to give up any of the treasure?",
				["Answer"] = "Laid siege to the Mountain",
			},
			[77] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo give Bard to help bring the negotiations to a successful conclusion?",
				["Answer"] = "Arkentone",
			},
			[78] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose share of the treasure Thorin would exchange for the Arkenstone?",
				["Answer"] = "Bilbo",
			},
			[79] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who came to the Lonely Mountain to help Thorin against Elves and Men?",
				["Answer"] = "Din",
			},
			[80] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who came to the Mountain when Elves, Men and Dwarves were preparing to fight?",
				["Answer"] = "Wargs and Goblins",
			},
			[81] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Battle that took place on the Lonely Mountain after Smaug\'s death?",
				["Answer"] = "Battle of the Five Armies",
			},
			[82] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Bilbo take refuge in the Battle of the Five Armies?",
				["Answer"] = "Ravenhill",
			},
			[83] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the Five Armies that fought on the Lonely Mountain?",
				["Answer"] = "Dwarves Elves Goblins Men and Wargs",
			},
			[84] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who joined the Battle of the Five Armies, turning the tide of battle?",
				["Answer"] = "Eagles",
			},
			[85] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who joined the Battle of the Five Armies last?",
				["Answer"] = "Beorn",
			},
			[86] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Killed Bolg?",
				["Answer"] = "Beorn",
			},
			[87] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In Which Battle Did Bolg Die?",
				["Answer"] = "Battle of the Five Armies",
			},
			[88] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In What Battle Did Thorin Die?",
				["Answer"] = "Battle of the Five Armies",
			},
			[89] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what battle did Fli and Kli die?",
				["Answer"] = "Battle of the Five Armies",
			},
			[90] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was crowned King Under the Mountain after the Battle of the Five Armies?",
				["Answer"] = "Din",
			},
			[91] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was King of Dale after the Battle of the Five Armies?",
				["Answer"] = "Bard",
			},
			[92] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where Was Thorin Buried?",
				["Answer"] = "Lonely Mountain",
			},
			[93] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only thing Bilbo took from Smaug\'s treasure?",
				["Answer"] = "2 chests",
			},
			[94] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bard give to Thranduil?",
				["Answer"] = "Emeralds of Girion",
			},
			[95] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo give to Thranduil?",
				["Answer"] = "Necklace",
			},
			[96] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With whom did Bilbo make the journey home?",
				["Answer"] = "Gandalf",
			},
			[97] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Bilbo and Gandalf stop after crossing Mirkwood back?",
				["Answer"] = "Beorn\'s House",
			},
			[98] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Bilbo and Gandalf stop after crossing the Misty Mountains again?",
				["Answer"] = "Rivendell",
			},
			[99] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf do while Bilbo, Thorin, and the others crossed Mirkwood?",
				["Answer"] = "Drove the Necromancer out",
			},
			[100] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took at the end the spoils of the three Trolls that Gandalf, Bilbo, Thorin and the others had buried?",
				["Answer"] = "Bilbo and Gandalf",
			},
			[101] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo find when he returned home from his journey?",
				["Answer"] = "Auction",
			},
			[102] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How had Bilbo been declared when he returned home after his journey?",
				["Answer"] = "Presumed Dead",
			},
			[103] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo have to do to get his auctioned items back?",
				["Answer"] = "Buy them",
			},
			[104] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Stole Bilbo\'s Silver Spoons?",
				["Answer"] = "Lobelia Sackville-Baggins",
			},
			[105] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Master of the Lake-town do with the gold destined to rebuild it?",
				["Answer"] = "Took it and fled",
			},
			[106] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Dwarf visited Bilbo at his home years after his journey and told him what had happened so far in the Eastlands?",
				["Answer"] = "Balin",
			},
		}
	},
	[33] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "Items - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What musical instrument did Balin and Dwalin play?",
				["Answer"] = "Viol",
			},
			[2] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What musical instrument did Fli and Kli play?",
				["Answer"] = "Fiddle",
			},
			[3] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Musical Instrument Did Dori Nori and Ori Play?",
				["Answer"] = "Flute",
			},
			[4] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What musical instrument did Bifur and Bofur play?",
				["Answer"] = "Clarinet",
			},
			[5] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Musical Instrument Did Bombur Play?",
				["Answer"] = "Drum",
			},
			[6] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Musical Instrument Did Thorin Play?",
				["Answer"] = "Harp",
			},
			[7] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf and the Dwarves use at the Unexpected Party to plan the trip?",
				["Answer"] = "Thrr\'s Map",
			},
			[8] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf give Thorin at the Unexpected Party when he took out the Map?",
				["Answer"] = "Key",
			},
			[9] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose Dwarf was the cloak Bilbo wore on his journey?",
				["Answer"] = "Dwalin",
			},
			[10] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which only three items did Gandalf, Thorin, and Bilbo take from the Trolls\' belongings?",
				["Answer"] = "Glamdring Orcrist and Sting",
			},
			[11] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gandalf\'s sword called?",
				["Answer"] = "Glamdring",
			},
			[12] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Thorin\'s sword called?",
				["Answer"] = "Orcrist",
			},
			[13] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom had Glamdring once belonged?",
				["Answer"] = "Turgon",
			},
			[14] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which special writing technique was used for writing the Map of Thrr?",
				["Answer"] = "Moon-letters",
			},
			[15] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Goblins call Orcrist?",
				["Answer"] = "Biter",
			},
			[16] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Goblins call Glamdring?",
				["Answer"] = "Beater",
			},
			[17] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gollum call \"his\" Ring?",
				["Answer"] = "birthday-present",
			},
			[18] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Mirkwood Spiders call Bilbo\'s sword?",
				["Answer"] = "Sting",
			},
			[19] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most precious item in Smaug\'s treasure?",
				["Answer"] = "Arkenstone",
			},
			[20] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What majestic Necklace did Thorin talk about on the Mountain?",
				["Answer"] = "Necklace of Girion",
			},
			[21] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many emeralds was in the Necklace of Girion?",
				["Answer"] = "500",
			},
			[22] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Great Cup Did Thorin Speak Of on the Mountain?",
				["Answer"] = "Cup of Thrr",
			},
			[23] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first thing that Thorin dian gave to Bilbo, and then passed to Frodo?",
				["Answer"] = "Mithril coat of mail",
			},
			[24] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Men of the Long Lake call their waybread?",
				["Answer"] = "Cram",
			},
			[25] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What object, which Smaug was slain waith, was passed from generation to generation by the Kings of Dale?",
				["Answer"] = "Black Arrow",
			},
		}
	},
	[34] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "Languages - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Glamdring\" mean?",
				["Answer"] = "Hammer Enemies",
			},
			[2] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Orcrist\" mean?",
				["Answer"] = "Goblin Cleft",
			},
		}
	},
	[35] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "Peoples - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is this kind of ordinary everyday sort of \"magic\" that Hobbits possess?",
				["Answer"] = "Disappear",
			},
			[2] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the most adventurous Hobbits?",
				["Answer"] = "Took",
			},
			[3] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do Hobbits define adventures?",
				["Answer"] = "Nasty disturbing uncomfortable things that make you late for dinner",
			},
			[4] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of what lineage of Dwarf was Durin the father of the fathers?",
				["Answer"] = "Longbeards",
			},
			[5] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Day marks the New Year of the Dwarves?",
				["Answer"] = "Durin\'s Day",
			},
			[6] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the typical dwellings of the Hobbits?",
				["Answer"] = "Holes",
			},
			[7] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the \"evil wolves over the Edge of the Wild\"?",
				["Answer"] = "Wargs",
			},
			[8] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Mirkwood elves used to trade with?",
				["Answer"] = "Men of Esgaroth",
			},
			[9] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the Men who were commanded by Beorn?",
				["Answer"] = "Beornings",
			},
		}
	},
	[36] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "Quotes - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Good morning! We don\'t want any adventures here, thank you! You might try over The Hill or across The Water\"?",
				["Answer"] = "Bilbo",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"How he got there I don\'t know, but I found him a prisoner in the dungeons of the Necromancer.\" Who was Gandalf speaking about?",
				["Answer"] = "Thrin",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"What\'s a burrahobbit got to do with my pocket, anyways?\"?",
				["Answer"] = "Wiliam the Troll",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Stand by the grey stone when the thrush knocks, and the setting sun with the last light of Durin\'s Day will shine upon the key-hole\". Where was this written?",
				["Answer"] = "Thrr\'s Map",
			},
			[5] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"What has roots as nobody sees | Is taller than trees | Up, up it goes | And yet never grows\"?",
				["Answer"] = "Mountain",
			},
			[6] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Thirty white horses on a red hill | First they champ | Then they stamp | Then they stand still\"?",
				["Answer"] = "Teeth",
			},
			[7] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Voiceless it cries | Wingless flutters | Toothless bites | Mouthless mutters\"?",
				["Answer"] = "Wind",
			},
			[8] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"An eye in a blue face | Saw an eye in a green face | \"That eye is like to this eye\" | Said the first eye | But in low place | Not in high place\"?",
				["Answer"] = "Sun on the daisies",
			},
			[9] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It cannot be seen, cannot be felt | Cannot be heard, cannot be smelt | It lies behind stars and under hills | And empty holes it fills | It comes first and follows after |Ends life, kills laughter\"?",
				["Answer"] = "Dark",
			},
			[10] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"A box without hinges, key, or lid | Yet golden treasure inside is hid\"?",
				["Answer"] = "Egg",
			},
			[11] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"A live without breath | As cold as death | Never thirsty, ever drinking | All in mail never clinking\"?",
				["Answer"] = "Fish",
			},
			[12] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"This thing all things devours | Birds, beasts, trees, flowers | Gnaws iron, bites steel | Grinds hard stones to meal | Slays king, ruins town | And beats high mountain down\"?",
				["Answer"] = "Time",
			},
			[13] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What exactly was Bilbo\'s last riddle to Gollum?",
				["Answer"] = "What have I got in my pocket?",
			},
			[14] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gollum\'s first answer to Bilbo\'s last riddle?",
				["Answer"] = "Hands",
			},
			[15] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gollum\'s second answer to Bilbo\'s last riddle?",
				["Answer"] = "Knife",
			},
			[16] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gollum\'s last answer to Bilbo\'s last riddle?",
				["Answer"] = "String or nothing",
			},
			[17] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Thief, thief, thief! Baggins! We hates it, we hates it, we hates it for ever!\"?",
				["Answer"] = "Gollum",
			},
			[18] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose phrase \"DON\'T LEAVE THE PATH!\"?",
				["Answer"] = "Gandalf",
			},
			[19] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Gollum! Well I\'m blest! So that\'s how he sneaked past me is it? Now I know! Just crept quietly along did you, Mr. Baggins?\" Who said this?",
				["Answer"] = "Balin",
			},
			[20] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"My armour is like tenfold shields, my teeth are swords, my claws spears, the shock of my tail a thunderbolt, my wings a hurricane, and my breath death!\"?",
				["Answer"] = "Smaug",
			},
			[21] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who invented the proverb \"Never laugh at live dragons\"?",
				["Answer"] = "Bilbo",
			},
			[22] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Black arrow! I have saved you to the last. You have never failed me and always I have recovered you. I had you from my father and he from of old. If ever you came from the forges of the true king under the Mountain, go now and speed well!\"?",
				["Answer"] = "Bard",
			},
			[23] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose words are \"If more of us valued food and cheer and song above hoarded gold, it would be a merrier world.\"?",
				["Answer"] = "Thorin",
			},
		}
	},
	[37] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "Characters - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Fli and Kli\'s mother?",
				["Answer"] = "Ds",
			},
			[2] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Thrr\'s sons?",
				["Answer"] = "Nin and Thrin",
			},
			[3] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Dwarves in the company shared Bilbo\'s views about regular meals, plenty and often?",
				["Answer"] = "Dori and Nori",
			},
			[4] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname had Din II?",
				["Answer"] = "Ironfoot",
			},
		}
	},
	[38] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "Geography - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only safe way through Mirkwood when Bilbo made his journey?",
				["Answer"] = "Forest River",
			},
		}
	},
	[39] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "History - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what month did Bilbo and the Dwarves depart from the Shire?",
				["Answer"] = "April",
			},
			[2] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Third Age did Bilbo leave the Shire with Thorin?",
				["Answer"] = "2941",
			},
			[3] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what month did Gandalf, Bilbo, Thorin and the others arrive in Rivendell?",
				["Answer"] = "June",
			},
			[4] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Thorin send to seek shelter on a stormy night in the Misty Mountains?",
				["Answer"] = "Fli and Kli",
			},
			[5] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of place did Bilbo reach down the passages of the Misty Mountains?",
				["Answer"] = "Lake",
			},
			[6] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which member of Thorin\'s company had to climb the trees of Mirkwood to find out how much distance left?",
				["Answer"] = "Bilbo",
			},
			[7] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo, Thorin, and the others see that made them leave the forest-road?",
				["Answer"] = "Lights",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What season was it when Bilbo, Thorin, and the others were in Thranduil\'s palace?",
				["Answer"] = "Autumn",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What date was Durin\'s Day when Bilbo made his journey with the Dwarves?",
				["Answer"] = "October 22",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first thing Fli and Kli took from Smaug\'s treasure?",
				["Answer"] = "Magical harps",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Smaug do when he found out where Bilbo had come to him?",
				["Answer"] = "Smote the western side of the Mountain",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what month was Bilbo back in Rivendell?",
				["Answer"] = "May",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Third Age did Bilbo return to the Shire after his adventure?",
				["Answer"] = "2942",
			},
		}
	},
	[40] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "Items - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For which King had the terrible spears that Thorin spoke of on the Mountain been made?",
				["Answer"] = "Bladorthin",
			},
		}
	},
	[41] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Hobbit",
			["PackageCategory"] = "Quotes - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-27"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"No-legs lay on one-leg | two-legs sat near on three-legs | four-legs got some\"?",
				["Answer"] = "Fish on a little table, man at table sitting on a stool, the cat has the bones",
			},
		}
	},
	[42] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Characters - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which famous Hobbit was nicknamed \"Bullroarer\", and was the third tallest in history?",
				["Answer"] = "Bandobras Took",
			},
			[2] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the two tallest Hobbits in history?",
				["Answer"] = "Merry and Pippin",
			},
			[3] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Thain of the Took clan was the father of Bandobras Took?",
				["Answer"] = "Isengrim II",
			},
			[4] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, in Frodo\'s time, owned \"The Prancing Pony\"?",
				["Answer"] = "Barliman Butterbur",
			},
			[5] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the Shirriffs of the Shire in charge of \"beating the bounds\"?",
				["Answer"] = "Bounders",
			},
			[6] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Mayor of Michel Delving (or the Shire) in Frodo\'s time?",
				["Answer"] = "Will Whitfoot",
			},
			[7] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the scribe of Gondor who copied the \"Red Book\" of the Thain Peregrin?",
				["Answer"] = "Findegil",
			},
			[8] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who lived in Bagshot Row Number 3, and was known as \"the Gaffer\"?",
				["Answer"] = "Ham Gamgee",
			},
			[9] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Gaffer Gamgee\'s youngest son, and Bilbo\'s gardener?",
				["Answer"] = "Samwise Gamgee",
			},
			[10] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Frodo Baggins\'s father?",
				["Answer"] = "Drogo Baggins",
			},
			[11] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Frodo Baggins\'s mother?",
				["Answer"] = "Primula Brandybuck",
			},
			[12] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the head of the family in Brandy Hall when Frodo lived there?",
				["Answer"] = "Gorbadoc Brandybuck",
			},
			[13] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What day was Bilbo and Frodo\'s birthday?",
				["Answer"] = "September 22",
			},
			[14] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Bilbo\'s nephew and heir?",
				["Answer"] = "Frodo",
			},
			[15] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Frodo\'s two best friends?",
				["Answer"] = "Merry and Pippin",
			},
			[16] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Pippin\'s full name?",
				["Answer"] = "Peregrin Took",
			},
			[17] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Merry\'s full name?",
				["Answer"] = "Meriadoc Brandybuck",
			},
			[18] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Bywater\'s miller?",
				["Answer"] = "Ted Sandyman",
			},
			[19] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gollum\'s real name?",
				["Answer"] = "Smagol",
			},
			[20] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Frodo get from Gandalf to use outside the Shire?",
				["Answer"] = "Underhill",
			},
			[21] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Frodo\'s younger friends?",
				["Answer"] = "Fredegar Bolger and Folco Boffin",
			},
			[22] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Fredegar Bolger commonly called?",
				["Answer"] = "Fatty",
			},
			[23] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the leader of the Elves that Frodo, Sam and Pippin found in the Shire?",
				["Answer"] = "Gildor Inglorion",
			},
			[24] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which House did Gildor and his group of Exiles belong?",
				["Answer"] = "Finrod",
			},
			[25] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was \"The Master\" of the Old Forest and its environs?",
				["Answer"] = "Tom Bombadil",
			},
			[26] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the River-daughter of the Withywindle?",
				["Answer"] = "Goldberry",
			},
			[27] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Goldberry called?",
				["Answer"] = "River-daughter",
			},
			[28] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who \"was here [...] when the Elves passed westward, [...] before the seas were bent, [...] knew the dark stars when it was fearless, before the Dark Lord came\"?",
				["Answer"] = "Tom Bombadil",
			},
			[29] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Tom Bombadil\'s pony?",
				["Answer"] = "Fatty Lumpkin",
			},
			[30] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which were the names of the two employees that Barliman Butterbur had?",
				["Answer"] = "Bob and Nob",
			},
			[31] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was \"the fattest hobbit in the Westfarthing\"?",
				["Answer"] = "Will Whitfoot",
			},
			[32] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what name was Aragorn known in Bree?",
				["Answer"] = "Strider",
			},
			[33] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Aragorn\'s mother?",
				["Answer"] = "Gilraen",
			},
			[34] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Arathorn\'s father?",
				["Answer"] = "Arador",
			},
			[35] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Aragorn receive from his mother?",
				["Answer"] = "Estel",
			},
			[36] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Glorfindel\'s horse?",
				["Answer"] = "Asfaloth",
			},
			[37] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what other name was the Witch-king known?",
				["Answer"] = "Lord of Morgul",
			},
			[38] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What would Frodo have been if the Black Riders had pierced his heart with the Morgul-knife?",
				["Answer"] = "Wraith",
			},
			[39] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the Black Riders?",
				["Answer"] = "Nazgl",
			},
			[40] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Elrond\'s sons?",
				["Answer"] = "Elladan and Elrohir",
			},
			[41] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Elrond\'s daughter?",
				["Answer"] = "Arwen",
			},
			[42] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Elrond marry?",
				["Answer"] = "Celebran",
			},
			[43] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the daughter of Celeborn and Galadriel?",
				["Answer"] = "celebran",
			},
			[44] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Arwen\'s nickname?",
				["Answer"] = "Undmiel",
			},
			[45] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Beorn\'s son?",
				["Answer"] = "Grimbeorn",
			},
			[46] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Grimbeorn have?",
				["Answer"] = "the Old",
			},
			[47] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the grandson of Bard and Lord of Dale at the end of the Third Age?",
				["Answer"] = "Brand",
			},
			[48] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo call Aragorn?",
				["Answer"] = "Dnadan",
			},
			[49] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Glin?",
				["Answer"] = "Gimli",
			},
			[50] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thranduil\'s son?",
				["Answer"] = "Legolas",
			},
			[51] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of Elrond\'s advisors?",
				["Answer"] = "Erestor",
			},
			[52] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last Ruling Steward of Gondor?",
				["Answer"] = "Denethor",
			},
			[53] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Denethor\'s sons?",
				["Answer"] = "Boromir and Faramir",
			},
			[54] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Saruman rejected being the White to be, in his words, of ...",
				["Answer"] = "Many Colours",
			},
			[55] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the horse Gandalf obtained in Rohan?",
				["Answer"] = "Shadowfax",
			},
			[56] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many members formed the Company of the Ring?",
				["Answer"] = "9",
			},
			[57] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Sam call the pony they got in Bree?",
				["Answer"] = "Bill",
			},
			[58] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the small group of people who were on a quest to destroy the One Ring?",
				["Answer"] = "Company of the Ring",
			},
			[59] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the two guides of the Company of the Ring?",
				["Answer"] = "Aragorn and Gandalf",
			},
			[60] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Balin?",
				["Answer"] = "Fundin",
			},
			[61] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Durin\'s Bane?",
				["Answer"] = "Balrog",
			},
			[62] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who in the Third Age was accounted \"the wisest of the Elves of Middle-earth\"?",
				["Answer"] = "Celeborn",
			},
			[63] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the most distrustful of the members of the Company of the Ring?",
				["Answer"] = "Boromir",
			},
			[64] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Aragorn named after the \"Elfstone\" of the House of Elendil that he carried with him?",
				["Answer"] = "Elessar",
			},
			[65] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the Orcs who kidnapped Merry and Pippin serving?",
				["Answer"] = "Saruman",
			},
			[66] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Third Marshal of Riddermark of Rohan until shortly before the end of the Third Age?",
				["Answer"] = "omer",
			},
			[67] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the son and the daughter of omund?",
				["Answer"] = "omer and owyn",
			},
			[68] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Thoden\'s father?",
				["Answer"] = "Thengel",
			},
			[69] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Rohan coming what would be the end of the Third Age?",
				["Answer"] = "Thoden",
			},
			[70] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the Rohirrim\'s horses?",
				["Answer"] = "Mearas",
			},
			[71] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the horse that omer lent to Aragorn?",
				["Answer"] = "Hasufel",
			},
			[72] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the horse that omer lent to Legolas?",
				["Answer"] = "Arod",
			},
			[73] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of the Orcs who kidnapped Merry and Pippin, who was the chief of the Isengarders?",
				["Answer"] = "Uglk",
			},
			[74] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of the Orcs who kidnapped Merry and Pippin, who was the chief of Sauron\'s followers?",
				["Answer"] = "Grishnkh",
			},
			[75] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, according to Gandalf, was \"the oldest living thing that still walks beneath the Sun upon this Middle-earth\"?",
				["Answer"] = "Treebeard",
			},
			[76] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many fingers did Treebeard have on each foot?",
				["Answer"] = "7",
			},
			[77] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Treebeard name to Merry and Pippin as the only three remaining of the oldest Ents?",
				["Answer"] = "Fangorn Finglas and Fladrif",
			},
			[78] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Treebeard love?",
				["Answer"] = "Fimbrethil",
			},
			[79] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Fimbrethil have?",
				["Answer"] = "Wandlimb",
			},
			[80] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the most hasty of the Ents that Merry and Pippin knew?",
				["Answer"] = "Quickbeam",
			},
			[81] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the old man that Aragorn, Legolas and Gimli saw on the borders of Fangorn?",
				["Answer"] = "Saruman",
			},
			[82] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf the Grey become when he was resurrected?",
				["Answer"] = "Gandalf the White",
			},
			[83] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Aragorn name Gandalf as the antithesis of the Black Riders?",
				["Answer"] = "White Rider",
			},
			[84] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname had Legolas?",
				["Answer"] = "Greenleaf",
			},
			[85] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Doorward of Thoden?",
				["Answer"] = "Hma",
			},
			[86] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Thoden and Second Marshal of Riddermark until shortly before the end of the Third Age?",
				["Answer"] = "Thodred",
			},
			[87] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Theoden\'s chief counsellor until the War of the Ring?",
				["Answer"] = "Wormtongue",
			},
			[88] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Thoden call Gandalf before acknowledging his great help?",
				["Answer"] = "Stormcrow",
			},
			[89] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Wormtongue?",
				["Answer"] = "Grma",
			},
			[90] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Eorl\'s horse?",
				["Answer"] = "Felarf",
			},
			[91] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Grma really serving?",
				["Answer"] = "Saruman",
			},
			[92] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Thoden\'s horse?",
				["Answer"] = "Snowmane",
			},
			[93] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of omer\'s horse?",
				["Answer"] = "Firefoot",
			},
			[94] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lord of the Westfold and Hornburg during the War of the Ring?",
				["Answer"] = "Erkenbrand",
			},
			[95] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Rohan froze to death in the fortress that later bore his name?",
				["Answer"] = "Helm",
			},
			[96] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname had Helm?",
				["Answer"] = "Hammerhand",
			},
			[97] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Merry\'s father?",
				["Answer"] = "Saradoc",
			},
			[98] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Pippin\'s father?",
				["Answer"] = "Paladin",
			},
			[99] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gollum call the Sun?",
				["Answer"] = "Yellow Face",
			},
			[100] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gollum call the Moon?",
				["Answer"] = "White Face",
			},
			[101] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gaffer Gamgee call Sam when he did something wrong?",
				["Answer"] = "Ninnyhammer",
			},
			[102] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam call Smagol and Gollum, respectively?",
				["Answer"] = "Slinker and Stinker",
			},
			[103] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Ungoliant\'s last daughter?",
				["Answer"] = "Shelob",
			},
			[104] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sauron call Ungoliant?",
				["Answer"] = "His Cat",
			},
			[105] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Uruk Captain of Minas Morgul when Frodo and Sam arrived to Mordor?",
				["Answer"] = "Gorbag",
			},
			[106] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Uruk Captain of the Tower of Cirith Ungol when Frodo and Sam arrived to Mordor?",
				["Answer"] = "Shagrat",
			},
			[107] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what name was Aragorn known in Gondor while serving the Steward Ecthelion II?",
				["Answer"] = "Thorongil",
			},
			[108] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Prince of Dol Amroth in the days of the War of the Ring?",
				["Answer"] = "Imrahil",
			},
			[109] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the father of Denethor of Gondor",
				["Answer"] = "Ecthelion",
			},
			[110] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Mardil the Faithful\'s father?",
				["Answer"] = "Vorondil",
			},
			[111] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbit was the Guard of the Steward of Gondor?",
				["Answer"] = "Pippin",
			},
			[112] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Beregond\'s son?",
				["Answer"] = "Bergil",
			},
			[113] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lord of Lossarnach in the days of the War of the Ring?",
				["Answer"] = "Forlong",
			},
			[114] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Forlong?",
				["Answer"] = "the Fat",
			},
			[115] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the group of Rangers of the North who came to Aragorn\'s aid in the War of the Ring?",
				["Answer"] = "Elladan Elrohir and Halbarad",
			},
			[116] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Aragorn\'s cousin?",
				["Answer"] = "Halbarad",
			},
			[117] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbit was esquire to the King of Rohan?",
				["Answer"] = "Merry",
			},
			[118] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Aragorn\'s steed?",
				["Answer"] = "Roheryn",
			},
			[119] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the pony that Merry rode in Rohan?",
				["Answer"] = "Stybba",
			},
			[120] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the company of Rangers that Aragorn led in the War of the Ring?",
				["Answer"] = "Grey Company",
			},
			[121] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the people of the Harrowdale in the days of the War of the Ring?",
				["Answer"] = "Dnhere",
			},
			[122] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did owyn give herself when she disguised to go to war?",
				["Answer"] = "Dernhelm",
			},
			[123] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the horse used by owyn in the War of the Ring?",
				["Answer"] = "Windfola",
			},
			[124] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the people of Gondor call Pippin?",
				["Answer"] = "Prince of the Halflings",
			},
			[125] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Marshal who led the division of the Rohirrim in which Merry was riding?",
				["Answer"] = "Elfhelm",
			},
			[126] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the Wild Men of the Dradan Forest in the days of the War of the Ring?",
				["Answer"] = "Ghn-buri-Ghn",
			},
			[127] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thoden\'s banner-bearer?",
				["Answer"] = "Guthlf",
			},
			[128] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of Thoden\'s knights?",
				["Answer"] = "Dorwine",
			},
			[129] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Snowmane?",
				["Answer"] = "Lightfoot",
			},
			[130] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Warden of the Keys to Minas Tirith in the days of the War of the Ring?",
				["Answer"] = "Hrin",
			},
			[131] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Hrin of the Keys?",
				["Answer"] = "the Tall",
			},
			[132] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did owyn call the Witch-king at the Battle of the Pelennor Fields?",
				["Answer"] = "Dwimmerlaik",
			},
			[133] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Denethor call Gandalf in his hours of madness?",
				["Answer"] = "Grey Fool",
			},
			[134] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Morgul\'s Lieutenant in the days of the War of the Ring?",
				["Answer"] = "Gothmog",
			},
			[135] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the title of the person in charge of organizing the Houses of Healing of Minas Tirith?",
				["Answer"] = "Warden",
			},
			[136] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the oldest of the healers of Minas Tirith in the days of the War of the Ring?",
				["Answer"] = "Ioreth",
			},
			[137] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the House of Elessar and his descendants?",
				["Answer"] = "Telcontar",
			},
			[138] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Shagrat and Gorbag think Sam was without having seen him?",
				["Answer"] = "Elf-warrior",
			},
			[139] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Frodo get after his incident with Gollum in the Cracks of Fate?",
				["Answer"] = "Nine Fingers",
			},
			[140] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Gwaihir\'s brother?",
				["Answer"] = "Landroval",
			},
			[141] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was owyn also called?",
				["Answer"] = "White Lady of Rohan",
			},
			[142] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Faramir\'s wife?",
				["Answer"] = "owyn",
			},
			[143] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Faramir\'s Guard when it was granted the Princedom of Ithilien?",
				["Answer"] = "White Company",
			},
			[144] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was King Elessar\'s wife?",
				["Answer"] = "Arwen",
			},
			[145] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what name was Merry known in Rohan and the neighbouring countries?",
				["Answer"] = "Holdwine of the Mark",
			},
			[146] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was \"the Boss\" when Frodo, Sam, Merry and Pippin arrived back in the Shire?",
				["Answer"] = "Lotho Sackville-Baggins",
			},
			[147] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Saruman known among his servants in Isengard and the Shire?",
				["Answer"] = "Sharkey",
			},
			[148] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the inhabitants of the Shire call Frodo, Sam, Merry, and Pippin after their adventure?",
				["Answer"] = "Travellers",
			},
			[149] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the inhabitants of the Shire call Merry and Pippin after their adventure?",
				["Answer"] = "Lordly",
			},
			[150] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Sam Gamgee\'s first daughter?",
				["Answer"] = "Elanor",
			},
			[151] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the pony that Frodo brought from Minas Tirith?",
				["Answer"] = "Strider",
			},
		}
	},
	[43] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Geography - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the last of the ancient Hobbit settlements of Eriador?",
				["Answer"] = "Bree",
			},
			[2] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What forest Bree was in?",
				["Answer"] = "Chetwood",
			},
			[3] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the inhabited lands between the Brandywine and the Far Downs?",
				["Answer"] = "Shire",
			},
			[4] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the so-called \"Mathom-house\"?",
				["Answer"] = "Museum of Michel Delving",
			},
			[5] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the oldest towns in the Shire?",
				["Answer"] = "Hobbiton and Tuckborough",
			},
			[6] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the chief township of the Shire?",
				["Answer"] = "Michel Delving",
			},
			[7] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the quarters the Shire was divided into?",
				["Answer"] = "Farthing",
			},
			[8] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two neighbourhoods, separated by the Brandywine, were the easternmost in the Shire?",
				["Answer"] = "Buckland and Marish",
			},
			[9] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the best pipe-weed grow in the Shire?",
				["Answer"] = "Southfarthing",
			},
			[10] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the best inn in Bree?",
				["Answer"] = "Prancing Pony",
			},
			[11] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was the crossing of the Brandywine at the south edge of The Shire?",
				["Answer"] = "Sarn Ford",
			},
			[12] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountains were in the central to south part of The Shire?",
				["Answer"] = "Green Hills",
			},
			[13] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What milestone marked a common limit of the South, East and Westfarthings?",
				["Answer"] = "Three-Farthing Stone",
			},
			[14] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tributary of the Brandywine has its source in the Eastfarthing?",
				["Answer"] = "Shirebourn",
			},
			[15] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tributary of the Brandywine has its source in the Westfarthing?",
				["Answer"] = "The Water",
			},
			[16] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which stream, which originated in the Woody-End, was a tributary of river Shirebourn?",
				["Answer"] = "Thistle Brook",
			},
			[17] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which stream, which was born in the Woody-End, flowed to the Brandywine?",
				["Answer"] = "Stockbrook",
			},
			[18] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Road crossed Eriador from the Misty Mountains?",
				["Answer"] = "East Road",
			},
			[19] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which village was in the centre of the Shire, next to Hobbiton?",
				["Answer"] = "Bywater",
			},
			[20] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which village was in the centre of the Shire, by The Hill?",
				["Answer"] = "Hobbiton",
			},
			[21] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were the best plantations of pipe-weed in The Shire?",
				["Answer"] = "Longbottom",
			},
			[22] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the great Ice Bay in the north of Middle-earth?",
				["Answer"] = "Forochel",
			},
			[23] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Witch-King\'s Kingdom?",
				["Answer"] = "Angmar",
			},
			[24] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the capital of Angmar?",
				["Answer"] = "Carn Dm",
			},
			[25] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Misty Mountains called from Mount Gundabad to the north?",
				["Answer"] = "Mountains of Angmar",
			},
			[26] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the desolate lands north of Rivendell?",
				["Answer"] = "Ettenmoors",
			},
			[27] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the haven on the southern shore of the Gulf of Lhn?",
				["Answer"] = "Harlond",
			},
			[28] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the haven on the northern shore of the Gulf of Lhn?",
				["Answer"] = "Forlond",
			},
			[29] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the westernmost region of Eriador, one of the Kingdoms which Arnor was split into?",
				["Answer"] = "Arthedain",
			},
			[30] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place west of the Shire where there were several abandoned Elven towers?",
				["Answer"] = "Tower Hills",
			},
			[31] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What line of gloomy hills lay next to the Old Forest?",
				["Answer"] = "Barrowdowns",
			},
			[32] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which city in Eriador was at the crossroads of the Greenway and the East Road?",
				["Answer"] = "Bree",
			},
			[33] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which road started at Fornost and joined the North-South Road?",
				["Answer"] = "Greenway",
			},
			[34] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which road came from the Gap of Rohan to the White Downs?",
				["Answer"] = "South Road",
			},
			[35] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the region south of Eriador, between the Brandywine and the Greyflood, which was part of the Kingdom of Cardolan?",
				["Answer"] = "Minhiriath",
			},
			[36] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tributary of the Greyflood had it source south of Moria?",
				["Answer"] = "Glanduin",
			},
			[37] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the territory between the North-South Road, the Glanduin and the Misty Mountains?",
				["Answer"] = "Dunland",
			},
			[38] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river went down from Rivendell to the Greyflood?",
				["Answer"] = "Loudwater",
			},
			[39] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What swamps were east of Bree?",
				["Answer"] = "Midgewater",
			},
			[40] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What line of hills was halfway between Bree and the Greyflood?",
				["Answer"] = "Weather Hills",
			},
			[41] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was the most important of the Weather Hills?",
				["Answer"] = "Weathertop",
			},
			[42] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the bridge that crossed the Greyflood on the East Road?",
				["Answer"] = "Last Bridge",
			},
			[43] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which forest land was between the Greyflood and the Loudwater, beside the East Road?",
				["Answer"] = "Trollshaws",
			},
			[44] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river had its source at the southern end of the Misty Mountains?",
				["Answer"] = "Isen",
			},
			[45] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where could one cross the Misty Mountains to the south?",
				["Answer"] = "Gap of Rohan",
			},
			[46] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where could one cross the Misty Mountains through the center?",
				["Answer"] = "Redhorn Pass",
			},
			[47] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where could one cross the Misty Mountains to the north?",
				["Answer"] = "High Pass",
			},
			[48] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where could one cross the Isen on foot?",
				["Answer"] = "Fords of Isen",
			},
			[49] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ancient city of Men at the junction of the North-South Road with the Greyflood?",
				["Answer"] = "Tharbad",
			},
			[50] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which inn was on the Bywater road?",
				["Answer"] = "The Ivy Bush",
			},
			[51] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which busy tavern in Bywater was a must-rest place for travelers from the east?",
				["Answer"] = "The Green Dragon",
			},
			[52] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which village was Frodo\'s new house?",
				["Answer"] = "Crickhollow",
			},
			[53] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What inn in Stock served the best beer in the Eastfarthing?",
				["Answer"] = "The Golden Perch",
			},
			[54] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main village of Buckland?",
				["Answer"] = "Bucklebury",
			},
			[55] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What village was located in the south of Marish?",
				["Answer"] = "Rushy",
			},
			[56] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the river of the Old Forest?",
				["Answer"] = "Withywindle",
			},
			[57] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the open space in the Old Forest, made by the Hobbits to counter an \"attack\" from the Forest?",
				["Answer"] = "Bonfire Glade",
			},
			[58] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the strangest part of the Old Forest?",
				["Answer"] = "Withywindle valley",
			},
			[59] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other towns were in the Bree-land?",
				["Answer"] = "Archet Combe and Staddle",
			},
			[60] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which town lived most of the Hobbits of the Bree-land?",
				["Answer"] = "Staddle",
			},
			[61] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the easternmost inn on the East Road?",
				["Answer"] = "Forsaken Inn",
			},
			[62] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the ruins of Fornost called in the Third Age?",
				["Answer"] = "Deadmen\'s Dike",
			},
			[63] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three great peaks (from north to south) dominated the Misty Mountains?",
				["Answer"] = "Caradhras Celebdil and Fanuidhol",
			},
			[64] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What small, deep, dark valley was at the shadow of the Misty Mountains near Lothlrien?",
				["Answer"] = "Dimrill Dale",
			},
			[65] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Caradhras receive?",
				["Answer"] = "the Cruel",
			},
			[66] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What great mountain stood on the east side of the north of the Misty Mountains?",
				["Answer"] = "Mount Gundabad",
			},
			[67] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the huge, cold northern region of Middle-earth?",
				["Answer"] = "Forodwaith",
			},
			[68] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountain range separated Forodwaith from Rhovanion?",
				["Answer"] = "Ered Mithrin",
			},
			[69] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "North of the Lonely Mountain, former haven of Dragons is the...",
				["Answer"] = "Withered Heath",
			},
			[70] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which mountains had the Forest River its source?",
				["Answer"] = "Ered Mithrin",
			},
			[71] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Road went from the High Pass of the Misty Mountains to the River Running?",
				["Answer"] = "Old Forest Road",
			},
			[72] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most important tributary of the River Running?",
				["Answer"] = "Carnen",
			},
			[73] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river flowed into the Sea of Rhn?",
				["Answer"] = "River Running",
			},
			[74] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands were east of Mordor and Rhovanion?",
				["Answer"] = "Rhn",
			},
			[75] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sea was northeast of Mordor?",
				["Answer"] = "Rhn Sea",
			},
			[76] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which mountain range was the Anduin born?",
				["Answer"] = "Misty Mountains",
			},
			[77] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Anduin commonly called?",
				["Answer"] = "Great River",
			},
			[78] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river flowed through Lothlorien?",
				["Answer"] = "Celebrant",
			},
			[79] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river joined the Celebrant before entering Lothlrien?",
				["Answer"] = "Nimrodel",
			},
			[80] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Lothlrien commonly called in the Third Age?",
				["Answer"] = "Lrien",
			},
			[81] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Elven forest was not far from Moria on the east side of the Misty Mountains?",
				["Answer"] = "Lothlrien",
			},
			[82] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Lothlrien called in reference to its trees?",
				["Answer"] = "Golden Wood",
			},
			[83] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which forest was located south of the Misty Mountains, on the east side?",
				["Answer"] = "Fangorn",
			},
			[84] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two tributaries of the Anduin came from Fangorn?",
				["Answer"] = "Entwash and Limlight",
			},
			[85] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the territory between Mirkwood and Mordor?",
				["Answer"] = "Brown Lands",
			},
			[86] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What chain of hills was next to the Falls of Rauros?",
				["Answer"] = "Emyn Muil",
			},
			[87] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What swamps were between Emyn Muil and Mordor?",
				["Answer"] = "Dead Marshes",
			},
			[88] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the wooded land between the Anduin and Mordor?",
				["Answer"] = "Ithilien",
			},
			[89] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the region between the Mering Stream, the Anduin and the Mountains, under the direct control of Minas Tirith?",
				["Answer"] = "Anrien",
			},
			[90] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river was next to the West Gate of Moria?",
				["Answer"] = "Sirannon",
			},
			[91] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the rock walls of the Misty Mountains surrounding the West Gate of Moria?",
				["Answer"] = "Walls of Moria",
			},
			[92] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What word opened the West Gate of Moria?",
				["Answer"] = "Mellon",
			},
			[93] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only place in the world where mithril could be found in the Third Age?",
				["Answer"] = "Khazad-dm",
			},
			[94] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were Celebdil, Fanuidhol and Caradhras called?",
				["Answer"] = "Mountains of Moria",
			},
			[95] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the pillar that pointed to where Durin first looked at the Mirrormere?",
				["Answer"] = "Durin\'s Stone",
			},
			[96] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of tree predominated in Lothlrien?",
				["Answer"] = "Mallorn",
			},
			[97] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill in the heart of Lothlrien, where its former King lived?",
				["Answer"] = "Cerin Amroth",
			},
			[98] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What yellow flower grew on Cerin Amroth?",
				["Answer"] = "Elanor",
			},
			[99] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What white flower grew on Cerin Amroth?",
				["Answer"] = "Niphredil",
			},
			[100] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the city of the Galadhrim, where the Lords lived?",
				["Answer"] = "Caras Galadhon",
			},
			[101] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which mountain-island stood at the southern end of Nen Hithoel in the Anduin?",
				["Answer"] = "Tol Brandir",
			},
			[102] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Argonath represent?",
				["Answer"] = "Anrion and Isildur",
			},
			[103] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill next to Nen Hithoel, on the west bank of the Anduin?",
				["Answer"] = "Amon Hen",
			},
			[104] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Hill next to Nen Hithoel, on the east bank of the Anduin?",
				["Answer"] = "Amon Lhaw",
			},
			[105] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the throne over Amon Hen?",
				["Answer"] = "Seat of Seeing",
			},
			[106] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the throne over Amon Lhaw?",
				["Answer"] = "Seat of Hearing",
			},
			[107] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the meadows that stretched from Nen Hithoel to the slopes of Amon Hen?",
				["Answer"] = "Parth Galen",
			},
			[108] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the peninsula on the western part of Gondor?",
				["Answer"] = "Andrast",
			},
			[109] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which fief of Gondor was a coastal area between the rivers Lefnui and Morthond?",
				["Answer"] = "Anfalas",
			},
			[110] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the area of the coast of Gondor between the Rivers Morthond and Gilrain, which was the fief of the Princes of Dol Amroth?",
				["Answer"] = "Belfalas",
			},
			[111] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which island in the Bay of Belfalas was off the Mouths of Anduin?",
				["Answer"] = "Tol Falas",
			},
			[112] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hills in the southwestern part of Gondor, north of the coast of Anfalas?",
				["Answer"] = "Pinnath Gelin",
			},
			[113] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river in Western Gondor flowed from the west of Ered Nimrais in a southwesterly direction to the Sea?",
				["Answer"] = "Lefnui",
			},
			[114] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Elvish haven was at the junction of the rivers Morthond and Ringl?",
				["Answer"] = "Edhellond",
			},
			[115] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fief of Gondor that was around the sources of the river Cyril?",
				["Answer"] = "Lamedon",
			},
			[116] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which city was the capital of Lamedon?",
				["Answer"] = "Calembel",
			},
			[117] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What castle and port was the main city of Belfalas?",
				["Answer"] = "Dol Amroth",
			},
			[118] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which city in Gondor was at the junction of the rivers Gilrain and Serni?",
				["Answer"] = "Linhir",
			},
			[119] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What area of Gondor roughly encompassed the lands through which the rivers Gilrain, Serni, Celos, Sirith and Erui flowed?",
				["Answer"] = "Lebennin",
			},
			[120] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the last tributary of the Anduin?",
				["Answer"] = "Sirith",
			},
			[121] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What area encompassed the mountain valleys southwest of Minas Tirith?",
				["Answer"] = "Lossarnach",
			},
			[122] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How long a valley of Mordor was next to the Ephel Dath?",
				["Answer"] = "Morgai",
			},
			[123] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What valley of Mordor was behind the Black Gate?",
				["Answer"] = "Udn",
			},
			[124] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the entrance to Mordor in front of Dagorlad called?",
				["Answer"] = "Black Gate",
			},
			[125] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the region south and east of Mordor?",
				["Answer"] = "Nurn",
			},
			[126] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fortified gorge of Mordor between Gorgoroth and Udn?",
				["Answer"] = "Carach Angren",
			},
			[127] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What route led to Ithilien on the edge of the Ephel Dath?",
				["Answer"] = "Harad Road",
			},
			[128] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountain range was the western border of Mordor?",
				["Answer"] = "Ephel Dath",
			},
			[129] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What mountain range was the northern border of Mordor?",
				["Answer"] = "Ered Lithui",
			},
			[130] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sea in Mordor?",
				["Answer"] = "Nrnen",
			},
			[131] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the southernmost peak of the Misty Mountains?",
				["Answer"] = "Methedras",
			},
			[132] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the high house in Edoras, where the Kings of Rohan lived?",
				["Answer"] = "Meduseld",
			},
			[133] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in Fangorn did the Entmoot take place?",
				["Answer"] = "Derndingle",
			},
			[134] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tower stood on the peak of Celebdil?",
				["Answer"] = "Durin\'s Tower",
			},
			[135] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the westernmost refuge of the Rohirrim?",
				["Answer"] = "Helm\'s Deep",
			},
			[136] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fortress located in Helm\'s Deep?",
				["Answer"] = "Hornburg",
			},
			[137] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Glittering Caves of Helm\'s Deep?",
				["Answer"] = "Aglarond",
			},
			[138] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the valley of Rohan opposite Helm\'s Deep?",
				["Answer"] = "Deeping-coomb",
			},
			[139] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill on which the Orcs killed in the Battle of Hornburg were buried?",
				["Answer"] = "Death Down",
			},
			[140] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Fangorn Forest, in reference to its inhabitants?",
				["Answer"] = "Entwood",
			},
			[141] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place in Fangorn where Treebeard lived?",
				["Answer"] = "Wellinghall",
			},
			[142] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the Ents give to the Forest they created in Isengard?",
				["Answer"] = "Watchwood",
			},
			[143] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the \"Plain of Ash\" of Mordor?",
				["Answer"] = "Lithlad",
			},
			[144] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two names were given to the passage into Mordor at the junction of the Ephel Dath and the Ered Lithui?",
				["Answer"] = "Cirith Gorgor and Cirith Ungol",
			},
			[145] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the two towers that spanned the Black Gate called?",
				["Answer"] = "Teeth of Mordor",
			},
			[146] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Ephel Dath pass was located just north of Minas Morgul?",
				["Answer"] = "Cirith Ungol",
			},
			[147] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the refuge of the Rangers built by a waterfall in Northern Ithilien?",
				["Answer"] = "Henneth Annn",
			},
			[148] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the valley that opened from Minas Morgul to the outside of the Ephel Dath?",
				["Answer"] = "Imlad Morgul",
			},
			[149] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which refuge in Rohan was nestled in the Harrowdale?",
				["Answer"] = "Dunharrow",
			},
			[150] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the dale of Rohan that was above Edoras?",
				["Answer"] = "Harrowdale",
			},
			[151] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which castle was on the western side of Udn?",
				["Answer"] = "Durthang",
			},
			[152] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which boat-shaped Isle of the Anduin was located north of Minas Tirith?",
				["Answer"] = "Cair Andros",
			},
			[153] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Oak forest that was under the White Mountains, on the border between Gondor and Rohan?",
				["Answer"] = "Firienwood",
			},
			[154] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which beacon in Gondor was located in Firienwood?",
				["Answer"] = "Halifirien",
			},
			[155] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which beacon in Gondor was located in Rimmon?",
				["Answer"] = "Min-Rimmon",
			},
			[156] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which beacon in Gondor was to the west of the Dradan Forest?",
				["Answer"] = "Nardol",
			},
			[157] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which beacon of Gondor was in the Dradan Forest?",
				["Answer"] = "Eilenach",
			},
			[158] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the easternmost peak of the White Mountains?",
				["Answer"] = "Mindolluin",
			},
			[159] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which woods, to the northwest of Minas Tirith, were the abode of the Wild Men?",
				["Answer"] = "Dradan Forest",
			},
			[160] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the wall surrounding fields of Pelennor?",
				["Answer"] = "Rammas Echor",
			},
			[161] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fertile field surrounding most of Minas Tirith?",
				["Answer"] = "Pelennor",
			},
			[162] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Tower of Minas Tirith?",
				["Answer"] = "Tower of Ecthelion",
			},
			[163] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What road crossed the White Mountains from Dunharrow to Erech?",
				["Answer"] = "Paths of the Dead",
			},
			[164] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the entrance to the Paths of the Dead called?",
				["Answer"] = "Gate of the Dead",
			},
			[165] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What little forest of black trees was by the Gate of the Dead?",
				["Answer"] = "Dimholt",
			},
			[166] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the saw-toothed mountain of Ered Nimrais that served as the northern wall of Dunharrow?",
				["Answer"] = "Irensaga",
			},
			[167] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mountain of Ered Nimrais that was at the south of Dunharrow?",
				["Answer"] = "Starkhorn",
			},
			[168] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the gate of the sixth circle of Minas Tirith, through which one entered the Hallows?",
				["Answer"] = "Fen Hollen",
			},
			[169] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the main street of the Hallows of Minas Tirith?",
				["Answer"] = "Rath Dnen",
			},
			[170] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the Towers that crossed the Black Gate?",
				["Answer"] = "Carchost and Narchost",
			},
			[171] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name given to the upper cave inside the Orodruin, where the Crack of Fate was?",
				["Answer"] = "Chambers of Fire",
			},
			[172] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place in Ithilien near Henneth Annn where the fall of Sauron was celebrated?",
				["Answer"] = "Field of Cormallen",
			},
			[173] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Great Hall of Feasts at Minas Tirith?",
				["Answer"] = "Merethrond",
			},
			[174] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What inn was in the village of Frogmorton?",
				["Answer"] = "The Floating Log",
			},
			[175] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the place of the Battle of Bywater named?",
				["Answer"] = "Battle Pit",
			},
		}
	},
	[44] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "History - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the beginning of which book did the \"There and Back Again\" story appear?",
				["Answer"] = "Red Book of Westmarch",
			},
			[2] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the time of the Hobbits\' journey west?",
				["Answer"] = "Wandering Days",
			},
			[3] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the first Hobbits to cross the Misty Mountains?",
				["Answer"] = "Harfoots",
			},
			[4] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom fid the Hobbits larn the Alphabet?",
				["Answer"] = "Dnedain",
			},
			[5] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Third Age did the first Hobbits settle in the Shire?",
				["Answer"] = "1600",
			},
			[6] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two brothers led the first Hobbit colony to be established in the Shire?",
				["Answer"] = "Blanco and Marcho",
			},
			[7] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of soldiers did the hobbits apparently send into the battle that resulted in the defeat of Fornost?",
				["Answer"] = "Archers",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who secretly protected the Shire, Bree, and the surrounding area after Arnor\'s disappearance?",
				["Answer"] = "Rangers",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who wrote the \"Herblore of the Shire\"?",
				["Answer"] = "Meriadoc Brandybuck",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Hobbit to grow pipe-weed?",
				["Answer"] = "Tobold Hornblower",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where does it seem that pipe-weed was first smoked?",
				["Answer"] = "Bree",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who introduced the pipe-weed plant to Middle-earth, according to the \"Herblore of the Shire\"?",
				["Answer"] = "Nmenreans",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old was Bilbo on the day he threw his big birthday party?",
				["Answer"] = "111",
			},
			[14] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Third Age did Bilbo leave Bag End?",
				["Answer"] = "3001",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the most important history book of the Hobbits?",
				["Answer"] = "Red Book of Westmarch",
			},
			[16] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who wrote, for the most part, the \"Red Book\"?",
				["Answer"] = "Bilbo Baggins",
			},
			[17] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the most important copy of the \"Red Book\" written?",
				["Answer"] = "Gondor",
			},
			[18] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What special copy of the Red Book included all the translations that Bilbo made in Rivendell, as well as Elvish quotations and the abridged \"The Tale of Aragorn and Arwen\"?",
				["Answer"] = "Thain\'s Book",
			},
			[19] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the copy of the Red Book transcribed in Gondor?",
				["Answer"] = "Thain\'s Book",
			},
			[20] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who brought the Red Book to Gondor to be transcribed?",
				["Answer"] = "Peregrin Took",
			},
			[21] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what smial of the Shire were, at the end of the Fourth Age, many works dealing with Eriador and the history of Rohan?",
				["Answer"] = "Brandy Hall",
			},
			[22] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in the Shire was possible to find, at the end of the Fourth Age, extensive materials about the history of Nmenor?",
				["Answer"] = "Great Smials",
			},
			[23] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was \"last living memory of the Elder Days in Middle-earth\"?",
				["Answer"] = "Celeborn",
			},
			[24] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old was Bilbo when Frodo went to live with him?",
				["Answer"] = "99",
			},
			[25] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do Hobbits call the the irresponsible twenties between childhood and coming of age at thirty-three?",
				["Answer"] = "Tweens",
			},
			[26] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Frodo\'s parents die?",
				["Answer"] = "Drowned",
			},
			[27] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who prepared the fireworks for Bilbo\'s birthday and farewell party?",
				["Answer"] = "Gandalf",
			},
			[28] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Hobbit measure did the ages of Bilbo and Frodo add up to on the birthday of the great party at Bag End?",
				["Answer"] = "Gross",
			},
			[29] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Hobbit measure did Hobbits add up to the birthday party at Bag End?",
				["Answer"] = "Gross",
			},
			[30] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What prank did Bilbo play on the guests at his famous birthday party?",
				["Answer"] = "Disappeared",
			},
			[31] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With whom did Bilbo have a strong argument the night he left the Shire?",
				["Answer"] = "Gandalf",
			},
			[32] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo give to Lobelia Sackville-Baggins on his birthday and farewell?",
				["Answer"] = "Silver spoons",
			},
			[33] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Bilbo\'s most precious gift to Frodo when he left the Shire?",
				["Answer"] = "Ring",
			},
			[34] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who told Frodo the story of the One Ring?",
				["Answer"] = "Gandalf",
			},
			[35] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who found the One Ring in the Anduin?",
				["Answer"] = "Dagol",
			},
			[36] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Dagol and stole his Ring?",
				["Answer"] = "Smagol",
			},
			[37] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gollum go after losing his Ring, following the trail of Bilbo?",
				["Answer"] = "Mirkwood",
			},
			[38] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gollum\'s destination after escaping Mirkwood to the south?",
				["Answer"] = "Mordor",
			},
			[39] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did the Enemy learn that the One Ring had been found?",
				["Answer"] = "Gollum",
			},
			[40] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Nazgl have orders to look for?",
				["Answer"] = "Baggins",
			},
			[41] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the only two names the Nazgl had in their search for the One Ring?",
				["Answer"] = "Baggins and Shire",
			},
			[42] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped Gandalf find Gollum?",
				["Answer"] = "Aragorn",
			},
			[43] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who discovered what had become of the One Ring after Isildur lost it?",
				["Answer"] = "Gandalf",
			},
			[44] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Frodo offer the Ring when he learned of its origin?",
				["Answer"] = "Gandalf",
			},
			[45] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first to learn Frodo\'s secret about his Ring?",
				["Answer"] = "Sam",
			},
			[46] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which friend of Frodo already knew about the Ring when Bilbo still had it?",
				["Answer"] = "Merry",
			},
			[47] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which three people did Sam tell the secret of the Ring?",
				["Answer"] = "Fatty Merry and Pippin",
			},
			[48] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did did Frodo sell Bag End?",
				["Answer"] = "Lobelia",
			},
			[49] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in the Shire was Frodo apparently moving when he began his journey with the Ring?",
				["Answer"] = "Buckland",
			},
			[50] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf advise Frodo to go from the Shire?",
				["Answer"] = "Rivendell",
			},
			[51] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who traveled with Frodo from Bag End to the Bucklebury Ferry?",
				["Answer"] = "Pippin and Sam",
			},
			[52] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was waiting for Frodo, Sam and Pippin at the Bucklebury Ferry?",
				["Answer"] = "Merry",
			},
			[53] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was waiting for Frodo and the others in Frodo\'s new house?",
				["Answer"] = "Fatty",
			},
			[54] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo hear arguing with a stranger the night he left Bagg End?",
				["Answer"] = "Gaffer Gamgee",
			},
			[55] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo, Sam and Pippin see in the Green Hills when they went to Buckland?",
				["Answer"] = "Black Rider",
			},
			[56] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo, Sam and Pippin see in the Woody-End, when they were going to Buckland?",
				["Answer"] = "Black Rider",
			},
			[57] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo, Sam and Pippin meet in the Woody-End?",
				["Answer"] = "Elves",
			},
			[58] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What scared the Black Rider that Frodo, Sam and Pippin saw in the Shire?",
				["Answer"] = "Elves",
			},
			[59] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo used to steal mushrooms from as a child?",
				["Answer"] = "Maggot",
			},
			[60] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who founded Brandy Hall and, with it, Buckland?",
				["Answer"] = "Gorhendad Oldbuck",
			},
			[61] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the last time Frodo and the others thought they saw a Black Rider in the Shire?",
				["Answer"] = "Ferry",
			},
			[62] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who stayed in Crickhollow pretending to be Frodo?",
				["Answer"] = "Fatty Bolger",
			},
			[63] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Frodo, Sam, Merry, and Pippin enter to leave the Shire?",
				["Answer"] = "Old Forest",
			},
			[64] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What happened to Frodo and the others in the Old Forest?",
				["Answer"] = "Got lost",
			},
			[65] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Frodo, Sam, Merry and Pippin in the Old Forest?",
				["Answer"] = "Tom Bombadil",
			},
			[66] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Frodo, Sam, Merry and Pippin spend the night before leaving the Old Forest?",
				["Answer"] = "House of Tom Bombadil",
			},
			[67] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who received the Hobbits at the house of Tom Bombadil?",
				["Answer"] = "Goldberry",
			},
			[68] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo dream about in the house of Tom Bombadil",
				["Answer"] = "Gandalf",
			},
			[69] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who put on the Ring and didn\'t disappear?",
				["Answer"] = "Tom Bombadil",
			},
			[70] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What terrible place Frodo and the others were supposed to be avoiding before reaching Bree?",
				["Answer"] = "Barrow-downs",
			},
			[71] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What trapped Frodo and the others after the Old forest and before they reached Bree?",
				["Answer"] = "Barrow-wight",
			},
			[72] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Frodo and the others in the Barrow-downs?",
				["Answer"] = "Tom Bombadil",
			},
			[73] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who accompanied Frodo, Sam, Merry and Pippin from the Barrow-downs to the East Road?",
				["Answer"] = "Tom Bombadil",
			},
			[74] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in Bree did Frodo, Sam, Merry and Pippin spend the night?",
				["Answer"] = "Prancing Pony",
			},
			[75] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who introduced himself to Frodo and the others in the Prancing Pony?",
				["Answer"] = "Strider",
			},
			[76] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who had followed Frodo, Sam, Merry and Pippin on the Road to Bree?",
				["Answer"] = "Aragorn",
			},
			[77] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What should Barliman Butterbur have given to Frodo months before he passed through Bree?",
				["Answer"] = "Letter from Gandalf",
			},
			[78] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who warned Aragorn that Frodo had left Bag End?",
				["Answer"] = "Gildor",
			},
			[79] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Aragorn take Frodo and the others to scout the land around and choose the path to take?",
				["Answer"] = "Weathertop",
			},
			[80] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbit of the Company went out of Bree\'s inn and saw the Black Riders there?",
				["Answer"] = "Merry",
			},
			[81] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who joined Frodo\'s group in Bree?",
				["Answer"] = "Aragorn",
			},
			[82] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Crickhollow\'s house while Fatty Bolger was running for help?",
				["Answer"] = "Black Riders",
			},
			[83] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Black Riders who attacked Crickhollow\'s house supposedly come from?",
				["Answer"] = "Old Forest",
			},
			[84] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who sold a pony to Frodo and the others after theirs disappeared?",
				["Answer"] = "Bill Ferny",
			},
			[85] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many silver pennies did Frodo have to pay for a pony in Bree?",
				["Answer"] = "12",
			},
			[86] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which congener did Merry\'s ponies seek after escaping Bree?",
				["Answer"] = "Fatty Lumpkin",
			},
			[87] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who kept the ponies of Frodo and the others?",
				["Answer"] = "Barliman Butterbur",
			},
			[88] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Sam throw an apple when fleeing Bree?",
				["Answer"] = "Bill Ferny",
			},
			[89] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam call the species of crickets that lived in Midgewater Marshes?",
				["Answer"] = "Neekerbreeker",
			},
			[90] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Forest did Aragorn, Frodo, and the others enter as they left Bree, to mislead anyone?",
				["Answer"] = "Chet",
			},
			[91] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Marshes did Aragorn, Frodo, Sam, Merry, and Pippin pass through on their way to the top of the Winds?",
				["Answer"] = "Midgewater",
			},
			[92] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Aragorn summarized a story in the Windhills for Frodo and the others. Who was the story about?",
				["Answer"] = "Beren and Lthien",
			},
			[93] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Aragorn, Frodo and the others at Weathertop?",
				["Answer"] = "Black Riders",
			},
			[94] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Black Riders attacked Frodo at Weathertop?",
				["Answer"] = "5",
			},
			[95] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in his body did the Black Riders wound Frodo?",
				["Answer"] = "Shoulder",
			},
			[96] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What healing plants did Aragorn use on Frodo?",
				["Answer"] = "Athelas",
			},
			[97] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Aragorn find on the Last Bridge, which seemed to him a sign of the absence of danger?",
				["Answer"] = "Beryl",
			},
			[98] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who left the Beryl on the Last Bridge?",
				["Answer"] = "Glorfindel",
			},
			[99] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Aragorn, Frodo, Sam, Merry and Pippin find in a forest a few days from Rivendell?",
				["Answer"] = "Stone Trolls",
			},
			[100] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bilbo do with the treasure of the three Trolls?",
				["Answer"] = "Gave it away",
			},
			[101] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Aragorn, Frodo and the others meet shortly before they reached the Ford of the Bruinen?",
				["Answer"] = "Glorfindel",
			},
			[102] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose horse did Frodo ride to Rivendell?",
				["Answer"] = "Glorfindel",
			},
			[103] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Frodo finally escape from the Black Riders?",
				["Answer"] = "Ford of the Bruinen",
			},
			[104] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was with Frodo when he first awoke in Rivendell?",
				["Answer"] = "Gandalf",
			},
			[105] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Frodo\'s inseparable companion throughout the journey?",
				["Answer"] = "Sam",
			},
			[106] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of Bilbo\'s fellow adventurers did Frodo meet in Rivendell?",
				["Answer"] = "Glin",
			},
			[107] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where had Bilbo gone after leaving the Shire for good, with a stop at Rivendell?",
				["Answer"] = "Dale",
			},
			[108] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo meet again in Rivendell after many years?",
				["Answer"] = "Bilbo",
			},
			[109] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Elf did Bilbo argue with in Rivendell after singing a song he had just composed?",
				["Answer"] = "Lindir",
			},
			[110] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Shortly after Frodo arrived to Rivendell,Bilbo sang a song he had. About whom was that song?",
				["Answer"] = "Erendil",
			},
			[111] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event, which took place in Rivendell, decided the final fate of the One Ring?",
				["Answer"] = "Council of Elrond",
			},
			[112] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three Dwarves from Thorin\'s company later led the attempt to recapture Moria?",
				["Answer"] = "Balin in and Ori",
			},
			[113] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sauron\'s messenger promise Din in exchange for Bilbo\'s Ring?",
				["Answer"] = "3 Rings and the Kingdom of Moria",
			},
			[114] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam forget to take with him for the journy?",
				["Answer"] = "Rope",
			},
			[115] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What birds seemed to spy on the Company in Hollin?",
				["Answer"] = "Crows",
			},
			[116] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the Company of the Ring originally going to cross the Misty Mountains?",
				["Answer"] = "Redhorn Pass",
			},
			[117] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What defeated the Company of the Ring, preventing them from passing over the Misty Mountains?",
				["Answer"] = "Caradhras",
			},
			[118] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Company of the Ring cross the Misty Mountains?",
				["Answer"] = "Moria",
			},
			[119] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What attacked the Company of the Ring near Caradhras?",
				["Answer"] = "Wargs",
			},
			[120] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who built the West Gate of Moria?",
				["Answer"] = "Narvi",
			},
			[121] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who made the inscriptions on the West Gate of Moria?",
				["Answer"] = "Celebrimbor",
			},
			[122] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the creature that attacked the Company of the Ring at the Gate of Moria receive?",
				["Answer"] = "Guardian of the Water",
			},
			[123] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the Fellowship of the Ring through Moria?",
				["Answer"] = "Gandalf",
			},
			[124] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the Company of the Ring at the Caradhras?",
				["Answer"] = "Aragorn",
			},
			[125] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was follwing Frodo and the Company of the Ring throughout the journey?",
				["Answer"] = "Gollum",
			},
			[126] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Company of the Ring had to leave its pony?",
				["Answer"] = "Gate of Moria",
			},
			[127] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which careless member of the Company of the Ring was to be blame for being attacked in Moria?",
				["Answer"] = "Pippin",
			},
			[128] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose tomb was the one the Company of the Ring found in Moria?",
				["Answer"] = "Balin",
			},
			[129] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which room was Balin buried?",
				["Answer"] = "Chamber of Mazarbul",
			},
			[130] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What creature killed in?",
				["Answer"] = "Guardian of the Water",
			},
			[131] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who wrote the final part of the Book of Mazarbul?",
				["Answer"] = "Ori",
			},
			[132] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of Orcs attacked the Company of the Ring in Moria?",
				["Answer"] = "Uruk",
			},
			[133] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What attacked the Company of the Ring in Moria?",
				["Answer"] = "Orcs and Trolls",
			},
			[134] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What attacked the Fellowship of the Ring at the Bridge of Khazad-dm?",
				["Answer"] = "Balrog",
			},
			[135] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed the Balrog of Moria at the cost of his own life?",
				["Answer"] = "Gandalf",
			},
			[136] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Company of the Ring go after leaving Moria?",
				["Answer"] = "Lothlrien",
			},
			[137] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "During what fateful episode of the journey did the Company of the Ring discover Frodo\'s mithril corslet?",
				["Answer"] = "Moria",
			},
			[138] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Legolas told a story before entering Lothlrien. Who was it about?",
				["Answer"] = "Amroth and Nimrodel",
			},
			[139] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who picked up the Company of the Ring on the borders of Lothlrien?",
				["Answer"] = "Haldir",
			},
			[140] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves of Lothlrien do to the Company so that they would not discover the way to Caras Galadhon?",
				["Answer"] = "Blindfolded them",
			},
			[141] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Galadriel show to Frodo and Sam during their time in Lothlrien?",
				["Answer"] = "Mirror of Galadriel",
			},
			[142] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam see in the Mirror of Galadriel, giving him a desire to go back?",
				["Answer"] = "Shire",
			},
			[143] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most important thing Frodo saw in the Mirror of Galadriel?",
				["Answer"] = "Eye of Sauron",
			},
			[144] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which two people (in chronological order) did Frodo offer the Ring?",
				["Answer"] = "Gandalf and Galadriel",
			},
			[145] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ambushed the Company at Sarn Gebir?",
				["Answer"] = "Orcs",
			},
			[146] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Legolas bring down at Sarn Gebir?",
				["Answer"] = "Nazgl",
			},
			[147] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which member of the Company of the Ring attempted to forcibly seize the One Ring?",
				["Answer"] = "Boromir",
			},
			[148] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who escaped from Emyn Muil to Mordor with Frodo?",
				["Answer"] = "Sam",
			},
			[149] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what haven did the ships of the Elves who lived east of the Misty Mountains depart for Valinor?",
				["Answer"] = "Dol Amroth",
			},
			[150] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Boromir?",
				["Answer"] = "Orcs",
			},
			[151] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Orcs kidnap in Parth Galen?",
				["Answer"] = "Merry and Pippin",
			},
			[152] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who went after the Orcs to rescue Merry and Pippin?",
				["Answer"] = "Aragorn Gimli and Legolas",
			},
			[153] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Pippin leave behind for his companions to find when he was kidnapped by the Orcs?",
				["Answer"] = "Brooch",
			},
			[154] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Aragorn, Legolas and Gimli meet in the lands of Estemnet?",
				["Answer"] = "Riders of Rohan",
			},
			[155] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Aragorn, Legolas and Gimli see at night on the edge of Fangorn?",
				["Answer"] = "Old Man",
			},
			[156] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed the Orcs who kidnapped Merry and Pippin?",
				["Answer"] = "Riders of Rohan",
			},
			[157] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was talking to Merry and Pippin shortly before they escaped from the Orcs?",
				["Answer"] = "Grishnkh",
			},
			[158] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Uglk?",
				["Answer"] = "omer",
			},
			[159] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped Merry and Pippin in Fangorn?",
				["Answer"] = "Treebeard",
			},
			[160] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Ents of Fangorn march to after meeting in assembly?",
				["Answer"] = "Isengard",
			},
			[161] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Aragorn, Legolas and Gimli meet in Fangorn?",
				["Answer"] = "Gandalf",
			},
			[162] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who watched over the movements of the Company of the Ring on their journey down the Anduin?",
				["Answer"] = "Gwaihir",
			},
			[163] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who brought Gandalf from the heights of the Misty Mountains?",
				["Answer"] = "Gwaihir",
			},
			[164] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf go after leaving Moria?",
				["Answer"] = "Lothlrien",
			},
			[165] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf and the others go from Fangorn?",
				["Answer"] = "Edoras",
			},
			[166] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who waoke Thoden from his lethargy making him mobilize his people?",
				["Answer"] = "Gandalf",
			},
			[167] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the people of Rohan go as their army marched to war in the west?",
				["Answer"] = "Dunharrow",
			},
			[168] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was appointed as leader of the people of Rohan while their army went to war?",
				["Answer"] = "owyn",
			},
			[169] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What appeared on the outskirts of Helm\'s Deep at the end of the Battle of Hornburg, which trapped and killed the enemy?",
				["Answer"] = "Forest",
			},
			[170] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle were most of Saruman\'s troops defeated?",
				["Answer"] = "Battle of Hornburg",
			},
			[171] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hama die?",
				["Answer"] = "Helm\'s Deep",
			},
			[172] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf, Thoden and the others go after the Battle of Hornburg?",
				["Answer"] = "Isengard",
			},
			[173] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were Gandalf, Aragorn, Legolas and Gimli reunited with Merry and Pippin?",
				["Answer"] = "Isengard",
			},
			[174] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the pipe-weed that Merry and Pippin found in Isengard come from?",
				["Answer"] = "Longbottom",
			},
			[175] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who destroyed Isengard?",
				["Answer"] = "Ents",
			},
			[176] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who expelled Saruman from the White Council?",
				["Answer"] = "Gandalf",
			},
			[177] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What item did Gandalf demand Saruman to surrender when he was defeated?",
				["Answer"] = "Key of Orthanc",
			},
			[178] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbit communicated with Sauron through Orthanc\'s Palantir?",
				["Answer"] = "Pippin",
			},
			[179] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Sauron think Pippin was with when he saw him in the Palantir?",
				["Answer"] = "Saruman",
			},
			[180] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf, Thoden and the others see the night after they left Isengard, which made them hurry?",
				["Answer"] = "Nazgl",
			},
			[181] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Saruman end up serving?",
				["Answer"] = "Sauron",
			},
			[182] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Through which item did Saruman fall under Sauron\'s rule?",
				["Answer"] = "Palantir",
			},
			[183] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf take Pippin after looking in the Stone of Orthanc?",
				["Answer"] = "Minas Tirith",
			},
			[184] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who guided Frodo and Sam to Mordor?",
				["Answer"] = "Gollum",
			},
			[185] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Frodo and Sam capture Gollum?",
				["Answer"] = "Emyn Muil",
			},
			[186] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What horrible swamps did Frodo and Sam had to cross days after parting ways with the Company of the Ring?",
				["Answer"] = "Dead Marshes",
			},
			[187] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What disorder did Sam observe in Gollum when they were near the Black Gate?",
				["Answer"] = "Split personality",
			},
			[188] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What passage did Gollum advise to enter Mordor?",
				["Answer"] = "Cirith Ungol",
			},
			[189] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When Frodo, Sam and Gollum stood in front of the Black Gate and an army of Southern Men passed near them, Sam wondered if there would be any...",
				["Answer"] = "Oliphaunt",
			},
			[190] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Sam finally able to use his cooking gear?",
				["Answer"] = "Ithilien",
			},
			[191] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo and Sam meet in Ithilien?",
				["Answer"] = "Faramir",
			},
			[192] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam see in Ithilien that amazed him the most on the whole trip?",
				["Answer"] = "Oliphaunt",
			},
			[193] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Man of Gondor to know that Boromir was dead?",
				["Answer"] = "Faramir",
			},
			[194] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo and Sam see going out of Minas Morgul?",
				["Answer"] = "Army",
			},
			[195] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the army of Minas Morgul in the War of the Ring?",
				["Answer"] = "Witch-king",
			},
			[196] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Frodo and Sam in Cirith Ungol?",
				["Answer"] = "Shelob",
			},
			[197] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Sam after leaving Torech Ungol?",
				["Answer"] = "Gollum",
			},
			[198] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first one (and probably the only one) to defeat Shelob?",
				["Answer"] = "Sam",
			},
			[199] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Against whom did Frodo use the phial of Galadriel?",
				["Answer"] = "Shelob",
			},
			[200] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Frodo, in Sam\'s misperception?",
				["Answer"] = "Shelob",
			},
			[201] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took the Ring after Frodo\'s supposed death?",
				["Answer"] = "Sam",
			},
			[202] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who captured Frodo in Cirith Ungol?",
				["Answer"] = "Gorbag and Shagrat",
			},
			[203] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Frodo imprisoned when he was captured?",
				["Answer"] = "Tower of Cirith Ungol",
			},
			[204] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who taught Pippin everything he needed to know to be a Guard of the Tower of Gondor?",
				["Answer"] = "Beregond",
			},
			[205] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who caught up with the company of Thoden and Aragorn on their way back from Isengard?",
				["Answer"] = "Rangers",
			},
			[206] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed the most Orcs in Helm\'s Deep, Legolas or Gimli?",
				["Answer"] = "Gimli",
			},
			[207] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did Aragorn bring aid for the War?",
				["Answer"] = "Dead",
			},
			[208] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Grey Company cross the White Mountains?",
				["Answer"] = "Paths of the Dead",
			},
			[209] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Aragorn summon the Dead?",
				["Answer"] = "Erech",
			},
			[210] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did owyn fall in love with before she went to Minas Tirith?",
				["Answer"] = "Aragorn",
			},
			[211] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Wich the Maiden of Rohan did disguise herself as a man to do battle at Pelennor?",
				["Answer"] = "owyn",
			},
			[212] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked Faramir and his escort at Pelennor before they reached Minas Tirith?",
				["Answer"] = "Nazgl",
			},
			[213] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who saved Faramir and his escort from the Nazgl?",
				["Answer"] = "Gandalf",
			},
			[214] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the small projectiles launched to Minas Tirith in the War of the Ring at the beginning of its Siege?",
				["Answer"] = "Heads",
			},
			[215] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who prevented the Lord of the Nazgl from entering Minas Tirith?",
				["Answer"] = "Gandalf",
			},
			[216] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped the Rohirrim reach the Siege of Minas Tirith?",
				["Answer"] = "Wild Men",
			},
			[217] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the three main divisions of the Rohirrim in the Siege of Minas Tirith?",
				["Answer"] = "Elfhelm omer and Grimbold",
			},
			[218] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed the Captain of the Haradrim at the Battle of the Pelennor Fields?",
				["Answer"] = "Thoden",
			},
			[219] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who indirectly killed Thoden?",
				["Answer"] = "Witch-king",
			},
			[220] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who smote the Witch-king leaving him set for death?",
				["Answer"] = "Merry",
			},
			[221] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed the Witch-king?",
				["Answer"] = "owyn",
			},
			[222] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who attacked the coasts of Gondor in the War of the Ring?",
				["Answer"] = "Umbar Corsairs",
			},
			[223] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thoden\'s heir?",
				["Answer"] = "omer",
			},
			[224] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what lands came the Men who fought on the side of the Enemy in the War of the Ring?",
				["Answer"] = "Harad and Khand",
			},
			[225] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Thoden die?",
				["Answer"] = "Pelennor Fields",
			},
			[226] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Forlong die?",
				["Answer"] = "Pelennor Fields",
			},
			[227] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Grimbold die?",
				["Answer"] = "Pelennor Fields",
			},
			[228] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Halbarad die?",
				["Answer"] = "Pelennor Fields",
			},
			[229] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who arrived last to Pelennor with enough help to win the Battle?",
				["Answer"] = "Aragorn",
			},
			[230] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Dnhere die?",
				["Answer"] = "Pelennor",
			},
			[231] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Dorwine die?",
				["Answer"] = "Pelennor",
			},
			[232] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Guthlf die?",
				["Answer"] = "Pelennor",
			},
			[233] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Herubrand die?",
				["Answer"] = "Pelennor",
			},
			[234] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Denethor die?",
				["Answer"] = "Suicide",
			},
			[235] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What made Denethor go mad and prepare sucra?",
				["Answer"] = "Palantir",
			},
			[236] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What spell made the wounded of the Battle of the Pelennor Fields sick?",
				["Answer"] = "Black Breath",
			},
			[237] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who healed and saved the lives of Faramir, owyn and Merry?",
				["Answer"] = "Aragorn",
			},
			[238] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was responsible for healing the sick and wounded at the Battle of the Pelennor Fields?",
				["Answer"] = "Aragorn Elladan and Elrohir",
			},
			[239] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Grey Company go after leaving Linhir?",
				["Answer"] = "Pelargir",
			},
			[240] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Aragorn attack with the Army of the Dead?",
				["Answer"] = "Pelargir",
			},
			[241] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did most of the remaining army of Gondor go after the Battle of the Pelennor Fields?",
				["Answer"] = "Black Gate",
			},
			[242] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Approximately how many soldiers went to the Black Gate to do battle at the end of the Third Age?",
				["Answer"] = "6000",
			},
			[243] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ruled Minas Tirith for a while after the death of Denethor II?",
				["Answer"] = "Imrahil",
			},
			[244] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did a small part of the army that went to Morannon after the Battle of the Pelennor Fields divert?",
				["Answer"] = "Cair Andros",
			},
			[245] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who spoke on behalf of Mordor to the ambassadors of the Free Peoples at the Black Gate?",
				["Answer"] = "Mouth of Sauron",
			},
			[246] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who would have been Sauron\'s Lieutenant in Isengard if, as he requested, Gondor had surrendered it?",
				["Answer"] = "Mouth of Sauron",
			},
			[247] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lieutenant of Barad-dr in the War of the Ring?",
				["Answer"] = "Mouth of Sauron",
			},
			[248] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ultimately arrived to the Black Gate to aid in the Last Stand of the Third Age?",
				["Answer"] = "Eagles",
			},
			[249] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Sam see Shagrat arguing with atop the Tower of Cirith Ungol?",
				["Answer"] = "Snaga",
			},
			[250] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Gorbag?",
				["Answer"] = "Shagrat",
			},
			[251] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who rescued Frodo from the Tower of Cirith Ungol?",
				["Answer"] = "Sam",
			},
			[252] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was in charge of the Tower of Cirith Ungol after the revolt?",
				["Answer"] = "Nazgl",
			},
			[253] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo give Sam after he rescued him?",
				["Answer"] = "Sting",
			},
			[254] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The company of Orcs that Frodo and Sam were forced to join, where did they come from?",
				["Answer"] = "Durthang",
			},
			[255] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo and Sam do in Mordor to go unnoticed?",
				["Answer"] = "Disguised",
			},
			[256] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ultimately destroyed the One Ring?",
				["Answer"] = "Gollum",
			},
			[257] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three Eagles led Gandalf, Frodo and Sam out of Mordor?",
				["Answer"] = "Gwaihir Landroval and Meneldor",
			},
			[258] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Company of the Ring meet again after their mission was accomplished?",
				["Answer"] = "Field of Cormallen",
			},
			[259] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who healed Frodo and Sam after they were rescued from Mount Doom?",
				["Answer"] = "Aragorn",
			},
			[260] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did owyn end up falling in love with in the Houses of Healing?",
				["Answer"] = "Faramir",
			},
			[261] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which King of Gondor did the Steward returned his staff after many generations?",
				["Answer"] = "Elessar",
			},
			[262] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Faramir give the Stewardship staff?",
				["Answer"] = "Aragorn",
			},
			[263] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who brought the Royal Helmet to Aragorn at his coronation, at his request?",
				["Answer"] = "Frodo",
			},
			[264] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who put the Royal Helmet on Aragorn at his coronation, at his request?",
				["Answer"] = "Gandalf",
			},
			[265] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Prince of Ithilien after Elessar\'s coronation?",
				["Answer"] = "Faramir",
			},
			[266] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Elessar give to the freed slaves of Mordor?",
				["Answer"] = "Nurn",
			},
			[267] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What position did Aragorn give to Beregond?",
				["Answer"] = "Captain of the White Company",
			},
			[268] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What object did Elrond bring to Aragorn in Minas Tirith?",
				["Answer"] = "Sceptre of Annminas",
			},
			[269] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Aragorn marry?",
				["Answer"] = "Arwen",
			},
			[270] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Between whom (alphabetically and legends aside) was the third union between Firstborn and Secondborn?",
				["Answer"] = "Aragorn and Arwen",
			},
			[271] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did owyn and Faramir marry?",
				["Answer"] = "Meduseld",
			},
			[272] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What gift did owyn give to Merry?",
				["Answer"] = "Horn",
			},
			[273] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf, Galadriel, Celeborn, Elrond, the Hobbits, and the others meet on the journey to Rivendell?",
				["Answer"] = "Saruman",
			},
			[274] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the last place visited by Gandalf, Galadriel, Celeborn, Elrond, the Hobbits and the others before heading to Rivendell?",
				["Answer"] = "Isengard",
			},
			[275] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Aragorn say goodbye to the rest of the Fellowship of the Ring?",
				["Answer"] = "Isengard",
			},
			[276] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf, Elrond, the Hobbits, and the rest say goodbye to Galadriel and Celeborn?",
				["Answer"] = "Eregion",
			},
			[277] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which two places did Frodo shudder on the journey home from Gondor?",
				["Answer"] = "Ford of the Bruinen and Weathertop",
			},
			[278] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sam recover Bill?",
				["Answer"] = "Bree",
			},
			[279] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first in the lands inhabited by Hobbits to know of King Elessar and the rest of the good news?",
				["Answer"] = "Barliman Butterbur",
			},
			[280] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf visit on the return journey while Frodo, Sam, Merry and Pippin were on their way to the Shire by themselves?",
				["Answer"] = "Tom Bombadil",
			},
			[281] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Big Man known to them did Frodo, Sam, Merry, and Pippin find at the entrance to the Shire?",
				["Answer"] = "Bill Ferny",
			},
			[282] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo, Sam, Merry, and Pippin meet in Frogmorton?",
				["Answer"] = "Shirriffs",
			},
			[283] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Swarthy Men tell Frodo, Sam, Merry and Pippin who controlled the Chief?",
				["Answer"] = "Sharkey",
			},
			[284] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Merry first use his Horn of Rohan?",
				["Answer"] = "Shire",
			},
			[285] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What family, very dear to him, were the first Sam saw on his return from his journey?",
				["Answer"] = "Cotton",
			},
			[286] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The members of which family did Pippin go after when they caused the Shire to revolt?",
				["Answer"] = "Took",
			},
			[287] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which town in the Shire was the first to revolt?",
				["Answer"] = "Bywater",
			},
			[288] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who told Frodo and Merry what had happened in the Shire in his absence?",
				["Answer"] = "Tom Cotton",
			},
			[289] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Sam seek to take him to the house of the Cottons in the midst of the Shire revolt?",
				["Answer"] = "Gaffer Gamgee",
			},
			[290] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What battle took place in the Shire on the return of Frodo, Sam, Merry and Pippin?",
				["Answer"] = "Battle of Bywater",
			},
			[291] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first battle fought in the Shire, and the only one at least until the end of the Third Age?",
				["Answer"] = "Battle of Greenfields",
			},
			[292] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Frodo, Sam, Merry, and Pippin meet just before returning to Bag End in the midst of the Shire revolt?",
				["Answer"] = "Ted Sandyman",
			},
			[293] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who introduced himself to Frodo, Sam, Merry and Pippin when they were back at Bag End?",
				["Answer"] = "Saruman",
			},
			[294] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Lotho Sackville-Baggins?",
				["Answer"] = "Wormtongue",
			},
			[295] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Saruman?",
				["Answer"] = "Wormtongue",
			},
			[296] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Saruman die?",
				["Answer"] = "Shire",
			},
			[297] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Grma?",
				["Answer"] = "Hobbits",
			},
			[298] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who tried to kill Frodo at Bag End?",
				["Answer"] = "Saruman",
			},
			[299] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Lobelia leave her inheritance?",
				["Answer"] = "Frodo",
			},
			[300] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did they also call the New Row in reference to Saruman?",
				["Answer"] = "Sharkey\'s End",
			},
			[301] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam use to restore the vegetation of the Shire?",
				["Answer"] = "Gift of Galadriel",
			},
			[302] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What special tree grew in the garden of Bag End on the return of Frodo, Sam, Merry and Pippin?",
				["Answer"] = "Mallorn",
			},
			[303] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How long or so elapsed from Frodo\'s departure to his return and until everything was in order?",
				["Answer"] = "1 year and a half",
			},
			[304] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Deputy Mayor while Will Whitfoot was recovering from his imprisonment?",
				["Answer"] = "Frodo",
			},
			[305] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Sam marry?",
				["Answer"] = "Rose Cotton",
			},
			[306] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Frodo, Sam, Elrond, Galadriel and others meet before they went to the Havens?",
				["Answer"] = "Woody-End",
			},
			[307] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were waiting for Frodo, Sam, Elrond, Galadriel and the rest in the Havens?",
				["Answer"] = "Crdan and Gandalf",
			},
			[308] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who arrived at the last minute in the Grey Havens, in time to see Frodo off?",
				["Answer"] = "Merry and Pippin",
			},
			[309] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two places did Legolas and Gimli visit together before they returned home?",
				["Answer"] = "Fangorn and Glittering Caves",
			},
			[310] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many times were Frodo, Sam, Merry, and Pippin in Rivendell?",
				["Answer"] = "2",
			},
		}
	},
	[45] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Items - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Hobbits call \"anything that had no immediate use for, but were unwilling to throw away\"?",
				["Answer"] = "Mathom",
			},
			[2] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only badge of the Shirriffs of the Shire?",
				["Answer"] = "Feather",
			},
			[3] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the One Ring also called?",
				["Answer"] = "Isildur\'s Bane",
			},
			[4] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Narsil\'s name after it was reforged?",
				["Answer"] = "Andril",
			},
			[5] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the sword of Aragorn?",
				["Answer"] = "Andril",
			},
			[6] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What liquor from Rivendell, warm and fragrant, did the Company of the Ring drink to regain strength at Caradhras?",
				["Answer"] = "Miruvor",
			},
			[7] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What material, mirroring only starlight and moonlight, was the Gate of Moria wrought of?",
				["Answer"] = "Ithildin",
			},
			[8] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two Items formed Durin\'s emblem?",
				["Answer"] = "Anvil and Hammer",
			},
			[9] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the emblem of the House of Fanor?",
				["Answer"] = "Eight-pointed Star",
			},
			[10] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which metal, found only in Khazad-dm in the Third Age, was the most valuable known?",
				["Answer"] = "Mithril",
			},
			[11] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Dwarves of Balin write what happened to them in Moria?",
				["Answer"] = "Book of Mazarbul",
			},
			[12] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Galadriel give to the Company of the Ring to keep them \"out of the sight of unfriendly eyes\"?",
				["Answer"] = "Cloaks",
			},
			[13] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What material did the Galadhrim make the ropes of?",
				["Answer"] = "Hithlain",
			},
			[14] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Celeborn and Galadriel give to Aragorn?",
				["Answer"] = "Sword sheath",
			},
			[15] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the clear green stone set in a silver brooch in the likeness of an eagle that was given to Aragorn?",
				["Answer"] = "Elfstone",
			},
			[16] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Celeborn and Galadriel give to Boromir?",
				["Answer"] = "Gold Belt",
			},
			[17] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Celeborn and Galadriel give to Merry and Pippin?",
				["Answer"] = "Silver Belt",
			},
			[18] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Celeborn and Galadriel give to Legolas?",
				["Answer"] = "Bow and Quiver",
			},
			[19] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Galadriel give to Sam?",
				["Answer"] = "Earth from her orchard",
			},
			[20] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Galadriel give to Gimli?",
				["Answer"] = "3 of her hairs",
			},
			[21] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Galadriel give to Frodo?",
				["Answer"] = "Phial with the light of Erendil",
			},
			[22] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two elements formed the emblem of Dol Amroth?",
				["Answer"] = "Ship and Swan",
			},
			[23] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon did Orcs commonly use?",
				["Answer"] = "Scimitar",
			},
			[24] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Saruman\'s emblem?",
				["Answer"] = "White Hand",
			},
			[25] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the emblem of Sauron\'s troops?",
				["Answer"] = "Red Eye",
			},
			[26] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Thoden\'s sword?",
				["Answer"] = "Herugrim",
			},
			[27] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main element of the emblem of the House of orl?",
				["Answer"] = "Horse",
			},
			[28] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sword of omer?",
				["Answer"] = "Gthwin",
			},
			[29] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which important item did Gandalf take from Orthanc?",
				["Answer"] = "Palantir",
			},
			[30] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What item of Boromir did Denethor keep after his death?",
				["Answer"] = "Horn",
			},
			[31] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What material were the helmets of the Guards of the Citadel of Minas Tirith made of?",
				["Answer"] = "Mithril",
			},
			[32] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first bearer of the horn that Boromir carried?",
				["Answer"] = "Vorondil",
			},
			[33] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the only insignia worn by the Rangers of the North?",
				["Answer"] = "Rayed star",
			},
			[34] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Arwen weave for Aragorn for the War of the Ring?",
				["Answer"] = "Standard",
			},
			[35] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What item was used by Gondor to call Rohan for help?",
				["Answer"] = "Red Arrow",
			},
			[36] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the huge ram the Enemy used to destroy the Gates of Minas Tirith?",
				["Answer"] = "Grond",
			},
			[37] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was on the Haradrim standard?",
				["Answer"] = "Serpent",
			},
			[38] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon did the Witch-king wield, at least before he died?",
				["Answer"] = "Mace",
			},
			[39] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the jewel worn on the forehead by the Kings of Arnor?",
				["Answer"] = "Star of Elendil",
			},
			[40] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Star of Elendil represent?",
				["Answer"] = "Erendil",
			},
			[41] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were Athelas commonly called?",
				["Answer"] = "Kingsfoil",
			},
			[42] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who made the Horn that Merry received at Rohan?",
				["Answer"] = "Dwarves",
			},
			[43] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo get from Bilbo the last time he was in Rivendell?",
				["Answer"] = "Books",
			},
			[44] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam get from Bilbo the last time he was in Rivendell?",
				["Answer"] = "Gold",
			},
			[45] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Merry and Pippin get from Bilbo the last time they were in Rivendell?",
				["Answer"] = "Pipes",
			},
			[46] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which was the most powerful of the Three Elven Rings?",
				["Answer"] = "Vilya",
			},
		}
	},
	[46] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Languages - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elen sila lmenn\'omentielmo\" mean?",
				["Answer"] = "A star shines on the hour of our meeting",
			},
			[2] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Sindarin word means \"Open Up\"?",
				["Answer"] = "Edro",
			},
			[3] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Poddo mellon a minno\" mean?",
				["Answer"] = "Say friend and come in",
			},
			[4] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gash\" mean in the language of the Orcs?",
				["Answer"] = "Fire",
			},
			[5] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the hobbits of the Shire call Fornost?",
				["Answer"] = "Norbury",
			},
			[6] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Men of Gondor call pipe-weed?",
				["Answer"] = "Sweet galenas",
			},
			[7] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Loudwater in the Elvish language?",
				["Answer"] = "Bruinen",
			},
			[8] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name for the Weathertop?",
				["Answer"] = "Amon Sl",
			},
			[9] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name for \"Isen\"?",
				["Answer"] = "Angren",
			},
			[10] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name of the Brandydiwine?",
				["Answer"] = "Baranduin",
			},
			[11] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Men call \"Eregion\"?",
				["Answer"] = "Hollin",
			},
			[12] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Caradhras\" or \"Barazinbar\" mean?",
				["Answer"] = "Redhorn",
			},
			[13] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebdil\" or \"Zirak-zigil\" mean?",
				["Answer"] = "Silvertine",
			},
			[14] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Fanuidhol\" or \"Bundushathr\" mean?",
				["Answer"] = "Cloudyhead",
			},
			[15] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Dwarvish name for the \"Celebrant\"?",
				["Answer"] = "Kibil-nla",
			},
			[16] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Dwarvish name for the \"Mirrormere\"?",
				["Answer"] = "Kheled-zram",
			},
			[17] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebrant\" or \"Kibil-nla\" mean?",
				["Answer"] = "Silverlode",
			},
			[18] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Dwarvish name for the \"Dimrill Dale\"?",
				["Answer"] = "Azanulbizar",
			},
			[19] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name for the \"Dimrill Dale\"?",
				["Answer"] = "Nanduhirion",
			},
			[20] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Mithrin\" mean?",
				["Answer"] = "Grey Mountains",
			},
			[21] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ithilien\" mean?",
				["Answer"] = "Land of the Moon",
			},
			[22] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Nimrais\" mean?",
				["Answer"] = "White Horns Mountains",
			},
			[23] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Ered Nimrais\" in the Common Speech?",
				["Answer"] = "White Mountains",
			},
			[24] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Anrien\" mean?",
				["Answer"] = "Land of the Sun",
			},
			[25] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sirannon\" mean?",
				["Answer"] = "Gate-stream",
			},
			[26] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Caras Galadhon\" mean?",
				["Answer"] = "City of the Trees",
			},
			[27] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Hen\" mean?",
				["Answer"] = "Hill of Sight",
			},
			[28] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Lhaw\" mean?",
				["Answer"] = "Hill of Hearing",
			},
			[29] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name for the \"Black Gate\"?",
				["Answer"] = "Morannon",
			},
			[30] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Mordor\" mean?",
				["Answer"] = "Black Land",
			},
			[31] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of \"Carach Angren\" in the Common Speech?",
				["Answer"] = "Isenmouthe",
			},
			[32] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ered Lithui\" mean?",
				["Answer"] = "Ash Mountains",
			},
			[33] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the \"Ephel Dath\" called in the Common Speech?",
				["Answer"] = "Mountains of Shadow",
			},
			[34] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Andril\" mean?",
				["Answer"] = "Flame of the West",
			},
			[35] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Hithlain\" mean?",
				["Answer"] = "Mist-thread",
			},
			[36] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Undmiel\" mean?",
				["Answer"] = "Evenstar",
			},
			[37] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Elessar\" mean?",
				["Answer"] = "Elfstone",
			},
			[38] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Common Speech of the Free Peoples?",
				["Answer"] = "Westron",
			},
			[39] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Galadhrim\" mean?",
				["Answer"] = "Tree-people",
			},
			[40] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the Orcs?",
				["Answer"] = "Yrch",
			},
			[41] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Wild Men of the White Mountains call the Orcs?",
				["Answer"] = "Gorgn",
			},
			[42] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Sindarin name for the \"Valley of Saruman\"?",
				["Answer"] = "Nan Curunr",
			},
			[43] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Methedras\" mean?",
				["Answer"] = "Last Peak",
			},
			[44] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aglarond\" mean?",
				["Answer"] = "Glittering Caves",
			},
			[45] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the Rohirrim give to \"Lothlrien\"?",
				["Answer"] = "Dwimordene",
			},
			[46] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the Rohirrim give to \"Minas Tirith\"?",
				["Answer"] = "Mundburg",
			},
			[47] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was \"Cirith Gorgor\" called in the Common Speech?",
				["Answer"] = "Haunted Pass",
			},
			[48] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the meaning of \"Torech Ungol\"?",
				["Answer"] = "Lair of the Spider",
			},
			[49] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Imlad Morgul\" mean?",
				["Answer"] = "Valley of Sorcery",
			},
			[50] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Minas Morgul\" mean?",
				["Answer"] = "Tower of Sorcery",
			},
			[51] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Quenya name for \"Evermind\"?",
				["Answer"] = "Simbelmyn",
			},
			[52] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name of \"Quickbeam\"?",
				["Answer"] = "Bregalad",
			},
			[53] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Thorongil\" mean?",
				["Answer"] = "Eagle of the Star",
			},
			[54] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Elves call the Ents?",
				["Answer"] = "Onodrim",
			},
			[55] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ernil i Periannath\" mean?",
				["Answer"] = "Prince of the Halflings",
			},
			[56] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rath Dnen\" mean?",
				["Answer"] = "Silent Street",
			},
			[57] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Chambers of Fire\"?",
				["Answer"] = "Sammath Naur",
			},
			[58] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Merethrond\" mean?",
				["Answer"] = "Hall of Feasts",
			},
			[59] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Quenya name for the \"Athelas\"?",
				["Answer"] = "Asa Aranion",
			},
			[60] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Telcontar\" mean?",
				["Answer"] = "Strides",
			},
			[61] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dwimmerlaik\" mean?",
				["Answer"] = "Wraith",
			},
			[62] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Snaga\" mean?",
				["Answer"] = "Slave",
			},
			[63] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gwaihir\" mean?",
				["Answer"] = "Lord of the Winds",
			},
			[64] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which word in the language of the Orcs of Isengard was the origin of \"Sharkey\"?",
				["Answer"] = "Sharku",
			},
			[65] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sharkey\" mean?",
				["Answer"] = "Old Man",
			},
		}
	},
	[47] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Music - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Thoden\'s minstrel in the days of the War of the Ring?",
				["Answer"] = "Glowine",
			},
			[2] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which minstrel of Rohan composed a song about Thoden and his end in the War of the Ring?",
				["Answer"] = "Glowine",
			},
		}
	},
	[48] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Peoples - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What do Hobbits call men?",
				["Answer"] = "Big Folk",
			},
			[2] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What three branches or \"breeds\" of Hobbits existed?",
				["Answer"] = "Fallohides Harfoots and Stoors",
			},
			[3] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbits were traditionally the friendliest with Dwarves?",
				["Answer"] = "Harfoots",
			},
			[4] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbits traditionally preferred the highlands and hillsides?",
				["Answer"] = "Harfoots",
			},
			[5] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbits traditionally preferred flat lands and riversides?",
				["Answer"] = "Stoors",
			},
			[6] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Hobbits traditionally preferred trees and woodlands?",
				["Answer"] = "Fallohides",
			},
			[7] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Hobbit family could a Fallohidish strain stand out the most?",
				["Answer"] = "Took",
			},
			[8] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years was the difference between the Elven calendar and the Shire-reckoning?",
				["Answer"] = "1600",
			},
			[9] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which title held the highest authority in the Shire?",
				["Answer"] = "Thain",
			},
			[10] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the keenest sense the Hobbits possessed?",
				["Answer"] = "Sight",
			},
			[11] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Hobbits call the biggest and most luxurious Holes?",
				["Answer"] = "Smial",
			},
			[12] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was, according to the \"Herblore of the Shire\", \"the centre and home of the art of pipe smoking\"?",
				["Answer"] = "Prancing Pony",
			},
			[13] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Some hobbit clans all lived together in the same building, such as the Took from _____ _____ and the Brandybuck of _____ ___?",
				["Answer"] = "Great Smials and Brandy Hall",
			},
			[14] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the great interest and delight of the Hobbits, as can be seen at the end of the \"Red Book\"?",
				["Answer"] = "Genealogy",
			},
			[15] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what quiet activity or \"art\" did hobbits devote much of their time?",
				["Answer"] = "Smoking",
			},
			[16] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which \"art\" is \"the only one that Hobbits can claim as their own invention\"?",
				["Answer"] = "Smoking",
			},
			[17] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the people of Bree used to call the people of the Shire?",
				["Answer"] = "Colonists",
			},
			[18] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What clan was the Thain from at the end of the Third Age?",
				["Answer"] = "Took",
			},
			[19] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What clan were the Thains from before the office passed to the Took?",
				["Answer"] = "Oldbuck",
			},
			[20] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which title was \"the only real official\" in the Shire?",
				["Answer"] = "Mayor",
			},
			[21] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the only services available to the Hobbits of the Shire?",
				["Answer"] = "Messenger Service and Watch",
			},
			[22] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Hobbits call twelve dozen?",
				["Answer"] = "Gross",
			},
			[23] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Hobbits call the Elves?",
				["Answer"] = "Fair Folk",
			},
			[24] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Hobbits of the Shire call \"any others that lived beyond the borders\"?",
				["Answer"] = "Outsiders",
			},
			[25] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In ancient times, when the Northern Way was frequented, the Hobbits of the Shire used to say, \"Strange as...\"?",
				["Answer"] = "News from Bree",
			},
			[26] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Nmenreans used to be called in Eriador, in the Third Age?",
				["Answer"] = "Men of Westernesse",
			},
			[27] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Black Orcs of Mordor?",
				["Answer"] = "Uruk",
			},
			[28] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Elves of Lothlorien called?",
				["Answer"] = "Galadhrim",
			},
			[29] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the two names given to the Galadhrim dwellings in the trees?",
				["Answer"] = "Flet and Talan",
			},
			[30] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gimli praise as the best bakers?",
				["Answer"] = "Beornings",
			},
			[31] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Rohirrim do with the carcases of enemy intruders, according to their custom?",
				["Answer"] = "Burned them",
			},
			[32] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the children of the Ents?",
				["Answer"] = "Entlings",
			},
			[33] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the meetings of the Ents called?",
				["Answer"] = "Entmoot",
			},
			[34] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In mockery of whom would Trolls have been made?",
				["Answer"] = "Ents",
			},
			[35] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Rohirrim also called?",
				["Answer"] = "Sons of Eorl",
			},
			[36] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the creatures close to Ents but that were almost entirely tree-ish?",
				["Answer"] = "Huorns",
			},
			[37] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the armed divisions of the Rohirrim?",
				["Answer"] = "ored ",
			},
		}
	},
	[49] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Quotes - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Complete: \"Three Rings for...\"",
				["Answer"] = "the Elven-Kings under the sky",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Complete: \"Seven for the Dwarf-lords...\"",
				["Answer"] = "in their halls of stone",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Complete: \"Nine for...\"",
				["Answer"] = "Mortal Men doomed to die",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Complete: \"One Ring to bring them all, and...\"",
				["Answer"] = "in the darkness bind them",
			},
			[5] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Complete: \"In the Land of Mordor...\"",
				["Answer"] = "where the Shadows lie",
			},
			[6] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Boats are quite tricky enough for those that sit still without looking further for the cause of trouble.\"?",
				["Answer"] = "Gaffer Gamgee",
			},
			[7] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"I don\'t know half of you half as well as I should like; and I like less than half of you half as well as you deserve\"?",
				["Answer"] = "Bilbo",
			},
			[8] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Many that live deserve death. And some that die deserve life. Can you give it to them? Then do not be too eager to deal out death in judgement. For even the very wise cannot see all ends.\" Who said this more than famous phrase?",
				["Answer"] = "Gandalf",
			},
			[9] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said to Frodo, \"Do not meddle in the affairs of Wizards, for they are subtle and quick to anger.\"?",
				["Answer"] = "Gildor",
			},
			[10] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Take off your golden ring! Your hand\'s more fair without it. Come back! Leave your game and sit down beside me!\" when Frodo was invisible?",
				["Answer"] = "Tom Bombadil",
			},
			[11] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who sang \"Cold be hand and heart and bone | and cold be sleep under stone: | never mare to wake on stony bed, | never, till the Sun fails and the Moon is dead.\"?",
				["Answer"] = "Barrow-wight",
			},
			[12] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"All that is gold does not glitter, | Not all those who wander are lost; | The old that is strong does not wither, | Deep roots are not reached by the frost.\" To whom do these verses refer?",
				["Answer"] = "Aragorn",
			},
			[13] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"I will take it as a sign that we may pass the Bridge; but beyond that I dare not keep to the Road, without some clearer token.\"?",
				["Answer"] = "Aragorn",
			},
			[14] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It is but a trifle that Sauron fancies, and an earnest of your good will.\" To whom did a messenger of Sauron say this?",
				["Answer"] = "Din",
			},
			[15] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Gandalf said \"And he that breaks a thing to find out what it is has left the path of wisdom.\", but to whom?",
				["Answer"] = "Saruman",
			},
			[16] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Gandalf say, \"despair is only for those who see the end beyond all doubt\"?",
				["Answer"] = "Erestor",
			},
			[17] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"let folly be our cloak, a veil before the eyes of the Enemy!\"?",
				["Answer"] = "Gandalf",
			},
			[18] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"The Company of the Ring shall be Nine; and the Nine Walkers shall be set against the Nine Riders that are evil\". Who said it?",
				["Answer"] = "Elrond",
			},
			[19] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did it say \"Ennyn Durin Aran Moria: poddo mellon a minno. Im Narvi hain echanti, Celebrimbor o Eregion teithant i thiw hin.\"?",
				["Answer"] = "Gate of Moria",
			},
			[20] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Gandalf said \"Yes. I never told him, but its worth was greater than the value of the whole Shire and everything in it\". What was he talking about?",
				["Answer"] = "Mithril corslet",
			},
			[21] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"You cannot pass. I am a servant of the Secret Fire, wielder of the flame of Anor. You cannot pass. The dark fire will not avail you, flame of Udn. Go back to the Shadow! You cannot pass\". Who said this and to whom?",
				["Answer"] = "Gandalf to the Balrog",
			},
			[22] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Fair and perilous; but only evil need fear it, or those who bring some evil with them\". What was Aragorn talking about?",
				["Answer"] = "Lothlrien",
			},
			[23] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"For it shows things that were, and things that are, things that yet may be. But which it is that he sees, even the wisest cannot always tell\". What is it talked about?",
				["Answer"] = "Mirror of Galadriel",
			},
			[24] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Torment in the dark was the danger that I feared, and it did not hold me back. But I would not have come, had I known the danger of light and joy\". Who said this after leaving Lothlrien?",
				["Answer"] = "Gimli",
			},
			[25] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"For the Elves the world moves, and it moves both very swift and very slow. Swift, because they themselves change little, and all else fleets by: it is a grief to them. Slow, because they do not count the running years, not for themselves\". Who explains this regarding Lothlrien?",
				["Answer"] = "Legolas",
			},
			[26] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said to Boromir \"You have conquered. Few have gained such a victory. Be at peace! Minas Tirith shall not fall!\"?",
				["Answer"] = "Aragorn",
			},
			[27] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It seems their delight to slash and beat down growing things that are not even in their way\". Of whom does Legolas speak thus?",
				["Answer"] = "Orcs",
			},
			[28] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Fangorn, Finglas, Fladrif, aye, aye. The trouble is that there are so few of us left\". Who is he referring to?",
				["Answer"] = "Ents",
			},
			[29] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"We go, we go, we go to war, to hew the stone and break the door; | For bole and bough are burning now, the furnace roars  we go to war!\" Who were singing this as they marched?",
				["Answer"] = "Ents",
			},
			[30] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"And this I also say: you are our captain and our banner. The Dark Lord has Nine. But we have One, mightier than they: the White Rider\". Who did utter these hopeful words?",
				["Answer"] = "Aragorn",
			},
			[31] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Give me a year and a hundred of my kin and I would make this a place that armies would break upon like water\". What place was Gimli talking about?",
				["Answer"] = "Helm\'s Deep",
			},
			[32] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Ere iron was found or tree was hewn, | When young was mountain under moon; | Ere ring was made, or wrought was woe, | It walked the forests long ago\". Of whom do these verses speak?",
				["Answer"] = "Treebeard",
			},
			[33] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Behold, I am not Gandalf the Grey, whom you betrayed. I am Gandalf the White, who has returned from death\". To whom was Gandalf saying this?",
				["Answer"] = "Saruman",
			},
			[34] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who mentions, after Pippin looked at the Stone, an old proverb that says, \"oft evil will shall evil mar\"?",
				["Answer"] = "Thoden",
			},
			[35] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Quietly, Sam! He can smell us, perhaps. And he can hear as keen as Elves, I believe\". Who is this about?",
				["Answer"] = "Gollum",
			},
			[36] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Yes, they are all round us. The tricksy lights. Candles of corpses, yes, yes\". Where were Frodo, Sam, and Gollum?",
				["Answer"] = "Dead Marshes",
			},
			[37] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"We wants it! But... Not yet, eh? Perhaps not. She might help. She might, yes\". Who was \"She\"?",
				["Answer"] = "Shelob",
			},
			[38] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"No, no, master! Useless! No use that way! No use! Don\'t take the Precious to Him!\" What was in \"that way\"?",
				["Answer"] = "Black Gate",
			},
			[39] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It is a very terrible place now. Travellers shiver when they see it, they creep out of sight, they avoid its shadow. But master will have to go that way. That is the only other way\". What was that way?",
				["Answer"] = "Cirith Ungol",
			},
			[40] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Ware! Ware! May the Valar turn him aside! Mmak! Mmak!\" What was he talking about?",
				["Answer"] = "Oliphaunt",
			},
			[41] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who used to say \"How many hundreds of years needs it to make a steward a king, if the king returns not?\"?",
				["Answer"] = "Boromir",
			},
			[42] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"it came to pass in the days of Cirion the Twelfth Steward (and my father is the sit and twentieth) that they rode to our aid and at the great Field of Celebrant they destroyed our enemies that had seized our northern provinces\". Who was Faramir speaking about?",
				["Answer"] = "Rohirrim",
			},
			[43] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Most gracious host. It was said to me by Elrond Halfelven that I should find friendship upon the way, secret and unlooked for\". Who is this about?",
				["Answer"] = "Faramir",
			},
			[44] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Gaffer Gamgee used to say: \"Where there\'s life there\'s hope, and...",
				["Answer"] = "Need of vittles",
			},
			[45] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"I don\'t make no mistake: I don\'t doubt he\'d hand me over to Orcs as gladly as kiss his hand\". Who was Sam talking about?",
				["Answer"] = "Gollum",
			},
			[46] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"He doesn\'t know what we minds, does he precious? No, he doesn\'t. But Smagol can bear things. Yes. He\'s been through. O yes, right through. It\'s the only way\". What was Gollum worried about?",
				["Answer"] = "Shelob",
			},
			[47] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Now come, you filth! You\'ve hurt my master, you brute, and you\'ll pay for it. We\'re going on; but we\'ll settle with you first\". Who was Sam challenging?",
				["Answer"] = "Shelob",
			},
			[48] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"I have something to do before the end. I must see it through, sir, if you understand\"?",
				["Answer"] = "Sam",
			},
			[49] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Carrion! Is that all you know of Her Ladyship? When she binds with cords, she\'s after meat. She doesn\'t eat dead meat, nor suck cold blood\". Who was he speaking about?",
				["Answer"] = "Frodo",
			},
			[50] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"And for my part, I shall not wholly fail of my task, though Gondor should perish, if anything passes through this night that can still grow fair or bear fruit and flower again in days to come. For I also am a steward. Did you not know?\". Who uttered these words?",
				["Answer"] = "Gandalf",
			},
			[51] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Some say that as he sits alone in his high chamber in the Tower at night, and bends his thought this way and that, he can read somewhat of the future; and that he will at times search even the mind of the Enemy, wrestling with him\". Who is this about?",
				["Answer"] = "Denethor",
			},
			[52] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It was a bitter struggle, and the weariness is slow to pass. I spoke no word to him, and in the end I wrenched the Stone to my own will. That alone he will find hard to endure.\" Who is he speaking about?",
				["Answer"] = "Sauron",
			},
			[53] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who told Merry \"Where will wants not, a way opens [...] and so I have found myself. You wish to go whither the Lord of the Mark goes: I see it in your face\"?",
				["Answer"] = "Dernhelm",
			},
			[54] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"His own folk quail at him, and they would slay themselves at his bidding\". Who are these words about?",
				["Answer"] = "Witch-king",
			},
			[55] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"And if words spoken of old be true, not by the hand of man shall he fall, and hidden from the Wise is the doom that awaits him\". Who are these words about?",
				["Answer"] = "Witch-king",
			},
			[56] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said to Gandalf \"Old fool! Old fool! This is my hour. Do you not know Death when you see it? Die now and curse in vain!\"?",
				["Answer"] = "Witch-king",
			},
			[57] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of whom was it said at the Battle of the Pelennor Fields that \"He seemed like a god of old, even as Orom the Great in the battle of the Valar when the world was young\"?",
				["Answer"] = "Thoden",
			},
			[58] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Begone, if you be not deathless! For living or dark undead, I will smite you, if you touch him\"?",
				["Answer"] = "owyn",
			},
			[59] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"When the black breath blows | and death\'s shadow grows | and all lights pass, | come athelas! come athelas! | Life to the dying | In the king\'s hand lying!\". Which woman in the Houses of Healing used to sing this doggrel, though she did not understand it?",
				["Answer"] = "Ioreth",
			},
			[60] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"He will tell you that he did not know that the herb you desire had any virtues, but that it is called westmansweed by the vulgar, and galenas by the noble, and other names in other tongues more learned, and after adding a few half-forgotten rhymes that he does not understand, he will regretfully inform you that there is none in the House, and he will leave you to reflect on the history of tongues\". Who said this?",
				["Answer"] = "Aragorn",
			},
			[61] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Legolas talking about when he said, \"A wonder they are to me and a trouble to my heart. Never in all my life had I met them, until we came to Pelargir, and there I heard them crying in the air as we rode to the battle of the ships\"?",
				["Answer"] = "Gulls",
			},
			[62] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Imrahil said to Gandalf, \"will he not rather smile than fear, and with his little finger crush us like a fly that tries to sting him?\". But Gandalf said that Sauron would want to...",
				["Answer"] = "trap the fly and take the sting",
			},
			[63] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"That\'s done it! Now I\'ve rung the front-door bell! Well, come on somebody!\' he cried. Tell Captain Shagrat that the great Elf-warrior has called, with his elf-sword too!\"?",
				["Answer"] = "Sam",
			},
			[64] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"I don\'t trust you, not as far as I could kick you; but be off. Or I shall hurt you, yes, with nasty cruel steel\". To whom were these words addressed?",
				["Answer"] = "Gollum",
			},
			[65] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Twice you have borne me, Gwaihir my friend. Thrice shall pay for all, if you are willing\"?",
				["Answer"] = "Gandalf",
			},
			[66] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Hopes fail. An end comes. We have only a little time to wait now. We are lost in ruin and downfall, and there is no escape\"?",
				["Answer"] = "Frodo",
			},
			[67] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Once I pitied your sorrow. But now, were you sorrowless, without fear or any lack, were you the blissful Queen of Gondor, still I would love you. owyn, do you not love me?\". Who said this and to whom?",
				["Answer"] = "Faramir to owyn",
			},
			[68] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Et Erello Endorenna utlien. Sinome maruvan ar Hildinyar tenn\' Ambar-metta!\"?",
				["Answer"] = "Elendil",
			},
			[69] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said to Aragorn, \"Since the day when you rose before me out of the green grass of the downs I have loved you, and that love shall not fail\"?",
				["Answer"] = "omer",
			},
			[70] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said to Frodo \"If your hurts grieve you still and the memory of your burden is heavy, then you may pass into the West, until all your wounds and weariness are healed\"?",
				["Answer"] = "Arwen",
			},
			[71] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom Treebeard said \"Never is too long a word even for me. Not while your kingdoms last, you mean; but they will have to last long indeed to seem long to Ents\"?",
				["Answer"] = "Aragorn",
			},
			[72] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Well, it will serve you right when you come home, if you find things less good in the Southfarthing than you would like\". Who said this to Merry?",
				["Answer"] = "Saruman",
			},
			[73] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"You are speaking to the King\'s friend, and one of the most renowned in all the lands of the West. [...] Down on your knees in the road and ask pardon, or I will set this troll\'s bane in you!\"?",
				["Answer"] = "Pippin",
			},
			[74] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Wake all our people! They hate all this, you can see [...] They just want a match [...] and they\'ll go up in fire\"?",
				["Answer"] = "Merry",
			},
			[75] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"We\'ve never seen him, but he\'s up at Bag End; and he\'s the real Chief now, I guess\". Who was Farmer Cotton talking about?",
				["Answer"] = "Sharkey",
			},
			[76] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Whoever strikes me shall be accursed. And if my blood stains the Shire, it shall wither and never again be healed\"?",
				["Answer"] = "Saruman",
			},
		}
	},
	[50] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Characters - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twentieth King of Arnor?",
				["Answer"] = "Argeleb II",
			},
			[2] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which village was Fatty Bolger from?",
				["Answer"] = "Budgeford",
			},
			[3] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first Brandybuck?",
				["Answer"] = "Gorhendad",
			},
			[4] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Harry Goatleaf?",
				["Answer"] = "Gate-keeper of Bree",
			},
			[5] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Bard\'s son and Brand\'s father?",
				["Answer"] = "Bain",
			},
			[6] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Elves call Tom Bombadil?",
				["Answer"] = "Iarwain Ben-adar",
			},
			[7] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Dwarves call Tom Bombail?",
				["Answer"] = "Forn",
			},
			[8] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Northern Men call Tom Bombadil?",
				["Answer"] = "Orald",
			},
			[9] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the brothers of Haldir of Lothlrien?",
				["Answer"] = "Orophin and Rmil",
			},
			[10] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the most important Horseman under omer?",
				["Answer"] = "othain",
			},
			[11] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the guide of the Orcs who kidnapped Merry and Pippin?",
				["Answer"] = "Lugdush",
			},
			[12] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What diminutive was Pippin sometimes called?",
				["Answer"] = "Pip",
			},
			[13] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were Finglas and Fladrif called in Common Language, respectively?",
				["Answer"] = "Leaflock and Skinbark",
			},
			[14] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Grma\'s father?",
				["Answer"] = "Glmd",
			},
			[15] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Eorl\'s son?",
				["Answer"] = "Brego",
			},
			[16] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the messenger who met Aragorn, Theden and their troops on their way to Hornburg?",
				["Answer"] = "Ceorl",
			},
			[17] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of those who had taken refuge in Helm\'s Deep when Thoden arrived?",
				["Answer"] = "Gamling",
			},
			[18] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the two Men who stayed behind to protect Frodo and Sam in Ithilien?",
				["Answer"] = "Damrod and Mablung",
			},
			[19] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Beregond?",
				["Answer"] = "Baranor",
			},
			[20] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the cook of the Minas Tirith company Beregond was in?",
				["Answer"] = "Targon",
			},
			[21] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lord of the Blackroot Vale in the days of the War of the Ring?",
				["Answer"] = "Duinhir",
			},
			[22] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of the Lord of the Ringl Valley in the days of the War of the Ring?",
				["Answer"] = "Dervorin",
			},
			[23] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Duinhir?",
				["Answer"] = "the Tall",
			},
			[24] =
			{
				["Category"] = "characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Duinhir\'s sons?",
				["Answer"] = "Derufin and Duilin",
			},
			[25] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Rohan was father of Baldor?",
				["Answer"] = "Brego",
			},
			[26] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lord of the Green Hills in the days of the War of the Ring?",
				["Answer"] = "Hirluin",
			},
			[27] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Aragorn give himself for having restored the lineage of the Kings of Nmenor to Gondor?",
				["Answer"] = "Envinyatar",
			},
			[28] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Lord of Lamedon in the days of the War of the Ring?",
				["Answer"] = "Angbor",
			},
			[29] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Farmer Cotton call Lotho Sackville-Baggins?",
				["Answer"] = "Pimple",
			},
		}
	},
	[51] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Geography - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What township of the Shire was in the White Downs?",
				["Answer"] = "Michel Delving",
			},
			[2] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which village was located in the Green Hills?",
				["Answer"] = "Tuckborough",
			},
			[3] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the forest in the Eastfarthing?",
				["Answer"] = "Woody-End",
			},
			[4] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What swamps were located to the southeast of the Shire?",
				["Answer"] = "Overbourn Marshes",
			},
			[5] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two villages were in the Westfarthing?",
				["Answer"] = "Little Delving and Michel Delving",
			},
			[6] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What small island stood on the Baranduin as it flowed through the Shire?",
				["Answer"] = "Girdley",
			},
			[7] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which forest was on the borders of the Northfarthing?",
				["Answer"] = "Bindbole wood",
			},
			[8] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the northern lands of Lindon called?",
				["Answer"] = "Forlindon",
			},
			[9] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the southern lands of Lindon called?",
				["Answer"] = "Harlindon",
			},
			[10] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What forest was on a small peninsula in Eriador?",
				["Answer"] = "Eryn Vorn",
			},
			[11] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the swamps at the junction of the Glanduin and the Greyflood?",
				["Answer"] = "Nn-in-Eilph",
			},
			[12] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the hills southeast of Bree?",
				["Answer"] = "South Downs",
			},
			[13] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only tributary of the Isen?",
				["Answer"] = "Adorn",
			},
			[14] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the wasteland at the mouth of the Isen?",
				["Answer"] = "Drwaith Iaur",
			},
			[15] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which group of stars lies north of Menelvagor?",
				["Answer"] = "Remmirath",
			},
			[16] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which bright red star is near Menelvagor?",
				["Answer"] = "Borgil",
			},
			[17] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tributary of the Greylin was born in the Misty Mountains?",
				["Answer"] = "Longwell",
			},
			[18] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river was born in Ered Mithrin and joined Anduin?",
				["Answer"] = "Greylin",
			},
			[19] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river came down from the Iron Hills?",
				["Answer"] = "Carnen",
			},
			[20] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tributary of the Anduin joined it at the Gladden Fields?",
				["Answer"] = "Gladden River",
			},
			[21] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which land was between Anduin and Limlight?",
				["Answer"] = "Field of Celebrant",
			},
			[22] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the area of Rohan east of the Entwash?",
				["Answer"] = "Eastemnet",
			},
			[23] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the area of Rohan west of the Entwash?",
				["Answer"] = "Westemnet",
			},
			[24] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the rapids of the Anduin just before it drops at the Falls of Rauros?",
				["Answer"] = "Sarn Gebir",
			},
			[25] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What swamps were between the Anduin and Mordor?",
				["Answer"] = "Nindalf",
			},
			[26] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the hills in the centre of Ithilien?",
				["Answer"] = "Emyn Arnen",
			},
			[27] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What small river, west boundary of Anrien west, joined one of the branches of the Entwash?",
				["Answer"] = "Mering Stream",
			},
			[28] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the grassy and windy upland plains in the northeast of Rohan that stretched between the Anduin and Fangorn?",
				["Answer"] = "Wold",
			},
			[29] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river in Rohan flowed from Dunharrow to Edoras and later into the Entwash?",
				["Answer"] = "Snowbourn",
			},
			[30] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Gore\", the part of Lothlrien at the north side of the Celebrant?",
				["Answer"] = "Naith",
			},
			[31] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What long, pale-water lake was in the Anduin just after passing Argonath?",
				["Answer"] = "Nen Hithoel",
			},
			[32] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the area between the Anduin and the Celebrant near their confluence?",
				["Answer"] = "Egladil",
			},
			[33] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the delta of Anduin?",
				["Answer"] = "Ethir Anduin",
			},
			[34] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the tributaries of the Ringl?",
				["Answer"] = "Ciril and Morthond",
			},
			[35] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river in Gondor had its source in Lamedon and flowed to the sea just north of Dol Amroth?",
				["Answer"] = "Ringl",
			},
			[36] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hilly area of Gondor west of the river Gilrain?",
				["Answer"] = "Dor-en-Ernil",
			},
			[37] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river in Gondor joined the Serni shortly before Linhir?",
				["Answer"] = "Gilrain",
			},
			[38] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river in Gondor was the only tributary of the Gilrain?",
				["Answer"] = "Serni",
			},
			[39] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the only tributary of the river Sirith?",
				["Answer"] = "Celos",
			},
			[40] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tributary of the Anduin joined it at Pelargir?",
				["Answer"] = "Sirith",
			},
			[41] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river flowed down from the Ephel Dath to the Anduin?",
				["Answer"] = "Poros",
			},
			[42] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place of the bridge over the river Poros?",
				["Answer"] = "Crossings of Poros",
			},
			[43] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "An earlier name of Lothlrien",
				["Answer"] = "Laurelindrenan",
			},
			[44] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What passage led from the deepest of Moria to the top of the Celebdil?",
				["Answer"] = "Endless Stair",
			},
			[45] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name, also Sindarin, had Neldoreth?",
				["Answer"] = "Taur-na-Neldor",
			},
			[46] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the three jagged peaks of the White Mountains behind Hornburg?",
				["Answer"] = "Thrihyrne",
			},
			[47] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many feet tall was Orthanc?",
				["Answer"] = "500",
			},
			[48] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the southernmost hill in the Misty Mountains?",
				["Answer"] = "Dol Baran",
			},
			[49] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What river flowed down from the Ephel Dath through Imlad Morgul?",
				["Answer"] = "Morgulduin",
			},
			[50] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tunnel at the top of Cirith Ungol?",
				["Answer"] = "Torech Ungol",
			},
			[51] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Shelob\'s den?",
				["Answer"] = "Torech Ungol",
			},
			[52] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the long gorge of Lamedon that was crossed by the road between Erech and Calembel?",
				["Answer"] = "Tarlang\'s Neck",
			},
			[53] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the crossing of the Ringl on the road from Erech to Pelargir?",
				["Answer"] = "Ethring",
			},
			[54] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name (from east to west) of the seven beacons that Gondor used to ask for help when it needed it?",
				["Answer"] = "Amon Dn Eilenach Nardol Erelas Min-Rimmon Calenhad and Halifirien",
			},
			[55] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the easternmost part of the Dradan Forest called, south of Amon Dn?",
				["Answer"] = "Grey Wood",
			},
			[56] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Tower of Ecthelon commonly called?",
				["Answer"] = "White Tower",
			},
			[57] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many feet above the valley was the seventh circle of Minas Tirith?",
				["Answer"] = "700",
			},
			[58] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many fathoms high was the White Tower of Minas Tirith?",
				["Answer"] = "50",
			},
			[59] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the vale near Lossarnach, southwest of Minas Tirith?",
				["Answer"] = "Tumladen",
			},
			[60] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the mountain of Ered Nimrais where the Gate of the Dead was?",
				["Answer"] = "Dwimorbeg",
			},
			[61] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the meadow of Dunharrow?",
				["Answer"] = "Firienfeld",
			},
			[62] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the long, narrow valley that ran through the Forest of Dradan from near the Rammas Echor to the quarries of the White Mountains?",
				["Answer"] = "Stonewain Valley",
			},
			[63] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which valley in Lossarnach was famous for its roses?",
				["Answer"] = "Imloth Melui",
			},
			[64] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which village in the Eastfarthing was on the East Road, and was where the Floating Log was located?",
				["Answer"] = "Frogmorton",
			},
			[65] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which village in the Eastfarthing was a place of quarries?",
				["Answer"] = "Scary",
			},
		}
	},
	[52] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "History - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Arnor allowed the Hobbits to take possession of the Shire?",
				["Answer"] = "Argeleb II",
			},
			[2] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which place of the Shire were the first farmhouses and barns built?",
				["Answer"] = "Marish",
			},
			[3] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where in Middle-earth does pipe-weed originate from, according to the \"Herblore of the Shire\"?",
				["Answer"] = "Lower Anduin",
			},
			[4] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is the author of \"The Tale of Aragorn and Arwen\"?",
				["Answer"] = "Barahir",
			},
			[5] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which book is Meriadoc Brandybuck interested in discovering the influences on the language of the Shire?",
				["Answer"] = "Old Words and Names in the Shire",
			},
			[6] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Frodo, Sam and Pippin spend the night with the Elves in the Shire?",
				["Answer"] = "Woodhall",
			},
			[7] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many full days did Frodo, Sam, Merry and Pippin spend at the house of Tom Bombadil?",
				["Answer"] = "1",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What terrible mistake did Frodo make in an oversight he had in the Prancing Pony?",
				["Answer"] = "Used the Ring",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who introduced Athelas to Middle-earth?",
				["Answer"] = "Nmenreans",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What day did Frodo first wake up in Rivendell?",
				["Answer"] = "October 24",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was on the side of Crdan at the Council that took place at Rivendell?",
				["Answer"] = "Galdor",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Shire-reckoning did the white wolves invade it during a freezing winter?",
				["Answer"] = "1311",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which hall did the Dwarves who tried to retake Moria die?",
				["Answer"] = "Chamber of Mazarbul",
			},
			[14] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years did the attempt of the Dwarves\' to reconquer Moria last?",
				["Answer"] = "5",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When the Fellowship of the Ring travelled down Anduin, who was in the first boat?",
				["Answer"] = "Aragorn Frodo and Sam",
			},
			[16] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When the Company of the Ring travelled down the Anduin, who was in the second boat?",
				["Answer"] = "Boromir Merry and Pippin",
			},
			[17] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When the Company of the Ring travelled down the Anduin, who was in the third boat?",
				["Answer"] = "Gimli and Legolas",
			},
			[18] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Frodo do when Boromir tried to seize the Ring?",
				["Answer"] = "Escaped",
			},
			[19] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Orc chief came to Uglk\'s ultimate aid?",
				["Answer"] = "Mauhr",
			},
			[20] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the lands where the Entwives once had their gardens called in the Third Age?",
				["Answer"] = "Brown Lands",
			},
			[21] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf do to get out of Moria?",
				["Answer"] = "Followed the Balrog",
			},
			[22] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who built Meduseld?",
				["Answer"] = "Brego",
			},
			[23] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the only Ent killed in the destruction of Isengard?",
				["Answer"] = "Beechbone",
			},
			[24] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gollum hunt for Sam in Ithilien?",
				["Answer"] = "Rabbit",
			},
			[25] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of Faramir\'s men discovered and captured Gollum?",
				["Answer"] = "Anborn",
			},
			[26] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who built the castle of Durthang?",
				["Answer"] = "Men of Gondor",
			},
			[27] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the guardian of the walls of Pelennor who received Gandalf and Pippin?",
				["Answer"] = "Ingold",
			},
			[28] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which prince of Rohan went missing in the Paths of the Dead?",
				["Answer"] = "Baldor",
			},
			[29] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the messenger who brought the Red Arrow to Thoden?",
				["Answer"] = "Hirgon",
			},
			[30] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Rider of Rohan did forebode dawn shortly before the final cavalcade to Minas Tirith?",
				["Answer"] = "Wdfara",
			},
			[31] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Duilin and Derufin die?",
				["Answer"] = "Pelennor Fields",
			},
			[32] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Huirlin?",
				["Answer"] = "Pelennor Fields",
			},
			[33] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hardin die?",
				["Answer"] = "Pelennor",
			},
			[34] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Herfara die?",
				["Answer"] = "Pelennor",
			},
			[35] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Horn die?",
				["Answer"] = "Pelennor",
			},
			[36] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Uruks of Shagrat\'s company did Sam see die as they left the Tower of Cirith Ungol?",
				["Answer"] = "Lagduf and Muzgash",
			},
			[37] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Faramir reside after leaving the Stewardship?",
				["Answer"] = "Emyn Arnen",
			},
			[38] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which acquaintance of Merry did Frodo, Sam, Pippin and him find guarding the east entrance to the Shire?",
				["Answer"] = "Hob Hayward",
			},
			[39] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Shire Shirriff, an acquaintance of Sam\'s, told him about the new situation in the Shire?",
				["Answer"] = "Robin Smallburrow",
			},
			[40] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam see shattered near Bag End, that made him utterly sad?",
				["Answer"] = "Party Tree",
			},
			[41] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three characters mentioned at the beginning of \"The Lord of the Rings\" did Frodo, Sam, Merry and Pippin release from the Lockholes at Michel Delving?",
				["Answer"] = "Fredegar Bolger Lobelia Sackville-Baggins and Will Whitfoot",
			},
			[42] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did they give to the old Bagshot Row when it was restored?",
				["Answer"] = "New Row",
			},
			[43] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who looked after Gaffer Gamyi when Sam got married?",
				["Answer"] = "Widow Rumble",
			},
			[44] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What day in the Shire Reckoning was Frodo wounded at the Weathertop?",
				["Answer"] = "October 6",
			},
			[45] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title did the story of Frodo and the Ring have in the Red Book?",
				["Answer"] = "The Downfall of the Lord of the Rings and the Return of the King",
			},
		}
	},
	[53] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Items - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three varieties of pipe-weed were the best in the Shire?",
				["Answer"] = "Longbottom Leaf Old Toby and Southern Star",
			},
			[2] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What wood was Gandalf\'s staff made of?",
				["Answer"] = "Ash",
			},
			[3] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What animal was Boromir\'s horn made from?",
				["Answer"] = "Ox",
			},
			[4] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of Tree of Gondor, beloved of the woodwrights, grew on Ered Nimrais and had black wood?",
				["Answer"] = "Lebethron",
			},
			[5] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what lands had the horn that Boromir wore been obtained?",
				["Answer"] = "Rhn",
			},
			[6] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What resource did Minas Tirith have to call for urgent help from anyone who was willing to give it?",
				["Answer"] = "Beacons",
			},
			[7] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The Horn that Merry obtained in Rohan, from whose loot had it been taken?",
				["Answer"] = "Scatha",
			},
			[8] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What material were the pipes that Bilbo gave to Merry and Pippin made from?",
				["Answer"] = "Pearl and silver",
			},
		}
	},
	[54] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Languages - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Forlond\" mean?",
				["Answer"] = "North Haven",
			},
			[2] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Harlond\" mean?",
				["Answer"] = "South Haven",
			},
			[3] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Arthedain\" mean?",
				["Answer"] = "Lords of Men",
			},
			[4] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Eryn Vorn\" mean?",
				["Answer"] = "Black Woods",
			},
			[5] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cardolan\" mean?",
				["Answer"] = "Red Hill",
			},
			[6] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of Bruinen in the Common Speech?",
				["Answer"] = "Loudwater",
			},
			[7] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the \"Emyn Uial\" called in the Common Speech?",
				["Answer"] = "Hills of Evendim",
			},
			[8] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Baranduin\" mean?",
				["Answer"] = "Brown River",
			},
			[9] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Quenya name for \"Menelvagor\"?",
				["Answer"] = "Menelmacar",
			},
			[10] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Dwarvish name for \"Caradhras\"?",
				["Answer"] = "Barazinbar",
			},
			[11] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Dwarvish name for \"Celebdil\"?",
				["Answer"] = "Zirak-zigil",
			},
			[12] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Dwarvish name for \"Fanuidhol\"?",
				["Answer"] = "Bundushathr",
			},
			[13] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Elvish name for the \"River Running\"?",
				["Answer"] = "Celduin",
			},
			[14] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Carnen\" mean?",
				["Answer"] = "Redwater",
			},
			[15] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nindalf\" mean?",
				["Answer"] = "Wetwang",
			},
			[16] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Emyn Arnen\" mean?",
				["Answer"] = "Hills of the King\'s Water",
			},
			[17] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name \"Tol Brandir\" in the Common Speech?",
				["Answer"] = "Tindrock",
			},
			[18] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Anfalas\" mean?",
				["Answer"] = "Langstrand",
			},
			[19] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tol Falas\" mean?",
				["Answer"] = "Island of the Coast",
			},
			[20] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Pinnath Gelin\" mean?",
				["Answer"] = "Green Hills",
			},
			[21] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Morthond\" mean?",
				["Answer"] = "Blackroot",
			},
			[22] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dol Amroth\" mean?",
				["Answer"] = "Hill of Amroth",
			},
			[23] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the plural of \"Mallorn\"?",
				["Answer"] = "Mellyrn",
			},
			[24] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Celebran\" mean?",
				["Answer"] = "Silver Queen",
			},
			[25] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the names of Nan Tathren in Quenya?",
				["Answer"] = "Nantasarion and Tasarinan",
			},
			[26] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aldalm\" mean, one of the names by which Treebeard referred to Fangorn Forest?",
				["Answer"] = "Tree Twilight",
			},
			[27] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"What does \"Tauremornalm\" mean, one of the names by which Treebeard referred to the Fangorn Forest?",
				["Answer"] = "Black Forest Twilight",
			},
			[28] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cirith Gorgor\" mean?",
				["Answer"] = "Terror Cleft",
			},
			[29] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cirith Ungol\" mean?",
				["Answer"] = "Cleft of the Spider",
			},
			[30] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Henneth Annn\" mean?",
				["Answer"] = "Window of the Sunset",
			},
			[31] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Imlad Morgul was also known in the Common Speech as \"Valley of the Living Death\" and \"Valley of the ...\"",
				["Answer"] = "Wraiths",
			},
			[32] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Morgulduin\" mean?",
				["Answer"] = "River of Sorcery",
			},
			[33] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the name of the River \"Ciril\" used to be spelled as well?",
				["Answer"] = "Kiril",
			},
			[34] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the name of the River \"Celos\" used to be spelled as well?",
				["Answer"] = "Kelos",
			},
			[35] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cair Andros\" mean?",
				["Answer"] = "Ship of Long-foam",
			},
			[36] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nardol\" mean?",
				["Answer"] = "Fire Hill",
			},
			[37] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Dn\" mean?",
				["Answer"] = "Silent Hill",
			},
			[38] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Fimbrethil\" mean?",
				["Answer"] = "Slender-beech",
			},
			[39] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Onodrim\" mean?",
				["Answer"] = "Ent-folk",
			},
			[40] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rammas Echor\" mean?",
				["Answer"] = "Great Wall of the Outer Circle",
			},
			[41] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Pelennor\" mean?",
				["Answer"] = "Fenced Land",
			},
			[42] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dwimorberg\" mean?",
				["Answer"] = "Haunted Mountain",
			},
			[43] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Firienfeld\" mean?",
				["Answer"] = "Plateau",
			},
			[44] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name \"Anrien\" in the language of the Rohirrim?",
				["Answer"] = "Sunlending",
			},
			[45] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Fen Hollen\" mean?",
				["Answer"] = "Closed Door",
			},
			[46] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Carchost\" mean?",
				["Answer"] = "Fang Fort",
			},
			[47] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sammath Naur\" mean?",
				["Answer"] = "Chambers of Fire",
			},
			[48] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cormallen\" mean?",
				["Answer"] = "Golden Circle",
			},
			[49] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Asa Aranion\" mean?",
				["Answer"] = "Leaf of the Kings",
			},
			[50] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Vorondil\" mean?",
				["Answer"] = "Loyal Friend",
			},
			[51] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Envinyatar\" mean?",
				["Answer"] = "Renewer",
			},
		}
	},
	[55] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Peoples - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the three Hobbit breeds were most noticeable among the inhabitants of Marish and Buckland?",
				["Answer"] = "Stoors",
			},
			[2] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Hobbits call the Great People of the South?",
				["Answer"] = "Swertings",
			},
		}
	},
	[56] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "The Lord of the Rings",
			["PackageCategory"] = "Quotes - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-01-30"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It will go ill with Wormtongue, if Gandalf comes upon him. Nonetheless I miss now both my counsellors, the old and the new\". Who did utter these words?",
				["Answer"] = "Thoden",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"They are but hovels compared with the caverns I have seen here: immeasurable halls, filled with an everlasting music of water that tinkles into pools\". What are the \"hovels\" Gimli speaks of?",
				["Answer"] = "Palace of Thranduil",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Yes, we will have peace, we will have peace, when you and all your works have perished  and the works of your dark master to whom you would deliver us\". Who said this and to whom?",
				["Answer"] = "Thoden to Saruman",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Nonetheless I do not trust you. \"Had I done so, I could have sent this thing hither to your keeping and spared myself and others much anguish\". To whom did Gandalf have to say this?",
				["Answer"] = "Denethor",
			},
			[5] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"A traitor may betray himself and do good that he does not intend\"?",
				["Answer"] = "Gandalf",
			},
			[6] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Need brooks no delay, yet late is better than never\". Who said this just before the Rohirrim began their swift final ride to Pelennor?",
				["Answer"] = "omer",
			},
			[7] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"For a little space you may triumph on the field, for a day. But against the Power that now arises there is no victory\"?",
				["Answer"] = "Denethor",
			},
			[8] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said in the Houses of Healing \"The hands of the king are the hands of a healer, and so shall the rightful king be known\"?",
				["Answer"] = "Ioreth",
			},
			[9] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"It is ever so with the things that Men begin: there is a frost in Spring, or a blight in Summer, and they fail of their promise\"?",
				["Answer"] = "Gimli",
			},
			[10] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It needs more to make a king than a piece of elvish glass, or a rabble such as this. Why, any brigand of the hills can show as good a following!\". To whom were these words addressed?",
				["Answer"] = "Aragorn",
			},
			[11] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When Aragorn said \"A day draws near that I have looked for in all the years of my manhood, and when it comes I would have my friends beside me\", what did he mean?",
				["Answer"] = "His wedding",
			},
		}
	},
	[57] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Characters - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third King of Arnor, son of Valandil?",
				["Answer"] = "Eldacar",
			},
			[2] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth King of Arnor, son of Eldacar?",
				["Answer"] = "Arantar",
			},
			[3] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifth King of Arnor, son of Arantar?",
				["Answer"] = "Tarcil",
			},
			[4] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth King of Arnor, son of Tarcil?",
				["Answer"] = "Tarondor",
			},
			[5] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventh King of Arnor, son of Tarondor?",
				["Answer"] = "Valandur",
			},
			[6] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth King of Arnor, son of Valandur?",
				["Answer"] = "Elendur",
			},
			[7] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth and last King of Arnor, son of Elendur?",
				["Answer"] = "Erendur",
			},
			[8] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the tenth King of Arthedain and eighteenth of the Heirs of Isildur, son of Araphor?",
				["Answer"] = "Argeleb II",
			},
			[9] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth Chieftain of the Rangers of the North and thirty-seventh of the heirs of Isildur, son of Argonui?",
				["Answer"] = "Arador",
			},
			[10] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifteenth Chieftain of the Rangers of the North and thirty-eighth of the Heirs of Isildur, son of Arador?",
				["Answer"] = "Arathorn II",
			},
			[11] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixteenth Chieftain of the Rangers of the North and thirty-ninth of the heirs of Isildur, son of Arathorn II?",
				["Answer"] = "Aragorn II",
			},
			[12] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second King of Gondor, son of Anrion?",
				["Answer"] = "Meneldil",
			},
			[13] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth King of Gondor, son of Cemendur?",
				["Answer"] = "Erendil",
			},
			[14] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifth King of Gondor, son of Erendil?",
				["Answer"] = "Anardil",
			},
			[15] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventh King of Gondor, son of Ostoher?",
				["Answer"] = "Rmendacil I",
			},
			[16] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was King Rmendacil I\'s real name?",
				["Answer"] = "Tarostar",
			},
			[17] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh King of Gondor and first Ship-king, son of Siriandil?",
				["Answer"] = "Falastur",
			},
			[18] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were called the Kings of Gondor who extended the Kingdom by their naval power?",
				["Answer"] = "Ship-kings",
			},
			[19] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth King of Gondor, brother of Falastur?",
				["Answer"] = "Tarciryan ",
			},
			[20] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth King of Gondor and second Ship-king, son of Tarciryan?",
				["Answer"] = "Ernil I",
			},
			[21] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth King of Gondor and third Ship-king, son of Ernil I?",
				["Answer"] = "Ciryandil",
			},
			[22] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifteenth King of Gondor and fourth and last Ship-king, son of Ciryandil?",
				["Answer"] = "Hyarmendacil I",
			},
			[23] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixteenth King of Gondor, son of Hyarmendacil I?",
				["Answer"] = "Atanatar II",
			},
			[24] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Atanatar II?",
				["Answer"] = "Alcarin",
			},
			[25] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the nineteenth King of Gondor, who had been regent for his father Calmacil?",
				["Answer"] = "Rmendacil II",
			},
			[26] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twentieth King of Gondor, son of Rmendacil II?",
				["Answer"] = "Valacar",
			},
			[27] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Valacar, daughter of Vidugavia?",
				["Answer"] = "Vidumavi ",
			},
			[28] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-first King of Gondor, son of Valacar?",
				["Answer"] = "Eldacar",
			},
			[29] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-second King of Gondor, called the Usurper?",
				["Answer"] = "Castamir",
			},
			[30] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Castamir\'s great-grandsons, who were captains of the Corsairs of Umbar?",
				["Answer"] = "Angamait and Sangahyando",
			},
			[31] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-fourth King of Gondor, son of Aldamir?",
				["Answer"] = "Hyarmendacil II",
			},
			[32] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Telumehtar?",
				["Answer"] = "Umbardacil",
			},
			[33] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-ninth King of Gondor, son of Telumehtar?",
				["Answer"] = "Narmacil II",
			},
			[34] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirty-first King of Gondor, son of Calimehtar?",
				["Answer"] = "Ondoher",
			},
			[35] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the regent of Gondor for a year after Ondoher\'s death?",
				["Answer"] = "Pelendur",
			},
			[36] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirty-second King of Gondor, great Captain and descendant of Telumehtar?",
				["Answer"] = "Ernil II",
			},
			[37] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirty-third and last King of Gondor before the Ruling Stewards, son of Ernil II?",
				["Answer"] = "Ernur",
			},
			[38] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of which House were the Ruling Stewards of Gondor?",
				["Answer"] = "Hrin",
			},
			[39] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Steward of Ernil II of Gondor?",
				["Answer"] = "Vorondil",
			},
			[40] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Vorondil?",
				["Answer"] = "Voronw",
			},
			[41] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Ruling Steward of Gondor?",
				["Answer"] = "Mardil",
			},
			[42] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the nineteenth Ruling Steward of Gondor, son of Egalmoth?",
				["Answer"] = "Beren",
			},
			[43] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-fifth Ruling Steward of Gondor, son of Turgon?",
				["Answer"] = "Ecthelion II",
			},
			[44] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-sixth and last Ruling Steward of Gondor, son of Etchelion II?",
				["Answer"] = "Denethor II",
			},
			[45] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first Shire-thain?",
				["Answer"] = "Bucca",
			},
			[46] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which daughter of Samwise Gamgee was maid of Queen Evenstar?",
				["Answer"] = "Elanor",
			},
			[47] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Denethor II of Gondor?",
				["Answer"] = "Finduilas",
			},
			[48] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Gilraen\'s parents?",
				["Answer"] = "Drhael and Ivorwen",
			},
			[49] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was actually Thorongil?",
				["Answer"] = "Aragorn",
			},
			[50] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whith whom was Arwen often compared?",
				["Answer"] = "Lthien",
			},
			[51] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Aragorn\'s son?",
				["Answer"] = "Eldarion",
			},
			[52] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Eorl\'s father?",
				["Answer"] = "Lod",
			},
			[53] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Eorl?",
				["Answer"] = "the Young",
			},
			[54] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Lod?",
				["Answer"] = "Fram",
			},
			[55] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which dreaded dragon of Ered Mithrin was slain by an othod around 2000 of the Third Age?",
				["Answer"] = "Scatha",
			},
			[56] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Scatha\'s nickname?",
				["Answer"] = "the Worm",
			},
			[57] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Fram\'s father?",
				["Answer"] = "Frumgar",
			},
			[58] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Father of the Mearas?",
				["Answer"] = "Felarf",
			},
			[59] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first King of Rohan, leader of the othod that arrived to Calenardhon in aid of Cirion?",
				["Answer"] = "Eorl",
			},
			[60] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second King of Rohan, son of Eorl?",
				["Answer"] = "Brego",
			},
			[61] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third King of Rohan, son of Brego?",
				["Answer"] = "Aldor",
			},
			[62] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did Freca claim descebt?",
				["Answer"] = "Frawine",
			},
			[63] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Freca\'s son?",
				["Answer"] = "Wulf",
			},
			[64] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth King of Rohan, son of Gram?",
				["Answer"] = "Helm",
			},
			[65] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Helm\'s two sons?",
				["Answer"] = "Haleth and Hama",
			},
			[66] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Helm\'s sister?",
				["Answer"] = "Hild",
			},
			[67] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the tenth King of Rohan, son of Hild and nephew of Helm?",
				["Answer"] = "Fralaf",
			},
			[68] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the people of Rohan call King Brytta, for he was loved by all?",
				["Answer"] = "Lofa",
			},
			[69] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which famous creature dwelt in the Firien Wood and was slain by a King of Rohan?",
				["Answer"] = "Boar of Everholt",
			},
			[70] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the famous Boar of Everholt live?",
				["Answer"] = "Firien Wood",
			},
			[71] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth King of Rohan, son of Folca?",
				["Answer"] = "Folcwine",
			},
			[72] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Folcwine\'s children?",
				["Answer"] = "Fastred Folcred and Fengel",
			},
			[73] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifteenth King of Rohan, son of Fengel?",
				["Answer"] = "Thengel",
			},
			[74] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thengel\'s wife?",
				["Answer"] = "Morwen",
			},
			[75] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixteenth King of Rohan, son of Thengel?",
				["Answer"] = "Thoden",
			},
			[76] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Thodwyn marry?",
				["Answer"] = "omund",
			},
			[77] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventeenth King of Rohan, son of omund and nephew of Thoden?",
				["Answer"] = "omer",
			},
			[78] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was omer\'s wife?",
				["Answer"] = "Lothriel",
			},
			[79] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of omer\'s son?",
				["Answer"] = "Elfwine",
			},
			[80] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Elfwine of Rohan?",
				["Answer"] = "the Fair",
			},
			[81] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Durin?",
				["Answer"] = "the Deathless",
			},
			[82] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Durin VI\'s son?",
				["Answer"] = "Nin",
			},
			[83] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Nin I?",
				["Answer"] = "Thrin",
			},
			[84] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons of Din I?",
				["Answer"] = "Frr Grr and Thrr",
			},
			[85] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were Balin and Dwalin related to in and Glin?",
				["Answer"] = "Cousins",
			},
			[86] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Thrin II?",
				["Answer"] = "Ds Frerin and Thorin",
			},
			[87] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the successor of Brand of Dale?",
				["Answer"] = "Bard II",
			},
			[88] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the successor of Din II of Erebor?",
				["Answer"] = "Thorin III",
			},
			[89] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Thorin III?",
				["Answer"] = "Stonehelm",
			},
			[90] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Pippin\'s wife\'s name?",
				["Answer"] = "Diamond",
			},
			[91] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Pippin\'s son?",
				["Answer"] = "Faramir",
			},
			[92] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Sam\'s second daughter?",
				["Answer"] = "Goldilocks",
			},
			[93] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Elanor marry?",
				["Answer"] = "Fastred",
			},
			[94] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Elanor receive?",
				["Answer"] = "the Fair",
			},
			[95] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Fastred and Elanor\'s son?",
				["Answer"] = "Elfstan",
			},
			[96] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Elfstan of the Towers?",
				["Answer"] = "Fairbairn",
			},
			[97] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the descendants of Fastred and Elanor?",
				["Answer"] = "Fairbairns of the Towers",
			},
			[98] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title did Fastred of Greenholm get from Thain Peregrin?",
				["Answer"] = "Warden of Westmarch",
			},
			[99] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Faramir Took\'s wife?",
				["Answer"] = "Goldilocks",
			},
			[100] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Drogo Baggins\' wife?",
				["Answer"] = "Primula Brandybuck",
			},
			[101] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Bungo Baggins\' wife?",
				["Answer"] = "Belladonna Took",
			},
			[102] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Belba Baggins\'s husband?",
				["Answer"] = "Rudigar Bolger",
			},
			[103] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Longo Baggins\' wife?",
				["Answer"] = "Camellia Sackville",
			},
			[104] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Camelia Sackville and Longo Baggins?",
				["Answer"] = "Otho Sackville-Baggins",
			},
			[105] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the tenth Thain of the Took line?",
				["Answer"] = "Isengrim II",
			},
			[106] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth Thain of the Took line, son of Fortinbras I?",
				["Answer"] = "Gerontius",
			},
			[107] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the nineteenth Thain of the Took line, father of Peregrin I Took?",
				["Answer"] = "Paladin II",
			},
			[108] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twentieth Thain of the Took line, penultimate known?",
				["Answer"] = "Peregrin I",
			},
			[109] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty first Thain of the Took line, last known?",
				["Answer"] = "Faramir I",
			},
			[110] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which famous Took hero did the North-tooks of Long Cleeve descend?",
				["Answer"] = "Bandobras Took",
			},
			[111] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname given to the Thain Gerontius I Took?",
				["Answer"] = "Old Took",
			},
			[112] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Adalgrim Took\'s only son?",
				["Answer"] = "Paladin Took",
			},
			[113] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Mirabella Took\'s husband?",
				["Answer"] = "Gorbadoc Brandybuck",
			},
			[114] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Hildibrand Took\'s son, and cousin of Bilbo Baggins?",
				["Answer"] = "Sigizmond",
			},
			[115] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Rorimac Brandybuck\'s two sons?",
				["Answer"] = "Merimac and Saradoc",
			},
			[116] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Saradoc Brandybuck, mother of Merry Brandybuck?",
				["Answer"] = "Esmeralda Took",
			},
			[117] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Saradoc Brandybuck?",
				["Answer"] = "Scattergold",
			},
			[118] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Meriadoc Brandybuck?",
				["Answer"] = "the Magnificent",
			},
			[119] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Sam Gamgee\'s thirteen sons and daughters?",
				["Answer"] = "Bilbo Daisy Elanor Frodo Goldilocks Hamfast Merry Pippin Primrose Robin Rose Ruby and Tolman",
			},
			[120] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which family name was taken by the descendants of Samwise Gamgee in honour of this replanting of the Shire after the War of the Ring?",
				["Answer"] = "Gardner",
			},
			[121] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Tolman, son of Sam Gamgee, used to be called?",
				["Answer"] = "Tom",
			},
			[122] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Tom Cotton Sr.\'s real name?",
				["Answer"] = "Tolman",
			},
			[123] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Tolman Cotton used to be called in the time of Frodo and Sam\'s maturity?",
				["Answer"] = "Farmer Cotton",
			},
			[124] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name did Tolman Cotton used to be called?",
				["Answer"] = "Tom",
			},
			[125] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what other name did they usually call Wilcome Cotton, Rose Cotton\'s brother?",
				["Answer"] = "Jolly",
			},
			[126] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what other name did they usually call Bowman Cotton?",
				["Answer"] = "Nick",
			},
			[127] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what other name did they usually call Carl Cotton?",
				["Answer"] = "Nibs",
			},
			[128] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which head of the family, of Hobbiton, was called \"the greenhanded\"?",
				["Answer"] = "Holman",
			},
			[129] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Hob Gammidge?",
				["Answer"] = "Old Gammidgy",
			},
			[130] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What profession did Hob Gammidge Have?",
				["Answer"] = "Roper",
			},
			[131] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Hobson Gammidge usually called?",
				["Answer"] = "Roper Gamgee",
			},
			[132] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Sam Gamgee\'s father\'s name?",
				["Answer"] = "Hamfast",
			},
			[133] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Sam Gamgee\'s mother\'s name?",
				["Answer"] = "Bell Goodchild",
			},
		}
	},
	[58] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Geography - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river served as the boundary between Gondor and Harad in the early Third Ages?",
				["Answer"] = "Harnen",
			},
			[2] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land of Rohan\'s ancestors near the sources of the Anduin?",
				["Answer"] = "othod",
			},
			[3] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What new name was given to Mirkwood when evil was driven out once and for all?",
				["Answer"] = "Wood of Greenlaves",
			},
			[4] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Celeborn call his new Kingdom after the War of the Ring?",
				["Answer"] = "East Lrien",
			},
		}
	},
	[59] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "History - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the last year of the Third Age?",
				["Answer"] = "3021",
			},
			[2] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ar-Pharazn land when he challenged Sauron?",
				["Answer"] = "Umbar",
			},
			[3] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With which Heir of Anrion did Gondor reach the summit of its power?",
				["Answer"] = "Hyarmendacil I",
			},
			[4] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What three kingdoms was Arnor divided into?",
				["Answer"] = "Arthedain Cardolan and Rhudaur",
			},
			[5] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What area did Cardolan and Rhudaur dispute?",
				["Answer"] = "Weather Hills",
			},
			[6] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What important item was at Weathertop for the three Kingdoms of the North to dispute it?",
				["Answer"] = "Palantr",
			},
			[7] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Kingdom of Darkness tried to wipe out the Northern Kingdoms?",
				["Answer"] = "Angmar",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the three Northern Kingdoms allied with Angmar?",
				["Answer"] = "Rhudaur",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped the Northern Kingdoms against Angmar?",
				["Answer"] = "Elves of Lindon",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose mound, it is said, was the mound in which Frodo, Sam, Merry, and Pippin were imprisoned?",
				["Answer"] = "Last Prince of Cardolan",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event did evil spirits take advantage of to enter to the Barrow-downs and dwell there?",
				["Answer"] = "Plague",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did King Arvedui take refuge after escaping from Fornost?",
				["Answer"] = "Forochel",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did King Arvedui give to the Men of Forochel before he died?",
				["Answer"] = "Ring of Felagund",
			},
			[14] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did King Arvedui die?",
				["Answer"] = "Drowned",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Celebran kidnapped?",
				["Answer"] = "Redhorn Pass",
			},
			[16] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who rescued Celebran?",
				["Answer"] = "Elladan and Elrohir",
			},
			[17] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Celebran do after being kidnapped and rescued?",
				["Answer"] = "Crossed the Sea",
			},
			[18] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Aragorn die?",
				["Answer"] = "192",
			},
			[19] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Gondor did recover Umbar for the first time?",
				["Answer"] = "Ernil I",
			},
			[20] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Northern prince was specially favoured by Rmendacil II, to the point of calling himself King of Rhovanion?",
				["Answer"] = "Vidugavia",
			},
			[21] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Valacar marry?",
				["Answer"] = "Vidumavi",
			},
			[22] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the days of which King of Gondor was the Palantr of Osgiliath lost?",
				["Answer"] = "Eldacar",
			},
			[23] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who usurped the throne of Gondor from Eldacar for ten years?",
				["Answer"] = "Castamir",
			},
			[24] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Castamir?",
				["Answer"] = "Eldacar",
			},
			[25] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the sons of Castamir sailed and established a separate kingdom for all the enemies of the King of Gondor?",
				["Answer"] = "Umbar",
			},
			[26] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the civil war in Gondor?",
				["Answer"] = "Kin-strife",
			},
			[27] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Gondor took Umbar by storm in the year 1810 of the Third Age?",
				["Answer"] = "Telumehtar",
			},
			[28] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What people, or confederacy of many peoples, took Rhovanion from Gondor and enslaved its inhabitants?",
				["Answer"] = "Wainriders",
			},
			[29] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Gondor defeated the Easterlings at Dagorlad in the year 1899 of the Third Age?",
				["Answer"] = "Calimehtar",
			},
			[30] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which captain of the army of Gondor stormed the Wainraders\' main camp and drove them out of Ithilien?",
				["Answer"] = "Ernil",
			},
			[31] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Wainriders who fled Ithilien perish?",
				["Answer"] = "Dead Marshes",
			},
			[32] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Arnor claimed the crown of Gondor when Ondoher left no descendants?",
				["Answer"] = "Arvedui",
			},
			[33] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded Ondoher of Gondor, who left no descendants?",
				["Answer"] = "Ernil",
			},
			[34] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did give Arvedui his name at birth?",
				["Answer"] = "Malbeth the Seer",
			},
			[35] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Gondor came to the aid of the Northern Kingdoms against Angmar, winning the war?",
				["Answer"] = "Ernur",
			},
			[36] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the forces of Rivendell that aided in the defeat of Angmar?",
				["Answer"] = "Glorfindel",
			},
			[37] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did the Witch-king Flee in the defeat of Angmar?",
				["Answer"] = "Glorfindel",
			},
			[38] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What creatures, Sauron\'s new resource, took Osgiliath in the year 2475 of the Third Age?",
				["Answer"] = "Uruks",
			},
			[39] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the horse that killed Lod?",
				["Answer"] = "Felarf",
			},
			[40] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ordered Felarf to surrender his freedom to him in compensation for the death of his father?",
				["Answer"] = "Eorl",
			},
			[41] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who defeated the enemies of Gondor on the Field of Celebrant when Cirion\'s army was about to be annihilated?",
				["Answer"] = "othod",
			},
			[42] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who swore to Cirion the alliance of his people and aid to Gondor in times of need?",
				["Answer"] = "Eorl",
			},
			[43] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Steward of Gondor did hand Isengard over to Saruman?",
				["Answer"] = "Beren",
			},
			[44] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was it called when in 2578 and 2579 of the Third Age snowed for five full months?",
				["Answer"] = "Long Winter",
			},
			[45] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What great captain who had followed Thengel of Rohan later served Ecthelion II of Gondor against Mordor?",
				["Answer"] = "Thorongil",
			},
			[46] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the unexpected raid on Umbar in which the Men of Gondor burned a great part of the ships of the Corsairs?",
				["Answer"] = "Thorongil",
			},
			[47] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Besides the Broken Sword, what other item did Elrond give to Aragorn when he came to manhood?",
				["Answer"] = "Ring of Barahir",
			},
			[48] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Arwen laid herself to die?",
				["Answer"] = "Cerin Amroth",
			},
			[49] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did King Elessar give the crown and sceptre before letting himself die?",
				["Answer"] = "Eldarion",
			},
			[50] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Scatha?",
				["Answer"] = "Fram",
			},
			[51] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Eorlingas believe must had brought the ancestors of the Mearas to Middle-earth?",
				["Answer"] = "Orom",
			},
			[52] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Helm kill Freca?",
				["Answer"] = "Punch",
			},
			[53] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took Edoras in Helm\'s time, proclaiming himself king?",
				["Answer"] = "Wulf",
			},
			[54] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who slew Wulf, regained Meduseld from him, and then became King?",
				["Answer"] = "Fralf",
			},
			[55] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What killed King Folca of Rohan?",
				["Answer"] = "Great Boar of Everholt",
			},
			[56] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the Rohirrim army at the Battle of Ithilien in 2885 of the Third Age?",
				["Answer"] = "Fastred and Folcred",
			},
			[57] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Durin dwell from the beginning?",
				["Answer"] = "Khazad-dm",
			},
			[58] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Durins were there?",
				["Answer"] = "7",
			},
			[59] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What killed Durin VI?",
				["Answer"] = "Balrog",
			},
			[60] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What killed Nin I?",
				["Answer"] = "Balrog",
			},
			[61] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led part of Durin\'s people to the Lonely Mountain?",
				["Answer"] = "Thrin I",
			},
			[62] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led part of Durin\'s people to the Grey Mountains?",
				["Answer"] = "Thorin I",
			},
			[63] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What killed Din I?",
				["Answer"] = "Cold-drake",
			},
			[64] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "After the death of which Dwarf King most of Durin\'s Folk abandoned the Grey Mountains?",
				["Answer"] = "Din",
			},
			[65] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who moved most of Ered Mithrin\'s Dwarves to the Iron Hills?",
				["Answer"] = "Grr",
			},
			[66] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who brought back to Erebor the Dwarves who were the last in Ered Mithrin?",
				["Answer"] = "Thrr",
			},
			[67] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who swore vengeance on Azog for the slaying of his father?",
				["Answer"] = "Thrin",
			},
			[68] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who assailed and sacked the strongholds of the Orcs of the Misty Mountains in one of the last centuries of the Third Age?",
				["Answer"] = "Dwarves",
			},
			[69] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Frerin and Fundin die?",
				["Answer"] = "Azanulbizar",
			},
			[70] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Thorin forced to use as a shield at the Battle of Azanulbizar, which earned him his nickname?",
				["Answer"] = "Oak Branch",
			},
			[71] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who challenged Azog at the Gates of Moria?",
				["Answer"] = "Nin",
			},
			[72] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Nin II?",
				["Answer"] = "Azog",
			},
			[73] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which days of the Third Age did Din II die?",
				["Answer"] = "War of the Ring",
			},
			[74] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the unusual funerary treatment given to the fallen Dwarves at Azanulbizar?",
				["Answer"] = "Cremation",
			},
			[75] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Thrin, Thorin, and their family live after the Battle of Azanulbizar and after wandering through Eriador for a time?",
				["Answer"] = "Ered Luin",
			},
			[76] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which King of Khazad-dm was given the Ring of Power that was to be legacy of his House?",
				["Answer"] = "Durin III",
			},
			[77] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Thrr II give his Ring?",
				["Answer"] = "Thrin",
			},
			[78] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who of those who later became members of Thorin\'s Company did Thrin take with him when he left Ered Luin?",
				["Answer"] = "Balin and Dwalin",
			},
			[79] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did Sauron get the Ring of Durin?",
				["Answer"] = "Thrin",
			},
			[80] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf happen to meet Thorin?",
				["Answer"] = "Bree",
			},
			[81] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many attacks did Lrien receive in the War of the Ring?",
				["Answer"] = "3",
			},
			[82] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took Dol Guldur in the War of the Ring?",
				["Answer"] = "Elves of Lrien",
			},
			[83] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did throw down the walls of Dol Guldur in the War of the Ring?",
				["Answer"] = "Galadriel",
			},
			[84] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Celeborn reign after the War of the Ring?",
				["Answer"] = "Southern Mirkwood",
			},
			[85] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Celeborn finally live when he grew weary of his realm?",
				["Answer"] = "Rivendell",
			},
			[86] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event is taken as the end of the War of the Ring?",
				["Answer"] = "Death of Saruman",
			},
			[87] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Mayor of the Shire after Will Whitfoot?",
				["Answer"] = "Sam",
			},
			[88] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title received Merry a few years after the War of the Ring?",
				["Answer"] = "Master of Buckland",
			},
			[89] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title received Pippin become a few years after the War of the Ring?",
				["Answer"] = "Thain",
			},
			[90] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title was given to Sam, Merry, and Pipin by King Elessar?",
				["Answer"] = "Counsellors of the North-kingdom",
			},
			[91] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Deputy Mayor when Sam traveled to Gondor for a year with his wife?",
				["Answer"] = "Tolman Cotton",
			},
			[92] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What territories did Elessar give to the Shire?",
				["Answer"] = "Emyn Beraid",
			},
			[93] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Times was Sam Mayor?",
				["Answer"] = "7",
			},
			[94] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sam give Elanor before he left the Shire for good?",
				["Answer"] = "Red Book",
			},
			[95] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sam allegedly go after Rose\'s death?",
				["Answer"] = "Valinor",
			},
			[96] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Merry and Pippin go when they left the Shire for the last time?",
				["Answer"] = "Rohan",
			},
			[97] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Merry and Pippin go after the death of omer?",
				["Answer"] = "Gondor",
			},
			[98] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which city did Merry and Pippin die?",
				["Answer"] = "Minas Tirith",
			},
			[99] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Next to which King of Gondor did the Tombs of Merry and Pippin lie?",
				["Answer"] = "Elessar",
			},
			[100] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, it is said, was the only Dwarf to pass to Valinor?",
				["Answer"] = "Gimli",
			},
			[101] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With whom did Legolas leave Middle-earth?",
				["Answer"] = "Gimli",
			},
			[102] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Steward of Gondor was the architect of the calendar system called the \"Stewards\' Reckoning\"?",
				["Answer"] = "Mardil",
			},
			[103] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days were added to the year just before the Stewards\' Reckoning came into effect?",
				["Answer"] = "2",
			},
			[104] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the inventor of the Tengwar used in Middle-earth?",
				["Answer"] = "Fanor",
			},
			[105] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who invented the letters that preceded the Tengwar?",
				["Answer"] = "Rmil",
			},
			[106] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the deviser of the best-known and most perfected Cirth system?",
				["Answer"] = "Daeron",
			},
			[107] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what two kingdoms were the simplest forms of Cirth preserved at the end of the Third Age?",
				["Answer"] = "Dale and Rohan",
			},
		}
	},
	[60] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Items - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Elendil\'s Star?",
				["Answer"] = "Elendilmir",
			},
			[2] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was \"the most ancient work of Men\'s hands preserved in Middle-earth\", according to the chronicles of the Fourth Age?",
				["Answer"] = "Sceptre of Annminas",
			},
			[3] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Arkenstone also called?",
				["Answer"] = "Heart of the Mountain",
			},
			[4] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The Palantri from which places were the only two that were not missing or in the hands of the Enemy at the end of the Third Age?",
				["Answer"] = "Emyn Beraid and Minas Tirith",
			},
			[5] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who kept the Palantr of Emyn Beraid in the War of the Ring?",
				["Answer"] = "Crdan",
			},
			[6] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the Palantr obtained by Sauron originally placed?",
				["Answer"] = "Minas Ithil",
			},
			[7] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What insignia did King Elessar bestow on Sam on a visit to the Shire after the War of the Ring?",
				["Answer"] = "Star of the Dnedain",
			},
			[8] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which ancient document of the Shire was the most notable of those preserved at the end of the Third Age?",
				["Answer"] = "Yearbook of Tuckborough",
			},
		}
	},
	[61] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Languages - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Baruk Khazd\"?",
				["Answer"] = "Axes of the Dwarves",
			},
			[2] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Khazd ai-mnu\" mean?",
				["Answer"] = "The Dwarves are upon you",
			},
			[3] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name the Elves gave to the Barrow-downs?",
				["Answer"] = "Tyrn Gorthad",
			},
			[4] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Sindarin name for the \"Wood of Green Leaves\"?",
				["Answer"] = "Eryn Lasgalen",
			},
			[5] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Orodruin\" mean?",
				["Answer"] = "Burning Mountain",
			},
			[6] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Westron word for \"Imladris\"?",
				["Answer"] = "Karningul",
			},
			[7] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"The Shire\"?",
				["Answer"] = "Sza",
			},
			[8] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Westron name for \"Moria\"?",
				["Answer"] = "Phurunargian",
			},
			[9] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the \"letters\" of the Elvish writing system called, designed for writing with brush or pen?",
				["Answer"] = "Tengwar",
			},
			[10] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the \"runes\" of the Elvish writing system called, devised and mostly used for scratched or incised inscriptions?",
				["Answer"] = "Cirth",
			},
			[11] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what other name are the Cirth known as having been spread by the Dwarves?",
				["Answer"] = "Angerthas Moria",
			},
			[12] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most widely used writing system for writing with a brush or pen in areas where the Common Speech was spoken?",
				["Answer"] = "Tengwar",
			},
			[13] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is \"Tengwar\" usually translated?",
				["Answer"] = "Letters",
			},
			[14] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is \"Cirth\" usually translated?",
				["Answer"] = "Runes",
			},
			[15] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many columns or Series are the Tengwar arranged into?",
				["Answer"] = "4",
			},
			[16] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many rows or Grades are the Tengwar arranged into?",
				["Answer"] = "6",
			},
			[17] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What signs were used to represent vowels by Tengwar?",
				["Answer"] = "Tehtar",
			},
			[18] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the auxiliary Tengwar that had no sound and only served to put Tehtar on them?",
				["Answer"] = "Carriers",
			},
			[19] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two types of carriers were there in the Tengwar writing system?",
				["Answer"] = "Long and Short",
			},
			[20] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Cirth called in reference to its main developer?",
				["Answer"] = "Angerthas Daeron",
			},
			[21] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who does seem to have introduced Cirth for for the representation of sounds not found in Sindarin?",
				["Answer"] = "Noldor of Eregion",
			},
			[22] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Cirth writing mode used by the Dwarves, for example, for the Book of Mazarbul?",
				["Answer"] = "Mode of Erebor",
			},
			[23] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is always the value of C in Elvish languages?",
				["Answer"] = "K",
			},
			[24] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Like in what European language should CH be pronounced?",
				["Answer"] = "German",
			},
			[25] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What digraph represents the voiced (soft) TH of English (like \"these clothes\")?",
				["Answer"] = "DH",
			},
			[26] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The written G of Elvish names is always pronounced the same way. Like \"give\" or like \"ginger\"?",
				["Answer"] = "Give",
			},
			[27] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Like in what European language should KH be pronounced?",
				["Answer"] = "German",
			},
			[28] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound did NG end up being made in the Third Age?",
				["Answer"] = "N",
			},
			[29] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound does PH represent, written like this because it derives from a P?",
				["Answer"] = "F",
			},
			[30] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With which letter is the trilled R always represented in Elvish names?",
				["Answer"] = "R",
			},
			[31] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which letter represent the voiceless S of Elvish names?",
				["Answer"] = "S",
			},
			[32] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What letter represents the sound of English Z where it occurs?",
				["Answer"] = "Z",
			},
			[33] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The written TH is always pronounced the same way. Like \"these\" or like \"thin\"?",
				["Answer"] = "Thin",
			},
			[34] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The sound of what English letter has the written W?",
				["Answer"] = "W",
			},
			[35] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What kind of spoken sound does Y represent in Quenya, unlike Sindarin?",
				["Answer"] = "Consonant",
			},
			[36] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How are long vowels represented in Elvish names?",
				["Answer"] = "Doubling the vowel",
			},
			[37] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is used in our characters to indicate that a vowel is long?",
				["Answer"] = "Accent",
			},
			[38] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which French vowel did the Y of the Sindarin of the Third Age resemble?",
				["Answer"] = "U",
			},
			[39] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Most of the time when two vowels are followed in Quenya are diphthongs. What\'s used to mark dis-sylabyc pairs?",
				["Answer"] = "Dieresis",
			},
			[40] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "All diphthongs in Elvish languages are pronounced with the same accent, except for IU Quenya in the Third Age. Are they pronounced falling or rising?",
				["Answer"] = "Falling",
			},
			[41] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which syllable is the least common to be stressed in Elvish languages?",
				["Answer"] = "Last",
			},
			[42] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What accentuation do Elvish words have when the consonants between the penultimate and last syllables are long or double?",
				["Answer"] = "Plain",
			},
			[43] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rmendacil\" mean?",
				["Answer"] = "East-victor",
			},
			[44] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Hyarmendacil\" mean?",
				["Answer"] = "South-victor",
			},
			[45] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Falastur\" mean?",
				["Answer"] = "Lord of the Coasts",
			},
			[46] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Alcarin\" mean?",
				["Answer"] = "Glorious",
			},
			[47] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Felarf\" mean?",
				["Answer"] = "Mansbane",
			},
			[48] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Eorlingas call Orom?",
				["Answer"] = "Bma",
			},
			[49] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Thorongil\" mean?",
				["Answer"] = "Eagle of the Star",
			},
			[50] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what original word did the surname \"Took\" come?",
				["Answer"] = "Tk",
			},
			[51] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what original word did the surname \"Boffin\" come from?",
				["Answer"] = "Bophn",
			},
			[52] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name of \"Meriadoc\" Brandybuck?",
				["Answer"] = "Kalimac",
			},
			[53] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Banazr\" mean, full form of Sam\'s Westron name, \"Ban\"?",
				["Answer"] = "Simple",
			},
			[54] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lossoth\" mean?",
				["Answer"] = "Snowmen",
			},
			[55] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you translate the season of \"tuil\"?",
				["Answer"] = "Spring",
			},
			[56] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you translate the season of \"lair\"?",
				["Answer"] = "Summer",
			},
			[57] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you translate the season of \"yvi\"?",
				["Answer"] = "Autumn",
			},
			[58] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you translate the season of \"quell\"?",
				["Answer"] = "Fading",
			},
			[59] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you translate the season of \"hrv\"?",
				["Answer"] = "Winter",
			},
			[60] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you translate the station of \"coir\"?",
				["Answer"] = "Stir-ring",
			},
			[61] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Quenya name for the morning twilight?",
				["Answer"] = "Tindm",
			},
			[62] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Quenya name for the evening twilight?",
				["Answer"] = "Undm",
			},
			[63] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the morning twilight?",
				["Answer"] = "Minuial",
			},
			[64] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for late twilight?",
				["Answer"] = "Aduial",
			},
			[65] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Dunlendian word for \"Strawheads\"?",
				["Answer"] = "Forgoil",
			},
			[66] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What word in the language of the Rohirrim does \"Hobbit\" resemble?",
				["Answer"] = "Holbytla",
			},
			[67] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Holbytla\" mean?",
				["Answer"] = "Hole-dweller",
			},
			[68] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"tark\" mean in the language of the Orcs?",
				["Answer"] = "Man of Gondor",
			},
			[69] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what Sindarin is \"Troll\" a translation?",
				["Answer"] = "Torog",
			},
			[70] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"halfling\"?",
				["Answer"] = "Banakil",
			},
			[71] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"Hobbit\"?",
				["Answer"] = "Kuduk",
			},
			[72] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"holbytla\"?",
				["Answer"] = "Kd-dkan",
			},
			[73] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"Brandywine\"?",
				["Answer"] = "Branda-nn",
			},
			[74] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Westron name for \"Brandybuck\"?",
				["Answer"] = "Brandagamba",
			},
			[75] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What would you have called one of the Brandagamba (Brandybuck) if you had called him \"Braldagamba\"?",
				["Answer"] = "Beer-loving buck",
			},
		}
	},
	[62] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Peoples - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Men who dwelt in Forochel during the Third Age?",
				["Answer"] = "Lossoth",
			},
			[2] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did most of the Snowmen live?",
				["Answer"] = "Cape of Forochel",
			},
			[3] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What saying of the Shire was used to reference something was impossible or improbable?",
				["Answer"] = "When the King comes back",
			},
			[4] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tribe of Easterlings who lived for a time east of Mirkwood from the twenty-fifth century of the Third Age, until their expulsion?",
				["Answer"] = "Balchoth",
			},
			[5] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which People of Men, descendants of the Third House of the Edain, lived in the Third Age between the Carrock and the Gladden Fields?",
				["Answer"] = "othod",
			},
			[6] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the names of the horses of such a special breed which, in addition to great speed and endurance, and a longevity equal to that of an ordinary man, possessed the ability to understand them?",
				["Answer"] = "Mearas",
			},
			[7] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom were did Mearas surrender only?",
				["Answer"] = "Kings of Rohan and their sons",
			},
			[8] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Rohirrim call themselves?",
				["Answer"] = "Eorlingas",
			},
			[9] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the last vestiges of the people who dwelt in the vales of the White Mountains in ages past?",
				["Answer"] = "Dunlendings",
			},
			[10] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which people of Men did the Men of Bree descend?",
				["Answer"] = "Dunlendings",
			},
			[11] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first day of the year and also the last day according to the Shire Calendar?",
				["Answer"] = "Yule",
			},
			[12] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the day that was right in the middle of the Shire Calendar?",
				["Answer"] = "Midyear\'s Day",
			},
			[13] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the days before and after Midyear\'s Day called?",
				["Answer"] = "Lithe",
			},
			[14] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the day that leap years were added to the Shire Calendar?",
				["Answer"] = "Overlithe",
			},
			[15] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Between what two months was a day added in Leap-years?",
				["Answer"] = "Forelithe and Afterlithe",
			},
			[16] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years of Men are an Elvish Yn?",
				["Answer"] = "144",
			},
			[17] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days had the Elvish week or \"enqui\"?",
				["Answer"] = "6",
			},
			[18] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the elvish day?",
				["Answer"] = "R",
			},
			[19] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves call each sun period?",
				["Answer"] = "Coranar",
			},
			[20] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves call the year, in connection with seasonal changes?",
				["Answer"] = "Loa",
			},
			[21] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many seasons had the Calendar of Imladris?",
				["Answer"] = "6",
			},
			[22] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were (in order) the seasons into which the Calendar of Imladris was divided?",
				["Answer"] = "Tuil lair yvi quell hrv y coir",
			},
			[23] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the \"middle days\" of the Reckoning of Rivendell called?",
				["Answer"] = "Enderi",
			},
			[24] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How often (in years) were the \"enderi\" of the Reckoning of Rivendell doubled?",
				["Answer"] = "12",
			},
			[25] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How often (in years) was the year shortened by three days and the doubling of the enderi omitted according to the Calendar of Imladris?",
				["Answer"] = "3",
			},
			[26] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Nmenrean system of measuring time?",
				["Answer"] = "Kings\' Reckoning",
			},
			[27] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which system of measuring time is most similar to ours?",
				["Answer"] = "Nmenrean",
			},
			[28] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the day which was in the middle of the year according to the Nmenrean calendar, and which did not belong to any month?",
				["Answer"] = "Loend",
			},
			[29] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the last year of a century according to the Kings\' Reckoning?",
				["Answer"] = "Harany",
			},
			[30] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How often (in years), with the exception of the \"harany\", were two \"enderi\" replaced by the \"loend\" according to the Reckoning of Kings?",
				["Answer"] = "4",
			},
			[31] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How often (in years) was a day added to the year according to the Kings\' Reckoning?",
				["Answer"] = "1000",
			},
			[32] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name given to the correction of the Nmenrean Calendar that came into effect in the year 2600 of the Third Age?",
				["Answer"] = "Stewards\' Reckoning",
			},
			[33] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the day between the third and fourth months according to the Stewards\' Reckoning?",
				["Answer"] = "Tuilr",
			},
			[34] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the day between the ninth and the tenth month according to the Stewards\' Reckoning?",
				["Answer"] = "Yavir",
			},
			[35] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In all known Calendars, days that did not belong to any month tended to be...?",
				["Answer"] = "Holidays",
			},
			[36] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How often (in years) there was a leap year according to the Shire Calendar?",
				["Answer"] = "4",
			},
			[37] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days did the festival of Yule last in the Shire?",
				["Answer"] = "6",
			},
			[38] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the change introduced into the Shire Calendar by Isengrim II, from which Mid-year\'s Day and Overlithe belonged to no week?",
				["Answer"] = "Shire-reform",
			},
			[39] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what day did the year always begin according to the Shire Calendar, since the changes introduced by Isengrim II?",
				["Answer"] = "Monday",
			},
			[40] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what day did the year always end according to the Shire Calendar, since the changes introduced by Isengrim II?",
				["Answer"] = "Sunday",
			},
			[41] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What single day of the week was never the first of a month, since the changes introduced by Isengrim II in the Shire Reckoning?",
				["Answer"] = "Friday",
			},
			[42] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On what astronomical event was Mid-year\'s Day intended to coincide according to the Calendar of the Shire, and hence the advance of ten days with ours?",
				["Answer"] = "Summer Solstice",
			},
			[43] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what language were the names of the months of the year preserved when they were brought to the Westron?",
				["Answer"] = "Quenya",
			},
			[44] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the only ones who named the months of the year in Sindarin?",
				["Answer"] = "Dnedain",
			},
			[45] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the name of the sixth month of the year in Bree?",
				["Answer"] = "Lithe",
			},
			[46] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were Lithe\'s and Middle Year\'s days called in Bree?",
				["Answer"] = "Summerdays",
			},
			[47] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the last month of the year called in Bree?",
				["Answer"] = "Yulemath",
			},
			[48] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Besides Bree, where in the shire were \"Frery\", \"Chiting\" and \"Yulemath\" used as names for months?",
				["Answer"] = "Eastfarthing",
			},
			[49] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the days of the week for the Elves in Quenya?",
				["Answer"] = "Elenya Anarya Isilya Aldya Menelya and Valanya",
			},
			[50] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the days \"Elenya\", \"Anarya\", \"Isilya\", \"Aldya\", \"Menelya\", \"Erenya\" and \"Valanya\", respectively dedicated to?",
				["Answer"] = "Stars Sun Moon Trees Sky Sea and Powers",
			},
			[51] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What day did the Nmenreans insert into the Elvish days of the week?",
				["Answer"] = "Erenya",
			},
			[52] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the Nmereans give to the day of the week \"Aldya\" to refer to the White Tree?",
				["Answer"] = "Alda",
			},
			[53] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the seven days of the week called for the Hobbits in the days of the War of the Ring?",
				["Answer"] = "Sterday Sunday Monday Trewsday Hevensday Mersday and Highday",
			},
			[54] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name given to the modified calendar established in Gondor at the end of the Third Age?",
				["Answer"] = "New Reckoning",
			},
			[55] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the feast established in the New Reckoning in honour of Frodo, which was doubled in leap-year?",
				["Answer"] = "Cormar",
			},
			[56] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What day was celebrated on the first day that the Horn of the Mark sounded in the Shire?",
				["Answer"] = "November 2",
			},
			[57] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What day was celebrated in Hobbiton after the War of the Ring, that according to different opinions was the New Year of the Elves, Sam Gardner\'s birthday, or the day the Golden Tree first flowered?",
				["Answer"] = "April 6",
			},
			[58] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the language of the Elves of Aman?",
				["Answer"] = "Quenya",
			},
			[59] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the language of the Grey Elves?",
				["Answer"] = "Sindarin",
			},
			[60] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what language did the first writings appear?",
				["Answer"] = "Quenya",
			},
			[61] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what language were all the names of the Nmenrean Kings?",
				["Answer"] = "Quenya",
			},
			[62] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what language did Westron mainly derive?",
				["Answer"] = "Adnaic",
			},
			[63] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Dunlendings call the Rohirrim?",
				["Answer"] = "Strawheads",
			},
			[64] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At first the word \"Hobbit\" was used by two branches of the halflings to designate the third. To which branch?",
				["Answer"] = "Harfoots",
			},
			[65] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To the language of which people of Men did many words of the Hobbits resemble?",
				["Answer"] = "Rohirrim",
			},
			[66] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To the language of what people of Men did the language of the southern Stoors resemble before they reached the Shire?",
				["Answer"] = "Dunlendings",
			},
			[67] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Uruk-hai call the lesser kinds of Orcs?",
				["Answer"] = "Snaga",
			},
			[68] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What language invented by Sauron was intended to be the common language of his servants?",
				["Answer"] = "Black Speech",
			},
			[69] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What language did Orcs most commonly use in the late Third Ages?",
				["Answer"] = "Westron",
			},
			[70] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the mightiest Trolls of all who ever existed, and who could endure the Sun so long as the will of Sauron held sway over them?",
				["Answer"] = "Olog-hai",
			},
			[71] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Language of the Dwarves?",
				["Answer"] = "Khuzdul",
			},
			[72] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Into what language did Tolkien adapt the language of the Rohirrim so that it would have a consistent relationship to the original translations of Westron?",
				["Answer"] = "Old English",
			},
		}
	},
	[63] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Quotes - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To make reference proudly to one of his sires if he had fallen at the Battle of Azanulbizar, in regards to the unusual funerary treatment they had, Dwarves used the idiom: \"He was a ...\"?",
				["Answer"] = "Burned Dwarf",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What jesting idiom was used in the Shire to refer to a day that did not exist, or when very unlikely events might occur?",
				["Answer"] = "On Friday the First",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "A common joke in Bree alluding to the name of one of the months in the Shire Calendar went something like this: \"Now you must have a hard time in the Shire, for there is...\"",
				["Answer"] = "Winterfilth",
			},
		}
	},
	[64] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Characters - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first King of Arthedain, and ninth of the Heirs of Isildur?",
				["Answer"] = "Amlaith",
			},
			[2] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second King of Arthedain and tenth of the Heirs of Isildur, son of Amlaith?",
				["Answer"] = "Beleg",
			},
			[3] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third King of Arthedain and eleventh of the Heirs of Isildur, son of Beleg?",
				["Answer"] = "Mallor",
			},
			[4] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth King of Arthedain and twelfth of the Heirs of Isildur, son of Mallor?",
				["Answer"] = "Celepharn",
			},
			[5] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifth King of Arthedain and thirteenth of the Heirs of Isildur, son of Celepharn?",
				["Answer"] = "Celebrindor",
			},
			[6] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth King of Arthedain and fourteenth of the Heirs of Isildur, son of Celebrindor?",
				["Answer"] = "Malvegil",
			},
			[7] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventh King of Arthedain and fifteenth of the Heirs of Isildur, son of Malvegil?",
				["Answer"] = "Argeleb I",
			},
			[8] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth King of Arthedain and sixteenth of the Heirs of Isildur, son of ArgelebI?",
				["Answer"] = "Arveleg I",
			},
			[9] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth King of Arthedain and seventeenth of the Heirs of Isildur, son of ArvelegI?",
				["Answer"] = "Araphor",
			},
			[10] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh King of Arthedain and nineteenth of the Heirs of Isildur, son of Argeleb II?",
				["Answer"] = "Arvegil",
			},
			[11] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth King of Arthedain and twentieth of the Heirs of Isildur, son of Arvegil?",
				["Answer"] = "Arveleg II",
			},
			[12] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth King of Arthedain and twenty-first of the Heirs of Isildur, son of Arveleg II?",
				["Answer"] = "Araval",
			},
			[13] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth King of Arthedain and twenty-second of the Heirs of Isildur, son of Araval?",
				["Answer"] = "Araphant",
			},
			[14] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifteenth and last King of Arthedain and twenty-third of the Heirs of Isildur, son of Araphant?",
				["Answer"] = "Arvedui",
			},
			[15] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Chieftain of the Rangers of the North and twenty-fourth of the Heirs of Isildur, son of Arvedui?",
				["Answer"] = "Aranarth",
			},
			[16] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second Chieftain of the Rangers of the North and twenty-fifth of the Heirs of Isildur, son of Aranarth?",
				["Answer"] = "Arahael",
			},
			[17] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third Chieftain of the Rangers of the North and twenty-sixth of the Heirs of Isildur, son of Arahael?",
				["Answer"] = "Aranuir",
			},
			[18] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth Chieftain of the Rangers of the North and twenty-seventh of the Heirs of Isildur, son of Aranuir?",
				["Answer"] = "Aravir",
			},
			[19] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifth Chieftain of the Rangers of the North and twenty-eighth of the Heirs of Isildur, son of Aravir?",
				["Answer"] = "Aragorn I",
			},
			[20] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth Chieftain of the Rangers of the North and twenty-ninth of the Heirs of Isildur, son of Aragorn I?",
				["Answer"] = "Araglas",
			},
			[21] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventh Chieftain of the Rangers of the North and thirtieth of the Heirs of Isildur, son of Araglas?",
				["Answer"] = "Arahad I",
			},
			[22] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth Chieftain of the Rangers of the North and thirty-first of the Heirs of Isildur, son of Arahad I?",
				["Answer"] = "Aragost",
			},
			[23] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth Chieftain of the Rangers of the North and thirty-second of the Heirs of Isildur, son of Aragost?",
				["Answer"] = "Aravorn",
			},
			[24] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the tenth Chieftain of the Rangers of the North and thirty-third of the Heirs of Isildur, son of Aravorn?",
				["Answer"] = "Arahad II",
			},
			[25] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh Chieftain of the Rangers of the North and thirty-fourth of the Heirs of Isildur, son of Arahad II?",
				["Answer"] = "Arassuil",
			},
			[26] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth Chieftain of the Rangers of the North and thirty-fifth of the Heirs of Isildur, son of Arassuil?",
				["Answer"] = "Arathorn I",
			},
			[27] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth Chieftain of the Rangers of the North and thirty-sixth of the Heirs of Isildur, son of Arathorn I?",
				["Answer"] = "Argonui",
			},
			[28] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third King of Gondor, son of Meneldil?",
				["Answer"] = "Cemendur",
			},
			[29] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth King of Gondor, son of Anardil?",
				["Answer"] = "Ostoher",
			},
			[30] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth King of Gondor, son of Rmendacil I?",
				["Answer"] = "Turambar",
			},
			[31] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth King of Gondor, son of Turambar?",
				["Answer"] = "Atanatar I",
			},
			[32] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the tenth King of Gondor, son of Athanatar I?",
				["Answer"] = "Siriandil",
			},
			[33] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was King Falastur\'s real name?",
				["Answer"] = "Tarannon",
			},
			[34] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Hyarmendacil I\'s real name?",
				["Answer"] = "Ciryaher",
			},
			[35] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventeenth King of Gondor, son of Athanatar II?",
				["Answer"] = "Narmacil I",
			},
			[36] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighteenth King of Gondor, brother of Narmacil I?",
				["Answer"] = "Calmacil",
			},
			[37] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Rmendacil II\'s real name?",
				["Answer"] = "Minalcar",
			},
			[38] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Eldacar\'s sons?",
				["Answer"] = "Aldamir and Ornendil",
			},
			[39] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Eldacar\'s real name?",
				["Answer"] = "Vinitharya",
			},
			[40] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the brother of Rmendacil II and grandfather of Castamir?",
				["Answer"] = "Calimehtar",
			},
			[41] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-third King of Gondor, son of Eldacar?",
				["Answer"] = "Aldamir",
			},
			[42] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Hyarmendacil II\'s real name?",
				["Answer"] = "Vinyarion",
			},
			[43] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-fifth King of Gondor, son of Hyarmendacil II?",
				["Answer"] = "Minardil",
			},
			[44] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Minardil\'s sons?",
				["Answer"] = "Minastar and Telemnar",
			},
			[45] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-sixth King of Gondor, son of Minardil?",
				["Answer"] = "Telemnar",
			},
			[46] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-seventh King of Gondor, son of Minastar and nephew of Telemnar?",
				["Answer"] = "Tarondor",
			},
			[47] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-eighth King of Gondor, son of Tarondor?",
				["Answer"] = "Telumehtar",
			},
			[48] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons of Telumehtar?",
				["Answer"] = "Arciryas and Narmacil",
			},
			[49] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirtieth King of Gondor, son of Narmacil II?",
				["Answer"] = "Calimehtar",
			},
			[50] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Arvedui\'s wife and Ondoher\'s daughter?",
				["Answer"] = "Friel",
			},
			[51] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Ondoher\'s sons?",
				["Answer"] = "Artamir and Faramir",
			},
			[52] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eldest son of Arciryas of Gondor?",
				["Answer"] = "Calimmacil",
			},
			[53] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Calimmacil and father of Ernil II?",
				["Answer"] = "Siriondil",
			},
			[54] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second Ruling Steward of Gondor, son of Mardil?",
				["Answer"] = "Eradan",
			},
			[55] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third Ruling Steward of Gondor, son of Eradan?",
				["Answer"] = "Herion",
			},
			[56] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth Ruling Steward of Gondor, son of Herion?",
				["Answer"] = "Belegorn",
			},
			[57] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifth Ruling Steward of Gondor, son of Belegorn?",
				["Answer"] = "Hrin I",
			},
			[58] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth Ruling Steward of Gondor, son of Hrin I?",
				["Answer"] = "Trin I",
			},
			[59] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventh Ruling Steward of Gondor, son of Trin I?",
				["Answer"] = "Hador",
			},
			[60] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth Ruling Steward of Gondor, son of Hador?",
				["Answer"] = "Barahir",
			},
			[61] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth Ruling Steward of Gondor, son of Barahir?",
				["Answer"] = "Dior",
			},
			[62] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the tenth Ruling Steward of Gondor, son of Dior?",
				["Answer"] = "Denethor I",
			},
			[63] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh Ruling Steward of Gondor, son of Denethor I?",
				["Answer"] = "Boromir",
			},
			[64] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth Ruling Steward of Gondor, son of Boromir?",
				["Answer"] = "Cirion",
			},
			[65] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth Ruling Steward of Gondor, son of Cirion?",
				["Answer"] = "Hallas",
			},
			[66] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth Ruling Steward of Gondor, son of Hallas?",
				["Answer"] = "Hrin II",
			},
			[67] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifteenth Ruling Steward of Gondor, son of Hrin II?",
				["Answer"] = "Belecthor I",
			},
			[68] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixteenth Ruling Steward of Gondor, son of Belecthor I?",
				["Answer"] = "Orodreth",
			},
			[69] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventeenth Ruling Steward of Gondor, son of Orodreth?",
				["Answer"] = "Ecthelion I",
			},
			[70] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighteenth Ruling Steward of Gondor, son of Ecthelion I?",
				["Answer"] = "Egalmoth",
			},
			[71] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twentieth Ruling Steward of Gondor, son of Beren?",
				["Answer"] = "Beregond",
			},
			[72] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-first Ruling Steward of Gondor, son of Beregond?",
				["Answer"] = "Belecthor II",
			},
			[73] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-second Ruling Steward of Gondor, son of Egalmoth?",
				["Answer"] = "Thorondir",
			},
			[74] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-third Ruling Steward of Gondor, son of Thorondir?",
				["Answer"] = "Trin II",
			},
			[75] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-fourth Ruling Steward of Gondor, son of Trin II?",
				["Answer"] = "Turgon",
			},
			[76] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which family claimed descent from the first Thain?",
				["Answer"] = "Oldbuck",
			},
			[77] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the father of Imrahil and Finduilas?",
				["Answer"] = "Adrahil",
			},
			[78] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Brego\'s sons?",
				["Answer"] = "Aldor Baldor and ofor",
			},
			[79] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth King of Rohan, son of Aldor?",
				["Answer"] = "Fra",
			},
			[80] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifth King of Rohan, son of Fra?",
				["Answer"] = "Frawine",
			},
			[81] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth King of Rohan, son of Frawine?",
				["Answer"] = "Goldwine",
			},
			[82] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventh King of Rohan, son of Goldwine?",
				["Answer"] = "Dor",
			},
			[83] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth King of Rohan, son of Dor?",
				["Answer"] = "Gram",
			},
			[84] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh King of Rohan, son of Fralaf?",
				["Answer"] = "Brytta",
			},
			[85] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth King of Rohan, son of Brytta?",
				["Answer"] = "Walda",
			},
			[86] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth King of Rohan, son of Walda?",
				["Answer"] = "Folca",
			},
			[87] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Thoden receive after Gandalf pushed his recovery?",
				["Answer"] = "Ednew",
			},
			[88] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Rohirrima call Morwen of Lossarnach?",
				["Answer"] = "Steelsheen",
			},
			[89] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of omer?",
				["Answer"] = "adig",
			},
			[90] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Imrahil of Dol Amroth\'s sons and daughters?",
				["Answer"] = "Amrothos Elphir Erchirion and Lothriel",
			},
			[91] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many times did Durin supposedly born anew?",
				["Answer"] = "6",
			},
			[92] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Din I\'s brother?",
				["Answer"] = "Borin",
			},
			[93] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Fundin\'s brother?",
				["Answer"] = "Grin",
			},
			[94] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Fundin and Grin\'s father?",
				["Answer"] = "Farin",
			},
			[95] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Balbo Baggins\'s wife?",
				["Answer"] = "Berylla Boffin",
			},
			[96] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the five sons and daughters of Balbo Baggins and Berylla Boffin?",
				["Answer"] = "Largo Lily Mungo Pansy and Ponto",
			},
			[97] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Lily Baggins marry?",
				["Answer"] = "Togo Goodbody",
			},
			[98] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Largo Baggins marry?",
				["Answer"] = "Tanta Hornblower",
			},
			[99] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Largo Baggins and Tanta Hornblower?",
				["Answer"] = "Fosco",
			},
			[100] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Fosco Baggins?",
				["Answer"] = "Ruby Bolger",
			},
			[101] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the three sons and daughters of Fosco Baggins and his wife Ruby?",
				["Answer"] = "Dora Drogo and Dudo",
			},
			[102] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Dudo Baggins\'s daughter?",
				["Answer"] = "Daisy",
			},
			[103] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Daisy Baggins marry",
				["Answer"] = "Griffo Boffin",
			},
			[104] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Ponto Baggins?",
				["Answer"] = "Mimosa Bunce",
			},
			[105] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the two sons and daughters of Ponto Baggins and Mimosa Bunce?",
				["Answer"] = "Polo and Rosa",
			},
			[106] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the two sons and daughters of Polo Baggins?",
				["Answer"] = "Posco and Prisca",
			},
			[107] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Posco Baggins marry?",
				["Answer"] = "Gilly Brownlock",
			},
			[108] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Prisca Baggins\'s husband?",
				["Answer"] = "Wilibald Bolger",
			},
			[109] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the three sons and daughters of Posco Baggins and his wife Gilly?",
				["Answer"] = "Peony Ponto and Porto",
			},
			[110] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only daughter of Ponto, son of Posco Baggins?",
				["Answer"] = "Angelica",
			},
			[111] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Peony Baggins marry?",
				["Answer"] = "Milo Burrows",
			},
			[112] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the four sons of Milo Burrows and Peony Baggins?",
				["Answer"] = "Minto Moro Mosco and Myrde",
			},
			[113] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the husband of Pansy Baggins?",
				["Answer"] = "Fastolph Bolger",
			},
			[114] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Mungo Baggins\'s wife?",
				["Answer"] = "Laura Grubb",
			},
			[115] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the five sons and daughters of Mungo Baggins and Laura Grubb?",
				["Answer"] = "Belba Bingo Bungo Linda and Longo",
			},
			[116] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who married Linda Baggins?",
				["Answer"] = "Bodo Proudfoot",
			},
			[117] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Linda Baggins and Bodo Proudfoot?",
				["Answer"] = "Odo",
			},
			[118] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Odo Proudfoot\'s son?",
				["Answer"] = "Olo",
			},
			[119] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Olo Proudfoot\'s son?",
				["Answer"] = "Sancho",
			},
			[120] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Bingo Baggins\' wife?",
				["Answer"] = "Chica Chubb",
			},
			[121] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Bingo Baggins and Chica Chubb call their son?",
				["Answer"] = "Falco",
			},
			[122] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Falco Chubb-Baggins\' daughter?",
				["Answer"] = "Poppy",
			},
			[123] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Poppy Chubb-Baggins marry?",
				["Answer"] = "Filibert Bolger",
			},
			[124] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh Thain of the Took line, son of Isengrim II?",
				["Answer"] = "Isumbras III",
			},
			[125] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth Thain of the Took line, son of Isumbras II?",
				["Answer"] = "Ferumbras II",
			},
			[126] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth Thain of the Took line, son of Ferumbras II?",
				["Answer"] = "Fortinbras I",
			},
			[127] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fifteenth Thain of the Took line, son of Gerontius Took?",
				["Answer"] = "Isengrim III",
			},
			[128] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixteenth Thain of the Took line, son of Gerontius Took?",
				["Answer"] = "Isumbras IV",
			},
			[129] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventeenth Thain of the Took line, son of Isumbras IV?",
				["Answer"] = "Fortinbras II",
			},
			[130] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighteenth Thain of the Took line, son of Fortinbras II?",
				["Answer"] = "Ferumbras III",
			},
			[131] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the sons of Isumbras III Took?",
				["Answer"] = "Bandobras and Ferumbras",
			},
			[132] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Gerontius Took\'s wife?",
				["Answer"] = "Adamanta Chubb",
			},
			[133] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Old Took\'s twelve sons and daughters?",
				["Answer"] = "Belladonna Donnamira Hildibrand Hildifons Hildigard Hildigrim Isembold Isembard Isumbras Isengar Isengrim and Mirabella",
			},
			[134] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only son of Hildigrim Took, grandfather of Pippin Took?",
				["Answer"] = "Adalgrim",
			},
			[135] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only known daughter of Adalgrim Took, Pippin Took\'s aunt?",
				["Answer"] = "Esmeralda",
			},
			[136] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Pippin Took\'s mother?",
				["Answer"] = "Eglantina Banks",
			},
			[137] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Paladin II Took\'s sons and daughters?",
				["Answer"] = "Peregrin Pervince Pearl and Pimpernel",
			},
			[138] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Isembard Took\'s only son?",
				["Answer"] = "Flambard",
			},
			[139] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Flambard Took\'s only son?",
				["Answer"] = "Adelard",
			},
			[140] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Adelard Took\'s sons?",
				["Answer"] = "Everard and Reginard",
			},
			[141] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many daughters did Adelard Took have?",
				["Answer"] = "3",
			},
			[142] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Donnamira Took\'s husband?",
				["Answer"] = "Hugo Boffin",
			},
			[143] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two sons and daughters did Sigizmond Took, cousin of Bilbo Baggins, have?",
				["Answer"] = "Ferdinand and Rosamunda",
			},
			[144] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Rosamunda Took\'s husband?",
				["Answer"] = "Odovacar Bolger",
			},
			[145] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Ferdinand Took, cousin of Fatty Bolger?",
				["Answer"] = "Ferdibrand",
			},
			[146] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Fatty Bolger\'s parents?",
				["Answer"] = "Odovacar Bolger and Rosamunda Took",
			},
			[147] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Gormadoc Brandybuck?",
				["Answer"] = "Deepdelver",
			},
			[148] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Gormadoc Brandybuck?",
				["Answer"] = "Malva Headstrong",
			},
			[149] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Gormadoc Brandybuck\'s three sons?",
				["Answer"] = "Madoc Maroc and Sadoc",
			},
			[150] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many sons did Sadoc Brandybuck have?",
				["Answer"] = "2",
			},
			[151] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Sadoc Brandybuck\'s only daughter?",
				["Answer"] = "Salvia",
			},
			[152] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Salvia Brandybuck marry?",
				["Answer"] = "Gundabald Bolger",
			},
			[153] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Madoc Brandybuck?",
				["Answer"] = "Proudneck",
			},
			[154] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Madoc Brandybuck\'s wife?",
				["Answer"] = "Hanna Goldworthy",
			},
			[155] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Madoc Brandybuck and his wife Hanna?",
				["Answer"] = "Marmadoc",
			},
			[156] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Marmadoc Brandybuck?",
				["Answer"] = "Masterful",
			},
			[157] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Marmadoc Brandybuck?",
				["Answer"] = "Adaldrida Bolger",
			},
			[158] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Marmadoc Brandybuck\'s two sons?",
				["Answer"] = "Gorbadoc and Orgulas",
			},
			[159] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many daughters did Marmadoc Brandybuck Have?",
				["Answer"] = "2",
			},
			[160] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Gorbadoc Brandybuck?",
				["Answer"] = "Wide Waist",
			},
			[161] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Orgulas Brangiamo\'s son?",
				["Answer"] = "Gorbulas",
			},
			[162] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Gorbulas Brandybuck\'s son?",
				["Answer"] = "Marmadas",
			},
			[163] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the three sons and daughters of Marmadas Brandybuck?",
				["Answer"] = "Melilot Mentha and Merimas",
			},
			[164] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the seven sons and daughters of Gorbadoc Brandybuck?",
				["Answer"] = "Amaranth Asphodel Dinodas Dodinas Primula Rorimac and Saradas",
			},
			[165] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two nicknames did Rorimac Brandybuck receive?",
				["Answer"] = "Goldfather and Old Rory",
			},
			[166] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Asphodel Brandybuck\'s husband?",
				["Answer"] = "Rufus Burrows",
			},
			[167] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Rufus Burrows and Asphodel Brandybuck?",
				["Answer"] = "Milo Burrows",
			},
			[168] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Saradas Brandybuck\'s son?",
				["Answer"] = "Seredic",
			},
			[169] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Seredic Brandybuck\'s wife?",
				["Answer"] = "Hilda Bracesgirdle",
			},
			[170] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the three sons and daughters of Seredic Brandybuck?",
				["Answer"] = "Celandine Doderic and Ilberic",
			},
			[171] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Rorimac Brandybuck, grandmother of Merry Brandybuck?",
				["Answer"] = "Menegilda Ororo",
			},
			[172] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Merimac Brandybuck, and cousin of Merry Brandybuck?",
				["Answer"] = "Berilac",
			},
			[173] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Tolman Cotton, Rose Cotton\'s brother, marry?",
				["Answer"] = "Marigold Gamgee",
			},
			[174] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the five sons and daughters of Tom Cotton and his wife Lily?",
				["Answer"] = "Bowman Carl Rose Tolman and Wilcome",
			},
			[175] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the wife of Farmer Cotton?",
				["Answer"] = "Lily Brown",
			},
			[176] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Farmer Cotton\'s brother?",
				["Answer"] = "Wilcome",
			},
			[177] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Wilcome Cotton, Rose Cotton\'s uncle, usually called?",
				["Answer"] = "Will",
			},
			[178] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Farmer Cotton\'s father?",
				["Answer"] = "Holman Cotton",
			},
			[179] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Holman Cotton usually called?",
				["Answer"] = "Long Hom",
			},
			[180] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Farmer Cotton\'s grandfather?",
				["Answer"] = "Cotman",
			},
			[181] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Cotman Cotton\'s brother?",
				["Answer"] = "Carl",
			},
			[182] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Farmer Cotton\'s grandfather?",
				["Answer"] = "Cottar",
			},
			[183] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Holman the greenhanded\'s five sons and daughters?",
				["Answer"] = "Erling Halfred Hending Rose and Rowan",
			},
			[184] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Rose, daughter of Holman the greenhanded, marry?",
				["Answer"] = "Cotman",
			},
			[185] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Rowan, daughter of greenhanded, marry?",
				["Answer"] = "Hob Gammidge",
			},
			[186] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Hob Gammidge\'s father, the one who moved to Tighfield?",
				["Answer"] = "Wiseman Gamwich",
			},
			[187] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Old Gammidgy\'s grandfather\'s name?",
				["Answer"] = "Hamfast of Gamwich",
			},
			[188] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Hob Gammidge\'s son?",
				["Answer"] = "Hobson",
			},
			[189] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Hobson Gammidge\'s four sons and daughters?",
				["Answer"] = "Andwise Halfred Hamfast and May",
			},
			[190] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Andwise Roper\'s son?",
				["Answer"] = "Anson",
			},
			[191] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the six sons and daughters of Hamfast Gamgee and his wife Bell?",
				["Answer"] = "Daisy Halfred Hamson May Marigold and Samwise",
			},
		}
	},
	[65] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Geography - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the burial mound at the crossings of Poros, where Folcred and Fastred were buried?",
				["Answer"] = "Haudh in Gwanur",
			},
		}
	},
	[66] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "History - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first childless King of Gondor?",
				["Answer"] = "Falastur",
			},
			[2] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second childless King of Gondor?",
				["Answer"] = "Narmacil I",
			},
			[3] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King did rebuild Minas Anor?",
				["Answer"] = "Ostoher",
			},
			[4] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Gondor did defeat the wild men from out of the East for the first time?",
				["Answer"] = "Tarostar",
			},
			[5] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who removed the king\'s house permanently to Minas Anor?",
				["Answer"] = "Tarondor",
			},
			[6] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who recovered Osgiliath after it was taken in 2475 of the Third Age?",
				["Answer"] = "Boromir",
			},
			[7] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who succeeded, at the head of the army of Gondor, in defeating the enemies who had attacked them in the Long Winter?",
				["Answer"] = "Beregond",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Orcs who fled the Dwarves in the Misty Mountains want to move?",
				["Answer"] = "Ered Nimrais",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Haleth of Rohan die?",
				["Answer"] = "Edoras",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Folcred and Fastred of Rohan die?",
				["Answer"] = "Ithilien",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed omund?",
				["Answer"] = "Orcs",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only companion Thrr brought to Moria?",
				["Answer"] = "Nr",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name given to the time from Frodo\'s departure from the Shire to the end of the Third Age?",
				["Answer"] = "Great Years",
			},
			[14] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who dwelt in the Greenwood between the Kingdom of Thranduil and the Kingdom of Celeborn after the War of the Ring?",
				["Answer"] = "Beornings and Woodmen",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Elanor get married?",
				["Answer"] = "Far Downs",
			},
			[16] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year, according to the Shire Reckoning, did omer die?",
				["Answer"] = "1484",
			},
			[17] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Steward of Gondor added a day to the year 2360 of the Third Age in an attempt to make amends for the deficit in the Gondor Calendar?",
				["Answer"] = "Hador",
			},
			[18] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what date in the new calendar of the Fourth Age a new day was included in leap years, corresponding to Frodo\'s birthday?",
				["Answer"] = "Yavanni 30",
			},
			[19] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two peoples west of the Anduin did not know how to speak Westron and those who did spoke it in a broken way?",
				["Answer"] = "Dunlendings and Wild Men",
			},
			[20] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What peculiarity of Shire-usage of Westron served to spread the rumours of high rank of Peregrin by the constant use he made of them with everyone?",
				["Answer"] = "Familiar forms",
			},
		}
	},
	[67] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Items - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was another name for the Yearbook of Tuckborough?",
				["Answer"] = "Yellowskin",
			},
		}
	},
	[68] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Languages - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Harnen\" mean?",
				["Answer"] = "South Water",
			},
			[2] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what name was \"Mirkwood\" a poor translation into the Westron?",
				["Answer"] = "Taur e-Ndaedelos",
			},
			[3] =
			{
				["Category"] = "Languages (Geography and Astronomy and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Taur e-Ndaedelos\" mean?",
				["Answer"] = "Forest of the Great Fear",
			},
			[4] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Sindarin name of the Tengwar?",
				["Answer"] = "Tw",
			},
			[5] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Quenya name for Cirth?",
				["Answer"] = "Certar",
			},
			[6] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the \"series\" or columns into which the Tengwar were arranged?",
				["Answer"] = "Tmar",
			},
			[7] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the \"grades\" or rows into which the Tengwar were arranged?",
				["Answer"] = "Tyeller",
			},
			[8] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"stem\" of the Tengwar?",
				["Answer"] = "Telco",
			},
			[9] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"bow\" or bows of the Tengwar?",
				["Answer"] = "Lva",
			},
			[10] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the first Series of the Tengwar commonly called?",
				["Answer"] = "Tincotma",
			},
			[11] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the second Series of the Tengwar commonly called?",
				["Answer"] = "Parmatma",
			},
			[12] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first or palatal Series of the Tengwar for the Quenya?",
				["Answer"] = "Tyelpetma",
			},
			[13] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the second or labialized Series of the Tengwar for the Quenya?",
				["Answer"] = "Quessetma",
			},
			[14] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Series of sounds derived from K, which varied between the third and fourth Series depending on the language?",
				["Answer"] = "Calmatma",
			},
			[15] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Grade of Tengwar was commonly used for weak or \"semivowel\" consonants?",
				["Answer"] = "6",
			},
			[16] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first Tengwa, which used to represent the T sound?",
				["Answer"] = "Tinco",
			},
			[17] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the second Tengwa, which used to represent the P sound?",
				["Answer"] = "Parma",
			},
			[18] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the third Tengwa, which used to represent the K sound in Quenya and CH in other languages?",
				["Answer"] = "Calma",
			},
			[19] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fourth Tengwa, which used to represent the sound KW in Quenya and K in Sindarin?",
				["Answer"] = "Quesse",
			},
			[20] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fifth Tengwa, which used to represent the ND sound?",
				["Answer"] = "Ando",
			},
			[21] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sixth Tengwa, which used to represent the MB sound?",
				["Answer"] = "Umbar",
			},
			[22] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the seventh Tengwa, which used to represent the sound NG in Quenya and J in other languages?",
				["Answer"] = "Anga",
			},
			[23] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the eigth Tengwa, which used to represent the sound NGW in Quenya and G in Sindarin?",
				["Answer"] = "Ungwe",
			},
			[24] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ninth Tengwa, which used to represent the sound TH?",
				["Answer"] = "Thle",
			},
			[25] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tenth Tengwa, which used to represent the F sound?",
				["Answer"] = "Formen",
			},
			[26] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the eleventh Tengwa, which used to represent the sound KH in Quenya and SH in other languages?",
				["Answer"] = "Harma",
			},
			[27] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twelfth Tengwa, which used to represent the sound KHW in Quenya and KH in Sindarin?",
				["Answer"] = "Hwesta",
			},
			[28] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirteenth Tengwa, which used to represent the NT sound in Quenya and DH in Sindarin?",
				["Answer"] = "Anto",
			},
			[29] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fourteenth Tengwa, which used to represent the sound MP in Quenya and V in Sindarin?",
				["Answer"] = "Ampa",
			},
			[30] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fifteenth Tengwa, which used to represent the sound NK in Quenya and ZH in other languages?",
				["Answer"] = "Anca",
			},
			[31] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sixteenth Tengwa, which used to represent the sound NKW in Quenya and GH in Sindarin?",
				["Answer"] = "Unque",
			},
			[32] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the seventeenth Tengwa, which used to represent the N sound?",
				["Answer"] = "Nmen",
			},
			[33] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the eighteenth Tengwa, which used to represent the M sound?",
				["Answer"] = "Malta",
			},
			[34] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the nineteenth Tengwa, which used to represent the  sound of some languages?",
				["Answer"] = "Noldo",
			},
			[35] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twentieth Tengwa, which used to represent the NW sound in Quenya?",
				["Answer"] = "Nwalme",
			},
			[36] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-first Tengwa, which used to represent the preconsontantal and final R sound?",
				["Answer"] = "re",
			},
			[37] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-second Tengwa, which used to represent the V sound in Quenya and W in Sindarin?",
				["Answer"] = "Vala",
			},
			[38] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-third Tengwa, which used to represent the consonantal Y sound?",
				["Answer"] = "Anna",
			},
			[39] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-fourth Tengwa, which used to represent the W Quenya sound?",
				["Answer"] = "Wilya",
			},
			[40] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-fifth Tengwa, which used to represent the R sound?",
				["Answer"] = "Rmen",
			},
			[41] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-sixth Tengwa, which used to represent the RD sound in Quenya and the RH in Sindarin?",
				["Answer"] = "Arda",
			},
			[42] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-seventh Tengwa, which used to represent the L sound?",
				["Answer"] = "Lambe",
			},
			[43] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-eighth Tengwa, which used to represent the sound represented by LD in Quenya and by LH in Sindarin?",
				["Answer"] = "Alda",
			},
			[44] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-ninth Tengwa, which used to represent the S sound?",
				["Answer"] = "Silme",
			},
			[45] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirtieth Tengwa, which used to represent the S sound when she carried a Tehta?",
				["Answer"] = "Silme Nuquerna",
			},
			[46] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirty-first Tengwa, which used to represent the Z sound in Quenya and later SS?",
				["Answer"] = "re",
			},
			[47] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twenty-second Tengwa, which used to represent the Z sound in Quenya and later SS when carrying a Tehta on it?",
				["Answer"] = "re Nuquerna",
			},
			[48] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirty-third Tengwa, which used to represent the H sound?",
				["Answer"] = "Hyarmen",
			},
			[49] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirty-fourth Tengwa, which used to represent the HW sound of Sindarin?",
				["Answer"] = "Hwesta Sindarinwa",
			},
			[50] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirty-fifth Tengwa, which used to represent the consonant Y and E sound in Sindarin?",
				["Answer"] = "Yanta",
			},
			[51] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the thirty-sixth Tengwa, which used to represent the vowel W sound?",
				["Answer"] = "re",
			},
			[52] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What additional Tengwa was used for the H sound, and to which would correspond the number 37?",
				["Answer"] = "Halla",
			},
			[53] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Tengwa \"harma\" when it came to represent only the H sound of Sindarin?",
				["Answer"] = "Aha",
			},
			[54] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Tengwa \"ze\" when it came to represent the SS sound?",
				["Answer"] = "Esse",
			},
			[55] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the rearrangement of the Angerthas, the addition of a stroke to a branch added...",
				["Answer"] = "Voice",
			},
			[56] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the rearrangement of the Angerthas, reversing the \"certh\" indicated opening to a...",
				["Answer"] = "Spirant",
			},
			[57] =
			{
				["Category"] = "Languages (Writing)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the rearrangement of the Angerthas, placing the branch on both sides of the stem added...?",
				["Answer"] = "Nasality and Voice",
			},
			[58] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What consonant, extended, does the F represent at the end of an Elvish word?",
				["Answer"] = "V",
			},
			[59] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is the H pronounced in Elvish names when it is not part of a digraph?",
				["Answer"] = "Glottal fricative",
			},
			[60] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what situation is the I pronounced with the consonantal sound of Y?",
				["Answer"] = "At the beginning of the word",
			},
			[61] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound does LH o HL respresent?",
				["Answer"] = "Voiceless L",
			},
			[62] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What combination of sounds does the QU Quenya represent?",
				["Answer"] = "Cw",
			},
			[63] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With which digraph is the voiceless R represented for Sindarin names?",
				["Answer"] = "RH",
			},
			[64] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With which digraph is the voiceless R represented for Quenya names?",
				["Answer"] = "HR",
			},
			[65] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound did MB end up making when he was in the middle of a word?",
				["Answer"] = "MM",
			},
			[66] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound did ND end up making when it was in the middle of a word?",
				["Answer"] = "NN",
			},
			[67] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound did MB end up getting in the Third Age when it was at the beginning of a word?",
				["Answer"] = "B",
			},
			[68] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What sound did ND end up making when it was at the beginning of a word?",
				["Answer"] = "D",
			},
			[69] =
			{
				["Category"] = "Languages (Pronunciation)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Towards what German sound does GH slips very slightly close from G in Black Speech and Orcish?",
				["Answer"] = "CH",
			},
			[70] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Umbardacil\" mean?",
				["Answer"] = "Umbar-victor",
			},
			[71] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lofa\" mean?",
				["Answer"] = "Beloved",
			},
			[72] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Kali\" mean, short for \"Kalimac\"?",
				["Answer"] = "Jolly",
			},
			[73] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ranugad\" mean, full form of Ham Gamgee\'s name Westron, \"Ran\"?",
				["Answer"] = "Stay-at-home",
			},
			[74] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the station of \"tuil\"?",
				["Answer"] = "Ethuil",
			},
			[75] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the station of \"lair\"?",
				["Answer"] = "Laer",
			},
			[76] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the station of \"yvi\"?",
				["Answer"] = "Iavas",
			},
			[77] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the station of \"quell\"?",
				["Answer"] = "Firith",
			},
			[78] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the station of \"hrv\"?",
				["Answer"] = "Rhw",
			},
			[79] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the station of \"coir\"?",
				["Answer"] = "Echuir",
			},
			[80] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the station of \"lasse-lanta\"?",
				["Answer"] = "Narbeleth",
			},
			[81] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the names for the months of the year in Quenya?",
				["Answer"] = "Narviny Nnim Slim Vress Ltess Nri Cermi Urim Yavanni Narqueli Hsim and Ringar",
			},
			[82] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the names for the months of the year in Sindarin?",
				["Answer"] = "Narwain Nnui Gwaerin Gwirith Lothron Nrui Cerveth Urui Ivanneth Narbeleth Hithui and Girithron",
			},
			[83] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Elenya\"?",
				["Answer"] = "Orgilion",
			},
			[84] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Anarya?",
				["Answer"] = "Oranor",
			},
			[85] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Isilya?",
				["Answer"] = "Orithil",
			},
			[86] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Aldya?",
				["Answer"] = "Orgaladhad",
			},
			[87] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Menelya?",
				["Answer"] = "Ormenel",
			},
			[88] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Valanya?",
				["Answer"] = "Orbelain",
			},
			[89] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the day \"Alda\"?",
				["Answer"] = "Orgaladh",
			},
			[90] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Hobbits translate \"Tindm\" or \"Minuial\"?",
				["Answer"] = "Morrowdim",
			},
			[91] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the Hobbits translate \"Undm\" or \"Aduial\"?",
				["Answer"] = "Evendim",
			},
			[92] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the meaning of \"Cormar\"?",
				["Answer"] = "Ringday",
			},
			[93] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the masculine ending used by Hobbits?",
				["Answer"] = "A",
			},
			[94] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the two feminine endings used by the Hobbits?",
				["Answer"] = "E and O",
			},
			[95] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"Gammidgy\"?",
				["Answer"] = "Galbasi",
			},
			[96] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"Gamgee\"?",
				["Answer"] = "Galpsi",
			},
			[97] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which village does the surname \"Galbasi\" seem to come from?",
				["Answer"] = "Galabas",
			},
			[98] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Westron name for \"Cotton\"?",
				["Answer"] = "Hlothran",
			},
			[99] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Branda-nn\" mean?",
				["Answer"] = "Border-water",
			},
			[100] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "By what name, which means \"heady ale\", did the Hobbits name the river \"Branda-nn\", very similar?",
				["Answer"] = "Bralda-hm",
			},
			[101] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Westron name for \"Oldbucks\"?",
				["Answer"] = "Zaragamba",
			},
		}
	},
	[69] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Appendices",
			["PackageCategory"] = "Peoples - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-04"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first month of the Shire Calendar?",
				["Answer"] = "Afteryule",
			},
			[2] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the second month of the Shire Calendar?",
				["Answer"] = "Solmath",
			},
			[3] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the third month of the Shire Calendar?",
				["Answer"] = "Rethe",
			},
			[4] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fourth month of the Shire Calendar?",
				["Answer"] = "Astron",
			},
			[5] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fifth month of the Shire Calendar?",
				["Answer"] = "Thrimidge",
			},
			[6] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the sixth month of the Shire Calendar?",
				["Answer"] = "Forelithe",
			},
			[7] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the seventh month of the Shire Calendar?",
				["Answer"] = "Afterlithe",
			},
			[8] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the eighth month of the Shire Calendar?",
				["Answer"] = "Wedmath",
			},
			[9] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ninth month of the Shire Calendar?",
				["Answer"] = "Halimath",
			},
			[10] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tenth month of the Shire Calendar?",
				["Answer"] = "Winterfilth",
			},
			[11] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the eleventh month of the Shire Calendar?",
				["Answer"] = "Blotmath",
			},
			[12] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the twelfth month of the Shire Calendar?",
				["Answer"] = "Foreyule",
			},
			[13] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was another name for the elven station of \"quell\"?",
				["Answer"] = "Lasse-lanta",
			},
			[14] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days did the seasons of \"lair\" and \"hrv\" have?",
				["Answer"] = "72",
			},
			[15] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days did the seasons of \"tuil\", \"yvi\", \"quell\" and \"coir\" have?",
				["Answer"] = "54",
			},
			[16] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the first day of the Reckoning of Rivendell and also of the Kings\' Reckoning?",
				["Answer"] = "Yestar",
			},
			[17] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the last day of the Reckoning of Rivendell and also of the Kings\' Reckoning?",
				["Answer"] = "Mettar",
			},
			[18] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the first month of the year called in Bree?",
				["Answer"] = "Frery",
			},
			[19] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the fourth month of the year called in Bree?",
				["Answer"] = "Chithing",
			},
			[20] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the seventh month of the year called in Bree?",
				["Answer"] = "Mede",
			},
			[21] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the ninth month of the year called in Bree?",
				["Answer"] = "Harvestmath",
			},
			[22] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the tenth month of the year called in Bree?",
				["Answer"] = "Wintring",
			},
			[23] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the eleventh month of the year called in Bree?",
				["Answer"] = "Blooting",
			},
			[24] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was another name for the day \"Valanya\"?",
				["Answer"] = "Trion",
			},
			[25] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was another name for the day \"Orbelain\"?",
				["Answer"] = "Rodyn",
			},
			[26] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the seven days of the week called for the Hobbits according to the early writings of the Yearbook of Tuckborough?",
				["Answer"] = "Sterrendei Sunnendei Monendei Trewesdei Hevenesdei Meresdei and Highdei",
			},
			[27] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The chief day and holiday of the Hobbits has been translated as Sunday as they have similar customs to us, and so the rest of the week, but in truth it is not so. What was actually the Hobbits\' day of rest?",
				["Answer"] = "Friday",
			},
			[28] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What are the Elves also called in connection with their pilgrimage to Valinor?",
				["Answer"] = "People of the Great Journey",
			},
		}
	},
	[70] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Characters - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the only survivor of the Grey-elves of Mithrim of those who went to the Nirnaeth Arnoediad?",
				["Answer"] = "Annael",
			},
			[2] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Arminas and Gelmir serve before the Dagor Bragollach?",
				["Answer"] = "Angrod",
			},
			[3] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the captain of the Guard at the first Gate of Gondolin?",
				["Answer"] = "Elemmakil",
			},
			[4] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Lalaith\'s real name?",
				["Answer"] = "Urwen",
			},
			[5] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which servant of Hrin was Trin\'s best friend and from whom he received many teachings?",
				["Answer"] = "Sador",
			},
			[6] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Trin call Sador?",
				["Answer"] = "Labadal",
			},
			[7] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What special physical attribute did Sador have?",
				["Answer"] = "He was lame",
			},
			[8] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Sador\'s occupation before he had an accident?",
				["Answer"] = "Woodman",
			},
			[9] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Sador\'s trade in Hrin\'s house?",
				["Answer"] = "Carpenter",
			},
			[10] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Hrin\'s horse?",
				["Answer"] = "Arroch",
			},
			[11] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who made the Dragon-helm of Dor-Lmin?",
				["Answer"] = "Telchar",
			},
			[12] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was represented by the image gilded in the Dragon-helm of Dor-Lmin?",
				["Answer"] = "Glaurung",
			},
			[13] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For whom was the Dragon-helm of Dor-Lmin made?",
				["Answer"] = "Azaghl",
			},
			[14] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What three owners (in chronological order) did the Dragon-Helm have before it became a heirloom of the House of Hador?",
				["Answer"] = "Azaghl Maedhros and Fingon",
			},
			[15] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which maiden of the woods of Doriath used to watch over and teach Trin?",
				["Answer"] = "Nellas",
			},
			[16] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of whom is it said that Trin sought his face in the faces of all women, when he was in Doriath?",
				["Answer"] = "Lalaith",
			},
			[17] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which friend of Saeros, also skilled in song, shared the same contempt he felt for Men?",
				["Answer"] = "Daeron",
			},
			[18] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did people call the band of outlaws that Trin joined?",
				["Answer"] = "Gaurwaith",
			},
			[19] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the leader of the band of outlaws of Trin?",
				["Answer"] = "Forweg",
			},
			[20] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which three members of Trin\'s band of outlaws were from Dor-Lmin?",
				["Answer"] = "Algund Andrg and Forweg",
			},
			[21] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the outlaw companion of Trin who was killed by Orcs while the two tried to distract them to save the rest?",
				["Answer"] = "Orleg",
			},
			[22] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name, meaning \"secret\", did Finduilas once give Trin, startling him?",
				["Answer"] = "Thurin",
			},
			[23] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Captain of King\'s Ships in the time of Tar-Elendil?",
				["Answer"] = "Vantur",
			},
			[24] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of Tar-Elendil\'s sons and daughters?",
				["Answer"] = "Isilm Meneldur and Silmarien",
			},
			[25] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Silmarien of Andni?",
				["Answer"] = "Valandil",
			},
			[26] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Tar-Meneldur\'s called because of admiration for the stars?",
				["Answer"] = "Elentirmo",
			},
			[27] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Tar-Meneldur\'s wife?",
				["Answer"] = "Almarian",
			},
			[28] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Tar-Meneldur?",
				["Answer"] = "Ailinel Aldarion and Almiel",
			},
			[29] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Aldarion\'s real name?",
				["Answer"] = "Anardil",
			},
			[30] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Aldarion called by the members of the Guild of Venturers?",
				["Answer"] = "Great Captain",
			},
			[31] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did people also call the Venturers of Nmenor?",
				["Answer"] = "Uinendili",
			},
			[32] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title did Aldarion hold since he was proclaimed King\'s Heir?",
				["Answer"] = "Lord of the Ships and Havens of Nmenor",
			},
			[33] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Aldarion\'s wife?",
				["Answer"] = "Erendis",
			},
			[34] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Erendis usually called?",
				["Answer"] = "Lady of the Westlands",
			},
			[35] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With whom was Erendis often compared?",
				["Answer"] = "Morwen",
			},
			[36] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the daughter of Aldarion and Erendis?",
				["Answer"] = "Ancalim",
			},
			[37] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is said to have been the most beautiful woman in the Line of Elros?",
				["Answer"] = "Ar-Zimraphel",
			},
			[38] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the only three members of the Council of the Sceptre in the time of Tar-Meneldur?",
				["Answer"] = "Aldarion Hallatan and Valandil",
			},
			[39] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands was Hallatan lord of?",
				["Answer"] = "Hyarastorni",
			},
			[40] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Tar-Ancalim\'s husband?",
				["Answer"] = "Hallacar",
			},
			[41] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Hallatan of Hyarastorni?",
				["Answer"] = "Hallacar and Nessani",
			},
			[42] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Valar appoint as the first King of Nmenor?",
				["Answer"] = "Elros",
			},
			[43] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did the first King of Nmenor adopt?",
				["Answer"] = "Tar-Minyatur",
			},
			[44] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourth King of Nmenor?",
				["Answer"] = "Tar-Elendil",
			},
			[45] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who Was the Fifth King of Nmenor?",
				["Answer"] = "Tar-Meneldur",
			},
			[46] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the sixth King of Nmenor?",
				["Answer"] = "Tar-Aldarion",
			},
			[47] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Queen Regent of Nmenor, and seventh ruler?",
				["Answer"] = "Tar-Ancalim",
			},
			[48] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighth King of Nmenor?",
				["Answer"] = "Tar-Anrion",
			},
			[49] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second Queen Regent of Nmenor, and tenth ruler?",
				["Answer"] = "Tar-Telperien",
			},
			[50] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the thirteenth King of Nmenor?",
				["Answer"] = "Tar-Atanamir",
			},
			[51] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the fourteenth King of Nmenor?",
				["Answer"] = "Tar-Ancalimon",
			},
			[52] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Fifteenth King of Nmenor?",
				["Answer"] = "Tar-Telemmait",
			},
			[53] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the third Queen Regent of Nmenor, and sixteenth ruler?",
				["Answer"] = "Tar-Vanimeld",
			},
			[54] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twentieth King of Nmenor?",
				["Answer"] = "Ar-Adnakhr",
			},
			[55] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-third King of Nmenor?",
				["Answer"] = "Ar-Gimilzr",
			},
			[56] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-fourth King of Nmenor?",
				["Answer"] = "Tar-Palantir",
			},
			[57] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the last King of Nmenor?",
				["Answer"] = "Ar-Pharazn",
			},
			[58] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Tar-Meneldur\'s real name?",
				["Answer"] = "rimon",
			},
			[59] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Tar-Aldarion\'s real name?",
				["Answer"] = "Anardil",
			},
			[60] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Ar-Gimilzr\'s wife?",
				["Answer"] = "Inzilbth",
			},
			[61] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Lord of Andni was brother of Inzilbth?",
				["Answer"] = "Erendur",
			},
			[62] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Ar-Gimilzr call his two sons?",
				["Answer"] = "Gimilkhd and Inziladn",
			},
			[63] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Under what name did Inziladn access to the throne of Nmenor?",
				["Answer"] = "Tar-Palantir",
			},
			[64] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Gimilkhd\'s son?",
				["Answer"] = "Pharazn",
			},
			[65] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Tar-Palantir\'s daughter and successor?",
				["Answer"] = "Tar-Mriel",
			},
			[66] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Tar-Mriel forced to marry against the King\'s will and the law of Nmenor?",
				["Answer"] = "Ar-Pharazn",
			},
			[67] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Tar-Miriel have to adopt as Queen?",
				["Answer"] = "Ar-Zimraphel",
			},
			[68] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Galadriel\'s maternal name?",
				["Answer"] = "Nerwen",
			},
			[69] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Galadriel\'s paternal name?",
				["Answer"] = "Artanis",
			},
			[70] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Elw and Olw\'s younger brother?",
				["Answer"] = "Elmo",
			},
			[71] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Elmo\'s son?",
				["Answer"] = "Galadhon",
			},
			[72] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Galadhon\'s sons?",
				["Answer"] = "Celeborn and Galathil",
			},
			[73] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the father of Nimloth of Doriath?",
				["Answer"] = "Galathil",
			},
			[74] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Lrinand in the time of Eregion and until his death in Dagorlad?",
				["Answer"] = "Amdr",
			},
			[75] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the King of Lothlrien from the end of the Second Age until his disappearance in the Third Age?",
				["Answer"] = "Amroth",
			},
			[76] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Amroth\'s beloved?",
				["Answer"] = "Nimrodel",
			},
			[77] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which companion of Nimrodel is said to have married Imrazr the Nmenrean, from whom the Princes of Dol Amroth descended?",
				["Answer"] = "Mithrellas",
			},
			[78] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the two sons and daughters of Imrazr and Mithrellas?",
				["Answer"] = "Galador and Gilmith",
			},
			[79] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Thranduil\'s Father?",
				["Answer"] = "Oropher",
			},
			[80] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which branch of the Elves did Thranduil belong to?",
				["Answer"] = "Sindar",
			},
			[81] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who gave Galadriel her best-known name?",
				["Answer"] = "Celeborn",
			},
			[82] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many horses did the company that fell with Isildur in the Gladden Fields have?",
				["Answer"] = "10",
			},
			[83] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is said to have been the last man born in Nmenor?",
				["Answer"] = "Meneldur",
			},
			[84] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Elendur\'s esquire, who, along with Ohtar and another man, managed to escape the Disaster of the Gladden Fields?",
				["Answer"] = "Estelmo",
			},
			[85] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Orcs who attacked Isildur in the Gladden Fields had come from, during the war?",
				["Answer"] = "Mordor",
			},
			[86] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "About how many archers did Isildur have at his disposal on the night of the Disaster of the Gladden Fields?",
				["Answer"] = "20",
			},
			[87] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of whom it is said that Aragorn was his living image?",
				["Answer"] = "Elendur",
			},
			[88] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the short, broad-bladed, double-edged, pointed sword a foot and a half long, which the Dnedain used as a reserve weapon?",
				["Answer"] = "Eket",
			},
			[89] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which man was considered a Lord of Rhovanion at the time of the Wainriders\' invasion?",
				["Answer"] = "Marhari",
			},
			[90] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old was Eorl when he became Captain of the othod?",
				["Answer"] = "16",
			},
			[91] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old was Eorl when he led the othod in battle at the Field of Celebrant?",
				["Answer"] = "25",
			},
			[92] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Rider of the Last Hope?",
				["Answer"] = "Borondir",
			},
			[93] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Borondir receive?",
				["Answer"] = "Udalraph",
			},
			[94] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the chief captain of the host of othod in the time of Cirion, second only to Eorl?",
				["Answer"] = "omund",
			},
			[95] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two uncles of Bilbo\'s, from the Took branch, had gone off on a journey and never returned?",
				["Answer"] = "Hildifons and Isengar",
			},
			[96] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Did the Nazgl wear their Rings, at least during the last days of the Third Age?",
				["Answer"] = "No",
			},
			[97] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who kept the Rings of the Nazgl, at least during the last days of the Third Age?",
				["Answer"] = "Sauron",
			},
			[98] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the second to the Chief of the Nazgl?",
				["Answer"] = "Khaml",
			},
			[99] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname did Khaml have?",
				["Answer"] = "Shadow of the East",
			},
			[100] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What substance was feared by the Nazgl, which sometimes hindered them in the pursuit of their goals?",
				["Answer"] = "Water",
			},
			[101] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What habit of Gandalg did Sauroman use to mock until he adopted it himself?",
				["Answer"] = "Smoking",
			},
			[102] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Eorl have his house until Brego moved to Edoras?",
				["Answer"] = "Aldburg",
			},
			[103] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was omer\'s birthplace?",
				["Answer"] = "Aldburg",
			},
			[104] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the governing officer of the garrison of Edoras in the days of Thoden\'s illness?",
				["Answer"] = "Elfhelm",
			},
			[105] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In times of war or inquiet, how many oreds did Marshal of the Mark have ready for battle as part of his \"household\"?",
				["Answer"] = "1",
			},
			[106] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Drg protagonist of the tale \"The Faithful Stone\"?",
				["Answer"] = "Aghan",
			},
			[107] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What occupation did Aghan have?",
				["Answer"] = "Leech",
			},
			[108] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ranger who appears in the tale \"The Faithful Stone\"?",
				["Answer"] = "Barach",
			},
			[109] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of what race, strange as it may seem, did Men consider the Istari?",
				["Answer"] = "Elves",
			},
			[110] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the chief of the Order of the Istari?",
				["Answer"] = "Saruman",
			},
			[111] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istar was sent to Middle-earth \"as a friend\" of Alatar?",
				["Answer"] = "Pallando",
			},
			[112] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which king was called \"Lord of the Coasts\" because of his great love of the sea, and built a royal house in Pelargir?",
				["Answer"] = "Tarannon",
			},
			[113] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Queen Berthiel?",
				["Answer"] = "Wife of King Falastur",
			},
			[114] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Queen Berthiel\'s cats use to do for her?",
				["Answer"] = "Spy",
			},
			[115] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many black cats did Queen Berthiel have?",
				["Answer"] = "9",
			},
			[116] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many white cats did Queen Berthiel have?",
				["Answer"] = "1",
			},
			[117] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Of whom did some \"faithful\" from times after the Fall of Sauron wildly say that Gandalf could be his personification?",
				["Answer"] = "Manw",
			},
			[118] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "If Manw sent Eonw to capture Morgoth, who was said after the War of the Ring to be Manw\'s envoy to capture Sauron?",
				["Answer"] = "Gandalf",
			},
			[119] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Olrinen live in Valinor?",
				["Answer"] = "Lrien",
			},
			[120] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What role is Olrin said to have had in the West?",
				["Answer"] = "Counsellor of Irmo",
			},
		}
	},
	[71] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Geography - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the land of reeds at the Mouths of Sirion?",
				["Answer"] = "Lisgardh",
			},
			[2] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What forest extended westward from the upper waters of the Narog towards the source of the river Nenning?",
				["Answer"] = "Nath",
			},
			[3] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which river joined the Teiglin some way north of the inflowing of the Malduin?",
				["Answer"] = "Glithui",
			},
			[4] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where to the west did the road that came from Nan Dungortheb and crossed the Ford of Brithiach lead?",
				["Answer"] = "Vinyamar",
			},
			[5] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Hrin\'s house in Dor-Lmin?",
				["Answer"] = "Nen Lalaith",
			},
			[6] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the peak of Ered Wethrin near which was the house of Hrin and Morwen?",
				["Answer"] = "Amon Darthir",
			},
			[7] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the region east of Doriath between the Aros and the Celon?",
				["Answer"] = "Arthrien",
			},
			[8] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What plant did grow on the lower slopes of Amon Rdh?",
				["Answer"] = "Aeglos",
			},
			[9] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fort of Dor-Carthol a little south of Amon Rdh?",
				["Answer"] = "Bar-erib",
			},
			[10] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fort of Dor-Carthol by the forest south of the Teiglin?",
				["Answer"] = "Methed-en-glad",
			},
			[11] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many miles long, both from north to south and from east to west, was the central part of Nmenor?",
				["Answer"] = "250",
			},
			[12] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Inlands\" of Nmenor?",
				["Answer"] = "Mittalmar",
			},
			[13] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Northlands\" of Nmenor?",
				["Answer"] = "Forostar",
			},
			[14] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Eastlands\" of Nmenor?",
				["Answer"] = "Orrostar",
			},
			[15] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Southeastlands\" of Nmenor?",
				["Answer"] = "Hyarrostar",
			},
			[16] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Southwestlands\" of Nmenor?",
				["Answer"] = "Hyarnustar",
			},
			[17] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Westlands\" of Nmenor?",
				["Answer"] = "Andustar",
			},
			[18] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the two main rivers of Nmenor?",
				["Answer"] = "Nunduin and Siril",
			},
			[19] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the fishing village south of Nmenor, near which the Siril flowed into the sea?",
				["Answer"] = "Nindamos",
			},
			[20] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the most beautiful of the havens of Nmenor, in the west, where the Nunduin flowed into the sea?",
				["Answer"] = "Eldalond",
			},
			[21] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what region were Rmenna, Armenelos and Meneltarma located?",
				["Answer"] = "Arandor",
			},
			[22] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the shallow valley on the south side of the foot of Meneltarma in which were the tombs of the Kings and Queens of Nmenor?",
				["Answer"] = "Noirinan",
			},
			[23] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which region of Nmenor was the chief region of the Shepherds?",
				["Answer"] = "Emeri",
			},
			[24] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great height on the coast of the northern cliffs of Nmenor, home of eagles?",
				["Answer"] = "Sorontil",
			},
			[25] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Bay between Andustar and Hyarnustar?",
				["Answer"] = "Eldanna",
			},
			[26] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the country of \"Fragrant Trees\" around Eldalond?",
				["Answer"] = "Nsimaldar",
			},
			[27] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the lake crossed by the river Nunduin?",
				["Answer"] = "Nsinen",
			},
			[28] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At the mouth of which river did most of the fishermen of Nmenor settle?",
				["Answer"] = "Siril",
			},
			[29] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "On which of the five promontories of Nmenor were grain plantations abundant?",
				["Answer"] = "Orrostar",
			},
			[30] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which small scarlet-coloured birds, no bigger than wrens and with a very high-pitched trill, were among the many birds that lived in Nmenor?",
				["Answer"] = "Kirinki",
			},
			[31] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Between which two cities was the main road of Nmenor originally built?",
				["Answer"] = "Armenelos and Rmenna",
			},
			[32] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the small island that was located in the Bay of Rmenna?",
				["Answer"] = "Tol Uinen",
			},
			[33] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the later name of Vinyalond?",
				["Answer"] = "Lond Daer",
			},
			[34] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Gwathl called previously?",
				["Answer"] = "Gwathir",
			},
			[35] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the tower of Tol Uinen?",
				["Answer"] = "Calmindon",
			},
			[36] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which city served, in the transport of goods between Arnor and Gondor, as a link between transport by land and by water?",
				["Answer"] = "Tharbad",
			},
			[37] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the best known landmark in Tharbad?",
				["Answer"] = "Bridge",
			},
			[38] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the former name of Cirith Ungol?",
				["Answer"] = "Cirith Dar",
			},
			[39] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the hill on which Sauron built Dol Guldur?",
				["Answer"] = "Amon Lanc",
			},
			[40] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the names of the Mountains of Mirkwood, located a bit north of the Forest Road?",
				["Answer"] = "Emyn Duir",
			},
			[41] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Sindarin did Halifirien have previously?",
				["Answer"] = "Amon Anwar",
			},
			[42] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Firien Wood in relation to its silence?",
				["Answer"] = "Whispering Wood",
			},
			[43] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the secret cause that the few who dwelt in the Firien Wood spoke in whispers, with inexplicable respect?",
				["Answer"] = "Tomb of Elendil",
			},
			[44] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Isildur intend to place the tomb of Elendil?",
				["Answer"] = "Mid-point of Gondor",
			},
			[45] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the oldest of the seven beacons of Gondor?",
				["Answer"] = "Amon Dn",
			},
			[46] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was the Drwaith Iaur also called?",
				["Answer"] = "Old Pkel-wilderness",
			},
			[47] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Radagast\'s home, on the wooded edge of the Carrock and the road to Mirkwood?",
				["Answer"] = "Rhosgobel",
			},
		}
	},
	[72] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "History - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who told Ran of her husband\'s death?",
				["Answer"] = "Annael",
			},
			[2] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ran lay to die?",
				["Answer"] = "Haudh-en-Ndengin",
			},
			[3] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Tuor leave Androth with the Grey-elves?",
				["Answer"] = "15",
			},
			[4] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Tuor seeking in his years as an outlaw?",
				["Answer"] = "Gate of the Noldor",
			},
			[5] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two Elves did Tuor meet at the Gate of the Noldor?",
				["Answer"] = "Arminas and Gelmir",
			},
			[6] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who named the place of the Gate of the Noldor as \"Cirith Ninniach\"?",
				["Answer"] = "Tuor",
			},
			[7] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Tuor reached after crossing the Gate of the Noldor?",
				["Answer"] = "Lammoth",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is said to have been the first Man to reach the Great Sea?",
				["Answer"] = "Tuor",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What led Tuor to Vinyamar?",
				["Answer"] = "Swans",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where had Voronw been on his journey to the Isle of Balar?",
				["Answer"] = "Nan-Tathren",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The traces of what dreadful creature did Voronw and Tuor see at the pools of Ivrin?",
				["Answer"] = "Glaurung",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Tuor and Voronw find an orc camp blocking their way?",
				["Answer"] = "Road to Tol-in-Gaurhoth",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the orcs that Tuor and Voronw met on their way to the Gondolin waiting for?",
				["Answer"] = "Trin",
			},
			[14] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Elemmakil deliver Tuor at the last Gate of Gondolin?",
				["Answer"] = "Ecthelion",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ill wind that ravaged Hithlum shortly before the 5th Battle of Beleriand?",
				["Answer"] = "Evil Breath",
			},
			[16] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Lalaith die?",
				["Answer"] = "3",
			},
			[17] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Hrin want Morwen to go if things went wrong in war?",
				["Answer"] = "Brethil",
			},
			[18] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Morwen want to go if things went wrong in war?",
				["Answer"] = "Gondolin",
			},
			[19] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To what one person did Hrin reveal that he had been in Gondolin?",
				["Answer"] = "Morwen",
			},
			[20] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Morgoth want from Hrin when he captured him?",
				["Answer"] = "Gondolin\'s location",
			},
			[21] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Morwen send Trin when the Easterlings took her land?",
				["Answer"] = "Doriath",
			},
			[22] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who found the newcomer Trin and his companions on the borders of Doriath?",
				["Answer"] = "Beleg",
			},
			[23] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Grithnir die?",
				["Answer"] = "Doriath",
			},
			[24] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Morwen send to Doriath when the messengers told her that Trin had been accepted there?",
				["Answer"] = "Dragon-helm of Dor-Lmin",
			},
			[25] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Saeros cast on the board before Trin as a mockery?",
				["Answer"] = "Comb",
			},
			[26] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What, in the beginning, was the punishment for Trin for the death of Saeros?",
				["Answer"] = "Banishment",
			},
			[27] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who testified to Thingol about Saeros\' attack on Trin, so that Trin was acquitted of all conviction?",
				["Answer"] = "Nellas",
			},
			[28] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two people were the first to join Trin\'s band of outlaws?",
				["Answer"] = "Andrg and Ulrad",
			},
			[29] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Trin kill while defending a young woman who was being chased, when he belonged to the band of outlaws?",
				["Answer"] = "Forweg",
			},
			[30] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was in charge of the band of outlaws when Beleg found it?",
				["Answer"] = "Andrg",
			},
			[31] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Mm looking for when he left Amon Rdh?",
				["Answer"] = "Roots",
			},
			[32] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Mm do when he saw his son dead at home?",
				["Answer"] = "Cursed Andrg",
			},
			[33] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Androg do when Mm put his curse on him?",
				["Answer"] = "Cursed Mm",
			},
			[34] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Trin meet again in Dor-Lmin when he returned there?",
				["Answer"] = "Sador",
			},
			[35] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who revealed to Trin what had become of Morwen and Nienor in Dor-Lmin?",
				["Answer"] = "Aerin",
			},
			[36] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first in Brethil to know that Turambar was Trin of Dor-Lmin?",
				["Answer"] = "Dorlas",
			},
			[37] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Mablung and the rest of the escort join Morwen when he set out for Nargothrond?",
				["Answer"] = "Twilight Meres",
			},
			[38] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Morwen and her escort discover that Nienor had infiltrated among them?",
				["Answer"] = "Twilight Meres",
			},
			[39] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who searched for Morwen and Nienor for three years after they disappeared from Doriath?",
				["Answer"] = "Mablung",
			},
			[40] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who discovered the passage that led from the caves to the summit of Amon Rdh?",
				["Answer"] = "Andrg",
			},
			[41] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Trin intend to go when he lived in Dor-Carthol with an army?",
				["Answer"] = "Dor-Lmin",
			},
			[42] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who asked Trin about Turgon in the Halls of Nargothrond?",
				["Answer"] = "Arminas and Gelmir",
			},
			[43] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What King of Nmenor did give mallorn fruits to Gil-Galad mallorn fruits to plant them in Lindon?",
				["Answer"] = "Tar-Aldarion",
			},
			[44] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did Galadriel receive the mellyrn she made bloom in Lothlrien?",
				["Answer"] = "Gil-Galad",
			},
			[45] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Nmenrean to travel to Middle-earth?",
				["Answer"] = "Vantur",
			},
			[46] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the first Nmenreans to travel to Middle-earth disembark?",
				["Answer"] = "Mithlond",
			},
			[47] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who created the Guild of Venturers of Nmenor?",
				["Answer"] = "Aldarion",
			},
			[48] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Middle-earth Men gathered to welcome the Nmenreans on their first visit?",
				["Answer"] = "12",
			},
			[49] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "About what year of the Second Age did the first Nmenrean ships arrive in Middle-earth?",
				["Answer"] = "600",
			},
			[50] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Nmenreans meet the Men of Eriador the first time they set foot in Middle-earth?",
				["Answer"] = "Tower Hills",
			},
			[51] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Embar anchored most of the time?",
				["Answer"] = "Tol Uinen",
			},
			[52] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the Guildhouse of the Venturers forcibly moved to when Embar was confiscated?",
				["Answer"] = "Andni",
			},
			[53] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What port did Aldarion found at the mouth of the Gwathl?",
				["Answer"] = "Vinyalond",
			},
			[54] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who founded Tharbad?",
				["Answer"] = "Aldarion",
			},
			[55] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the duration (in years) of the journey that Aldarion\'s took just after he first saw Erendis?",
				["Answer"] = "7",
			},
			[56] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who put Aldarion\'s ship the Green Bough of Return when the King forbade his mother and sisters to do so?",
				["Answer"] = "Erendis",
			},
			[57] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Aldarion give to Erendis on his return from the first trip with the Palarran?",
				["Answer"] = "Diamond",
			},
			[58] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For how many years did Aldarion depart from Nmenor when he learned of the closure of the Guild of Venturers?",
				["Answer"] = "14",
			},
			[59] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title did Aldarion receive when he returned from his longest and most eventful journey?",
				["Answer"] = "Master of the Forests",
			},
			[60] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which city did Aldarion and Erendis travel on the Embar from Rmenna?",
				["Answer"] = "Andni",
			},
			[61] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where were Aldarion and Erendis engaged?",
				["Answer"] = "Meneltarma",
			},
			[62] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Queen of Nmenor to wear a white gem on her forehead?",
				["Answer"] = "Erendis",
			},
			[63] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years was Aldarion absent from Nmenor after he became engaged to Erendis?",
				["Answer"] = "6",
			},
			[64] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the first Nmenrean to hear the rumor of a hostile Lord in Middle-earth who had destroyed their havens?",
				["Answer"] = "Aldarion",
			},
			[65] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the last feast held on the occasion of the wedding of Aldarion and Erendis?",
				["Answer"] = "Andni",
			},
			[66] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Aldarion and Erendis live after they were married?",
				["Answer"] = "Armenelos",
			},
			[67] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old was Ancalim when Aldarion first departed after marrying?",
				["Answer"] = "4",
			},
			[68] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what did Beregar and Nneth know that Aldarion had left Erendis and Ancalim alone?",
				["Answer"] = "Birds of Erendis",
			},
			[69] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Aldarion give to Tar-Meneldur with concern just after finishing his last journey as the King\'s Heir?",
				["Answer"] = "Letter",
			},
			[70] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From who was the letter that Tar-Meneldur received from Middle-earth through Aldarion?",
				["Answer"] = "Gil-Galad",
			},
			[71] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gil-Galad\'s message foretell to Tar-Meneldur?",
				["Answer"] = "War",
			},
			[72] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Tar-Meneldur decide when he read the message that Aldarion brought him from Middle-earth?",
				["Answer"] = "Resign the Sceptre",
			},
			[73] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Aldarion, already King of Nmenor, happen to meet in Tharbad once?",
				["Answer"] = "Celeborn and Galadriel",
			},
			[74] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the only teacher Ancalim had?",
				["Answer"] = "Erendis",
			},
			[75] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age was Ancalim proclaimed King\'s Heir?",
				["Answer"] = "19",
			},
			[76] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who changed the law of succession of Nmenor so that the Heir was the eldest child of the King, regardless of sex?",
				["Answer"] = "Aldarion",
			},
			[77] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Nmenor renounced to take the Sceptre, but being nevertheless inscribed in the Book of the Kings as King for one year?",
				["Answer"] = "Vardamir",
			},
			[78] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "One of the changes Aldarion made to the system of succession to the Sceptre of Nmenor was that the Heir had to marry someone belonging to the...",
				["Answer"] = "Line of Elros",
			},
			[79] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which lands did Ancalim retire to be a shepherdess after being proclaimed King\'s Heir?",
				["Answer"] = "Hyarastorni",
			},
			[80] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What shepherd, who courted her, did Ancalim meet in her retreat to the countryside?",
				["Answer"] = "Mmandil",
			},
			[81] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who turned out to be Mmandil?",
				["Answer"] = "Hallacar of Hyarastorni",
			},
			[82] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Ancalim forbid all her women when she was Queen?",
				["Answer"] = "Marriage",
			},
			[83] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who organized both the wedding and the farewell feast of the women of Ancalim, mocking her?",
				["Answer"] = "Hallacar",
			},
			[84] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Galadriel distrust from her earliest years?",
				["Answer"] = "Fanor",
			},
			[85] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did some people think Fanor inspired by when he thought in blending the light of the Two Trees in a jewel?",
				["Answer"] = "Galadriel",
			},
			[86] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Thanks to whom could Frodo go to Valinor?",
				["Answer"] = "Galadriel",
			},
			[87] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Fanor ask Galadriel three times?",
				["Answer"] = "Tress",
			},
			[88] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What motive, other than live in the wide unguarded lands in freedom, made Galadriel go on even after the Kinslaying of Alqualond?",
				["Answer"] = "Thwart Fanor",
			},
			[89] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Galadriel and Celeborn live after leaving Beleriand?",
				["Answer"] = "Lindon",
			},
			[90] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Dwarves of Belegost move after the ruin of Doriath and the defeat of Morgoth?",
				["Answer"] = "Khazad-dm",
			},
			[91] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Because of what historical event did Celeborn always distrust the Dwarves?",
				["Answer"] = "Ruin of Doriath",
			},
			[92] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In whom did Galadriel see the best soldiers to fight the Orcs?",
				["Answer"] = "Dwarves",
			},
			[93] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Around what year of the Second Age did Annatar make his appearance in Eregion?",
				["Answer"] = "1200",
			},
			[94] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What year of the Second Age is usually taken as the beginning of the construction of Barad-dr?",
				["Answer"] = "1000",
			},
			[95] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What year of the Second Age is usually taken as the end of the construction of Barad-dr?",
				["Answer"] = "1600",
			},
			[96] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Around what year of the Second Age was the name \"Sauron\" first known?",
				["Answer"] = "1600",
			},
			[97] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Galadriel save from the machinations of Sauron, when he was disguised among the Elves in the Second Age?",
				["Answer"] = "Lothlrien",
			},
			[98] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What lands did Gil-Galad save from the machinations of Sauron, when he was disguised among the Elves in the Second Age?",
				["Answer"] = "Lindon",
			},
			[99] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was one of the first acts wich the smiths of Eregion were persuaded by Sauron when he acquired some prominence?",
				["Answer"] = "Revolting against Celeborn and Galadriel",
			},
			[100] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Galadriel go after losing her status in Eregion?",
				["Answer"] = "Lothlrien",
			},
			[101] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What place Celeborn did not want to enter when going to Lothlrien when he lost hisstatus in Eregion, staying instead?",
				["Answer"] = "Khazad-dm",
			},
			[102] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Sauron seize the Nine Rings of Men?",
				["Answer"] = "Eregion",
			},
			[103] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The armies of which three Lords defended Eregion from Sauron\'s first attack?",
				["Answer"] = "Celeborn Celebrimbor and Elrond",
			},
			[104] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sauron carry as a banner to the Battle of Eregion after retreating and finding out the whereabouts of the missing Rings?",
				["Answer"] = "Corpse of Celebrimbor",
			},
			[105] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From where was Sauron\'s army attacked when it had swept through Eregion and was pursuing those who were fleeing?",
				["Answer"] = "Khazad-dm",
			},
			[106] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Elrond\'s army flee in retreat from Eregion?",
				["Answer"] = "Imladris",
			},
			[107] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "After what event did Elrond build the refuge of Rivendell?",
				["Answer"] = "Fall of Eregion",
			},
			[108] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who commanded the army of Lrinand that fought against Sauron in Eregion?",
				["Answer"] = "Amroth",
			},
			[109] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who aided Gil-Galad against Sauron in his invasion of Eriador, causing his defeat?",
				["Answer"] = "Nmenreans",
			},
			[110] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Nmenrean captain landed at Vinyalond, wiping out the rear of Sauron\'s army in his invasion of Eriador?",
				["Answer"] = "Ciryatur",
			},
			[111] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "After what event was the first Council held?",
				["Answer"] = "Fall of Eregion",
			},
			[112] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Galadriel reunited with Celeborn after the fall of Eregion?",
				["Answer"] = "Rivendell",
			},
			[113] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What place is said that Celeborn, Galadriel, and Celebran lived in for a time after the fall of Eregion?",
				["Answer"] = "Dol Amroth",
			},
			[114] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Although it is often said that Celebrimbor gave one of the Three Rings to Crdan, who did really give it to him, having received it before from Celebrimbor?",
				["Answer"] = "Gil-Galad",
			},
			[115] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Amroth and Nimrodel decide to travel together?",
				["Answer"] = "Valinor",
			},
			[116] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What caused Amroth\'s ship to depart before his wish?",
				["Answer"] = "Storm",
			},
			[117] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Amroth do when he saw that his ship had left without Nimrodel against his will?",
				["Answer"] = "Leapt into the sea",
			},
			[118] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In a small mere of which river is it usually said that Nimrodel lingered?",
				["Answer"] = "Gilrain",
			},
			[119] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Celeborn and Galadriel live immediately before returning to Lothlrien for good?",
				["Answer"] = "Rivendell",
			},
			[120] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who is said to have been the first to dwell in a talan?",
				["Answer"] = "Amroth",
			},
			[121] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who received the Elessar as a gift in the Second Age?",
				["Answer"] = "Galadriel",
			},
			[122] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Galadriel give the Elessar to after receiving her Elven Ring?",
				["Answer"] = "Celebran",
			},
			[123] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took the Elessar out of Middle-earth?",
				["Answer"] = "Erendil",
			},
			[124] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Oropher of Mirkwood die?",
				["Answer"] = "Dagorlad",
			},
			[125] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who started the fellings of the great forest of Minhiriath and Enedwaith, causing it to disappear for the most part and the natives to become hostile?",
				["Answer"] = "Aldarion",
			},
			[126] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year did the Great Plague that ravaged Gondor occur?",
				["Answer"] = "1636",
			},
			[127] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two sons of Isildur protected Minas Ithil while he fought inside Mordor?",
				["Answer"] = "Aratan and Ciryon",
			},
			[128] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which son of Isildur was the only one who accompanied him throughout the war against Sauron, except at the end to the Orodruin?",
				["Answer"] = "Elendur",
			},
			[129] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event caused half of Rohvanion\'s population to die, and also half of its horses?",
				["Answer"] = "Plague",
			},
			[130] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who killed Narmacil II of Gondor?",
				["Answer"] = "Wainriders",
			},
			[131] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which leader of the othod helped Gondor defeat the Wainriders?",
				["Answer"] = "Marhwini",
			},
			[132] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did attack Gondor with the help of other Eastern peoples in the year 1944 of the Third Age?",
				["Answer"] = "Wainriders",
			},
			[133] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the base of Ernil\'s army in 1944 of the Third Age, when he watch from an attack coming from the south?",
				["Answer"] = "Pelargir",
			},
			[134] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Ondoher and his son Artamir die?",
				["Answer"] = "Dagorlad",
			},
			[135] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which son of Ondoher went to battle with the othod against the Wainriders, instead of staying in Minas Tirith as regent?",
				["Answer"] = "Faramir",
			},
			[136] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who led the othod to the lands called othod, under the Grey Mountains, from which the name of this people came?",
				["Answer"] = "Frumgar",
			},
			[137] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the historical period of relative peace due to Sauron\'s flight from Dol Guldur when Gandalf went there, and the consequent inactivity of the Nazgl?",
				["Answer"] = "Watchful Peace",
			},
			[138] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what two places did the attack that ended the Watchful Peace come from, in 2460 of the Third Age?",
				["Answer"] = "Mordor and Umbar",
			},
			[139] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tribe of Easterlings attempted to invade Calenardhon in the Third Age 2510?",
				["Answer"] = "Balchoth",
			},
			[140] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many messengers did Cirion send to the othod to ask for help against the invaders?",
				["Answer"] = "6",
			},
			[141] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the only messenger of Cirion who managed to reach Eorl, and who returned with him to the battle?",
				["Answer"] = "Borondir",
			},
			[142] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what place did Borondir die?",
				["Answer"] = "Field of Celebrant",
			},
			[143] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Borondir buried?",
				["Answer"] = "Hallows of Minas Tirith",
			},
			[144] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days did it take for Cirion\'s messenger to arrive before Eorl from Minas Tirith?",
				["Answer"] = "15",
			},
			[145] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Approximately how many men did Eorl have to help Gondor?",
				["Answer"] = "7000",
			},
			[146] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who helped the othod to sneak into Field of Celebrant?",
				["Answer"] = "Galadriel",
			},
			[147] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days did it take the othod to reach Field of Celebrant from their home?",
				["Answer"] = "9",
			},
			[148] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the othod find when they arrived near Lothlrien, which helped them to keep them going hidden and, mysteriously, without tiring?",
				["Answer"] = "Mist",
			},
			[149] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Cirion summon Eorl three months after the Battle of Field of Celebrant?",
				["Answer"] = "Firien Wood",
			},
			[150] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what place, where only the Stewards and Kings had known of their existence until then, did Cirion and Eorl swear to each other the eternal friendship of their peoples?",
				["Answer"] = "Tomb of Elendil",
			},
			[151] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the custom of the Kings of Gondor consisting in bringing his heir before the Tomb of Elendil?",
				["Answer"] = "Tradition of Isildur",
			},
			[152] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Gondor was the first to establish the office of Steward and its duties?",
				["Answer"] = "Rmendacil I",
			},
			[153] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Steward moved the Tomb of Elendil, whose sanctuary later became a beacon?",
				["Answer"] = "Cirion",
			},
			[154] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf tell Frodo and the Company the story of how he undertook the quest to reconquer Erebor?",
				["Answer"] = "Minas Tirith",
			},
			[155] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Gandalf think Sauron would attack first when he was in Dol Guldur?",
				["Answer"] = "Lrien and Rivendell",
			},
			[156] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first matter thah Gandalf thought should be solved to fight Sauron, when he was in Dol Guldur?",
				["Answer"] = "Smaug",
			},
			[157] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf go after leaving Thorin at his house the first time he visited him?",
				["Answer"] = "Shire",
			},
			[158] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf want to see in the Shire after talking to Thorin, whom he guessed was \"sick at heart for a sight of the wide world\"?",
				["Answer"] = "Bilbo",
			},
			[159] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Gandalf look for after he was in the Shire looking for Bilbo unsuccessuflly, when he was not yet out of his tweens?",
				["Answer"] = "Thorin",
			},
			[160] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Thorin ask for in exchange for taking Bilbo?",
				["Answer"] = "Gandalf should also go",
			},
			[161] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which member of the Fellowship of the Ring asked Gandalf about his role in the Quest of Erebor and the obtaining and destruction of the One Ring?",
				["Answer"] = "Gimli",
			},
			[162] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What motive concerning Smaug did Gandalf give Thorin to take Bilbo?",
				["Answer"] = "Never smelled any Hobbit",
			},
			[163] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the conversation they had with Gandalf, what did Thorin and the others think that strange Hobbit of whom Gandalf told them was?",
				["Answer"] = "Professional thief",
			},
			[164] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Nazgl were there in Dol Guldur before they embarked on their mission in the War of the Ring?",
				["Answer"] = "2",
			},
			[165] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Nazgl were there in Minas Morgul before they embarked on their mission in the War of the Ring?",
				["Answer"] = "7",
			},
			[166] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Ringwraith did command Dol Guldur until he embarked on his mission in the War of the Ring?",
				["Answer"] = "Khaml",
			},
			[167] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Ringwraith was command Minas Morgul until he embarked on his mission in the War of the Ring?",
				["Answer"] = "Witch-King",
			},
			[168] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Black Rider who spoke to Gaffer Gamgee the night the Hobbits left Bag End?",
				["Answer"] = "Khaml",
			},
			[169] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Black Rider who caught up with the Hobbits at the Ferry?",
				["Answer"] = "Khaml",
			},
			[170] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Nazgl of Dol Guldur and Minas Morgul met to go out in search of the Ring?",
				["Answer"] = "Field of Celebrant",
			},
			[171] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gollum hide for fear of the Nazgl after escaping Mirkwood and the Orcs who captured him?",
				["Answer"] = "Moria",
			},
			[172] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Trying to deceive Sauron, near what place did Gollum say the land of the Halflings was?",
				["Answer"] = "Gladden Fields",
			},
			[173] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Near what place thought the Nazgl that wouldn\'t be strange for the land of the Halflings to be, as they hated it?",
				["Answer"] = "Lothlrien",
			},
			[174] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Nazgl go straight after exploring all the North to the west of the Misty Mountains in search of the Ring, and after receiving rebukes from Sauron?",
				["Answer"] = "Isengard",
			},
			[175] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whom did the Nazgl seek out, convinced by Saruman?",
				["Answer"] = "Gandalf",
			},
			[176] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who revealed to the Nazgl the location of the Shire, though he never spoke of their meeting to anyone?",
				["Answer"] = "Wormtongue",
			},
			[177] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who had sent to Bree the Dunlending spy that the Hobbits saw there?",
				["Answer"] = "Nazgl",
			},
			[178] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did the Dunlending spy the Hobbits saw in Bree originally work for?",
				["Answer"] = "Saruman",
			},
			[179] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Against who had Saruman\'s troops orders to atack relentlessly, until they finally killed him?",
				["Answer"] = "Thodred",
			},
			[180] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What special type of Orcs did Saruman have at his disposal for the fight against Rohan?",
				["Answer"] = "Uruk-hai",
			},
			[181] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days was Erkenbrand occupied in gathering as many men as he could to defend the Westfold from Saruman\'s armies?",
				["Answer"] = "3",
			},
			[182] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What battles did take place at Rohan just before the siege of Hornburg, where the Company was a part?",
				["Answer"] = "Battles of the Fords of Isen",
			},
			[183] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which Battle did Thodred die?",
				["Answer"] = "Battle of the Fords of Isen",
			},
			[184] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was Thodred buried?",
				["Answer"] = "Fords of Isen",
			},
			[185] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many Battles of the Fords of Isen were there?",
				["Answer"] = "2",
			},
			[186] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Captains of the Rohirrim took command in the defence of the Fords of Isen when Thodred died?",
				["Answer"] = "Elfhelm and Grimbold",
			},
			[187] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which people did the Men Saruman had in his army belong?",
				["Answer"] = "Dunlendings",
			},
			[188] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Thoden appoint First Marshal of the Mark when he came out of his illness?",
				["Answer"] = "omer",
			},
			[189] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Captains of the Rohirrim were appointed acting Marshals of the Mark when Thoden came out from his illness?",
				["Answer"] = "Elfhelm and Grimbold",
			},
			[190] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Marshal of the Mark destroyed the army that had invaded Anrien while omer was going to the Gates of Mordor?",
				["Answer"] = "Elfhelm",
			},
			[191] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which two Captains of the Rohirrim were appointed after the War of the Ring: Marshal of the East-mark and Marshal of the West-mark, respectively?",
				["Answer"] = "Elfhelm and Erkenbrand",
			},
			[192] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which people of Men was least affected by the plague of 1636 of the Third Age?",
				["Answer"] = "Dunlendings",
			},
			[193] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who took Isengard with the passing of time, until it was theirs in the days of King Dor of Rohan?",
				["Answer"] = "Dunlendings",
			},
			[194] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which King of Rohan did recover Isengard?",
				["Answer"] = "Fralf",
			},
			[195] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what time of famine was Isengard recovered from the Dunlendings?",
				["Answer"] = "Long Winter",
			},
			[196] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At the end of the First Age, where did the few remaining Dredain live?",
				["Answer"] = "Nmenor",
			},
			[197] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What event can be marked as the departure of the last Dredain from Numenor?",
				["Answer"] = "Arrival of Sauron",
			},
			[198] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the tale about the Dredain that tells the story of the plight of a forester and the help given to him by a Drg?",
				["Answer"] = "The Faithful Stone",
			},
			[199] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Aghan leave at Barach\'s house to protect him and his family in his absence?",
				["Answer"] = "Watch-stone",
			},
			[200] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Orcs try do to Barach\'s house in Aghan\'s absence?",
				["Answer"] = "Burn it",
			},
			[201] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What saved Barach and his house from the Orcs?",
				["Answer"] = "Watch-stone",
			},
			[202] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Barach see in Aghan when he returned home the day after the fire and after seeing the scorched watch-stone, that left him amazed?",
				["Answer"] = "Bandaged legs",
			},
			[203] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who are said to have attacked, from the Drwaith Iaur, the remnants of Saruman\'s troops that fled southwards during the War of the Ring?",
				["Answer"] = "Dredain",
			},
			[204] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Because of what item in possession of Gandalf did Saruman\'s hidden animosity for Gandalf begin?",
				["Answer"] = "Narya",
			},
			[205] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who are said to have been the founders or beginners of secret cults and \"magic\" traditions that outlasted the fall of Sauron?",
				["Answer"] = "Blue Wizards",
			},
			[206] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istar was the last to arrive to Middle-earth?",
				["Answer"] = "Gandalf",
			},
			[207] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istar was the only one who stayed true to his mission?",
				["Answer"] = "Gandalf",
			},
			[208] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With whom are the Blue Wizards said to have gone eastwards, though they never returned?",
				["Answer"] = "Saruman",
			},
			[209] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name given to the Istari who went east and were never heard from again?",
				["Answer"] = "Blue Wizards",
			},
			[210] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Istar did Saruman take with him to please Yavanna?",
				["Answer"] = "Radagast",
			},
			[211] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Queen of Gondor was erased from the Book of the Kings and set adrift with her hated cats?",
				["Answer"] = "Berthiel",
			},
			[212] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the Last Battle of Arda, named in the Second Prophecy of Mandos?",
				["Answer"] = "Dagor Dagorath",
			},
			[213] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Palantir of Minas Ithil end up being destroyed?",
				["Answer"] = "Barad-dr",
			},
			[214] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Ruling Steward of Gondor was the only one that used the Palantir of Minas Tirith?",
				["Answer"] = "Denethor II",
			},
			[215] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what geographical place, a hill, did Pippin peer into the Palantir of Orthanc?",
				["Answer"] = "Dol Baran",
			},
			[216] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From the death of which Steward did the Stewardship of Gondor become hereditary?",
				["Answer"] = "Pelendur",
			},
		}
	},
	[73] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Items - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What musical instrument did Tuor always carry with him?",
				["Answer"] = "Harp",
			},
			[2] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What curious object, which amazed Tuor, was Gelmir carrying?",
				["Answer"] = "Fanorian lamp",
			},
			[3] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Gates to Gondolin?",
				["Answer"] = "7",
			},
			[4] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first Gate of Gondolin?",
				["Answer"] = "Gate of Wood",
			},
			[5] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the second Gate of Gondolin?",
				["Answer"] = "Gate of Stone",
			},
			[6] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the third Gate of Gondolin?",
				["Answer"] = "Gate of Bronze",
			},
			[7] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the fourth Gate of Gondolin?",
				["Answer"] = "Iron Gate",
			},
			[8] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the fifth Gate of Gondolin?",
				["Answer"] = "Gate of Silver",
			},
			[9] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the sixth Gate of Gondolin?",
				["Answer"] = "Golden Gate",
			},
			[10] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the seventh Gate of Gondolin?",
				["Answer"] = "Gate of Steel",
			},
			[11] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who made the last Gate of Gondolin?",
				["Answer"] = "Maeglin",
			},
			[12] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gondolin\'s Iron Gate dedicated to?",
				["Answer"] = "Eagles",
			},
			[13] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gondolin\'s Gate of Silver dedicated to?",
				["Answer"] = "Telperion",
			},
			[14] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gondolin\'s Golden Gate dedicated to?",
				["Answer"] = "Laurelin",
			},
			[15] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Trin receive from his father when he turned 8?",
				["Answer"] = "Elvish knife",
			},
			[16] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Trin give his valuable knife when he was a child?",
				["Answer"] = "Sador",
			},
			[17] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What the name did the Black Sword receive in Brethil when Trin faced Glaurung?",
				["Answer"] = "Black Thorn",
			},
			[18] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Although hollow, what material were the bows of the Archers of the King of Nmenor made of?",
				["Answer"] = "Steel",
			},
			[19] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which heirloom of the fathers of the Edain was the only one that sirvived the Downfall of Nmenor?",
				["Answer"] = "Ring of Barahir",
			},
			[20] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon did Tuor normally use?",
				["Answer"] = "Axe",
			},
			[21] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Axe of Tuor?",
				["Answer"] = "Dramborleg",
			},
			[22] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon from the House of Hador was inherited by the Kings of Nmenor?",
				["Answer"] = "Axe of Tuor",
			},
			[23] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon from the House of Bor, apart from the Ring of Barahir, was inherited by the Kings of Nmenor?",
				["Answer"] = "Bow of Bre",
			},
			[24] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Vantur\'s ship?",
				["Answer"] = "Entuless",
			},
			[25] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who received the Ring of Barahir, preserving it since in the House of the Lords of Andni?",
				["Answer"] = "Silmarien",
			},
			[26] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ship on which Aldarion made his first voyages to Middle-earth?",
				["Answer"] = "Nmerrmar",
			},
			[27] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Aldarion call the ship he built to serve as his home?",
				["Answer"] = "Embar",
			},
			[28] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the largest ship that Aldarion had built?",
				["Answer"] = "Palarran",
			},
			[29] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which tree was the Green Bough of Return cut?",
				["Answer"] = "Oiolair",
			},
			[30] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves of Eressa give to Aldarion?",
				["Answer"] = "Tree",
			},
			[31] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves of Eressa give to Erendis?",
				["Answer"] = "Birds",
			},
			[32] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the shipbuilders call the great castle-ship of Aldarion while they were building it?",
				["Answer"] = "Turuphanto",
			},
			[33] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great castle-ship that Aldarion had built for himself?",
				["Answer"] = "Hirilond",
			},
			[34] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Aldarion call the tree given to him by the Elves of Eressa, the only thing he spared in his house in Armenelos?",
				["Answer"] = "Ancalim",
			},
			[35] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Instead of the Bough of Return, what figure, a gift from Crdan, did Aldarion carry henceforth on the prow of his ship?",
				["Answer"] = "Eagle",
			},
			[36] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the green stone that imprisoned the light of the sun, and to which was attributed a healing power over everything around it?",
				["Answer"] = "Elessar",
			},
			[37] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the first Elessar made?",
				["Answer"] = "Gondolin",
			},
			[38] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For whom was the first Elessar made?",
				["Answer"] = "Idril",
			},
			[39] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What word was on the seal for the Stewards, under the Seven Stars of Gondor?",
				["Answer"] = "Arandur",
			},
			[40] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the images that the Dredain made of themselves and placed at the entrances to tracks or at turnings of woodland paths?",
				["Answer"] = "Watch-stones",
			},
			[41] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was called the only Palantir on Middle-earth that could \"eavesdrop\" on the conversations of other Stones?",
				["Answer"] = "Master Stone",
			},
			[42] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the Stone that was the chief of the Northern Palantri originally placed?",
				["Answer"] = "Amon Sl",
			},
			[43] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The vision of the Palantri could traverse physical obstacles, but what was still necessary to be able to see its target?",
				["Answer"] = "Light",
			},
		}
	},
	[74] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Languages - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Languages (Quotes)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Anar kaluva tielyanna\" mean?",
				["Answer"] = "The sun shall shine upon your path",
			},
			[2] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cabed-en-Aras\" mean?",
				["Answer"] = "Deer\'s Leap",
			},
			[3] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sarch nia Hn Hrin\" mean?",
				["Answer"] = "Grave of the Children of Hrin",
			},
			[4] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Echad i Sedryn\" mean?",
				["Answer"] = "Camp of the Faithful",
			},
			[5] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Arandor\" mean?",
				["Answer"] = "Kingsland",
			},
			[6] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Noirinan\" mean?",
				["Answer"] = "Valley of the Tombs",
			},
			[7] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sorontil\" mean?",
				["Answer"] = "Eagle-horn",
			},
			[8] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Vinyalond\" mean?",
				["Answer"] = "New Haven",
			},
			[9] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Calmindon\" mean?",
				["Answer"] = "Light-tower",
			},
			[10] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Yzyan\" mean in Adnaic?",
				["Answer"] = "Land of Gift",
			},
			[11] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the \"Dwarf-Road\"?",
				["Answer"] = "Men-i-Naugrim",
			},
			[12] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lrinand\" mean?",
				["Answer"] = "Valley of Gold",
			},
			[13] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin equivalent of \"Lrinand\"?",
				["Answer"] = "Glornan",
			},
			[14] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gwathir\" mean?",
				["Answer"] = "River of Shadow",
			},
			[15] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Cirith Dath\" mean?",
				["Answer"] = "Shadow Cleft",
			},
			[16] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Anwar\" mean?",
				["Answer"] = "Hill of Awe",
			},
			[17] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How do you say \"ford\" in Sindarin?",
				["Answer"] = "Athrad",
			},
			[18] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name for the \"Dradan Forest\"?",
				["Answer"] = "Tawar-in-Dredain",
			},
			[19] =
			{
				["Category"] = "Languages (History)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dagor Dagorath\" mean?",
				["Answer"] = "Battle of All Battles",
			},
			[20] =
			{
				["Category"] = "Languages (Music)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Rochon Methestel\" mean?",
				["Answer"] = "Rider of the Last Hope",
			},
			[21] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dramborleg\" mean?",
				["Answer"] = "Thudder-Sharp",
			},
			[22] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nmerrmar\" mean?",
				["Answer"] = "West-wings",
			},
			[23] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Embar\" mean?",
				["Answer"] = "Sea-dwelling",
			},
			[24] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Palarran\" mean?",
				["Answer"] = "Far-Wanderer",
			},
			[25] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Turuphanto\" mean?",
				["Answer"] = "Wooden Whale",
			},
			[26] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Hirilond\" mean?",
				["Answer"] = "Haven-finder",
			},
			[27] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gaurwaith\" mean?",
				["Answer"] = "Wolf-men",
			},
			[28] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Inziladn\" or \"Nmellot\" mean?",
				["Answer"] = "Flower of the West",
			},
			[29] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Emerwen Aranel\" mean?",
				["Answer"] = "Princess Shepherdess",
			},
			[30] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nerwen\" mean?",
				["Answer"] = "Man-maiden",
			},
			[31] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Artanis\" mean?",
				["Answer"] = "Noble Woman",
			},
			[32] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Artano\" mean?",
				["Answer"] = "High-smith",
			},
			[33] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aulendil\" mean?",
				["Answer"] = "Servant of Aul",
			},
			[34] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amroth\" mean?",
				["Answer"] = "High Climber",
			},
			[35] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Celeborn in the Telerin language?",
				["Answer"] = "Teleporno",
			},
			[36] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Arandur\" mean?",
				["Answer"] = "King\'s Servant",
			},
			[37] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Udalraph\" mean?",
				["Answer"] = "Stirrupless",
			},
			[38] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How is \"Heren Istarion\" usually translated?",
				["Answer"] = "Order of Wizards",
			},
			[39] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the \"Blue Wizards\"?",
				["Answer"] = "Ithryn Luin",
			},
			[40] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Gandalf\" mean?",
				["Answer"] = "Elf of the Wand",
			},
			[41] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Aiwendil\" mean?",
				["Answer"] = "Lover of Birds",
			},
			[42] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Orcs call the Noldor?",
				["Answer"] = "Golug",
			},
			[43] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Eruhantal\" mean?",
				["Answer"] = "Thanksgiving to Eru",
			},
			[44] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Erukyerm\" mean?",
				["Answer"] = "Prayer to Eru",
			},
			[45] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Erulaital\" mean?",
				["Answer"] = "Praise of Eru",
			},
			[46] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Some of the Eldar received as a title of admiration or honour. How is this nickname called in Quenya?",
				["Answer"] = "Epess",
			},
			[47] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From what Sindarin word comes \"Rohan\", derived from it because of the evolution of spoken language?",
				["Answer"] = "Rochand",
			},
		}
	},
	[75] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Music - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who composed the Narn i Hn Hrin?",
				["Answer"] = "Drhavel",
			},
			[2] =
			{
				["Category"] = "Music",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the name of the song of praise to Borondir of Gondor, the messenger of Cirion?",
				["Answer"] = "Rochon Methestel",
			},
		}
	},
	[76] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Peoples - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Men of the East call the Men of the House of Hador?",
				["Answer"] = "Strawheads",
			},
			[2] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Mm call the Avari?",
				["Answer"] = "Wild Elves",
			},
			[3] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What three festivals dedicated to Eru were celebrated in Nmenor?",
				["Answer"] = "Erukyerm Eruhantal and Erulaital",
			},
			[4] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Nmenreans call the Eagles that guarded Meneltarma?",
				["Answer"] = "Witnesses of Manw",
			},
			[5] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the festivals that the Nmenreans consecrated to Eru was celebrated in spring?",
				["Answer"] = "Erukyerm",
			},
			[6] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the festivals that the Nmenreans consecrated to Eru was celebrated in summer?",
				["Answer"] = "Eruhantale",
			},
			[7] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which of the festivals that the Nmenreans consecrated to Eru was celebrated in too?",
				["Answer"] = "Erulaital",
			},
			[8] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Apart from being great navigators, the Nmenreans also stood out as great...",
				["Answer"] = "Horsemen",
			},
			[9] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who, during the Second Age, were the most feared archers in Middle-earth?",
				["Answer"] = "Nmenreans",
			},
			[10] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did the sons of the Kings of Nmenor usually obtain the title of Heir?",
				["Answer"] = "100",
			},
			[11] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What used the wives of the Nmenrean sailors to put on the bow of the ship every time they left for Middle-earth?",
				["Answer"] = "Green Bough of Return",
			},
			[12] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The Queens of Which Kingdom used to wear a silver hairnet with a white gem instead of a crown?",
				["Answer"] = "Nmenor",
			},
			[13] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In the lands around which city of Nmenor was Sindarin the most common language?",
				["Answer"] = "Andni",
			},
			[14] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which lineage of the Edain did most of the inhabitants of northwestern Nmenor come?",
				["Answer"] = "Bor",
			},
			[15] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For what kind of units only did the Nmenoreans normally use their horses in war?",
				["Answer"] = "Archers and couriers",
			},
			[16] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was a \"pace\" called, according to the Numenrean lengths?",
				["Answer"] = "Ranga",
			},
			[17] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many rangar are there in a Lr according to Nmenrean length units?",
				["Answer"] = "5000",
			},
			[18] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which \"breed\" of Hobbits were the first to be found by the Nmenreans?",
				["Answer"] = "Harfoots",
			},
			[19] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which people of Men was formed from the remnants of the people of Rhovanion that could escape the rule of the Wainriders?",
				["Answer"] = "othod",
			},
			[20] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Although at first the ored did not have a fixed number, what was the number that King Folcwine did establish as the minimum of men an ored should contain?",
				["Answer"] = "120",
			},
			[21] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the full muster of the Rohirrim cavalry in time of war?",
				["Answer"] = "ohere",
			},
			[22] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did they say in the Shire that happens to the Hobbits who went on journeys or adventures?",
				["Answer"] = "They go off",
			},
			[23] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which people of Men were the ever-enemies of the Rohirrim?",
				["Answer"] = "Dunlendings",
			},
			[24] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The Dead of the White Mountains that Isildur had cursed, to which people of Men they did belong?",
				["Answer"] = "Dunlendings",
			},
			[25] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To which race did those who did not know them, motivated by their physical appearance, compare the Dredain?",
				["Answer"] = "Orcs",
			},
			[26] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the People of Haleth call the strange race of Men who lived among them?",
				["Answer"] = "Drg",
			},
			[27] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Drg called by the Elves?",
				["Answer"] = "Dredain",
			},
			[28] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did the Dredain take refuge in winter?",
				["Answer"] = "Caves",
			},
			[29] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which were the only creatures that the Dredain did not respect and protect?",
				["Answer"] = "Orcs",
			},
			[30] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom had the Atani acquired the knowledge and use of metals?",
				["Answer"] = "Dwarves",
			},
			[31] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Orcs call the Dredain?",
				["Answer"] = "Oghor-hai",
			},
			[32] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the greatest artistic ability of the Dredain?",
				["Answer"] = "Sculpture",
			},
			[33] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What great natural ability of the Dredain was of great help to the People of Haleth in keeping themselves protected?",
				["Answer"] = "Vigilance",
			},
			[34] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which area of Middle-earth is the oldest known provenance of the Dredain?",
				["Answer"] = "South of Mordor",
			},
			[35] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How were the Dredain called by the Rohirrim?",
				["Answer"] = "Woses",
			},
			[36] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what lands of Andrast did the Dredain once live?",
				["Answer"] = "Drwaith Iaur",
			},
			[37] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The Valar and Maiar could assume a feigned physical form but, which were the only Maiar that took a real physical form, \"subject to the fears and pains and weariness of earth\"?",
				["Answer"] = "Istari",
			},
		}
	},
	[77] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Quotes - Medium",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Yet I have heard that your House has the favour of the Lord of Waters. And if his counsels lead you to Turgon, then surely shall you come to him, withersoever yon turn\". Who said this and to whom?",
				["Answer"] = "Gelmir to Tuor",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"But behold! In the armour of Fate [...] there is ever a rift, and in the walls of Doom a breach, until the full-making, which ye call the End. So it shall be while I endure, a secret voice that gainsayeth, and a light where darkness was decreed\". Who did say this words?",
				["Answer"] = "Ulmo",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"A darkness lies behind us, and out of it few tales have come. The fathers of our fathers may have had things to tell, but they did not tell them. [...] The Mountains stand between us and the life that they came from, flying from no man now knows what\". Who does this speak of?",
				["Answer"] = "Men",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"It may be that we fled from the fear of the Dark, only to find it here before us, and nowhere else to fly to but the Sea\". Who uttered these words?",
				["Answer"] = "Sador",
			},
			[5] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Do you forget to whom you speak? Such things you spoke long ago to our fathers; but we escaped from your shadow. And now we have knowledge of you, for we have looked on the faces that have seen the Light, and heard the voices that have spoken with Manw\"?",
				["Answer"] = "Hrin",
			},
			[6] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Have I been cozened, that I might come and die here dishonoured, who might at least have ended valiantly before the Doors of Nargothrond?\". Who said these words?",
				["Answer"] = "Trin",
			},
			[7] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"There you lie like a vole under the bank, Mablung the mighty! Ill do you run the errands of Thingol. Haste you now to the hill and see what is become of your charge!\". Who said it?",
				["Answer"] = "Glaurung",
			},
			[8] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"He stirs. The hour is upon us. Strike deep, for two must strike now for three!\"?",
				["Answer"] = "Trin",
			},
			[9] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Nothing, great or small, should live that once it had bitten\". What did these words refer to?",
				["Answer"] = "Black Sword",
			},
			[10] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"Call me by no such name! I am no daughter of Uinen: rather is she my foe\". Who said this?",
				["Answer"] = "Erendis",
			},
			[11] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Come! The weddings are prepared, and the bride-chambers ready. But since it cannot be thought that we should ask the Lady Ancalim, King\'s Heir, to lie with a farm-steward, then, alas! she must sleep alone tonight\"?",
				["Answer"] = "Hallacar",
			},
			[12] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"I know what is mine and you know what is yours; Let neither party disturb what belongs to the other. But if an Elf wishes to walk through my land for his delight, he will be welcome; and if a ___ is ever seen in your land, fear no evil.\" What did he mean?",
				["Answer"] = "Ent",
			},
			[13] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"I cannot use it. I dread the pain of touching it. And I have not yet found the strength to bend it to my will. It needs one greater than I now know myself to be. My pride has fallen\". Who said this and about what?",
				["Answer"] = "Isildur about The One Ring",
			},
			[14] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who uttered these words?: \"Vanda sina termaruva Elenna-nreo alcar enyalien ar Elendil Vorondo voronw. Nai tiruvantes i hrar mahalmassen mi Nmen ar i Eru i or ily mahalmar e tennoio.\"",
				["Answer"] = "Cirion",
			},
			[15] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"A chance-meeting, as we say in Middle-earth\"?",
				["Answer"] = "Gandalf",
			},
			[16] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"When you think of the great Battle of Pelennor, do not forget the Battle of Dale. Think of what might have been. Dragon-fire and savage swords in Eriador! There might be no Queen in Condor. We might now only hope to return from the victory here to ruin and ash\"?",
				["Answer"] = "Gandalf",
			},
			[17] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Because of what, according to Gandalf, if for nothing else, should \"the Little People be honoured\"?",
				["Answer"] = "Pipe-weed",
			},
			[18] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said, inspired by their strange foresight, \"The Great Isle no longer feels sure under our feet, and we wish to return to the lands whence we came\"?",
				["Answer"] = "Dredain",
			},
			[19] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "When Gandalf said that he was called \"in the South Incnus\" he was not referring to the south of Middle-earth. It was a name that had formerly been given to him in a Kingdom that was south of his \"zone of action\". Which was it?",
				["Answer"] = "Gondor",
			},
			[20] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"Yea; for though the Stones be lost, they say, still the lords of Gondor have keener sight than lesser men, and many messages come to them\"?",
				["Answer"] = "Denethor",
			},
		}
	},
	[78] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Characters - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Hrin and Morwen\'s blind servant?",
				["Answer"] = "Ragnir",
			},
			[2] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the master of Telchar?",
				["Answer"] = "Gamil Zirak",
			},
			[3] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Gamil Zirak?",
				["Answer"] = "the Old",
			},
			[4] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Azaghl give his helm as guerdon for having saved his life?",
				["Answer"] = "Maedhros",
			},
			[5] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Maedhros give the Dragon-helm as a token of friendship?",
				["Answer"] = "Fingon",
			},
			[6] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From whom did Hador receive the Dragon-helm?",
				["Answer"] = "Fingon",
			},
			[7] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Saeros?",
				["Answer"] = "Ithilbor",
			},
			[8] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the father of the young woman Trin saved when he killed Forweg?",
				["Answer"] = "Larnach",
			},
			[9] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Aerin\'s father?",
				["Answer"] = "Indor",
			},
			[10] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the person who dismissed Trin in the mountains on his return to Dor-Lmin?",
				["Answer"] = "Asgon",
			},
			[11] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Silmarien of Andni\'s husband?",
				["Answer"] = "Elatan",
			},
			[12] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the daughter of Vantur who married the King of Nmenor?",
				["Answer"] = "Almarian",
			},
			[13] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What title was given to Anardil of Nmenor, from which he began to be known as \"Aldarion\"?",
				["Answer"] = "Master of the Forests",
			},
			[14] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Ailinel of Nmenor marry?",
				["Answer"] = "Orchaldor",
			},
			[15] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Whose son was Orchaldor of Nmenor, descendant of the House of Hador?",
				["Answer"] = "Hatholdir",
			},
			[16] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Ailinel of Nmenor?",
				["Answer"] = "Soronto",
			},
			[17] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years was Aldarion older than Erendis?",
				["Answer"] = "71",
			},
			[18] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Baragund and Belegund\'s sister?",
				["Answer"] = "Bereth",
			},
			[19] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which woman of high lineage of the House of Bor did Erendis descend?",
				["Answer"] = "Bereth",
			},
			[20] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Erendis\'s father?",
				["Answer"] = "Beregar",
			},
			[21] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Erendis\'s mother?",
				["Answer"] = "Nneth",
			},
			[22] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what name was Erendis known in reference to the gem she used to wear on her forehead?",
				["Answer"] = "Elestirn",
			},
			[23] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what fragrant flower of Tol Eressa was Erendis crowned at her feast at Andni?",
				["Answer"] = "Lissuin",
			},
			[24] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the boy, the son of a sailor, who saw Ancalim as a child one day at home by chance?",
				["Answer"] = "bal",
			},
			[25] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the old chatterbox woman who was at the service of Erendis when Ancalim was a seven-year-old girl?",
				["Answer"] = "Zamn",
			},
			[26] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Aldarion\'s companion sailor who lived in Emeri near Erendis\'s house?",
				["Answer"] = "Ulbar",
			},
			[27] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the two men with whom Aldarion departed from Armenelos after returning from his last journey as King\'s Heir?",
				["Answer"] = "Henderch and Ulbar",
			},
			[28] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Quenya name did people give Ancalim when she retired to the countryside after being proclaimed King\'s Heir?",
				["Answer"] = "Emerwen Aranel",
			},
			[29] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Elros?",
				["Answer"] = "Atanalcar Manwendil Tindmiel and Vardamir",
			},
			[30] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Vardamir\'s sons and daughters?",
				["Answer"] = "Amandil Aulendil Nolondil and Vardilm",
			},
			[31] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were Tar-Amandil\'s sons and daughters?",
				["Answer"] = "Erendur Elendil and Maiten",
			},
			[32] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Erendur of Nmenor?",
				["Answer"] = "Caliondo",
			},
			[33] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the son of Caliondo and grandson of Erendur of Nmenor?",
				["Answer"] = "Malantur",
			},
			[34] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Nolondil of Hyarastorni?",
				["Answer"] = "Axantur Oromendil and Yvien",
			},
			[35] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Axantur of Hyarastorni?",
				["Answer"] = "Ardamir Cemendur and Lindiss",
			},
			[36] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who were the sons and daughters of Cemendur of Hyarastorni?",
				["Answer"] = "Hallatan and rild",
			},
			[37] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the second King of Nmenor?",
				["Answer"] = "Vardamir",
			},
			[38] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Third King of Nmenor?",
				["Answer"] = "Tar-Amandil",
			},
			[39] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the ninth King of Nmenor?",
				["Answer"] = "Tar-Srion",
			},
			[40] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eleventh King of Nmenor?",
				["Answer"] = "Tar-Minastir",
			},
			[41] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twelfth King of Nmenor?",
				["Answer"] = "Tar-Ciryatan",
			},
			[42] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the seventeenth King of Nmenor?",
				["Answer"] = "Tar-Alcarin",
			},
			[43] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the eighteenth King of Nmenor?",
				["Answer"] = "Tar-Calmacil",
			},
			[44] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the nineteenth King of Nmenor?",
				["Answer"] = "Tar-Ardamir",
			},
			[45] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-first King of Nmenor?",
				["Answer"] = "Ar-Zimrathn",
			},
			[46] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the twenty-second King of Nmenor?",
				["Answer"] = "Ar-Sakalthr",
			},
			[47] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Adnaic name of Tar-Calmacil?",
				["Answer"] = "Ar-Belzagar",
			},
			[48] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Tar-Ardamin\'s Adnaic name?",
				["Answer"] = "Ar-Abattrik",
			},
			[49] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of Ar-Adnakhr?",
				["Answer"] = "Tar-Herunmen",
			},
			[50] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of Ar-Zimrathn?",
				["Answer"] = "Tar-Hostamir",
			},
			[51] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of Ar-Sakalthr?",
				["Answer"] = "Tar-Falassion",
			},
			[52] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of Ar-Gimilzr?",
				["Answer"] = "Tar-Telemnar",
			},
			[53] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of Ar-Pharazn?",
				["Answer"] = "Tar-Calion",
			},
			[54] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What nickname was Vardamir given?",
				["Answer"] = "Nlimon",
			},
			[55] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Tar-Elendil called in relation to the books and legends he composed?",
				["Answer"] = "Parmait",
			},
			[56] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Tar-Atanamir?",
				["Answer"] = "the Great",
			},
			[57] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Erendur and Inzilbth\'s mother?",
				["Answer"] = "Lindri",
			},
			[58] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name did Amdr of Lrinand receive?",
				["Answer"] = "Malgalad",
			},
			[59] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the son of Marhari of Rhovanion?",
				["Answer"] = "Marhwini",
			},
			[60] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Marhwini\'s son?",
				["Answer"] = "Forthwini",
			},
			[61] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "One of the Captains of Ondoher in the battle that was fought at Dagorlad",
				["Answer"] = "Minohtar",
			},
			[62] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old were Bilbo\'s parents when they died?",
				["Answer"] = "80",
			},
			[63] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Erkenbrand\'s nephew?",
				["Answer"] = "Dnhere",
			},
			[64] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which son of Brego did omund claim to descend?",
				["Answer"] = "ofor",
			},
			[65] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the five Istari in Valinor?",
				["Answer"] = "Aiwendil Alatar Curumo Olrin and Pallando",
			},
			[66] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Istar who had been chosen by Aul to go to Middle-earth?",
				["Answer"] = "Saruman",
			},
			[67] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Istar who had been chosen by Orom to go to Middle-earth?",
				["Answer"] = "Alatar",
			},
			[68] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Istar who had been chosen by Manw and Varda to go to Middle-earth?",
				["Answer"] = "Gandalf",
			},
			[69] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Istar who had been chosen by Yavanna to go to Middle-earth?",
				["Answer"] = "Radagast",
			},
			[70] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Saruman?",
				["Answer"] = "the White",
			},
			[71] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Gandalf?",
				["Answer"] = "the Grey",
			},
			[72] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the nickname of Radagast?",
				["Answer"] = "the Brown",
			},
			[73] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Saruman\'s name as Maia?",
				["Answer"] = "Curumo",
			},
			[74] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did historians call Gandalf after the end of his works in Middle-earth?",
				["Answer"] = "Enemy of Sauron",
			},
			[75] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Gandalf called by the Dwarves?",
				["Answer"] = "Tharkn",
			},
			[76] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was Gandalf called in the South?",
				["Answer"] = "Incnus",
			},
			[77] =
			{
				["Category"] = "Characters",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Istari were the so-called \"Blue Wizards\"?",
				["Answer"] = "Alatar and Pallando",
			},
		}
	},
	[79] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Geography - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which region of Nmenor was the most populous?",
				["Answer"] = "Arandor",
			},
			[2] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the five promontories at the base of Meneltarma, which pointed to the five points of Nmenor?",
				["Answer"] = "Tarmasundar",
			},
			[3] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the seven species of \"Fragrant Trees\", brought by the Eldar to Eldalond?",
				["Answer"] = "Laireloss Malinorn Nessamelda Oiolair Taniquelass Vardarianna and Yavannamr",
			},
			[4] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the main fishing village of Nmenor?",
				["Answer"] = "Nindamos",
			},
			[5] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which tree with beautiful flowers was the most remarkable thing that grew in Hyarrostar?",
				["Answer"] = "Laurinqu",
			},
			[6] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the place of the quarries of Nmenor, in Forostar?",
				["Answer"] = "Ondosto",
			},
			[7] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Cirith Forn\'s full name?",
				["Answer"] = "Cirith Forn en Andrath",
			},
			[8] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name given to the great westward bends of the Anduin east of Fangorn Forest?",
				["Answer"] = "Undeeps",
			},
			[9] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great space opened by the otheod in Mirkwood as a result of their felling of trees?",
				["Answer"] = "East Bight",
			},
			[10] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What name did Halifirien receive from the Rohirrim?",
				["Answer"] = "Firienholt",
			},
			[11] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the defile between the Barrow-downs and the South through where the Greenway passed?",
				["Answer"] = "Andrath",
			},
			[12] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the base of Rohan\'s Muster of the Eastmark?",
				["Answer"] = "Aldburg",
			},
			[13] =
			{
				["Category"] = "Geography and Astronomy",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the previous name that the Rohirrim gave to Hornburg?",
				["Answer"] = "Sthburg",
			},
		}
	},
	[80] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "History - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What suddenly arose when Tuor played the harp, which led him to the Gate of the Noldor?",
				["Answer"] = "Rill",
			},
			[2] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Tuor find the Gate of the Noldor?",
				["Answer"] = "23",
			},
			[3] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many days did it take Tuor to get from Vinyamar to Gondolin?",
				["Answer"] = "38",
			},
			[4] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Trin use to do when he was under 5 years old?",
				["Answer"] = "Spy on Lalaith",
			},
			[5] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Morwen commission to take Trin from Dor-Lmin?",
				["Answer"] = "Gethron and Grithnir",
			},
			[6] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Trin throw at Saeros at the table in response to his taunts?",
				["Answer"] = "Drinking-vessel",
			},
			[7] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "With what companion did Trin go to spy on the Orcs who had plundered the region in which he and the outlaws had dwelt?",
				["Answer"] = "Orleg",
			},
			[8] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Brethil\'s scouts see that alerted them that Glaurung had left Nargothrond?",
				["Answer"] = "Fire",
			},
			[9] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Aldarion undertake his first voyage to Middle-earth?",
				["Answer"] = "25",
			},
			[10] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many years did Aldarion\'s first sea voyage last?",
				["Answer"] = "2",
			},
			[11] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How old was Aldarion when his father received the Sceptre?",
				["Answer"] = "40",
			},
			[12] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who ordered the construction of the tower of Tol Uinen?",
				["Answer"] = "Aldarion",
			},
			[13] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Tar-Meneldur do to try to make Aldarion forget about the sea and prevent him from building more ships?",
				["Answer"] = "Restricted the felling of trees",
			},
			[14] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Second Age was the Guild of Venturers and the port of Rmenna closed?",
				["Answer"] = "824",
			},
			[15] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Aldarion get married?",
				["Answer"] = "170",
			},
			[16] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Galadriel and Celeborn flee after the ruin of Doriath?",
				["Answer"] = "Mouths of Sirion",
			},
			[17] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Around what year of the Second Age did Ost-in-Edhil begin to be built?",
				["Answer"] = "750",
			},
			[18] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "During what event did Elrond first see Celebran?",
				["Answer"] = "First Council",
			},
			[19] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Until what year of the Third Age did Celeborn and Galadriel not return to Lothlrien to govern it?",
				["Answer"] = "1981",
			},
			[20] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Amroth and Nimrodel get engaged after she left Lothlrien?",
				["Answer"] = "Fangorn",
			},
			[21] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In what year of the Third Age did Elrond and Celebran marry?",
				["Answer"] = "109",
			},
			[22] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How far did Isildur flee from the battle of the Gladden Fields to the place where he was killed?",
				["Answer"] = "7 leagues",
			},
			[23] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "In which mttle did Marhari of Rhovanion die?",
				["Answer"] = "Battle of the Plains",
			},
			[24] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who did Ondoher leave as regent while he battled in Dagorlad against the Wainriders?",
				["Answer"] = "Faramir",
			},
			[25] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was Cirion\'s regent when he battled the Balchoth?",
				["Answer"] = "Hallas",
			},
			[26] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Approximately how many archers did the army that Eorl led to the Field of Celebrant had?",
				["Answer"] = "300",
			},
			[27] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which Steward was the first to speak of \"The Mark\" and \"The Rohirrim\"?",
				["Answer"] = "Hallas",
			},
			[28] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where did Gandalf go with Thorin after seeing him for the first time?",
				["Answer"] = "Blue Mountains",
			},
			[29] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Sauron attack before the beginning of the War of the Ring so that his Nazgl could go out in search of the Ring without being noticed?",
				["Answer"] = "Bridge of Osgiliath",
			},
			[30] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "At what age did Thoden\'s health begin to falter, influenced by Grma?",
				["Answer"] = "66",
			},
			[31] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who told Gandalf, Thoden and omer of the disaster at the Fords of Isen when they were on the way to Hornburg?",
				["Answer"] = "Ceorl",
			},
			[32] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who inherited Aldburg after Brego moved to Edoras?",
				["Answer"] = "ofor",
			},
			[33] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who was the Steward of Gondor in the days of King Dor of Rohan?",
				["Answer"] = "Egalmoth",
			},
			[34] =
			{
				["Category"] = "History",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What two reasons did Olrin initially give for not going to Middle-earth, which Manw said was the right reason why he should go?",
				["Answer"] = "He was too weak and feared Sauron",
			},
		}
	},
	[81] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Items - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What musical instrument did Tuor always carry with him?",
				["Answer"] = "Harp",
			},
			[2] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What curious object, which amazed Tuor, was Gelmir carrying?",
				["Answer"] = "Fanorian lamp",
			},
			[3] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How many were the Gates to Gondolin?",
				["Answer"] = "7",
			},
			[4] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the first Gate of Gondolin?",
				["Answer"] = "Gate of Wood",
			},
			[5] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the second Gate of Gondolin?",
				["Answer"] = "Gate of Stone",
			},
			[6] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the third Gate of Gondolin?",
				["Answer"] = "Gate of Bronze",
			},
			[7] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the fourth Gate of Gondolin?",
				["Answer"] = "Iron Gate",
			},
			[8] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the fifth Gate of Gondolin?",
				["Answer"] = "Gate of Silver",
			},
			[9] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the sixth Gate of Gondolin?",
				["Answer"] = "Golden Gate",
			},
			[10] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the seventh Gate of Gondolin?",
				["Answer"] = "Gate of Steel",
			},
			[11] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who made the last Gate of Gondolin?",
				["Answer"] = "Maeglin",
			},
			[12] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gondolin\'s Iron Gate dedicated to?",
				["Answer"] = "Eagles",
			},
			[13] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gondolin\'s Gate of Silver dedicated to?",
				["Answer"] = "Telperion",
			},
			[14] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was Gondolin\'s Golden Gate dedicated to?",
				["Answer"] = "Laurelin",
			},
			[15] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did Trin receive from his father when he turned 8?",
				["Answer"] = "Elvish knife",
			},
			[16] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "To whom did Trin give his valuable knife when he was a child?",
				["Answer"] = "Sador",
			},
			[17] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What the name did the Black Sword receive in Brethil when Trin faced Glaurung?",
				["Answer"] = "Black Thorn",
			},
			[18] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Although hollow, what material were the bows of the Archers of the King of Nmenor made of?",
				["Answer"] = "Steel",
			},
			[19] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which heirloom of the fathers of the Edain was the only one that sirvived the Downfall of Nmenor?",
				["Answer"] = "Ring of Barahir",
			},
			[20] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon did Tuor normally use?",
				["Answer"] = "Axe",
			},
			[21] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the Axe of Tuor?",
				["Answer"] = "Dramborleg",
			},
			[22] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon from the House of Hador was inherited by the Kings of Nmenor?",
				["Answer"] = "Axe of Tuor",
			},
			[23] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What weapon from the House of Bor, apart from the Ring of Barahir, was inherited by the Kings of Nmenor?",
				["Answer"] = "Bow of Bre",
			},
			[24] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of Vantur\'s ship?",
				["Answer"] = "Entuless",
			},
			[25] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who received the Ring of Barahir, preserving it since in the House of the Lords of Andni?",
				["Answer"] = "Silmarien",
			},
			[26] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the ship on which Aldarion made his first voyages to Middle-earth?",
				["Answer"] = "Nmerrmar",
			},
			[27] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Aldarion call the ship he built to serve as his home?",
				["Answer"] = "Embar",
			},
			[28] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the largest ship that Aldarion had built?",
				["Answer"] = "Palarran",
			},
			[29] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "From which tree was the Green Bough of Return cut?",
				["Answer"] = "Oiolair",
			},
			[30] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves of Eressa give to Aldarion?",
				["Answer"] = "Tree",
			},
			[31] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Elves of Eressa give to Erendis?",
				["Answer"] = "Birds",
			},
			[32] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did the shipbuilders call the great castle-ship of Aldarion while they were building it?",
				["Answer"] = "Turuphanto",
			},
			[33] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the great castle-ship that Aldarion had built for himself?",
				["Answer"] = "Hirilond",
			},
			[34] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How did Aldarion call the tree given to him by the Elves of Eressa, the only thing he spared in his house in Armenelos?",
				["Answer"] = "Ancalim",
			},
			[35] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Instead of the Bough of Return, what figure, a gift from Crdan, did Aldarion carry henceforth on the prow of his ship?",
				["Answer"] = "Eagle",
			},
			[36] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the green stone that imprisoned the light of the sun, and to which was attributed a healing power over everything around it?",
				["Answer"] = "Elessar",
			},
			[37] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the first Elessar made?",
				["Answer"] = "Gondolin",
			},
			[38] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "For whom was the first Elessar made?",
				["Answer"] = "Idril",
			},
			[39] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What word was on the seal for the Stewards, under the Seven Stars of Gondor?",
				["Answer"] = "Arandur",
			},
			[40] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What were the names of the images that the Dredain made of themselves and placed at the entrances to tracks or at turnings of woodland paths?",
				["Answer"] = "Watch-stones",
			},
			[41] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How was called the only Palantir on Middle-earth that could \"eavesdrop\" on the conversations of other Stones?",
				["Answer"] = "Master Stone",
			},
			[42] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Where was the Stone that was the chief of the Northern Palantri originally placed?",
				["Answer"] = "Amon Sl",
			},
			[43] =
			{
				["Category"] = "Items",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The vision of the Palantri could traverse physical obstacles, but what was still necessary to be able to see its target?",
				["Answer"] = "Light",
			},
		}
	},
	[82] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Languages - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Forodwaith\" mean?",
				["Answer"] = "Northern People",
			},
			[2] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of \"Amon Rdh\" in the language of the Dwarves?",
				["Answer"] = "Sharbhund",
			},
			[3] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Methed-en-Glad\" mean?",
				["Answer"] = "End of the Wood",
			},
			[4] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Tarmasundar\" mean?",
				["Answer"] = "Roots of the Pillar",
			},
			[5] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Nsinen\" mean?",
				["Answer"] = "Fragrant Water",
			},
			[6] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sr Angren\"?",
				["Answer"] = "Iron River",
			},
			[7] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Andrast\" mean?",
				["Answer"] = "Long Cape",
			},
			[8] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What other name did \"Andrast\" have?",
				["Answer"] = "Ras Morthil",
			},
			[9] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Minhiriath\" mean?",
				["Answer"] = "Between the rivers",
			},
			[10] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Glanduin\" mean?",
				["Answer"] = "Border-river",
			},
			[11] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "How else can you say \"Glornan\", \"Valley of Gold\"?",
				["Answer"] = "Nan Laur",
			},
			[12] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Serni\" mean?",
				["Answer"] = "Pebbly",
			},
			[13] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Dor-en-Ernil\" mean?",
				["Answer"] = "Land of the Prince",
			},
			[14] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Laurelindrenan\" mean?",
				["Answer"] = "Valley of Singing Gold",
			},
			[15] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Edhellond\" mean?",
				["Answer"] = "Elf-haven",
			},
			[16] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the \"High Pass\"?",
				["Answer"] = "Cirith Forn",
			},
			[17] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Andrath\" mean?",
				["Answer"] = "Long Ascent",
			},
			[18] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Amon Lanc\" mean?",
				["Answer"] = "Naked Hill",
			},
			[19] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of the \"Gladden River\"?",
				["Answer"] = "Sr Ninglor",
			},
			[20] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Elvish name of the \"Entwash\"?",
				["Answer"] = "Onodl",
			},
			[21] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Edoras\" mean?",
				["Answer"] = "Courts",
			},
			[22] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Lossarnach\" mean?",
				["Answer"] = "Flowery Arnach",
			},
			[23] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sarn Gebir\" mean?",
				["Answer"] = "Stone-spikes",
			},
			[24] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Ephel Dath\" mean?",
				["Answer"] = "Fence of Shadow",
			},
			[25] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Halifirien\" mean?",
				["Answer"] = "Holy Mountain",
			},
			[26] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the Sindarin name of the \"Mering\" Stream?",
				["Answer"] = "Glanhr",
			},
			[27] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Glanhr\" mean?",
				["Answer"] = "Boundary stream",
			},
			[28] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Sthburg\" mean?",
				["Answer"] = "Caves of Radiance",
			},
			[29] =
			{
				["Category"] = "Languages (Geography and Astronomy)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the \"Gwathl\" in Adnaic?",
				["Answer"] = "Agathurush",
			},
			[30] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Entuless\" mean?",
				["Answer"] = "Return",
			},
			[31] =
			{
				["Category"] = "Languages (Items)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"Oiolair\" mean?",
				["Answer"] = "Ever-summer",
			},
			[32] =
			{
				["Category"] = "Languages (Characters)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Quenya equivalent of \"Inziladn\"?",
				["Answer"] = "Nmellot",
			},
			[33] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Eldar call the Orcs?",
				["Answer"] = "Glamhoth",
			},
			[34] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What does \"othod\" mean?",
				["Answer"] = "Horse-people",
			},
			[35] =
			{
				["Category"] = "Languages (Races and Peoples)",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What is the Sindarin equivalent of \"Istar\"?",
				["Answer"] = "Ithron",
			},
		}
	},
	[83] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Peoples - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Easterlings call the Elves?",
				["Answer"] = "White-fiends",
			},
			[2] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Easterlings call a woman who had dealings with the Elves?",
				["Answer"] = "Witchwife",
			},
			[3] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What tree did the Nmenreans used to use to build ships?",
				["Answer"] = "Laurinqu",
			},
			[4] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the coincil of the King of Nmenor?",
				["Answer"] = "Council of the Sceptre",
			},
			[5] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Dnedain call the wedge-shaped battle formation they often used?",
				["Answer"] = "Dirnaith",
			},
			[6] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Dnedain call the battle formation that consisted of a shield-wall of two serried ranks that could be closed in a ring when flanked?",
				["Answer"] = "Thangail",
			},
			[7] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What Nmenrean measure is approximately three miles?",
				["Answer"] = "Lr",
			},
			[8] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What did the Nmenreans call a league (since the measurements are equivalent) according to their length units?",
				["Answer"] = "Lr",
			},
			[9] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What measure did the Nmenreans call \"man-high\"?",
				["Answer"] = "2 rangar",
			},
			[10] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Which group of people advised the Captain of the othod on important decisions?",
				["Answer"] = "Council of Elders",
			},
			[11] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "What was the name of the regent, usually King\'s Heir, who replaced the King of the Rohirrim in specific cases?",
				["Answer"] = "Underking",
			},
			[12] =
			{
				["Category"] = "Races and Peoples",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "The fishing people who lived in Anfalas for some time in the Second Age, to whom did they seem to be related?",
				["Answer"] = "Dredain",
			},
		}
	},
	[84] =
	{
		["Info"] =
		{
		--[[	Anglachel's Tolkien-themed Quizzes  2000 - 2024 by Alejandro Meirinhos from Spain are licensed under CC BY-NC-ND 4.0.
				This license enables reusers to copy and distribute the material in any medium or format in unadapted form only,
				for noncommercial purposes only, and only so long as attribution is given to the creator.
				CC BY-NC-ND includes the following elements:
				BY: credit must be given to the creator.
				NC: Only noncommercial uses of the work are permitted.
				ND: No derivatives or adaptations of the work are permitted
				
				To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/
				
				For trying to use or adapt these questions beyond what's specified in the license, please contact the author at
				anglachel.istelien@gmail.com
				
				This quiz was originally written in Spanish for playing at IRC Hispano at the beginning of the century. I personally wrote
				all the questions with the aim of having a complete collection of questions covering everything present in the main books as
				they were published at the time and trying not to repeat anything if certain information was in several books. Those were
				the two drivers that guided the minor editorial decisions I could have made.
				
				The full set of questions have been translated to English automatically and then I've reviewed them for grammar, context, and
				vocabulary having the English books as reference. It's a delicate work and I could have made mistakes. If you detect some,
				feel free to contact so that I can correct them, if I haven't done it already.

				The questions are presented in different package flavors to combine them at will.
			--]]
			["PackageName"] = "Unfinished Tales",
			["PackageCategory"] = "Quotes - Hard",
			["PackageAuthor"] = "Anglachel",
			["PackageVersion"] = "1.1",
			["PackageDate"] = "2024-02-10"
		},
		["Content"] =
		{
			[1] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"is it true, as Aul hath said to me, that the Children when they come shall have dominion over all the things of my labour, to do as they will therewith?\"?",
				["Answer"] = "Yavanna",
			},
			[2] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said \"There is some woe that lies upon you and your kin. That I can see in you, but all else is hidden from me;\", and who did say that and to whom?",
				["Answer"] = "Melian to Galadriel",
			},
			[3] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "\"O woe-begotten spirit, fall now into dark oblivion, and forget for a while the dreadful doom of life.\" To whom were these words addressed?",
				["Answer"] = "Carcharoth",
			},
			[4] =
			{
				["Category"] = "Quotes",
				["Author"] = "Alejandro Meirinhos",
				["Question"] = "Who said before dying \"Now is the Quest achieved, and my doom full-wrought.\"?",
				["Answer"] = "Beren",
			},
		}
	},
}
